declare function gc() : void;
declare type UnrealEngineClass = any;
declare type timeout_handle = any;
declare function setTimeout(fn : (milliseconds: number) => void, timeout : number) : timeout_handle;
declare function clearTimeout(handle : timeout_handle) : void;
declare class UnrealEngineMulticastDelegate<T> {
	Add(fn : T): void;
	Remove(fn : T): void;
}

declare class UnrealEngineDelegate<T> {
	Add(fn : T): void;
	Remove(fn : T): void;
}

declare class Process {
	nextTick(fn : (number) => void): void;
}

declare var process : Process;

declare class Memory {
	exec(ab : ArrayBuffer, fn : (ab : ArrayBuffer) => void): void;
	access(obj : JavascriptMemoryObject): ArrayBuffer;
}

declare var memory : Memory;

declare class Field extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Field;
	static Find(Outer: UObject, ResourceName: string): Field;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Field;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Field;
	static C(Other: UObject): Field;
}

declare class Enum extends Field { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Enum;
	static Find(Outer: UObject, ResourceName: string): Enum;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Enum;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Enum;
	static C(Other: UObject): Enum;
	GetEnumeratorName(EnumeratorValue: number): string;
	GetEnumeratorUserFriendlyName(EnumeratorValue: number): string;
	GetEnumeratorValueFromIndex(EnumeratorIndex: number): number;
	GetValidValue(EnumeratorValue: number): number;
	static GetEnumeratorName(Enum: Enum,EnumeratorValue: number): string;
	static GetEnumeratorUserFriendlyName(Enum: Enum,EnumeratorValue: number): string;
	static GetEnumeratorValueFromIndex(Enum: Enum,EnumeratorIndex: number): number;
	static GetValidValue(Enum: Enum,EnumeratorValue: number): number;
}

declare class Package extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Package;
	static Find(Outer: UObject, ResourceName: string): Package;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Package;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Package;
	static C(Other: UObject): Package;
	HasAnyPackageFlags(Flags: number): boolean;
	static HasAnyPackageFlags(Package: Package,Flags: number): boolean;
}

declare class DirectoryItem { 
	Name: string;
	bIsDirectory: boolean;
	clone() : DirectoryItem;
	static C(Other: UObject): DirectoryItem;
}

declare class Interface extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Interface;
	static Find(Outer: UObject, ResourceName: string): Interface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Interface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Interface;
	static C(Other: UObject): Interface;
}

declare class TimerHandle { 
	Handle: any;
	clone() : TimerHandle;
	static C(Other: UObject): TimerHandle;
	Invalidate(): {Handle: TimerHandle, $: TimerHandle};
	IsValid(): boolean;
	static Invalidate(Handle?: TimerHandle): {Handle: TimerHandle, $: TimerHandle};
	static IsValid(Handle: TimerHandle): boolean;
	static SetTimerbyEvent(Delegate: UnrealEngineDelegate<() => void>,Time: number,bLooping: boolean): TimerHandle;
}

declare class CollisionProfileName { 
	Name: string;
	clone() : CollisionProfileName;
	static C(Other: UObject): CollisionProfileName;
}

declare class Color { 
	B: number;
	G: number;
	R: number;
	A: number;
	clone() : Color;
	static C(Other: UObject): Color;
	ToLinearColor(): LinearColor;
	static ToLinearColor(InColor: Color): LinearColor;
}

declare class Vector2D { 
	X: number;
	Y: number;
	clone() : Vector2D;
	static C(Other: UObject): Vector2D;
	ToString(): string;
	Add_Vector2DFloat(B: number): Vector2D;
	Add_Vector2DVector2D(B: Vector2D): Vector2D;
	BreakVector2D(X?: number,Y?: number): {X: number, Y: number};
	ToVector(Z: number): Vector;
	CrossProduct(B: Vector2D): number;
	Divide_Vector2DFloat(B: number): Vector2D;
	DotProduct(B: Vector2D): number;
	Equal(B: Vector2D,ErrorTolerance: number): boolean;
	Multiply_Vector2DFloat(B: number): Vector2D;
	Normalize2D(): Vector2D;
	NotEqual(B: Vector2D,ErrorTolerance: number): boolean;
	Subtract_Vector2DFloat(B: number): Vector2D;
	Subtract_Vector2DVector2D(B: Vector2D): Vector2D;
	Vector2DInterpTo(Target: Vector2D,DeltaTime: number,InterpSpeed: number): Vector2D;
	Vector2DInterpTo_Constant(Target: Vector2D,DeltaTime: number,InterpSpeed: number): Vector2D;
	Vector2dLength(): number;
	Vector2dLengthSquared(): number;
	static ToString(InVec: Vector2D): string;
	static Add_Vector2DFloat(A: Vector2D,B: number): Vector2D;
	static Add_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
	static BreakVector2D(InVec: Vector2D,X?: number,Y?: number): {X: number, Y: number};
	static ToVector(InVector2D: Vector2D,Z: number): Vector;
	static CrossProduct(A: Vector2D,B: Vector2D): number;
	static Divide_Vector2DFloat(A: Vector2D,B: number): Vector2D;
	static DotProduct(A: Vector2D,B: Vector2D): number;
	static Equal(A: Vector2D,B: Vector2D,ErrorTolerance: number): boolean;
	static Multiply_Vector2DFloat(A: Vector2D,B: number): Vector2D;
	static Normalize2D(A: Vector2D): Vector2D;
	static NotEqual(A: Vector2D,B: Vector2D,ErrorTolerance: number): boolean;
	static Subtract_Vector2DFloat(A: Vector2D,B: number): Vector2D;
	static Subtract_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
	static Vector2DInterpTo(Current: Vector2D,Target: Vector2D,DeltaTime: number,InterpSpeed: number): Vector2D;
	static Vector2DInterpTo_Constant(Current: Vector2D,Target: Vector2D,DeltaTime: number,InterpSpeed: number): Vector2D;
	static Vector2dLength(A: Vector2D): number;
	static Vector2dLengthSquared(A: Vector2D): number;
	static GenerateDynamicImageResource(InDynamicBrushName: string): Vector2D;
	static MakeVector2D(X: number,Y: number): Vector2D;
}

declare class ProcMeshTangent { 
	TangentX: Vector;
	bFlipTangentY: boolean;
	clone() : ProcMeshTangent;
	static C(Other: UObject): ProcMeshTangent;
}

declare type EOrientPositionSelector = string | symbol;
declare var EOrientPositionSelector = { Orientation:'Orientation',Position:'Position',OrientationAndPosition:'OrientationAndPosition', };
declare type EEasingFunc = string | symbol;
declare var EEasingFunc = { Linear:'Linear',Step:'Step',SinusoidalIn:'SinusoidalIn',SinusoidalOut:'SinusoidalOut',SinusoidalInOut:'SinusoidalInOut',EaseIn:'EaseIn',EaseOut:'EaseOut',EaseInOut:'EaseInOut',ExpoIn:'ExpoIn',ExpoOut:'ExpoOut',ExpoInOut:'ExpoInOut',CircularIn:'CircularIn',CircularOut:'CircularOut',CircularInOut:'CircularInOut', };
declare class RandomStream { 
	InitialSeed: number;
	Seed: number;
	clone() : RandomStream;
	static C(Other: UObject): RandomStream;
	BreakRandomStream(InitialSeed?: number): {InitialSeed: number};
	RandomBoolFromStream(): boolean;
	RandomFloatFromStream(): number;
	RandomUnitVectorFromStream(): Vector;
	ResetRandomStream(): void;
	SeedRandomStream(): {Stream: RandomStream};
	SetRandomStreamSeed(NewSeed?: number): {Stream: RandomStream};
	static BreakRandomStream(InRandomStream: RandomStream,InitialSeed?: number): {InitialSeed: number};
	static RandomBoolFromStream(Stream: RandomStream): boolean;
	static RandomFloatFromStream(Stream: RandomStream): number;
	static RandomUnitVectorFromStream(Stream: RandomStream): Vector;
	static ResetRandomStream(Stream: RandomStream): void;
	static SeedRandomStream(Stream?: RandomStream): {Stream: RandomStream};
	static SetRandomStreamSeed(Stream?: RandomStream,NewSeed?: number): {Stream: RandomStream};
	static MakeRandomStream(InitialSeed: number): RandomStream;
}

declare class Rotator { 
	Pitch: number;
	Yaw: number;
	Roll: number;
	clone() : Rotator;
	static C(Other: UObject): Rotator;
	GetBaseRotationAndBaseOffsetInMeters(OutBaseOffsetInMeters?: Vector): {OutRotation: Rotator, OutBaseOffsetInMeters: Vector};
	GetBaseRotationAndPositionOffset(OutPosOffset?: Vector): {OutRot: Rotator, OutPosOffset: Vector};
	GetPose(DevicePosition?: Vector,NeckPosition?: Vector,bUseOrienationForPlayerCamera?: boolean,bUsePositionForPlayerCamera?: boolean,PositionScale?: Vector): {DeviceRotation: Rotator, DevicePosition: Vector, NeckPosition: Vector};
	SetBaseRotationAndBaseOffsetInMeters(BaseOffsetInMeters: Vector,Options: EOrientPositionSelector): void;
	SetBaseRotationAndPositionOffset(PosOffset: Vector,Options: EOrientPositionSelector): void;
	ToString(): string;
	BreakRotator(Roll?: number,Pitch?: number,Yaw?: number): {Roll: number, Pitch: number, Yaw: number};
	BreakRotIntoAxes(X?: Vector,Y?: Vector,Z?: Vector): {X: Vector, Y: Vector, Z: Vector};
	CombineRotators(B: Rotator): Rotator;
	GetRotationXVector(): Vector;
	Equal(B: Rotator,ErrorTolerance: number): boolean;
	GetAxes(X?: Vector,Y?: Vector,Z?: Vector): {X: Vector, Y: Vector, Z: Vector};
	GetForwardVector(): Vector;
	GetRightVector(): Vector;
	GetUpVector(): Vector;
	ScaleRotator(B: number): Rotator;
	ScaleRotator(B: number): Rotator;
	InvertRotator(): Rotator;
	Delta(B: Rotator): Rotator;
	NotEqual(B: Rotator,ErrorTolerance: number): boolean;
	Ease(B: Rotator,Alpha: number,bShortestPath: boolean,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Rotator;
	RInterpTo(Target: Rotator,DeltaTime: number,InterpSpeed: number): Rotator;
	RInterpTo_Constant(Target: Rotator,DeltaTime: number,InterpSpeed: number): Rotator;
	Lerp(B: Rotator,Alpha: number,bShortestPath: boolean): Rotator;
	SelectRotator(B: Rotator,bPickA: boolean): Rotator;
	GetOrientationAndPosition(DevicePosition?: Vector): {DeviceRotation: Rotator, DevicePosition: Vector};
	IsValidAIRotation(): boolean;
	static GetBaseRotationAndBaseOffsetInMeters(OutRotation?: Rotator,OutBaseOffsetInMeters?: Vector): {OutRotation: Rotator, OutBaseOffsetInMeters: Vector};
	static GetBaseRotationAndPositionOffset(OutRot?: Rotator,OutPosOffset?: Vector): {OutRot: Rotator, OutPosOffset: Vector};
	static GetPose(DeviceRotation?: Rotator,DevicePosition?: Vector,NeckPosition?: Vector,bUseOrienationForPlayerCamera?: boolean,bUsePositionForPlayerCamera?: boolean,PositionScale?: Vector): {DeviceRotation: Rotator, DevicePosition: Vector, NeckPosition: Vector};
	static SetBaseRotationAndBaseOffsetInMeters(Rotation: Rotator,BaseOffsetInMeters: Vector,Options: EOrientPositionSelector): void;
	static SetBaseRotationAndPositionOffset(BaseRot: Rotator,PosOffset: Vector,Options: EOrientPositionSelector): void;
	static ToString(InRot: Rotator): string;
	static BreakRotator(InRot: Rotator,Roll?: number,Pitch?: number,Yaw?: number): {Roll: number, Pitch: number, Yaw: number};
	static BreakRotIntoAxes(InRot: Rotator,X?: Vector,Y?: Vector,Z?: Vector): {X: Vector, Y: Vector, Z: Vector};
	static CombineRotators(A: Rotator,B: Rotator): Rotator;
	static GetRotationXVector(InRot: Rotator): Vector;
	static Equal(A: Rotator,B: Rotator,ErrorTolerance: number): boolean;
	static GetAxes(A: Rotator,X?: Vector,Y?: Vector,Z?: Vector): {X: Vector, Y: Vector, Z: Vector};
	static GetForwardVector(InRot: Rotator): Vector;
	static GetRightVector(InRot: Rotator): Vector;
	static GetUpVector(InRot: Rotator): Vector;
	static ScaleRotator(A: Rotator,B: number): Rotator;
	static ScaleRotator(A: Rotator,B: number): Rotator;
	static InvertRotator(A: Rotator): Rotator;
	static Delta(A: Rotator,B: Rotator): Rotator;
	static NotEqual(A: Rotator,B: Rotator,ErrorTolerance: number): boolean;
	static Ease(A: Rotator,B: Rotator,Alpha: number,bShortestPath: boolean,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Rotator;
	static RInterpTo(Current: Rotator,Target: Rotator,DeltaTime: number,InterpSpeed: number): Rotator;
	static RInterpTo_Constant(Current: Rotator,Target: Rotator,DeltaTime: number,InterpSpeed: number): Rotator;
	static Lerp(A: Rotator,B: Rotator,Alpha: number,bShortestPath: boolean): Rotator;
	static SelectRotator(A: Rotator,B: Rotator,bPickA: boolean): Rotator;
	static GetOrientationAndPosition(DeviceRotation?: Rotator,DevicePosition?: Vector): {DeviceRotation: Rotator, DevicePosition: Vector};
	static IsValidAIRotation(Rotation: Rotator): boolean;
	static MakeRotator(Roll: number,Pitch: number,Yaw: number): Rotator;
	static RandomRotator(bRoll: boolean): Rotator;
	static RandomRotatorFromStream(bRoll: boolean,Stream: RandomStream): Rotator;
}

declare class Quat { 
	X: number;
	Y: number;
	Z: number;
	W: number;
	clone() : Quat;
	static C(Other: UObject): Quat;
}

declare type ELerpInterpolationMode = string | symbol;
declare var ELerpInterpolationMode = { QuatInterp:'QuatInterp',EulerInterp:'EulerInterp',DualQuatInterp:'DualQuatInterp', };
declare class Transform { 
	Rotation: Quat;
	Translation: Vector;
	Scale3D: Vector;
	clone() : Transform;
	static C(Other: UObject): Transform;
	ToString(): string;
	BreakTransform(Location?: Vector,Rotation?: Rotator,Scale?: Vector): {Location: Vector, Rotation: Rotator, Scale: Vector};
	ComposeTransforms(B: Transform): Transform;
	ConvertTransformToRelative(ParentTransform: Transform): Transform;
	EqualTransform(B: Transform): boolean;
	InverseTransformDirection(Direction: Vector): Vector;
	InverseTransformLocation(Location: Vector): Vector;
	InvertTransform(): Transform;
	NearlyEqual(B: Transform,LocationTolerance: number,RotationTolerance: number,Scale3DTolerance: number): boolean;
	SelectTransform(B: Transform,bPickA: boolean): Transform;
	Ease(B: Transform,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Transform;
	TInterpTo(Target: Transform,DeltaTime: number,InterpSpeed: number): Transform;
	Lerp(B: Transform,Alpha: number,InterpMode: ELerpInterpolationMode): Transform;
	TransformDirection(Direction: Vector): Vector;
	TransformLocation(Location: Vector): Vector;
	static ToString(InTrans: Transform): string;
	static BreakTransform(InTransform: Transform,Location?: Vector,Rotation?: Rotator,Scale?: Vector): {Location: Vector, Rotation: Rotator, Scale: Vector};
	static ComposeTransforms(A: Transform,B: Transform): Transform;
	static ConvertTransformToRelative(Transform: Transform,ParentTransform: Transform): Transform;
	static EqualTransform(A: Transform,B: Transform): boolean;
	static InverseTransformDirection(T: Transform,Direction: Vector): Vector;
	static InverseTransformLocation(T: Transform,Location: Vector): Vector;
	static InvertTransform(T: Transform): Transform;
	static NearlyEqual(A: Transform,B: Transform,LocationTolerance: number,RotationTolerance: number,Scale3DTolerance: number): boolean;
	static SelectTransform(A: Transform,B: Transform,bPickA: boolean): Transform;
	static Ease(A: Transform,B: Transform,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Transform;
	static TInterpTo(Current: Transform,Target: Transform,DeltaTime: number,InterpSpeed: number): Transform;
	static Lerp(A: Transform,B: Transform,Alpha: number,InterpMode: ELerpInterpolationMode): Transform;
	static TransformDirection(T: Transform,Direction: Vector): Vector;
	static TransformLocation(T: Transform,Location: Vector): Vector;
}

declare class Plane extends Vector { 
	W: number;
	clone() : Plane;
	static C(Other: UObject): Plane;
}

declare type ETickingGroup = string | symbol;
declare var ETickingGroup = { TG_PrePhysics:'TG_PrePhysics',TG_StartPhysics:'TG_StartPhysics',TG_DuringPhysics:'TG_DuringPhysics',TG_EndPhysics:'TG_EndPhysics',TG_PostPhysics:'TG_PostPhysics',TG_PostUpdateWork:'TG_PostUpdateWork',TG_LastDemotable:'TG_LastDemotable',TG_NewlySpawned:'TG_NewlySpawned', };
declare class TickFunction { 
	TickGroup: ETickingGroup;
	EndTickGroup: ETickingGroup;
	bTickEvenWhenPaused: boolean;
	bCanEverTick: boolean;
	bStartWithTickEnabled: boolean;
	bAllowTickOnDedicatedServer: boolean;
	TickInterval: number;
	clone() : TickFunction;
	static C(Other: UObject): TickFunction;
}

declare class ActorTickFunction extends TickFunction { 
	clone() : ActorTickFunction;
	static C(Other: UObject): ActorTickFunction;
}

declare type ENetRole = string | symbol;
declare var ENetRole = { ROLE_None:'ROLE_None',ROLE_SimulatedProxy:'ROLE_SimulatedProxy',ROLE_AutonomousProxy:'ROLE_AutonomousProxy',ROLE_Authority:'ROLE_Authority', };
declare type EVectorQuantization = string | symbol;
declare var EVectorQuantization = { RoundWholeNumber:'RoundWholeNumber',RoundOneDecimal:'RoundOneDecimal',RoundTwoDecimals:'RoundTwoDecimals', };
declare type ERotatorQuantization = string | symbol;
declare var ERotatorQuantization = { ByteComponents:'ByteComponents',ShortComponents:'ShortComponents', };
declare class RepMovement { 
	LinearVelocity: Vector;
	AngularVelocity: Vector;
	Location: Vector;
	Rotation: Rotator;
	bSimulatedPhysicSleep: boolean;
	bRepPhysics: boolean;
	LocationQuantizationLevel: EVectorQuantization;
	VelocityQuantizationLevel: EVectorQuantization;
	RotationQuantizationLevel: ERotatorQuantization;
	clone() : RepMovement;
	static C(Other: UObject): RepMovement;
}

declare class Vector_NetQuantize100 extends Vector { 
	clone() : Vector_NetQuantize100;
	static C(Other: UObject): Vector_NetQuantize100;
}

declare class ActorComponentTickFunction extends TickFunction { 
	clone() : ActorComponentTickFunction;
	static C(Other: UObject): ActorComponentTickFunction;
}

declare class AssetUserData extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AssetUserData;
	static Find(Outer: UObject, ResourceName: string): AssetUserData;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AssetUserData;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetUserData;
	static C(Other: UObject): AssetUserData;
}

declare type EComponentCreationMethod = string | symbol;
declare var EComponentCreationMethod = { Native:'Native',SimpleConstructionScript:'SimpleConstructionScript',UserConstructionScript:'UserConstructionScript',Instance:'Instance', };
declare class Guid { 
	A: number;
	B: number;
	C: number;
	D: number;
	clone() : Guid;
	static C(Other: UObject): Guid;
	ToString(): string;
	Equal(B: Guid): boolean;
	Invalidate_Guid(): {InGuid: Guid};
	IsValid(): boolean;
	NotEqual(B: Guid): boolean;
	static ToString(InGuid: Guid): string;
	static Equal(A: Guid,B: Guid): boolean;
	static Invalidate_Guid(InGuid?: Guid): {InGuid: Guid};
	static IsValid(InGuid: Guid): boolean;
	static NotEqual(A: Guid,B: Guid): boolean;
	static NewGuid(): Guid;
}

declare class SimpleMemberReference { 
	MemberParent: UObject;
	MemberName: string;
	MemberGuid: Guid;
	clone() : SimpleMemberReference;
	static C(Other: UObject): SimpleMemberReference;
}

declare type EEndPlayReason = string | symbol;
declare var EEndPlayReason = { Destroyed:'Destroyed',LevelTransition:'LevelTransition',EndPlayInEditor:'EndPlayInEditor',RemovedFromWorld:'RemovedFromWorld',Quit:'Quit', };
declare class ActorComponent extends UObject { 
	PrimaryComponentTick: ActorComponentTickFunction;
	ComponentTags: string[];
	AssetUserData: AssetUserData[];
	bReplicates: boolean;
	bNetAddressable: boolean;
	bCreatedByConstructionScript: boolean;
	bInstanceComponent: boolean;
	bAutoActivate: boolean;
	bIsActive: boolean;
	bEditableWhenInherited: boolean;
	bCanEverAffectNavigation: boolean;
	bWantsBeginPlay: boolean;
	CreationMethod: EComponentCreationMethod;
	UCSModifiedProperties: SimpleMemberReference[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ActorComponent;
	static Find(Outer: UObject, ResourceName: string): ActorComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ActorComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorComponent;
	ToggleActive(): void;
	SetTickGroup(NewTickGroup: ETickingGroup): void;
	SetTickableWhenPaused(bTickableWhenPaused: boolean): void;
	SetIsReplicated(ShouldReplicate: boolean): void;
	SetComponentTickEnabled(bEnabled: boolean): void;
	SetActive(bNewActive: boolean,bReset: boolean): void;
	RemoveTickPrerequisiteComponent(PrerequisiteComponent: ActorComponent): void;
	RemoveTickPrerequisiteActor(PrerequisiteActor: Actor): void;
	Tick(DeltaSeconds: number): void;
	EndPlay(EndPlayReason: EEndPlayReason): void;
	BeginPlay(): void;
	OnRep_IsActive(): void;
	DestroyComponent(UObject: UObject): void;
	IsComponentTickEnabled(): boolean;
	IsComponentBeingDestroyed(): boolean;
	IsActive(): boolean;
	GetOwner(): Actor;
	Deactivate(): void;
	ComponentHasTag(Tag: string): boolean;
	AddTickPrerequisiteComponent(PrerequisiteComponent: ActorComponent): void;
	AddTickPrerequisiteActor(PrerequisiteActor: Actor): void;
	Activate(bReset: boolean): void;
	static C(Other: UObject): ActorComponent;
	IsRegistered(): boolean;
	MarkRenderStateDirty(): void;
	RegisterComponent(): void;
	ReregisterComponent(): void;
	UnregisterComponent(): void;
	static IsRegistered(ActorComponent: ActorComponent): boolean;
	static MarkRenderStateDirty(Component: ActorComponent): void;
	static RegisterComponent(ActorComponent: ActorComponent): void;
	static ReregisterComponent(ActorComponent: ActorComponent): void;
	static UnregisterComponent(ActorComponent: ActorComponent): void;
}

declare type EComponentMobility = string | symbol;
declare var EComponentMobility = { Static:'Static',Stationary:'Stationary',Movable:'Movable', };
declare type EDetailMode = string | symbol;
declare var EDetailMode = { DM_Low:'DM_Low',DM_Medium:'DM_Medium',DM_High:'DM_High', };
declare type EBrushType = string | symbol;
declare var EBrushType = { Brush_Default:'Brush_Default',Brush_Add:'Brush_Add',Brush_Subtract:'Brush_Subtract', };
declare class Model extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Model;
	static Find(Outer: UObject, ResourceName: string): Model;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Model;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Model;
	static C(Other: UObject): Model;
}

declare type ESceneDepthPriorityGroup = string | symbol;
declare var ESceneDepthPriorityGroup = { SDPG_World:'SDPG_World',SDPG_Foreground:'SDPG_Foreground', };
declare type EIndirectLightingCacheQuality = string | symbol;
declare var EIndirectLightingCacheQuality = { ILCQ_Off:'ILCQ_Off',ILCQ_Point:'ILCQ_Point',ILCQ_Volume:'ILCQ_Volume', };
declare class LightingChannels { 
	bChannel0: boolean;
	bChannel1: boolean;
	bChannel2: boolean;
	clone() : LightingChannels;
	static C(Other: UObject): LightingChannels;
}

declare type ECollisionResponse = string | symbol;
declare var ECollisionResponse = { ECR_Ignore:'ECR_Ignore',ECR_Overlap:'ECR_Overlap',ECR_Block:'ECR_Block', };
declare class CollisionResponseContainer { 
	WorldStatic: ECollisionResponse;
	WorldDynamic: ECollisionResponse;
	Pawn: ECollisionResponse;
	Visibility: ECollisionResponse;
	Camera: ECollisionResponse;
	PhysicsBody: ECollisionResponse;
	Vehicle: ECollisionResponse;
	Destructible: ECollisionResponse;
	EngineTraceChannel1: ECollisionResponse;
	EngineTraceChannel2: ECollisionResponse;
	EngineTraceChannel3: ECollisionResponse;
	EngineTraceChannel4: ECollisionResponse;
	EngineTraceChannel5: ECollisionResponse;
	EngineTraceChannel6: ECollisionResponse;
	GameTraceChannel1: ECollisionResponse;
	GameTraceChannel2: ECollisionResponse;
	GameTraceChannel3: ECollisionResponse;
	GameTraceChannel4: ECollisionResponse;
	GameTraceChannel5: ECollisionResponse;
	GameTraceChannel6: ECollisionResponse;
	GameTraceChannel7: ECollisionResponse;
	GameTraceChannel8: ECollisionResponse;
	GameTraceChannel9: ECollisionResponse;
	GameTraceChannel10: ECollisionResponse;
	GameTraceChannel11: ECollisionResponse;
	GameTraceChannel12: ECollisionResponse;
	GameTraceChannel13: ECollisionResponse;
	GameTraceChannel14: ECollisionResponse;
	GameTraceChannel15: ECollisionResponse;
	GameTraceChannel16: ECollisionResponse;
	GameTraceChannel17: ECollisionResponse;
	GameTraceChannel18: ECollisionResponse;
	clone() : CollisionResponseContainer;
	static C(Other: UObject): CollisionResponseContainer;
}

declare class ResponseChannel { 
	Channel: string;
	Response: ECollisionResponse;
	clone() : ResponseChannel;
	static C(Other: UObject): ResponseChannel;
}

declare class CollisionResponse { 
	ResponseToChannels: CollisionResponseContainer;
	ResponseArray: ResponseChannel[];
	clone() : CollisionResponse;
	static C(Other: UObject): CollisionResponse;
}

declare type EWalkableSlopeBehavior = string | symbol;
declare var EWalkableSlopeBehavior = { WalkableSlope_Default:'WalkableSlope_Default',WalkableSlope_Increase:'WalkableSlope_Increase',WalkableSlope_Decrease:'WalkableSlope_Decrease',WalkableSlope_Unwalkable:'WalkableSlope_Unwalkable', };
declare class WalkableSlopeOverride { 
	WalkableSlopeBehavior: EWalkableSlopeBehavior;
	WalkableSlopeAngle: number;
	clone() : WalkableSlopeOverride;
	static C(Other: UObject): WalkableSlopeOverride;
}

declare type EFrictionCombineMode = string | symbol;
declare var EFrictionCombineMode = { Average:'Average',Min:'Min',Multiply:'Multiply',Max:'Max', };
declare class PhysicalMaterialPropertyBase extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PhysicalMaterialPropertyBase;
	static Find(Outer: UObject, ResourceName: string): PhysicalMaterialPropertyBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PhysicalMaterialPropertyBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicalMaterialPropertyBase;
	static C(Other: UObject): PhysicalMaterialPropertyBase;
}

declare type EPhysicalSurface = string | symbol;
declare var EPhysicalSurface = { SurfaceType_Default:'SurfaceType_Default',SurfaceType1:'SurfaceType1',SurfaceType2:'SurfaceType2',SurfaceType3:'SurfaceType3',SurfaceType4:'SurfaceType4',SurfaceType5:'SurfaceType5',SurfaceType6:'SurfaceType6',SurfaceType7:'SurfaceType7',SurfaceType8:'SurfaceType8',SurfaceType9:'SurfaceType9',SurfaceType10:'SurfaceType10',SurfaceType11:'SurfaceType11',SurfaceType12:'SurfaceType12',SurfaceType13:'SurfaceType13',SurfaceType14:'SurfaceType14',SurfaceType15:'SurfaceType15',SurfaceType16:'SurfaceType16',SurfaceType17:'SurfaceType17',SurfaceType18:'SurfaceType18',SurfaceType19:'SurfaceType19',SurfaceType20:'SurfaceType20',SurfaceType21:'SurfaceType21',SurfaceType22:'SurfaceType22',SurfaceType23:'SurfaceType23',SurfaceType24:'SurfaceType24',SurfaceType25:'SurfaceType25',SurfaceType26:'SurfaceType26',SurfaceType27:'SurfaceType27',SurfaceType28:'SurfaceType28',SurfaceType29:'SurfaceType29',SurfaceType30:'SurfaceType30',SurfaceType31:'SurfaceType31',SurfaceType32:'SurfaceType32',SurfaceType33:'SurfaceType33',SurfaceType34:'SurfaceType34',SurfaceType35:'SurfaceType35',SurfaceType36:'SurfaceType36',SurfaceType37:'SurfaceType37',SurfaceType38:'SurfaceType38',SurfaceType39:'SurfaceType39',SurfaceType40:'SurfaceType40',SurfaceType41:'SurfaceType41',SurfaceType42:'SurfaceType42',SurfaceType43:'SurfaceType43',SurfaceType44:'SurfaceType44',SurfaceType45:'SurfaceType45',SurfaceType46:'SurfaceType46',SurfaceType47:'SurfaceType47',SurfaceType48:'SurfaceType48',SurfaceType49:'SurfaceType49',SurfaceType50:'SurfaceType50',SurfaceType51:'SurfaceType51',SurfaceType52:'SurfaceType52',SurfaceType53:'SurfaceType53',SurfaceType54:'SurfaceType54',SurfaceType55:'SurfaceType55',SurfaceType56:'SurfaceType56',SurfaceType57:'SurfaceType57',SurfaceType58:'SurfaceType58',SurfaceType59:'SurfaceType59',SurfaceType60:'SurfaceType60',SurfaceType61:'SurfaceType61',SurfaceType62:'SurfaceType62',SurfaceType_Max:'SurfaceType_Max', };
declare class DataAsset extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DataAsset;
	static Find(Outer: UObject, ResourceName: string): DataAsset;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DataAsset;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DataAsset;
	static C(Other: UObject): DataAsset;
}

declare class TireType extends DataAsset { 
	FrictionScale: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TireType;
	static Find(Outer: UObject, ResourceName: string): TireType;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TireType;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TireType;
	static C(Other: UObject): TireType;
}

declare class TireFrictionScalePair { 
	TireType: TireType;
	FrictionScale: number;
	clone() : TireFrictionScalePair;
	static C(Other: UObject): TireFrictionScalePair;
}

declare class PhysicalMaterial extends UObject { 
	Friction: number;
	FrictionCombineMode: EFrictionCombineMode;
	bOverrideFrictionCombineMode: boolean;
	Restitution: number;
	RestitutionCombineMode: EFrictionCombineMode;
	bOverrideRestitutionCombineMode: boolean;
	Density: number;
	RaiseMassToPower: number;
	DestructibleDamageThresholdScale: number;
	PhysicalMaterialProperty: PhysicalMaterialPropertyBase;
	SurfaceType: EPhysicalSurface;
	TireFrictionScale: number;
	TireFrictionScales: TireFrictionScalePair[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PhysicalMaterial;
	static Find(Outer: UObject, ResourceName: string): PhysicalMaterial;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PhysicalMaterial;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicalMaterial;
	static C(Other: UObject): PhysicalMaterial;
}

declare type ESleepFamily = string | symbol;
declare var ESleepFamily = { Normal:'Normal',Sensitive:'Sensitive',Custom:'Custom', };
declare type EDOFMode = string | symbol;
declare var EDOFMode = { Default:'Default',SixDOF:'SixDOF',YZPlane:'YZPlane',XZPlane:'XZPlane',XYPlane:'XYPlane',CustomPlane:'CustomPlane',None:'None', };
declare type ECollisionEnabled = string | symbol;
declare var ECollisionEnabled = { NoCollision:'NoCollision',QueryOnly:'QueryOnly',PhysicsOnly:'PhysicsOnly',QueryAndPhysics:'QueryAndPhysics', };
declare type ECollisionChannel = string | symbol;
declare var ECollisionChannel = { ECC_WorldStatic:'ECC_WorldStatic',ECC_WorldDynamic:'ECC_WorldDynamic',ECC_Pawn:'ECC_Pawn',ECC_Visibility:'ECC_Visibility',ECC_Camera:'ECC_Camera',ECC_PhysicsBody:'ECC_PhysicsBody',ECC_Vehicle:'ECC_Vehicle',ECC_Destructible:'ECC_Destructible',ECC_EngineTraceChannel1:'ECC_EngineTraceChannel1',ECC_EngineTraceChannel2:'ECC_EngineTraceChannel2',ECC_EngineTraceChannel3:'ECC_EngineTraceChannel3',ECC_EngineTraceChannel4:'ECC_EngineTraceChannel4',ECC_EngineTraceChannel5:'ECC_EngineTraceChannel5',ECC_EngineTraceChannel6:'ECC_EngineTraceChannel6',ECC_GameTraceChannel1:'ECC_GameTraceChannel1',ECC_GameTraceChannel2:'ECC_GameTraceChannel2',ECC_GameTraceChannel3:'ECC_GameTraceChannel3',ECC_GameTraceChannel4:'ECC_GameTraceChannel4',ECC_GameTraceChannel5:'ECC_GameTraceChannel5',ECC_GameTraceChannel6:'ECC_GameTraceChannel6',ECC_GameTraceChannel7:'ECC_GameTraceChannel7',ECC_GameTraceChannel8:'ECC_GameTraceChannel8',ECC_GameTraceChannel9:'ECC_GameTraceChannel9',ECC_GameTraceChannel10:'ECC_GameTraceChannel10',ECC_GameTraceChannel11:'ECC_GameTraceChannel11',ECC_GameTraceChannel12:'ECC_GameTraceChannel12',ECC_GameTraceChannel13:'ECC_GameTraceChannel13',ECC_GameTraceChannel14:'ECC_GameTraceChannel14',ECC_GameTraceChannel15:'ECC_GameTraceChannel15',ECC_GameTraceChannel16:'ECC_GameTraceChannel16',ECC_GameTraceChannel17:'ECC_GameTraceChannel17',ECC_GameTraceChannel18:'ECC_GameTraceChannel18',ECC_OverlapAll_Deprecated:'ECC_OverlapAll_Deprecated', };
declare class BodyInstance { 
	ResponseToChannels: CollisionResponseContainer;
	CollisionProfileName: string;
	CollisionResponses: CollisionResponse;
	bUseCCD: boolean;
	bNotifyRigidBodyCollision: boolean;
	bSimulatePhysics: boolean;
	bOverrideMass: boolean;
	bEnableGravity: boolean;
	bAutoWeld: boolean;
	bStartAwake: boolean;
	bGenerateWakeEvents: boolean;
	bUpdateMassWhenScaleChanges: boolean;
	bLockTranslation: boolean;
	bLockRotation: boolean;
	bLockXTranslation: boolean;
	bLockYTranslation: boolean;
	bLockZTranslation: boolean;
	bLockXRotation: boolean;
	bLockYRotation: boolean;
	bLockZRotation: boolean;
	bOverrideMaxAngularVelocity: boolean;
	bUseAsyncScene: boolean;
	bOverrideMaxDepenetrationVelocity: boolean;
	bOverrideWalkableSlopeOnInstance: boolean;
	MaxDepenetrationVelocity: number;
	MassInKgOverride: number;
	LinearDamping: number;
	AngularDamping: number;
	CustomDOFPlaneNormal: Vector;
	COMNudge: Vector;
	MassScale: number;
	WalkableSlopeOverride: WalkableSlopeOverride;
	PhysMaterialOverride: PhysicalMaterial;
	MaxAngularVelocity: number;
	CustomSleepThresholdMultiplier: number;
	PhysicsBlendWeight: number;
	PositionSolverIterationCount: number;
	RigidActorSyncId: any;
	RigidActorAsyncId: any;
	VelocitySolverIterationCount: number;
	SleepFamily: ESleepFamily;
	DOFMode: EDOFMode;
	CollisionEnabled: ECollisionEnabled;
	ObjectType: ECollisionChannel;
	clone() : BodyInstance;
	static C(Other: UObject): BodyInstance;
}

declare type EHasCustomNavigableGeometry = string | symbol;
declare var EHasCustomNavigableGeometry = { No:'No',Yes:'Yes',EvenIfNotCollidable:'EvenIfNotCollidable',DontExport:'DontExport', };
declare type ECanBeCharacterBase = string | symbol;
declare var ECanBeCharacterBase = { ECB_No:'ECB_No',ECB_Yes:'ECB_Yes',ECB_Owner:'ECB_Owner', };
declare class Vector_NetQuantize extends Vector { 
	clone() : Vector_NetQuantize;
	static C(Other: UObject): Vector_NetQuantize;
}

declare class Vector_NetQuantizeNormal extends Vector { 
	clone() : Vector_NetQuantizeNormal;
	static C(Other: UObject): Vector_NetQuantizeNormal;
}

declare class HitResult { 
	bBlockingHit: boolean;
	bStartPenetrating: boolean;
	Time: number;
	Distance: number;
	Location: Vector_NetQuantize;
	ImpactPoint: Vector_NetQuantize;
	Normal: Vector_NetQuantizeNormal;
	ImpactNormal: Vector_NetQuantizeNormal;
	TraceStart: Vector_NetQuantize;
	TraceEnd: Vector_NetQuantize;
	PenetrationDepth: number;
	Item: number;
	PhysMaterial: any;
	Actor: any;
	Component: any;
	BoneName: string;
	FaceIndex: number;
	clone() : HitResult;
	static C(Other: UObject): HitResult;
	BreakHitResult(bBlockingHit?: boolean,bInitialOverlap?: boolean,Time?: number,Location?: Vector,ImpactPoint?: Vector,Normal?: Vector,ImpactNormal?: Vector,PhysMat?: PhysicalMaterial,HitActor?: Actor,HitComponent?: PrimitiveComponent,HitBoneName?: string,HitItem?: number,TraceStart?: Vector,TraceEnd?: Vector): {bBlockingHit: boolean, bInitialOverlap: boolean, Time: number, Location: Vector, ImpactPoint: Vector, Normal: Vector, ImpactNormal: Vector, PhysMat: PhysicalMaterial, HitActor: Actor, HitComponent: PrimitiveComponent, HitBoneName: string, HitItem: number, TraceStart: Vector, TraceEnd: Vector};
	GetSurfaceType(): EPhysicalSurface;
	static BreakHitResult(Hit: HitResult,bBlockingHit?: boolean,bInitialOverlap?: boolean,Time?: number,Location?: Vector,ImpactPoint?: Vector,Normal?: Vector,ImpactNormal?: Vector,PhysMat?: PhysicalMaterial,HitActor?: Actor,HitComponent?: PrimitiveComponent,HitBoneName?: string,HitItem?: number,TraceStart?: Vector,TraceEnd?: Vector): {bBlockingHit: boolean, bInitialOverlap: boolean, Time: number, Location: Vector, ImpactPoint: Vector, Normal: Vector, ImpactNormal: Vector, PhysMat: PhysicalMaterial, HitActor: Actor, HitComponent: PrimitiveComponent, HitBoneName: string, HitItem: number, TraceStart: Vector, TraceEnd: Vector};
	static GetSurfaceType(Hit: HitResult): EPhysicalSurface;
	static MakeHitResult(bBlockingHit: boolean,bInitialOverlap: boolean,Time: number,Location: Vector,ImpactPoint: Vector,Normal: Vector,ImpactNormal: Vector,PhysMat: PhysicalMaterial,HitActor: Actor,HitComponent: PrimitiveComponent,HitBoneName: string,HitItem: number,TraceStart: Vector,TraceEnd: Vector): HitResult;
}

declare class Key { 
	KeyName: string;
	clone() : Key;
	static C(Other: UObject): Key;
	Equal(B: Key): boolean;
	Key_GetDisplayName(): string;
	Key_IsFloatAxis(): boolean;
	Key_IsGamepadKey(): boolean;
	Key_IsKeyboardKey(): boolean;
	Key_IsModifierKey(): boolean;
	Key_IsMouseButton(): boolean;
	Key_IsVectorAxis(): boolean;
	static Equal(A: Key,B: Key): boolean;
	static Key_GetDisplayName(Key: Key): string;
	static Key_IsFloatAxis(Key: Key): boolean;
	static Key_IsGamepadKey(Key: Key): boolean;
	static Key_IsKeyboardKey(Key: Key): boolean;
	static Key_IsModifierKey(Key: Key): boolean;
	static Key_IsMouseButton(Key: Key): boolean;
	static Key_IsVectorAxis(Key: Key): boolean;
}

declare type ETouchIndex = string | symbol;
declare var ETouchIndex = { Touch1:'Touch1',Touch2:'Touch2',Touch3:'Touch3',Touch4:'Touch4',Touch5:'Touch5',Touch6:'Touch6',Touch7:'Touch7',Touch8:'Touch8',Touch9:'Touch9',Touch10:'Touch10', };
declare class PrimitiveComponentPostPhysicsTickFunction extends TickFunction { 
	clone() : PrimitiveComponentPostPhysicsTickFunction;
	static C(Other: UObject): PrimitiveComponentPostPhysicsTickFunction;
}

declare class SubsurfaceProfileStruct { 
	ScatterRadius: number;
	SubsurfaceColor: LinearColor;
	FalloffColor: LinearColor;
	clone() : SubsurfaceProfileStruct;
	static C(Other: UObject): SubsurfaceProfileStruct;
}

declare class SubsurfaceProfile extends UObject { 
	Settings: SubsurfaceProfileStruct;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SubsurfaceProfile;
	static Find(Outer: UObject, ResourceName: string): SubsurfaceProfile;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SubsurfaceProfile;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubsurfaceProfile;
	static C(Other: UObject): SubsurfaceProfile;
}

declare class LightmassMaterialInterfaceSettings { 
	bCastShadowAsMasked: boolean;
	EmissiveBoost: number;
	DiffuseBoost: number;
	ExportResolutionScale: number;
	bOverrideCastShadowAsMasked: boolean;
	bOverrideEmissiveBoost: boolean;
	bOverrideDiffuseBoost: boolean;
	bOverrideExportResolutionScale: boolean;
	clone() : LightmassMaterialInterfaceSettings;
	static C(Other: UObject): LightmassMaterialInterfaceSettings;
}

declare class StringAssetReference { 
	AssetLongPathname: string;
	clone() : StringAssetReference;
	static C(Other: UObject): StringAssetReference;
	static MakeStringAssetReference(AssetLongPathname: string): StringAssetReference;
}

declare class ThumbnailInfo extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ThumbnailInfo;
	static Find(Outer: UObject, ResourceName: string): ThumbnailInfo;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ThumbnailInfo;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ThumbnailInfo;
	static C(Other: UObject): ThumbnailInfo;
}

declare class MaterialExpressionComment extends MaterialExpression { 
	SizeX: number;
	SizeY: number;
	Text: string;
	CommentColor: LinearColor;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MaterialExpressionComment;
	static Find(Outer: UObject, ResourceName: string): MaterialExpressionComment;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MaterialExpressionComment;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionComment;
	static C(Other: UObject): MaterialExpressionComment;
}

declare class MaterialFunction extends UObject { 
	StateId: Guid;
	ParentFunction: MaterialFunction;
	Description: string;
	bExposeToLibrary: boolean;
	LibraryCategories: string[];
	LibraryCategoriesText: string[];
	FunctionExpressions: MaterialExpression[];
	FunctionEditorComments: MaterialExpressionComment[];
	PreviewMaterial: Material;
	bReentrantFlag: boolean;
	CombinedInputTypes: any;
	CombinedOutputTypes: any;
	ThumbnailInfo: ThumbnailInfo;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MaterialFunction;
	static Find(Outer: UObject, ResourceName: string): MaterialFunction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MaterialFunction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunction;
	static C(Other: UObject): MaterialFunction;
}

declare class ExpressionOutput { 
	OutputName: string;
	Mask: number;
	MaskR: number;
	MaskG: number;
	MaskB: number;
	MaskA: number;
	clone() : ExpressionOutput;
	static C(Other: UObject): ExpressionOutput;
}

declare class MaterialExpression extends UObject { 
	MaterialExpressionEditorX: number;
	MaterialExpressionEditorY: number;
	MaterialExpressionGuid: Guid;
	Material: Material;
	UFunction: MaterialFunction;
	Desc: string;
	BorderColor: Color;
	bRealtimePreview: boolean;
	bNeedToUpdatePreview: boolean;
	bIsParameterExpression: boolean;
	bCommentBubbleVisible: boolean;
	bShowOutputNameOnPin: boolean;
	bHidePreviewWindow: boolean;
	bCollapsed: boolean;
	bShaderInputData: boolean;
	bShowInputs: boolean;
	bShowOutputs: boolean;
	MenuCategories: string[];
	Outputs: ExpressionOutput[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MaterialExpression;
	static Find(Outer: UObject, ResourceName: string): MaterialExpression;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MaterialExpression;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpression;
	static C(Other: UObject): MaterialExpression;
}

declare class MaterialInput { 
	Expression: MaterialExpression;
	OutputIndex: number;
	InputName: string;
	Mask: number;
	MaskR: number;
	MaskG: number;
	MaskB: number;
	MaskA: number;
	ExpressionName: string;
	clone() : MaterialInput;
	static C(Other: UObject): MaterialInput;
}

declare class ColorMaterialInput extends MaterialInput { 
	UseConstant: boolean;
	Constant: Color;
	clone() : ColorMaterialInput;
	static C(Other: UObject): ColorMaterialInput;
}

declare class ScalarMaterialInput extends MaterialInput { 
	UseConstant: boolean;
	Constant: number;
	clone() : ScalarMaterialInput;
	static C(Other: UObject): ScalarMaterialInput;
}

declare class VectorMaterialInput extends MaterialInput { 
	UseConstant: boolean;
	Constant: Vector;
	clone() : VectorMaterialInput;
	static C(Other: UObject): VectorMaterialInput;
}

declare type EMaterialDomain = string | symbol;
declare var EMaterialDomain = { MD_Surface:'MD_Surface',MD_DeferredDecal:'MD_DeferredDecal',MD_LightFunction:'MD_LightFunction',MD_PostProcess:'MD_PostProcess',MD_UI:'MD_UI', };
declare type EBlendMode = string | symbol;
declare var EBlendMode = { BLEND_Opaque:'BLEND_Opaque',BLEND_Masked:'BLEND_Masked',BLEND_Translucent:'BLEND_Translucent',BLEND_Additive:'BLEND_Additive',BLEND_Modulate:'BLEND_Modulate', };
declare type EDecalBlendMode = string | symbol;
declare var EDecalBlendMode = { DBM_Translucent:'DBM_Translucent',DBM_Stain:'DBM_Stain',DBM_Normal:'DBM_Normal',DBM_Emissive:'DBM_Emissive',DBM_DBuffer_ColorNormalRoughness:'DBM_DBuffer_ColorNormalRoughness',DBM_DBuffer_Color:'DBM_DBuffer_Color',DBM_DBuffer_ColorNormal:'DBM_DBuffer_ColorNormal',DBM_DBuffer_ColorRoughness:'DBM_DBuffer_ColorRoughness',DBM_DBuffer_Normal:'DBM_DBuffer_Normal',DBM_DBuffer_NormalRoughness:'DBM_DBuffer_NormalRoughness',DBM_DBuffer_Roughness:'DBM_DBuffer_Roughness',DBM_Volumetric_DistanceFunction:'DBM_Volumetric_DistanceFunction', };
declare type EMaterialDecalResponse = string | symbol;
declare var EMaterialDecalResponse = { MDR_None:'MDR_None',MDR_ColorNormalRoughness:'MDR_ColorNormalRoughness',MDR_Color:'MDR_Color',MDR_ColorNormal:'MDR_ColorNormal',MDR_ColorRoughness:'MDR_ColorRoughness',MDR_Normal:'MDR_Normal',MDR_NormalRoughness:'MDR_NormalRoughness',MDR_Roughness:'MDR_Roughness', };
declare type EMaterialShadingModel = string | symbol;
declare var EMaterialShadingModel = { MSM_Unlit:'MSM_Unlit',MSM_DefaultLit:'MSM_DefaultLit',MSM_Subsurface:'MSM_Subsurface',MSM_PreintegratedSkin:'MSM_PreintegratedSkin',MSM_ClearCoat:'MSM_ClearCoat',MSM_SubsurfaceProfile:'MSM_SubsurfaceProfile',MSM_TwoSidedFoliage:'MSM_TwoSidedFoliage',MSM_Hair:'MSM_Hair',MSM_Cloth:'MSM_Cloth',MSM_Eye:'MSM_Eye', };
declare class Vector2MaterialInput extends MaterialInput { 
	UseConstant: boolean;
	ConstantX: number;
	ConstantY: number;
	clone() : Vector2MaterialInput;
	static C(Other: UObject): Vector2MaterialInput;
}

declare class ExpressionInput { 
	Expression: MaterialExpression;
	OutputIndex: number;
	InputName: string;
	Mask: number;
	MaskR: number;
	MaskG: number;
	MaskB: number;
	MaskA: number;
	ExpressionName: string;
	clone() : ExpressionInput;
	static C(Other: UObject): ExpressionInput;
}

declare class MaterialAttributesInput extends ExpressionInput { 
	PropertyConnectedBitmask: number;
	clone() : MaterialAttributesInput;
	static C(Other: UObject): MaterialAttributesInput;
}

declare type ETranslucencyLightingMode = string | symbol;
declare var ETranslucencyLightingMode = { TLM_VolumetricNonDirectional:'TLM_VolumetricNonDirectional',TLM_VolumetricDirectional:'TLM_VolumetricDirectional',TLM_VolumetricPerVertexNonDirectional:'TLM_VolumetricPerVertexNonDirectional',TLM_VolumetricPerVertexDirectional:'TLM_VolumetricPerVertexDirectional',TLM_Surface:'TLM_Surface',TLM_SurfacePerPixelLighting:'TLM_SurfacePerPixelLighting', };
declare type EMaterialTessellationMode = string | symbol;
declare var EMaterialTessellationMode = { MTM_NoTessellation:'MTM_NoTessellation',MTM_FlatTessellation:'MTM_FlatTessellation',MTM_PNTriangles:'MTM_PNTriangles', };
declare class MaterialFunctionInfo { 
	StateId: Guid;
	UFunction: MaterialFunction;
	clone() : MaterialFunctionInfo;
	static C(Other: UObject): MaterialFunctionInfo;
}

declare class CollectionParameterBase { 
	ParameterName: string;
	Id: Guid;
	clone() : CollectionParameterBase;
	static C(Other: UObject): CollectionParameterBase;
}

declare class CollectionScalarParameter extends CollectionParameterBase { 
	DefaultValue: number;
	clone() : CollectionScalarParameter;
	static C(Other: UObject): CollectionScalarParameter;
}

declare class CollectionVectorParameter extends CollectionParameterBase { 
	DefaultValue: LinearColor;
	clone() : CollectionVectorParameter;
	static C(Other: UObject): CollectionVectorParameter;
}

declare class MaterialParameterCollection extends UObject { 
	StateId: Guid;
	ScalarParameters: CollectionScalarParameter[];
	VectorParameters: CollectionVectorParameter[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MaterialParameterCollection;
	static Find(Outer: UObject, ResourceName: string): MaterialParameterCollection;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MaterialParameterCollection;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialParameterCollection;
	static C(Other: UObject): MaterialParameterCollection;
}

declare class MaterialParameterCollectionInfo { 
	StateId: Guid;
	ParameterCollection: MaterialParameterCollection;
	clone() : MaterialParameterCollectionInfo;
	static C(Other: UObject): MaterialParameterCollectionInfo;
}

declare type EBlendableLocation = string | symbol;
declare var EBlendableLocation = { BL_AfterTonemapping:'BL_AfterTonemapping',BL_BeforeTonemapping:'BL_BeforeTonemapping',BL_BeforeTranslucency:'BL_BeforeTranslucency',BL_ReplacingTonemapper:'BL_ReplacingTonemapper', };
declare type ETextureSourceFormat = string | symbol;
declare var ETextureSourceFormat = { TSF_Invalid:'TSF_Invalid',TSF_G8:'TSF_G8',TSF_BGRA8:'TSF_BGRA8',TSF_BGRE8:'TSF_BGRE8',TSF_RGBA16:'TSF_RGBA16',TSF_RGBA16F:'TSF_RGBA16F',TSF_RGBA8:'TSF_RGBA8',TSF_RGBE8:'TSF_RGBE8', };
declare class TextureSource { 
	Id: Guid;
	SizeX: number;
	SizeY: number;
	NumSlices: number;
	NumMips: number;
	bPNGCompressed: boolean;
	bGuidIsHash: boolean;
	Format: ETextureSourceFormat;
	clone() : TextureSource;
	static C(Other: UObject): TextureSource;
}

declare class AssetImportInfo { 
	clone() : AssetImportInfo;
	static C(Other: UObject): AssetImportInfo;
}

declare class AssetImportData extends UObject { 
	SourceFilePath: string;
	SourceFileTimestamp: string;
	SourceData: AssetImportInfo;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AssetImportData;
	static Find(Outer: UObject, ResourceName: string): AssetImportData;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AssetImportData;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetImportData;
	static C(Other: UObject): AssetImportData;
}

declare type ETexturePowerOfTwoSetting = string | symbol;
declare var ETexturePowerOfTwoSetting = { None:'None',PadToPowerOfTwo:'PadToPowerOfTwo',PadToSquarePowerOfTwo:'PadToSquarePowerOfTwo', };
declare type TextureMipGenSettings = string | symbol;
declare var TextureMipGenSettings = { TMGS_FromTextureGroup:'TMGS_FromTextureGroup',TMGS_SimpleAverage:'TMGS_SimpleAverage',TMGS_Sharpen0:'TMGS_Sharpen0',TMGS_Sharpen1:'TMGS_Sharpen1',TMGS_Sharpen2:'TMGS_Sharpen2',TMGS_Sharpen3:'TMGS_Sharpen3',TMGS_Sharpen4:'TMGS_Sharpen4',TMGS_Sharpen5:'TMGS_Sharpen5',TMGS_Sharpen6:'TMGS_Sharpen6',TMGS_Sharpen7:'TMGS_Sharpen7',TMGS_Sharpen8:'TMGS_Sharpen8',TMGS_Sharpen9:'TMGS_Sharpen9',TMGS_Sharpen10:'TMGS_Sharpen10',TMGS_NoMipmaps:'TMGS_NoMipmaps',TMGS_LeaveExistingMips:'TMGS_LeaveExistingMips',TMGS_Blur1:'TMGS_Blur1',TMGS_Blur2:'TMGS_Blur2',TMGS_Blur3:'TMGS_Blur3',TMGS_Blur4:'TMGS_Blur4',TMGS_Blur5:'TMGS_Blur5', };
declare type ECompositeTextureMode = string | symbol;
declare var ECompositeTextureMode = { CTM_Disabled:'CTM_Disabled',CTM_NormalRoughnessToRed:'CTM_NormalRoughnessToRed',CTM_NormalRoughnessToGreen:'CTM_NormalRoughnessToGreen',CTM_NormalRoughnessToBlue:'CTM_NormalRoughnessToBlue',CTM_NormalRoughnessToAlpha:'CTM_NormalRoughnessToAlpha', };
declare type TextureCompressionSettings = string | symbol;
declare var TextureCompressionSettings = { TC_Default:'TC_Default',TC_Normalmap:'TC_Normalmap',TC_Masks:'TC_Masks',TC_Grayscale:'TC_Grayscale',TC_Displacementmap:'TC_Displacementmap',TC_VectorDisplacementmap:'TC_VectorDisplacementmap',TC_HDR:'TC_HDR',TC_EditorIcon:'TC_EditorIcon',TC_Alpha:'TC_Alpha',TC_DistanceFieldFont:'TC_DistanceFieldFont',TC_HDR_Compressed:'TC_HDR_Compressed',TC_BC7:'TC_BC7', };
declare type TextureFilter = string | symbol;
declare var TextureFilter = { TF_Nearest:'TF_Nearest',TF_Bilinear:'TF_Bilinear',TF_Trilinear:'TF_Trilinear',TF_Default:'TF_Default', };
declare type TextureGroup = string | symbol;
declare var TextureGroup = { TEXTUREGROUP_World:'TEXTUREGROUP_World',TEXTUREGROUP_WorldNormalMap:'TEXTUREGROUP_WorldNormalMap',TEXTUREGROUP_WorldSpecular:'TEXTUREGROUP_WorldSpecular',TEXTUREGROUP_Character:'TEXTUREGROUP_Character',TEXTUREGROUP_CharacterNormalMap:'TEXTUREGROUP_CharacterNormalMap',TEXTUREGROUP_CharacterSpecular:'TEXTUREGROUP_CharacterSpecular',TEXTUREGROUP_Weapon:'TEXTUREGROUP_Weapon',TEXTUREGROUP_WeaponNormalMap:'TEXTUREGROUP_WeaponNormalMap',TEXTUREGROUP_WeaponSpecular:'TEXTUREGROUP_WeaponSpecular',TEXTUREGROUP_Vehicle:'TEXTUREGROUP_Vehicle',TEXTUREGROUP_VehicleNormalMap:'TEXTUREGROUP_VehicleNormalMap',TEXTUREGROUP_VehicleSpecular:'TEXTUREGROUP_VehicleSpecular',TEXTUREGROUP_Cinematic:'TEXTUREGROUP_Cinematic',TEXTUREGROUP_Effects:'TEXTUREGROUP_Effects',TEXTUREGROUP_EffectsNotFiltered:'TEXTUREGROUP_EffectsNotFiltered',TEXTUREGROUP_Skybox:'TEXTUREGROUP_Skybox',TEXTUREGROUP_UI:'TEXTUREGROUP_UI',TEXTUREGROUP_Lightmap:'TEXTUREGROUP_Lightmap',TEXTUREGROUP_RenderTarget:'TEXTUREGROUP_RenderTarget',TEXTUREGROUP_MobileFlattened:'TEXTUREGROUP_MobileFlattened',TEXTUREGROUP_ProcBuilding_Face:'TEXTUREGROUP_ProcBuilding_Face',TEXTUREGROUP_ProcBuilding_LightMap:'TEXTUREGROUP_ProcBuilding_LightMap',TEXTUREGROUP_Shadowmap:'TEXTUREGROUP_Shadowmap',TEXTUREGROUP_ColorLookupTable:'TEXTUREGROUP_ColorLookupTable',TEXTUREGROUP_Terrain_Heightmap:'TEXTUREGROUP_Terrain_Heightmap',TEXTUREGROUP_Terrain_Weightmap:'TEXTUREGROUP_Terrain_Weightmap',TEXTUREGROUP_Bokeh:'TEXTUREGROUP_Bokeh',TEXTUREGROUP_IESLightProfile:'TEXTUREGROUP_IESLightProfile',TEXTUREGROUP_Pixels2D:'TEXTUREGROUP_Pixels2D',TEXTUREGROUP_HierarchicalLOD:'TEXTUREGROUP_HierarchicalLOD', };
declare class Texture extends UObject { 
	Source: TextureSource;
	LightingGuid: Guid;
	SourceFilePath: string;
	AssetImportData: AssetImportData;
	AdjustBrightness: number;
	AdjustBrightnessCurve: number;
	AdjustVibrance: number;
	AdjustSaturation: number;
	AdjustRGBCurve: number;
	AdjustHue: number;
	AdjustMinAlpha: number;
	AdjustMaxAlpha: number;
	CompressionNoAlpha: boolean;
	CompressionNone: boolean;
	DeferCompression: boolean;
	MaxTextureSize: number;
	bDitherMipMapAlpha: boolean;
	bPreserveBorder: boolean;
	bFlipGreenChannel: boolean;
	bForcePVRTC4: boolean;
	PowerOfTwoMode: ETexturePowerOfTwoSetting;
	PaddingColor: Color;
	bChromaKeyTexture: boolean;
	ChromaKeyThreshold: number;
	ChromaKeyColor: Color;
	MipGenSettings: TextureMipGenSettings;
	CompositeTexture: Texture;
	CompositeTextureMode: ECompositeTextureMode;
	CompositePower: number;
	LODBias: number;
	NumCinematicMipLevels: number;
	SRGB: boolean;
	bUseLegacyGamma: boolean;
	NeverStream: boolean;
	bNoTiling: boolean;
	bUseCinematicMipLevels: boolean;
	AssetUserData: AssetUserData[];
	CachedCombinedLODBias: number;
	bAsyncResourceReleaseHasBeenStarted: boolean;
	CompressionSettings: TextureCompressionSettings;
	Filter: TextureFilter;
	LODGroup: TextureGroup;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Texture;
	static Find(Outer: UObject, ResourceName: string): Texture;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Texture;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Texture;
	static C(Other: UObject): Texture;
}

declare class Material extends MaterialInterface { 
	PhysMaterial: PhysicalMaterial;
	DiffuseColor: ColorMaterialInput;
	SpecularColor: ColorMaterialInput;
	BaseColor: ColorMaterialInput;
	Metallic: ScalarMaterialInput;
	Specular: ScalarMaterialInput;
	Roughness: ScalarMaterialInput;
	Normal: VectorMaterialInput;
	EmissiveColor: ColorMaterialInput;
	Opacity: ScalarMaterialInput;
	OpacityMask: ScalarMaterialInput;
	MaterialDomain: EMaterialDomain;
	BlendMode: EBlendMode;
	DecalBlendMode: EDecalBlendMode;
	MaterialDecalResponse: EMaterialDecalResponse;
	ShadingModel: EMaterialShadingModel;
	OpacityMaskClipValue: number;
	WorldPositionOffset: VectorMaterialInput;
	WorldDisplacement: VectorMaterialInput;
	TessellationMultiplier: ScalarMaterialInput;
	SubsurfaceColor: ColorMaterialInput;
	ClearCoat: ScalarMaterialInput;
	ClearCoatRoughness: ScalarMaterialInput;
	AmbientOcclusion: ScalarMaterialInput;
	Refraction: ScalarMaterialInput;
	CustomizedUVs: Vector2MaterialInput;
	MaterialAttributes: MaterialAttributesInput;
	PixelDepthOffset: ScalarMaterialInput;
	bEnableSeparateTranslucency: boolean;
	bEnableMobileSeparateTranslucency: boolean;
	bEnableResponsiveAA: boolean;
	bScreenSpaceReflections: boolean;
	TwoSided: boolean;
	DitheredLODTransition: boolean;
	DitherOpacityMask: boolean;
	NumCustomizedUVs: number;
	TranslucencyLightingMode: ETranslucencyLightingMode;
	TranslucencyDirectionalLightingIntensity: number;
	TranslucentShadowDensityScale: number;
	TranslucentSelfShadowDensityScale: number;
	TranslucentSelfShadowSecondDensityScale: number;
	TranslucentSelfShadowSecondOpacity: number;
	TranslucentBackscatteringExponent: number;
	TranslucentMultipleScatteringExtinction: LinearColor;
	TranslucentShadowStartOffset: number;
	bDisableDepthTest: boolean;
	bGenerateSphericalParticleNormals: boolean;
	bTangentSpaceNormal: boolean;
	bUseEmissiveForDynamicAreaLighting: boolean;
	bBlockGI: boolean;
	bUsedAsSpecialEngineMaterial: boolean;
	bUsedWithSkeletalMesh: boolean;
	bUsedWithEditorCompositing: boolean;
	bUsedWithLandscape: boolean;
	bUsedWithParticleSprites: boolean;
	bUsedWithBeamTrails: boolean;
	bUsedWithMeshParticles: boolean;
	bUsedWithStaticLighting: boolean;
	bUsedWithMorphTargets: boolean;
	bUsedWithSplineMeshes: boolean;
	bUsedWithInstancedStaticMeshes: boolean;
	bUsesDistortion: boolean;
	bUsedWithClothing: boolean;
	bUsedWithUI: boolean;
	bAutomaticallySetUsageInEditor: boolean;
	bFullyRough: boolean;
	bUseLightmapDirectionality: boolean;
	bUseHQForwardReflections: boolean;
	bUsePlanarForwardReflections: boolean;
	D3D11TessellationMode: EMaterialTessellationMode;
	bEnableCrackFreeDisplacement: boolean;
	bEnableAdaptiveTessellation: boolean;
	MaxDisplacement: number;
	Wireframe: boolean;
	bOutputVelocityOnBasePass: boolean;
	EditorX: number;
	EditorY: number;
	EditorPitch: number;
	EditorYaw: number;
	Expressions: MaterialExpression[];
	EditorComments: MaterialExpressionComment[];
	MaterialFunctionInfos: MaterialFunctionInfo[];
	MaterialParameterCollectionInfos: MaterialParameterCollectionInfo[];
	bCanMaskedBeAssumedOpaque: boolean;
	bIsMasked: boolean;
	bIsPreviewMaterial: boolean;
	bUseMaterialAttributes: boolean;
	bUseTranslucencyVertexFog: boolean;
	bAllowDevelopmentShaderCompile: boolean;
	bIsMaterialEditorStatsMaterial: boolean;
	UsageFlagWarnings: any;
	BlendableLocation: EBlendableLocation;
	BlendablePriority: number;
	RefractionDepthBias: number;
	StateId: Guid;
	ExpressionTextureReferences: Texture[];
	ReferencedTextureGuids: Guid[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Material;
	static Find(Outer: UObject, ResourceName: string): Material;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Material;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Material;
	static C(Other: UObject): Material;
}

declare type EAttachLocation = string | symbol;
declare var EAttachLocation = { KeepRelativeOffset:'KeepRelativeOffset',KeepWorldPosition:'KeepWorldPosition',SnapToTarget:'SnapToTarget',SnapToTargetIncludingScale:'SnapToTargetIncludingScale', };
declare type EFontCacheType = string | symbol;
declare var EFontCacheType = { Offline:'Offline',Runtime:'Runtime', };
declare class FontCharacter { 
	StartU: number;
	StartV: number;
	USize: number;
	VSize: number;
	TextureIndex: number;
	VerticalOffset: number;
	clone() : FontCharacter;
	static C(Other: UObject): FontCharacter;
}

declare class IntPoint { 
	X: number;
	Y: number;
	clone() : IntPoint;
	static C(Other: UObject): IntPoint;
}

declare type TextureAddress = string | symbol;
declare var TextureAddress = { TA_Wrap:'TA_Wrap',TA_Clamp:'TA_Clamp',TA_Mirror:'TA_Mirror', };
declare type ESlateBrushDrawType = string | symbol;
declare var ESlateBrushDrawType = { NoDrawType:'NoDrawType',Box:'Box',Border:'Border',Image:'Image', };
declare class Margin { 
	Left: number;
	Top: number;
	Right: number;
	Bottom: number;
	clone() : Margin;
	static C(Other: UObject): Margin;
}

declare type ESlateColorStylingMode = string | symbol;
declare var ESlateColorStylingMode = { UseColor_Specified:'UseColor_Specified',UseColor_Specified_Link:'UseColor_Specified_Link',UseColor_Foreground:'UseColor_Foreground',UseColor_Foreground_Subdued:'UseColor_Foreground_Subdued', };
declare class SlateColor { 
	SpecifiedColor: LinearColor;
	ColorUseRule: ESlateColorStylingMode;
	clone() : SlateColor;
	static C(Other: UObject): SlateColor;
	static SlateColor_UseForeground(): SlateColor;
	static SlateColor_UseSubduedForeground(): SlateColor;
}

declare type ESlateBrushTileType = string | symbol;
declare var ESlateBrushTileType = { NoTile:'NoTile',Horizontal:'Horizontal',Vertical:'Vertical',Both:'Both', };
declare type ESlateBrushMirrorType = string | symbol;
declare var ESlateBrushMirrorType = { NoMirror:'NoMirror',Horizontal:'Horizontal',Vertical:'Vertical',Both:'Both', };
declare type ESlateBrushImageType = string | symbol;
declare var ESlateBrushImageType = { NoImage:'NoImage',FullColor:'FullColor',Linear:'Linear', };
declare class Box2D { 
	Min: Vector2D;
	Max: Vector2D;
	IsValid: number;
	clone() : Box2D;
	static C(Other: UObject): Box2D;
}

declare class SlateBrush { 
	ImageSize: Vector2D;
	DrawAs: ESlateBrushDrawType;
	Margin: Margin;
	Tint: LinearColor;
	TintColor: SlateColor;
	Tiling: ESlateBrushTileType;
	Mirroring: ESlateBrushMirrorType;
	ImageType: ESlateBrushImageType;
	ResourceObject: UObject;
	ResourceName: string;
	bIsDynamicallyLoaded: boolean;
	bHasUObject: boolean;
	UVRegion: Box2D;
	clone() : SlateBrush;
	static C(Other: UObject): SlateBrush;
	GetBrushResource(): {Brush: SlateBrush, $: UObject};
	GetBrushResourceAsMaterial(): {Brush: SlateBrush, $: MaterialInterface};
	GetBrushResourceAsTexture2D(): {Brush: SlateBrush, $: Texture2D};
	GetDynamicMaterial(): {Brush: SlateBrush, $: MaterialInstanceDynamic};
	SetBrushResourceToMaterial(Material?: MaterialInterface): {Brush: SlateBrush};
	SetBrushResourceToTexture(Texture?: Texture2D): {Brush: SlateBrush};
	static GetBrushResource(Brush?: SlateBrush): {Brush: SlateBrush, $: UObject};
	static GetBrushResourceAsMaterial(Brush?: SlateBrush): {Brush: SlateBrush, $: MaterialInterface};
	static GetBrushResourceAsTexture2D(Brush?: SlateBrush): {Brush: SlateBrush, $: Texture2D};
	static GetDynamicMaterial(Brush?: SlateBrush): {Brush: SlateBrush, $: MaterialInstanceDynamic};
	static SetBrushResourceToMaterial(Brush?: SlateBrush,Material?: MaterialInterface): {Brush: SlateBrush};
	static SetBrushResourceToTexture(Brush?: SlateBrush,Texture?: Texture2D): {Brush: SlateBrush};
	static NoResourceBrush(): SlateBrush;
}

declare class Texture2D extends Texture { 
	RequestedMips: number;
	ResidentMips: number;
	StreamingIndex: number;
	LevelIndex: number;
	FirstResourceMemMip: number;
	ImportedSize: IntPoint;
	ForceMipLevelsToBeResidentTimestamp: number;
	bTemporarilyDisableStreaming: boolean;
	bIsStreamable: boolean;
	bHasCancelationPending: boolean;
	bForceMiplevelsToBeResident: boolean;
	bGlobalForceMipLevelsToBeResident: boolean;
	bHasBeenPaintedInEditor: boolean;
	AddressX: TextureAddress;
	AddressY: TextureAddress;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Texture2D;
	static Find(Outer: UObject, ResourceName: string): Texture2D;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Texture2D;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Texture2D;
	GetSizeY(): number;
	GetSizeX(): number;
	static C(Other: UObject): Texture2D;
	AddLoadingSplashScreen(TranslationInMeters: Vector,Rotation: Rotator,SizeInMeters: Vector2D,DeltaRotation: Rotator,bClearBeforeAdd: boolean): void;
	MakeBrushFromTexture(Width: number,Height: number): SlateBrush;
	static AddLoadingSplashScreen(Texture: Texture2D,TranslationInMeters: Vector,Rotation: Rotator,SizeInMeters: Vector2D,DeltaRotation: Rotator,bClearBeforeAdd: boolean): void;
	static MakeBrushFromTexture(Texture: Texture2D,Width: number,Height: number): SlateBrush;
}

declare type EFontImportCharacterSet = string | symbol;
declare var EFontImportCharacterSet = { FontICS_Default:'FontICS_Default',FontICS_Ansi:'FontICS_Ansi',FontICS_Symbol:'FontICS_Symbol', };
declare class FontImportOptionsData { 
	FontName: string;
	Height: number;
	bEnableAntialiasing: boolean;
	bEnableBold: boolean;
	bEnableItalic: boolean;
	bEnableUnderline: boolean;
	bAlphaOnly: boolean;
	CharacterSet: EFontImportCharacterSet;
	Chars: string;
	UnicodeRange: string;
	CharsFilePath: string;
	CharsFileWildcard: string;
	bCreatePrintableOnly: boolean;
	bIncludeASCIIRange: boolean;
	ForegroundColor: LinearColor;
	bEnableDropShadow: boolean;
	TexturePageWidth: number;
	TexturePageMaxHeight: number;
	XPadding: number;
	YPadding: number;
	ExtendBoxTop: number;
	ExtendBoxBottom: number;
	ExtendBoxRight: number;
	ExtendBoxLeft: number;
	bEnableLegacyMode: boolean;
	Kerning: number;
	bUseDistanceFieldAlpha: boolean;
	DistanceFieldScaleFactor: number;
	DistanceFieldScanRadiusScale: number;
	clone() : FontImportOptionsData;
	static C(Other: UObject): FontImportOptionsData;
}

declare class FontBulkData extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): FontBulkData;
	static Find(Outer: UObject, ResourceName: string): FontBulkData;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): FontBulkData;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontBulkData;
	static C(Other: UObject): FontBulkData;
}

declare type EFontHinting = string | symbol;
declare var EFontHinting = { Default:'Default',Auto:'Auto',AutoLight:'AutoLight',Monochrome:'Monochrome',None:'None', };
declare class FontData { 
	FontFilename: string;
	BulkDataPtr: FontBulkData;
	Hinting: EFontHinting;
	FontData: number[];
	clone() : FontData;
	static C(Other: UObject): FontData;
}

declare class TypefaceEntry { 
	Name: string;
	Font: FontData;
	clone() : TypefaceEntry;
	static C(Other: UObject): TypefaceEntry;
}

declare class Typeface { 
	Fonts: TypefaceEntry[];
	clone() : Typeface;
	static C(Other: UObject): Typeface;
}

declare type ERangeBoundTypes = string | symbol;
declare var ERangeBoundTypes = { Exclusive:'Exclusive',Inclusive:'Inclusive',Open:'Open', };
declare class Int32RangeBound { 
	Type: ERangeBoundTypes;
	Value: number;
	clone() : Int32RangeBound;
	static C(Other: UObject): Int32RangeBound;
}

declare class Int32Range { 
	LowerBound: Int32RangeBound;
	UpperBound: Int32RangeBound;
	clone() : Int32Range;
	static C(Other: UObject): Int32Range;
}

declare class CompositeSubFont { 
	Typeface: Typeface;
	CharacterRanges: Int32Range[];
	ScalingFactor: number;
	EditorName: string;
	clone() : CompositeSubFont;
	static C(Other: UObject): CompositeSubFont;
}

declare class CompositeFont { 
	DefaultTypeface: Typeface;
	SubTypefaces: CompositeSubFont[];
	clone() : CompositeFont;
	static C(Other: UObject): CompositeFont;
}

declare class Font extends UObject { 
	FontCacheType: EFontCacheType;
	Characters: FontCharacter[];
	Textures: Texture2D[];
	IsRemapped: number;
	EmScale: number;
	Ascent: number;
	Descent: number;
	Leading: number;
	Kerning: number;
	ImportOptions: FontImportOptionsData;
	NumCharacters: number;
	MaxCharHeight: number[];
	ScalingFactor: number;
	LegacyFontSize: number;
	LegacyFontName: string;
	CompositeFont: CompositeFont;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Font;
	static Find(Outer: UObject, ResourceName: string): Font;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Font;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Font;
	static C(Other: UObject): Font;
}

declare class FontParameterValue { 
	ParameterName: string;
	FontValue: Font;
	FontPage: number;
	ExpressionGUID: Guid;
	clone() : FontParameterValue;
	static C(Other: UObject): FontParameterValue;
}

declare class ScalarParameterValue { 
	ParameterName: string;
	ParameterValue: number;
	ExpressionGUID: Guid;
	clone() : ScalarParameterValue;
	static C(Other: UObject): ScalarParameterValue;
}

declare class TextureParameterValue { 
	ParameterName: string;
	ParameterValue: Texture;
	ExpressionGUID: Guid;
	clone() : TextureParameterValue;
	static C(Other: UObject): TextureParameterValue;
}

declare class VectorParameterValue { 
	ParameterName: string;
	ParameterValue: LinearColor;
	ExpressionGUID: Guid;
	clone() : VectorParameterValue;
	static C(Other: UObject): VectorParameterValue;
}

declare class MaterialInstanceBasePropertyOverrides { 
	bOverride_OpacityMaskClipValue: boolean;
	bOverride_BlendMode: boolean;
	bOverride_ShadingModel: boolean;
	bOverride_DitheredLODTransition: boolean;
	bOverride_TwoSided: boolean;
	OpacityMaskClipValue: number;
	BlendMode: EBlendMode;
	ShadingModel: EMaterialShadingModel;
	TwoSided: boolean;
	DitheredLODTransition: boolean;
	clone() : MaterialInstanceBasePropertyOverrides;
	static C(Other: UObject): MaterialInstanceBasePropertyOverrides;
}

declare class MaterialInstance extends MaterialInterface { 
	PhysMaterial: PhysicalMaterial;
	Parent: MaterialInterface;
	bHasStaticPermutationResource: boolean;
	bOverrideSubsurfaceProfile: boolean;
	ParentLightingGuid: Guid;
	FontParameterValues: FontParameterValue[];
	ScalarParameterValues: ScalarParameterValue[];
	TextureParameterValues: TextureParameterValue[];
	VectorParameterValues: VectorParameterValue[];
	bOverrideBaseProperties: boolean;
	BasePropertyOverrides: MaterialInstanceBasePropertyOverrides;
	ReferencedTextureGuids: Guid[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MaterialInstance;
	static Find(Outer: UObject, ResourceName: string): MaterialInstance;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MaterialInstance;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialInstance;
	static C(Other: UObject): MaterialInstance;
}

declare class MaterialInstanceDynamic extends MaterialInstance { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MaterialInstanceDynamic;
	static Find(Outer: UObject, ResourceName: string): MaterialInstanceDynamic;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MaterialInstanceDynamic;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialInstanceDynamic;
	SetVectorParameterValue(ParameterName: string,Value: LinearColor): void;
	SetTextureParameterValue(ParameterName: string,Value: Texture): void;
	SetScalarParameterValue(ParameterName: string,Value: number): void;
	InterpolateMaterialInstanceParameters(SourceA: MaterialInstance,SourceB: MaterialInstance,Alpha: number): void;
	GetVectorParameterValue(ParameterName: string): LinearColor;
	GetTextureParameterValue(ParameterName: string): Texture;
	GetScalarParameterValue(ParameterName: string): number;
	CopyMaterialInstanceParameters(Source: MaterialInterface): void;
	CopyParameterOverrides(MaterialInstance: MaterialInstance): void;
	CopyInterpParameters(Source: MaterialInstance): void;
	static C(Other: UObject): MaterialInstanceDynamic;
}

declare class DecalComponent extends SceneComponent { 
	DecalMaterial: MaterialInterface;
	SortOrder: number;
	FadeScreenSize: number;
	FadeStartDelay: number;
	FadeDuration: number;
	bDestroyOwnerAfterFade: boolean;
	DecalSize: Vector;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DecalComponent;
	static Find(Outer: UObject, ResourceName: string): DecalComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DecalComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DecalComponent;
	SetSortOrder(Value: number): void;
	SetFadeOut(StartDelay: number,Duration: number,DestroyOwnerAfterFade: boolean): void;
	SetDecalMaterial(NewDecalMaterial: MaterialInterface): void;
	GetFadeStartDelay(): number;
	GetFadeDuration(): number;
	GetDecalMaterial(): MaterialInterface;
	CreateDynamicMaterialInstance(): MaterialInstanceDynamic;
	static C(Other: UObject): DecalComponent;
}

declare class MaterialInterface extends UObject { 
	SubsurfaceProfile: SubsurfaceProfile;
	LightmassSettings: LightmassMaterialInterfaceSettings;
	PreviewMesh: StringAssetReference;
	ThumbnailInfo: ThumbnailInfo;
	LightingGuid: Guid;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MaterialInterface;
	static Find(Outer: UObject, ResourceName: string): MaterialInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MaterialInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialInterface;
	GetPhysicalMaterial(): PhysicalMaterial;
	GetBaseMaterial(): Material;
	static C(Other: UObject): MaterialInterface;
	SpawnDecalAttached(DecalSize: Vector,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,LifeSpan: number): DecalComponent;
	MakeBrushFromMaterial(Width: number,Height: number): SlateBrush;
	static SpawnDecalAttached(DecalMaterial: MaterialInterface,DecalSize: Vector,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,LifeSpan: number): DecalComponent;
	static MakeBrushFromMaterial(Material: MaterialInterface,Width: number,Height: number): SlateBrush;
}

declare class OverlapInfo { 
	clone() : OverlapInfo;
	static C(Other: UObject): OverlapInfo;
}

declare type EAutoReceiveInput = string | symbol;
declare var EAutoReceiveInput = { Disabled:'Disabled',Player0:'Player0',Player1:'Player1',Player2:'Player2',Player3:'Player3',Player4:'Player4',Player5:'Player5',Player6:'Player6',Player7:'Player7', };
declare type EAutoPossessAI = string | symbol;
declare var EAutoPossessAI = { Disabled:'Disabled',PlacedInWorld:'PlacedInWorld',Spawned:'Spawned',PlacedInWorldOrSpawned:'PlacedInWorldOrSpawned', };
declare class MeshComponent extends PrimitiveComponent { 
	OverrideMaterials: MaterialInterface[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MeshComponent;
	static Find(Outer: UObject, ResourceName: string): MeshComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MeshComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshComponent;
	SetVectorParameterValueOnMaterials(ParameterName: string,ParameterValue: Vector): void;
	SetScalarParameterValueOnMaterials(ParameterName: string,ParameterValue: number): void;
	GetMaterials(): MaterialInterface[];
	static C(Other: UObject): MeshComponent;
}

declare type EBoneTranslationRetargetingMode = string | symbol;
declare var EBoneTranslationRetargetingMode = { Animation:'Animation',Skeleton:'Skeleton',AnimationScaled:'AnimationScaled',AnimationRelative:'AnimationRelative', };
declare class BoneNode { 
	Name: string;
	ParentIndex: number;
	TranslationRetargetingMode: EBoneTranslationRetargetingMode;
	clone() : BoneNode;
	static C(Other: UObject): BoneNode;
}

declare class SkeletonToMeshLinkup { 
	SkeletonToMeshTable: number[];
	MeshToSkeletonTable: number[];
	clone() : SkeletonToMeshLinkup;
	static C(Other: UObject): SkeletonToMeshLinkup;
}

declare class SkeletalMeshSocket extends UObject { 
	SocketName: string;
	BoneName: string;
	RelativeLocation: Vector;
	RelativeRotation: Rotator;
	RelativeScale: Vector;
	bForceAlwaysAnimated: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SkeletalMeshSocket;
	static Find(Outer: UObject, ResourceName: string): SkeletalMeshSocket;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SkeletalMeshSocket;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshSocket;
	InitializeSocketFromLocation(SkelComp: SkeletalMeshComponent,WorldLocation: Vector,WorldNormal: Vector): void;
	GetSocketLocation(SkelComp: SkeletalMeshComponent): Vector;
	static C(Other: UObject): SkeletalMeshSocket;
}

declare class SmartNameContainer { 
	clone() : SmartNameContainer;
	static C(Other: UObject): SmartNameContainer;
}

declare class BoneReference { 
	BoneName: string;
	clone() : BoneReference;
	static C(Other: UObject): BoneReference;
}

declare class BlendProfileBoneEntry { 
	BoneReference: BoneReference;
	BlendScale: number;
	clone() : BlendProfileBoneEntry;
	static C(Other: UObject): BlendProfileBoneEntry;
}

declare class BlendProfile extends UObject { 
	OwningSkeleton: Skeleton;
	ProfileEntries: BlendProfileBoneEntry[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlendProfile;
	static Find(Outer: UObject, ResourceName: string): BlendProfile;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlendProfile;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendProfile;
	static C(Other: UObject): BlendProfile;
}

declare class AnimSlotGroup { 
	GroupName: string;
	SlotNames: string[];
	clone() : AnimSlotGroup;
	static C(Other: UObject): AnimSlotGroup;
}

declare type EConstraintTransform = string | symbol;
declare var EConstraintTransform = { Absolute:'Absolute',Relative:'Relative', };
declare class RigTransformConstraint { 
	TranformType: EConstraintTransform;
	ParentSpace: string;
	Weight: number;
	clone() : RigTransformConstraint;
	static C(Other: UObject): RigTransformConstraint;
}

declare class TransformBaseConstraint { 
	TransformConstraints: RigTransformConstraint[];
	clone() : TransformBaseConstraint;
	static C(Other: UObject): TransformBaseConstraint;
}

declare class TransformBase { 
	UNode: string;
	Constraints: TransformBaseConstraint;
	clone() : TransformBase;
	static C(Other: UObject): TransformBase;
}

declare class UNode { 
	Name: string;
	ParentName: string;
	Transform: Transform;
	DisplayName: string;
	bAdvanced: boolean;
	clone() : UNode;
	static C(Other: UObject): UNode;
}

declare class Rig extends UObject { 
	TransformBases: TransformBase[];
	Nodes: UNode[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Rig;
	static Find(Outer: UObject, ResourceName: string): Rig;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Rig;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Rig;
	static C(Other: UObject): Rig;
}

declare class NameMapping { 
	NodeName: string;
	BoneName: string;
	clone() : NameMapping;
	static C(Other: UObject): NameMapping;
}

declare class RigConfiguration { 
	Rig: Rig;
	BoneMappingTable: NameMapping[];
	clone() : RigConfiguration;
	static C(Other: UObject): RigConfiguration;
}

declare class PreviewAttachedObjectPair { 
	AttachedObject: any;
	UObject: UObject;
	AttachedTo: string;
	clone() : PreviewAttachedObjectPair;
	static C(Other: UObject): PreviewAttachedObjectPair;
}

declare class PreviewAssetAttachContainer { 
	AttachedObjects: PreviewAttachedObjectPair[];
	clone() : PreviewAssetAttachContainer;
	static C(Other: UObject): PreviewAssetAttachContainer;
}

declare class Skeleton extends UObject { 
	BoneTree: BoneNode[];
	RefLocalPoses: Transform[];
	LinkupCache: SkeletonToMeshLinkup[];
	Sockets: SkeletalMeshSocket[];
	SmartNames: SmartNameContainer;
	BlendProfiles: BlendProfile[];
	SlotGroups: AnimSlotGroup[];
	PreviewSkeletalMesh: any;
	RigConfig: RigConfiguration;
	AnimationNotifies: string[];
	PreviewAttachedAssetContainer: PreviewAssetAttachContainer;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Skeleton;
	static Find(Outer: UObject, ResourceName: string): Skeleton;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Skeleton;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Skeleton;
	static C(Other: UObject): Skeleton;
}

declare class BoxSphereBounds { 
	Origin: Vector;
	BoxExtent: Vector;
	SphereRadius: number;
	clone() : BoxSphereBounds;
	static C(Other: UObject): BoxSphereBounds;
}

declare class SkeletalMaterial { 
	MaterialInterface: MaterialInterface;
	bEnableShadowCasting: boolean;
	bRecomputeTangent: boolean;
	clone() : SkeletalMaterial;
	static C(Other: UObject): SkeletalMaterial;
}

declare type EAxis = string | symbol;
declare var EAxis = { None:'None',X:'X',Y:'Y',Z:'Z', };
declare class BoneMirrorInfo { 
	SourceIndex: number;
	BoneFlipAxis: EAxis;
	clone() : BoneMirrorInfo;
	static C(Other: UObject): BoneMirrorInfo;
}

declare type ETriangleSortOption = string | symbol;
declare var ETriangleSortOption = { TRISORT_None:'TRISORT_None',TRISORT_CenterRadialDistance:'TRISORT_CenterRadialDistance',TRISORT_Random:'TRISORT_Random',TRISORT_MergeContiguous:'TRISORT_MergeContiguous',TRISORT_Custom:'TRISORT_Custom',TRISORT_CustomLeftRight:'TRISORT_CustomLeftRight', };
declare type ETriangleSortAxis = string | symbol;
declare var ETriangleSortAxis = { TSA_X_Axis:'TSA_X_Axis',TSA_Y_Axis:'TSA_Y_Axis',TSA_Z_Axis:'TSA_Z_Axis', };
declare class TriangleSortSettings { 
	TriangleSorting: ETriangleSortOption;
	CustomLeftRightAxis: ETriangleSortAxis;
	CustomLeftRightBoneName: string;
	clone() : TriangleSortSettings;
	static C(Other: UObject): TriangleSortSettings;
}

declare type SkeletalMeshOptimizationType = string | symbol;
declare var SkeletalMeshOptimizationType = { SMOT_NumOfTriangles:'SMOT_NumOfTriangles',SMOT_MaxDeviation:'SMOT_MaxDeviation', };
declare type SkeletalMeshOptimizationImportance = string | symbol;
declare var SkeletalMeshOptimizationImportance = { SMOI_Off:'SMOI_Off',SMOI_Lowest:'SMOI_Lowest',SMOI_Low:'SMOI_Low',SMOI_Normal:'SMOI_Normal',SMOI_High:'SMOI_High',SMOI_Highest:'SMOI_Highest', };
declare class SkeletalMeshOptimizationSettings { 
	ReductionMethod: SkeletalMeshOptimizationType;
	NumOfTrianglesPercentage: number;
	MaxDeviationPercentage: number;
	WeldingThreshold: number;
	bRecalcNormals: boolean;
	NormalsThreshold: number;
	SilhouetteImportance: SkeletalMeshOptimizationImportance;
	TextureImportance: SkeletalMeshOptimizationImportance;
	ShadingImportance: SkeletalMeshOptimizationImportance;
	SkinningImportance: SkeletalMeshOptimizationImportance;
	BoneReductionRatio: number;
	MaxBonesPerVertex: number;
	BonesToRemove: BoneReference[];
	BaseLOD: number;
	clone() : SkeletalMeshOptimizationSettings;
	static C(Other: UObject): SkeletalMeshOptimizationSettings;
}

declare class SkeletalMeshLODInfo { 
	ScreenSize: number;
	LODHysteresis: number;
	LODMaterialMap: number[];
	bEnableShadowCasting: boolean[];
	TriangleSortSettings: TriangleSortSettings[];
	bHasBeenSimplified: boolean;
	ReductionSettings: SkeletalMeshOptimizationSettings;
	RemovedBones: string[];
	clone() : SkeletalMeshLODInfo;
	static C(Other: UObject): SkeletalMeshLODInfo;
}

declare class KShapeElem { 
	clone() : KShapeElem;
	static C(Other: UObject): KShapeElem;
}

declare class Matrix { 
	XPlane: Plane;
	YPlane: Plane;
	ZPlane: Plane;
	WPlane: Plane;
	clone() : Matrix;
	static C(Other: UObject): Matrix;
}

declare class KSphereElem extends KShapeElem { 
	TM: Matrix;
	Center: Vector;
	Radius: number;
	clone() : KSphereElem;
	static C(Other: UObject): KSphereElem;
}

declare class KBoxElem extends KShapeElem { 
	TM: Matrix;
	Center: Vector;
	Orientation: Quat;
	X: number;
	Y: number;
	Z: number;
	clone() : KBoxElem;
	static C(Other: UObject): KBoxElem;
}

declare class KSphylElem extends KShapeElem { 
	TM: Matrix;
	Center: Vector;
	Orientation: Quat;
	Radius: number;
	Length: number;
	clone() : KSphylElem;
	static C(Other: UObject): KSphylElem;
}

declare class Box { 
	Min: Vector;
	Max: Vector;
	IsValid: number;
	clone() : Box;
	static C(Other: UObject): Box;
}

declare class KConvexElem extends KShapeElem { 
	VertexData: Vector[];
	ElemBox: Box;
	Transform: Transform;
	clone() : KConvexElem;
	static C(Other: UObject): KConvexElem;
}

declare class KAggregateGeom { 
	SphereElems: KSphereElem[];
	BoxElems: KBoxElem[];
	SphylElems: KSphylElem[];
	ConvexElems: KConvexElem[];
	clone() : KAggregateGeom;
	static C(Other: UObject): KAggregateGeom;
}

declare type EPhysicsType = string | symbol;
declare var EPhysicsType = { PhysType_Default:'PhysType_Default',PhysType_Kinematic:'PhysType_Kinematic',PhysType_Simulated:'PhysType_Simulated', };
declare type EBodyCollisionResponse = string | symbol;
declare var EBodyCollisionResponse = { BodyCollision_Enabled:'BodyCollision_Enabled',BodyCollision_Disabled:'BodyCollision_Disabled', };
declare type ECollisionTraceFlag = string | symbol;
declare var ECollisionTraceFlag = { CTF_UseDefault:'CTF_UseDefault',CTF_UseSimpleAsComplex:'CTF_UseSimpleAsComplex',CTF_UseComplexAsSimple:'CTF_UseComplexAsSimple', };
declare class BodySetup extends UObject { 
	AggGeom: KAggregateGeom;
	BoneName: string;
	PhysicsType: EPhysicsType;
	bAlwaysFullAnimWeight: boolean;
	bConsiderForBounds: boolean;
	bMeshCollideAll: boolean;
	bDoubleSidedGeometry: boolean;
	bGenerateNonMirroredCollision: boolean;
	bSharedCookedData: boolean;
	bGenerateMirroredCollision: boolean;
	PhysMaterial: PhysicalMaterial;
	CollisionReponse: EBodyCollisionResponse;
	CollisionTraceFlag: ECollisionTraceFlag;
	DefaultInstance: BodyInstance;
	WalkableSlopeOverride: WalkableSlopeOverride;
	BuildScale: number;
	BuildScale3D: Vector;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BodySetup;
	static Find(Outer: UObject, ResourceName: string): BodySetup;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BodySetup;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BodySetup;
	static C(Other: UObject): BodySetup;
}

declare type ELinearConstraintMotion = string | symbol;
declare var ELinearConstraintMotion = { LCM_Free:'LCM_Free',LCM_Limited:'LCM_Limited',LCM_Locked:'LCM_Locked', };
declare type EAngularConstraintMotion = string | symbol;
declare var EAngularConstraintMotion = { ACM_Free:'ACM_Free',ACM_Limited:'ACM_Limited',ACM_Locked:'ACM_Locked', };
declare type EAngularDriveMode = string | symbol;
declare var EAngularDriveMode = { SLERP:'SLERP',TwistAndSwing:'TwistAndSwing', };
declare class ConstraintInstance { 
	OwnerComponent: SceneComponent;
	JointName: string;
	ConstraintBone1: string;
	ConstraintBone2: string;
	Pos1: Vector;
	PriAxis1: Vector;
	SecAxis1: Vector;
	Pos2: Vector;
	PriAxis2: Vector;
	SecAxis2: Vector;
	bDisableCollision: boolean;
	bEnableProjection: boolean;
	ProjectionLinearTolerance: number;
	ProjectionAngularTolerance: number;
	LinearXMotion: ELinearConstraintMotion;
	LinearYMotion: ELinearConstraintMotion;
	LinearZMotion: ELinearConstraintMotion;
	LinearLimitSize: number;
	bLinearLimitSoft: boolean;
	LinearLimitStiffness: number;
	LinearLimitDamping: number;
	bLinearBreakable: boolean;
	LinearBreakThreshold: number;
	AngularSwing1Motion: EAngularConstraintMotion;
	AngularTwistMotion: EAngularConstraintMotion;
	AngularSwing2Motion: EAngularConstraintMotion;
	bSwingLimitSoft: boolean;
	bTwistLimitSoft: boolean;
	Swing1LimitAngle: number;
	TwistLimitAngle: number;
	Swing2LimitAngle: number;
	SwingLimitStiffness: number;
	SwingLimitDamping: number;
	TwistLimitStiffness: number;
	TwistLimitDamping: number;
	AngularRotationOffset: Rotator;
	bAngularBreakable: boolean;
	AngularBreakThreshold: number;
	bScaleLinearLimits: boolean;
	bLinearXPositionDrive: boolean;
	bLinearXVelocityDrive: boolean;
	bLinearYPositionDrive: boolean;
	bLinearYVelocityDrive: boolean;
	bLinearZPositionDrive: boolean;
	bLinearZVelocityDrive: boolean;
	bLinearPositionDrive: boolean;
	bLinearVelocityDrive: boolean;
	LinearPositionTarget: Vector;
	LinearVelocityTarget: Vector;
	LinearDriveSpring: number;
	LinearDriveDamping: number;
	LinearDriveForceLimit: number;
	bSwingPositionDrive: boolean;
	bSwingVelocityDrive: boolean;
	bTwistPositionDrive: boolean;
	bTwistVelocityDrive: boolean;
	bAngularSlerpDrive: boolean;
	bAngularOrientationDrive: boolean;
	bEnableSwingDrive: boolean;
	bEnableTwistDrive: boolean;
	bAngularVelocityDrive: boolean;
	AngularPositionTarget: Quat;
	AngularDriveMode: EAngularDriveMode;
	AngularOrientationTarget: Rotator;
	AngularVelocityTarget: Vector;
	AngularDriveSpring: number;
	AngularDriveDamping: number;
	AngularDriveForceLimit: number;
	clone() : ConstraintInstance;
	static C(Other: UObject): ConstraintInstance;
}

declare class PhysicsConstraintTemplate extends UObject { 
	JointName: string;
	ConstraintBone1: string;
	ConstraintBone2: string;
	Pos1: Vector;
	PriAxis1: Vector;
	SecAxis1: Vector;
	Pos2: Vector;
	PriAxis2: Vector;
	SecAxis2: Vector;
	bEnableProjection: boolean;
	ProjectionLinearTolerance: number;
	ProjectionAngularTolerance: number;
	LinearXMotion: ELinearConstraintMotion;
	LinearYMotion: ELinearConstraintMotion;
	LinearZMotion: ELinearConstraintMotion;
	LinearLimitSize: number;
	bLinearLimitSoft: boolean;
	LinearLimitStiffness: number;
	LinearLimitDamping: number;
	bLinearBreakable: boolean;
	LinearBreakThreshold: number;
	AngularSwing1Motion: EAngularConstraintMotion;
	AngularSwing2Motion: EAngularConstraintMotion;
	AngularTwistMotion: EAngularConstraintMotion;
	bSwingLimitSoft: boolean;
	bTwistLimitSoft: boolean;
	Swing1LimitAngle: number;
	Swing2LimitAngle: number;
	TwistLimitAngle: number;
	SwingLimitStiffness: number;
	SwingLimitDamping: number;
	TwistLimitStiffness: number;
	TwistLimitDamping: number;
	bAngularBreakable: boolean;
	AngularBreakThreshold: number;
	DefaultInstance: ConstraintInstance;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PhysicsConstraintTemplate;
	static Find(Outer: UObject, ResourceName: string): PhysicsConstraintTemplate;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PhysicsConstraintTemplate;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsConstraintTemplate;
	static C(Other: UObject): PhysicsConstraintTemplate;
}

declare class PhysicsAsset extends UObject { 
	DefaultSkelMesh: SkeletalMesh;
	PreviewSkeletalMesh: any;
	BodySetup: BodySetup[];
	BoundsBodies: number[];
	ConstraintSetup: PhysicsConstraintTemplate[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PhysicsAsset;
	static Find(Outer: UObject, ResourceName: string): PhysicsAsset;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PhysicsAsset;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsAsset;
	static C(Other: UObject): PhysicsAsset;
}

declare class VertexAnimBase extends UObject { 
	BaseSkelMesh: SkeletalMesh;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): VertexAnimBase;
	static Find(Outer: UObject, ResourceName: string): VertexAnimBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): VertexAnimBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VertexAnimBase;
	static C(Other: UObject): VertexAnimBase;
}

declare class MorphTarget extends VertexAnimBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MorphTarget;
	static Find(Outer: UObject, ResourceName: string): MorphTarget;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MorphTarget;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MorphTarget;
	static C(Other: UObject): MorphTarget;
}

declare class ClothPhysicsProperties { 
	VerticalResistance: number;
	HorizontalResistance: number;
	BendResistance: number;
	ShearResistance: number;
	Friction: number;
	Damping: number;
	TetherStiffness: number;
	TetherLimit: number;
	Drag: number;
	StiffnessFrequency: number;
	GravityScale: number;
	MassScale: number;
	InertiaBlend: number;
	SelfCollisionThickness: number;
	SelfCollisionSquashScale: number;
	SelfCollisionStiffness: number;
	SolverFrequency: number;
	FiberCompression: number;
	FiberExpansion: number;
	FiberResistance: number;
	clone() : ClothPhysicsProperties;
	static C(Other: UObject): ClothPhysicsProperties;
}

declare class ClothingAssetData { 
	AssetName: string;
	ApexFileName: string;
	bClothPropertiesChanged: boolean;
	PhysicsProperties: ClothPhysicsProperties;
	clone() : ClothingAssetData;
	static C(Other: UObject): ClothingAssetData;
}

declare class SkeletalMesh extends UObject { 
	Skeleton: Skeleton;
	ImportedBounds: BoxSphereBounds;
	ExtendedBounds: BoxSphereBounds;
	PositiveBoundsExtension: Vector;
	NegativeBoundsExtension: Vector;
	Materials: SkeletalMaterial[];
	SkelMirrorTable: BoneMirrorInfo[];
	SkelMirrorAxis: EAxis;
	SkelMirrorFlipAxis: EAxis;
	LODInfo: SkeletalMeshLODInfo[];
	bUseFullPrecisionUVs: boolean;
	bHasBeenSimplified: boolean;
	bHasVertexColors: boolean;
	bEnablePerPolyCollision: boolean;
	BodySetup: BodySetup;
	PhysicsAsset: PhysicsAsset;
	ShadowPhysicsAsset: PhysicsAsset;
	AssetImportData: AssetImportData;
	SourceFilePath: string;
	SourceFileTimestamp: string;
	ThumbnailInfo: ThumbnailInfo;
	OptimizationSettings: SkeletalMeshOptimizationSettings[];
	PreviewAttachedAssetContainer: PreviewAssetAttachContainer;
	StreamingDistanceMultiplier: number;
	MorphTargets: MorphTarget[];
	SelectedEditorSection: number;
	SelectedClothingSection: number;
	FloorOffset: number;
	RetargetBasePose: Transform[];
	ClothingAssets: ClothingAssetData[];
	AssetUserData: AssetUserData[];
	Sockets: SkeletalMeshSocket[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SkeletalMesh;
	static Find(Outer: UObject, ResourceName: string): SkeletalMesh;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SkeletalMesh;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMesh;
	NumSockets(): number;
	IsSectionUsingCloth(InSectionIndex: number,bCheckCorrespondingSections: boolean): boolean;
	GetSocketByIndex(Index: number): SkeletalMeshSocket;
	GetImportedBounds(): BoxSphereBounds;
	GetBounds(): BoxSphereBounds;
	FindSocketAndIndex(InSocketName: string,OutIndex?: number): {OutIndex: number, $: SkeletalMeshSocket};
	FindSocket(InSocketName: string): SkeletalMeshSocket;
	static C(Other: UObject): SkeletalMesh;
}

declare class ActiveVertexAnim { 
	VertAnim: VertexAnimBase;
	Weight: number;
	Time: number;
	clone() : ActiveVertexAnim;
	static C(Other: UObject): ActiveVertexAnim;
}

declare class SkelMeshComponentLODInfo { 
	HiddenMaterials: boolean[];
	clone() : SkelMeshComponentLODInfo;
	static C(Other: UObject): SkelMeshComponentLODInfo;
}

declare type EMeshComponentUpdateFlag = string | symbol;
declare var EMeshComponentUpdateFlag = { AlwaysTickPoseAndRefreshBones:'AlwaysTickPoseAndRefreshBones',AlwaysTickPose:'AlwaysTickPose',OnlyTickPoseWhenRendered:'OnlyTickPoseWhenRendered', };
declare type EPhysBodyOp = string | symbol;
declare var EPhysBodyOp = { PBO_None:'PBO_None',PBO_Term:'PBO_Term',PBO_Disable:'PBO_Disable', };
declare class SkinnedMeshComponent extends MeshComponent { 
	SkeletalMesh: SkeletalMesh;
	MasterPoseComponent: any;
	bUseBoundsFromMasterPoseComponent: boolean;
	ActiveVertexAnims: ActiveVertexAnim[];
	ChunkIndexPreview: number;
	SectionIndexPreview: number;
	PhysicsAssetOverride: PhysicsAsset;
	ForcedLodModel: number;
	MinLodModel: number;
	PredictedLODLevel: number;
	OldPredictedLODLevel: number;
	MaxDistanceFactor: number;
	LODInfo: SkelMeshComponentLODInfo[];
	StreamingDistanceMultiplier: number;
	WireframeColor: Color;
	bForceWireframe: boolean;
	bDisplayBones: boolean;
	bDisableMorphTarget: boolean;
	bHideSkin: boolean;
	bPerBoneMotionBlur: boolean;
	bComponentUseFixedSkelBounds: boolean;
	bConsiderAllBodiesForBounds: boolean;
	MeshComponentUpdateFlag: EMeshComponentUpdateFlag;
	bForceMeshObjectUpdate: boolean;
	bCanHighlightSelectedSections: boolean;
	bRecentlyRendered: boolean;
	ProgressiveDrawingFraction: number;
	CustomSortAlternateIndexMode: number;
	bCastCapsuleDirectShadow: boolean;
	bCastCapsuleIndirectShadow: boolean;
	CachedLocalBounds: BoxSphereBounds;
	bCachedLocalBoundsUpToDate: boolean;
	bEnableUpdateRateOptimizations: boolean;
	bDisplayDebugUpdateRateOptimizations: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SkinnedMeshComponent;
	static Find(Outer: UObject, ResourceName: string): SkinnedMeshComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SkinnedMeshComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkinnedMeshComponent;
	UnHideBoneByName(BoneName: string): void;
	TransformToBoneSpace(BoneName: string,InPosition: Vector,InRotation: Rotator,OutPosition?: Vector,OutRotation?: Rotator): {OutPosition: Vector, OutRotation: Rotator};
	TransformFromBoneSpace(BoneName: string,InPosition: Vector,InRotation: Rotator,OutPosition?: Vector,OutRotation?: Rotator): {OutPosition: Vector, OutRotation: Rotator};
	SetSkeletalMesh(NewMesh: SkeletalMesh,bReinitPose: boolean): void;
	SetPhysicsAsset(NewPhysicsAsset: PhysicsAsset,bForceReInit: boolean): void;
	SetMinLOD(InNewMinLOD: number): void;
	SetMasterPoseComponent(NewMasterBoneComponent: SkinnedMeshComponent): void;
	SetForcedLOD(InNewForcedLOD: number): void;
	IsBoneHiddenByName(BoneName: string): boolean;
	HideBoneByName(BoneName: string,PhysBodyOption: EPhysBodyOp): void;
	GetSocketBoneName(InSocketName: string): string;
	GetParentBone(BoneName: string): string;
	GetNumBones(): number;
	GetBoneName(BoneIndex: number): string;
	GetBoneIndex(BoneName: string): number;
	FindClosestBone(TestLocation: Vector,BoneLocation?: Vector,IgnoreScale?: number,bRequirePhysicsAsset?: boolean): {BoneLocation: Vector, $: string};
	BoneIsChildOf(BoneName: string,ParentBoneName: string): boolean;
	static C(Other: UObject): SkinnedMeshComponent;
}

declare type EAnimationMode = string | symbol;
declare var EAnimationMode = { AnimationBlueprint:'AnimationBlueprint',AnimationSingleNode:'AnimationSingleNode', };
declare class BlueprintCore extends UObject { 
	SkeletonGeneratedClass: UnrealEngineClass;
	GeneratedClass: UnrealEngineClass;
	bLegacyNeedToPurgeSkelRefs: boolean;
	bLegacyGeneratedClassIsAuthoritative: boolean;
	BlueprintGuid: Guid;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintCore;
	static Find(Outer: UObject, ResourceName: string): BlueprintCore;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintCore;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintCore;
	static C(Other: UObject): BlueprintCore;
}

declare type EBlueprintCompileMode = string | symbol;
declare var EBlueprintCompileMode = { Default:'Default',Development:'Development',FinalRelease:'FinalRelease', };
declare class Struct extends Field { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Struct;
	static Find(Outer: UObject, ResourceName: string): Struct;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Struct;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Struct;
	static C(Other: UObject): Struct;
}

declare class BlueprintComponentChangedPropertyInfo { 
	PropertyName: string;
	ArrayIndex: number;
	PropertyScope: Struct;
	clone() : BlueprintComponentChangedPropertyInfo;
	static C(Other: UObject): BlueprintComponentChangedPropertyInfo;
}

declare class BlueprintCookedComponentInstancingData { 
	bIsValid: boolean;
	ChangedPropertyList: BlueprintComponentChangedPropertyInfo[];
	clone() : BlueprintCookedComponentInstancingData;
	static C(Other: UObject): BlueprintCookedComponentInstancingData;
}

declare class BPVariableMetaDataEntry { 
	DataKey: string;
	DataValue: string;
	clone() : BPVariableMetaDataEntry;
	static C(Other: UObject): BPVariableMetaDataEntry;
}

declare class SCS_Node extends UObject { 
	ComponentTemplate: ActorComponent;
	CookedComponentInstancingData: BlueprintCookedComponentInstancingData;
	VariableName: string;
	CategoryName: string;
	AttachToName: string;
	ParentComponentOrVariableName: string;
	ParentComponentOwnerClassName: string;
	bIsParentComponentNative: boolean;
	ChildNodes: SCS_Node[];
	MetaDataArray: BPVariableMetaDataEntry[];
	VariableGuid: Guid;
	bIsFalseRoot: boolean;
	bIsNative: boolean;
	NativeComponentName: string;
	bVariableNameAutoGenerated: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SCS_Node;
	static Find(Outer: UObject, ResourceName: string): SCS_Node;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SCS_Node;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SCS_Node;
	static C(Other: UObject): SCS_Node;
}

declare class SimpleConstructionScript extends UObject { 
	RootNodes: SCS_Node[];
	AllNodes: SCS_Node[];
	DefaultSceneRootNode: SCS_Node;
	RootNode: SCS_Node;
	ActorComponentNodes: SCS_Node[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SimpleConstructionScript;
	static Find(Outer: UObject, ResourceName: string): SimpleConstructionScript;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SimpleConstructionScript;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SimpleConstructionScript;
	static C(Other: UObject): SimpleConstructionScript;
}

declare class EdGraphSchema extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EdGraphSchema;
	static Find(Outer: UObject, ResourceName: string): EdGraphSchema;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EdGraphSchema;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EdGraphSchema;
	static C(Other: UObject): EdGraphSchema;
}

declare type EEdGraphPinDirection = string | symbol;
declare var EEdGraphPinDirection = { EGPD_Input:'EGPD_Input',EGPD_Output:'EGPD_Output', };
declare class EdGraphPinType { 
	PinCategory: string;
	PinSubCategory: string;
	PinSubCategoryObject: any;
	PinSubCategoryMemberReference: SimpleMemberReference;
	bIsArray: boolean;
	bIsReference: boolean;
	bIsConst: boolean;
	bIsWeakPointer: boolean;
	clone() : EdGraphPinType;
	static C(Other: UObject): EdGraphPinType;
}

declare class EdGraphPin extends UObject { 
	PinName: string;
	PinFriendlyName: string;
	PinToolTip: string;
	Direction: EEdGraphPinDirection;
	PinType: EdGraphPinType;
	DefaultValue: string;
	AutogeneratedDefaultValue: string;
	DefaultObject: UObject;
	DefaultTextValue: string;
	LinkedTo: EdGraphPin[];
	SubPins: EdGraphPin[];
	ParentPin: EdGraphPin;
	ReferencePassThroughConnection: EdGraphPin;
	bHidden: boolean;
	bNotConnectable: boolean;
	bDefaultValueIsReadOnly: boolean;
	bDefaultValueIsIgnored: boolean;
	bIsDiffing: boolean;
	bAdvancedView: boolean;
	bDisplayAsMutableRef: boolean;
	PersistentGuid: Guid;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EdGraphPin;
	static Find(Outer: UObject, ResourceName: string): EdGraphPin;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EdGraphPin;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EdGraphPin;
	static C(Other: UObject): EdGraphPin;
}

declare type ENodeAdvancedPins = string | symbol;
declare var ENodeAdvancedPins = { NoPins:'NoPins',Shown:'Shown',Hidden:'Hidden', };
declare type ENodeEnabledState = string | symbol;
declare var ENodeEnabledState = { Enabled:'Enabled',Disabled:'Disabled',DevelopmentOnly:'DevelopmentOnly', };
declare class EdGraphNode extends UObject { 
	Pins: EdGraphPin[];
	NodePosX: number;
	NodePosY: number;
	NodeWidth: number;
	NodeHeight: number;
	bCanResizeNode: boolean;
	bHasCompilerMessage: boolean;
	bCanRenameNode: boolean;
	NodeUpgradeMessage: string;
	NodeComment: string;
	bCommentBubblePinned: boolean;
	bCommentBubbleVisible: boolean;
	ErrorType: number;
	ErrorMsg: string;
	NodeGuid: Guid;
	AdvancedPinDisplay: ENodeAdvancedPins;
	EnabledState: ENodeEnabledState;
	bUserSetEnabledState: boolean;
	bIsNodeEnabled: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EdGraphNode;
	static Find(Outer: UObject, ResourceName: string): EdGraphNode;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EdGraphNode;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EdGraphNode;
	static C(Other: UObject): EdGraphNode;
}

declare class EdGraph extends UObject { 
	Schema: UnrealEngineClass;
	Nodes: EdGraphNode[];
	bEditable: boolean;
	bAllowDeletion: boolean;
	bAllowRenaming: boolean;
	SubGraphs: EdGraph[];
	GraphGuid: Guid;
	InterfaceGuid: Guid;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EdGraph;
	static Find(Outer: UObject, ResourceName: string): EdGraph;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EdGraph;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EdGraph;
	static C(Other: UObject): EdGraph;
}

declare type ETimelineLengthMode = string | symbol;
declare var ETimelineLengthMode = { TL_TimelineLength:'TL_TimelineLength',TL_LastKeyFrame:'TL_LastKeyFrame', };
declare class TTTrackBase { 
	TrackName: string;
	bIsExternalCurve: boolean;
	clone() : TTTrackBase;
	static C(Other: UObject): TTTrackBase;
}

declare class CurveBase extends UObject { 
	AssetImportData: AssetImportData;
	ImportPath: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CurveBase;
	static Find(Outer: UObject, ResourceName: string): CurveBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CurveBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveBase;
	GetValueRange(MinValue?: number,MaxValue?: number): {MinValue: number, MaxValue: number};
	GetTimeRange(MinTime?: number,MaxTime?: number): {MinTime: number, MaxTime: number};
	static C(Other: UObject): CurveBase;
}

declare class KeyHandleMap { 
	clone() : KeyHandleMap;
	static C(Other: UObject): KeyHandleMap;
}

declare class IndexedCurve { 
	KeyHandlesToIndices: KeyHandleMap;
	clone() : IndexedCurve;
	static C(Other: UObject): IndexedCurve;
}

declare type ERichCurveExtrapolation = string | symbol;
declare var ERichCurveExtrapolation = { RCCE_Cycle:'RCCE_Cycle',RCCE_CycleWithOffset:'RCCE_CycleWithOffset',RCCE_Oscillate:'RCCE_Oscillate',RCCE_Linear:'RCCE_Linear',RCCE_Constant:'RCCE_Constant',RCCE_None:'RCCE_None', };
declare type ERichCurveInterpMode = string | symbol;
declare var ERichCurveInterpMode = { RCIM_Linear:'RCIM_Linear',RCIM_Constant:'RCIM_Constant',RCIM_Cubic:'RCIM_Cubic',RCIM_None:'RCIM_None', };
declare type ERichCurveTangentMode = string | symbol;
declare var ERichCurveTangentMode = { RCTM_Auto:'RCTM_Auto',RCTM_User:'RCTM_User',RCTM_Break:'RCTM_Break',RCTM_None:'RCTM_None', };
declare type ERichCurveTangentWeightMode = string | symbol;
declare var ERichCurveTangentWeightMode = { RCTWM_WeightedNone:'RCTWM_WeightedNone',RCTWM_WeightedArrive:'RCTWM_WeightedArrive',RCTWM_WeightedLeave:'RCTWM_WeightedLeave',RCTWM_WeightedBoth:'RCTWM_WeightedBoth', };
declare class RichCurveKey { 
	InterpMode: ERichCurveInterpMode;
	TangentMode: ERichCurveTangentMode;
	TangentWeightMode: ERichCurveTangentWeightMode;
	Time: number;
	Value: number;
	ArriveTangent: number;
	ArriveTangentWeight: number;
	LeaveTangent: number;
	LeaveTangentWeight: number;
	clone() : RichCurveKey;
	static C(Other: UObject): RichCurveKey;
}

declare class RichCurve extends IndexedCurve { 
	PreInfinityExtrap: ERichCurveExtrapolation;
	PostInfinityExtrap: ERichCurveExtrapolation;
	Keys: RichCurveKey[];
	DefaultValue: number;
	clone() : RichCurve;
	static C(Other: UObject): RichCurve;
}

declare class CurveFloat extends CurveBase { 
	FloatCurve: RichCurve;
	bIsEventCurve: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CurveFloat;
	static Find(Outer: UObject, ResourceName: string): CurveFloat;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CurveFloat;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveFloat;
	GetFloatValue(InTime: number): number;
	static C(Other: UObject): CurveFloat;
}

declare class TTEventTrack extends TTTrackBase { 
	CurveKeys: CurveFloat;
	clone() : TTEventTrack;
	static C(Other: UObject): TTEventTrack;
}

declare class TTFloatTrack extends TTTrackBase { 
	CurveFloat: CurveFloat;
	clone() : TTFloatTrack;
	static C(Other: UObject): TTFloatTrack;
}

declare class CurveVector extends CurveBase { 
	FloatCurves: RichCurve;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CurveVector;
	static Find(Outer: UObject, ResourceName: string): CurveVector;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CurveVector;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveVector;
	GetVectorValue(InTime: number): Vector;
	static C(Other: UObject): CurveVector;
}

declare class TTVectorTrack extends TTTrackBase { 
	CurveVector: CurveVector;
	clone() : TTVectorTrack;
	static C(Other: UObject): TTVectorTrack;
}

declare class CurveLinearColor extends CurveBase { 
	FloatCurves: RichCurve;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CurveLinearColor;
	static Find(Outer: UObject, ResourceName: string): CurveLinearColor;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CurveLinearColor;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveLinearColor;
	GetLinearColorValue(InTime: number): LinearColor;
	static C(Other: UObject): CurveLinearColor;
}

declare class TTLinearColorTrack extends TTTrackBase { 
	CurveLinearColor: CurveLinearColor;
	clone() : TTLinearColorTrack;
	static C(Other: UObject): TTLinearColorTrack;
}

declare class TimelineTemplate extends UObject { 
	TimelineLength: number;
	LengthMode: ETimelineLengthMode;
	bAutoPlay: boolean;
	bLoop: boolean;
	bReplicated: boolean;
	bValidatedAsWired: boolean;
	EventTracks: TTEventTrack[];
	FloatTracks: TTFloatTrack[];
	VectorTracks: TTVectorTrack[];
	LinearColorTracks: TTLinearColorTrack[];
	MetaDataArray: BPVariableMetaDataEntry[];
	TimelineGuid: Guid;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TimelineTemplate;
	static Find(Outer: UObject, ResourceName: string): TimelineTemplate;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TimelineTemplate;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TimelineTemplate;
	static C(Other: UObject): TimelineTemplate;
}

declare class ComponentKey { 
	OwnerClass: UnrealEngineClass;
	SCSVariableName: string;
	AssociatedGuid: Guid;
	clone() : ComponentKey;
	static C(Other: UObject): ComponentKey;
}

declare class ComponentOverrideRecord { 
	ComponentTemplate: ActorComponent;
	ComponentKey: ComponentKey;
	CookedComponentInstancingData: BlueprintCookedComponentInstancingData;
	clone() : ComponentOverrideRecord;
	static C(Other: UObject): ComponentOverrideRecord;
}

declare class InheritableComponentHandler extends UObject { 
	Records: ComponentOverrideRecord[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InheritableComponentHandler;
	static Find(Outer: UObject, ResourceName: string): InheritableComponentHandler;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InheritableComponentHandler;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InheritableComponentHandler;
	static C(Other: UObject): InheritableComponentHandler;
}

declare type EBlueprintType = string | symbol;
declare var EBlueprintType = { BPTYPE_Normal:'BPTYPE_Normal',BPTYPE_Const:'BPTYPE_Const',BPTYPE_MacroLibrary:'BPTYPE_MacroLibrary',BPTYPE_Interface:'BPTYPE_Interface',BPTYPE_LevelScript:'BPTYPE_LevelScript',BPTYPE_FunctionLibrary:'BPTYPE_FunctionLibrary', };
declare type EBlueprintStatus = string | symbol;
declare var EBlueprintStatus = { BS_Unknown:'BS_Unknown',BS_Dirty:'BS_Dirty',BS_Error:'BS_Error',BS_UpToDate:'BS_UpToDate',BS_BeingCreated:'BS_BeingCreated',BS_UpToDateWithWarnings:'BS_UpToDateWithWarnings', };
declare class BPVariableDescription { 
	VarName: string;
	VarGuid: Guid;
	VarType: EdGraphPinType;
	FriendlyName: string;
	Category: string;
	PropertyFlags: any;
	RepNotifyFunc: string;
	MetaDataArray: BPVariableMetaDataEntry[];
	DefaultValue: string;
	clone() : BPVariableDescription;
	static C(Other: UObject): BPVariableDescription;
}

declare class BPInterfaceDescription { 
	Interface: UnrealEngineClass;
	Graphs: EdGraph[];
	clone() : BPInterfaceDescription;
	static C(Other: UObject): BPInterfaceDescription;
}

declare class EditedDocumentInfo { 
	EditedObject: UObject;
	SavedViewOffset: Vector2D;
	SavedZoomAmount: number;
	clone() : EditedDocumentInfo;
	static C(Other: UObject): EditedDocumentInfo;
}

declare class Breakpoint extends UObject { 
	bEnabled: boolean;
	UNode: EdGraphNode;
	bStepOnce: boolean;
	bStepOnce_WasPreviouslyDisabled: boolean;
	bStepOnce_RemoveAfterHit: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Breakpoint;
	static Find(Outer: UObject, ResourceName: string): Breakpoint;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Breakpoint;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Breakpoint;
	static C(Other: UObject): Breakpoint;
}

declare class SaveGame extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SaveGame;
	static Find(Outer: UObject, ResourceName: string): SaveGame;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SaveGame;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SaveGame;
	static C(Other: UObject): SaveGame;
	SaveGameToSlot(SlotName: string,UserIndex: number): boolean;
	static SaveGameToSlot(SaveGameObject: SaveGame,SlotName: string,UserIndex: number): boolean;
}

declare class Blueprint extends BlueprintCore { 
	bRecompileOnLoad: boolean;
	ParentClass: UnrealEngineClass;
	PRIVATE_InnermostPreviousCDO: UObject;
	bHasBeenRegenerated: boolean;
	bIsRegeneratingOnLoad: boolean;
	bIsNewlyCreated: boolean;
	bForceFullEditor: boolean;
	bRunConstructionScriptOnDrag: boolean;
	bGenerateConstClass: boolean;
	BlueprintDescription: string;
	BlueprintCategory: string;
	HideCategories: string[];
	bDisplayCompilePIEWarning: boolean;
	SearchGuid: Guid;
	bDeprecate: boolean;
	CompileMode: EBlueprintCompileMode;
	SimpleConstructionScript: SimpleConstructionScript;
	UbergraphPages: EdGraph[];
	FunctionGraphs: EdGraph[];
	DelegateSignatureGraphs: EdGraph[];
	MacroGraphs: EdGraph[];
	IntermediateGeneratedGraphs: EdGraph[];
	EventGraphs: EdGraph[];
	bDuplicatingReadOnly: boolean;
	ComponentTemplates: ActorComponent[];
	Timelines: TimelineTemplate[];
	InheritableComponentHandler: InheritableComponentHandler;
	BlueprintType: EBlueprintType;
	Status: EBlueprintStatus;
	NewVariables: BPVariableDescription[];
	CategorySorting: string[];
	ImplementedInterfaces: BPInterfaceDescription[];
	BlueprintSystemVersion: number;
	LastEditedDocuments: EditedDocumentInfo[];
	Breakpoints: Breakpoint[];
	PinWatches: EdGraphPin[];
	ThumbnailInfo: ThumbnailInfo;
	bBeingCompiled: boolean;
	CrcLastCompiledCDO: any;
	CrcLastCompiledSignature: any;
	OriginalClass: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Blueprint;
	static Find(Outer: UObject, ResourceName: string): Blueprint;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Blueprint;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Blueprint;
	static C(Other: UObject): Blueprint;
	GetBlueprintGeneratedClass(): UnrealEngineClass;
	CreateSaveGameObjectFromBlueprint(): SaveGame;
	static GetBlueprintGeneratedClass(Blueprint: Blueprint): UnrealEngineClass;
	static CreateSaveGameObjectFromBlueprint(SaveGameBlueprint: Blueprint): SaveGame;
}

declare class AnimGroupInfo { 
	Name: string;
	Color: LinearColor;
	clone() : AnimGroupInfo;
	static C(Other: UObject): AnimGroupInfo;
}

declare class AnimMetaData extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimMetaData;
	static Find(Outer: UObject, ResourceName: string): AnimMetaData;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimMetaData;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimMetaData;
	static C(Other: UObject): AnimMetaData;
}

declare class AnimationAsset extends UObject { 
	Skeleton: Skeleton;
	MetaData: AnimMetaData[];
	AssetUserData: AssetUserData[];
	ThumbnailInfo: ThumbnailInfo;
	PreviewSkeletalMesh: any;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimationAsset;
	static Find(Outer: UObject, ResourceName: string): AnimationAsset;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimationAsset;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationAsset;
	static C(Other: UObject): AnimationAsset;
}

declare class AnimParentNodeAssetOverride { 
	NewAsset: AnimationAsset;
	ParentNodeGuid: Guid;
	clone() : AnimParentNodeAssetOverride;
	static C(Other: UObject): AnimParentNodeAssetOverride;
}

declare class AnimBlueprint extends Blueprint { 
	TargetSkeleton: Skeleton;
	Groups: AnimGroupInfo[];
	ParentAssetOverrides: AnimParentNodeAssetOverride[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimBlueprint;
	static Find(Outer: UObject, ResourceName: string): AnimBlueprint;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimBlueprint;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimBlueprint;
	static C(Other: UObject): AnimBlueprint;
}

declare type ERootMotionMode = string | symbol;
declare var ERootMotionMode = { NoRootMotionExtraction:'NoRootMotionExtraction',IgnoreRootMotion:'IgnoreRootMotion',RootMotionFromEverything:'RootMotionFromEverything',RootMotionFromMontagesOnly:'RootMotionFromMontagesOnly', };
declare type EAnimLinkMethod = string | symbol;
declare var EAnimLinkMethod = { Absolute:'Absolute',Relative:'Relative',Proportional:'Proportional', };
declare class AnimLinkableElement { 
	LinkedMontage: AnimMontage;
	SlotIndex: number;
	SegmentIndex: number;
	LinkMethod: EAnimLinkMethod;
	CachedLinkMethod: EAnimLinkMethod;
	SegmentBeginTime: number;
	SegmentLength: number;
	LinkValue: number;
	LinkedSequence: AnimSequenceBase;
	clone() : AnimLinkableElement;
	static C(Other: UObject): AnimLinkableElement;
}

declare class AnimNotify extends UObject { 
	NotifyColor: Color;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimNotify;
	static Find(Outer: UObject, ResourceName: string): AnimNotify;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimNotify;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify;
	Received_Notify(MeshComp: SkeletalMeshComponent,Animation: AnimSequenceBase): boolean;
	GetNotifyName(): string;
	static C(Other: UObject): AnimNotify;
}

declare class AnimNotifyState extends UObject { 
	NotifyColor: Color;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimNotifyState;
	static Find(Outer: UObject, ResourceName: string): AnimNotifyState;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimNotifyState;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotifyState;
	Received_NotifyTick(MeshComp: SkeletalMeshComponent,Animation: AnimSequenceBase,FrameDeltaTime: number): boolean;
	Received_NotifyEnd(MeshComp: SkeletalMeshComponent,Animation: AnimSequenceBase): boolean;
	Received_NotifyBegin(MeshComp: SkeletalMeshComponent,Animation: AnimSequenceBase,TotalDuration: number): boolean;
	GetNotifyName(): string;
	static C(Other: UObject): AnimNotifyState;
}

declare type EMontageNotifyTickType = string | symbol;
declare var EMontageNotifyTickType = { Queued:'Queued',BranchingPoint:'BranchingPoint', };
declare type ENotifyFilterType = string | symbol;
declare var ENotifyFilterType = { NoFiltering:'NoFiltering',LOD:'LOD', };
declare class AnimNotifyEvent extends AnimLinkableElement { 
	DisplayTime: number;
	TriggerTimeOffset: number;
	EndTriggerTimeOffset: number;
	TriggerWeightThreshold: number;
	NotifyName: string;
	Notify: AnimNotify;
	NotifyStateClass: AnimNotifyState;
	Duration: number;
	EndLink: AnimLinkableElement;
	bConvertedFromBranchingPoint: boolean;
	MontageTickType: EMontageNotifyTickType;
	NotifyTriggerChance: number;
	NotifyFilterType: ENotifyFilterType;
	NotifyFilterLOD: number;
	bTriggerOnDedicatedServer: boolean;
	NotifyColor: Color;
	TrackIndex: number;
	clone() : AnimNotifyEvent;
	static C(Other: UObject): AnimNotifyEvent;
}

declare class AnimCurveBase { 
	LastObservedName: string;
	CurveTypeFlags: number;
	clone() : AnimCurveBase;
	static C(Other: UObject): AnimCurveBase;
}

declare class FloatCurve extends AnimCurveBase { 
	FloatCurve: RichCurve;
	clone() : FloatCurve;
	static C(Other: UObject): FloatCurve;
}

declare class VectorCurve extends AnimCurveBase { 
	FloatCurves: RichCurve;
	clone() : VectorCurve;
	static C(Other: UObject): VectorCurve;
}

declare class TransformCurve extends AnimCurveBase { 
	TranslationCurve: VectorCurve;
	RotationCurve: VectorCurve;
	ScaleCurve: VectorCurve;
	clone() : TransformCurve;
	static C(Other: UObject): TransformCurve;
}

declare class RawCurveTracks { 
	FloatCurves: FloatCurve[];
	VectorCurves: VectorCurve[];
	TransformCurves: TransformCurve[];
	clone() : RawCurveTracks;
	static C(Other: UObject): RawCurveTracks;
}

declare class AnimNotifyTrack { 
	TrackName: string;
	TrackColor: LinearColor;
	clone() : AnimNotifyTrack;
	static C(Other: UObject): AnimNotifyTrack;
}

declare class AnimSequenceBase extends AnimationAsset { 
	Notifies: AnimNotifyEvent[];
	SequenceLength: number;
	RateScale: number;
	RawCurveData: RawCurveTracks;
	AnimNotifyTracks: AnimNotifyTrack[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimSequenceBase;
	static Find(Outer: UObject, ResourceName: string): AnimSequenceBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimSequenceBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSequenceBase;
	GetPlayLength(): number;
	static C(Other: UObject): AnimSequenceBase;
}

declare class AnimCompositeBase extends AnimSequenceBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimCompositeBase;
	static Find(Outer: UObject, ResourceName: string): AnimCompositeBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimCompositeBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompositeBase;
	static C(Other: UObject): AnimCompositeBase;
}

declare type EAlphaBlendOption = string | symbol;
declare var EAlphaBlendOption = { Linear:'Linear',Cubic:'Cubic',HermiteCubic:'HermiteCubic',Sinusoidal:'Sinusoidal',QuadraticInOut:'QuadraticInOut',CubicInOut:'CubicInOut',QuarticInOut:'QuarticInOut',QuinticInOut:'QuinticInOut',CircularIn:'CircularIn',CircularOut:'CircularOut',CircularInOut:'CircularInOut',ExpIn:'ExpIn',ExpOut:'ExpOut',ExpInOut:'ExpInOut',Custom:'Custom', };
declare class AlphaBlend { 
	BlendOption: EAlphaBlendOption;
	CustomCurve: CurveFloat;
	BlendTime: number;
	clone() : AlphaBlend;
	static C(Other: UObject): AlphaBlend;
}

declare class AnimSyncMarker { 
	MarkerName: string;
	Time: number;
	TrackIndex: number;
	clone() : AnimSyncMarker;
	static C(Other: UObject): AnimSyncMarker;
}

declare class MarkerSyncData { 
	AuthoredSyncMarkers: AnimSyncMarker[];
	clone() : MarkerSyncData;
	static C(Other: UObject): MarkerSyncData;
}

declare class CompositeSection extends AnimLinkableElement { 
	SectionName: string;
	StartTime: number;
	NextSectionName: string;
	MetaData: AnimMetaData[];
	clone() : CompositeSection;
	static C(Other: UObject): CompositeSection;
}

declare class AnimSegment { 
	AnimReference: AnimSequenceBase;
	StartPos: number;
	AnimStartTime: number;
	AnimEndTime: number;
	AnimPlayRate: number;
	LoopingCount: number;
	clone() : AnimSegment;
	static C(Other: UObject): AnimSegment;
}

declare class AnimTrack { 
	AnimSegments: AnimSegment[];
	clone() : AnimTrack;
	static C(Other: UObject): AnimTrack;
}

declare class SlotAnimationTrack { 
	SlotName: string;
	AnimTrack: AnimTrack;
	clone() : SlotAnimationTrack;
	static C(Other: UObject): SlotAnimationTrack;
}

declare class BranchingPoint extends AnimLinkableElement { 
	EventName: string;
	DisplayTime: number;
	TriggerTimeOffset: number;
	clone() : BranchingPoint;
	static C(Other: UObject): BranchingPoint;
}

declare type ERootMotionRootLock = string | symbol;
declare var ERootMotionRootLock = { RefPose:'RefPose',AnimFirstFrame:'AnimFirstFrame',Zero:'Zero', };
declare class TrackToSkeletonMap { 
	BoneTreeIndex: number;
	clone() : TrackToSkeletonMap;
	static C(Other: UObject): TrackToSkeletonMap;
}

declare type AnimationCompressionFormat = string | symbol;
declare var AnimationCompressionFormat = { ACF_None:'ACF_None',ACF_Float96NoW:'ACF_Float96NoW',ACF_Fixed48NoW:'ACF_Fixed48NoW',ACF_IntervalFixed32NoW:'ACF_IntervalFixed32NoW',ACF_Fixed32NoW:'ACF_Fixed32NoW',ACF_Float32NoW:'ACF_Float32NoW',ACF_Identity:'ACF_Identity', };
declare class AnimCompress extends UObject { 
	Description: string;
	bNeedsSkeleton: boolean;
	TranslationCompressionFormat: AnimationCompressionFormat;
	RotationCompressionFormat: AnimationCompressionFormat;
	ScaleCompressionFormat: AnimationCompressionFormat;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimCompress;
	static Find(Outer: UObject, ResourceName: string): AnimCompress;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimCompress;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress;
	static C(Other: UObject): AnimCompress;
}

declare type EAdditiveAnimationType = string | symbol;
declare var EAdditiveAnimationType = { AAT_None:'AAT_None',AAT_LocalSpaceBase:'AAT_LocalSpaceBase',AAT_RotationOffsetMeshSpace:'AAT_RotationOffsetMeshSpace', };
declare type EAdditiveBasePoseType = string | symbol;
declare var EAdditiveBasePoseType = { ABPT_None:'ABPT_None',ABPT_RefPose:'ABPT_RefPose',ABPT_AnimScaled:'ABPT_AnimScaled',ABPT_AnimFrame:'ABPT_AnimFrame', };
declare class AnimSequence extends AnimSequenceBase { 
	NumFrames: number;
	TrackToSkeletonMapTable: TrackToSkeletonMap[];
	RawDataGuid: Guid;
	AnimationTrackNames: string[];
	CompressionScheme: AnimCompress;
	AdditiveAnimType: EAdditiveAnimationType;
	RefPoseType: EAdditiveBasePoseType;
	RefPoseSeq: AnimSequence;
	RefFrameIndex: number;
	EncodingPkgVersion: number;
	RetargetSource: string;
	bEnableRootMotion: boolean;
	RootMotionRootLock: ERootMotionRootLock;
	bForceRootLock: boolean;
	bRootMotionSettingsCopiedFromMontage: boolean;
	CompressCommandletVersion: number;
	bDoNotOverrideCompression: boolean;
	bWasCompressedWithoutTranslations: boolean;
	AssetImportData: AssetImportData;
	SourceFilePath: string;
	SourceFileTimestamp: string;
	bNeedsRebake: boolean;
	AuthoredSyncMarkers: AnimSyncMarker[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimSequence;
	static Find(Outer: UObject, ResourceName: string): AnimSequence;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimSequence;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSequence;
	static C(Other: UObject): AnimSequence;
}

declare type EAnimNotifyEventType = string | symbol;
declare var EAnimNotifyEventType = { Begin:'Begin',End:'End', };
declare class BranchingPointMarker { 
	NotifyIndex: number;
	TriggerTime: number;
	NotifyEventType: EAnimNotifyEventType;
	clone() : BranchingPointMarker;
	static C(Other: UObject): BranchingPointMarker;
}

declare class AnimMontage extends AnimCompositeBase { 
	BlendIn: AlphaBlend;
	BlendInTime: number;
	BlendOut: AlphaBlend;
	BlendOutTime: number;
	BlendOutTriggerTime: number;
	SyncGroup: string;
	SyncSlotIndex: number;
	MarkerData: MarkerSyncData;
	CompositeSections: CompositeSection[];
	SlotAnimTracks: SlotAnimationTrack[];
	BranchingPoints: BranchingPoint[];
	bEnableRootMotionTranslation: boolean;
	bEnableRootMotionRotation: boolean;
	RootMotionRootLock: ERootMotionRootLock;
	PreviewBasePose: AnimSequence;
	BranchingPointMarkers: BranchingPointMarker[];
	BranchingPointStateNotifyIndices: number[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimMontage;
	static Find(Outer: UObject, ResourceName: string): AnimMontage;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimMontage;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimMontage;
	static C(Other: UObject): AnimMontage;
}

declare class MarkerSyncAnimPosition { 
	PreviousMarkerName: string;
	NextMarkerName: string;
	PositionBetweenMarkers: number;
	clone() : MarkerSyncAnimPosition;
	static C(Other: UObject): MarkerSyncAnimPosition;
}

declare class AnimInstance extends UObject { 
	DeltaTime: number;
	CurrentSkeleton: Skeleton;
	RootMotionMode: ERootMotionMode;
	bRunUpdatesInWorkerThreads: boolean;
	bCanUseParallelUpdateAnimation: boolean;
	bWarnAboutBlueprintUsage: boolean;
	OnMontageBlendingOut: UnrealEngineMulticastDelegate<(Montage: AnimMontage, bInterrupted: boolean) => void>;
	OnMontageStarted: UnrealEngineMulticastDelegate<(Montage: AnimMontage) => void>;
	OnMontageEnded: UnrealEngineMulticastDelegate<(Montage: AnimMontage, bInterrupted: boolean) => void>;
	bQueueMontageEvents: boolean;
	ActiveAnimNotifyState: AnimNotifyEvent[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimInstance;
	static Find(Outer: UObject, ResourceName: string): AnimInstance;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimInstance;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimInstance;
	UnlockAIResources(bUnlockMovement: boolean,UnlockAILogic: boolean): void;
	TryGetPawnOwner(): Pawn;
	StopSlotAnimation(InBlendOutTime: number,SlotNodeName: string): void;
	SetMorphTarget(MorphTargetName: string,Value: number): void;
	PlaySlotAnimationAsDynamicMontage(Asset: AnimSequenceBase,SlotNodeName: string,BlendInTime: number,BlendOutTime: number,InPlayRate: number,LoopCount: number,BlendOutTriggerTime: number): AnimMontage;
	PlaySlotAnimation(Asset: AnimSequenceBase,SlotNodeName: string,BlendInTime: number,BlendOutTime: number,InPlayRate: number,LoopCount: number): number;
	Montage_Stop(InBlendOutTime: number,Montage: AnimMontage): void;
	Montage_SetPlayRate(Montage: AnimMontage,NewPlayRate: number): void;
	Montage_SetNextSection(SectionNameToChange: string,NextSection: string,Montage: AnimMontage): void;
	Montage_Resume(Montage: AnimMontage): void;
	Montage_Play(MontageToPlay: AnimMontage,InPlayRate: number): number;
	Montage_Pause(Montage: AnimMontage): void;
	Montage_JumpToSectionsEnd(SectionName: string,Montage: AnimMontage): void;
	Montage_JumpToSection(SectionName: string,Montage: AnimMontage): void;
	Montage_IsPlaying(Montage: AnimMontage): boolean;
	Montage_IsActive(Montage: AnimMontage): boolean;
	Montage_GetCurrentSection(Montage: AnimMontage): string;
	LockAIResources(bLockMovement: boolean,LockAILogic: boolean): void;
	IsSyncGroupBetweenMarkers(InSyncGroupName: string,PreviousMarker: string,NextMarker: string,bRespectMarkerOrder: boolean): boolean;
	IsPlayingSlotAnimation(Asset: AnimSequenceBase,SlotNodeName: string): boolean;
	HasMarkerBeenHitThisFrame(SyncGroup: string,MarkerName: string): boolean;
	GetTimeToClosestMarker(SyncGroup: string,MarkerName: string,OutMarkerTime?: number): {OutMarkerTime: number, $: boolean};
	GetSyncGroupPosition(InSyncGroupName: string): MarkerSyncAnimPosition;
	GetStateWeight(MachineIndex: number,StateIndex: number): number;
	GetRelevantAnimTimeRemainingFraction(MachineIndex: number,StateIndex: number): number;
	GetRelevantAnimTimeRemaining(MachineIndex: number,StateIndex: number): number;
	GetRelevantAnimTimeFraction(MachineIndex: number,StateIndex: number): number;
	GetRelevantAnimTime(MachineIndex: number,StateIndex: number): number;
	GetRelevantAnimLength(MachineIndex: number,StateIndex: number): number;
	GetOwningComponent(): SkeletalMeshComponent;
	GetOwningActor(): Actor;
	GetTransitionTimeElapsed(MachineIndex: number,TransitionIndex: number): number;
	GetTransitionTimeElapsed(MachineIndex: number,TransitionIndex: number): number;
	GetTransitionCrossfadeDuration(MachineIndex: number,TransitionIndex: number): number;
	StateWeight(MachineIndex: number,StateIndex: number): number;
	CurrentStateTime(MachineIndex: number): number;
	TimeRemaining(AssetPlayerIndex: number): number;
	TimeRemaining(AssetPlayerIndex: number): number;
	CurrentTime(AssetPlayerIndex: number): number;
	CurrentTime(AssetPlayerIndex: number): number;
	Length(AssetPlayerIndex: number): number;
	GetCurveValue(CurveName: string): number;
	GetCurrentStateName(MachineIndex: number): string;
	GetCurrentStateElapsedTime(MachineIndex: number): number;
	static GetAnimAssetPlayerTimeFromEndFraction(AnimAsset: AnimationAsset,CurrentTime: number): number;
	GetAnimAssetPlayerTimeFromEnd(AnimAsset: AnimationAsset,CurrentTime: number): number;
	static GetAnimAssetPlayerTimeFraction(AnimAsset: AnimationAsset,CurrentTime: number): number;
	static GetAnimAssetPlayerLength(AnimAsset: AnimationAsset): number;
	ClearMorphTargets(): void;
	CalculateDirection(Velocity: Vector,BaseRotation: Rotator): number;
	BlueprintUpdateAnimation(DeltaTimeX: number): void;
	BlueprintPostEvaluateAnimation(): void;
	BlueprintInitializeAnimation(): void;
	static C(Other: UObject): AnimInstance;
	LockAIResourcesWithAnimation(bLockMovement: boolean,LockAILogic: boolean): void;
	UnlockAIResourcesWithAnimation(bUnlockMovement: boolean,UnlockAILogic: boolean): void;
	static LockAIResourcesWithAnimation(AnimInstance: AnimInstance,bLockMovement: boolean,LockAILogic: boolean): void;
	static UnlockAIResourcesWithAnimation(AnimInstance: AnimInstance,bUnlockMovement: boolean,UnlockAILogic: boolean): void;
}

declare class VertexAnimation extends VertexAnimBase { 
	NumAnimatedVerts: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): VertexAnimation;
	static Find(Outer: UObject, ResourceName: string): VertexAnimation;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): VertexAnimation;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VertexAnimation;
	static C(Other: UObject): VertexAnimation;
}

declare class SingleAnimationPlayData { 
	AnimToPlay: AnimationAsset;
	VertexAnimToPlay: VertexAnimation;
	bSavedLooping: boolean;
	bSavedPlaying: boolean;
	SavedPosition: number;
	SavedPlayRate: number;
	clone() : SingleAnimationPlayData;
	static C(Other: UObject): SingleAnimationPlayData;
}

declare type EKinematicBonesUpdateToPhysics = string | symbol;
declare var EKinematicBonesUpdateToPhysics = { SkipSimulatingBones:'SkipSimulatingBones',SkipAllBones:'SkipAllBones', };
declare class SkeletalMeshComponent extends SkinnedMeshComponent { 
	AnimationMode: EAnimationMode;
	AnimationBlueprint: AnimBlueprint;
	AnimBlueprintGeneratedClass: UnrealEngineClass;
	AnimClass: UnrealEngineClass;
	AnimScriptInstance: AnimInstance;
	AnimationData: SingleAnimationPlayData;
	CachedLocalAtoms: Transform[];
	CachedSpaceBases: Transform[];
	GlobalAnimRateScale: number;
	bHasValidBodies: boolean;
	KinematicBonesUpdateType: EKinematicBonesUpdateToPhysics;
	bBlendPhysics: boolean;
	bEnablePhysicsOnDedicatedServer: boolean;
	bUpdateJointsFromAnimation: boolean;
	bDisableClothSimulation: boolean;
	bCollideWithEnvironment: boolean;
	bCollideWithAttachedChildren: boolean;
	bLocalSpaceSimulation: boolean;
	bClothMorphTarget: boolean;
	bResetAfterTeleport: boolean;
	TeleportDistanceThreshold: number;
	TeleportRotationThreshold: number;
	ClothBlendWeight: number;
	RootBoneTranslation: Vector;
	bNoSkeletonUpdate: boolean;
	bPauseAnims: boolean;
	bUseRefPoseOnInitAnim: boolean;
	bEnablePerPolyCollision: boolean;
	BodySetup: BodySetup;
	bAutonomousTickPose: boolean;
	bForceRefpose: boolean;
	bOldForceRefPose: boolean;
	bShowPrePhysBones: boolean;
	bRequiredBonesUpToDate: boolean;
	bAnimTreeInitialised: boolean;
	bEnableLineCheckWithBounds: boolean;
	LineCheckBoundsScale: Vector;
	RagdollAggregateThreshold: number;
	OnConstraintBroken: UnrealEngineMulticastDelegate<(ConstraintIndex: number) => void>;
	SequenceToPlay: AnimSequence;
	AnimToPlay: AnimationAsset;
	bDefaultLooping: boolean;
	bDefaultPlaying: boolean;
	DefaultPosition: number;
	DefaultPlayRate: number;
	LastPoseTickTime: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SkeletalMeshComponent;
	static Find(Outer: UObject, ResourceName: string): SkeletalMeshComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SkeletalMeshComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshComponent;
	UnbindClothFromMasterPoseComponent(bRestoreSimulationSpace: boolean): void;
	Stop(): void;
	SetPosition(InPos: number,bFireNotifies: boolean): void;
	SetPlayRate(Rate: number): void;
	SetPhysicsBlendWeight(PhysicsBlendWeight: number): void;
	SetMorphTarget(MorphTargetName: string,Value: number,bRemoveZeroWeight: boolean): void;
	SetEnablePhysicsBlending(bNewBlendPhysics: boolean): void;
	SetClothMaxDistanceScale(Scale: number): void;
	SetAnimInstanceClass(NewClass: UnrealEngineClass): void;
	SetAnimationMode(InAnimationMode: EAnimationMode): void;
	SetAnimation(NewAnimToPlay: AnimationAsset): void;
	SetAngularLimits(InBoneName: string,Swing1LimitAngle: number,TwistLimitAngle: number,Swing2LimitAngle: number): void;
	SetAllMotorsAngularVelocityDrive(bEnableSwingDrive: boolean,bEnableTwistDrive: boolean,bSkipCustomPhysicsType: boolean): void;
	SetAllMotorsAngularPositionDrive(bEnableSwingDrive: boolean,bEnableTwistDrive: boolean,bSkipCustomPhysicsType: boolean): void;
	SetAllMotorsAngularDriveParams(InSpring: number,InDamping: number,InForceLimit: number,bSkipCustomPhysicsType: boolean): void;
	SetAllBodiesSimulatePhysics(bNewSimulate: boolean): void;
	SetAllBodiesPhysicsBlendWeight(PhysicsBlendWeight: number,bSkipCustomPhysicsType: boolean): void;
	SetAllBodiesBelowSimulatePhysics(InBoneName: string,bNewSimulate: boolean): void;
	SetAllBodiesBelowPhysicsBlendWeight(InBoneName: string,PhysicsBlendWeight: number,bSkipCustomPhysicsType: boolean): void;
	ResetClothTeleportMode(): void;
	ResetAllBodiesSimulatePhysics(): void;
	PlayAnimation(NewAnimToPlay: AnimationAsset,bLooping: boolean): void;
	Play(bLooping: boolean): void;
	GetClosestPointOnPhysicsAsset(WorldPosition: Vector,ClosestWorldPosition?: Vector,Normal?: Vector,BoneName?: string,Distance?: number): {ClosestWorldPosition: Vector, Normal: Vector, BoneName: string, Distance: number, $: boolean};
	IsPlaying(): boolean;
	GetPosition(): number;
	GetPlayRate(): number;
	GetMorphTarget(MorphTargetName: string): number;
	GetCurrentJointAngles(InBoneName: string,Swing1Angle?: number,TwistAngle?: number,Swing2Angle?: number): {Swing1Angle: number, TwistAngle: number, Swing2Angle: number};
	GetClothMaxDistanceScale(): number;
	GetAnimInstance(): AnimInstance;
	GetAnimationMode(): EAnimationMode;
	ForceClothNextUpdateTeleportAndReset(): void;
	ForceClothNextUpdateTeleport(): void;
	ClearMorphTargets(): void;
	BreakConstraint(Impulse: Vector,HitLocation: Vector,InBoneName: string): void;
	BindClothToMasterPoseComponent(): void;
	AccumulateAllBodiesBelowPhysicsBlendWeight(InBoneName: string,AddPhysicsBlendWeight: number,bSkipCustomPhysicsType: boolean): void;
	static C(Other: UObject): SkeletalMeshComponent;
}

declare class SpriteCategoryInfo { 
	Category: string;
	DisplayName: string;
	Description: string;
	clone() : SpriteCategoryInfo;
	static C(Other: UObject): SpriteCategoryInfo;
}

declare class ArrowComponent extends PrimitiveComponent { 
	ArrowColor: Color;
	ArrowSize: number;
	bIsScreenSizeScaled: boolean;
	ScreenSize: number;
	bTreatAsASprite: boolean;
	SpriteCategoryName: string;
	SpriteInfo: SpriteCategoryInfo;
	bLightAttachment: boolean;
	bUseInEditorScaling: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ArrowComponent;
	static Find(Outer: UObject, ResourceName: string): ArrowComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ArrowComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ArrowComponent;
	SetArrowColor(NewColor: LinearColor): void;
	SetArrowColor_DEPRECATED(NewColor: Color): void;
	static C(Other: UObject): ArrowComponent;
}

declare type EPlaneConstraintAxisSetting = string | symbol;
declare var EPlaneConstraintAxisSetting = { Custom:'Custom',X:'X',Y:'Y',Z:'Z',UseGlobalPhysicsSetting:'UseGlobalPhysicsSetting', };
declare class MovementComponent extends ActorComponent { 
	UpdatedComponent: SceneComponent;
	UpdatedPrimitive: PrimitiveComponent;
	Velocity: Vector;
	bConstrainToPlane: boolean;
	bSnapToPlaneAtStart: boolean;
	PlaneConstraintAxisSetting: EPlaneConstraintAxisSetting;
	PlaneConstraintNormal: Vector;
	PlaneConstraintOrigin: Vector;
	bUpdateOnlyIfRendered: boolean;
	bAutoUpdateTickRegistration: boolean;
	bTickBeforeOwner: boolean;
	bAutoRegisterUpdatedComponent: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovementComponent;
	static Find(Outer: UObject, ResourceName: string): MovementComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovementComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovementComponent;
	StopMovementImmediately(): void;
	SnapUpdatedComponentToPlane(): void;
	SetUpdatedComponent(NewUpdatedComponent: SceneComponent): void;
	SetPlaneConstraintOrigin(PlaneOrigin: Vector): void;
	SetPlaneConstraintNormal(PlaneNormal: Vector): void;
	SetPlaneConstraintFromVectors(Forward: Vector,Up: Vector): void;
	SetPlaneConstraintEnabled(bEnabled: boolean): void;
	SetPlaneConstraintAxisSetting(NewAxisSetting: EPlaneConstraintAxisSetting): void;
	PhysicsVolumeChanged(NewVolume: PhysicsVolume): void;
	MoveUpdatedComponent(Delta: Vector,NewRotation: Rotator,OutHit?: HitResult,bSweep?: boolean,bTeleport?: boolean): {OutHit: HitResult, $: boolean};
	GetModifiedMaxSpeed(): number;
	GetMaxSpeedModifier(): number;
	IsExceedingMaxSpeed(MaxSpeed: number): boolean;
	GetPlaneConstraintOrigin(): Vector;
	GetPlaneConstraintNormal(): Vector;
	GetPlaneConstraintAxisSetting(): EPlaneConstraintAxisSetting;
	GetPhysicsVolume(): PhysicsVolume;
	GetMaxSpeed(): number;
	GetGravityZ(): number;
	ConstrainNormalToPlane(Normal: Vector): Vector;
	ConstrainLocationToPlane(Location: Vector): Vector;
	ConstrainDirectionToPlane(Direction: Vector): Vector;
	static C(Other: UObject): MovementComponent;
}

declare class MovementProperties { 
	bCanCrouch: boolean;
	bCanJump: boolean;
	bCanWalk: boolean;
	bCanSwim: boolean;
	bCanFly: boolean;
	clone() : MovementProperties;
	static C(Other: UObject): MovementProperties;
}

declare class StringClassReference extends StringAssetReference { 
	clone() : StringClassReference;
	static C(Other: UObject): StringClassReference;
}

declare class NavDataConfig extends NavAgentProperties { 
	Name: string;
	Color: Color;
	DefaultQueryExtent: Vector;
	NavigationDataClass: UnrealEngineClass;
	NavigationDataClassName: StringClassReference;
	clone() : NavDataConfig;
	static C(Other: UObject): NavDataConfig;
}

declare type ERuntimeGenerationType = string | symbol;
declare var ERuntimeGenerationType = { Static:'Static',DynamicModifiersOnly:'DynamicModifiersOnly',Dynamic:'Dynamic',LegacyGeneration:'LegacyGeneration', };
declare class SupportedAreaData { 
	AreaClassName: string;
	AreaID: number;
	AreaClass: UnrealEngineClass;
	clone() : SupportedAreaData;
	static C(Other: UObject): SupportedAreaData;
}

declare class LayerActorStats { 
	Type: UnrealEngineClass;
	Total: number;
	clone() : LayerActorStats;
	static C(Other: UObject): LayerActorStats;
}

declare class Layer extends UObject { 
	LayerName: string;
	bIsVisible: boolean;
	ActorStats: LayerActorStats[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Layer;
	static Find(Outer: UObject, ResourceName: string): Layer;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Layer;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Layer;
	static C(Other: UObject): Layer;
}

declare class ModelComponent extends PrimitiveComponent { 
	ModelBodySetup: BodySetup;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ModelComponent;
	static Find(Outer: UObject, ResourceName: string): ModelComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ModelComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ModelComponent;
	static C(Other: UObject): ModelComponent;
}

declare class LevelScriptBlueprint extends Blueprint { 
	FriendlyName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): LevelScriptBlueprint;
	static Find(Outer: UObject, ResourceName: string): LevelScriptBlueprint;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): LevelScriptBlueprint;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelScriptBlueprint;
	static C(Other: UObject): LevelScriptBlueprint;
}

declare class IntVector { 
	X: number;
	Y: number;
	Z: number;
	clone() : IntVector;
	static C(Other: UObject): IntVector;
}

declare class LevelScriptActor extends Actor { 
	bInputEnabled: boolean;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): LevelScriptActor;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelScriptActor;
	WorldOriginLocationChanged(OldOriginLocation: IntVector,NewOriginLocation: IntVector): void;
	SetCinematicMode(bCinematicMode: boolean,bHidePlayer: boolean,bAffectsHUD: boolean,bAffectsMovement: boolean,bAffectsTurning: boolean): void;
	RemoteEvent(EventName: string): boolean;
	LevelReset(): void;
	static C(Other: UObject): LevelScriptActor;
}

declare class NavAgentSelector { 
	bSupportsAgent0: boolean;
	bSupportsAgent1: boolean;
	bSupportsAgent2: boolean;
	bSupportsAgent3: boolean;
	bSupportsAgent4: boolean;
	bSupportsAgent5: boolean;
	bSupportsAgent6: boolean;
	bSupportsAgent7: boolean;
	bSupportsAgent8: boolean;
	bSupportsAgent9: boolean;
	bSupportsAgent10: boolean;
	bSupportsAgent11: boolean;
	bSupportsAgent12: boolean;
	bSupportsAgent13: boolean;
	bSupportsAgent14: boolean;
	bSupportsAgent15: boolean;
	clone() : NavAgentSelector;
	static C(Other: UObject): NavAgentSelector;
}

declare class NavArea extends UObject { 
	DefaultCost: number;
	FixedAreaEnteringCost: number;
	DrawColor: Color;
	SupportedAgents: NavAgentSelector;
	bSupportsAgent0: boolean;
	bSupportsAgent1: boolean;
	bSupportsAgent2: boolean;
	bSupportsAgent3: boolean;
	bSupportsAgent4: boolean;
	bSupportsAgent5: boolean;
	bSupportsAgent6: boolean;
	bSupportsAgent7: boolean;
	bSupportsAgent8: boolean;
	bSupportsAgent9: boolean;
	bSupportsAgent10: boolean;
	bSupportsAgent11: boolean;
	bSupportsAgent12: boolean;
	bSupportsAgent13: boolean;
	bSupportsAgent14: boolean;
	bSupportsAgent15: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NavArea;
	static Find(Outer: UObject, ResourceName: string): NavArea;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NavArea;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavArea;
	static C(Other: UObject): NavArea;
}

declare class ShapeComponent extends PrimitiveComponent { 
	ShapeColor: Color;
	ShapeBodySetup: BodySetup;
	bDrawOnlyIfSelected: boolean;
	bShouldCollideWhenPlacing: boolean;
	bDynamicObstacle: boolean;
	AreaClass: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ShapeComponent;
	static Find(Outer: UObject, ResourceName: string): ShapeComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ShapeComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ShapeComponent;
	static C(Other: UObject): ShapeComponent;
}

declare class CapsuleComponent extends ShapeComponent { 
	CapsuleHalfHeight: number;
	CapsuleRadius: number;
	CapsuleHeight: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CapsuleComponent;
	static Find(Outer: UObject, ResourceName: string): CapsuleComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CapsuleComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CapsuleComponent;
	SetCapsuleSize(InRadius: number,InHalfHeight: number,bUpdateOverlaps: boolean): void;
	SetCapsuleRadius(Radius: number,bUpdateOverlaps: boolean): void;
	SetCapsuleHalfHeight(HalfHeight: number,bUpdateOverlaps: boolean): void;
	GetUnscaledCapsuleSize_WithoutHemisphere(OutRadius?: number,OutHalfHeightWithoutHemisphere?: number): {OutRadius: number, OutHalfHeightWithoutHemisphere: number};
	GetUnscaledCapsuleSize(OutRadius?: number,OutHalfHeight?: number): {OutRadius: number, OutHalfHeight: number};
	GetUnscaledCapsuleRadius(): number;
	GetUnscaledCapsuleHalfHeight_WithoutHemisphere(): number;
	GetUnscaledCapsuleHalfHeight(): number;
	GetShapeScale(): number;
	GetScaledCapsuleSize_WithoutHemisphere(OutRadius?: number,OutHalfHeightWithoutHemisphere?: number): {OutRadius: number, OutHalfHeightWithoutHemisphere: number};
	GetScaledCapsuleSize(OutRadius?: number,OutHalfHeight?: number): {OutRadius: number, OutHalfHeight: number};
	GetScaledCapsuleRadius(): number;
	GetScaledCapsuleHalfHeight_WithoutHemisphere(): number;
	GetScaledCapsuleHalfHeight(): number;
	static C(Other: UObject): CapsuleComponent;
}

declare class BillboardComponent extends PrimitiveComponent { 
	Sprite: Texture2D;
	bIsScreenSizeScaled: boolean;
	ScreenSize: number;
	U: number;
	UL: number;
	V: number;
	VL: number;
	SpriteCategoryName: string;
	SpriteInfo: SpriteCategoryInfo;
	bUseInEditorScaling: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BillboardComponent;
	static Find(Outer: UObject, ResourceName: string): BillboardComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BillboardComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BillboardComponent;
	SetUV(NewU: number,NewUL: number,NewV: number,NewVL: number): void;
	SetSpriteAndUV(NewSprite: Texture2D,NewU: number,NewUL: number,NewV: number,NewVL: number): void;
	SetSprite(NewSprite: Texture2D): void;
	static C(Other: UObject): BillboardComponent;
}

declare class NavigationObjectBase extends Actor { 
	CapsuleComponent: CapsuleComponent;
	GoodSprite: BillboardComponent;
	BadSprite: BillboardComponent;
	bIsPIEPlayerStart: boolean;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NavigationObjectBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationObjectBase;
	static C(Other: UObject): NavigationObjectBase;
}

declare class NavigationDataChunk extends UObject { 
	NavigationDataName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NavigationDataChunk;
	static Find(Outer: UObject, ResourceName: string): NavigationDataChunk;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NavigationDataChunk;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationDataChunk;
	static C(Other: UObject): NavigationDataChunk;
}

declare class MaterialSimplificationSettings { 
	BaseColorMapSize: IntPoint;
	bNormalMap: boolean;
	NormalMapSize: IntPoint;
	MetallicConstant: number;
	bMetallicMap: boolean;
	MetallicMapSize: IntPoint;
	RoughnessConstant: number;
	bRoughnessMap: boolean;
	RoughnessMapSize: IntPoint;
	SpecularConstant: number;
	bSpecularMap: boolean;
	SpecularMapSize: IntPoint;
	clone() : MaterialSimplificationSettings;
	static C(Other: UObject): MaterialSimplificationSettings;
}

declare type ETextureSizingType = string | symbol;
declare var ETextureSizingType = { TextureSizingType_UseSingleTextureSize:'TextureSizingType_UseSingleTextureSize',TextureSizingType_UseAutomaticBiasedSizes:'TextureSizingType_UseAutomaticBiasedSizes',TextureSizingType_UseManualOverrideTextureSize:'TextureSizingType_UseManualOverrideTextureSize',TextureSizingType_UseSimplygonAutomaticSizing:'TextureSizingType_UseSimplygonAutomaticSizing', };
declare type EMaterialMergeType = string | symbol;
declare var EMaterialMergeType = { MaterialMergeType_Default:'MaterialMergeType_Default',MaterialMergeType_Simplygon:'MaterialMergeType_Simplygon', };
declare class MaterialProxySettings { 
	TextureSize: IntPoint;
	TextureSizingType: ETextureSizingType;
	GutterSpace: number;
	bNormalMap: boolean;
	bMetallicMap: boolean;
	MetallicConstant: number;
	bRoughnessMap: boolean;
	RoughnessConstant: number;
	bSpecularMap: boolean;
	SpecularConstant: number;
	bEmissiveMap: boolean;
	bOpacityMap: boolean;
	DiffuseTextureSize: IntPoint;
	NormalTextureSize: IntPoint;
	MetallicTextureSize: IntPoint;
	RoughnessTextureSize: IntPoint;
	SpecularTextureSize: IntPoint;
	EmissiveTextureSize: IntPoint;
	OpacityTextureSize: IntPoint;
	MaterialMergeType: EMaterialMergeType;
	clone() : MaterialProxySettings;
	static C(Other: UObject): MaterialProxySettings;
}

declare class LevelSimplificationDetails { 
	bCreatePackagePerAsset: boolean;
	DetailsPercentage: number;
	StaticMeshMaterial: MaterialSimplificationSettings;
	StaticMeshMaterialSettings: MaterialProxySettings;
	bOverrideLandscapeExportLOD: boolean;
	LandscapeExportLOD: number;
	LandscapeMaterial: MaterialSimplificationSettings;
	LandscapeMaterialSettings: MaterialProxySettings;
	bBakeFoliageToLandscape: boolean;
	bBakeGrassToLandscape: boolean;
	bGenerateMeshNormalMap: boolean;
	bGenerateMeshMetallicMap: boolean;
	bGenerateMeshRoughnessMap: boolean;
	bGenerateMeshSpecularMap: boolean;
	bGenerateLandscapeNormalMap: boolean;
	bGenerateLandscapeMetallicMap: boolean;
	bGenerateLandscapeRoughnessMap: boolean;
	bGenerateLandscapeSpecularMap: boolean;
	clone() : LevelSimplificationDetails;
	static C(Other: UObject): LevelSimplificationDetails;
}

declare class Info extends Actor { 
	SpriteComponent: BillboardComponent;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Info;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Info;
	static C(Other: UObject): Info;
}

declare class DamageType extends UObject { 
	bCausedByWorld: boolean;
	bScaleMomentumByMass: boolean;
	DamageImpulse: number;
	bRadialDamageVelChange: boolean;
	DestructibleImpulse: number;
	DestructibleDamageSpreadScale: number;
	DamageFalloff: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DamageType;
	static Find(Outer: UObject, ResourceName: string): DamageType;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DamageType;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DamageType;
	static C(Other: UObject): DamageType;
}

declare class DefaultPhysicsVolume extends PhysicsVolume { 
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DefaultPhysicsVolume;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DefaultPhysicsVolume;
	static C(Other: UObject): DefaultPhysicsVolume;
}

declare type EAudioOutputTarget = string | symbol;
declare var EAudioOutputTarget = { Speaker:'Speaker',Controller:'Controller',ControllerFallbackToSpeaker:'ControllerFallbackToSpeaker', };
declare class SoundClassProperties { 
	Volume: number;
	Pitch: number;
	StereoBleed: number;
	LFEBleed: number;
	VoiceCenterChannelVolume: number;
	RadioFilterVolume: number;
	RadioFilterVolumeThreshold: number;
	bApplyEffects: boolean;
	bAlwaysPlay: boolean;
	bIsUISound: boolean;
	bIsMusic: boolean;
	bReverb: boolean;
	bCenterChannelOnly: boolean;
	bApplyAmbientVolumes: boolean;
	OutputTarget: EAudioOutputTarget;
	clone() : SoundClassProperties;
	static C(Other: UObject): SoundClassProperties;
}

declare class AudioEQEffect { 
	FrequencyCenter0: number;
	Gain0: number;
	Bandwidth0: number;
	FrequencyCenter1: number;
	Gain1: number;
	Bandwidth1: number;
	FrequencyCenter2: number;
	Gain2: number;
	Bandwidth2: number;
	FrequencyCenter3: number;
	Gain3: number;
	Bandwidth3: number;
	clone() : AudioEQEffect;
	static C(Other: UObject): AudioEQEffect;
}

declare class SoundClassAdjuster { 
	SoundClassObject: SoundClass;
	VolumeAdjuster: number;
	PitchAdjuster: number;
	bApplyToChildren: boolean;
	VoiceCenterChannelVolumeAdjuster: number;
	clone() : SoundClassAdjuster;
	static C(Other: UObject): SoundClassAdjuster;
}

declare class SoundMix extends UObject { 
	bApplyEQ: boolean;
	EQPriority: number;
	EQSettings: AudioEQEffect;
	SoundClassEffects: SoundClassAdjuster[];
	InitialDelay: number;
	FadeInTime: number;
	Duration: number;
	FadeOutTime: number;
	bChanged: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SoundMix;
	static Find(Outer: UObject, ResourceName: string): SoundMix;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SoundMix;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundMix;
	static C(Other: UObject): SoundMix;
}

declare class PassiveSoundMixModifier { 
	SoundMix: SoundMix;
	MinVolumeThreshold: number;
	MaxVolumeThreshold: number;
	clone() : PassiveSoundMixModifier;
	static C(Other: UObject): PassiveSoundMixModifier;
}

declare class SoundClass extends UObject { 
	Properties: SoundClassProperties;
	ChildClasses: SoundClass[];
	PassiveSoundMixModifiers: PassiveSoundMixModifier[];
	ParentClass: SoundClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SoundClass;
	static Find(Outer: UObject, ResourceName: string): SoundClass;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SoundClass;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundClass;
	static C(Other: UObject): SoundClass;
}

declare type EMaxConcurrentResolutionRule = string | symbol;
declare var EMaxConcurrentResolutionRule = { PreventNew:'PreventNew',StopOldest:'StopOldest',StopFarthestThenPreventNew:'StopFarthestThenPreventNew',StopFarthestThenOldest:'StopFarthestThenOldest',StopLowestPriority:'StopLowestPriority',StopQuietest:'StopQuietest', };
declare class SoundConcurrencySettings { 
	MaxCount: number;
	bLimitToOwner: boolean;
	ResolutionRule: EMaxConcurrentResolutionRule;
	VolumeScale: number;
	clone() : SoundConcurrencySettings;
	static C(Other: UObject): SoundConcurrencySettings;
}

declare class SoundConcurrency extends UObject { 
	Concurrency: SoundConcurrencySettings;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SoundConcurrency;
	static Find(Outer: UObject, ResourceName: string): SoundConcurrency;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SoundConcurrency;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundConcurrency;
	static C(Other: UObject): SoundConcurrency;
}

declare type ESoundDistanceModel = string | symbol;
declare var ESoundDistanceModel = { ATTENUATION_Linear:'ATTENUATION_Linear',ATTENUATION_Logarithmic:'ATTENUATION_Logarithmic',ATTENUATION_Inverse:'ATTENUATION_Inverse',ATTENUATION_LogReverse:'ATTENUATION_LogReverse',ATTENUATION_NaturalSound:'ATTENUATION_NaturalSound',ATTENUATION_Custom:'ATTENUATION_Custom', };
declare class RuntimeFloatCurve { 
	EditorCurveData: RichCurve;
	ExternalCurve: CurveFloat;
	clone() : RuntimeFloatCurve;
	static C(Other: UObject): RuntimeFloatCurve;
}

declare type ESoundDistanceCalc = string | symbol;
declare var ESoundDistanceCalc = { SOUNDDISTANCE_Normal:'SOUNDDISTANCE_Normal',SOUNDDISTANCE_InfiniteXYPlane:'SOUNDDISTANCE_InfiniteXYPlane',SOUNDDISTANCE_InfiniteXZPlane:'SOUNDDISTANCE_InfiniteXZPlane',SOUNDDISTANCE_InfiniteYZPlane:'SOUNDDISTANCE_InfiniteYZPlane', };
declare type EAttenuationShape = string | symbol;
declare var EAttenuationShape = { Sphere:'Sphere',Capsule:'Capsule',Box:'Box',Cone:'Cone', };
declare type ESoundSpatializationAlgorithm = string | symbol;
declare var ESoundSpatializationAlgorithm = { SPATIALIZATION_Default:'SPATIALIZATION_Default',SPATIALIZATION_HRTF:'SPATIALIZATION_HRTF', };
declare class AttenuationSettings { 
	bAttenuate: boolean;
	bSpatialize: boolean;
	bAttenuateWithLPF: boolean;
	bEnableListenerFocus: boolean;
	bEnableOcclusion: boolean;
	bUseComplexCollisionForOcclusion: boolean;
	DistanceAlgorithm: ESoundDistanceModel;
	CustomAttenuationCurve: RuntimeFloatCurve;
	DistanceType: ESoundDistanceCalc;
	AttenuationShape: EAttenuationShape;
	dBAttenuationAtMax: number;
	OmniRadius: number;
	StereoSpread: number;
	SpatializationAlgorithm: ESoundSpatializationAlgorithm;
	RadiusMin: number;
	RadiusMax: number;
	AttenuationShapeExtents: Vector;
	ConeOffset: number;
	FalloffDistance: number;
	LPFRadiusMin: number;
	LPFRadiusMax: number;
	LPFFrequencyAtMin: number;
	LPFFrequencyAtMax: number;
	FocusAzimuth: number;
	NonFocusAzimuth: number;
	FocusDistanceScale: number;
	NonFocusDistanceScale: number;
	FocusPriorityScale: number;
	NonFocusPriorityScale: number;
	FocusVolumeAttenuation: number;
	NonFocusVolumeAttenuation: number;
	OcclusionTraceChannel: ECollisionChannel;
	OcclusionLowPassFilterFrequency: number;
	OcclusionVolumeAttenuation: number;
	OcclusionInterpolationTime: number;
	clone() : AttenuationSettings;
	static C(Other: UObject): AttenuationSettings;
}

declare class SoundAttenuation extends UObject { 
	Attenuation: AttenuationSettings;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SoundAttenuation;
	static Find(Outer: UObject, ResourceName: string): SoundAttenuation;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SoundAttenuation;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundAttenuation;
	static C(Other: UObject): SoundAttenuation;
}

declare type ESoundGroup = string | symbol;
declare var ESoundGroup = { SOUNDGROUP_Default:'SOUNDGROUP_Default',SOUNDGROUP_Effects:'SOUNDGROUP_Effects',SOUNDGROUP_UI:'SOUNDGROUP_UI',SOUNDGROUP_Music:'SOUNDGROUP_Music',SOUNDGROUP_Voice:'SOUNDGROUP_Voice',SOUNDGROUP_GameSoundGroup1:'SOUNDGROUP_GameSoundGroup1',SOUNDGROUP_GameSoundGroup2:'SOUNDGROUP_GameSoundGroup2',SOUNDGROUP_GameSoundGroup3:'SOUNDGROUP_GameSoundGroup3',SOUNDGROUP_GameSoundGroup4:'SOUNDGROUP_GameSoundGroup4',SOUNDGROUP_GameSoundGroup5:'SOUNDGROUP_GameSoundGroup5',SOUNDGROUP_GameSoundGroup6:'SOUNDGROUP_GameSoundGroup6',SOUNDGROUP_GameSoundGroup7:'SOUNDGROUP_GameSoundGroup7',SOUNDGROUP_GameSoundGroup8:'SOUNDGROUP_GameSoundGroup8',SOUNDGROUP_GameSoundGroup9:'SOUNDGROUP_GameSoundGroup9',SOUNDGROUP_GameSoundGroup10:'SOUNDGROUP_GameSoundGroup10',SOUNDGROUP_GameSoundGroup11:'SOUNDGROUP_GameSoundGroup11',SOUNDGROUP_GameSoundGroup12:'SOUNDGROUP_GameSoundGroup12',SOUNDGROUP_GameSoundGroup13:'SOUNDGROUP_GameSoundGroup13',SOUNDGROUP_GameSoundGroup14:'SOUNDGROUP_GameSoundGroup14',SOUNDGROUP_GameSoundGroup15:'SOUNDGROUP_GameSoundGroup15',SOUNDGROUP_GameSoundGroup16:'SOUNDGROUP_GameSoundGroup16',SOUNDGROUP_GameSoundGroup17:'SOUNDGROUP_GameSoundGroup17',SOUNDGROUP_GameSoundGroup18:'SOUNDGROUP_GameSoundGroup18',SOUNDGROUP_GameSoundGroup19:'SOUNDGROUP_GameSoundGroup19',SOUNDGROUP_GameSoundGroup20:'SOUNDGROUP_GameSoundGroup20', };
declare class SubtitleCue { 
	Text: string;
	Time: number;
	clone() : SubtitleCue;
	static C(Other: UObject): SubtitleCue;
}

declare class LocalizedSubtitle { 
	LanguageExt: string;
	Subtitles: SubtitleCue[];
	bMature: boolean;
	bManualWordWrap: boolean;
	bSingleLine: boolean;
	clone() : LocalizedSubtitle;
	static C(Other: UObject): LocalizedSubtitle;
}

declare class SoundWave extends SoundBase { 
	CompressionQuality: number;
	bLooping: boolean;
	bStreaming: boolean;
	StreamingPriority: number;
	bMature: boolean;
	bManualWordWrap: boolean;
	bSingleLine: boolean;
	SoundGroup: ESoundGroup;
	SpokenText: string;
	SubtitlePriority: number;
	Volume: number;
	Pitch: number;
	NumChannels: number;
	SampleRate: number;
	ChannelOffsets: number[];
	ChannelSizes: number[];
	RawPCMDataSize: number;
	Subtitles: SubtitleCue[];
	Comment: string;
	LocalizedSubtitles: LocalizedSubtitle[];
	SourceFilePath: string;
	SourceFileTimestamp: string;
	AssetImportData: AssetImportData;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SoundWave;
	static Find(Outer: UObject, ResourceName: string): SoundWave;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SoundWave;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundWave;
	static C(Other: UObject): SoundWave;
}

declare class AudioComponentParam { 
	ParamName: string;
	FloatParam: number;
	BoolParam: boolean;
	IntParam: number;
	SoundWaveParam: SoundWave;
	clone() : AudioComponentParam;
	static C(Other: UObject): AudioComponentParam;
}

declare class AudioComponent extends SceneComponent { 
	Sound: SoundBase;
	InstanceParameters: AudioComponentParam[];
	SoundClassOverride: SoundClass;
	bAutoDestroy: boolean;
	bStopWhenOwnerDestroyed: boolean;
	bShouldRemainActiveIfDropped: boolean;
	bAllowSpatialization: boolean;
	bOverrideAttenuation: boolean;
	bIsUISound: boolean;
	bEnableLowPassFilter: boolean;
	bOverridePriority: boolean;
	PitchModulationMin: number;
	PitchModulationMax: number;
	VolumeModulationMin: number;
	VolumeModulationMax: number;
	VolumeMultiplier: number;
	Priority: number;
	VolumeWeightedPriorityScale: number;
	PitchMultiplier: number;
	HighFrequencyGainMultiplier: number;
	LowPassFilterFrequency: number;
	AttenuationSettings: SoundAttenuation;
	AttenuationOverrides: AttenuationSettings;
	ConcurrencySettings: SoundConcurrency;
	OnAudioFinished: UnrealEngineMulticastDelegate<() => void>;
	OnQueueSubtitles: UnrealEngineDelegate<(Subtitles: SubtitleCue[], CueDuration: number) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AudioComponent;
	static Find(Outer: UObject, ResourceName: string): AudioComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AudioComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AudioComponent;
	Stop(): void;
	SetWaveParameter(InName: string,InWave: SoundWave): void;
	SetVolumeMultiplier(NewVolumeMultiplier: number): void;
	SetUISound(bInUISound: boolean): void;
	SetSound(NewSound: SoundBase): void;
	SetPitchMultiplier(NewPitchMultiplier: number): void;
	SetIntegerParameter(InName: string,InInt: number): void;
	SetFloatParameter(InName: string,InFloat: number): void;
	SetBooleanParameter(InName: string,InBool: boolean): void;
	Play(StartTime: number): void;
	IsPlaying(): boolean;
	FadeOut(FadeOutDuration: number,FadeVolumeLevel: number): void;
	FadeIn(FadeInDuration: number,FadeVolumeLevel: number,StartTime: number): void;
	GetAttenuationSettingsToApply(OutAttenuationSettings?: AttenuationSettings): {OutAttenuationSettings: AttenuationSettings, $: boolean};
	AdjustVolume(AdjustVolumeDuration: number,AdjustVolumeLevel: number): void;
	AdjustAttenuation(InAttenuationSettings: AttenuationSettings): void;
	static C(Other: UObject): AudioComponent;
}

declare class SoundBase extends UObject { 
	SoundClassObject: SoundClass;
	bDebug: boolean;
	bOverrideConcurrency: boolean;
	bIgnoreFocus: boolean;
	SoundConcurrencySettings: SoundConcurrency;
	ConcurrencyOverrides: SoundConcurrencySettings;
	MaxConcurrentResolutionRule: EMaxConcurrentResolutionRule;
	MaxConcurrentPlayCount: number;
	Duration: number;
	AttenuationSettings: SoundAttenuation;
	Priority: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SoundBase;
	static Find(Outer: UObject, ResourceName: string): SoundBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SoundBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundBase;
	static C(Other: UObject): SoundBase;
	SpawnSoundAttached(AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency): AudioComponent;
	static SpawnSoundAttached(Sound: SoundBase,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency): AudioComponent;
}

declare class PhysicsCollisionHandler extends UObject { 
	ImpactThreshold: number;
	ImpactReFireDelay: number;
	DefaultImpactSound: SoundBase;
	LastImpactSoundTime: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PhysicsCollisionHandler;
	static Find(Outer: UObject, ResourceName: string): PhysicsCollisionHandler;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PhysicsCollisionHandler;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsCollisionHandler;
	static C(Other: UObject): PhysicsCollisionHandler;
}

declare class Player extends UObject { 
	PlayerController: PlayerController;
	CurrentNetSpeed: number;
	ConfiguredInternetSpeed: number;
	ConfiguredLanSpeed: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Player;
	static Find(Outer: UObject, ResourceName: string): Player;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Player;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Player;
	static C(Other: UObject): Player;
}

declare class InterpTrackInst extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InterpTrackInst;
	static Find(Outer: UObject, ResourceName: string): InterpTrackInst;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InterpTrackInst;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInst;
	static C(Other: UObject): InterpTrackInst;
}

declare class InterpTrackInstDirector extends InterpTrackInst { 
	OldViewTarget: Actor;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InterpTrackInstDirector;
	static Find(Outer: UObject, ResourceName: string): InterpTrackInstDirector;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InterpTrackInstDirector;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstDirector;
	static C(Other: UObject): InterpTrackInstDirector;
}

declare type ECameraProjectionMode = string | symbol;
declare var ECameraProjectionMode = { Perspective:'Perspective',Orthographic:'Orthographic', };
declare class TextureCube extends Texture { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TextureCube;
	static Find(Outer: UObject, ResourceName: string): TextureCube;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TextureCube;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureCube;
	static C(Other: UObject): TextureCube;
}

declare type EAutoExposureMethod = string | symbol;
declare var EAutoExposureMethod = { AEM_Histogram:'AEM_Histogram',AEM_Basic:'AEM_Basic', };
declare type EDepthOfFieldMethod = string | symbol;
declare var EDepthOfFieldMethod = { DOFM_BokehDOF:'DOFM_BokehDOF',DOFM_Gaussian:'DOFM_Gaussian',DOFM_CircleDOF:'DOFM_CircleDOF', };
declare type EAntiAliasingMethod = string | symbol;
declare var EAntiAliasingMethod = { AAM_None:'AAM_None',AAM_FXAA:'AAM_FXAA',AAM_TemporalAA:'AAM_TemporalAA', };
declare class WeightedBlendable { 
	Weight: number;
	UObject: UObject;
	clone() : WeightedBlendable;
	static C(Other: UObject): WeightedBlendable;
}

declare class WeightedBlendables { 
	Array: WeightedBlendable[];
	clone() : WeightedBlendables;
	static C(Other: UObject): WeightedBlendables;
}

declare class PostProcessSettings { 
	bOverride_WhiteTemp: boolean;
	bOverride_WhiteTint: boolean;
	bOverride_ColorSaturation: boolean;
	bOverride_ColorContrast: boolean;
	bOverride_ColorGamma: boolean;
	bOverride_ColorGain: boolean;
	bOverride_ColorOffset: boolean;
	bOverride_FilmWhitePoint: boolean;
	bOverride_FilmSaturation: boolean;
	bOverride_FilmChannelMixerRed: boolean;
	bOverride_FilmChannelMixerGreen: boolean;
	bOverride_FilmChannelMixerBlue: boolean;
	bOverride_FilmContrast: boolean;
	bOverride_FilmDynamicRange: boolean;
	bOverride_FilmHealAmount: boolean;
	bOverride_FilmToeAmount: boolean;
	bOverride_FilmShadowTint: boolean;
	bOverride_FilmShadowTintBlend: boolean;
	bOverride_FilmShadowTintAmount: boolean;
	bOverride_FilmSlope: boolean;
	bOverride_FilmToe: boolean;
	bOverride_FilmShoulder: boolean;
	bOverride_FilmBlackClip: boolean;
	bOverride_FilmWhiteClip: boolean;
	bOverride_SceneColorTint: boolean;
	bOverride_SceneFringeIntensity: boolean;
	bOverride_AmbientCubemapTint: boolean;
	bOverride_AmbientCubemapIntensity: boolean;
	bOverride_BloomIntensity: boolean;
	bOverride_BloomThreshold: boolean;
	bOverride_Bloom1Tint: boolean;
	bOverride_Bloom1Size: boolean;
	bOverride_Bloom2Size: boolean;
	bOverride_Bloom2Tint: boolean;
	bOverride_Bloom3Tint: boolean;
	bOverride_Bloom3Size: boolean;
	bOverride_Bloom4Tint: boolean;
	bOverride_Bloom4Size: boolean;
	bOverride_Bloom5Tint: boolean;
	bOverride_Bloom5Size: boolean;
	bOverride_Bloom6Tint: boolean;
	bOverride_Bloom6Size: boolean;
	bOverride_BloomSizeScale: boolean;
	bOverride_BloomDirtMaskIntensity: boolean;
	bOverride_BloomDirtMaskTint: boolean;
	bOverride_BloomDirtMask: boolean;
	bOverride_AutoExposureMethod: boolean;
	bOverride_AutoExposureLowPercent: boolean;
	bOverride_AutoExposureHighPercent: boolean;
	bOverride_AutoExposureMinBrightness: boolean;
	bOverride_AutoExposureMaxBrightness: boolean;
	bOverride_AutoExposureSpeedUp: boolean;
	bOverride_AutoExposureSpeedDown: boolean;
	bOverride_AutoExposureBias: boolean;
	bOverride_HistogramLogMin: boolean;
	bOverride_HistogramLogMax: boolean;
	bOverride_LensFlareIntensity: boolean;
	bOverride_LensFlareTint: boolean;
	bOverride_LensFlareTints: boolean;
	bOverride_LensFlareBokehSize: boolean;
	bOverride_LensFlareBokehShape: boolean;
	bOverride_LensFlareThreshold: boolean;
	bOverride_VignetteIntensity: boolean;
	bOverride_GrainIntensity: boolean;
	bOverride_GrainJitter: boolean;
	bOverride_AmbientOcclusionIntensity: boolean;
	bOverride_AmbientOcclusionStaticFraction: boolean;
	bOverride_AmbientOcclusionRadius: boolean;
	bOverride_AmbientOcclusionFadeDistance: boolean;
	bOverride_AmbientOcclusionFadeRadius: boolean;
	bOverride_AmbientOcclusionDistance: boolean;
	bOverride_AmbientOcclusionRadiusInWS: boolean;
	bOverride_AmbientOcclusionPower: boolean;
	bOverride_AmbientOcclusionBias: boolean;
	bOverride_AmbientOcclusionQuality: boolean;
	bOverride_AmbientOcclusionMipBlend: boolean;
	bOverride_AmbientOcclusionMipScale: boolean;
	bOverride_AmbientOcclusionMipThreshold: boolean;
	bOverride_LPVIntensity: boolean;
	bOverride_LPVDirectionalOcclusionIntensity: boolean;
	bOverride_LPVDirectionalOcclusionRadius: boolean;
	bOverride_LPVDiffuseOcclusionExponent: boolean;
	bOverride_LPVSpecularOcclusionExponent: boolean;
	bOverride_LPVDiffuseOcclusionIntensity: boolean;
	bOverride_LPVSpecularOcclusionIntensity: boolean;
	bOverride_LPVSize: boolean;
	bOverride_LPVSecondaryOcclusionIntensity: boolean;
	bOverride_LPVSecondaryBounceIntensity: boolean;
	bOverride_LPVGeometryVolumeBias: boolean;
	bOverride_LPVVplInjectionBias: boolean;
	bOverride_LPVEmissiveInjectionIntensity: boolean;
	bOverride_IndirectLightingColor: boolean;
	bOverride_IndirectLightingIntensity: boolean;
	bOverride_ColorGradingIntensity: boolean;
	bOverride_ColorGradingLUT: boolean;
	bOverride_DepthOfFieldFocalDistance: boolean;
	bOverride_DepthOfFieldFstop: boolean;
	bOverride_DepthOfFieldSensorWidth: boolean;
	bOverride_DepthOfFieldDepthBlurRadius: boolean;
	bOverride_DepthOfFieldDepthBlurAmount: boolean;
	bOverride_DepthOfFieldFocalRegion: boolean;
	bOverride_DepthOfFieldNearTransitionRegion: boolean;
	bOverride_DepthOfFieldFarTransitionRegion: boolean;
	bOverride_DepthOfFieldScale: boolean;
	bOverride_DepthOfFieldMaxBokehSize: boolean;
	bOverride_DepthOfFieldNearBlurSize: boolean;
	bOverride_DepthOfFieldFarBlurSize: boolean;
	bOverride_DepthOfFieldMethod: boolean;
	bOverride_MobileHQGaussian: boolean;
	bOverride_DepthOfFieldBokehShape: boolean;
	bOverride_DepthOfFieldOcclusion: boolean;
	bOverride_DepthOfFieldColorThreshold: boolean;
	bOverride_DepthOfFieldSizeThreshold: boolean;
	bOverride_DepthOfFieldSkyFocusDistance: boolean;
	bOverride_DepthOfFieldVignetteSize: boolean;
	bOverride_MotionBlurAmount: boolean;
	bOverride_MotionBlurMax: boolean;
	bOverride_MotionBlurPerObjectSize: boolean;
	bOverride_ScreenPercentage: boolean;
	bOverride_AntiAliasingMethod: boolean;
	bOverride_ScreenSpaceReflectionIntensity: boolean;
	bOverride_ScreenSpaceReflectionQuality: boolean;
	bOverride_ScreenSpaceReflectionMaxRoughness: boolean;
	bOverride_ScreenSpaceReflectionRoughnessScale: boolean;
	WhiteTemp: number;
	WhiteTint: number;
	ColorSaturation: Vector;
	ColorContrast: Vector;
	ColorGamma: Vector;
	ColorGain: Vector;
	ColorOffset: Vector;
	FilmWhitePoint: LinearColor;
	FilmShadowTint: LinearColor;
	FilmShadowTintBlend: number;
	FilmShadowTintAmount: number;
	FilmSaturation: number;
	FilmChannelMixerRed: LinearColor;
	FilmChannelMixerGreen: LinearColor;
	FilmChannelMixerBlue: LinearColor;
	FilmContrast: number;
	FilmToeAmount: number;
	FilmHealAmount: number;
	FilmDynamicRange: number;
	FilmSlope: number;
	FilmToe: number;
	FilmShoulder: number;
	FilmBlackClip: number;
	FilmWhiteClip: number;
	SceneColorTint: LinearColor;
	SceneFringeIntensity: number;
	BloomIntensity: number;
	BloomThreshold: number;
	BloomSizeScale: number;
	Bloom1Size: number;
	Bloom2Size: number;
	Bloom3Size: number;
	Bloom4Size: number;
	Bloom5Size: number;
	Bloom6Size: number;
	Bloom1Tint: LinearColor;
	Bloom2Tint: LinearColor;
	Bloom3Tint: LinearColor;
	Bloom4Tint: LinearColor;
	Bloom5Tint: LinearColor;
	Bloom6Tint: LinearColor;
	BloomDirtMaskIntensity: number;
	BloomDirtMaskTint: LinearColor;
	BloomDirtMask: Texture;
	LPVIntensity: number;
	LPVVplInjectionBias: number;
	LPVSize: number;
	LPVSecondaryOcclusionIntensity: number;
	LPVSecondaryBounceIntensity: number;
	LPVGeometryVolumeBias: number;
	LPVEmissiveInjectionIntensity: number;
	LPVDirectionalOcclusionIntensity: number;
	LPVDirectionalOcclusionRadius: number;
	LPVDiffuseOcclusionExponent: number;
	LPVSpecularOcclusionExponent: number;
	LPVDiffuseOcclusionIntensity: number;
	LPVSpecularOcclusionIntensity: number;
	AmbientCubemapTint: LinearColor;
	AmbientCubemapIntensity: number;
	AmbientCubemap: TextureCube;
	AutoExposureMethod: EAutoExposureMethod;
	AutoExposureLowPercent: number;
	AutoExposureHighPercent: number;
	AutoExposureMinBrightness: number;
	AutoExposureMaxBrightness: number;
	AutoExposureSpeedUp: number;
	AutoExposureSpeedDown: number;
	AutoExposureBias: number;
	HistogramLogMin: number;
	HistogramLogMax: number;
	LensFlareIntensity: number;
	LensFlareTint: LinearColor;
	LensFlareBokehSize: number;
	LensFlareThreshold: number;
	LensFlareBokehShape: Texture;
	LensFlareTints: LinearColor;
	VignetteIntensity: number;
	GrainJitter: number;
	GrainIntensity: number;
	AmbientOcclusionIntensity: number;
	AmbientOcclusionStaticFraction: number;
	AmbientOcclusionRadius: number;
	AmbientOcclusionRadiusInWS: boolean;
	AmbientOcclusionFadeDistance: number;
	AmbientOcclusionFadeRadius: number;
	AmbientOcclusionDistance: number;
	AmbientOcclusionPower: number;
	AmbientOcclusionBias: number;
	AmbientOcclusionQuality: number;
	AmbientOcclusionMipBlend: number;
	AmbientOcclusionMipScale: number;
	AmbientOcclusionMipThreshold: number;
	IndirectLightingColor: LinearColor;
	IndirectLightingIntensity: number;
	ColorGradingIntensity: number;
	ColorGradingLUT: Texture;
	DepthOfFieldMethod: EDepthOfFieldMethod;
	bMobileHQGaussian: boolean;
	DepthOfFieldFstop: number;
	DepthOfFieldSensorWidth: number;
	DepthOfFieldFocalDistance: number;
	DepthOfFieldDepthBlurAmount: number;
	DepthOfFieldDepthBlurRadius: number;
	DepthOfFieldFocalRegion: number;
	DepthOfFieldNearTransitionRegion: number;
	DepthOfFieldFarTransitionRegion: number;
	DepthOfFieldScale: number;
	DepthOfFieldMaxBokehSize: number;
	DepthOfFieldNearBlurSize: number;
	DepthOfFieldFarBlurSize: number;
	DepthOfFieldBokehShape: Texture;
	DepthOfFieldOcclusion: number;
	DepthOfFieldColorThreshold: number;
	DepthOfFieldSizeThreshold: number;
	DepthOfFieldSkyFocusDistance: number;
	DepthOfFieldVignetteSize: number;
	MotionBlurAmount: number;
	MotionBlurMax: number;
	MotionBlurPerObjectSize: number;
	ScreenPercentage: number;
	AntiAliasingMethod: EAntiAliasingMethod;
	ScreenSpaceReflectionIntensity: number;
	ScreenSpaceReflectionQuality: number;
	ScreenSpaceReflectionMaxRoughness: number;
	WeightedBlendables: WeightedBlendables;
	Blendables: UObject[];
	clone() : PostProcessSettings;
	static C(Other: UObject): PostProcessSettings;
}

declare class MinimalViewInfo { 
	Location: Vector;
	Rotation: Rotator;
	FOV: number;
	OrthoWidth: number;
	OrthoNearClipPlane: number;
	OrthoFarClipPlane: number;
	AspectRatio: number;
	bConstrainAspectRatio: boolean;
	bUseFieldOfViewForLOD: boolean;
	ProjectionMode: ECameraProjectionMode;
	PostProcessBlendWeight: number;
	PostProcessSettings: PostProcessSettings;
	clone() : MinimalViewInfo;
	static C(Other: UObject): MinimalViewInfo;
}

declare class CameraCacheEntry { 
	TimeStamp: number;
	POV: MinimalViewInfo;
	clone() : CameraCacheEntry;
	static C(Other: UObject): CameraCacheEntry;
}

declare class LocalMessage extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): LocalMessage;
	static Find(Outer: UObject, ResourceName: string): LocalMessage;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): LocalMessage;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalMessage;
	static C(Other: UObject): LocalMessage;
}

declare class UniqueNetIdRepl { 
	clone() : UniqueNetIdRepl;
	static C(Other: UObject): UniqueNetIdRepl;
}

declare class PlayerState extends Info { 
	Score: number;
	Ping: number;
	PlayerName: string;
	PlayerId: number;
	bIsSpectator: boolean;
	bOnlySpectator: boolean;
	bIsABot: boolean;
	bIsInactive: boolean;
	bFromPreviousLevel: boolean;
	StartTime: number;
	EngineMessageClass: UnrealEngineClass;
	SavedNetworkAddress: string;
	UniqueId: UniqueNetIdRepl;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PlayerState;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlayerState;
	OnRep_UniqueId(): void;
	OnRep_Score(): void;
	OnRep_PlayerName(): void;
	OnRep_bIsInactive(): void;
	static C(Other: UObject): PlayerState;
}

declare class TViewTarget { 
	Target: Actor;
	POV: MinimalViewInfo;
	PlayerState: PlayerState;
	clone() : TViewTarget;
	static C(Other: UObject): TViewTarget;
}

declare class CameraModifier extends UObject { 
	bDebug: boolean;
	bExclusive: boolean;
	Priority: number;
	CameraOwner: PlayerCameraManager;
	AlphaInTime: number;
	AlphaOutTime: number;
	Alpha: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CameraModifier;
	static Find(Outer: UObject, ResourceName: string): CameraModifier;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CameraModifier;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraModifier;
	IsDisabled(): boolean;
	GetViewTarget(): Actor;
	EnableModifier(): void;
	DisableModifier(bImmediate: boolean): void;
	BlueprintModifyPostProcess(DeltaTime: number,PostProcessBlendWeight?: number,PostProcessSettings?: PostProcessSettings): {PostProcessBlendWeight: number, PostProcessSettings: PostProcessSettings};
	BlueprintModifyCamera(DeltaTime: number,ViewLocation: Vector,ViewRotation: Rotator,FOV: number,NewViewLocation?: Vector,NewViewRotation?: Rotator,NewFOV?: number): {NewViewLocation: Vector, NewViewRotation: Rotator, NewFOV: number};
	static C(Other: UObject): CameraModifier;
}

declare type EParticleSystemUpdateMode = string | symbol;
declare var EParticleSystemUpdateMode = { EPSUM_RealTime:'EPSUM_RealTime',EPSUM_FixedTime:'EPSUM_FixedTime', };
declare type EEmitterRenderMode = string | symbol;
declare var EEmitterRenderMode = { ERM_Normal:'ERM_Normal',ERM_Point:'ERM_Point',ERM_Cross:'ERM_Cross',ERM_LightsOnly:'ERM_LightsOnly',ERM_None:'ERM_None', };
declare class ParticleModule extends UObject { 
	bSpawnModule: boolean;
	bUpdateModule: boolean;
	bFinalUpdateModule: boolean;
	bUpdateForGPUEmitter: boolean;
	bCurvesAsColor: boolean;
	b3DDrawMode: boolean;
	bSupported3DDrawMode: boolean;
	bEnabled: boolean;
	bEditable: boolean;
	LODDuplicate: boolean;
	bSupportsRandomSeed: boolean;
	bRequiresLoopingNotification: boolean;
	LODValidity: number;
	ModuleEditorColor: Color;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleModule;
	static Find(Outer: UObject, ResourceName: string): ParticleModule;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleModule;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModule;
	static C(Other: UObject): ParticleModule;
}

declare type EParticleScreenAlignment = string | symbol;
declare var EParticleScreenAlignment = { PSA_FacingCameraPosition:'PSA_FacingCameraPosition',PSA_Square:'PSA_Square',PSA_Rectangle:'PSA_Rectangle',PSA_Velocity:'PSA_Velocity',PSA_AwayFromCenter:'PSA_AwayFromCenter',PSA_TypeSpecific:'PSA_TypeSpecific', };
declare type EParticleSortMode = string | symbol;
declare var EParticleSortMode = { PSORTMODE_None:'PSORTMODE_None',PSORTMODE_ViewProjDepth:'PSORTMODE_ViewProjDepth',PSORTMODE_DistanceToView:'PSORTMODE_DistanceToView',PSORTMODE_Age_OldestFirst:'PSORTMODE_Age_OldestFirst',PSORTMODE_Age_NewestFirst:'PSORTMODE_Age_NewestFirst', };
declare class DistributionLookupTable { 
	Op: number;
	EntryCount: number;
	EntryStride: number;
	SubEntryStride: number;
	TimeScale: number;
	TimeBias: number;
	Values: number[];
	LockFlag: number;
	clone() : DistributionLookupTable;
	static C(Other: UObject): DistributionLookupTable;
}

declare class RawDistribution { 
	Table: DistributionLookupTable;
	clone() : RawDistribution;
	static C(Other: UObject): RawDistribution;
}

declare class Distribution extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Distribution;
	static Find(Outer: UObject, ResourceName: string): Distribution;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Distribution;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Distribution;
	static C(Other: UObject): Distribution;
}

declare class DistributionFloat extends Distribution { 
	bCanBeBaked: boolean;
	bBakedDataSuccesfully: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DistributionFloat;
	static Find(Outer: UObject, ResourceName: string): DistributionFloat;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DistributionFloat;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionFloat;
	static C(Other: UObject): DistributionFloat;
}

declare class RawDistributionFloat extends RawDistribution { 
	MinValue: number;
	MaxValue: number;
	Distribution: DistributionFloat;
	clone() : RawDistributionFloat;
	static C(Other: UObject): RawDistributionFloat;
}

declare type EParticleBurstMethod = string | symbol;
declare var EParticleBurstMethod = { EPBM_Instant:'EPBM_Instant',EPBM_Interpolated:'EPBM_Interpolated', };
declare class ParticleBurst { 
	Count: number;
	CountLow: number;
	Time: number;
	clone() : ParticleBurst;
	static C(Other: UObject): ParticleBurst;
}

declare type EParticleSubUVInterpMethod = string | symbol;
declare var EParticleSubUVInterpMethod = { PSUVIM_None:'PSUVIM_None',PSUVIM_Linear:'PSUVIM_Linear',PSUVIM_Linear_Blend:'PSUVIM_Linear_Blend',PSUVIM_Random:'PSUVIM_Random',PSUVIM_Random_Blend:'PSUVIM_Random_Blend', };
declare type EEmitterNormalsMode = string | symbol;
declare var EEmitterNormalsMode = { ENM_CameraFacing:'ENM_CameraFacing',ENM_Spherical:'ENM_Spherical',ENM_Cylindrical:'ENM_Cylindrical', };
declare type EParticleUVFlipMode = string | symbol;
declare var EParticleUVFlipMode = { None:'None',FlipUV:'FlipUV',FlipUOnly:'FlipUOnly',FlipVOnly:'FlipVOnly',RandomFlipUV:'RandomFlipUV',RandomFlipUOnly:'RandomFlipUOnly',RandomFlipVOnly:'RandomFlipVOnly',RandomFlipUVIndependent:'RandomFlipUVIndependent', };
declare class ParticleModuleRequired extends ParticleModule { 
	Material: MaterialInterface;
	EmitterOrigin: Vector;
	EmitterRotation: Rotator;
	ScreenAlignment: EParticleScreenAlignment;
	bUseLocalSpace: boolean;
	bKillOnDeactivate: boolean;
	bKillOnCompleted: boolean;
	SortMode: EParticleSortMode;
	bUseLegacyEmitterTime: boolean;
	EmitterDuration: number;
	EmitterDurationLow: number;
	bEmitterDurationUseRange: boolean;
	bDurationRecalcEachLoop: boolean;
	EmitterLoops: number;
	SpawnRate: RawDistributionFloat;
	ParticleBurstMethod: EParticleBurstMethod;
	BurstList: ParticleBurst[];
	EmitterDelay: number;
	EmitterDelayLow: number;
	bEmitterDelayUseRange: boolean;
	bDelayFirstLoopOnly: boolean;
	InterpolationMethod: EParticleSubUVInterpMethod;
	SubImages_Horizontal: number;
	SubImages_Vertical: number;
	bScaleUV: boolean;
	RandomImageTime: number;
	RandomImageChanges: number;
	bOverrideSystemMacroUV: boolean;
	MacroUVPosition: Vector;
	MacroUVRadius: number;
	bUseMaxDrawCount: boolean;
	MaxDrawCount: number;
	EmitterNormalsMode: EEmitterNormalsMode;
	NormalsSphereCenter: Vector;
	NormalsCylinderDirection: Vector;
	bOrbitModuleAffectsVelocityAlignment: boolean;
	UVFlippingMode: EParticleUVFlipMode;
	NamedMaterialOverrides: string[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleModuleRequired;
	static Find(Outer: UObject, ResourceName: string): ParticleModuleRequired;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleModuleRequired;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRequired;
	static C(Other: UObject): ParticleModuleRequired;
}

declare class ParticleModuleTypeDataBase extends ParticleModule { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleModuleTypeDataBase;
	static Find(Outer: UObject, ResourceName: string): ParticleModuleTypeDataBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleModuleTypeDataBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTypeDataBase;
	static C(Other: UObject): ParticleModuleTypeDataBase;
}

declare class ParticleModuleSpawnBase extends ParticleModule { 
	bProcessSpawnRate: boolean;
	bProcessBurstList: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleModuleSpawnBase;
	static Find(Outer: UObject, ResourceName: string): ParticleModuleSpawnBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleModuleSpawnBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSpawnBase;
	static C(Other: UObject): ParticleModuleSpawnBase;
}

declare class ParticleModuleSpawn extends ParticleModuleSpawnBase { 
	Rate: RawDistributionFloat;
	RateScale: RawDistributionFloat;
	ParticleBurstMethod: EParticleBurstMethod;
	BurstList: ParticleBurst[];
	BurstScale: RawDistributionFloat;
	bApplyGlobalSpawnRateScale: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleModuleSpawn;
	static Find(Outer: UObject, ResourceName: string): ParticleModuleSpawn;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleModuleSpawn;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSpawn;
	static C(Other: UObject): ParticleModuleSpawn;
}

declare class ParticleModuleEventBase extends ParticleModule { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleModuleEventBase;
	static Find(Outer: UObject, ResourceName: string): ParticleModuleEventBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleModuleEventBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleEventBase;
	static C(Other: UObject): ParticleModuleEventBase;
}

declare type EParticleEventType = string | symbol;
declare var EParticleEventType = { EPET_Any:'EPET_Any',EPET_Spawn:'EPET_Spawn',EPET_Death:'EPET_Death',EPET_Collision:'EPET_Collision',EPET_Burst:'EPET_Burst',EPET_Blueprint:'EPET_Blueprint', };
declare class ParticleModuleEventSendToGame extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleModuleEventSendToGame;
	static Find(Outer: UObject, ResourceName: string): ParticleModuleEventSendToGame;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleModuleEventSendToGame;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleEventSendToGame;
	static C(Other: UObject): ParticleModuleEventSendToGame;
}

declare class ParticleEvent_GenerateInfo { 
	Type: EParticleEventType;
	Frequency: number;
	ParticleFrequency: number;
	FirstTimeOnly: boolean;
	LastTimeOnly: boolean;
	UseReflectedImpactVector: boolean;
	bUseOrbitOffset: boolean;
	CustomName: string;
	ParticleModuleEventsToSendToGame: ParticleModuleEventSendToGame[];
	clone() : ParticleEvent_GenerateInfo;
	static C(Other: UObject): ParticleEvent_GenerateInfo;
}

declare class ParticleModuleEventGenerator extends ParticleModuleEventBase { 
	Events: ParticleEvent_GenerateInfo[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleModuleEventGenerator;
	static Find(Outer: UObject, ResourceName: string): ParticleModuleEventGenerator;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleModuleEventGenerator;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleEventGenerator;
	static C(Other: UObject): ParticleModuleEventGenerator;
}

declare class ParticleModuleOrbitBase extends ParticleModule { 
	bUseEmitterTime: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleModuleOrbitBase;
	static Find(Outer: UObject, ResourceName: string): ParticleModuleOrbitBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleModuleOrbitBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleOrbitBase;
	static C(Other: UObject): ParticleModuleOrbitBase;
}

declare type EOrbitChainMode = string | symbol;
declare var EOrbitChainMode = { EOChainMode_Add:'EOChainMode_Add',EOChainMode_Scale:'EOChainMode_Scale',EOChainMode_Link:'EOChainMode_Link', };
declare class DistributionVector extends Distribution { 
	bCanBeBaked: boolean;
	bIsDirty: boolean;
	bBakedDataSuccesfully: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DistributionVector;
	static Find(Outer: UObject, ResourceName: string): DistributionVector;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DistributionVector;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionVector;
	static C(Other: UObject): DistributionVector;
}

declare class RawDistributionVector extends RawDistribution { 
	MinValue: number;
	MaxValue: number;
	MinValueVec: Vector;
	MaxValueVec: Vector;
	Distribution: DistributionVector;
	clone() : RawDistributionVector;
	static C(Other: UObject): RawDistributionVector;
}

declare class OrbitOptions { 
	bProcessDuringSpawn: boolean;
	bProcessDuringUpdate: boolean;
	bUseEmitterTime: boolean;
	clone() : OrbitOptions;
	static C(Other: UObject): OrbitOptions;
}

declare class ParticleModuleOrbit extends ParticleModuleOrbitBase { 
	ChainMode: EOrbitChainMode;
	OffsetAmount: RawDistributionVector;
	OffsetOptions: OrbitOptions;
	RotationAmount: RawDistributionVector;
	RotationOptions: OrbitOptions;
	RotationRateAmount: RawDistributionVector;
	RotationRateOptions: OrbitOptions;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleModuleOrbit;
	static Find(Outer: UObject, ResourceName: string): ParticleModuleOrbit;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleModuleOrbit;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleOrbit;
	static C(Other: UObject): ParticleModuleOrbit;
}

declare class ParticleModuleEventReceiverBase extends ParticleModuleEventBase { 
	EventGeneratorType: EParticleEventType;
	EventName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleModuleEventReceiverBase;
	static Find(Outer: UObject, ResourceName: string): ParticleModuleEventReceiverBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleModuleEventReceiverBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleEventReceiverBase;
	static C(Other: UObject): ParticleModuleEventReceiverBase;
}

declare class ParticleLODLevel extends UObject { 
	Level: number;
	bEnabled: boolean;
	RequiredModule: ParticleModuleRequired;
	Modules: ParticleModule[];
	TypeDataModule: ParticleModuleTypeDataBase;
	SpawnModule: ParticleModuleSpawn;
	EventGenerator: ParticleModuleEventGenerator;
	SpawningModules: ParticleModuleSpawnBase[];
	SpawnModules: ParticleModule[];
	UpdateModules: ParticleModule[];
	OrbitModules: ParticleModuleOrbit[];
	EventReceiverModules: ParticleModuleEventReceiverBase[];
	ConvertedModules: boolean;
	PeakActiveParticles: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleLODLevel;
	static Find(Outer: UObject, ResourceName: string): ParticleLODLevel;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleLODLevel;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleLODLevel;
	static C(Other: UObject): ParticleLODLevel;
}

declare type EParticleSignificanceLevel = string | symbol;
declare var EParticleSignificanceLevel = { Low:'Low',Medium:'Medium',High:'High',Critical:'Critical',Num:'Num', };
declare class ParticleEmitter extends UObject { 
	EmitterName: string;
	SubUVDataOffset: number;
	EmitterRenderMode: EEmitterRenderMode;
	EmitterEditorColor: Color;
	LODLevels: ParticleLODLevel[];
	ConvertedModules: boolean;
	PeakActiveParticles: number;
	InitialAllocationCount: number;
	MediumDetailSpawnRateScale: number;
	QualityLevelSpawnRateScale: number;
	DetailMode: EDetailMode;
	bCollapsed: boolean;
	bIsSoloing: boolean;
	bCookedOut: boolean;
	bDisabledLODsKeepEmitterAlive: boolean;
	bDisableWhenInsignficant: boolean;
	SignificanceLevel: EParticleSignificanceLevel;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleEmitter;
	static Find(Outer: UObject, ResourceName: string): ParticleEmitter;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleEmitter;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleEmitter;
	static C(Other: UObject): ParticleEmitter;
}

declare class CurveEdEntry { 
	CurveObject: UObject;
	CurveColor: Color;
	CurveName: string;
	bHideCurve: number;
	bColorCurve: number;
	bFloatingPointColorCurve: number;
	bClamp: number;
	ClampLow: number;
	ClampHigh: number;
	clone() : CurveEdEntry;
	static C(Other: UObject): CurveEdEntry;
}

declare class CurveEdTab { 
	TabName: string;
	Curves: CurveEdEntry[];
	ViewStartInput: number;
	ViewEndInput: number;
	ViewStartOutput: number;
	ViewEndOutput: number;
	clone() : CurveEdTab;
	static C(Other: UObject): CurveEdTab;
}

declare class InterpCurveEdSetup extends UObject { 
	Tabs: CurveEdTab[];
	ActiveTab: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InterpCurveEdSetup;
	static Find(Outer: UObject, ResourceName: string): InterpCurveEdSetup;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InterpCurveEdSetup;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpCurveEdSetup;
	static C(Other: UObject): InterpCurveEdSetup;
}

declare type ParticleSystemLODMethod = string | symbol;
declare var ParticleSystemLODMethod = { PARTICLESYSTEMLODMETHOD_Automatic:'PARTICLESYSTEMLODMETHOD_Automatic',PARTICLESYSTEMLODMETHOD_DirectSet:'PARTICLESYSTEMLODMETHOD_DirectSet',PARTICLESYSTEMLODMETHOD_ActivateAutomatic:'PARTICLESYSTEMLODMETHOD_ActivateAutomatic', };
declare class ParticleSystemLOD { 
	clone() : ParticleSystemLOD;
	static C(Other: UObject): ParticleSystemLOD;
}

declare type EParticleSystemInsignificanceReaction = string | symbol;
declare var EParticleSystemInsignificanceReaction = { Auto:'Auto',Complete:'Complete',DisableTick:'DisableTick',DisableTickAndKill:'DisableTickAndKill',Num:'Num', };
declare type EParticleSystemOcclusionBoundsMethod = string | symbol;
declare var EParticleSystemOcclusionBoundsMethod = { EPSOBM_None:'EPSOBM_None',EPSOBM_ParticleBounds:'EPSOBM_ParticleBounds',EPSOBM_CustomBounds:'EPSOBM_CustomBounds', };
declare class LODSoloTrack { 
	SoloEnableSetting: number[];
	clone() : LODSoloTrack;
	static C(Other: UObject): LODSoloTrack;
}

declare class NamedEmitterMaterial { 
	Name: string;
	Material: MaterialInterface;
	clone() : NamedEmitterMaterial;
	static C(Other: UObject): NamedEmitterMaterial;
}

declare class ParticleSystem extends UObject { 
	SystemUpdateMode: EParticleSystemUpdateMode;
	UpdateTime_FPS: number;
	UpdateTime_Delta: number;
	WarmupTime: number;
	WarmupTickRate: number;
	Emitters: ParticleEmitter[];
	PreviewComponent: ParticleSystemComponent;
	ThumbnailAngle: Rotator;
	ThumbnailDistance: number;
	ThumbnailWarmup: number;
	CurveEdSetup: InterpCurveEdSetup;
	bOrientZAxisTowardCamera: boolean;
	LODDistanceCheckTime: number;
	LODMethod: ParticleSystemLODMethod;
	LODDistances: number[];
	EditorLODSetting: number;
	bRegenerateLODDuplicate: boolean;
	LODSettings: ParticleSystemLOD[];
	bUseFixedRelativeBoundingBox: boolean;
	FixedRelativeBoundingBox: Box;
	SecondsBeforeInactive: number;
	FloorMesh: string;
	FloorPosition: Vector;
	FloorRotation: Rotator;
	FloorScale: number;
	FloorScale3D: Vector;
	BackgroundColor: Color;
	bShouldResetPeakCounts: boolean;
	bHasPhysics: boolean;
	bUseRealtimeThumbnail: boolean;
	ThumbnailImageOutOfDate: boolean;
	ThumbnailImage: Texture2D;
	Delay: number;
	DelayLow: number;
	bUseDelayRange: boolean;
	bAutoDeactivate: boolean;
	MinTimeBetweenTicks: any;
	InsignificantReaction: EParticleSystemInsignificanceReaction;
	InsignificanceDelay: number;
	MaxSignificanceLevel: EParticleSignificanceLevel;
	MacroUVPosition: Vector;
	MacroUVRadius: number;
	OcclusionBoundsMethod: EParticleSystemOcclusionBoundsMethod;
	CustomOcclusionBounds: Box;
	SoloTracking: LODSoloTrack[];
	NamedMaterialSlots: NamedEmitterMaterial[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleSystem;
	static Find(Outer: UObject, ResourceName: string): ParticleSystem;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleSystem;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleSystem;
	ContainsEmitterType(TypeData: UnrealEngineClass): boolean;
	static C(Other: UObject): ParticleSystem;
	SpawnEmitterAttached(AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bAutoDestroy: boolean): ParticleSystemComponent;
	static SpawnEmitterAttached(EmitterTemplate: ParticleSystem,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bAutoDestroy: boolean): ParticleSystemComponent;
}

declare type EParticleSysParamType = string | symbol;
declare var EParticleSysParamType = { PSPT_None:'PSPT_None',PSPT_Scalar:'PSPT_Scalar',PSPT_ScalarRand:'PSPT_ScalarRand',PSPT_Vector:'PSPT_Vector',PSPT_VectorRand:'PSPT_VectorRand',PSPT_Color:'PSPT_Color',PSPT_Actor:'PSPT_Actor',PSPT_Material:'PSPT_Material', };
declare class ParticleSysParam { 
	Name: string;
	ParamType: EParticleSysParamType;
	Scalar: number;
	Scalar_Low: number;
	Vector: Vector;
	Vector_Low: Vector;
	Color: Color;
	Actor: Actor;
	Material: MaterialInterface;
	clone() : ParticleSysParam;
	static C(Other: UObject): ParticleSysParam;
}

declare class MaterialRelevance { 
	bOpaque: boolean;
	bMasked: boolean;
	bDistortion: boolean;
	bSeparateTranslucency: boolean;
	bMobileSeparateTranslucency: boolean;
	bNormalTranslucency: boolean;
	bDisableDepthTest: boolean;
	bOutputsVelocityInBasePass: boolean;
	bUsesGlobalDistanceField: boolean;
	ShadingModelMask: any;
	clone() : MaterialRelevance;
	static C(Other: UObject): MaterialRelevance;
}

declare class ParticleSystemReplay extends UObject { 
	ClipIDNumber: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleSystemReplay;
	static Find(Outer: UObject, ResourceName: string): ParticleSystemReplay;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleSystemReplay;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleSystemReplay;
	static C(Other: UObject): ParticleSystemReplay;
}

declare type EAttachmentRule = string | symbol;
declare var EAttachmentRule = { KeepRelative:'KeepRelative',KeepWorld:'KeepWorld',SnapToTarget:'SnapToTarget', };
declare type ETrailWidthMode = string | symbol;
declare var ETrailWidthMode = { ETrailWidthMode_FromCentre:'ETrailWidthMode_FromCentre',ETrailWidthMode_FromFirst:'ETrailWidthMode_FromFirst',ETrailWidthMode_FromSecond:'ETrailWidthMode_FromSecond', };
declare class ParticleSystemComponent extends PrimitiveComponent { 
	Template: ParticleSystem;
	EmitterMaterials: MaterialInterface[];
	SkelMeshComponents: SkeletalMeshComponent[];
	bResetOnDetach: boolean;
	bUpdateOnDedicatedServer: boolean;
	bAllowRecycling: boolean;
	bAutoManageAttachment: boolean;
	RequiredSignificance: EParticleSignificanceLevel;
	InstanceParameters: ParticleSysParam[];
	OnParticleSpawn: UnrealEngineMulticastDelegate<(EventName: string, EmitterTime: number, Location: Vector, Velocity: Vector) => void>;
	OnParticleBurst: UnrealEngineMulticastDelegate<(EventName: string, EmitterTime: number, ParticleCount: number) => void>;
	OnParticleDeath: UnrealEngineMulticastDelegate<(EventName: string, EmitterTime: number, ParticleTime: number, Location: Vector, Velocity: Vector, Direction: Vector) => void>;
	OnParticleCollide: UnrealEngineMulticastDelegate<(EventName: string, EmitterTime: number, ParticleTime: number, Location: Vector, Velocity: Vector, Direction: Vector, Normal: Vector, BoneName: string) => void>;
	OldPosition: Vector;
	PartSysVelocity: Vector;
	WarmupTime: number;
	WarmupTickRate: number;
	bWarmingUp: boolean;
	SecondsBeforeInactive: number;
	MaxTimeBeforeForceUpdateTransform: number;
	EditorLODLevel: number;
	EditorDetailMode: number;
	bOverrideLODMethod: boolean;
	LODMethod: ParticleSystemLODMethod;
	bSkipUpdateDynamicDataDuringTick: boolean;
	CachedViewRelevanceFlags: MaterialRelevance[];
	ReplayClips: ParticleSystemReplay[];
	CustomTimeDilation: number;
	OnSystemFinished: UnrealEngineMulticastDelegate<(PSystem: ParticleSystemComponent) => void>;
	AutoAttachParent: any;
	AutoAttachSocketName: string;
	AutoAttachLocationType: EAttachLocation;
	AutoAttachLocationRule: EAttachmentRule;
	AutoAttachRotationRule: EAttachmentRule;
	AutoAttachScaleRule: EAttachmentRule;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ParticleSystemComponent;
	static Find(Outer: UObject, ResourceName: string): ParticleSystemComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleSystemComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleSystemComponent;
	SetVectorParameter(ParameterName: string,Param: Vector): void;
	SetTrailSourceData(InFirstSocketName: string,InSecondSocketName: string,InWidthMode: ETrailWidthMode,InWidth: number): void;
	SetTemplate(NewTemplate: ParticleSystem): void;
	SetMaterialParameter(ParameterName: string,Param: MaterialInterface): void;
	SetFloatParameter(ParameterName: string,Param: number): void;
	SetEmitterEnable(EmitterName: string,bNewEnableState: boolean): void;
	SetColorParameter(ParameterName: string,Param: LinearColor): void;
	SetBeamTargetTangent(EmitterIndex: number,NewTangentPoint: Vector,TargetIndex: number): void;
	SetBeamTargetStrength(EmitterIndex: number,NewTargetStrength: number,TargetIndex: number): void;
	SetBeamTargetPoint(EmitterIndex: number,NewTargetPoint: Vector,TargetIndex: number): void;
	SetBeamSourceTangent(EmitterIndex: number,NewTangentPoint: Vector,SourceIndex: number): void;
	SetBeamSourceStrength(EmitterIndex: number,NewSourceStrength: number,SourceIndex: number): void;
	SetBeamSourcePoint(EmitterIndex: number,NewSourcePoint: Vector,SourceIndex: number): void;
	SetBeamEndPoint(EmitterIndex: number,NewEndPoint: Vector): void;
	SetAutoAttachParams(Parent: SceneComponent,SocketName: string,LocationType: EAttachLocation): void;
	SetAutoAttachmentParameters(Parent: SceneComponent,SocketName: string,LocationRule: EAttachmentRule,RotationRule: EAttachmentRule,ScaleRule: EAttachmentRule): void;
	SetActorParameter(ParameterName: string,Param: Actor): void;
	GetNumActiveParticles(): number;
	GetNamedMaterial(InName: string): MaterialInterface;
	GenerateParticleEvent(InEventName: string,InEmitterTime: number,InLocation: Vector,InDirection: Vector,InVelocity: Vector): void;
	EndTrails(): void;
	CreateNamedDynamicMaterialInstance(InName: string,SourceMaterial: MaterialInterface): MaterialInstanceDynamic;
	BeginTrails(InFirstSocketName: string,InSecondSocketName: string,InWidthMode: ETrailWidthMode,InWidth: number): void;
	static C(Other: UObject): ParticleSystemComponent;
}

declare class Emitter extends Actor { 
	ParticleSystemComponent: ParticleSystemComponent;
	bDestroyOnSystemFinish: boolean;
	bPostUpdateTickGroup: boolean;
	bCurrentlyActive: boolean;
	OnParticleSpawn: UnrealEngineMulticastDelegate<(EventName: string, EmitterTime: number, Location: Vector, Velocity: Vector) => void>;
	OnParticleBurst: UnrealEngineMulticastDelegate<(EventName: string, EmitterTime: number, ParticleCount: number) => void>;
	OnParticleDeath: UnrealEngineMulticastDelegate<(EventName: string, EmitterTime: number, ParticleTime: number, Location: Vector, Velocity: Vector, Direction: Vector) => void>;
	OnParticleCollide: UnrealEngineMulticastDelegate<(EventName: string, EmitterTime: number, ParticleTime: number, Location: Vector, Velocity: Vector, Direction: Vector, Normal: Vector, BoneName: string) => void>;
	SpriteComponent: BillboardComponent;
	ArrowComponent: ArrowComponent;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Emitter;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Emitter;
	ToggleActive(): void;
	SetVectorParameter(ParameterName: string,Param: Vector): void;
	SetTemplate(NewTemplate: ParticleSystem): void;
	SetMaterialParameter(ParameterName: string,Param: MaterialInterface): void;
	SetFloatParameter(ParameterName: string,Param: number): void;
	SetColorParameter(ParameterName: string,Param: LinearColor): void;
	SetActorParameter(ParameterName: string,Param: Actor): void;
	OnRep_bCurrentlyActive(): void;
	OnParticleSystemFinished(FinishedComponent: ParticleSystemComponent): void;
	IsActive(): boolean;
	Deactivate(): void;
	Activate(): void;
	static C(Other: UObject): Emitter;
}

declare class EmitterCameraLensEffectBase extends Emitter { 
	PS_CameraEffect: ParticleSystem;
	PS_CameraEffectNonExtremeContent: ParticleSystem;
	BaseCamera: PlayerCameraManager;
	RelativeTransform: Transform;
	BaseFOV: number;
	bAllowMultipleInstances: boolean;
	EmittersToTreatAsSame: UnrealEngineClass[];
	DistFromCamera: number;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EmitterCameraLensEffectBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EmitterCameraLensEffectBase;
	static C(Other: UObject): EmitterCameraLensEffectBase;
}

declare type EInitialOscillatorOffset = string | symbol;
declare var EInitialOscillatorOffset = { EOO_OffsetRandom:'EOO_OffsetRandom',EOO_OffsetZero:'EOO_OffsetZero', };
declare class FOscillator { 
	Amplitude: number;
	Frequency: number;
	InitialOffset: EInitialOscillatorOffset;
	clone() : FOscillator;
	static C(Other: UObject): FOscillator;
}

declare class ROscillator { 
	Pitch: FOscillator;
	Yaw: FOscillator;
	Roll: FOscillator;
	clone() : ROscillator;
	static C(Other: UObject): ROscillator;
}

declare class VOscillator { 
	X: FOscillator;
	Y: FOscillator;
	Z: FOscillator;
	clone() : VOscillator;
	static C(Other: UObject): VOscillator;
}

declare class SubTrackGroup { 
	GroupName: string;
	TrackIndices: number[];
	bIsCollapsed: boolean;
	bIsSelected: boolean;
	clone() : SubTrackGroup;
	static C(Other: UObject): SubTrackGroup;
}

declare class SupportedSubTrackInfo { 
	SupportedClass: UnrealEngineClass;
	SubTrackName: string;
	GroupIndex: number;
	clone() : SupportedSubTrackInfo;
	static C(Other: UObject): SupportedSubTrackInfo;
}

declare type ETrackActiveCondition = string | symbol;
declare var ETrackActiveCondition = { ETAC_Always:'ETAC_Always',ETAC_GoreEnabled:'ETAC_GoreEnabled',ETAC_GoreDisabled:'ETAC_GoreDisabled', };
declare class InterpTrack extends UObject { 
	SubTracks: InterpTrack[];
	SubTrackGroups: SubTrackGroup[];
	SupportedSubTracks: SupportedSubTrackInfo[];
	TrackInstClass: UnrealEngineClass;
	ActiveCondition: ETrackActiveCondition;
	TrackTitle: string;
	bOnePerGroup: boolean;
	bDirGroupOnly: boolean;
	bDisableTrack: boolean;
	bIsSelected: boolean;
	TrackIcon: Texture2D;
	bIsAnimControlTrack: boolean;
	bSubTrackOnly: boolean;
	bVisible: boolean;
	bIsRecording: boolean;
	bIsCollapsed: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InterpTrack;
	static Find(Outer: UObject, ResourceName: string): InterpTrack;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InterpTrack;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrack;
	static C(Other: UObject): InterpTrack;
}

declare class InterpGroup extends UObject { 
	InterpTracks: InterpTrack[];
	GroupName: string;
	GroupColor: Color;
	bCollapsed: boolean;
	bVisible: boolean;
	bIsFolder: boolean;
	bIsParented: boolean;
	bIsSelected: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InterpGroup;
	static Find(Outer: UObject, ResourceName: string): InterpGroup;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InterpGroup;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpGroup;
	static C(Other: UObject): InterpGroup;
}

declare class CameraAnim extends UObject { 
	CameraInterpGroup: InterpGroup;
	PreviewInterpGroup: InterpGroup;
	AnimLength: number;
	BoundingBox: Box;
	bRelativeToInitialTransform: boolean;
	BaseFOV: number;
	BasePostProcessSettings: PostProcessSettings;
	BasePostProcessBlendWeight: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CameraAnim;
	static Find(Outer: UObject, ResourceName: string): CameraAnim;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CameraAnim;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraAnim;
	static C(Other: UObject): CameraAnim;
}

declare class InterpGroupInst extends UObject { 
	Group: InterpGroup;
	GroupActor: Actor;
	TrackInst: InterpTrackInst[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InterpGroupInst;
	static Find(Outer: UObject, ResourceName: string): InterpGroupInst;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InterpGroupInst;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpGroupInst;
	static C(Other: UObject): InterpGroupInst;
}

declare type EInterpCurveMode = string | symbol;
declare var EInterpCurveMode = { CIM_Linear:'CIM_Linear',CIM_CurveAuto:'CIM_CurveAuto',CIM_Constant:'CIM_Constant',CIM_CurveUser:'CIM_CurveUser',CIM_CurveBreak:'CIM_CurveBreak',CIM_CurveAutoClamped:'CIM_CurveAutoClamped', };
declare class InterpCurvePointVector { 
	InVal: number;
	OutVal: Vector;
	ArriveTangent: Vector;
	LeaveTangent: Vector;
	InterpMode: EInterpCurveMode;
	clone() : InterpCurvePointVector;
	static C(Other: UObject): InterpCurvePointVector;
}

declare class InterpCurveVector { 
	Points: InterpCurvePointVector[];
	bIsLooped: boolean;
	LoopKeyOffset: number;
	clone() : InterpCurveVector;
	static C(Other: UObject): InterpCurveVector;
}

declare class InterpLookupPoint { 
	GroupName: string;
	Time: number;
	clone() : InterpLookupPoint;
	static C(Other: UObject): InterpLookupPoint;
}

declare class InterpLookupTrack { 
	Points: InterpLookupPoint[];
	clone() : InterpLookupTrack;
	static C(Other: UObject): InterpLookupTrack;
}

declare type EInterpTrackMoveRotMode = string | symbol;
declare var EInterpTrackMoveRotMode = { IMR_Keyframed:'IMR_Keyframed',IMR_LookAtGroup:'IMR_LookAtGroup',IMR_Ignore:'IMR_Ignore', };
declare class InterpTrackMove extends InterpTrack { 
	PosTrack: InterpCurveVector;
	EulerTrack: InterpCurveVector;
	LookupTrack: InterpLookupTrack;
	LookAtGroupName: string;
	LinCurveTension: number;
	AngCurveTension: number;
	bUseQuatInterpolation: boolean;
	bShowArrowAtKeys: boolean;
	bDisableMovement: boolean;
	bShowTranslationOnCurveEd: boolean;
	bShowRotationOnCurveEd: boolean;
	bHide3DTrack: boolean;
	RotMode: EInterpTrackMoveRotMode;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InterpTrackMove;
	static Find(Outer: UObject, ResourceName: string): InterpTrackMove;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InterpTrackMove;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackMove;
	static C(Other: UObject): InterpTrackMove;
}

declare class InterpTrackInstMove extends InterpTrackInst { 
	ResetLocation: Vector;
	ResetRotation: Rotator;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InterpTrackInstMove;
	static Find(Outer: UObject, ResourceName: string): InterpTrackInstMove;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InterpTrackInstMove;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstMove;
	static C(Other: UObject): InterpTrackInstMove;
}

declare type ECameraAnimPlaySpace = string | symbol;
declare var ECameraAnimPlaySpace = { CameraLocal:'CameraLocal',World:'World',UserDefined:'UserDefined', };
declare class CameraAnimInst extends UObject { 
	CamAnim: CameraAnim;
	InterpGroupInst: InterpGroupInst;
	PlayRate: number;
	MoveTrack: InterpTrackMove;
	MoveInst: InterpTrackInstMove;
	PlaySpace: ECameraAnimPlaySpace;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CameraAnimInst;
	static Find(Outer: UObject, ResourceName: string): CameraAnimInst;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CameraAnimInst;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraAnimInst;
	Stop(bImmediate: boolean): void;
	SetScale(NewDuration: number): void;
	SetDuration(NewDuration: number): void;
	static C(Other: UObject): CameraAnimInst;
}

declare class CameraShake extends UObject { 
	bSingleInstance: boolean;
	OscillationDuration: number;
	OscillationBlendInTime: number;
	OscillationBlendOutTime: number;
	RotOscillation: ROscillator;
	LocOscillation: VOscillator;
	FOVOscillation: FOscillator;
	AnimPlayRate: number;
	AnimScale: number;
	AnimBlendInTime: number;
	AnimBlendOutTime: number;
	RandomAnimSegmentDuration: number;
	Anim: CameraAnim;
	bRandomAnimSegment: boolean;
	CameraOwner: PlayerCameraManager;
	ShakeScale: number;
	OscillatorTimeRemaining: number;
	AnimInst: CameraAnimInst;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CameraShake;
	static Find(Outer: UObject, ResourceName: string): CameraShake;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CameraShake;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraShake;
	ReceiveStopShake(bImmediately: boolean): void;
	ReceivePlayShake(Scale: number): void;
	ReceiveIsFinished(): boolean;
	BlueprintUpdateCameraShake(DeltaTime: number,Alpha: number,POV: MinimalViewInfo,ModifiedPOV?: MinimalViewInfo): {ModifiedPOV: MinimalViewInfo};
	static C(Other: UObject): CameraShake;
}

declare class CameraModifier_CameraShake extends CameraModifier { 
	ActiveShakes: CameraShake[];
	SplitScreenShakeScale: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CameraModifier_CameraShake;
	static Find(Outer: UObject, ResourceName: string): CameraModifier_CameraShake;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CameraModifier_CameraShake;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraModifier_CameraShake;
	static C(Other: UObject): CameraModifier_CameraShake;
}

declare class MeshBuildSettings { 
	bUseMikkTSpace: boolean;
	bRecomputeNormals: boolean;
	bRecomputeTangents: boolean;
	bRemoveDegenerates: boolean;
	bBuildAdjacencyBuffer: boolean;
	bBuildReversedIndexBuffer: boolean;
	bUseHighPrecisionTangentBasis: boolean;
	bUseFullPrecisionUVs: boolean;
	bGenerateLightmapUVs: boolean;
	MinLightmapResolution: number;
	SrcLightmapIndex: number;
	DstLightmapIndex: number;
	BuildScale: number;
	BuildScale3D: Vector;
	DistanceFieldResolutionScale: number;
	bGenerateDistanceFieldAsIfTwoSided: boolean;
	DistanceFieldReplacementMesh: StaticMesh;
	clone() : MeshBuildSettings;
	static C(Other: UObject): MeshBuildSettings;
}

declare type EMeshFeatureImportance = string | symbol;
declare var EMeshFeatureImportance = { Off:'Off',Lowest:'Lowest',Low:'Low',Normal:'Normal',High:'High',Highest:'Highest', };
declare class MeshReductionSettings { 
	PercentTriangles: number;
	MaxDeviation: number;
	WeldingThreshold: number;
	HardAngleThreshold: number;
	SilhouetteImportance: EMeshFeatureImportance;
	TextureImportance: EMeshFeatureImportance;
	ShadingImportance: EMeshFeatureImportance;
	bRecalculateNormals: boolean;
	BaseLODModel: number;
	bGenerateUniqueLightmapUVs: boolean;
	bKeepSymmetry: boolean;
	bVisibilityAided: boolean;
	bCullOccluded: boolean;
	VisibilityAggressiveness: EMeshFeatureImportance;
	VertexColorImportance: EMeshFeatureImportance;
	clone() : MeshReductionSettings;
	static C(Other: UObject): MeshReductionSettings;
}

declare class StaticMeshSourceModel { 
	BuildSettings: MeshBuildSettings;
	ReductionSettings: MeshReductionSettings;
	LODDistance: number;
	ScreenSize: number;
	clone() : StaticMeshSourceModel;
	static C(Other: UObject): StaticMeshSourceModel;
}

declare class AssetEditorOrbitCameraPosition { 
	bIsSet: boolean;
	CamOrbitPoint: Vector;
	CamOrbitZoom: Vector;
	CamOrbitRotation: Rotator;
	clone() : AssetEditorOrbitCameraPosition;
	static C(Other: UObject): AssetEditorOrbitCameraPosition;
}

declare class StaticMeshSocket extends UObject { 
	SocketName: string;
	RelativeLocation: Vector;
	RelativeRotation: Rotator;
	RelativeScale: Vector;
	Tag: string;
	PreviewStaticMesh: StaticMesh;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): StaticMeshSocket;
	static Find(Outer: UObject, ResourceName: string): StaticMeshSocket;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): StaticMeshSocket;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshSocket;
	static C(Other: UObject): StaticMeshSocket;
}

declare class NavCollisionCylinder { 
	Offset: Vector;
	Radius: number;
	Height: number;
	clone() : NavCollisionCylinder;
	static C(Other: UObject): NavCollisionCylinder;
}

declare class NavCollisionBox { 
	Offset: Vector;
	Extent: Vector;
	clone() : NavCollisionBox;
	static C(Other: UObject): NavCollisionBox;
}

declare class NavCollision extends UObject { 
	CylinderCollision: NavCollisionCylinder[];
	BoxCollision: NavCollisionBox[];
	AreaClass: UnrealEngineClass;
	bIsDynamicObstacle: boolean;
	bGatherConvexGeometry: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NavCollision;
	static Find(Outer: UObject, ResourceName: string): NavCollision;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NavCollision;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavCollision;
	static C(Other: UObject): NavCollision;
}

declare class MeshSectionInfo { 
	MaterialIndex: number;
	bEnableCollision: boolean;
	bCastShadow: boolean;
	clone() : MeshSectionInfo;
	static C(Other: UObject): MeshSectionInfo;
}

declare class JavascriptRawMesh { 
	FaceMaterialIndices: number[];
	FaceSmoothingMasks: any[];
	VertexPositions: Vector[];
	WedgeIndices: any[];
	WedgeTangentX: Vector[];
	WedgeTangentY: Vector[];
	WedgeTangentZ: Vector[];
	WedgeTexCoords_0: Vector2D[];
	WedgeTexCoords_1: Vector2D[];
	WedgeTexCoords_2: Vector2D[];
	WedgeTexCoords_3: Vector2D[];
	WedgeTexCoords_4: Vector2D[];
	WedgeTexCoords_5: Vector2D[];
	WedgeTexCoords_6: Vector2D[];
	WedgeTexCoords_7: Vector2D[];
	WedgeColors: Color[];
	MaterialIndexToImportIndex: number[];
	clone() : JavascriptRawMesh;
	static C(Other: UObject): JavascriptRawMesh;
	CompactMaterialIndices(): {RawMesh: JavascriptRawMesh};
	Empty(): {RawMesh: JavascriptRawMesh};
	GetWedgePosition(WedgeIndex: number): Vector;
	IsValid(): boolean;
	IsValidOrFixable(): boolean;
	static CompactMaterialIndices(RawMesh?: JavascriptRawMesh): {RawMesh: JavascriptRawMesh};
	static Empty(RawMesh?: JavascriptRawMesh): {RawMesh: JavascriptRawMesh};
	static GetWedgePosition(RawMesh: JavascriptRawMesh,WedgeIndex: number): Vector;
	static IsValid(RawMesh: JavascriptRawMesh): boolean;
	static IsValidOrFixable(RawMesh: JavascriptRawMesh): boolean;
}

declare class StaticMesh extends UObject { 
	SourceModels: StaticMeshSourceModel[];
	AutoLODPixelError: number;
	LODGroup: string;
	bAutoComputeLODScreenSize: boolean;
	MinLOD: number;
	Materials: MaterialInterface[];
	LightMapResolution: number;
	LightMapCoordinateIndex: number;
	BodySetup: BodySetup;
	LODForCollision: number;
	bUseMaximumStreamingTexelRatio: boolean;
	bStripComplexCollisionForConsole: boolean;
	bHasNavigationData: boolean;
	StreamingDistanceMultiplier: number;
	LpvBiasMultiplier: number;
	AssetImportData: AssetImportData;
	SourceFilePath: string;
	SourceFileTimestamp: string;
	ThumbnailInfo: ThumbnailInfo;
	EditorCameraPosition: AssetEditorOrbitCameraPosition;
	bCustomizedCollision: boolean;
	Sockets: StaticMeshSocket[];
	PositiveBoundsExtension: Vector;
	NegativeBoundsExtension: Vector;
	ExtendedBounds: BoxSphereBounds;
	ElementToIgnoreForTexFactor: number;
	AssetUserData: AssetUserData[];
	NavCollision: NavCollision;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): StaticMesh;
	static Find(Outer: UObject, ResourceName: string): StaticMesh;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): StaticMesh;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMesh;
	GetBounds(): BoxSphereBounds;
	GetBoundingBox(): Box;
	static C(Other: UObject): StaticMesh;
	Build(): void;
	GetSectionInfo(LODIndex: number,SectionIndex: number): MeshSectionInfo;
	LoadRawMesh(SourceModelIndex: number,OutMesh?: JavascriptRawMesh): {OutMesh: JavascriptRawMesh};
	SaveRawMesh(SourceModelIndex: number,InMesh?: JavascriptRawMesh): {InMesh: JavascriptRawMesh};
	SetSectionInfo(LODIndex: number,SectionIndex: number,Info: MeshSectionInfo): void;
	static Build(StaticMesh: StaticMesh): void;
	static GetSectionInfo(StaticMesh: StaticMesh,LODIndex: number,SectionIndex: number): MeshSectionInfo;
	static LoadRawMesh(StaticMesh: StaticMesh,SourceModelIndex: number,OutMesh?: JavascriptRawMesh): {OutMesh: JavascriptRawMesh};
	static SaveRawMesh(StaticMesh: StaticMesh,SourceModelIndex: number,InMesh?: JavascriptRawMesh): {InMesh: JavascriptRawMesh};
	static SetSectionInfo(StaticMesh: StaticMesh,LODIndex: number,SectionIndex: number,Info: MeshSectionInfo): void;
}

declare class CameraComponent extends SceneComponent { 
	FieldOfView: number;
	OrthoWidth: number;
	OrthoNearClipPlane: number;
	OrthoFarClipPlane: number;
	AspectRatio: number;
	bConstrainAspectRatio: boolean;
	bUseFieldOfViewForLOD: boolean;
	bLockToHmd: boolean;
	bUsePawnControlRotation: boolean;
	ProjectionMode: ECameraProjectionMode;
	PostProcessBlendWeight: number;
	PostProcessSettings: PostProcessSettings;
	CameraMesh: StaticMesh;
	bUseControllerViewRotation: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CameraComponent;
	static Find(Outer: UObject, ResourceName: string): CameraComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CameraComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraComponent;
	SetUseFieldOfViewForLOD(bInUseFieldOfViewForLOD: boolean): void;
	SetProjectionMode(InProjectionMode: ECameraProjectionMode): void;
	SetPostProcessBlendWeight(InPostProcessBlendWeight: number): void;
	SetOrthoWidth(InOrthoWidth: number): void;
	SetOrthoNearClipPlane(InOrthoNearClipPlane: number): void;
	SetOrthoFarClipPlane(InOrthoFarClipPlane: number): void;
	SetFieldOfView(InFieldOfView: number): void;
	SetConstraintAspectRatio(bInConstrainAspectRatio: boolean): void;
	SetAspectRatio(InAspectRatio: number): void;
	GetCameraView(DeltaTime: number,DesiredView?: MinimalViewInfo): {DesiredView: MinimalViewInfo};
	static C(Other: UObject): CameraComponent;
}

declare class CameraActor extends Actor { 
	AutoActivateForPlayer: EAutoReceiveInput;
	CameraComponent: CameraComponent;
	SceneComponent: SceneComponent;
	bConstrainAspectRatio: boolean;
	AspectRatio: number;
	FOVAngle: number;
	PostProcessBlendWeight: number;
	PostProcessSettings: PostProcessSettings;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CameraActor;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraActor;
	GetAutoActivatePlayerIndex(): number;
	static C(Other: UObject): CameraActor;
	DrawDebugCamera(CameraColor: LinearColor,Duration: number): void;
	static DrawDebugCamera(CameraActor: CameraActor,CameraColor: LinearColor,Duration: number): void;
}

declare class PlayerCameraManager extends Actor { 
	PCOwner: PlayerController;
	TransformComponent: SceneComponent;
	DefaultFOV: number;
	DefaultOrthoWidth: number;
	DefaultAspectRatio: number;
	CameraCache: CameraCacheEntry;
	LastFrameCameraCache: CameraCacheEntry;
	ViewTarget: TViewTarget;
	PendingViewTarget: TViewTarget;
	ModifierList: CameraModifier[];
	DefaultModifiers: UnrealEngineClass[];
	FreeCamDistance: number;
	FreeCamOffset: Vector;
	ViewTargetOffset: Vector;
	CameraLensEffects: EmitterCameraLensEffectBase[];
	CachedCameraShakeMod: CameraModifier_CameraShake;
	AnimInstPool: CameraAnimInst;
	PostProcessBlendCache: PostProcessSettings[];
	ActiveAnims: CameraAnimInst[];
	FreeAnims: CameraAnimInst[];
	AnimCameraActor: CameraActor;
	bIsOrthographic: boolean;
	bUseClientSideCameraUpdates: boolean;
	ViewPitchMin: number;
	ViewPitchMax: number;
	ViewYawMin: number;
	ViewYawMax: number;
	ViewRollMin: number;
	ViewRollMax: number;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PlayerCameraManager;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlayerCameraManager;
	StopCameraShake(ShakeInstance: CameraShake,bImmediately: boolean): void;
	StopCameraFade(): void;
	StopCameraAnimInst(AnimInst: CameraAnimInst,bImmediate: boolean): void;
	StopAllInstancesOfCameraShake(Shake: UnrealEngineClass,bImmediately: boolean): void;
	StopAllInstancesOfCameraAnim(Anim: CameraAnim,bImmediate: boolean): void;
	StopAllCameraShakes(bImmediately: boolean): void;
	StopAllCameraAnims(bImmediate: boolean): void;
	StartCameraFade(FromAlpha: number,ToAlpha: number,Duration: number,Color: LinearColor,bShouldFadeAudio: boolean,bHoldWhenFinished: boolean): void;
	SetManualCameraFade(InFadeAmount: number,Color: LinearColor,bInFadeAudio: boolean): void;
	RemoveCameraModifier(ModifierToRemove: CameraModifier): boolean;
	RemoveCameraLensEffect(Emitter: EmitterCameraLensEffectBase): void;
	PlayCameraShake(ShakeClass: UnrealEngineClass,Scale: number,PlaySpace: ECameraAnimPlaySpace,UserPlaySpaceRot: Rotator): CameraShake;
	PlayCameraAnim(Anim: CameraAnim,Rate: number,Scale: number,BlendInTime: number,BlendOutTime: number,bLoop: boolean,bRandomStartTime: boolean,Duration: number,PlaySpace: ECameraAnimPlaySpace,UserPlaySpaceRot: Rotator): CameraAnimInst;
	GetOwningPlayerController(): PlayerController;
	GetFOVAngle(): number;
	GetCameraRotation(): Rotator;
	GetCameraLocation(): Vector;
	FindCameraModifierByClass(ModifierClass: UnrealEngineClass): CameraModifier;
	ClearCameraLensEffects(): void;
	BlueprintUpdateCamera(CameraTarget: Actor,NewCameraLocation?: Vector,NewCameraRotation?: Rotator,NewCameraFOV?: number): {NewCameraLocation: Vector, NewCameraRotation: Rotator, NewCameraFOV: number, $: boolean};
	AddNewCameraModifier(ModifierClass: UnrealEngineClass): CameraModifier;
	AddCameraLensEffect(LensEffectEmitterClass: UnrealEngineClass): EmitterCameraLensEffectBase;
	static C(Other: UObject): PlayerCameraManager;
}

declare class DrawFrustumComponent extends PrimitiveComponent { 
	FrustumColor: Color;
	FrustumAngle: number;
	FrustumAspectRatio: number;
	FrustumStartDist: number;
	FrustumEndDist: number;
	Texture: Texture;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DrawFrustumComponent;
	static Find(Outer: UObject, ResourceName: string): DrawFrustumComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DrawFrustumComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DrawFrustumComponent;
	static C(Other: UObject): DrawFrustumComponent;
}

declare class DebugCameraController extends PlayerController { 
	bShowSelectedInfo: boolean;
	bIsFrozenRendering: boolean;
	DrawFrustum: DrawFrustumComponent;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DebugCameraController;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DebugCameraController;
	ShowDebugSelectedInfo(): void;
	static C(Other: UObject): DebugCameraController;
}

declare class CheatManager extends UObject { 
	DebugCameraControllerRef: DebugCameraController;
	DebugCameraControllerClass: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CheatManager;
	static Find(Outer: UObject, ResourceName: string): CheatManager;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CheatManager;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CheatManager;
	WidgetReflector(): void;
	Walk(): void;
	ViewSelf(): void;
	ViewPlayer(S: string): void;
	ViewClass(DesiredClass: UnrealEngineClass): void;
	ViewActor(ActorName: string): void;
	ToggleDebugCamera(): void;
	ToggleAILogging(): void;
	TextureAtlasVisualizer(): void;
	TestCollisionDistance(): void;
	Teleport(): void;
	Summon(ClassName: string): void;
	StreamLevelOut(PackageName: string): void;
	StreamLevelIn(PackageName: string): void;
	Slomo(NewTimeDilation: number): void;
	SetWorldOrigin(): void;
	SetNavDrawDistance(DrawDistance: number): void;
	SetMouseSensitivityToDefault(): void;
	ServerToggleAILogging(): void;
	RebuildNavigation(): void;
	PlayersOnly(): void;
	OnlyLoadLevel(PackageName: string): void;
	LogLoc(): void;
	InvertMouse(): void;
	God(): void;
	Ghost(): void;
	FreezeFrame(Delay: number): void;
	FontAtlasVisualizer(): void;
	Fly(): void;
	FlushLog(): void;
	DumpVoiceMutingState(): void;
	DumpPartyState(): void;
	DumpOnlineSessionState(): void;
	DumpChatState(): void;
	DestroyTarget(): void;
	DestroyPawns(aClass: UnrealEngineClass): void;
	DestroyAllPawnsExceptTarget(): void;
	DestroyAll(aClass: UnrealEngineClass): void;
	DebugCapsuleSweepSize(HalfHeight: number,Radius: number): void;
	DebugCapsuleSweepPawn(): void;
	DebugCapsuleSweepComplex(bTraceComplex: boolean): void;
	DebugCapsuleSweepClear(): void;
	DebugCapsuleSweepChannel(Channel: ECollisionChannel): void;
	DebugCapsuleSweepCapture(): void;
	DebugCapsuleSweep(): void;
	DamageTarget(DamageAmount: number): void;
	CheatScript(ScriptName: string): void;
	ChangeSize(F: number): void;
	BugItStringCreator(ViewLocation: Vector,ViewRotation: Rotator,GoString?: string,LocString?: string): {GoString: string, LocString: string};
	BugItGo(X: number,Y: number,Z: number,Pitch: number,Yaw: number,Roll: number): void;
	BugIt(ScreenShotDescription: string): void;
	static C(Other: UObject): CheatManager;
}

declare class KeyBind { 
	Key: Key;
	Command: string;
	Control: boolean;
	Shift: boolean;
	Alt: boolean;
	Cmd: boolean;
	bIgnoreCtrl: boolean;
	bIgnoreShift: boolean;
	bIgnoreAlt: boolean;
	bIgnoreCmd: boolean;
	bDisabled: boolean;
	clone() : KeyBind;
	static C(Other: UObject): KeyBind;
}

declare class PlayerInput extends UObject { 
	DebugExecBindings: KeyBind[];
	InvertedAxis: string[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PlayerInput;
	static Find(Outer: UObject, ResourceName: string): PlayerInput;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PlayerInput;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlayerInput;
	SetMouseSensitivity(Sensitivity: number): void;
	SetBind(BindName: string,Command: string): void;
	InvertAxisKey(AxisKey: Key): void;
	InvertAxis(AxisName: string): void;
	ClearSmoothing(): void;
	static C(Other: UObject): PlayerInput;
}

declare class ForceFeedbackChannelDetails { 
	bAffectsLeftLarge: boolean;
	bAffectsLeftSmall: boolean;
	bAffectsRightLarge: boolean;
	bAffectsRightSmall: boolean;
	Curve: RuntimeFloatCurve;
	clone() : ForceFeedbackChannelDetails;
	static C(Other: UObject): ForceFeedbackChannelDetails;
}

declare class ForceFeedbackEffect extends UObject { 
	ChannelDetails: ForceFeedbackChannelDetails[];
	Duration: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ForceFeedbackEffect;
	static Find(Outer: UObject, ResourceName: string): ForceFeedbackEffect;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ForceFeedbackEffect;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ForceFeedbackEffect;
	static C(Other: UObject): ForceFeedbackEffect;
}

declare class ActiveForceFeedbackEffect { 
	ForceFeedbackEffect: ForceFeedbackEffect;
	clone() : ActiveForceFeedbackEffect;
	static C(Other: UObject): ActiveForceFeedbackEffect;
}

declare class ChildConnection extends NetConnection { 
	Parent: NetConnection;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ChildConnection;
	static Find(Outer: UObject, ResourceName: string): ChildConnection;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ChildConnection;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ChildConnection;
	static C(Other: UObject): ChildConnection;
}

declare class Property extends Field { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Property;
	static Find(Outer: UObject, ResourceName: string): Property;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Property;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Property;
	static C(Other: UObject): Property;
}

declare class NetDriver extends UObject { 
	NetConnectionClassName: string;
	MaxDownloadSize: number;
	bClampListenServerTickRate: boolean;
	NetServerMaxTickRate: number;
	MaxInternetClientRate: number;
	MaxClientRate: number;
	ServerTravelPause: number;
	SpawnPrioritySeconds: number;
	RelevantTimeout: number;
	KeepAliveTime: number;
	InitialConnectTimeout: number;
	ConnectionTimeout: number;
	bNoTimeouts: boolean;
	ServerConnection: NetConnection;
	ClientConnections: NetConnection[];
	World: World;
	NetConnectionClass: UnrealEngineClass;
	RoleProperty: Property;
	RemoteRoleProperty: Property;
	NetDriverName: string;
	Time: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NetDriver;
	static Find(Outer: UObject, ResourceName: string): NetDriver;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NetDriver;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NetDriver;
	static C(Other: UObject): NetDriver;
}

declare class PackageMap extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PackageMap;
	static Find(Outer: UObject, ResourceName: string): PackageMap;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PackageMap;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PackageMap;
	static C(Other: UObject): PackageMap;
}

declare class Channel extends UObject { 
	Connection: NetConnection;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Channel;
	static Find(Outer: UObject, ResourceName: string): Channel;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Channel;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Channel;
	static C(Other: UObject): Channel;
}

declare class NetConnection extends Player { 
	Children: ChildConnection[];
	Driver: NetDriver;
	PackageMap: PackageMap;
	OpenChannels: Channel[];
	SentTemporaries: Actor[];
	ViewTarget: Actor;
	OwningActor: Actor;
	MaxPacket: number;
	InternalAck: boolean;
	LastReceiveTime: any;
	ChannelsToTick: Channel[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NetConnection;
	static Find(Outer: UObject, ResourceName: string): NetConnection;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NetConnection;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NetConnection;
	static C(Other: UObject): NetConnection;
}

declare type EMouseCursor = string | symbol;
declare var EMouseCursor = { None:'None',Default:'Default',TextEditBeam:'TextEditBeam',ResizeLeftRight:'ResizeLeftRight',ResizeUpDown:'ResizeUpDown',ResizeSouthEast:'ResizeSouthEast',ResizeSouthWest:'ResizeSouthWest',CardinalCross:'CardinalCross',Crosshairs:'Crosshairs',Hand:'Hand',GrabHand:'GrabHand',GrabHandClosed:'GrabHandClosed',SlashedCircle:'SlashedCircle',EyeDropper:'EyeDropper', };
declare type EControllerAnalogStick = string | symbol;
declare var EControllerAnalogStick = { CAS_LeftStick:'CAS_LeftStick',CAS_RightStick:'CAS_RightStick', };
declare class InputComponent extends ActorComponent { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InputComponent;
	static Find(Outer: UObject, ResourceName: string): InputComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InputComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputComponent;
	WasControllerKeyJustReleased(Key: Key): boolean;
	WasControllerKeyJustPressed(Key: Key): boolean;
	IsControllerKeyDown(Key: Key): boolean;
	GetTouchState(FingerIndex: number,LocationX?: number,LocationY?: number,bIsCurrentlyPressed?: boolean): {LocationX: number, LocationY: number, bIsCurrentlyPressed: boolean};
	GetControllerVectorKeyState(Key: Key): Vector;
	GetControllerMouseDelta(DeltaX?: number,DeltaY?: number): {DeltaX: number, DeltaY: number};
	GetControllerKeyTimeDown(Key: Key): number;
	GetControllerAnalogStickState(WhichStick: EControllerAnalogStick,StickX?: number,StickY?: number): {StickX: number, StickY: number};
	GetControllerAnalogKeyState(Key: Key): number;
	static C(Other: UObject): InputComponent;
}

declare class TouchInputControl { 
	Image1: Texture2D;
	Image2: Texture2D;
	Center: Vector2D;
	VisualSize: Vector2D;
	ThumbSize: Vector2D;
	InteractionSize: Vector2D;
	InputScale: Vector2D;
	MainInputKey: Key;
	AltInputKey: Key;
	clone() : TouchInputControl;
	static C(Other: UObject): TouchInputControl;
}

declare class TouchInterface extends UObject { 
	Controls: TouchInputControl[];
	ActiveOpacity: number;
	InactiveOpacity: number;
	TimeUntilDeactive: number;
	TimeUntilReset: number;
	ActivationDelay: number;
	bPreventRecenter: boolean;
	StartupDelay: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TouchInterface;
	static Find(Outer: UObject, ResourceName: string): TouchInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TouchInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TouchInterface;
	static C(Other: UObject): TouchInterface;
}

declare class SphereComponent extends ShapeComponent { 
	SphereRadius: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SphereComponent;
	static Find(Outer: UObject, ResourceName: string): SphereComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SphereComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SphereComponent;
	SetSphereRadius(InSphereRadius: number,bUpdateOverlaps: boolean): void;
	GetUnscaledSphereRadius(): number;
	GetShapeScale(): number;
	GetScaledSphereRadius(): number;
	static C(Other: UObject): SphereComponent;
}

declare class PackedNormal { 
	X: number;
	Y: number;
	Z: number;
	W: number;
	clone() : PackedNormal;
	static C(Other: UObject): PackedNormal;
}

declare class PaintedVertex { 
	Position: Vector;
	Normal: PackedNormal;
	Color: Color;
	clone() : PaintedVertex;
	static C(Other: UObject): PaintedVertex;
}

declare class StaticMeshComponentLODInfo { 
	PaintedVertices: PaintedVertex[];
	clone() : StaticMeshComponentLODInfo;
	static C(Other: UObject): StaticMeshComponentLODInfo;
}

declare class StreamingTextureBuildInfo { 
	PackedRelativeBox: any;
	TextureLevelIndex: number;
	TexelFactor: number;
	clone() : StreamingTextureBuildInfo;
	static C(Other: UObject): StreamingTextureBuildInfo;
}

declare class LightmassPrimitiveSettings { 
	bUseTwoSidedLighting: boolean;
	bShadowIndirectOnly: boolean;
	bUseEmissiveForStaticLighting: boolean;
	bUseVertexNormalForHemisphereGather: boolean;
	EmissiveLightFalloffExponent: number;
	EmissiveLightExplicitInfluenceRadius: number;
	EmissiveBoost: number;
	DiffuseBoost: number;
	FullyOccludedSamplesFraction: number;
	clone() : LightmassPrimitiveSettings;
	static C(Other: UObject): LightmassPrimitiveSettings;
}

declare type EVertexPaintAxis = string | symbol;
declare var EVertexPaintAxis = { X:'X',Y:'Y',Z:'Z', };
declare class StaticMeshComponent extends MeshComponent { 
	ForcedLodModel: number;
	PreviousLODLevel: number;
	bOverrideMinLOD: boolean;
	MinLOD: number;
	StaticMesh: StaticMesh;
	bOverrideWireframeColor: boolean;
	WireframeColorOverride: Color;
	SelectedEditorSection: number;
	SectionIndexPreview: number;
	bOverrideNavigationExport: boolean;
	bForceNavigationObstacle: boolean;
	bDisallowMeshPaintPerInstance: boolean;
	bIgnoreInstanceForTextureStreaming: boolean;
	bOverrideLightMapRes: boolean;
	OverriddenLightMapRes: number;
	StreamingDistanceMultiplier: number;
	SubDivisionStepSize: number;
	bUseSubDivisions: boolean;
	IrrelevantLights: Guid[];
	LODData: StaticMeshComponentLODInfo[];
	StreamingTextureData: StreamingTextureBuildInfo[];
	bUseDefaultCollision: boolean;
	StaticMeshDerivedDataKey: string;
	LightmassSettings: LightmassPrimitiveSettings;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): StaticMeshComponent;
	static Find(Outer: UObject, ResourceName: string): StaticMeshComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): StaticMeshComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshComponent;
	SetStaticMesh(NewMesh: StaticMesh): boolean;
	SetForcedLodModel(NewForcedLodModel: number): void;
	OnRep_StaticMesh(OldStaticMesh: StaticMesh): void;
	GetLocalBounds(Min?: Vector,Max?: Vector): {Min: Vector, Max: Vector};
	static C(Other: UObject): StaticMeshComponent;
	PaintVerticesLerpAlongAxis(StartColor: LinearColor,EndColor: LinearColor,Axis: EVertexPaintAxis,bConvertToSRGB: boolean): void;
	PaintVerticesSingleColor(FillColor: LinearColor,bConvertToSRGB: boolean): void;
	RemovePaintedVertices(): void;
	static PaintVerticesLerpAlongAxis(StaticMeshComponent: StaticMeshComponent,StartColor: LinearColor,EndColor: LinearColor,Axis: EVertexPaintAxis,bConvertToSRGB: boolean): void;
	static PaintVerticesSingleColor(StaticMeshComponent: StaticMeshComponent,FillColor: LinearColor,bConvertToSRGB: boolean): void;
	static RemovePaintedVertices(StaticMeshComponent: StaticMeshComponent): void;
}

declare class DefaultPawn extends Pawn { 
	BaseTurnRate: number;
	BaseLookUpRate: number;
	MovementComponent: PawnMovementComponent;
	CollisionComponent: SphereComponent;
	MeshComponent: StaticMeshComponent;
	bAddDefaultMovementBindings: boolean;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DefaultPawn;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DefaultPawn;
	TurnAtRate(Rate: number): void;
	Turn(Val: number): void;
	MoveUp_World(Val: number): void;
	MoveRight(Val: number): void;
	MoveForward(Val: number): void;
	LookUpAtRate(Rate: number): void;
	LookUp(Val: number): void;
	static C(Other: UObject): DefaultPawn;
}

declare class SpectatorPawn extends DefaultPawn { 
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SpectatorPawn;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpectatorPawn;
	static C(Other: UObject): SpectatorPawn;
}

declare type EControllerHand = string | symbol;
declare var EControllerHand = { Left:'Left',Right:'Right',Pad:'Pad', };
declare type EViewTargetBlendFunction = string | symbol;
declare var EViewTargetBlendFunction = { VTBlend_Linear:'VTBlend_Linear',VTBlend_Cubic:'VTBlend_Cubic',VTBlend_EaseIn:'VTBlend_EaseIn',VTBlend_EaseOut:'VTBlend_EaseOut',VTBlend_EaseInOut:'VTBlend_EaseInOut', };
declare class ViewTargetTransitionParams { 
	BlendTime: number;
	BlendFunction: EViewTargetBlendFunction;
	BlendExp: number;
	bLockOutgoing: boolean;
	clone() : ViewTargetTransitionParams;
	static C(Other: UObject): ViewTargetTransitionParams;
}

declare class HapticFeedbackDetails { 
	Frequency: RuntimeFloatCurve;
	Amplitude: RuntimeFloatCurve;
	clone() : HapticFeedbackDetails;
	static C(Other: UObject): HapticFeedbackDetails;
}

declare class HapticFeedbackEffect extends UObject { 
	HapticDetails: HapticFeedbackDetails;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): HapticFeedbackEffect;
	static Find(Outer: UObject, ResourceName: string): HapticFeedbackEffect;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): HapticFeedbackEffect;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HapticFeedbackEffect;
	static C(Other: UObject): HapticFeedbackEffect;
}

declare type EDynamicForceFeedbackAction = string | symbol;
declare var EDynamicForceFeedbackAction = { Start:'Start',Update:'Update',Stop:'Stop', };
declare class LatentActionInfo { 
	Linkage: number;
	UUID: number;
	ExecutionFunction: string;
	CallbackTarget: UObject;
	clone() : LatentActionInfo;
	static C(Other: UObject): LatentActionInfo;
}

declare type EObjectTypeQuery = string | symbol;
declare var EObjectTypeQuery = { ObjectTypeQuery1:'ObjectTypeQuery1',ObjectTypeQuery2:'ObjectTypeQuery2',ObjectTypeQuery3:'ObjectTypeQuery3',ObjectTypeQuery4:'ObjectTypeQuery4',ObjectTypeQuery5:'ObjectTypeQuery5',ObjectTypeQuery6:'ObjectTypeQuery6',ObjectTypeQuery7:'ObjectTypeQuery7',ObjectTypeQuery8:'ObjectTypeQuery8',ObjectTypeQuery9:'ObjectTypeQuery9',ObjectTypeQuery10:'ObjectTypeQuery10',ObjectTypeQuery11:'ObjectTypeQuery11',ObjectTypeQuery12:'ObjectTypeQuery12',ObjectTypeQuery13:'ObjectTypeQuery13',ObjectTypeQuery14:'ObjectTypeQuery14',ObjectTypeQuery15:'ObjectTypeQuery15',ObjectTypeQuery16:'ObjectTypeQuery16',ObjectTypeQuery17:'ObjectTypeQuery17',ObjectTypeQuery18:'ObjectTypeQuery18',ObjectTypeQuery19:'ObjectTypeQuery19',ObjectTypeQuery20:'ObjectTypeQuery20',ObjectTypeQuery21:'ObjectTypeQuery21',ObjectTypeQuery22:'ObjectTypeQuery22',ObjectTypeQuery23:'ObjectTypeQuery23',ObjectTypeQuery24:'ObjectTypeQuery24',ObjectTypeQuery25:'ObjectTypeQuery25',ObjectTypeQuery26:'ObjectTypeQuery26',ObjectTypeQuery27:'ObjectTypeQuery27',ObjectTypeQuery28:'ObjectTypeQuery28',ObjectTypeQuery29:'ObjectTypeQuery29',ObjectTypeQuery30:'ObjectTypeQuery30',ObjectTypeQuery31:'ObjectTypeQuery31',ObjectTypeQuery32:'ObjectTypeQuery32',ObjectTypeQuery_MAX:'ObjectTypeQuery_MAX', };
declare type ETraceTypeQuery = string | symbol;
declare var ETraceTypeQuery = { TraceTypeQuery1:'TraceTypeQuery1',TraceTypeQuery2:'TraceTypeQuery2',TraceTypeQuery3:'TraceTypeQuery3',TraceTypeQuery4:'TraceTypeQuery4',TraceTypeQuery5:'TraceTypeQuery5',TraceTypeQuery6:'TraceTypeQuery6',TraceTypeQuery7:'TraceTypeQuery7',TraceTypeQuery8:'TraceTypeQuery8',TraceTypeQuery9:'TraceTypeQuery9',TraceTypeQuery10:'TraceTypeQuery10',TraceTypeQuery11:'TraceTypeQuery11',TraceTypeQuery12:'TraceTypeQuery12',TraceTypeQuery13:'TraceTypeQuery13',TraceTypeQuery14:'TraceTypeQuery14',TraceTypeQuery15:'TraceTypeQuery15',TraceTypeQuery16:'TraceTypeQuery16',TraceTypeQuery17:'TraceTypeQuery17',TraceTypeQuery18:'TraceTypeQuery18',TraceTypeQuery19:'TraceTypeQuery19',TraceTypeQuery20:'TraceTypeQuery20',TraceTypeQuery21:'TraceTypeQuery21',TraceTypeQuery22:'TraceTypeQuery22',TraceTypeQuery23:'TraceTypeQuery23',TraceTypeQuery24:'TraceTypeQuery24',TraceTypeQuery25:'TraceTypeQuery25',TraceTypeQuery26:'TraceTypeQuery26',TraceTypeQuery27:'TraceTypeQuery27',TraceTypeQuery28:'TraceTypeQuery28',TraceTypeQuery29:'TraceTypeQuery29',TraceTypeQuery30:'TraceTypeQuery30',TraceTypeQuery31:'TraceTypeQuery31',TraceTypeQuery32:'TraceTypeQuery32',TraceTypeQuery_MAX:'TraceTypeQuery_MAX', };
declare type ETravelType = string | symbol;
declare var ETravelType = { TRAVEL_Absolute:'TRAVEL_Absolute',TRAVEL_Partial:'TRAVEL_Partial',TRAVEL_Relative:'TRAVEL_Relative', };
declare class Visual extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Visual;
	static Find(Outer: UObject, ResourceName: string): Visual;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Visual;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Visual;
	static C(Other: UObject): Visual;
}

declare class PanelWidget extends Widget { 
	Slots: PanelSlot[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PanelWidget;
	static Find(Outer: UObject, ResourceName: string): PanelWidget;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PanelWidget;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PanelWidget;
	RemoveChildAt(Index: number): boolean;
	RemoveChild(Content: Widget): boolean;
	HasChild(Content: Widget): boolean;
	HasAnyChildren(): boolean;
	GetChildrenCount(): number;
	GetChildIndex(Content: Widget): number;
	GetChildAt(Index: number): Widget;
	ClearChildren(): void;
	AddChild(Content: Widget): PanelSlot;
	static C(Other: UObject): PanelWidget;
}

declare class PanelSlot extends Visual { 
	Parent: PanelWidget;
	Content: Widget;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PanelSlot;
	static Find(Outer: UObject, ResourceName: string): PanelSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PanelSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PanelSlot;
	static C(Other: UObject): PanelSlot;
}

declare type ESlateVisibility = string | symbol;
declare var ESlateVisibility = { Visible:'Visible',Collapsed:'Collapsed',Hidden:'Hidden',HitTestInvisible:'HitTestInvisible',SelfHitTestInvisible:'SelfHitTestInvisible', };
declare class WidgetTransform { 
	Translation: Vector2D;
	Scale: Vector2D;
	Shear: Vector2D;
	Angle: number;
	clone() : WidgetTransform;
	static C(Other: UObject): WidgetTransform;
}

declare type EUINavigationRule = string | symbol;
declare var EUINavigationRule = { Escape:'Escape',Explicit:'Explicit',Wrap:'Wrap',Stop:'Stop',Custom:'Custom',Invalid:'Invalid', };
declare class WidgetNavigationData { 
	Rule: EUINavigationRule;
	WidgetToFocus: string;
	clone() : WidgetNavigationData;
	static C(Other: UObject): WidgetNavigationData;
}

declare class WidgetNavigation extends UObject { 
	Up: WidgetNavigationData;
	Down: WidgetNavigationData;
	Left: WidgetNavigationData;
	Right: WidgetNavigationData;
	Next: WidgetNavigationData;
	Previous: WidgetNavigationData;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WidgetNavigation;
	static Find(Outer: UObject, ResourceName: string): WidgetNavigation;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WidgetNavigation;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetNavigation;
	static C(Other: UObject): WidgetNavigation;
}

declare class PropertyPathSegment { 
	Name: string;
	ArrayIndex: number;
	Struct: Struct;
	Field: Field;
	clone() : PropertyPathSegment;
	static C(Other: UObject): PropertyPathSegment;
}

declare class DynamicPropertyPath { 
	Segments: PropertyPathSegment[];
	clone() : DynamicPropertyPath;
	static C(Other: UObject): DynamicPropertyPath;
}

declare class PropertyBinding extends UObject { 
	SourceObject: any;
	SourcePath: DynamicPropertyPath;
	DestinationProperty: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PropertyBinding;
	static Find(Outer: UObject, ResourceName: string): PropertyBinding;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PropertyBinding;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PropertyBinding;
	static C(Other: UObject): PropertyBinding;
}

declare type EWidgetDesignFlags = string | symbol;
declare var EWidgetDesignFlags = { None:'None',Designing:'Designing',ShowOutline:'ShowOutline', };
declare class JavascriptSlateWidget { 
	clone() : JavascriptSlateWidget;
	static C(Other: UObject): JavascriptSlateWidget;
	EditorAddModalWindow(): void;
	AddWindow(): void;
	AddWindowAsNativeChild(RootWindow: JavascriptSlateWidget): void;
	static EditorAddModalWindow(Widget: JavascriptSlateWidget): void;
	static AddWindow(NewWindow: JavascriptSlateWidget): void;
	static AddWindowAsNativeChild(NewWindow: JavascriptSlateWidget,RootWindow: JavascriptSlateWidget): void;
	static GetRootWindow(): JavascriptSlateWidget;
}

declare type EHorizontalAlignment = string | symbol;
declare var EHorizontalAlignment = { HAlign_Fill:'HAlign_Fill',HAlign_Left:'HAlign_Left',HAlign_Center:'HAlign_Center',HAlign_Right:'HAlign_Right', };
declare type EVerticalAlignment = string | symbol;
declare var EVerticalAlignment = { VAlign_Fill:'VAlign_Fill',VAlign_Top:'VAlign_Top',VAlign_Center:'VAlign_Center',VAlign_Bottom:'VAlign_Bottom', };
declare class BorderSlot extends PanelSlot { 
	Padding: Margin;
	HorizontalAlignment: EHorizontalAlignment;
	VerticalAlignment: EVerticalAlignment;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BorderSlot;
	static Find(Outer: UObject, ResourceName: string): BorderSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BorderSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BorderSlot;
	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
	SetPadding(InPadding: Margin): void;
	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
	static C(Other: UObject): BorderSlot;
}

declare class Anchors { 
	Minimum: Vector2D;
	Maximum: Vector2D;
	clone() : Anchors;
	static C(Other: UObject): Anchors;
}

declare class AnchorData { 
	Offsets: Margin;
	Anchors: Anchors;
	Alignment: Vector2D;
	clone() : AnchorData;
	static C(Other: UObject): AnchorData;
}

declare class CanvasPanelSlot extends PanelSlot { 
	LayoutData: AnchorData;
	bAutoSize: boolean;
	ZOrder: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CanvasPanelSlot;
	static Find(Outer: UObject, ResourceName: string): CanvasPanelSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CanvasPanelSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CanvasPanelSlot;
	SetZOrder(InZOrder: number): void;
	SetSize(InSize: Vector2D): void;
	SetPosition(InPosition: Vector2D): void;
	SetOffsets(InOffset: Margin): void;
	SetMinimum(InMinimumAnchors: Vector2D): void;
	SetMaximum(InMaximumAnchors: Vector2D): void;
	SetLayout(InLayoutData: AnchorData): void;
	SetAutoSize(InbAutoSize: boolean): void;
	SetAnchors(InAnchors: Anchors): void;
	SetAlignment(InAlignment: Vector2D): void;
	GetZOrder(): number;
	GetSize(): Vector2D;
	GetPosition(): Vector2D;
	GetOffsets(): Margin;
	GetLayout(): AnchorData;
	GetAutoSize(): boolean;
	GetAnchors(): Anchors;
	GetAlignment(): Vector2D;
	static C(Other: UObject): CanvasPanelSlot;
}

declare class GridSlot extends PanelSlot { 
	HorizontalAlignment: EHorizontalAlignment;
	VerticalAlignment: EVerticalAlignment;
	Row: number;
	RowSpan: number;
	Column: number;
	ColumnSpan: number;
	Layer: number;
	Nudge: Vector2D;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GridSlot;
	static Find(Outer: UObject, ResourceName: string): GridSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GridSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GridSlot;
	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
	SetRowSpan(InRowSpan: number): void;
	SetRow(InRow: number): void;
	SetLayer(InLayer: number): void;
	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
	SetColumnSpan(InColumnSpan: number): void;
	SetColumn(InColumn: number): void;
	static C(Other: UObject): GridSlot;
}

declare type ESlateSizeRule = string | symbol;
declare var ESlateSizeRule = { Automatic:'Automatic',Fill:'Fill', };
declare class SlateChildSize { 
	Value: number;
	SizeRule: ESlateSizeRule;
	clone() : SlateChildSize;
	static C(Other: UObject): SlateChildSize;
}

declare class HorizontalBoxSlot extends PanelSlot { 
	Padding: Margin;
	Size: SlateChildSize;
	HorizontalAlignment: EHorizontalAlignment;
	VerticalAlignment: EVerticalAlignment;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): HorizontalBoxSlot;
	static Find(Outer: UObject, ResourceName: string): HorizontalBoxSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): HorizontalBoxSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HorizontalBoxSlot;
	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
	SetSize(InSize: SlateChildSize): void;
	SetPadding(InPadding: Margin): void;
	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
	static C(Other: UObject): HorizontalBoxSlot;
}

declare class OverlaySlot extends PanelSlot { 
	Padding: Margin;
	HorizontalAlignment: EHorizontalAlignment;
	VerticalAlignment: EVerticalAlignment;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): OverlaySlot;
	static Find(Outer: UObject, ResourceName: string): OverlaySlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): OverlaySlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): OverlaySlot;
	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
	SetPadding(InPadding: Margin): void;
	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
	static C(Other: UObject): OverlaySlot;
}

declare class UniformGridSlot extends PanelSlot { 
	HorizontalAlignment: EHorizontalAlignment;
	VerticalAlignment: EVerticalAlignment;
	Row: number;
	Column: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): UniformGridSlot;
	static Find(Outer: UObject, ResourceName: string): UniformGridSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): UniformGridSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UniformGridSlot;
	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
	SetRow(InRow: number): void;
	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
	SetColumn(InColumn: number): void;
	static C(Other: UObject): UniformGridSlot;
}

declare class VerticalBoxSlot extends PanelSlot { 
	Padding: Margin;
	Size: SlateChildSize;
	HorizontalAlignment: EHorizontalAlignment;
	VerticalAlignment: EVerticalAlignment;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): VerticalBoxSlot;
	static Find(Outer: UObject, ResourceName: string): VerticalBoxSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): VerticalBoxSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VerticalBoxSlot;
	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
	SetSize(InSize: SlateChildSize): void;
	SetPadding(InPadding: Margin): void;
	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
	static C(Other: UObject): VerticalBoxSlot;
}

declare class Widget extends Visual { 
	bIsVariable: boolean;
	bCreatedByConstructionScript: boolean;
	Slot: PanelSlot;
	bIsEnabled: boolean;
	bIsEnabledDelegate: UnrealEngineDelegate<() => boolean>;
	ToolTipText: string;
	ToolTipTextDelegate: UnrealEngineDelegate<() => string>;
	ToolTipWidget: Widget;
	ToolTipWidgetDelegate: UnrealEngineDelegate<() => Widget>;
	Visiblity: ESlateVisibility;
	Visibility: ESlateVisibility;
	VisibilityDelegate: UnrealEngineDelegate<() => ESlateVisibility>;
	bOverride_Cursor: boolean;
	Cursor: EMouseCursor;
	bIsVolatile: boolean;
	RenderTransform: WidgetTransform;
	RenderTransformPivot: Vector2D;
	Navigation: WidgetNavigation;
	bHiddenInDesigner: boolean;
	bExpandedInDesigner: boolean;
	NativeBindings: PropertyBinding[];
	DesignerFlags: EWidgetDesignFlags;
	DisplayLabel: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Widget;
	static Find(Outer: UObject, ResourceName: string): Widget;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Widget;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Widget;
	SetVisibility(InVisibility: ESlateVisibility): void;
	SetUserFocus(PlayerController: PlayerController): void;
	SetToolTipText(InToolTipText: string): void;
	SetToolTip(Widget: Widget): void;
	SetRenderTranslation(Translation: Vector2D): void;
	SetRenderTransformPivot(Pivot: Vector2D): void;
	SetRenderTransform(InTransform: WidgetTransform): void;
	SetRenderShear(Shear: Vector2D): void;
	SetRenderScale(Scale: Vector2D): void;
	SetRenderAngle(Angle: number): void;
	SetKeyboardFocus(): void;
	SetIsEnabled(bInIsEnabled: boolean): void;
	SetCursor(InCursor: EMouseCursor): void;
	ResetCursor(): void;
	RemoveFromParent(): void;
	IsVisible(): boolean;
	IsHovered(): boolean;
	InvalidateLayoutAndVolatility(): void;
	HasUserFocusedDescendants(PlayerController: PlayerController): boolean;
	HasUserFocus(PlayerController: PlayerController): boolean;
	HasMouseCapture(): boolean;
	HasKeyboardFocus(): boolean;
	HasAnyUserFocusedDescendants(): boolean;
	HasAnyUserFocus(): boolean;
	GetVisibility(): ESlateVisibility;
	GetParent(): PanelWidget;
	GetIsEnabled(): boolean;
	GetDesiredSize(): Vector2D;
	ForceVolatile(bForce: boolean): void;
	ForceLayoutPrepass(): void;
	static C(Other: UObject): Widget;
	OpenPopupWindow(PopupDesiredSize: Vector2D,HeadingText: string): void;
	TakeWidget(): JavascriptSlateWidget;
	SlotAsBorderSlot(): BorderSlot;
	SlotAsCanvasSlot(): CanvasPanelSlot;
	SlotAsGridSlot(): GridSlot;
	SlotAsHorizontalBoxSlot(): HorizontalBoxSlot;
	SlotAsOverlaySlot(): OverlaySlot;
	SlotAsUniformGridSlot(): UniformGridSlot;
	SlotAsVerticalBoxSlot(): VerticalBoxSlot;
	static OpenPopupWindow(Widget: Widget,PopupDesiredSize: Vector2D,HeadingText: string): void;
	static TakeWidget(Widget: Widget): JavascriptSlateWidget;
	static SlotAsBorderSlot(Widget: Widget): BorderSlot;
	static SlotAsCanvasSlot(Widget: Widget): CanvasPanelSlot;
	static SlotAsGridSlot(Widget: Widget): GridSlot;
	static SlotAsHorizontalBoxSlot(Widget: Widget): HorizontalBoxSlot;
	static SlotAsOverlaySlot(Widget: Widget): OverlaySlot;
	static SlotAsUniformGridSlot(Widget: Widget): UniformGridSlot;
	static SlotAsVerticalBoxSlot(Widget: Widget): VerticalBoxSlot;
}

declare class PlayerController extends Controller { 
	Player: Player;
	AcknowledgedPawn: Pawn;
	ControllingDirTrackInst: InterpTrackInstDirector;
	MyHUD: HUD;
	PlayerCameraManager: PlayerCameraManager;
	PlayerCameraManagerClass: UnrealEngineClass;
	bAutoManageActiveCameraTarget: boolean;
	TargetViewRotation: Rotator;
	SmoothTargetViewRotationSpeed: number;
	HiddenActors: Actor[];
	LastSpectatorStateSynchTime: number;
	LastSpectatorSyncLocation: Vector;
	LastSpectatorSyncRotation: Rotator;
	ClientCap: number;
	CheatManager: CheatManager;
	CheatClass: UnrealEngineClass;
	PlayerInput: PlayerInput;
	ActiveForceFeedbackEffects: ActiveForceFeedbackEffect[];
	bPlayerIsWaiting: boolean;
	NetPlayerIndex: number;
	PendingSwapConnection: NetConnection;
	NetConnection: NetConnection;
	InputYawScale: number;
	InputPitchScale: number;
	InputRollScale: number;
	bShowMouseCursor: boolean;
	bEnableClickEvents: boolean;
	bEnableTouchEvents: boolean;
	bEnableMouseOverEvents: boolean;
	bEnableTouchOverEvents: boolean;
	bForceFeedbackEnabled: boolean;
	ClickEventKeys: Key[];
	DefaultMouseCursor: EMouseCursor;
	CurrentMouseCursor: EMouseCursor;
	DefaultClickTraceChannel: ECollisionChannel;
	CurrentClickTraceChannel: ECollisionChannel;
	HitResultTraceDistance: number;
	InactiveStateInputComponent: InputComponent;
	CurrentTouchInterface: TouchInterface;
	SpectatorPawn: SpectatorPawn;
	SpawnLocation: Vector;
	bIsLocalPlayerController: boolean;
	SeamlessTravelCount: any;
	LastCompletedSeamlessTravelCount: any;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PlayerController;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlayerController;
	WasInputKeyJustReleased(Key: Key): boolean;
	WasInputKeyJustPressed(Key: Key): boolean;
	ToggleSpeaking(bInSpeaking: boolean): void;
	SwitchLevel(URL: string): void;
	StopHapticEffect(Hand: EControllerHand): void;
	StartFire(FireModeNum: number): void;
	SetVirtualJoystickVisibility(bVisible: boolean): void;
	SetViewTargetWithBlend(NewViewTarget: Actor,BlendTime: number,BlendFunc: EViewTargetBlendFunction,BlendExp: number,bLockOutgoing: boolean): void;
	SetName(S: string): void;
	SetHapticsByValue(Frequency: number,Amplitude: number,Hand: EControllerHand): void;
	SetControllerLightColor(Color: Color): void;
	SetCinematicMode(bInCinematicMode: boolean,bHidePlayer: boolean,bAffectsHUD: boolean,bAffectsMovement: boolean,bAffectsTurning: boolean): void;
	SetAudioListenerOverride(AttachToComponent: SceneComponent,Location: Vector,Rotation: Rotator): void;
	ServerViewSelf(TransitionParams: ViewTargetTransitionParams): void;
	ServerViewPrevPlayer(): void;
	ServerViewNextPlayer(): void;
	ServerVerifyViewTarget(): void;
	ServerUpdateLevelVisibility(PackageName: string,bIsVisible: boolean): void;
	ServerUpdateCamera(CamLoc: Vector_NetQuantize,CamPitchAndYaw: number): void;
	ServerUnmutePlayer(PlayerId: UniqueNetIdRepl): void;
	ServerToggleAILogging(): void;
	ServerShortTimeout(): void;
	ServerSetSpectatorWaiting(bWaiting: boolean): void;
	ServerSetSpectatorLocation(NewLoc: Vector,NewRot: Rotator): void;
	ServerRestartPlayer(): void;
	ServerPause(): void;
	ServerNotifyLoadedWorld(WorldPackageName: string): void;
	ServerMutePlayer(PlayerId: UniqueNetIdRepl): void;
	ServerCheckClientPossessionReliable(): void;
	ServerCheckClientPossession(): void;
	ServerChangeName(S: string): void;
	ServerCamera(NewMode: string): void;
	ServerAcknowledgePossession(P: Pawn): void;
	SendToConsole(Command: string): void;
	RestartLevel(): void;
	ConvertWorldLocationToScreenLocation(WorldLocation: Vector,ScreenLocation?: Vector2D): {ScreenLocation: Vector2D, $: boolean};
	PlayHapticEffect(HapticEffect: HapticFeedbackEffect,Hand: EControllerHand,Scale: number): void;
	PlayDynamicForceFeedback(Intensity: number,Duration: number,bAffectsLeftLarge: boolean,bAffectsLeftSmall: boolean,bAffectsRightLarge: boolean,bAffectsRightSmall: boolean,Action: EDynamicForceFeedbackAction,LatentInfo: LatentActionInfo): void;
	Pause(): void;
	OnServerStartedVisualLogger(bIsLogging: boolean): void;
	LocalTravel(URL: string): void;
	IsInputKeyDown(Key: Key): boolean;
	GetViewportSize(SizeX?: number,SizeY?: number): {SizeX: number, SizeY: number};
	GetSpectatorPawn(): SpectatorPawn;
	GetMousePosition(LocationX?: number,LocationY?: number): {LocationX: number, LocationY: number, $: boolean};
	GetInputVectorKeyState(Key: Key): Vector;
	GetInputTouchState(FingerIndex: ETouchIndex,LocationX?: number,LocationY?: number,bIsCurrentlyPressed?: boolean): {LocationX: number, LocationY: number, bIsCurrentlyPressed: boolean};
	GetInputMouseDelta(DeltaX?: number,DeltaY?: number): {DeltaX: number, DeltaY: number};
	GetInputMotionState(Tilt?: Vector,RotationRate?: Vector,Gravity?: Vector,Acceleration?: Vector): {Tilt: Vector, RotationRate: Vector, Gravity: Vector, Acceleration: Vector};
	GetInputKeyTimeDown(Key: Key): number;
	GetInputAnalogStickState(WhichStick: EControllerAnalogStick,StickX?: number,StickY?: number): {StickX: number, StickY: number};
	GetInputAnalogKeyState(Key: Key): number;
	GetHUD(): HUD;
	GetHitResultUnderFingerForObjects(FingerIndex: ETouchIndex,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,HitResult?: HitResult): {HitResult: HitResult, $: boolean};
	GetHitResultUnderFingerByChannel(FingerIndex: ETouchIndex,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,HitResult?: HitResult): {HitResult: HitResult, $: boolean};
	GetHitResultUnderFinger(FingerIndex: ETouchIndex,TraceChannel: ECollisionChannel,bTraceComplex: boolean,HitResult?: HitResult): {HitResult: HitResult, $: boolean};
	GetHitResultUnderCursorForObjects(ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,HitResult?: HitResult): {HitResult: HitResult, $: boolean};
	GetHitResultUnderCursorByChannel(TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,HitResult?: HitResult): {HitResult: HitResult, $: boolean};
	GetHitResultUnderCursor(TraceChannel: ECollisionChannel,bTraceComplex: boolean,HitResult?: HitResult): {HitResult: HitResult, $: boolean};
	GetFocalLocation(): Vector;
	FOV(NewFOV: number): void;
	EnableCheats(): void;
	ConvertScreenLocationToWorldSpace(ScreenX: number,ScreenY: number,WorldLocation?: Vector,WorldDirection?: Vector): {WorldLocation: Vector, WorldDirection: Vector, $: boolean};
	ConvertMouseLocationToWorldSpace(WorldLocation?: Vector,WorldDirection?: Vector): {WorldLocation: Vector, WorldDirection: Vector, $: boolean};
	ConsoleKey(Key: Key): void;
	ClientWasKicked(KickReason: string): void;
	ClientVoiceHandshakeComplete(): void;
	ClientUpdateLevelStreamingStatus(PackageName: string,bNewShouldBeLoaded: boolean,bNewShouldBeVisible: boolean,bNewShouldBlockOnLoad: boolean,LODIndex: number): void;
	ClientUnmutePlayer(PlayerId: UniqueNetIdRepl): void;
	ClientTravelInternal(URL: string,TravelType: ETravelType,bSeamless: boolean,MapPackageGuid: Guid): void;
	ClientTravel(URL: string,TravelType: ETravelType,bSeamless: boolean,MapPackageGuid: Guid): void;
	ClientTeamMessage(SenderPlayerState: PlayerState,S: string,Type: string,MsgLifeTime: number): void;
	ClientStopForceFeedback(ForceFeedbackEffect: ForceFeedbackEffect,Tag: string): void;
	ClientStopCameraShake(Shake: UnrealEngineClass,bImmediately: boolean): void;
	ClientStopCameraAnim(AnimToStop: CameraAnim): void;
	ClientStartOnlineSession(): void;
	ClientSpawnCameraLensEffect(LensEffectEmitterClass: UnrealEngineClass): void;
	ClientSetViewTarget(A: Actor,TransitionParams: ViewTargetTransitionParams): void;
	ClientSetSpectatorWaiting(bWaiting: boolean): void;
	ClientSetHUD(NewHUDClass: UnrealEngineClass): void;
	ClientSetForceMipLevelsToBeResident(Material: MaterialInterface,ForceDuration: number,CinematicTextureGroups: number): void;
	ClientSetCinematicMode(bInCinematicMode: boolean,bAffectsMovement: boolean,bAffectsTurning: boolean,bAffectsHUD: boolean): void;
	ClientSetCameraMode(NewCamMode: string): void;
	ClientSetCameraFade(bEnableFading: boolean,FadeColor: Color,FadeAlpha: Vector2D,FadeTime: number,bFadeAudio: boolean): void;
	ClientSetBlockOnAsyncLoading(): void;
	ClientReturnToMainMenu(ReturnReason: string): void;
	ClientRetryClientRestart(NewPawn: Pawn): void;
	ClientRestart(NewPawn: Pawn): void;
	ClientReset(): void;
	ClientRepObjRef(UObject: UObject): void;
	ClientReceiveLocalizedMessage(Message: UnrealEngineClass,Switch: number,RelatedPlayerState_1: PlayerState,RelatedPlayerState_2: PlayerState,OptionalObject: UObject): void;
	ClientPrestreamTextures(ForcedActor: Actor,ForceDuration: number,bEnableStreaming: boolean,CinematicTextureGroups: number): void;
	ClientPrepareMapChange(LevelName: string,bFirst: boolean,bLast: boolean): void;
	ClientPlaySoundAtLocation(Sound: SoundBase,Location: Vector,VolumeMultiplier: number,PitchMultiplier: number): void;
	ClientPlaySound(Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number): void;
	ClientPlayForceFeedback(ForceFeedbackEffect: ForceFeedbackEffect,bLooping: boolean,Tag: string): void;
	ClientPlayCameraShake(Shake: UnrealEngineClass,Scale: number,PlaySpace: ECameraAnimPlaySpace,UserPlaySpaceRot: Rotator): void;
	ClientPlayCameraAnim(AnimToPlay: CameraAnim,Scale: number,Rate: number,BlendInTime: number,BlendOutTime: number,bLoop: boolean,bRandomStartTime: boolean,Space: ECameraAnimPlaySpace,CustomPlaySpace: Rotator): void;
	ClientMutePlayer(PlayerId: UniqueNetIdRepl): void;
	ClientMessage(S: string,Type: string,MsgLifeTime: number): void;
	ClientIgnoreMoveInput(bIgnore: boolean): void;
	ClientIgnoreLookInput(bIgnore: boolean): void;
	ClientGotoState(NewState: string): void;
	ClientGameEnded(EndGameFocus: Actor,bIsWinner: boolean): void;
	ClientForceGarbageCollection(): void;
	ClientFlushLevelStreaming(): void;
	ClientEndOnlineSession(): void;
	ClientEnableNetworkVoice(bEnable: boolean): void;
	ClientCommitMapChange(): void;
	ClientClearCameraLensEffects(): void;
	ClientCapBandwidth(Cap: number): void;
	ClientCancelPendingMapChange(): void;
	ClientAddTextureStreamingLoc(InLoc: Vector,Duration: number,bOverrideLocation: boolean): void;
	ClearAudioListenerOverride(): void;
	Camera(NewMode: string): void;
	AddYawInput(Val: number): void;
	AddRollInput(Val: number): void;
	AddPitchInput(Val: number): void;
	ActivateTouchInterface(NewTouchInterface: TouchInterface): void;
	static C(Other: UObject): PlayerController;
	WriteLeaderboardInteger(StatName: string,StatValue: number): boolean;
	IsLoggedIn(): boolean;
	ShowPlatformSpecificAchievementsScreen(): void;
	DeprojectScreenToWorld(ScreenPosition: Vector2D,WorldPosition?: Vector,WorldDirection?: Vector): {WorldPosition: Vector, WorldDirection: Vector, $: boolean};
	ProjectWorldToScreen(WorldPosition: Vector,ScreenPosition?: Vector2D): {ScreenPosition: Vector2D, $: boolean};
	RemovePlayer(bDestroyPawn: boolean): void;
	GetMousePositionScaledByDPI(LocationX?: number,LocationY?: number): {LocationX: number, LocationY: number, $: boolean};
	ProjectWorldLocationToWidgetPosition(WorldLocation: Vector,ScreenPosition?: Vector2D): {ScreenPosition: Vector2D, $: boolean};
	SetInputMode_GameAndUI(InWidgetToFocus: Widget,bLockMouseToViewport: boolean,bHideCursorDuringCapture: boolean): void;
	SetInputMode_GameOnly(): void;
	SetInputMode_UIOnly(InWidgetToFocus: Widget,bLockMouseToViewport: boolean): void;
	static WriteLeaderboardInteger(PlayerController: PlayerController,StatName: string,StatValue: number): boolean;
	static IsLoggedIn(SpecificPlayer: PlayerController): boolean;
	static ShowPlatformSpecificAchievementsScreen(SpecificPlayer: PlayerController): void;
	static DeprojectScreenToWorld(Player: PlayerController,ScreenPosition: Vector2D,WorldPosition?: Vector,WorldDirection?: Vector): {WorldPosition: Vector, WorldDirection: Vector, $: boolean};
	static ProjectWorldToScreen(Player: PlayerController,WorldPosition: Vector,ScreenPosition?: Vector2D): {ScreenPosition: Vector2D, $: boolean};
	static RemovePlayer(Player: PlayerController,bDestroyPawn: boolean): void;
	static GetMousePositionScaledByDPI(Player: PlayerController,LocationX?: number,LocationY?: number): {LocationX: number, LocationY: number, $: boolean};
	static ProjectWorldLocationToWidgetPosition(PlayerController: PlayerController,WorldLocation: Vector,ScreenPosition?: Vector2D): {ScreenPosition: Vector2D, $: boolean};
	static SetInputMode_GameAndUI(Target: PlayerController,InWidgetToFocus: Widget,bLockMouseToViewport: boolean,bHideCursorDuringCapture: boolean): void;
	static SetInputMode_GameOnly(Target: PlayerController): void;
	static SetInputMode_UIOnly(Target: PlayerController,InWidgetToFocus: Widget,bLockMouseToViewport: boolean): void;
}

declare class ReporterBase extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ReporterBase;
	static Find(Outer: UObject, ResourceName: string): ReporterBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ReporterBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReporterBase;
	static C(Other: UObject): ReporterBase;
}

declare class ReporterGraph extends ReporterBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ReporterGraph;
	static Find(Outer: UObject, ResourceName: string): ReporterGraph;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ReporterGraph;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReporterGraph;
	static C(Other: UObject): ReporterGraph;
}

declare class CanvasUVTri { 
	V0_Pos: Vector2D;
	V0_UV: Vector2D;
	V0_Color: LinearColor;
	V1_Pos: Vector2D;
	V1_UV: Vector2D;
	V1_Color: LinearColor;
	V2_Pos: Vector2D;
	V2_UV: Vector2D;
	V2_Color: LinearColor;
	clone() : CanvasUVTri;
	static C(Other: UObject): CanvasUVTri;
}

declare class Canvas extends UObject { 
	OrgX: number;
	OrgY: number;
	ClipX: number;
	ClipY: number;
	DrawColor: Color;
	bCenterX: boolean;
	bCenterY: boolean;
	bNoSmooth: boolean;
	SizeX: number;
	SizeY: number;
	ColorModulate: Plane;
	DefaultTexture: Texture2D;
	GradientTexture0: Texture2D;
	ReporterGraph: ReporterGraph;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Canvas;
	static Find(Outer: UObject, ResourceName: string): Canvas;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Canvas;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Canvas;
	ClippedTextSize(RenderFont: Font,RenderText: string,Scale: Vector2D): Vector2D;
	WrappedTextSize(RenderFont: Font,RenderText: string): Vector2D;
	Project(WorldLocation: Vector): Vector;
	DrawTriangles(RenderTexture: Texture,Triangles: CanvasUVTri[]): void;
	DrawTexture(RenderTexture: Texture,ScreenPosition: Vector2D,ScreenSize: Vector2D,CoordinatePosition: Vector2D,CoordinateSize: Vector2D,RenderColor: LinearColor,BlendMode: EBlendMode,Rotation: number,PivotPoint: Vector2D): void;
	DrawText(RenderFont: Font,RenderText: string,ScreenPosition: Vector2D,RenderColor: LinearColor,Kerning: number,ShadowColor: LinearColor,ShadowOffset: Vector2D,bCentreX: boolean,bCentreY: boolean,bOutlined: boolean,OutlineColor: LinearColor): void;
	DrawPolygon(RenderTexture: Texture,ScreenPosition: Vector2D,Radius: Vector2D,NumberOfSides: number,RenderColor: LinearColor): void;
	DrawMaterialTriangles(RenderMaterial: MaterialInterface,Triangles: CanvasUVTri[]): void;
	DrawMaterial(RenderMaterial: MaterialInterface,ScreenPosition: Vector2D,ScreenSize: Vector2D,CoordinatePosition: Vector2D,CoordinateSize: Vector2D,Rotation: number,PivotPoint: Vector2D): void;
	DrawLine(ScreenPositionA: Vector2D,ScreenPositionB: Vector2D,Thickness: number,RenderColor: LinearColor): void;
	DrawBox(ScreenPosition: Vector2D,ScreenSize: Vector2D,Thickness: number): void;
	DrawBorder(BorderTexture: Texture,BackgroundTexture: Texture,LeftBorderTexture: Texture,RightBorderTexture: Texture,TopBorderTexture: Texture,BottomBorderTexture: Texture,ScreenPosition: Vector2D,ScreenSize: Vector2D,CoordinatePosition: Vector2D,CoordinateSize: Vector2D,RenderColor: LinearColor,BorderScale: Vector2D,BackgroundScale: Vector2D,Rotation: number,PivotPoint: Vector2D,CornerSize: Vector2D): void;
	Deproject(ScreenPosition: Vector2D,WorldOrigin?: Vector,WorldDirection?: Vector): {WorldOrigin: Vector, WorldDirection: Vector};
	static C(Other: UObject): Canvas;
}

declare class DebugTextInfo { 
	SrcActor: Actor;
	SrcActorOffset: Vector;
	SrcActorDesiredOffset: Vector;
	DebugText: string;
	TimeRemaining: number;
	Duration: number;
	TextColor: Color;
	bAbsoluteLocation: boolean;
	bKeepAttachedToActor: boolean;
	bDrawShadow: boolean;
	OrigActorLocation: Vector;
	Font: Font;
	FontScale: number;
	clone() : DebugTextInfo;
	static C(Other: UObject): DebugTextInfo;
}

declare class HUD extends Actor { 
	WhiteColor: Color;
	GreenColor: Color;
	RedColor: Color;
	PlayerOwner: PlayerController;
	bLostFocusPaused: boolean;
	bShowHUD: boolean;
	bShowDebugInfo: boolean;
	bShowHitBoxDebugInfo: boolean;
	bShowOverlays: boolean;
	bEnableDebugTextShadow: boolean;
	PostRenderedActors: Actor[];
	LastHUDRenderTime: number;
	RenderDelta: number;
	DebugDisplay: string[];
	ToggledDebugCategories: string[];
	Canvas: Canvas;
	DebugCanvas: Canvas;
	DebugTextList: DebugTextInfo[];
	bShowDebugForReticleTarget: boolean;
	ShowDebugTargetDesiredClass: UnrealEngineClass;
	ShowDebugTargetActor: Actor;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): HUD;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HUD;
	ShowHUD(): void;
	ShowDebugToggleSubCategory(Category: string): void;
	ShowDebugForReticleTargetToggle(DesiredClass: UnrealEngineClass): void;
	ShowDebug(DebugType: string): void;
	RemoveDebugText(SrcActor: Actor,bLeaveDurationText: boolean): void;
	RemoveAllDebugStrings(): void;
	HitBoxReleased(BoxName: string): void;
	HitBoxEndCursorOver(BoxName: string): void;
	HitBoxClicked(BoxName: string): void;
	HitBoxBeginCursorOver(BoxName: string): void;
	ReceiveDrawHUD(SizeX: number,SizeY: number): void;
	Project(Location: Vector): Vector;
	GetTextSize(Text: string,OutWidth?: number,OutHeight?: number,Font?: Font,Scale?: number): {OutWidth: number, OutHeight: number};
	GetOwningPlayerController(): PlayerController;
	GetOwningPawn(): Pawn;
	GetActorsInSelectionRectangle(ClassFilter: UnrealEngineClass,FirstPoint: Vector2D,SecondPoint: Vector2D,OutActors?: Actor[],bIncludeNonCollidingComponents?: boolean,bActorMustBeFullyEnclosed?: boolean): {OutActors: Actor[]};
	DrawTextureSimple(Texture: Texture,ScreenX: number,ScreenY: number,Scale: number,bScalePosition: boolean): void;
	DrawTexture(Texture: Texture,ScreenX: number,ScreenY: number,ScreenW: number,ScreenH: number,TextureU: number,TextureV: number,TextureUWidth: number,TextureVHeight: number,TintColor: LinearColor,BlendMode: EBlendMode,Scale: number,bScalePosition: boolean,Rotation: number,RotPivot: Vector2D): void;
	DrawText(Text: string,TextColor: LinearColor,ScreenX: number,ScreenY: number,Font: Font,Scale: number,bScalePosition: boolean): void;
	DrawRect(RectColor: LinearColor,ScreenX: number,ScreenY: number,ScreenW: number,ScreenH: number): void;
	DrawMaterialTriangle(Material: MaterialInterface,V0_Pos: Vector2D,V1_Pos: Vector2D,V2_Pos: Vector2D,V0_UV: Vector2D,V1_UV: Vector2D,V2_UV: Vector2D,V0_Color: LinearColor,V1_Color: LinearColor,V2_Color: LinearColor): void;
	DrawMaterialSimple(Material: MaterialInterface,ScreenX: number,ScreenY: number,ScreenW: number,ScreenH: number,Scale: number,bScalePosition: boolean): void;
	DrawMaterial(Material: MaterialInterface,ScreenX: number,ScreenY: number,ScreenW: number,ScreenH: number,MaterialU: number,MaterialV: number,MaterialUWidth: number,MaterialVHeight: number,Scale: number,bScalePosition: boolean,Rotation: number,RotPivot: Vector2D): void;
	DrawLine(StartScreenX: number,StartScreenY: number,EndScreenX: number,EndScreenY: number,LineColor: LinearColor,LineThickness: number): void;
	Deproject(ScreenX: number,ScreenY: number,WorldPosition?: Vector,WorldDirection?: Vector): {WorldPosition: Vector, WorldDirection: Vector};
	AddHitBox(Position: Vector2D,Size: Vector2D,InName: string,bConsumesInput: boolean,Priority: number): void;
	AddDebugText(DebugText: string,SrcActor: Actor,Duration: number,Offset: Vector,DesiredOffset: Vector,TextColor: Color,bSkipOverwriteCheck: boolean,bAbsoluteLocation: boolean,bKeepAttachedToActor: boolean,InFont: Font,FontScale: number,bDrawShadow: boolean): void;
	static C(Other: UObject): HUD;
}

declare class GameSession extends Info { 
	MaxSpectators: number;
	MaxPlayers: number;
	MaxPartySize: number;
	MaxSplitscreensPerConnection: number;
	bRequiresPushToTalk: boolean;
	SessionName: string;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameSession;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameSession;
	static C(Other: UObject): GameSession;
}

declare class GameState extends Info { 
	GameModeClass: UnrealEngineClass;
	AuthorityGameMode: GameMode;
	SpectatorClass: UnrealEngineClass;
	MatchState: string;
	PreviousMatchState: string;
	ElapsedTime: number;
	PlayerArray: PlayerState[];
	ReplicatedWorldTimeSeconds: number;
	ServerWorldTimeSecondsDelta: number;
	ServerWorldTimeSecondsUpdateFrequency: number;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameState;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameState;
	OnRep_SpectatorClass(): void;
	OnRep_ReplicatedWorldTimeSeconds(): void;
	OnRep_MatchState(): void;
	OnRep_GameModeClass(): void;
	OnRep_ElapsedTime(): void;
	GetServerWorldTimeSeconds(): number;
	static C(Other: UObject): GameState;
}

declare class GameClassShortName { 
	ShortName: string;
	GameClassName: string;
	clone() : GameClassShortName;
	static C(Other: UObject): GameClassShortName;
}

declare class GameMode extends Info { 
	bUseSeamlessTravel: boolean;
	bPauseable: boolean;
	bStartPlayersAsSpectators: boolean;
	bDelayedStart: boolean;
	OptionsString: string;
	DefaultPawnClass: UnrealEngineClass;
	HUDClass: UnrealEngineClass;
	NumSpectators: number;
	NumPlayers: number;
	NumBots: number;
	MinRespawnDelay: number;
	GameSession: GameSession;
	NumTravellingPlayers: number;
	DefaultPlayerName: string;
	EngineMessageClass: UnrealEngineClass;
	PlayerControllerClass: UnrealEngineClass;
	SpectatorClass: UnrealEngineClass;
	ReplaySpectatorPlayerControllerClass: UnrealEngineClass;
	PlayerStateClass: UnrealEngineClass;
	GameStateClass: UnrealEngineClass;
	GameState: GameState;
	InactivePlayerArray: PlayerState[];
	GameModeClassAliases: GameClassShortName[];
	InactivePlayerStateLifeSpan: number;
	bHandleDedicatedServerReplays: boolean;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameMode;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameMode;
	StartPlay(): void;
	StartMatch(): void;
	SpawnDefaultPawnFor(NewPlayer: Controller,StartSpot: Actor): Pawn;
	ShouldReset(ActorToReset: Actor): boolean;
	SetBandwidthLimit(AsyncIOBandwidthLimit: number): void;
	ReturnToMainMenuHost(): void;
	RestartGame(): void;
	ResetLevel(): void;
	ReadyToStartMatch(): boolean;
	ReadyToEndMatch(): boolean;
	PlayerCanRestart(Player: PlayerController): boolean;
	MustSpectate(NewPlayerController: PlayerController): boolean;
	OnPostLogin(NewPlayer: PlayerController): void;
	OnSwapPlayerControllers(OldPC: PlayerController,NewPC: PlayerController): void;
	OnSetMatchState(NewState: string): void;
	OnRestartPlayer(NewPlayer: Controller): void;
	OnLogout(ExitingController: Controller): void;
	OnChangeName(Other: Controller,NewName: string,bNameChange: boolean): void;
	FindPlayerStart(Player: Controller): Actor;
	IsMatchInProgress(): boolean;
	InitStartSpot(StartSpot: Actor,NewPlayer: Controller): void;
	HasMatchStarted(): boolean;
	HasMatchEnded(): boolean;
	GetNumPlayers(): number;
	GetMatchState(): string;
	GetDefaultPawnClassForController(InController: Controller): UnrealEngineClass;
	FindPlayerStart(Player: Controller,IncomingName: string): Actor;
	EndMatch(): void;
	ChoosePlayerStart(Player: Controller): Actor;
	ChangeName(Controller: Controller,NewName: string,bNameChange: boolean): void;
	CanSpectate(Viewer: PlayerController,ViewTarget: PlayerState): boolean;
	AbortMatch(): void;
	static C(Other: UObject): GameMode;
	HandleSeamlessTravelPlayer(C?: Controller): {C: Controller};
	static HandleSeamlessTravelPlayer(GameMode: GameMode,C?: Controller): {C: Controller};
}

declare class GameModePrefix { 
	Prefix: string;
	GameMode: string;
	clone() : GameModePrefix;
	static C(Other: UObject): GameModePrefix;
}

declare class GameNetworkManager extends Info { 
	AdjustedNetSpeed: number;
	LastNetSpeedUpdateTime: number;
	TotalNetBandwidth: number;
	MinDynamicBandwidth: number;
	MaxDynamicBandwidth: number;
	bIsStandbyCheckingEnabled: boolean;
	bHasStandbyCheatTriggered: boolean;
	StandbyRxCheatTime: number;
	StandbyTxCheatTime: number;
	BadPingThreshold: number;
	PercentMissingForRxStandby: number;
	PercentMissingForTxStandby: number;
	PercentForBadPing: number;
	JoinInProgressStandbyWaitTime: number;
	MoveRepSize: number;
	MAXPOSITIONERRORSQUARED: number;
	MAXNEARZEROVELOCITYSQUARED: number;
	CLIENTADJUSTUPDATECOST: number;
	MAXCLIENTUPDATEINTERVAL: number;
	MaxMoveDeltaTime: number;
	ClientAuthorativePosition: boolean;
	ClientErrorUpdateRateLimit: number;
	bMovementTimeDiscrepancyDetection: boolean;
	bMovementTimeDiscrepancyResolution: boolean;
	MovementTimeDiscrepancyMaxTimeMargin: number;
	MovementTimeDiscrepancyMinTimeMargin: number;
	MovementTimeDiscrepancyResolutionRate: number;
	MovementTimeDiscrepancyDriftAllowance: number;
	bMovementTimeDiscrepancyForceCorrectionsDuringResolution: boolean;
	bUseDistanceBasedRelevancy: boolean;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameNetworkManager;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameNetworkManager;
	static C(Other: UObject): GameNetworkManager;
}

declare type EVisibilityAggressiveness = string | symbol;
declare var EVisibilityAggressiveness = { VIS_LeastAggressive:'VIS_LeastAggressive',VIS_ModeratelyAggressive:'VIS_ModeratelyAggressive',VIS_MostAggressive:'VIS_MostAggressive', };
declare class LightmassWorldInfoSettings { 
	StaticLightingLevelScale: number;
	NumIndirectLightingBounces: number;
	IndirectLightingQuality: number;
	IndirectLightingSmoothness: number;
	EnvironmentColor: Color;
	EnvironmentIntensity: number;
	EmissiveBoost: number;
	DiffuseBoost: number;
	bUseAmbientOcclusion: boolean;
	bGenerateAmbientOcclusionMaterialMask: boolean;
	DirectIlluminationOcclusionFraction: number;
	IndirectIlluminationOcclusionFraction: number;
	OcclusionExponent: number;
	FullyOccludedSamplesFraction: number;
	MaxOcclusionDistance: number;
	bVisualizeMaterialDiffuse: boolean;
	bVisualizeAmbientOcclusion: boolean;
	VolumeLightSamplePlacementScale: number;
	bCompressLightmaps: boolean;
	clone() : LightmassWorldInfoSettings;
	static C(Other: UObject): LightmassWorldInfoSettings;
}

declare type ELightingBuildQuality = string | symbol;
declare var ELightingBuildQuality = { Quality_Preview:'Quality_Preview',Quality_Medium:'Quality_Medium',Quality_High:'Quality_High',Quality_Production:'Quality_Production', };
declare type ReverbPreset = string | symbol;
declare var ReverbPreset = { REVERB_Default:'REVERB_Default',REVERB_Bathroom:'REVERB_Bathroom',REVERB_StoneRoom:'REVERB_StoneRoom',REVERB_Auditorium:'REVERB_Auditorium',REVERB_ConcertHall:'REVERB_ConcertHall',REVERB_Cave:'REVERB_Cave',REVERB_Hallway:'REVERB_Hallway',REVERB_StoneCorridor:'REVERB_StoneCorridor',REVERB_Alley:'REVERB_Alley',REVERB_Forest:'REVERB_Forest',REVERB_City:'REVERB_City',REVERB_Mountains:'REVERB_Mountains',REVERB_Quarry:'REVERB_Quarry',REVERB_Plain:'REVERB_Plain',REVERB_ParkingLot:'REVERB_ParkingLot',REVERB_SewerPipe:'REVERB_SewerPipe',REVERB_Underwater:'REVERB_Underwater',REVERB_SmallRoom:'REVERB_SmallRoom',REVERB_MediumRoom:'REVERB_MediumRoom',REVERB_LargeRoom:'REVERB_LargeRoom',REVERB_MediumHall:'REVERB_MediumHall',REVERB_LargeHall:'REVERB_LargeHall',REVERB_Plate:'REVERB_Plate', };
declare class ReverbEffect extends UObject { 
	Density: number;
	Diffusion: number;
	Gain: number;
	GainHF: number;
	DecayTime: number;
	DecayHFRatio: number;
	ReflectionsGain: number;
	ReflectionsDelay: number;
	LateGain: number;
	LateDelay: number;
	AirAbsorptionGainHF: number;
	RoomRolloffFactor: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ReverbEffect;
	static Find(Outer: UObject, ResourceName: string): ReverbEffect;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ReverbEffect;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReverbEffect;
	static C(Other: UObject): ReverbEffect;
}

declare class ReverbSettings { 
	bApplyReverb: boolean;
	ReverbType: ReverbPreset;
	ReverbEffect: ReverbEffect;
	Volume: number;
	FadeTime: number;
	clone() : ReverbSettings;
	static C(Other: UObject): ReverbSettings;
}

declare class InteriorSettings { 
	bIsWorldSettings: boolean;
	ExteriorVolume: number;
	ExteriorTime: number;
	ExteriorLPF: number;
	ExteriorLPFTime: number;
	InteriorVolume: number;
	InteriorTime: number;
	InteriorLPF: number;
	InteriorLPFTime: number;
	clone() : InteriorSettings;
	static C(Other: UObject): InteriorSettings;
}

declare class MeshProxySettings { 
	ScreenSize: number;
	MaterialSettings: MaterialProxySettings;
	TextureWidth: number;
	TextureHeight: number;
	bExportNormalMap: boolean;
	bExportMetallicMap: boolean;
	bExportRoughnessMap: boolean;
	bExportSpecularMap: boolean;
	Material: MaterialSimplificationSettings;
	bCalculateCorrectLODModel: boolean;
	MergeDistance: number;
	HardAngleThreshold: number;
	LightMapResolution: number;
	bRecalculateNormals: boolean;
	bBakeVertexData: boolean;
	clone() : MeshProxySettings;
	static C(Other: UObject): MeshProxySettings;
}

declare class MeshMergingSettings { 
	bGenerateLightMapUV: boolean;
	TargetLightMapUVChannel: number;
	TargetLightMapResolution: number;
	bImportVertexColors: boolean;
	bPivotPointAtZero: boolean;
	bMergePhysicsData: boolean;
	bMergeMaterials: boolean;
	MaterialSettings: MaterialProxySettings;
	bBakeVertexData: boolean;
	bCalculateCorrectLODModel: boolean;
	ExportSpecificLOD: number;
	bExportNormalMap: boolean;
	bExportMetallicMap: boolean;
	bExportRoughnessMap: boolean;
	bExportSpecularMap: boolean;
	MergedMaterialAtlasResolution: number;
	clone() : MeshMergingSettings;
	static C(Other: UObject): MeshMergingSettings;
}

declare class HierarchicalSimplification { 
	TransitionScreenSize: number;
	bSimplifyMesh: boolean;
	ProxySetting: MeshProxySettings;
	MergeSetting: MeshMergingSettings;
	DesiredBoundRadius: number;
	DesiredFillingPercentage: number;
	MinNumberOfActorsToBuild: number;
	clone() : HierarchicalSimplification;
	static C(Other: UObject): HierarchicalSimplification;
}

declare class BookMark extends UObject { 
	Location: Vector;
	Rotation: Rotator;
	HiddenLevels: string[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BookMark;
	static Find(Outer: UObject, ResourceName: string): BookMark;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BookMark;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BookMark;
	static C(Other: UObject): BookMark;
}

declare class NetViewer { 
	Connection: NetConnection;
	InViewer: Actor;
	ViewTarget: Actor;
	ViewLocation: Vector;
	ViewDir: Vector;
	clone() : NetViewer;
	static C(Other: UObject): NetViewer;
}

declare class WorldSettings extends Info { 
	bEnableWorldBoundsChecks: boolean;
	bEnableNavigationSystem: boolean;
	bEnableWorldComposition: boolean;
	bEnableWorldOriginRebasing: boolean;
	bWorldGravitySet: boolean;
	bGlobalGravitySet: boolean;
	KillZ: number;
	KillZDamageType: UnrealEngineClass;
	WorldGravityZ: number;
	GlobalGravityZ: number;
	DefaultPhysicsVolumeClass: UnrealEngineClass;
	PhysicsCollisionHandlerClass: UnrealEngineClass;
	DefaultGameMode: UnrealEngineClass;
	DefaultMapPrefixes: GameModePrefix[];
	GameNetworkManagerClass: UnrealEngineClass;
	PackedLightAndShadowMapTextureSize: number;
	bMinimizeBSPSections: boolean;
	DefaultColorScale: Vector;
	DefaultMaxDistanceFieldOcclusionDistance: number;
	GlobalDistanceFieldViewDistance: number;
	bPrecomputeVisibility: boolean;
	bPlaceCellsOnlyAlongCameraTracks: boolean;
	VisibilityCellSize: number;
	VisibilityAggressiveness: EVisibilityAggressiveness;
	bForceNoPrecomputedLighting: boolean;
	LightmassSettings: LightmassWorldInfoSettings;
	LevelLightingQuality: ELightingBuildQuality;
	DefaultReverbSettings: ReverbSettings;
	DefaultAmbientZoneSettings: InteriorSettings;
	DefaultBaseSoundMix: SoundMix;
	bEnableHierarchicalLODSystem: boolean;
	HierarchicalLODSetup: HierarchicalSimplification[];
	NumHLODLevels: number;
	WorldToMeters: number;
	BookMarks: BookMark;
	TimeDilation: number;
	MatineeTimeDilation: number;
	DemoPlayTimeDilation: number;
	MinGlobalTimeDilation: number;
	MaxGlobalTimeDilation: number;
	MinUndilatedFrameTime: number;
	MaxUndilatedFrameTime: number;
	Pauser: PlayerState;
	bHighPriorityLoading: boolean;
	bHighPriorityLoadingLocal: boolean;
	ReplicationViewers: NetViewer[];
	AssetUserData: AssetUserData[];
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WorldSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WorldSettings;
	OnRep_WorldGravityZ(): void;
	static C(Other: UObject): WorldSettings;
}

declare class Level extends UObject { 
	OwningWorld: World;
	Model: Model;
	ModelComponents: ModelComponent[];
	LevelScriptBlueprint: LevelScriptBlueprint;
	LevelScriptActor: LevelScriptActor;
	NavListStart: NavigationObjectBase;
	NavListEnd: NavigationObjectBase;
	NavDataChunks: NavigationDataChunk[];
	LightmapTotalSize: number;
	ShadowmapTotalSize: number;
	StaticNavigableGeometry: Vector[];
	StreamingTextureGuids: Guid[];
	bTextureStreamingRotationChanged: boolean;
	bIsVisible: boolean;
	bLocked: boolean;
	LevelSimplification: LevelSimplificationDetails;
	LevelColor: LinearColor;
	WorldSettings: WorldSettings;
	AssetUserData: AssetUserData[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Level;
	static Find(Outer: UObject, ResourceName: string): Level;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Level;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Level;
	static C(Other: UObject): Level;
	UpdateModelComponents(): void;
	static UpdateModelComponents(Level: Level): void;
}

declare class LineBatchComponent extends PrimitiveComponent { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): LineBatchComponent;
	static Find(Outer: UObject, ResourceName: string): LineBatchComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): LineBatchComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LineBatchComponent;
	static C(Other: UObject): LineBatchComponent;
}

declare type EStreamingVolumeUsage = string | symbol;
declare var EStreamingVolumeUsage = { SVB_Loading:'SVB_Loading',SVB_LoadingAndVisibility:'SVB_LoadingAndVisibility',SVB_VisibilityBlockingOnLoad:'SVB_VisibilityBlockingOnLoad',SVB_BlockingOnLoad:'SVB_BlockingOnLoad',SVB_LoadingNotVisible:'SVB_LoadingNotVisible', };
declare class LevelStreamingVolume extends Volume { 
	StreamingLevelNames: string[];
	bEditorPreVisOnly: boolean;
	bDisabled: boolean;
	StreamingUsage: EStreamingVolumeUsage;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): LevelStreamingVolume;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelStreamingVolume;
	static C(Other: UObject): LevelStreamingVolume;
}

declare class LevelStreaming extends UObject { 
	PackageName: string;
	WorldAsset: any;
	PackageNameToLoad: string;
	LODPackageNames: string[];
	LevelTransform: Transform;
	bShouldBeVisibleInEditor: boolean;
	bLocked: boolean;
	bShouldBeLoaded: boolean;
	bShouldBeVisible: boolean;
	bShouldBlockOnLoad: boolean;
	LevelLODIndex: number;
	bDisableDistanceStreaming: boolean;
	bDrawOnLevelStatusMap: boolean;
	DrawColor: Color;
	LevelColor: LinearColor;
	EditorStreamingVolumes: LevelStreamingVolume[];
	MinTimeBetweenVolumeUnloadRequests: number;
	Keywords: string[];
	OnLevelLoaded: UnrealEngineMulticastDelegate<() => void>;
	OnLevelUnloaded: UnrealEngineMulticastDelegate<() => void>;
	OnLevelShown: UnrealEngineMulticastDelegate<() => void>;
	OnLevelHidden: UnrealEngineMulticastDelegate<() => void>;
	LoadedLevel: Level;
	PendingUnloadLevel: Level;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): LevelStreaming;
	static Find(Outer: UObject, ResourceName: string): LevelStreaming;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): LevelStreaming;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelStreaming;
	IsStreamingStatePending(): boolean;
	IsLevelVisible(): boolean;
	IsLevelLoaded(): boolean;
	GetLevelScriptActor(): LevelScriptActor;
	CreateInstance(UniqueInstanceName: string): LevelStreaming;
	static C(Other: UObject): LevelStreaming;
}

declare class DemoNetDriver extends NetDriver { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DemoNetDriver;
	static Find(Outer: UObject, ResourceName: string): DemoNetDriver;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DemoNetDriver;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DemoNetDriver;
	static C(Other: UObject): DemoNetDriver;
}

declare class ParticleEventManager extends Actor { 
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ParticleEventManager;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleEventManager;
	static C(Other: UObject): ParticleEventManager;
}

declare class BlueprintFunctionLibrary extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintFunctionLibrary;
	static Find(Outer: UObject, ResourceName: string): BlueprintFunctionLibrary;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintFunctionLibrary;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintFunctionLibrary;
	static MakeStringAssetReference(AssetLongPathname: string): StringAssetReference;
	static C(Other: UObject): BlueprintFunctionLibrary;
}

declare type ENavDataGatheringModeConfig = string | symbol;
declare var ENavDataGatheringModeConfig = { Invalid:'Invalid',Instant:'Instant',Lazy:'Lazy', };
declare type FNavigationSystemRunMode = string | symbol;
declare var FNavigationSystemRunMode = { InvalidMode:'InvalidMode',GameMode:'GameMode',EditorMode:'EditorMode',SimulationMode:'SimulationMode',PIEMode:'PIEMode', };
declare class NavigationFilterArea { 
	AreaClass: UnrealEngineClass;
	TravelCostOverride: number;
	EnteringCostOverride: number;
	bIsExcluded: boolean;
	bOverrideTravelCost: boolean;
	bOverrideEnteringCost: boolean;
	clone() : NavigationFilterArea;
	static C(Other: UObject): NavigationFilterArea;
}

declare class NavigationFilterFlags { 
	bNavFlag0: boolean;
	bNavFlag1: boolean;
	bNavFlag2: boolean;
	bNavFlag3: boolean;
	bNavFlag4: boolean;
	bNavFlag5: boolean;
	bNavFlag6: boolean;
	bNavFlag7: boolean;
	bNavFlag8: boolean;
	bNavFlag9: boolean;
	bNavFlag10: boolean;
	bNavFlag11: boolean;
	bNavFlag12: boolean;
	bNavFlag13: boolean;
	bNavFlag14: boolean;
	bNavFlag15: boolean;
	clone() : NavigationFilterFlags;
	static C(Other: UObject): NavigationFilterFlags;
}

declare class NavigationQueryFilter extends UObject { 
	Areas: NavigationFilterArea[];
	IncludeFlags: NavigationFilterFlags;
	ExcludeFlags: NavigationFilterFlags;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NavigationQueryFilter;
	static Find(Outer: UObject, ResourceName: string): NavigationQueryFilter;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NavigationQueryFilter;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationQueryFilter;
	static C(Other: UObject): NavigationQueryFilter;
}

declare class NavMeshBoundsVolume extends Volume { 
	SupportedAgents: NavAgentSelector;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NavMeshBoundsVolume;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavMeshBoundsVolume;
	static C(Other: UObject): NavMeshBoundsVolume;
}

declare type ENavigationQueryResult = string | symbol;
declare var ENavigationQueryResult = { Invalid:'Invalid',Error:'Error',Fail:'Fail',Success:'Success', };
declare type ENavPathEvent = string | symbol;
declare var ENavPathEvent = { Cleared:'Cleared',NewPath:'NewPath',UpdatedDueToGoalMoved:'UpdatedDueToGoalMoved',UpdatedDueToNavigationChanged:'UpdatedDueToNavigationChanged',Invalidated:'Invalidated',RePathFailed:'RePathFailed',Custom:'Custom', };
declare type ENavigationOptionFlag = string | symbol;
declare var ENavigationOptionFlag = { Default:'Default',Enable:'Enable',Disable:'Disable',MAX:'MAX', };
declare class NavigationPath extends UObject { 
	PathUpdatedNotifier: UnrealEngineMulticastDelegate<(AffectedPath: NavigationPath, PathEvent: ENavPathEvent) => void>;
	PathPoints: Vector[];
	RecalculateOnInvalidation: ENavigationOptionFlag;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NavigationPath;
	static Find(Outer: UObject, ResourceName: string): NavigationPath;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NavigationPath;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationPath;
	IsValid(): boolean;
	IsStringPulled(): boolean;
	IsPartial(): boolean;
	GetPathLength(): number;
	GetPathCost(): number;
	GetDebugString(): string;
	EnableRecalculationOnInvalidation(DoRecalculation: ENavigationOptionFlag): void;
	EnableDebugDrawing(bShouldDrawDebugData: boolean,PathColor: LinearColor): void;
	static C(Other: UObject): NavigationPath;
}

declare class NavigationSystem extends BlueprintFunctionLibrary { 
	MainNavData: NavigationData;
	AbstractNavData: NavigationData;
	bAutoCreateNavigationData: boolean;
	bAllowClientSideNavigation: boolean;
	bSupportRebuilding: boolean;
	bInitialBuildingLocked: boolean;
	bSkipAgentHeightCheckWhenPickingNavData: boolean;
	DataGatheringMode: ENavDataGatheringModeConfig;
	bGenerateNavigationOnlyAroundNavigationInvokers: boolean;
	ActiveTilesUpdateInterval: number;
	SupportedAgents: NavDataConfig[];
	DirtyAreasUpdateFreq: number;
	NavDataSet: NavigationData[];
	NavDataRegistrationQueue: NavigationData[];
	OnNavDataRegisteredEvent: UnrealEngineMulticastDelegate<(NavData: NavigationData) => void>;
	OnNavigationGenerationFinishedDelegate: UnrealEngineMulticastDelegate<(NavData: NavigationData) => void>;
	OperationMode: FNavigationSystemRunMode;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NavigationSystem;
	static Find(Outer: UObject, ResourceName: string): NavigationSystem;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NavigationSystem;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationSystem;
	UnregisterNavigationInvoker(Invoker: Actor): void;
	static SimpleMoveToLocation(Controller: Controller,Goal: Vector): void;
	static SimpleMoveToActor(Controller: Controller,Goal: Actor): void;
	SetMaxSimultaneousTileGenerationJobsCount(MaxNumberOfJobs: number): void;
	SetGeometryGatheringMode(NewMode: ENavDataGatheringModeConfig): void;
	ResetMaxSimultaneousTileGenerationJobsCount(): void;
	RegisterNavigationInvoker(Invoker: Actor,TileGenerationRadius: number,TileRemovalRadius: number): void;
	static ProjectPointToNavigation(WorldContext: UObject,Point: Vector,NavData: NavigationData,FilterClass: UnrealEngineClass,QueryExtent: Vector): Vector;
	OnNavigationBoundsUpdated(NavVolume: NavMeshBoundsVolume): void;
	static NavigationRaycast(WorldContext: UObject,RayStart: Vector,RayEnd: Vector,HitLocation?: Vector,FilterClass?: UnrealEngineClass,Querier?: Controller): {HitLocation: Vector, $: boolean};
	static IsNavigationBeingBuilt(WorldContext: UObject): boolean;
	static GetRandomReachablePointInRadius(WorldContext: UObject,Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
	static GetRandomPointInRadius(WorldContext: UObject,Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
	static GetRandomPointInNavigableRadius(WorldContext: UObject,Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
	static GetRandomPoint(WorldContext: UObject,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
	static GetPathLength(WorldContext: UObject,PathStart: Vector,PathEnd: Vector,PathLength?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathLength: number, $: ENavigationQueryResult};
	static GetPathCost(WorldContext: UObject,PathStart: Vector,PathEnd: Vector,PathCost?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathCost: number, $: ENavigationQueryResult};
	static GetNavigationSystem(WorldContext: UObject): NavigationSystem;
	static FindPathToLocationSynchronously(WorldContext: UObject,PathStart: Vector,PathEnd: Vector,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
	static FindPathToActorSynchronously(WorldContext: UObject,PathStart: Vector,GoalActor: Actor,TetherDistance: number,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
	static C(Other: UObject): NavigationSystem;
}

declare class AISystemBase extends UObject { 
	AISystemClassName: StringClassReference;
	AISystemModuleName: string;
	bInstantiateAISystemOnClient: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISystemBase;
	static Find(Outer: UObject, ResourceName: string): AISystemBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISystemBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISystemBase;
	static C(Other: UObject): AISystemBase;
}

declare class NavAvoidanceData { 
	clone() : NavAvoidanceData;
	static C(Other: UObject): NavAvoidanceData;
}

declare class AvoidanceManager extends UObject { 
	DefaultTimeToLive: number;
	LockTimeAfterAvoid: number;
	LockTimeAfterClean: number;
	DeltaTimeToPredict: number;
	ArtificialRadiusExpansion: number;
	TestHeightDifference: number;
	HeightCheckMargin: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AvoidanceManager;
	static Find(Outer: UObject, ResourceName: string): AvoidanceManager;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AvoidanceManager;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AvoidanceManager;
	RegisterMovementComponent(MovementComp: MovementComponent,AvoidanceWeight: number): boolean;
	GetObjectCount(): number;
	GetNewAvoidanceUID(): number;
	GetAvoidanceVelocityIgnoringUID(AvoidanceData: NavAvoidanceData,DeltaTime: number,IgnoreThisUID: number): Vector;
	GetAvoidanceVelocityForComponent(MovementComp: MovementComponent): Vector;
	GetAvoidanceVelocity(AvoidanceData: NavAvoidanceData,DeltaTime: number): Vector;
	static C(Other: UObject): AvoidanceManager;
}

declare class ScriptViewportClient extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ScriptViewportClient;
	static Find(Outer: UObject, ResourceName: string): ScriptViewportClient;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ScriptViewportClient;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScriptViewportClient;
	static C(Other: UObject): ScriptViewportClient;
}

declare class Console extends UObject { 
	ConsoleTargetPlayer: LocalPlayer;
	DefaultTexture_Black: Texture2D;
	DefaultTexture_White: Texture2D;
	HistoryBuffer: string[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Console;
	static Find(Outer: UObject, ResourceName: string): Console;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Console;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Console;
	static C(Other: UObject): Console;
}

declare class DebugDisplayProperty { 
	Obj: UObject;
	WithinClass: UnrealEngineClass;
	clone() : DebugDisplayProperty;
	static C(Other: UObject): DebugDisplayProperty;
}

declare class GameViewportClient extends ScriptViewportClient { 
	ViewportConsole: Console;
	DebugProperties: DebugDisplayProperty[];
	World: World;
	GameInstance: GameInstance;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameViewportClient;
	static Find(Outer: UObject, ResourceName: string): GameViewportClient;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameViewportClient;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameViewportClient;
	SSSwapControllers(): void;
	ShowTitleSafeArea(): void;
	SetConsoleTarget(PlayerIndex: number): void;
	static C(Other: UObject): GameViewportClient;
}

declare type EAspectRatioAxisConstraint = string | symbol;
declare var EAspectRatioAxisConstraint = { AspectRatio_MaintainYFOV:'AspectRatio_MaintainYFOV',AspectRatio_MaintainXFOV:'AspectRatio_MaintainXFOV',AspectRatio_MajorAxisFOV:'AspectRatio_MajorAxisFOV', };
declare class LocalPlayer extends Player { 
	ViewportClient: GameViewportClient;
	AspectRatioAxisConstraint: EAspectRatioAxisConstraint;
	PendingLevelPlayerControllerClass: UnrealEngineClass;
	bSentSplitJoin: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): LocalPlayer;
	static Find(Outer: UObject, ResourceName: string): LocalPlayer;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): LocalPlayer;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalPlayer;
	static C(Other: UObject): LocalPlayer;
}

declare class OnlineSession extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): OnlineSession;
	static Find(Outer: UObject, ResourceName: string): OnlineSession;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): OnlineSession;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): OnlineSession;
	static C(Other: UObject): OnlineSession;
}

declare type ETravelFailure = string | symbol;
declare var ETravelFailure = { NoLevel:'NoLevel',LoadMapFailure:'LoadMapFailure',InvalidURL:'InvalidURL',PackageMissing:'PackageMissing',PackageVersion:'PackageVersion',NoDownload:'NoDownload',TravelFailure:'TravelFailure',CheatCommands:'CheatCommands',PendingNetGameCreateFailure:'PendingNetGameCreateFailure',CloudSaveFailure:'CloudSaveFailure',ServerTravelFailure:'ServerTravelFailure',ClientTravelFailure:'ClientTravelFailure', };
declare type ENetworkFailure = string | symbol;
declare var ENetworkFailure = { NetDriverAlreadyExists:'NetDriverAlreadyExists',NetDriverCreateFailure:'NetDriverCreateFailure',NetDriverListenFailure:'NetDriverListenFailure',ConnectionLost:'ConnectionLost',ConnectionTimeout:'ConnectionTimeout',FailureReceived:'FailureReceived',OutdatedClient:'OutdatedClient',OutdatedServer:'OutdatedServer',PendingConnectionFailure:'PendingConnectionFailure', };
declare class GameInstance extends UObject { 
	LocalPlayers: LocalPlayer[];
	OnlineSession: OnlineSession;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameInstance;
	static Find(Outer: UObject, ResourceName: string): GameInstance;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameInstance;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameInstance;
	Shutdown(): void;
	Init(): void;
	TravelError(FailureType: ETravelFailure): void;
	NetworkError(FailureType: ENetworkFailure,bIsServer: boolean): void;
	DebugRemovePlayer(ControllerId: number): void;
	DebugCreatePlayer(ControllerId: number): void;
	static C(Other: UObject): GameInstance;
}

declare class MaterialParameterCollectionInstance extends UObject { 
	Collection: MaterialParameterCollection;
	World: World;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MaterialParameterCollectionInstance;
	static Find(Outer: UObject, ResourceName: string): MaterialParameterCollectionInstance;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MaterialParameterCollectionInstance;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialParameterCollectionInstance;
	static C(Other: UObject): MaterialParameterCollectionInstance;
}

declare class LevelViewportInfo { 
	CamPosition: Vector;
	CamRotation: Rotator;
	CamOrthoZoom: number;
	CamUpdated: boolean;
	clone() : LevelViewportInfo;
	static C(Other: UObject): LevelViewportInfo;
}

declare class WorldComposition extends UObject { 
	TilesStreaming: LevelStreaming[];
	TilesStreamingTimeThreshold: any;
	bLoadAllTilesDuringCinematic: boolean;
	bRebaseOriginIn3DSpace: boolean;
	RebaseOriginDistance: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WorldComposition;
	static Find(Outer: UObject, ResourceName: string): WorldComposition;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WorldComposition;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WorldComposition;
	static C(Other: UObject): WorldComposition;
}

declare type EOverlapFilterOption = string | symbol;
declare var EOverlapFilterOption = { OverlapFilter_All:'OverlapFilter_All',OverlapFilter_DynamicOnly:'OverlapFilter_DynamicOnly',OverlapFilter_StaticOnly:'OverlapFilter_StaticOnly', };
declare type EDrawDebugTrace = string | symbol;
declare var EDrawDebugTrace = { None:'None',ForOneFrame:'ForOneFrame',ForDuration:'ForDuration',Persistent:'Persistent', };
declare class DebugFloatHistory { 
	Samples: number[];
	MaxSamples: number;
	MinValue: number;
	MaxValue: number;
	bAutoAdjustMinMax: boolean;
	clone() : DebugFloatHistory;
	static C(Other: UObject): DebugFloatHistory;
	static AddFloatHistorySample(Value: number,FloatHistory: DebugFloatHistory): DebugFloatHistory;
}

declare type EQuitPreference = string | symbol;
declare var EQuitPreference = { Quit:'Quit',Background:'Background', };
declare type ESpawnActorCollisionHandlingMethod = string | symbol;
declare var ESpawnActorCollisionHandlingMethod = { Undefined:'Undefined',AlwaysSpawn:'AlwaysSpawn',AdjustIfPossibleButAlwaysSpawn:'AdjustIfPossibleButAlwaysSpawn',AdjustIfPossibleButDontSpawnIfColliding:'AdjustIfPossibleButDontSpawnIfColliding',DontSpawnIfColliding:'DontSpawnIfColliding', };
declare type ESuggestProjVelocityTraceOption = string | symbol;
declare var ESuggestProjVelocityTraceOption = { DoNotTrace:'DoNotTrace',TraceFullPath:'TraceFullPath',OnlyTraceWhileAsceding:'OnlyTraceWhileAsceding', };
declare type EGrammaticalGender = string | symbol;
declare var EGrammaticalGender = { Neuter:'Neuter',Masculine:'Masculine',Feminine:'Feminine',Mixed:'Mixed', };
declare type EGrammaticalNumber = string | symbol;
declare var EGrammaticalNumber = { Singular:'Singular',Plural:'Plural', };
declare class DialogueVoice extends UObject { 
	Gender: EGrammaticalGender;
	Plurality: EGrammaticalNumber;
	LocalizationGUID: Guid;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DialogueVoice;
	static Find(Outer: UObject, ResourceName: string): DialogueVoice;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DialogueVoice;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DialogueVoice;
	static C(Other: UObject): DialogueVoice;
}

declare class DialogueContext { 
	Speaker: DialogueVoice;
	Targets: DialogueVoice[];
	clone() : DialogueContext;
	static C(Other: UObject): DialogueContext;
}

declare class DialogueSoundWaveProxy extends SoundBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DialogueSoundWaveProxy;
	static Find(Outer: UObject, ResourceName: string): DialogueSoundWaveProxy;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DialogueSoundWaveProxy;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DialogueSoundWaveProxy;
	static C(Other: UObject): DialogueSoundWaveProxy;
}

declare class DialogueContextMapping { 
	Context: DialogueContext;
	SoundWave: SoundWave;
	LocalizationKeyFormat: string;
	Proxy: DialogueSoundWaveProxy;
	clone() : DialogueContextMapping;
	static C(Other: UObject): DialogueContextMapping;
}

declare class DialogueWave extends UObject { 
	bMature: boolean;
	SpokenText: string;
	VoiceActorDirection: string;
	ContextMappings: DialogueContextMapping[];
	LocalizationGUID: Guid;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DialogueWave;
	static Find(Outer: UObject, ResourceName: string): DialogueWave;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DialogueWave;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DialogueWave;
	static C(Other: UObject): DialogueWave;
	SpawnDialogueAttached(Context: DialogueContext,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation): AudioComponent;
	static SpawnDialogueAttached(Dialogue: DialogueWave,Context: DialogueContext,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation): AudioComponent;
}

declare class WidgetTree extends UObject { 
	RootWidget: Widget;
	AllWidgets: Widget[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WidgetTree;
	static Find(Outer: UObject, ResourceName: string): WidgetTree;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WidgetTree;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetTree;
	static C(Other: UObject): WidgetTree;
}

declare class MovieSceneSequence extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovieSceneSequence;
	static Find(Outer: UObject, ResourceName: string): MovieSceneSequence;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovieSceneSequence;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSequence;
	static C(Other: UObject): MovieSceneSequence;
}

declare type ESpawnOwnership = string | symbol;
declare var ESpawnOwnership = { InnerSequence:'InnerSequence',MasterSequence:'MasterSequence',External:'External', };
declare class MovieSceneSpawnable { 
	Guid: Guid;
	Name: string;
	ObjectTemplate: UObject;
	ChildPossessables: Guid[];
	Ownership: ESpawnOwnership;
	bIgnoreOwnershipInEditor: boolean;
	GeneratedClass: UnrealEngineClass;
	clone() : MovieSceneSpawnable;
	static C(Other: UObject): MovieSceneSpawnable;
}

declare class MovieScenePossessable { 
	Guid: Guid;
	Name: string;
	PossessedObjectClass: UnrealEngineClass;
	ParentGuid: Guid;
	clone() : MovieScenePossessable;
	static C(Other: UObject): MovieScenePossessable;
}

declare class MovieSceneTrack extends UObject { 
	TrackTint: Color;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovieSceneTrack;
	static Find(Outer: UObject, ResourceName: string): MovieSceneTrack;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovieSceneTrack;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneTrack;
	static C(Other: UObject): MovieSceneTrack;
}

declare class MovieSceneBinding { 
	ObjectGuid: Guid;
	BindingName: string;
	Tracks: MovieSceneTrack[];
	clone() : MovieSceneBinding;
	static C(Other: UObject): MovieSceneBinding;
}

declare class FloatRangeBound { 
	Type: ERangeBoundTypes;
	Value: number;
	clone() : FloatRangeBound;
	static C(Other: UObject): FloatRangeBound;
}

declare class FloatRange { 
	LowerBound: FloatRangeBound;
	UpperBound: FloatRangeBound;
	clone() : FloatRange;
	static C(Other: UObject): FloatRange;
}

declare class MovieSceneEditorData { 
	ExpansionStates: any;
	WorkingRange: FloatRange;
	ViewRange: FloatRange;
	clone() : MovieSceneEditorData;
	static C(Other: UObject): MovieSceneEditorData;
}

declare class MovieSceneFolder extends UObject { 
	FolderName: string;
	ChildFolders: MovieSceneFolder[];
	ChildMasterTracks: MovieSceneTrack[];
	ChildObjectBindingStrings: string[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovieSceneFolder;
	static Find(Outer: UObject, ResourceName: string): MovieSceneFolder;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovieSceneFolder;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneFolder;
	static C(Other: UObject): MovieSceneFolder;
}

declare class MovieScene extends UObject { 
	Spawnables: MovieSceneSpawnable[];
	Possessables: MovieScenePossessable[];
	ObjectBindings: MovieSceneBinding[];
	MasterTracks: MovieSceneTrack[];
	CameraCutTrack: MovieSceneTrack;
	SelectionRange: FloatRange;
	PlaybackRange: FloatRange;
	bForceFixedFrameIntervalPlayback: boolean;
	FixedFrameInterval: number;
	ObjectsToDisplayNames: any;
	ObjectsToLabels: any;
	EditorData: MovieSceneEditorData;
	RootFolders: MovieSceneFolder[];
	InTime: number;
	OutTime: number;
	StartTime: number;
	EndTime: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovieScene;
	static Find(Outer: UObject, ResourceName: string): MovieScene;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovieScene;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene;
	static C(Other: UObject): MovieScene;
}

declare class WidgetAnimationBinding { 
	WidgetName: string;
	SlotWidgetName: string;
	AnimationGuid: Guid;
	clone() : WidgetAnimationBinding;
	static C(Other: UObject): WidgetAnimationBinding;
}

declare class WidgetAnimation extends MovieSceneSequence { 
	OnAnimationStarted: UnrealEngineMulticastDelegate<() => void>;
	OnAnimationFinished: UnrealEngineMulticastDelegate<() => void>;
	MovieScene: MovieScene;
	AnimationBindings: WidgetAnimationBinding[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WidgetAnimation;
	static Find(Outer: UObject, ResourceName: string): WidgetAnimation;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WidgetAnimation;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetAnimation;
	GetStartTime(): number;
	GetEndTime(): number;
	static C(Other: UObject): WidgetAnimation;
}

declare class UMGSequencePlayer extends UObject { 
	Animation: WidgetAnimation;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): UMGSequencePlayer;
	static Find(Outer: UObject, ResourceName: string): UMGSequencePlayer;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): UMGSequencePlayer;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UMGSequencePlayer;
	static C(Other: UObject): UMGSequencePlayer;
}

declare class NamedSlotBinding { 
	Name: string;
	Content: Widget;
	clone() : NamedSlotBinding;
	static C(Other: UObject): NamedSlotBinding;
}

declare type EDesignPreviewSizeMode = string | symbol;
declare var EDesignPreviewSizeMode = { FillScreen:'FillScreen',Custom:'Custom',CustomOnScreen:'CustomOnScreen',Desired:'Desired',DesiredOnScreen:'DesiredOnScreen', };
declare class Geometry { 
	clone() : Geometry;
	static C(Other: UObject): Geometry;
	AbsoluteToLocal(AbsoluteCoordinate: Vector2D): Vector2D;
	GetLocalSize(): Vector2D;
	IsUnderLocation(AbsoluteCoordinate: Vector2D): boolean;
	LocalToAbsolute(LocalCoordinate: Vector2D): Vector2D;
	static AbsoluteToLocal(Geometry: Geometry,AbsoluteCoordinate: Vector2D): Vector2D;
	static GetLocalSize(Geometry: Geometry): Vector2D;
	static IsUnderLocation(Geometry: Geometry,AbsoluteCoordinate: Vector2D): boolean;
	static LocalToAbsolute(Geometry: Geometry,LocalCoordinate: Vector2D): Vector2D;
}

declare type EInputEvent = string | symbol;
declare var EInputEvent = { IE_Pressed:'IE_Pressed',IE_Released:'IE_Released',IE_Repeat:'IE_Repeat',IE_DoubleClick:'IE_DoubleClick',IE_Axis:'IE_Axis', };
declare type EUMGSequencePlayMode = string | symbol;
declare var EUMGSequencePlayMode = { Forward:'Forward',Reverse:'Reverse',PingPong:'PingPong', };
declare class InputEvent { 
	clone() : InputEvent;
	static C(Other: UObject): InputEvent;
	IsAltDown(): boolean;
	IsCommandDown(): boolean;
	IsControlDown(): boolean;
	IsLeftAltDown(): boolean;
	IsLeftCommandDown(): boolean;
	IsLeftControlDown(): boolean;
	IsLeftShiftDown(): boolean;
	IsRepeat(): boolean;
	IsRightAltDown(): boolean;
	IsRightCommandDown(): boolean;
	IsRightControlDown(): boolean;
	IsRightShiftDown(): boolean;
	IsShiftDown(): boolean;
	static IsAltDown(Input: InputEvent): boolean;
	static IsCommandDown(Input: InputEvent): boolean;
	static IsControlDown(Input: InputEvent): boolean;
	static IsLeftAltDown(Input: InputEvent): boolean;
	static IsLeftCommandDown(Input: InputEvent): boolean;
	static IsLeftControlDown(Input: InputEvent): boolean;
	static IsLeftShiftDown(Input: InputEvent): boolean;
	static IsRepeat(Input: InputEvent): boolean;
	static IsRightAltDown(Input: InputEvent): boolean;
	static IsRightCommandDown(Input: InputEvent): boolean;
	static IsRightControlDown(Input: InputEvent): boolean;
	static IsRightShiftDown(Input: InputEvent): boolean;
	static IsShiftDown(Input: InputEvent): boolean;
}

declare class EventReply { 
	clone() : EventReply;
	static C(Other: UObject): EventReply;
	CaptureJoystick(CapturingWidget?: Widget,bInAllJoysticks?: boolean): {Reply: EventReply, $: EventReply};
	CaptureMouse(CapturingWidget?: Widget): {Reply: EventReply, $: EventReply};
	ClearUserFocus(bInAllUsers?: boolean): {Reply: EventReply, $: EventReply};
	DetectDrag(WidgetDetectingDrag?: Widget,DragKey?: Key): {Reply: EventReply, $: EventReply};
	EndDragDrop(): {Reply: EventReply, $: EventReply};
	LockMouse(CapturingWidget?: Widget): {Reply: EventReply, $: EventReply};
	ReleaseJoystickCapture(bInAllJoysticks?: boolean): {Reply: EventReply, $: EventReply};
	ReleaseMouseCapture(): {Reply: EventReply, $: EventReply};
	SetMousePosition(NewMousePosition?: Vector2D): {Reply: EventReply, $: EventReply};
	SetUserFocus(FocusWidget?: Widget,bInAllUsers?: boolean): {Reply: EventReply, $: EventReply};
	UnlockMouse(): {Reply: EventReply, $: EventReply};
	static CaptureJoystick(Reply?: EventReply,CapturingWidget?: Widget,bInAllJoysticks?: boolean): {Reply: EventReply, $: EventReply};
	static CaptureMouse(Reply?: EventReply,CapturingWidget?: Widget): {Reply: EventReply, $: EventReply};
	static ClearUserFocus(Reply?: EventReply,bInAllUsers?: boolean): {Reply: EventReply, $: EventReply};
	static DetectDrag(Reply?: EventReply,WidgetDetectingDrag?: Widget,DragKey?: Key): {Reply: EventReply, $: EventReply};
	static EndDragDrop(Reply?: EventReply): {Reply: EventReply, $: EventReply};
	static LockMouse(Reply?: EventReply,CapturingWidget?: Widget): {Reply: EventReply, $: EventReply};
	static ReleaseJoystickCapture(Reply?: EventReply,bInAllJoysticks?: boolean): {Reply: EventReply, $: EventReply};
	static ReleaseMouseCapture(Reply?: EventReply): {Reply: EventReply, $: EventReply};
	static SetMousePosition(Reply?: EventReply,NewMousePosition?: Vector2D): {Reply: EventReply, $: EventReply};
	static SetUserFocus(Reply?: EventReply,FocusWidget?: Widget,bInAllUsers?: boolean): {Reply: EventReply, $: EventReply};
	static UnlockMouse(Reply?: EventReply): {Reply: EventReply, $: EventReply};
	static Handled(): EventReply;
	static Unhandled(): EventReply;
}

declare class UPointerEvent extends InputEvent { 
	clone() : UPointerEvent;
	static C(Other: UObject): UPointerEvent;
	GetCursorDelta(): Vector2D;
	GetEffectingButton(): Key;
	GetGestureDelta(): Vector2D;
	GetLastScreenSpacePosition(): Vector2D;
	GetPointerIndex(): number;
	GetScreenSpacePosition(): Vector2D;
	GetTouchpadIndex(): number;
	GetUserIndex(): number;
	GetWheelDelta(): number;
	IsMouseButtonDown(MouseButton: Key): boolean;
	IsTouchEvent(): boolean;
	DetectDragIfPressed(WidgetDetectingDrag: Widget,DragKey: Key): EventReply;
	GetInputEventFromPointerEvent(): InputEvent;
	static GetCursorDelta(Input: UPointerEvent): Vector2D;
	static GetEffectingButton(Input: UPointerEvent): Key;
	static GetGestureDelta(Input: UPointerEvent): Vector2D;
	static GetLastScreenSpacePosition(Input: UPointerEvent): Vector2D;
	static GetPointerIndex(Input: UPointerEvent): number;
	static GetScreenSpacePosition(Input: UPointerEvent): Vector2D;
	static GetTouchpadIndex(Input: UPointerEvent): number;
	static GetUserIndex(Input: UPointerEvent): number;
	static GetWheelDelta(Input: UPointerEvent): number;
	static IsMouseButtonDown(Input: UPointerEvent,MouseButton: Key): boolean;
	static IsTouchEvent(Input: UPointerEvent): boolean;
	static DetectDragIfPressed(UPointerEvent: UPointerEvent,WidgetDetectingDrag: Widget,DragKey: Key): EventReply;
	static GetInputEventFromPointerEvent(Event: UPointerEvent): InputEvent;
}

declare class KeyEvent extends InputEvent { 
	clone() : KeyEvent;
	static C(Other: UObject): KeyEvent;
	GetKey(): Key;
	GetUserIndex(): number;
	GetInputEventFromKeyEvent(): InputEvent;
	static GetKey(Input: KeyEvent): Key;
	static GetUserIndex(Input: KeyEvent): number;
	static GetInputEventFromKeyEvent(Event: KeyEvent): InputEvent;
}

declare class SlateBrushAsset extends UObject { 
	Brush: SlateBrush;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SlateBrushAsset;
	static Find(Outer: UObject, ResourceName: string): SlateBrushAsset;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SlateBrushAsset;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateBrushAsset;
	static C(Other: UObject): SlateBrushAsset;
	MakeBrushFromAsset(): SlateBrush;
	static MakeBrushFromAsset(BrushAsset: SlateBrushAsset): SlateBrush;
}

declare class PaintContext { 
	clone() : PaintContext;
	static C(Other: UObject): PaintContext;
	DrawSpaceSpline(InStart?: Vector2D,InStartDir?: Vector2D,InEnd?: Vector2D,InEndDir?: Vector2D,InThickness?: number,InTint?: LinearColor): {Context: PaintContext};
	DrawBox(Position?: Vector2D,Size?: Vector2D,Brush?: SlateBrushAsset,Tint?: LinearColor): {Context: PaintContext};
	DrawLine(PositionA?: Vector2D,PositionB?: Vector2D,Tint?: LinearColor,bAntiAlias?: boolean): {Context: PaintContext};
	DrawLines(Points?: Vector2D[],Tint?: LinearColor,bAntiAlias?: boolean): {Context: PaintContext};
	DrawString(InString?: string,Position?: Vector2D,Tint?: LinearColor): {Context: PaintContext};
	DrawText(Text?: string,Position?: Vector2D,Font?: Font,FontSize?: number,FontTypeFace?: string,Tint?: LinearColor): {Context: PaintContext};
	static DrawSpaceSpline(Context?: PaintContext,InStart?: Vector2D,InStartDir?: Vector2D,InEnd?: Vector2D,InEndDir?: Vector2D,InThickness?: number,InTint?: LinearColor): {Context: PaintContext};
	static DrawBox(Context?: PaintContext,Position?: Vector2D,Size?: Vector2D,Brush?: SlateBrushAsset,Tint?: LinearColor): {Context: PaintContext};
	static DrawLine(Context?: PaintContext,PositionA?: Vector2D,PositionB?: Vector2D,Tint?: LinearColor,bAntiAlias?: boolean): {Context: PaintContext};
	static DrawLines(Context?: PaintContext,Points?: Vector2D[],Tint?: LinearColor,bAntiAlias?: boolean): {Context: PaintContext};
	static DrawString(Context?: PaintContext,InString?: string,Position?: Vector2D,Tint?: LinearColor): {Context: PaintContext};
	static DrawText(Context?: PaintContext,Text?: string,Position?: Vector2D,Font?: Font,FontSize?: number,FontTypeFace?: string,Tint?: LinearColor): {Context: PaintContext};
}

declare class MotionEvent extends InputEvent { 
	clone() : MotionEvent;
	static C(Other: UObject): MotionEvent;
}

declare class CharacterEvent extends InputEvent { 
	clone() : CharacterEvent;
	static C(Other: UObject): CharacterEvent;
	GetInputEventFromCharacterEvent(): InputEvent;
	static GetInputEventFromCharacterEvent(Event: CharacterEvent): InputEvent;
}

declare class UFocusEvent { 
	clone() : UFocusEvent;
	static C(Other: UObject): UFocusEvent;
}

declare type EDragPivot = string | symbol;
declare var EDragPivot = { MouseDown:'MouseDown',TopLeft:'TopLeft',TopCenter:'TopCenter',TopRight:'TopRight',CenterLeft:'CenterLeft',CenterCenter:'CenterCenter',CenterRight:'CenterRight',BottomLeft:'BottomLeft',BottomCenter:'BottomCenter',BottomRight:'BottomRight', };
declare class DragDropOperation extends UObject { 
	Tag: string;
	Payload: UObject;
	DefaultDragVisual: Widget;
	Pivot: EDragPivot;
	Offset: Vector2D;
	OnDrop: UnrealEngineMulticastDelegate<(Operation: DragDropOperation) => void>;
	OnDragCancelled: UnrealEngineMulticastDelegate<(Operation: DragDropOperation) => void>;
	OnDragged: UnrealEngineMulticastDelegate<(Operation: DragDropOperation) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DragDropOperation;
	static Find(Outer: UObject, ResourceName: string): DragDropOperation;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DragDropOperation;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DragDropOperation;
	Drop(UPointerEvent: UPointerEvent): void;
	Dragged(UPointerEvent: UPointerEvent): void;
	DragCancelled(UPointerEvent: UPointerEvent): void;
	static C(Other: UObject): DragDropOperation;
}

declare class ControllerEvent extends InputEvent { 
	clone() : ControllerEvent;
	static C(Other: UObject): ControllerEvent;
	ControllerEvent_GetAnalogValue(): number;
	GetEffectingButton(): Key;
	ControllerEvent_GetUserIndex(): number;
	GetInputEventFromControllerEvent(): InputEvent;
	static ControllerEvent_GetAnalogValue(Input: ControllerEvent): number;
	static GetEffectingButton(Input: ControllerEvent): Key;
	static ControllerEvent_GetUserIndex(Input: ControllerEvent): number;
	static GetInputEventFromControllerEvent(Event: ControllerEvent): InputEvent;
}

declare class AnalogInputEvent extends KeyEvent { 
	clone() : AnalogInputEvent;
	static C(Other: UObject): AnalogInputEvent;
	GetAnalogValue(): number;
	GetKeyEventFromAnalogInputEvent(): KeyEvent;
	static GetAnalogValue(Input: AnalogInputEvent): number;
	static GetKeyEventFromAnalogInputEvent(Event: AnalogInputEvent): KeyEvent;
}

declare class UserWidget extends Widget { 
	ColorAndOpacity: LinearColor;
	ColorAndOpacityDelegate: UnrealEngineDelegate<() => LinearColor>;
	ForegroundColor: SlateColor;
	ForegroundColorDelegate: UnrealEngineDelegate<() => SlateColor>;
	Padding: Margin;
	bSupportsKeyboardFocus: boolean;
	bIsFocusable: boolean;
	WidgetTree: WidgetTree;
	ActiveSequencePlayers: UMGSequencePlayer[];
	StoppedSequencePlayers: UMGSequencePlayer[];
	NamedSlotBindings: NamedSlotBinding[];
	bStopAction: boolean;
	Priority: number;
	DesignTimeSize: Vector2D;
	bUseDesignTimeSize: boolean;
	bUseDesiredSizeAtDesignTime: boolean;
	DesignSizeMode: EDesignPreviewSizeMode;
	PaletteCategory: string;
	PreviewBackground: Texture2D;
	InputComponent: InputComponent;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): UserWidget;
	static Find(Outer: UObject, ResourceName: string): UserWidget;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): UserWidget;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserWidget;
	Tick(MyGeometry: Geometry,InDeltaTime: number): void;
	StopListeningForInputAction(ActionName: string,EventType: EInputEvent): void;
	StopListeningForAllInputActions(): void;
	StopAnimation(InAnimation: WidgetAnimation): void;
	SetPositionInViewport(Position: Vector2D,bRemoveDPIScale: boolean): void;
	SetPadding(InPadding: Margin): void;
	SetOwningLocalPlayer(LocalPlayer: LocalPlayer): void;
	SetNumLoopsToPlay(InAnimation: WidgetAnimation,NumLoopsToPlay: number): void;
	SetInputActionPriority(NewPriority: number): void;
	SetInputActionBlocking(bShouldBlock: boolean): void;
	SetForegroundColor(InForegroundColor: SlateColor): void;
	SetDesiredSizeInViewport(Size: Vector2D): void;
	SetColorAndOpacity(InColorAndOpacity: LinearColor): void;
	SetAnchorsInViewport(Anchors: Anchors): void;
	SetAlignmentInViewport(Alignment: Vector2D): void;
	ReverseAnimation(InAnimation: WidgetAnimation): void;
	RemoveFromViewport(): void;
	PlaySound(SoundToPlay: SoundBase): void;
	PlayAnimationTo(InAnimation: WidgetAnimation,StartAtTime: number,EndAtTime: number,NumLoopsToPlay: number,PlayMode: EUMGSequencePlayMode): void;
	PlayAnimation(InAnimation: WidgetAnimation,StartAtTime: number,NumLoopsToPlay: number,PlayMode: EUMGSequencePlayMode): void;
	PauseAnimation(InAnimation: WidgetAnimation): number;
	OnTouchStarted(MyGeometry: Geometry,InTouchEvent: UPointerEvent): EventReply;
	OnTouchMoved(MyGeometry: Geometry,InTouchEvent: UPointerEvent): EventReply;
	OnTouchGesture(MyGeometry: Geometry,GestureEvent: UPointerEvent): EventReply;
	OnTouchEnded(MyGeometry: Geometry,InTouchEvent: UPointerEvent): EventReply;
	OnPreviewMouseButtonDown(MyGeometry: Geometry,MouseEvent: UPointerEvent): EventReply;
	OnPreviewKeyDown(MyGeometry: Geometry,InKeyEvent: KeyEvent): EventReply;
	OnPaint(Context?: PaintContext): {Context: PaintContext};
	OnMouseWheel(MyGeometry: Geometry,MouseEvent: UPointerEvent): EventReply;
	OnMouseMove(MyGeometry: Geometry,MouseEvent: UPointerEvent): EventReply;
	OnMouseLeave(MouseEvent: UPointerEvent): void;
	OnMouseEnter(MyGeometry: Geometry,MouseEvent: UPointerEvent): void;
	OnMouseButtonUp(MyGeometry: Geometry,MouseEvent: UPointerEvent): EventReply;
	OnMouseButtonDown(MyGeometry: Geometry,MouseEvent: UPointerEvent): EventReply;
	OnMouseButtonDoubleClick(InMyGeometry: Geometry,InMouseEvent: UPointerEvent): EventReply;
	OnMotionDetected(MyGeometry: Geometry,InMotionEvent: MotionEvent): EventReply;
	OnKeyUp(MyGeometry: Geometry,InKeyEvent: KeyEvent): EventReply;
	OnKeyDown(MyGeometry: Geometry,InKeyEvent: KeyEvent): EventReply;
	OnKeyChar(MyGeometry: Geometry,InCharacterEvent: CharacterEvent): EventReply;
	OnFocusReceived(MyGeometry: Geometry,InFocusEvent: UFocusEvent): EventReply;
	OnFocusLost(InFocusEvent: UFocusEvent): void;
	OnDrop(MyGeometry: Geometry,UPointerEvent: UPointerEvent,Operation: DragDropOperation): boolean;
	OnDragOver(MyGeometry: Geometry,UPointerEvent: UPointerEvent,Operation: DragDropOperation): boolean;
	OnDragLeave(UPointerEvent: UPointerEvent,Operation: DragDropOperation): void;
	OnDragEnter(MyGeometry: Geometry,UPointerEvent: UPointerEvent,Operation: DragDropOperation): void;
	OnDragDetected(MyGeometry: Geometry,UPointerEvent: UPointerEvent,Operation?: DragDropOperation): {Operation: DragDropOperation};
	OnDragCancelled(UPointerEvent: UPointerEvent,Operation: DragDropOperation): void;
	OnControllerButtonReleased(MyGeometry: Geometry,ControllerEvent: ControllerEvent): EventReply;
	OnControllerButtonPressed(MyGeometry: Geometry,ControllerEvent: ControllerEvent): EventReply;
	OnControllerAnalogValueChanged(MyGeometry: Geometry,ControllerEvent: ControllerEvent): EventReply;
	OnAnimationStarted(Animation: WidgetAnimation): void;
	OnAnimationFinished(Animation: WidgetAnimation): void;
	OnAnalogValueChanged(MyGeometry: Geometry,InAnalogInputEvent: AnalogInputEvent): EventReply;
	IsPlayingAnimation(): boolean;
	IsListeningForInputAction(ActionName: string): boolean;
	IsInViewport(): boolean;
	IsInteractable(): boolean;
	IsAnimationPlaying(InAnimation: WidgetAnimation): boolean;
	GetOwningPlayerPawn(): Pawn;
	GetOwningPlayer(): PlayerController;
	GetOwningLocalPlayer(): LocalPlayer;
	GetIsVisible(): boolean;
	Destruct(): void;
	Construct(): void;
	AddToViewport(ZOrder: number): void;
	AddToPlayerScreen(ZOrder: number): boolean;
	static C(Other: UObject): UserWidget;
}

declare type EPathFollowingResult = string | symbol;
declare var EPathFollowingResult = { Success:'Success',Blocked:'Blocked',OffPath:'OffPath',Aborted:'Aborted',Skipped:'Skipped',Invalid:'Invalid', };
declare class AIRequestID { 
	RequestID: any;
	clone() : AIRequestID;
	static C(Other: UObject): AIRequestID;
}

declare class AIAsyncTaskBlueprintProxy extends UObject { 
	OnSuccess: UnrealEngineMulticastDelegate<(MovementResult: EPathFollowingResult) => void>;
	OnFail: UnrealEngineMulticastDelegate<(MovementResult: EPathFollowingResult) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AIAsyncTaskBlueprintProxy;
	static Find(Outer: UObject, ResourceName: string): AIAsyncTaskBlueprintProxy;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AIAsyncTaskBlueprintProxy;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIAsyncTaskBlueprintProxy;
	OnMoveCompleted(RequestID: AIRequestID,MovementResult: EPathFollowingResult): void;
	static C(Other: UObject): AIAsyncTaskBlueprintProxy;
}

declare class BlackboardKeyType extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardKeyType;
	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardKeyType;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType;
	static C(Other: UObject): BlackboardKeyType;
}

declare class BlackboardKeySelector { 
	AllowedTypes: BlackboardKeyType[];
	SelectedKeyName: string;
	SelectedKeyType: UnrealEngineClass;
	SelectedKeyID: number;
	bNoneIsAllowedValue: boolean;
	clone() : BlackboardKeySelector;
	static C(Other: UObject): BlackboardKeySelector;
}

declare class BlackboardEntry { 
	EntryName: string;
	EntryDescription: string;
	KeyType: BlackboardKeyType;
	bInstanceSynced: boolean;
	clone() : BlackboardEntry;
	static C(Other: UObject): BlackboardEntry;
}

declare class BlackboardData extends DataAsset { 
	Parent: BlackboardData;
	ParentKeys: BlackboardEntry[];
	Keys: BlackboardEntry[];
	bHasSynchronizedKeys: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardData;
	static Find(Outer: UObject, ResourceName: string): BlackboardData;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardData;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardData;
	static C(Other: UObject): BlackboardData;
}

declare class BlackboardComponent extends ActorComponent { 
	BrainComp: BrainComponent;
	BlackboardAsset: BlackboardData;
	KeyInstances: BlackboardKeyType[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardComponent;
	static Find(Outer: UObject, ResourceName: string): BlackboardComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardComponent;
	SetValueAsVector(KeyName: string,VectorValue: Vector): void;
	SetValueAsString(KeyName: string,StringValue: string): void;
	SetValueAsRotator(KeyName: string,VectorValue: Rotator): void;
	SetValueAsObject(KeyName: string,ObjectValue: UObject): void;
	SetValueAsName(KeyName: string,NameValue: string): void;
	SetValueAsInt(KeyName: string,IntValue: number): void;
	SetValueAsFloat(KeyName: string,FloatValue: number): void;
	SetValueAsEnum(KeyName: string,EnumValue: number): void;
	SetValueAsClass(KeyName: string,ClassValue: UnrealEngineClass): void;
	SetValueAsBool(KeyName: string,BoolValue: boolean): void;
	IsVectorValueSet(KeyName: string): boolean;
	GetValueAsVector(KeyName: string): Vector;
	GetValueAsString(KeyName: string): string;
	GetValueAsRotator(KeyName: string): Rotator;
	GetValueAsObject(KeyName: string): UObject;
	GetValueAsName(KeyName: string): string;
	GetValueAsInt(KeyName: string): number;
	GetValueAsFloat(KeyName: string): number;
	GetValueAsEnum(KeyName: string): number;
	GetValueAsClass(KeyName: string): UnrealEngineClass;
	GetValueAsBool(KeyName: string): boolean;
	GetRotationFromEntry(KeyName: string,ResultRotation?: Rotator): {ResultRotation: Rotator, $: boolean};
	GetLocationFromEntry(KeyName: string,ResultLocation?: Vector): {ResultLocation: Vector, $: boolean};
	ClearValue(KeyName: string): void;
	static C(Other: UObject): BlackboardComponent;
}

declare type EPathFollowingAction = string | symbol;
declare var EPathFollowingAction = { Error:'Error',NoMove:'NoMove',DirectMove:'DirectMove',PartialPath:'PartialPath',PathToGoal:'PathToGoal', };
declare class PathFollowingComponent extends ActorComponent { 
	MovementComp: NavMovementComponent;
	MyNavData: NavigationData;
	bUseVisibilityTestsSimplification: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PathFollowingComponent;
	static Find(Outer: UObject, ResourceName: string): PathFollowingComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PathFollowingComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PathFollowingComponent;
	OnActorBump(SelfActor: Actor,OtherActor: Actor,NormalImpulse: Vector,Hit: HitResult): void;
	GetPathDestination(): Vector;
	GetPathActionType(): EPathFollowingAction;
	static C(Other: UObject): PathFollowingComponent;
}

declare class AISenseConfig extends UObject { 
	DebugColor: Color;
	MaxAge: number;
	bStartsEnabled: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISenseConfig;
	static Find(Outer: UObject, ResourceName: string): AISenseConfig;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISenseConfig;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig;
	static C(Other: UObject): AISenseConfig;
}

declare type EAISenseNotifyType = string | symbol;
declare var EAISenseNotifyType = { OnEveryPerception:'OnEveryPerception',OnPerceptionChange:'OnPerceptionChange', };
declare class AISenseEvent extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISenseEvent;
	static Find(Outer: UObject, ResourceName: string): AISenseEvent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISenseEvent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseEvent;
	static C(Other: UObject): AISenseEvent;
}

declare class AIStimulus { 
	Age: number;
	ExpirationAge: number;
	Strength: number;
	StimulusLocation: Vector;
	ReceiverLocation: Vector;
	Tag: string;
	bSuccessfullySensed: boolean;
	clone() : AIStimulus;
	static C(Other: UObject): AIStimulus;
}

declare class AIPerceptionSystem extends UObject { 
	Senses: AISense[];
	PerceptionAgingRate: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AIPerceptionSystem;
	static Find(Outer: UObject, ResourceName: string): AIPerceptionSystem;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AIPerceptionSystem;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIPerceptionSystem;
	static ReportPerceptionEvent(WorldContext: UObject,PerceptionEvent: AISenseEvent): void;
	ReportEvent(PerceptionEvent: AISenseEvent): void;
	static RegisterPerceptionStimuliSource(WorldContext: UObject,Sense: UnrealEngineClass,Target: Actor): boolean;
	OnPerceptionStimuliSourceEndPlay(Actor: Actor,EndPlayReason: EEndPlayReason): void;
	static GetSenseClassForStimulus(WorldContext: UObject,Stimulus: AIStimulus): UnrealEngineClass;
	static C(Other: UObject): AIPerceptionSystem;
}

declare class AISense extends UObject { 
	DefaultExpirationAge: number;
	NotifyType: EAISenseNotifyType;
	bWantsNewPawnNotification: boolean;
	bAutoRegisterAllPawnsAsSources: boolean;
	PerceptionSystemInstance: AIPerceptionSystem;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISense;
	static Find(Outer: UObject, ResourceName: string): AISense;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISense;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense;
	static C(Other: UObject): AISense;
}

declare class ActorPerceptionBlueprintInfo { 
	Target: Actor;
	LastSensedStimuli: AIStimulus[];
	bIsHostile: boolean;
	clone() : ActorPerceptionBlueprintInfo;
	static C(Other: UObject): ActorPerceptionBlueprintInfo;
}

declare class AIPerceptionComponent extends ActorComponent { 
	HearingRange: number;
	LoSHearingRange: number;
	SightRadius: number;
	LoseSightRadius: number;
	PeripheralVisionAngle: number;
	SensesConfig: AISenseConfig[];
	DominantSense: UnrealEngineClass;
	AIOwner: AIController;
	OnPerceptionUpdated: UnrealEngineMulticastDelegate<(UpdatedActors: Actor[]) => void>;
	OnTargetPerceptionUpdated: UnrealEngineMulticastDelegate<(Actor: Actor, Stimulus: AIStimulus) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AIPerceptionComponent;
	static Find(Outer: UObject, ResourceName: string): AIPerceptionComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AIPerceptionComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIPerceptionComponent;
	RequestStimuliListenerUpdate(): void;
	OnOwnerEndPlay(Actor: Actor,EndPlayReason: EEndPlayReason): void;
	GetPerceivedHostileActors(OutActors?: Actor[]): {OutActors: Actor[]};
	GetPerceivedActors(SenseToUse: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
	GetActorsPerception(Actor: Actor,Info?: ActorPerceptionBlueprintInfo): {Info: ActorPerceptionBlueprintInfo, $: boolean};
	static C(Other: UObject): AIPerceptionComponent;
}

declare type EAIRequestPriority = string | symbol;
declare var EAIRequestPriority = { SoftScript:'SoftScript',Logic:'Logic',HardScript:'HardScript',Reaction:'Reaction',Ultimate:'Ultimate',MAX:'MAX', };
declare type EPawnActionResult = string | symbol;
declare var EPawnActionResult = { NotStarted:'NotStarted',InProgress:'InProgress',Success:'Success',Failed:'Failed',Aborted:'Aborted', };
declare class PawnAction extends UObject { 
	ChildAction: PawnAction;
	ParentAction: PawnAction;
	OwnerComponent: PawnActionsComponent;
	Instigator: UObject;
	BrainComp: BrainComponent;
	bAllowNewSameClassInstance: boolean;
	bReplaceActiveSameClassInstance: boolean;
	bShouldPauseMovement: boolean;
	bAlwaysNotifyOnFinished: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PawnAction;
	static Find(Outer: UObject, ResourceName: string): PawnAction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PawnAction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction;
	GetActionPriority(): EAIRequestPriority;
	Finish(WithResult: EPawnActionResult): void;
	static CreateActionInstance(WorldContextObject: UObject,ActionClass: UnrealEngineClass): PawnAction;
	static C(Other: UObject): PawnAction;
}

declare class PawnActionStack { 
	TopAction: PawnAction;
	clone() : PawnActionStack;
	static C(Other: UObject): PawnActionStack;
}

declare class PawnActionEvent { 
	Action: PawnAction;
	clone() : PawnActionEvent;
	static C(Other: UObject): PawnActionEvent;
}

declare type EPawnActionAbortState = string | symbol;
declare var EPawnActionAbortState = { NeverStarted:'NeverStarted',NotBeingAborted:'NotBeingAborted',MarkPendingAbort:'MarkPendingAbort',LatentAbortInProgress:'LatentAbortInProgress',AbortDone:'AbortDone',MAX:'MAX', };
declare class PawnActionsComponent extends ActorComponent { 
	ControlledPawn: Pawn;
	ActionStacks: PawnActionStack[];
	ActionEvents: PawnActionEvent[];
	CurrentAction: PawnAction;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PawnActionsComponent;
	static Find(Outer: UObject, ResourceName: string): PawnActionsComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PawnActionsComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnActionsComponent;
	PushAction(NewAction: PawnAction,Priority: EAIRequestPriority,Instigator: UObject): boolean;
	static PerformAction(Pawn: Pawn,Action: PawnAction,Priority: EAIRequestPriority): boolean;
	ForceAbortAction(ActionToAbort: PawnAction): EPawnActionAbortState;
	AbortAction(ActionToAbort: PawnAction): EPawnActionAbortState;
	static C(Other: UObject): PawnActionsComponent;
}

declare class GameplayTask extends UObject { 
	InstanceName: string;
	ChildTask: GameplayTask;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayTask;
	static Find(Outer: UObject, ResourceName: string): GameplayTask;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayTask;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTask;
	ReadyForActivation(): void;
	EndTask(): void;
	static C(Other: UObject): GameplayTask;
}

declare class GameplayResourceSet { 
	clone() : GameplayResourceSet;
	static C(Other: UObject): GameplayResourceSet;
}

declare class GameplayTasksComponent extends ActorComponent { 
	SimulatedTasks: GameplayTask[];
	TaskPriorityQueue: GameplayTask[];
	TickingTasks: GameplayTask[];
	OnClaimedResourcesChange: UnrealEngineMulticastDelegate<(NewlyClaimed: GameplayResourceSet, FreshlyReleased: GameplayResourceSet) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayTasksComponent;
	static Find(Outer: UObject, ResourceName: string): GameplayTasksComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayTasksComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTasksComponent;
	OnRep_SimulatedTasks(): void;
	static C(Other: UObject): GameplayTasksComponent;
}

declare type EPathFollowingRequestResult = string | symbol;
declare var EPathFollowingRequestResult = { Failed:'Failed',AlreadyAtGoal:'AlreadyAtGoal',RequestSuccessful:'RequestSuccessful', };
declare type EPathFollowingStatus = string | symbol;
declare var EPathFollowingStatus = { Idle:'Idle',Waiting:'Waiting',Paused:'Paused',Moving:'Moving', };
declare class AIController extends Controller { 
	bStopAILogicOnUnposses: boolean;
	bLOSflag: boolean;
	bSkipExtraLOSChecks: boolean;
	bAllowStrafe: boolean;
	bWantsPlayerState: boolean;
	bSetControlRotationFromPawnOrientation: boolean;
	PathFollowingComponent: PathFollowingComponent;
	BrainComponent: BrainComponent;
	PerceptionComponent: AIPerceptionComponent;
	ActionsComp: PawnActionsComponent;
	Blackboard: BlackboardComponent;
	CachedGameplayTasksComponent: GameplayTasksComponent;
	ReceiveMoveCompleted: UnrealEngineMulticastDelegate<(RequestID: AIRequestID, Result: EPathFollowingResult) => void>;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AIController;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIController;
	UseBlackboard(BlackboardAsset: BlackboardData,BlackboardComponent?: BlackboardComponent): {BlackboardComponent: BlackboardComponent, $: boolean};
	SetMoveBlockDetection(bEnable: boolean): void;
	RunBehaviorTree(BTAsset: BehaviorTree): boolean;
	OnUsingBlackBoard(BlackboardComp: BlackboardComponent,BlackboardAsset: BlackboardData): void;
	OnUnpossess(UnpossessedPawn: Pawn): void;
	OnPossess(PossessedPawn: Pawn): void;
	OnGameplayTaskResourcesClaimed(NewlyClaimed: GameplayResourceSet,FreshlyReleased: GameplayResourceSet): void;
	MoveToLocation(Dest: Vector,AcceptanceRadius: number,bStopOnOverlap: boolean,bUsePathfinding: boolean,bProjectDestinationToNavigation: boolean,bCanStrafe: boolean,FilterClass: UnrealEngineClass,bAllowPartialPath: boolean): EPathFollowingRequestResult;
	MoveToActor(Goal: Actor,AcceptanceRadius: number,bStopOnOverlap: boolean,bUsePathfinding: boolean,bCanStrafe: boolean,FilterClass: UnrealEngineClass,bAllowPartialPath: boolean): EPathFollowingRequestResult;
	SetFocus(NewFocus: Actor): void;
	SetFocalPoint(FP: Vector): void;
	ClearFocus(): void;
	HasPartialPath(): boolean;
	GetPathFollowingComponent(): PathFollowingComponent;
	GetMoveStatus(): EPathFollowingStatus;
	GetImmediateMoveDestination(): Vector;
	GetFocusActor(): Actor;
	GetFocalPointOnActor(Actor: Actor): Vector;
	GetFocalPoint(): Vector;
	GetAIPerceptionComponent(): AIPerceptionComponent;
	static C(Other: UObject): AIController;
}

declare class BrainComponent extends ActorComponent { 
	BlackboardComp: BlackboardComponent;
	AIOwner: AIController;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BrainComponent;
	static Find(Outer: UObject, ResourceName: string): BrainComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BrainComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BrainComponent;
	StopLogic(Reason: string): void;
	RestartLogic(): void;
	static C(Other: UObject): BrainComponent;
}

declare type EGameplayTagMatchType = string | symbol;
declare var EGameplayTagMatchType = { Explicit:'Explicit',IncludeParentTags:'IncludeParentTags', };
declare class GameplayTag { 
	TagName: string;
	clone() : GameplayTag;
	static C(Other: UObject): GameplayTag;
	DoGameplayTagsMatch(TagTwo: GameplayTag,TagOneMatchType: EGameplayTagMatchType,TagTwoMatchType: EGameplayTagMatchType): boolean;
	MakeLiteralGameplayTag(): GameplayTag;
	NotEqual_TagTag(B: string): boolean;
	static DoGameplayTagsMatch(TagOne: GameplayTag,TagTwo: GameplayTag,TagOneMatchType: EGameplayTagMatchType,TagTwoMatchType: EGameplayTagMatchType): boolean;
	static MakeLiteralGameplayTag(Value: GameplayTag): GameplayTag;
	static NotEqual_TagTag(A: GameplayTag,B: string): boolean;
}

declare class BehaviorTreeComponent extends BrainComponent { 
	NodeInstances: BTNode[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BehaviorTreeComponent;
	static Find(Outer: UObject, ResourceName: string): BehaviorTreeComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BehaviorTreeComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BehaviorTreeComponent;
	SetDynamicSubtree(InjectTag: GameplayTag,BehaviorAsset: BehaviorTree): void;
	GetTagCooldownEndTime(CooldownTag: GameplayTag): number;
	AddCooldownTagDuration(CooldownTag: GameplayTag,CooldownDuration: number,bAddToExistingDuration: boolean): void;
	static C(Other: UObject): BehaviorTreeComponent;
}

declare class BTNode extends UObject { 
	NodeName: string;
	TreeAsset: BehaviorTree;
	ParentNode: BTCompositeNode;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTNode;
	static Find(Outer: UObject, ResourceName: string): BTNode;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTNode;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTNode;
	static C(Other: UObject): BTNode;
	ClearBlackboardValue(Key: BlackboardKeySelector): void;
	ClearBlackboardValueAsVector(Key: BlackboardKeySelector): void;
	GetBlackboardValueAsActor(Key: BlackboardKeySelector): Actor;
	GetBlackboardValueAsBool(Key: BlackboardKeySelector): boolean;
	GetBlackboardValueAsClass(Key: BlackboardKeySelector): UnrealEngineClass;
	GetBlackboardValueAsEnum(Key: BlackboardKeySelector): number;
	GetBlackboardValueAsFloat(Key: BlackboardKeySelector): number;
	GetBlackboardValueAsInt(Key: BlackboardKeySelector): number;
	GetBlackboardValueAsName(Key: BlackboardKeySelector): string;
	GetBlackboardValueAsObject(Key: BlackboardKeySelector): UObject;
	GetBlackboardValueAsRotator(Key: BlackboardKeySelector): Rotator;
	GetBlackboardValueAsString(Key: BlackboardKeySelector): string;
	GetBlackboardValueAsVector(Key: BlackboardKeySelector): Vector;
	GetOwnerComponent(): BehaviorTreeComponent;
	GetOwnersBlackboard(): BlackboardComponent;
	SetBlackboardValueAsBool(Key: BlackboardKeySelector,Value: boolean): void;
	SetBlackboardValueAsClass(Key: BlackboardKeySelector,Value: UnrealEngineClass): void;
	SetBlackboardValueAsEnum(Key: BlackboardKeySelector,Value: number): void;
	SetBlackboardValueAsFloat(Key: BlackboardKeySelector,Value: number): void;
	SetBlackboardValueAsInt(Key: BlackboardKeySelector,Value: number): void;
	SetBlackboardValueAsName(Key: BlackboardKeySelector,Value: string): void;
	SetBlackboardValueAsObject(Key: BlackboardKeySelector,Value: UObject): void;
	SetBlackboardValueAsRotator(Key: BlackboardKeySelector,Value: Rotator): void;
	SetBlackboardValueAsString(Key: BlackboardKeySelector,Value: string): void;
	SetBlackboardValueAsVector(Key: BlackboardKeySelector,Value: Vector): void;
	StartUsingExternalEvent(OwningActor: Actor): void;
	StopUsingExternalEvent(): void;
	static ClearBlackboardValue(NodeOwner: BTNode,Key: BlackboardKeySelector): void;
	static ClearBlackboardValueAsVector(NodeOwner: BTNode,Key: BlackboardKeySelector): void;
	static GetBlackboardValueAsActor(NodeOwner: BTNode,Key: BlackboardKeySelector): Actor;
	static GetBlackboardValueAsBool(NodeOwner: BTNode,Key: BlackboardKeySelector): boolean;
	static GetBlackboardValueAsClass(NodeOwner: BTNode,Key: BlackboardKeySelector): UnrealEngineClass;
	static GetBlackboardValueAsEnum(NodeOwner: BTNode,Key: BlackboardKeySelector): number;
	static GetBlackboardValueAsFloat(NodeOwner: BTNode,Key: BlackboardKeySelector): number;
	static GetBlackboardValueAsInt(NodeOwner: BTNode,Key: BlackboardKeySelector): number;
	static GetBlackboardValueAsName(NodeOwner: BTNode,Key: BlackboardKeySelector): string;
	static GetBlackboardValueAsObject(NodeOwner: BTNode,Key: BlackboardKeySelector): UObject;
	static GetBlackboardValueAsRotator(NodeOwner: BTNode,Key: BlackboardKeySelector): Rotator;
	static GetBlackboardValueAsString(NodeOwner: BTNode,Key: BlackboardKeySelector): string;
	static GetBlackboardValueAsVector(NodeOwner: BTNode,Key: BlackboardKeySelector): Vector;
	static GetOwnerComponent(NodeOwner: BTNode): BehaviorTreeComponent;
	static GetOwnersBlackboard(NodeOwner: BTNode): BlackboardComponent;
	static SetBlackboardValueAsBool(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: boolean): void;
	static SetBlackboardValueAsClass(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: UnrealEngineClass): void;
	static SetBlackboardValueAsEnum(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: number): void;
	static SetBlackboardValueAsFloat(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: number): void;
	static SetBlackboardValueAsInt(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: number): void;
	static SetBlackboardValueAsName(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: string): void;
	static SetBlackboardValueAsObject(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: UObject): void;
	static SetBlackboardValueAsRotator(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: Rotator): void;
	static SetBlackboardValueAsString(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: string): void;
	static SetBlackboardValueAsVector(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: Vector): void;
	static StartUsingExternalEvent(NodeOwner: BTNode,OwningActor: Actor): void;
	static StopUsingExternalEvent(NodeOwner: BTNode): void;
}

declare class BTAuxiliaryNode extends BTNode { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTAuxiliaryNode;
	static Find(Outer: UObject, ResourceName: string): BTAuxiliaryNode;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTAuxiliaryNode;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTAuxiliaryNode;
	static C(Other: UObject): BTAuxiliaryNode;
}

declare class BTService extends BTAuxiliaryNode { 
	Interval: number;
	RandomDeviation: number;
	bCallTickOnSearchStart: boolean;
	bRestartTimerOnEachActivation: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTService;
	static Find(Outer: UObject, ResourceName: string): BTService;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTService;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTService;
	static C(Other: UObject): BTService;
}

declare class BTTaskNode extends BTNode { 
	Services: BTService[];
	bIgnoreRestartSelf: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTaskNode;
	static Find(Outer: UObject, ResourceName: string): BTTaskNode;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTaskNode;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTaskNode;
	static C(Other: UObject): BTTaskNode;
}

declare type EBTFlowAbortMode = string | symbol;
declare var EBTFlowAbortMode = { None:'None',LowerPriority:'LowerPriority',Self:'Self',Both:'Both', };
declare class BTDecorator extends BTAuxiliaryNode { 
	bInverseCondition: boolean;
	FlowAbortMode: EBTFlowAbortMode;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator;
	static Find(Outer: UObject, ResourceName: string): BTDecorator;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator;
	static C(Other: UObject): BTDecorator;
}

declare type EBTDecoratorLogic = string | symbol;
declare var EBTDecoratorLogic = { Invalid:'Invalid',Test:'Test',And:'And',Or:'Or',Not:'Not', };
declare class BTDecoratorLogic { 
	Operation: EBTDecoratorLogic;
	Number: any;
	clone() : BTDecoratorLogic;
	static C(Other: UObject): BTDecoratorLogic;
}

declare class BTCompositeChild { 
	ChildComposite: BTCompositeNode;
	ChildTask: BTTaskNode;
	Decorators: BTDecorator[];
	DecoratorOps: BTDecoratorLogic[];
	clone() : BTCompositeChild;
	static C(Other: UObject): BTCompositeChild;
}

declare class BTCompositeNode extends BTNode { 
	Children: BTCompositeChild[];
	Services: BTService[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTCompositeNode;
	static Find(Outer: UObject, ResourceName: string): BTCompositeNode;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTCompositeNode;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTCompositeNode;
	static C(Other: UObject): BTCompositeNode;
}

declare class BehaviorTree extends UObject { 
	RootNode: BTCompositeNode;
	BTGraph: EdGraph;
	LastEditedDocuments: EditedDocumentInfo[];
	BlackboardAsset: BlackboardData;
	RootDecorators: BTDecorator[];
	RootDecoratorOps: BTDecoratorLogic[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BehaviorTree;
	static Find(Outer: UObject, ResourceName: string): BehaviorTree;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BehaviorTree;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BehaviorTree;
	static C(Other: UObject): BehaviorTree;
}

declare type ENiagaraDataType = string | symbol;
declare var ENiagaraDataType = { Scalar:'Scalar',Vector:'Vector',Matrix:'Matrix',Curve:'Curve', };
declare class NiagaraVariableInfo { 
	Name: string;
	Type: ENiagaraDataType;
	clone() : NiagaraVariableInfo;
	static C(Other: UObject): NiagaraVariableInfo;
}

declare class Vector4 { 
	X: number;
	Y: number;
	Z: number;
	W: number;
	clone() : Vector4;
	static C(Other: UObject): Vector4;
}

declare class DeprecatedNiagaraConstants { 
	ScalarConstantsInfo: NiagaraVariableInfo[];
	VectorConstantsInfo: NiagaraVariableInfo[];
	MatrixConstantsInfo: NiagaraVariableInfo[];
	ScalarConstants: number[];
	VectorConstants: Vector4[];
	MatrixConstants: Matrix[];
	clone() : DeprecatedNiagaraConstants;
	static C(Other: UObject): DeprecatedNiagaraConstants;
}

declare class NiagaraConstantBase { 
	Name: string;
	clone() : NiagaraConstantBase;
	static C(Other: UObject): NiagaraConstantBase;
}

declare class NiagaraConstants_Float extends NiagaraConstantBase { 
	Value: number;
	clone() : NiagaraConstants_Float;
	static C(Other: UObject): NiagaraConstants_Float;
}

declare class NiagaraConstants_Vector extends NiagaraConstantBase { 
	Value: Vector4;
	clone() : NiagaraConstants_Vector;
	static C(Other: UObject): NiagaraConstants_Vector;
}

declare class NiagaraConstants_Matrix extends NiagaraConstantBase { 
	Value: Matrix;
	clone() : NiagaraConstants_Matrix;
	static C(Other: UObject): NiagaraConstants_Matrix;
}

declare class NiagaraDataObject extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NiagaraDataObject;
	static Find(Outer: UObject, ResourceName: string): NiagaraDataObject;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraDataObject;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraDataObject;
	static C(Other: UObject): NiagaraDataObject;
}

declare class NiagaraConstants_DataObject extends NiagaraConstantBase { 
	Value: NiagaraDataObject;
	clone() : NiagaraConstants_DataObject;
	static C(Other: UObject): NiagaraConstants_DataObject;
}

declare class NiagaraConstants { 
	ScalarConstants: NiagaraConstants_Float[];
	VectorConstants: NiagaraConstants_Vector[];
	MatrixConstants: NiagaraConstants_Matrix[];
	DataObjectConstants: NiagaraConstants_DataObject[];
	clone() : NiagaraConstants;
	static C(Other: UObject): NiagaraConstants;
}

declare class NiagaraScriptConstantData { 
	ExternalConstants: DeprecatedNiagaraConstants;
	InternalConstants: DeprecatedNiagaraConstants;
	ExternalConstantsNew: NiagaraConstants;
	InternalConstantsNew: NiagaraConstants;
	clone() : NiagaraScriptConstantData;
	static C(Other: UObject): NiagaraScriptConstantData;
}

declare type ENiagaraDataSetType = string | symbol;
declare var ENiagaraDataSetType = { ParticleData:'ParticleData',Shared:'Shared',Event:'Event', };
declare class NiagaraDataSetID { 
	Name: string;
	Type: ENiagaraDataSetType;
	clone() : NiagaraDataSetID;
	static C(Other: UObject): NiagaraDataSetID;
}

declare class NiagaraDataSetProperties { 
	ID: NiagaraDataSetID;
	Variables: NiagaraVariableInfo[];
	clone() : NiagaraDataSetProperties;
	static C(Other: UObject): NiagaraDataSetProperties;
}

declare class NiagaraScriptUsageInfo { 
	bReadsAttriubteData: boolean;
	clone() : NiagaraScriptUsageInfo;
	static C(Other: UObject): NiagaraScriptUsageInfo;
}

declare class NiagaraScriptSourceBase extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NiagaraScriptSourceBase;
	static Find(Outer: UObject, ResourceName: string): NiagaraScriptSourceBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraScriptSourceBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraScriptSourceBase;
	static C(Other: UObject): NiagaraScriptSourceBase;
}

declare class NiagaraScript extends UObject { 
	ByteCode: number[];
	ConstantData: NiagaraScriptConstantData;
	Attributes: NiagaraVariableInfo[];
	EventReceivers: NiagaraDataSetProperties[];
	EventGenerators: NiagaraDataSetProperties[];
	Usage: NiagaraScriptUsageInfo;
	Source: NiagaraScriptSourceBase;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NiagaraScript;
	static Find(Outer: UObject, ResourceName: string): NiagaraScript;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraScript;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraScript;
	static C(Other: UObject): NiagaraScript;
}

declare type EEmitterRenderModuleType = string | symbol;
declare var EEmitterRenderModuleType = { RMT_None:'RMT_None',RMT_Sprites:'RMT_Sprites',RMT_Ribbon:'RMT_Ribbon',RMT_Trails:'RMT_Trails',RMT_Meshes:'RMT_Meshes', };
declare class NiagaraEffectRendererProperties extends UObject { 
	dummy: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NiagaraEffectRendererProperties;
	static Find(Outer: UObject, ResourceName: string): NiagaraEffectRendererProperties;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraEffectRendererProperties;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraEffectRendererProperties;
	static C(Other: UObject): NiagaraEffectRendererProperties;
}

declare class NiagaraConstantMap { 
	clone() : NiagaraConstantMap;
	static C(Other: UObject): NiagaraConstantMap;
}

declare class DeprecatedNiagaraEmitterProperties { 
	Name: string;
	bIsEnabled: boolean;
	SpawnRate: number;
	UpdateScript: NiagaraScript;
	SpawnScript: NiagaraScript;
	Material: Material;
	RenderModuleType: EEmitterRenderModuleType;
	StartTime: number;
	EndTime: number;
	RendererProperties: NiagaraEffectRendererProperties;
	ExternalConstants: NiagaraConstantMap;
	ExternalSpawnConstants: NiagaraConstantMap;
	NumLoops: number;
	clone() : DeprecatedNiagaraEmitterProperties;
	static C(Other: UObject): DeprecatedNiagaraEmitterProperties;
}

declare class NiagaraEventReceiverEmitterAction extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NiagaraEventReceiverEmitterAction;
	static Find(Outer: UObject, ResourceName: string): NiagaraEventReceiverEmitterAction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraEventReceiverEmitterAction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraEventReceiverEmitterAction;
	static C(Other: UObject): NiagaraEventReceiverEmitterAction;
}

declare class NiagaraEventReceiverProperties { 
	Name: string;
	SourceEventGenerator: string;
	SourceEmitter: string;
	EmitterActions: NiagaraEventReceiverEmitterAction[];
	clone() : NiagaraEventReceiverProperties;
	static C(Other: UObject): NiagaraEventReceiverProperties;
}

declare class NiagaraEventGeneratorProperties extends NiagaraDataSetProperties { 
	MaxEventsPerFrame: number;
	clone() : NiagaraEventGeneratorProperties;
	static C(Other: UObject): NiagaraEventGeneratorProperties;
}

declare class NiagaraEmitterScriptProperties { 
	Script: NiagaraScript;
	ExternalConstants: NiagaraConstants;
	EventReceivers: NiagaraEventReceiverProperties[];
	EventGenerators: NiagaraEventGeneratorProperties[];
	clone() : NiagaraEmitterScriptProperties;
	static C(Other: UObject): NiagaraEmitterScriptProperties;
}

declare class NiagaraEmitterProperties extends UObject { 
	EmitterName: string;
	bIsEnabled: boolean;
	SpawnRate: number;
	Material: Material;
	RenderModuleType: EEmitterRenderModuleType;
	StartTime: number;
	EndTime: number;
	RendererProperties: NiagaraEffectRendererProperties;
	NumLoops: number;
	UpdateScriptProps: NiagaraEmitterScriptProperties;
	SpawnScriptProps: NiagaraEmitterScriptProperties;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NiagaraEmitterProperties;
	static Find(Outer: UObject, ResourceName: string): NiagaraEmitterProperties;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraEmitterProperties;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraEmitterProperties;
	static C(Other: UObject): NiagaraEmitterProperties;
}

declare class NiagaraComponent extends PrimitiveComponent { 
	Asset: NiagaraEffect;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NiagaraComponent;
	static Find(Outer: UObject, ResourceName: string): NiagaraComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraComponent;
	static C(Other: UObject): NiagaraComponent;
	SetUpdateScriptConstant(EmitterName: string,ConstantName: string,Value: Vector): void;
	static SetUpdateScriptConstant(Component: NiagaraComponent,EmitterName: string,ConstantName: string,Value: Vector): void;
}

declare class NiagaraEffect extends UObject { 
	EmitterPropsSerialized: DeprecatedNiagaraEmitterProperties[];
	EmitterProps: NiagaraEmitterProperties[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NiagaraEffect;
	static Find(Outer: UObject, ResourceName: string): NiagaraEffect;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraEffect;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraEffect;
	static C(Other: UObject): NiagaraEffect;
	SpawnEffectAttached(AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bAutoDestroy: boolean): NiagaraComponent;
	static SpawnEffectAttached(EffectTemplate: NiagaraEffect,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bAutoDestroy: boolean): NiagaraComponent;
}

declare class World extends UObject { 
	Layers: Layer[];
	ActiveGroupActors: Actor[];
	ThumbnailInfo: ThumbnailInfo;
	PersistentLevel: Level;
	NetDriver: NetDriver;
	LineBatcher: LineBatchComponent;
	PersistentLineBatcher: LineBatchComponent;
	ForegroundLineBatcher: LineBatchComponent;
	GameState: GameState;
	NetworkManager: GameNetworkManager;
	PhysicsCollisionHandler: PhysicsCollisionHandler;
	ExtraReferencedObjects: UObject[];
	PerModuleDataObjects: UObject[];
	StreamingLevels: LevelStreaming[];
	StreamingLevelsPrefix: string;
	CurrentLevelPendingVisibility: Level;
	DemoNetDriver: DemoNetDriver;
	MyParticleEventManager: ParticleEventManager;
	DefaultPhysicsVolume: PhysicsVolume;
	NavigationSystem: NavigationSystem;
	AuthorityGameMode: GameMode;
	AISystem: AISystemBase;
	AvoidanceManager: AvoidanceManager;
	Levels: Level[];
	CurrentLevel: Level;
	OwningGameInstance: GameInstance;
	ParameterCollectionInstances: MaterialParameterCollectionInstance[];
	EditorViews: LevelViewportInfo[];
	SelectedLevels: Level[];
	WorldComposition: WorldComposition;
	bAreConstraintsDirty: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): World;
	static Find(Outer: UObject, ResourceName: string): World;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): World;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): World;
	static C(Other: UObject): World;
	EditorDestroyActor(Actor: Actor,bShouldModifyLevel: boolean): boolean;
	GetDefaultBrush(): Brush;
	InvalidateModelGeometry(InLevel: Level): void;
	GetAllActorsOfClassAndTags(ActorClass: UnrealEngineClass,Tags_Accept: string[],Tags_Deny: string[],OutActors?: Actor[]): {OutActors: Actor[]};
	GetLevels(): Level[];
	GetModel(): Model;
	IsGameWorld(): boolean;
	IsPlayInEditor(): boolean;
	IsPlayInPreview(): boolean;
	RunAllFunctionalTests(bNewLog: boolean,bRunLooped: boolean,bWaitForNavigationBuildFinish: boolean,FailedTestsReproString: string): boolean;
	GetIsMyTurn(PlayerController: PlayerController,MatchID: string,bIsMyTurn?: boolean): {bIsMyTurn: boolean};
	GetMyPlayerIndex(PlayerController: PlayerController,MatchID: string,PlayerIndex?: number): {PlayerIndex: number};
	GetPlayerDisplayName(PlayerController: PlayerController,MatchID: string,PlayerIndex: number,PlayerDisplayName?: string): {PlayerDisplayName: string};
	RegisterTurnBasedMatchInterfaceObject(PlayerController: PlayerController,UObject: UObject): void;
	GetCachedAchievementDescription(PlayerController: PlayerController,AchievementID: string,bFoundID?: boolean,Title?: string,LockedDescription?: string,UnlockedDescription?: string,bHidden?: boolean): {bFoundID: boolean, Title: string, LockedDescription: string, UnlockedDescription: string, bHidden: boolean};
	GetCachedAchievementProgress(PlayerController: PlayerController,AchievementID: string,bFoundID?: boolean,Progress?: number): {bFoundID: boolean, Progress: number};
	LogBoxShape(BoxShape: Box,Text: string,ObjectColor: LinearColor,LogCategory: string): void;
	LogLocation(Location: Vector,Text: string,ObjectColor: LinearColor,Radius: number,LogCategory: string): void;
	LogText(Text: string,LogCategory: string): void;
	BoxOverlapActors_DEPRECATED(BoxPos: Vector,BoxExtent: Vector,Filter: EOverlapFilterOption,ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	BoxOverlapActors(BoxPos: Vector,BoxExtent: Vector,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	BoxOverlapComponents_DEPRECATED(BoxPos: Vector,Extent: Vector,Filter: EOverlapFilterOption,ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	BoxOverlapComponents(BoxPos: Vector,Extent: Vector,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	MultiBoxTraceByChannel(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	MultiBoxTraceForObjects(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	BoxTraceByChannel(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	BoxTraceForObjects(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	CapsuleOverlapActors_DEPRECATED(CapsulePos: Vector,Radius: number,HalfHeight: number,Filter: EOverlapFilterOption,ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	CapsuleOverlapActors(CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	CapsuleOverlapComponents_DEPRECATED(CapsulePos: Vector,Radius: number,HalfHeight: number,Filter: EOverlapFilterOption,ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	CapsuleOverlapComponents(CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	MultiCapsuleTraceByChannelDeprecated(Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ECollisionChannel,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	MultiCapsuleTraceByChannel(Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	MultiCapsuleTraceByObjectDeprecated(Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectsToTrace: ECollisionChannel[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	MultiCapsuleTraceForObjects(Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	SingleCapsuleTraceByChannelDeprecated(Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ECollisionChannel,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	CapsuleTraceByChannel(Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	SingleCapsuleTraceByObjectDeprecated(Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectsToTrace: ECollisionChannel[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	CapsuleTraceForObjects(Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	Delay(Duration: number,LatentInfo: LatentActionInfo): void;
	DrawDebugArrow(LineStart: Vector,LineEnd: Vector,ArrowSize: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
	DrawDebugBox(Center: Vector,Extent: Vector,LineColor: LinearColor,Rotation: Rotator,Duration: number,Thickness: number): void;
	DrawDebugCapsule(Center: Vector,HalfHeight: number,Radius: number,Rotation: Rotator,LineColor: LinearColor,Duration: number,Thickness: number): void;
	DrawDebugCircle(Center: Vector,Radius: number,NumSegments: number,LineColor: LinearColor,Duration: number,Thickness: number,YAxis: Vector,ZAxis: Vector,bDrawAxis: boolean): void;
	DrawDebugCone(Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
	DrawDebugCone(Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
	DrawDebugCoordinateSystem(AxisLoc: Vector,AxisRot: Rotator,Scale: number,Duration: number,Thickness: number): void;
	DrawDebugCylinder(Start: Vector,End: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
	DrawDebugFloatHistoryLocation(FloatHistory: DebugFloatHistory,DrawLocation: Vector,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
	DrawDebugFloatHistoryTransform(FloatHistory: DebugFloatHistory,DrawTransform: Transform,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
	DrawDebugFrustum(FrustumTransform: Transform,FrustumColor: LinearColor,Duration: number,Thickness: number): void;
	DrawDebugLine(LineStart: Vector,LineEnd: Vector,LineColor: LinearColor,Duration: number,Thickness: number): void;
	DrawDebugPlane(PlaneCoordinates: Plane,Location: Vector,Size: number,PlaneColor: LinearColor,Duration: number): void;
	DrawDebugPoint(Position: Vector,Size: number,PointColor: LinearColor,Duration: number): void;
	DrawDebugSphere(Center: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
	DrawDebugString(TextLocation: Vector,Text: string,TestBaseActor: Actor,TextColor: LinearColor,Duration: number): void;
	ExecuteConsoleCommand(Command: string,SpecificPlayer: PlayerController): void;
	FlushDebugStrings(): void;
	FlushPersistentDebugLines(): void;
	GetGameTimeInSeconds(): number;
	IsDedicatedServer(): boolean;
	IsServer(): boolean;
	ClearandInvalidateTimerbyHandle(Handle?: TimerHandle): {Handle: TimerHandle};
	ClearTimerbyHandle(Handle: TimerHandle): void;
	GetTimerElapsedTimebyHandle(Handle: TimerHandle): number;
	GetTimerRemainingTimebyHandle(Handle: TimerHandle): number;
	IsTimerActivebyHandle(Handle: TimerHandle): boolean;
	IsTimerPausedbyHandle(Handle: TimerHandle): boolean;
	PauseTimerbyHandle(Handle: TimerHandle): void;
	DoesTimerExistbyHandle(Handle: TimerHandle): boolean;
	UnpauseTimerbyHandle(Handle: TimerHandle): void;
	MultiLineTraceByChannelDeprecated(Start: Vector,End: Vector,TraceChannel: ECollisionChannel,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
	MultiLineTraceByChannel(Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
	MultiLineTraceByObjectDeprecated(Start: Vector,End: Vector,ObjectsToTrace: ECollisionChannel[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
	MultiLineTraceForObjects(Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
	SingleLineTraceByChannelDeprecated(Start: Vector,End: Vector,TraceChannel: ECollisionChannel,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
	LineTraceByChannel(Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
	SingleLineTraceByObjectDeprecated(Start: Vector,End: Vector,ObjectsToTrace: ECollisionChannel[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
	LineTraceForObjects(Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
	LoadAsset(Asset: any,OnLoaded: UnrealEngineDelegate<(Loaded: UObject) => void>,LatentInfo: LatentActionInfo): void;
	LoadAssetClass(AssetClass: any,OnLoaded: UnrealEngineDelegate<(Loaded: UnrealEngineClass) => void>,LatentInfo: LatentActionInfo): void;
	PrintString(InString: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
	PrintText(InText: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
	QuitGame(SpecificPlayer: PlayerController,QuitPreference: EQuitPreference): void;
	RetriggerableDelay(Duration: number,LatentInfo: LatentActionInfo): void;
	SetSuppressViewportTransitionMessage(bState: boolean): void;
	SphereOverlapActors_DEPRECATED(SpherePos: Vector,SphereRadius: number,Filter: EOverlapFilterOption,ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	SphereOverlapActors(SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	SphereOverlapComponents_DEPRECATED(SpherePos: Vector,SphereRadius: number,Filter: EOverlapFilterOption,ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	SphereOverlapComponents(SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	MultiSphereTraceByChannelDeprecated(Start: Vector,End: Vector,Radius: number,TraceChannel: ECollisionChannel,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	MultiSphereTraceByChannel(Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	MultiSphereTraceByObjectDeprecated(Start: Vector,End: Vector,Radius: number,ObjectsToTrace: ECollisionChannel[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	MultiSphereTraceForObjects(Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	SingleSphereTraceByChannelDeprecated(Start: Vector,End: Vector,Radius: number,TraceChannel: ECollisionChannel,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	SphereTraceByChannel(Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	SingleSphereTraceByObjectDeprecated(Start: Vector,End: Vector,Radius: number,ObjectsToTrace: ECollisionChannel[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	SphereTraceForObjects(Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	MinimumAreaRectangle(InVerts: Vector[],SampleSurfaceNormal: Vector,OutRectCenter?: Vector,OutRectRotation?: Rotator,OutSideLengthX?: number,OutSideLengthY?: number,bDebugDraw?: boolean): {OutRectCenter: Vector, OutRectRotation: Rotator, OutSideLengthX: number, OutSideLengthY: number};
	CreateDynamicMaterialInstance(Parent: MaterialInterface): MaterialInstanceDynamic;
	GetScalarParameterValue(Collection: MaterialParameterCollection,ParameterName: string): number;
	GetVectorParameterValue(Collection: MaterialParameterCollection,ParameterName: string): LinearColor;
	SetScalarParameterValue(Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: number): void;
	SetVectorParameterValue(Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: LinearColor): void;
	GetWorldToMetersScale(): number;
	SetWorldToMetersScale(NewScale: number): void;
	ActivateReverbEffect(ReverbEffect: ReverbEffect,TagName: string,Priority: number,Volume: number,FadeTime: number): void;
	ApplyRadialDamage(BaseDamage: number,Origin: Vector,DamageRadius: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,bDoFullDamage: boolean,DamagePreventionChannel: ECollisionChannel): boolean;
	ApplyRadialDamageWithFalloff(BaseDamage: number,MinimumDamage: number,Origin: Vector,DamageInnerRadius: number,DamageOuterRadius: number,DamageFalloff: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,DamagePreventionChannel: ECollisionChannel): boolean;
	AreAnyListenersWithinRange(Location: Vector,MaximumRange: number): boolean;
	BeginDeferredActorSpawnFromClass(ActorClass: UnrealEngineClass,SpawnTransform: Transform,CollisionHandlingOverride: ESpawnActorCollisionHandlingMethod,Owner: Actor): Actor;
	BeginSpawningActorFromBlueprint(Blueprint: Blueprint,SpawnTransform: Transform,bNoCollisionFail: boolean): Actor;
	BeginSpawningActorFromClass(ActorClass: UnrealEngineClass,SpawnTransform: Transform,bNoCollisionFail: boolean,Owner: Actor): Actor;
	SuggestProjectileVelocity(TossVelocity?: Vector,StartLocation?: Vector,EndLocation?: Vector,LaunchSpeed?: number,OverrideGravityZ?: number,TraceOption?: ESuggestProjVelocityTraceOption,CollisionRadius?: number,bFavorHighArc?: boolean,bDrawDebug?: boolean): {TossVelocity: Vector, $: boolean};
	ClearSoundMixClassOverride(InSoundMixModifier: SoundMix,InSoundClass: SoundClass,FadeOutTime: number): void;
	ClearSoundMixModifiers(): void;
	CreatePlayer(ControllerId: number,bSpawnPawn: boolean): PlayerController;
	CreateSound2D(Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency): AudioComponent;
	DeactivateReverbEffect(TagName: string): void;
	FlushLevelStreaming(): void;
	GetAccurateRealTime(Seconds?: number,PartialSeconds?: number): {Seconds: number, PartialSeconds: number};
	GetAllActorsOfClass(ActorClass: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
	GetAllActorsWithInterface(Interface: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
	GetAudioTimeSeconds(): number;
	GetCurrentLevelName(bRemovePrefixString: boolean): string;
	GetCurrentReverbEffect(): ReverbEffect;
	GetGameInstance(): GameInstance;
	GetGameMode(): GameMode;
	GetGameState(): GameState;
	GetGlobalTimeDilation(): number;
	GetPlayerCameraManager(PlayerIndex: number): PlayerCameraManager;
	GetPlayerCharacter(PlayerIndex: number): Character;
	GetPlayerController(PlayerIndex: number): PlayerController;
	GetPlayerPawn(PlayerIndex: number): Pawn;
	GetRealTimeSeconds(): number;
	GetStreamingLevel(PackageName: string): LevelStreaming;
	GetWorldDeltaSeconds(): number;
	GetWorldOriginLocation(): IntVector;
	GrassOverlappingSphereCount(StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
	IsGamePaused(): boolean;
	LoadStreamLevel(LevelName: string,bMakeVisibleAfterLoad: boolean,bShouldBlockOnLoad: boolean,LatentInfo: LatentActionInfo): void;
	OpenLevel(LevelName: string,bAbsolute: boolean,Options: string): void;
	PlayDialogue2D(Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number): void;
	PlayDialogueAtLocation(Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation): void;
	PlaySound2D(Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency): void;
	PlaySoundAtLocation(Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency): void;
	PlayWorldCameraShake(Shake: UnrealEngineClass,Epicenter: Vector,InnerRadius: number,OuterRadius: number,Falloff: number,bOrientShakeTowardsEpicenter: boolean): void;
	PopSoundMixModifier(InSoundMixModifier: SoundMix): void;
	PushSoundMixModifier(InSoundMixModifier: SoundMix): void;
	SetBaseSoundMix(InSoundMix: SoundMix): void;
	SetGamePaused(bPaused: boolean): boolean;
	SetGlobalListenerFocusParameters(FocusAzimuthScale: number,NonFocusAzimuthScale: number,FocusDistanceScale: number,NonFocusDistanceScale: number,FocusVolumeScale: number,NonFocusVolumeScale: number,FocusPriorityScale: number,NonFocusPriorityScale: number): void;
	SetGlobalPitchModulation(PitchModulation: number,TimeSec: number): void;
	SetGlobalTimeDilation(TimeDilation: number): void;
	SetSoundMixClassOverride(InSoundMixModifier: SoundMix,InSoundClass: SoundClass,Volume: number,Pitch: number,FadeInTime: number,bApplyToChildren: boolean): void;
	SetWorldOriginLocation(NewLocation: IntVector): void;
	SpawnDecalAtLocation(DecalMaterial: MaterialInterface,DecalSize: Vector,Location: Vector,Rotation: Rotator,LifeSpan: number): DecalComponent;
	SpawnDialogue2D(Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number): AudioComponent;
	SpawnDialogueAtLocation(Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation): AudioComponent;
	SpawnEmitterAtLocation(EmitterTemplate: ParticleSystem,Location: Vector,Rotation: Rotator,bAutoDestroy: boolean): ParticleSystemComponent;
	SpawnSound2D(Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency): AudioComponent;
	SpawnSoundAtLocation(Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency): AudioComponent;
	UnloadStreamLevel(LevelName: string,LatentInfo: LatentActionInfo): void;
	FindPathToActorSynchronously(PathStart: Vector,GoalActor: Actor,TetherDistance: number,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
	FindPathToLocationSynchronously(PathStart: Vector,PathEnd: Vector,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
	GetNavigationSystem(): NavigationSystem;
	GetPathCost(PathStart: Vector,PathEnd: Vector,PathCost?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathCost: number, $: ENavigationQueryResult};
	GetPathLength(PathStart: Vector,PathEnd: Vector,PathLength?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathLength: number, $: ENavigationQueryResult};
	GetRandomPoint(NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
	GetRandomPointInNavigableRadius(Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
	GetRandomPointInRadius(Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
	GetRandomReachablePointInRadius(Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
	IsNavigationBeingBuilt(): boolean;
	NavigationRaycast(RayStart: Vector,RayEnd: Vector,HitLocation?: Vector,FilterClass?: UnrealEngineClass,Querier?: Controller): {HitLocation: Vector, $: boolean};
	ProjectPointToNavigation(Point: Vector,NavData: NavigationData,FilterClass: UnrealEngineClass,QueryExtent: Vector): Vector;
	FoliageOverlappingBoxCount(StaticMesh: StaticMesh,Box: Box): number;
	FoliageOverlappingSphereCount(StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
	GetViewportScale(): number;
	GetViewportSize(): Vector2D;
	RemoveAllWidgets(): void;
	CreateWidget(WidgetType: UnrealEngineClass,OwningPlayer: PlayerController): UserWidget;
	GetAllWidgetsOfClass(FoundWidgets?: UserWidget[],WidgetClass?: UnrealEngineClass,TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
	GetAllWidgetsWithInterface(Interface: UnrealEngineClass,FoundWidgets?: UserWidget[],TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
	AbsoluteToViewport(AbsoluteDesktopCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
	LocalToViewport(Geometry: Geometry,LocalCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
	CreateMoveToProxyObject(Pawn: Pawn,Destination: Vector,TargetActor: Actor,AcceptanceRadius: number,bStopOnOverlap: boolean): AIAsyncTaskBlueprintProxy;
	SpawnAIFromClass(PawnClass: UnrealEngineClass,BehaviorTree: BehaviorTree,Location: Vector,Rotation: Rotator,bNoCollisionFail: boolean): Pawn;
	SpawnEffectAtLocation(EffectTemplate: NiagaraEffect,Location: Vector,Rotation: Rotator,bAutoDestroy: boolean): NiagaraComponent;
	static EditorDestroyActor(World: World,Actor: Actor,bShouldModifyLevel: boolean): boolean;
	static GetDefaultBrush(World: World): Brush;
	static InvalidateModelGeometry(World: World,InLevel: Level): void;
	static GetAllActorsOfClassAndTags(WorldContextObject: UObject,ActorClass: UnrealEngineClass,Tags_Accept: string[],Tags_Deny: string[],OutActors?: Actor[]): {OutActors: Actor[]};
	static GetLevels(World: World): Level[];
	static GetModel(World: World): Model;
	static IsGameWorld(World: World): boolean;
	static IsPlayInEditor(World: World): boolean;
	static IsPlayInPreview(World: World): boolean;
	static RunAllFunctionalTests(WorldContext: UObject,bNewLog: boolean,bRunLooped: boolean,bWaitForNavigationBuildFinish: boolean,FailedTestsReproString: string): boolean;
	static GetIsMyTurn(WorldContextObject: UObject,PlayerController: PlayerController,MatchID: string,bIsMyTurn?: boolean): {bIsMyTurn: boolean};
	static GetMyPlayerIndex(WorldContextObject: UObject,PlayerController: PlayerController,MatchID: string,PlayerIndex?: number): {PlayerIndex: number};
	static GetPlayerDisplayName(WorldContextObject: UObject,PlayerController: PlayerController,MatchID: string,PlayerIndex: number,PlayerDisplayName?: string): {PlayerDisplayName: string};
	static RegisterTurnBasedMatchInterfaceObject(WorldContextObject: UObject,PlayerController: PlayerController,UObject: UObject): void;
	static GetCachedAchievementDescription(WorldContextObject: UObject,PlayerController: PlayerController,AchievementID: string,bFoundID?: boolean,Title?: string,LockedDescription?: string,UnlockedDescription?: string,bHidden?: boolean): {bFoundID: boolean, Title: string, LockedDescription: string, UnlockedDescription: string, bHidden: boolean};
	static GetCachedAchievementProgress(WorldContextObject: UObject,PlayerController: PlayerController,AchievementID: string,bFoundID?: boolean,Progress?: number): {bFoundID: boolean, Progress: number};
	static LogBoxShape(WorldContextObject: UObject,BoxShape: Box,Text: string,ObjectColor: LinearColor,LogCategory: string): void;
	static LogLocation(WorldContextObject: UObject,Location: Vector,Text: string,ObjectColor: LinearColor,Radius: number,LogCategory: string): void;
	static LogText(WorldContextObject: UObject,Text: string,LogCategory: string): void;
	static BoxOverlapActors_DEPRECATED(WorldContextObject: UObject,BoxPos: Vector,BoxExtent: Vector,Filter: EOverlapFilterOption,ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	static BoxOverlapActors(WorldContextObject: UObject,BoxPos: Vector,BoxExtent: Vector,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	static BoxOverlapComponents_DEPRECATED(WorldContextObject: UObject,BoxPos: Vector,Extent: Vector,Filter: EOverlapFilterOption,ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	static BoxOverlapComponents(WorldContextObject: UObject,BoxPos: Vector,Extent: Vector,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	static MultiBoxTraceByChannel(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	static MultiBoxTraceForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	static BoxTraceByChannel(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	static BoxTraceForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	static CapsuleOverlapActors_DEPRECATED(WorldContextObject: UObject,CapsulePos: Vector,Radius: number,HalfHeight: number,Filter: EOverlapFilterOption,ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	static CapsuleOverlapActors(WorldContextObject: UObject,CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	static CapsuleOverlapComponents_DEPRECATED(WorldContextObject: UObject,CapsulePos: Vector,Radius: number,HalfHeight: number,Filter: EOverlapFilterOption,ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	static CapsuleOverlapComponents(WorldContextObject: UObject,CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	static MultiCapsuleTraceByChannelDeprecated(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ECollisionChannel,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	static MultiCapsuleTraceByChannel(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	static MultiCapsuleTraceByObjectDeprecated(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectsToTrace: ECollisionChannel[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	static MultiCapsuleTraceForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	static SingleCapsuleTraceByChannelDeprecated(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ECollisionChannel,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	static CapsuleTraceByChannel(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	static SingleCapsuleTraceByObjectDeprecated(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectsToTrace: ECollisionChannel[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	static CapsuleTraceForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	static Delay(WorldContextObject: UObject,Duration: number,LatentInfo: LatentActionInfo): void;
	static DrawDebugArrow(WorldContextObject: UObject,LineStart: Vector,LineEnd: Vector,ArrowSize: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
	static DrawDebugBox(WorldContextObject: UObject,Center: Vector,Extent: Vector,LineColor: LinearColor,Rotation: Rotator,Duration: number,Thickness: number): void;
	static DrawDebugCapsule(WorldContextObject: UObject,Center: Vector,HalfHeight: number,Radius: number,Rotation: Rotator,LineColor: LinearColor,Duration: number,Thickness: number): void;
	static DrawDebugCircle(WorldContextObject: UObject,Center: Vector,Radius: number,NumSegments: number,LineColor: LinearColor,Duration: number,Thickness: number,YAxis: Vector,ZAxis: Vector,bDrawAxis: boolean): void;
	static DrawDebugCone(WorldContextObject: UObject,Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
	static DrawDebugCone(WorldContextObject: UObject,Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
	static DrawDebugCoordinateSystem(WorldContextObject: UObject,AxisLoc: Vector,AxisRot: Rotator,Scale: number,Duration: number,Thickness: number): void;
	static DrawDebugCylinder(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
	static DrawDebugFloatHistoryLocation(WorldContextObject: UObject,FloatHistory: DebugFloatHistory,DrawLocation: Vector,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
	static DrawDebugFloatHistoryTransform(WorldContextObject: UObject,FloatHistory: DebugFloatHistory,DrawTransform: Transform,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
	static DrawDebugFrustum(WorldContextObject: UObject,FrustumTransform: Transform,FrustumColor: LinearColor,Duration: number,Thickness: number): void;
	static DrawDebugLine(WorldContextObject: UObject,LineStart: Vector,LineEnd: Vector,LineColor: LinearColor,Duration: number,Thickness: number): void;
	static DrawDebugPlane(WorldContextObject: UObject,PlaneCoordinates: Plane,Location: Vector,Size: number,PlaneColor: LinearColor,Duration: number): void;
	static DrawDebugPoint(WorldContextObject: UObject,Position: Vector,Size: number,PointColor: LinearColor,Duration: number): void;
	static DrawDebugSphere(WorldContextObject: UObject,Center: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
	static DrawDebugString(WorldContextObject: UObject,TextLocation: Vector,Text: string,TestBaseActor: Actor,TextColor: LinearColor,Duration: number): void;
	static ExecuteConsoleCommand(WorldContextObject: UObject,Command: string,SpecificPlayer: PlayerController): void;
	static FlushDebugStrings(WorldContextObject: UObject): void;
	static FlushPersistentDebugLines(WorldContextObject: UObject): void;
	static GetGameTimeInSeconds(WorldContextObject: UObject): number;
	static IsDedicatedServer(WorldContextObject: UObject): boolean;
	static IsServer(WorldContextObject: UObject): boolean;
	static ClearandInvalidateTimerbyHandle(WorldContextObject: UObject,Handle?: TimerHandle): {Handle: TimerHandle};
	static ClearTimerbyHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
	static GetTimerElapsedTimebyHandle(WorldContextObject: UObject,Handle: TimerHandle): number;
	static GetTimerRemainingTimebyHandle(WorldContextObject: UObject,Handle: TimerHandle): number;
	static IsTimerActivebyHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
	static IsTimerPausedbyHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
	static PauseTimerbyHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
	static DoesTimerExistbyHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
	static UnpauseTimerbyHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
	static MultiLineTraceByChannelDeprecated(WorldContextObject: UObject,Start: Vector,End: Vector,TraceChannel: ECollisionChannel,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
	static MultiLineTraceByChannel(WorldContextObject: UObject,Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
	static MultiLineTraceByObjectDeprecated(WorldContextObject: UObject,Start: Vector,End: Vector,ObjectsToTrace: ECollisionChannel[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
	static MultiLineTraceForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
	static SingleLineTraceByChannelDeprecated(WorldContextObject: UObject,Start: Vector,End: Vector,TraceChannel: ECollisionChannel,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
	static LineTraceByChannel(WorldContextObject: UObject,Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
	static SingleLineTraceByObjectDeprecated(WorldContextObject: UObject,Start: Vector,End: Vector,ObjectsToTrace: ECollisionChannel[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
	static LineTraceForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
	static LoadAsset(WorldContextObject: UObject,Asset: any,OnLoaded: UnrealEngineDelegate<(Loaded: UObject) => void>,LatentInfo: LatentActionInfo): void;
	static LoadAssetClass(WorldContextObject: UObject,AssetClass: any,OnLoaded: UnrealEngineDelegate<(Loaded: UnrealEngineClass) => void>,LatentInfo: LatentActionInfo): void;
	static PrintString(WorldContextObject: UObject,InString: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
	static PrintText(WorldContextObject: UObject,InText: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
	static QuitGame(WorldContextObject: UObject,SpecificPlayer: PlayerController,QuitPreference: EQuitPreference): void;
	static RetriggerableDelay(WorldContextObject: UObject,Duration: number,LatentInfo: LatentActionInfo): void;
	static SetSuppressViewportTransitionMessage(WorldContextObject: UObject,bState: boolean): void;
	static SphereOverlapActors_DEPRECATED(WorldContextObject: UObject,SpherePos: Vector,SphereRadius: number,Filter: EOverlapFilterOption,ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	static SphereOverlapActors(WorldContextObject: UObject,SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	static SphereOverlapComponents_DEPRECATED(WorldContextObject: UObject,SpherePos: Vector,SphereRadius: number,Filter: EOverlapFilterOption,ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	static SphereOverlapComponents(WorldContextObject: UObject,SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	static MultiSphereTraceByChannelDeprecated(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,TraceChannel: ECollisionChannel,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	static MultiSphereTraceByChannel(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	static MultiSphereTraceByObjectDeprecated(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ObjectsToTrace: ECollisionChannel[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	static MultiSphereTraceForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean): {OutHits: HitResult[], $: boolean};
	static SingleSphereTraceByChannelDeprecated(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,TraceChannel: ECollisionChannel,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	static SphereTraceByChannel(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	static SingleSphereTraceByObjectDeprecated(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ObjectsToTrace: ECollisionChannel[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	static SphereTraceForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean): {OutHit: HitResult, $: boolean};
	static MinimumAreaRectangle(WorldContextObject: UObject,InVerts: Vector[],SampleSurfaceNormal: Vector,OutRectCenter?: Vector,OutRectRotation?: Rotator,OutSideLengthX?: number,OutSideLengthY?: number,bDebugDraw?: boolean): {OutRectCenter: Vector, OutRectRotation: Rotator, OutSideLengthX: number, OutSideLengthY: number};
	static CreateDynamicMaterialInstance(WorldContextObject: UObject,Parent: MaterialInterface): MaterialInstanceDynamic;
	static GetScalarParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string): number;
	static GetVectorParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string): LinearColor;
	static SetScalarParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: number): void;
	static SetVectorParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: LinearColor): void;
	static GetWorldToMetersScale(WorldContext: UObject): number;
	static SetWorldToMetersScale(WorldContext: UObject,NewScale: number): void;
	static ActivateReverbEffect(WorldContextObject: UObject,ReverbEffect: ReverbEffect,TagName: string,Priority: number,Volume: number,FadeTime: number): void;
	static ApplyRadialDamage(WorldContextObject: UObject,BaseDamage: number,Origin: Vector,DamageRadius: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,bDoFullDamage: boolean,DamagePreventionChannel: ECollisionChannel): boolean;
	static ApplyRadialDamageWithFalloff(WorldContextObject: UObject,BaseDamage: number,MinimumDamage: number,Origin: Vector,DamageInnerRadius: number,DamageOuterRadius: number,DamageFalloff: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,DamagePreventionChannel: ECollisionChannel): boolean;
	static AreAnyListenersWithinRange(WorldContextObject: UObject,Location: Vector,MaximumRange: number): boolean;
	static BeginDeferredActorSpawnFromClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,SpawnTransform: Transform,CollisionHandlingOverride: ESpawnActorCollisionHandlingMethod,Owner: Actor): Actor;
	static BeginSpawningActorFromBlueprint(WorldContextObject: UObject,Blueprint: Blueprint,SpawnTransform: Transform,bNoCollisionFail: boolean): Actor;
	static BeginSpawningActorFromClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,SpawnTransform: Transform,bNoCollisionFail: boolean,Owner: Actor): Actor;
	static SuggestProjectileVelocity(WorldContextObject: UObject,TossVelocity?: Vector,StartLocation?: Vector,EndLocation?: Vector,LaunchSpeed?: number,OverrideGravityZ?: number,TraceOption?: ESuggestProjVelocityTraceOption,CollisionRadius?: number,bFavorHighArc?: boolean,bDrawDebug?: boolean): {TossVelocity: Vector, $: boolean};
	static ClearSoundMixClassOverride(WorldContextObject: UObject,InSoundMixModifier: SoundMix,InSoundClass: SoundClass,FadeOutTime: number): void;
	static ClearSoundMixModifiers(WorldContextObject: UObject): void;
	static CreatePlayer(WorldContextObject: UObject,ControllerId: number,bSpawnPawn: boolean): PlayerController;
	static CreateSound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency): AudioComponent;
	static DeactivateReverbEffect(WorldContextObject: UObject,TagName: string): void;
	static FlushLevelStreaming(WorldContextObject: UObject): void;
	static GetAccurateRealTime(WorldContextObject: UObject,Seconds?: number,PartialSeconds?: number): {Seconds: number, PartialSeconds: number};
	static GetAllActorsOfClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
	static GetAllActorsWithInterface(WorldContextObject: UObject,Interface: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
	static GetAudioTimeSeconds(WorldContextObject: UObject): number;
	static GetCurrentLevelName(WorldContextObject: UObject,bRemovePrefixString: boolean): string;
	static GetCurrentReverbEffect(WorldContextObject: UObject): ReverbEffect;
	static GetGameInstance(WorldContextObject: UObject): GameInstance;
	static GetGameMode(WorldContextObject: UObject): GameMode;
	static GetGameState(WorldContextObject: UObject): GameState;
	static GetGlobalTimeDilation(WorldContextObject: UObject): number;
	static GetPlayerCameraManager(WorldContextObject: UObject,PlayerIndex: number): PlayerCameraManager;
	static GetPlayerCharacter(WorldContextObject: UObject,PlayerIndex: number): Character;
	static GetPlayerController(WorldContextObject: UObject,PlayerIndex: number): PlayerController;
	static GetPlayerPawn(WorldContextObject: UObject,PlayerIndex: number): Pawn;
	static GetRealTimeSeconds(WorldContextObject: UObject): number;
	static GetStreamingLevel(WorldContextObject: UObject,PackageName: string): LevelStreaming;
	static GetWorldDeltaSeconds(WorldContextObject: UObject): number;
	static GetWorldOriginLocation(WorldContextObject: UObject): IntVector;
	static GrassOverlappingSphereCount(WorldContextObject: UObject,StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
	static IsGamePaused(WorldContextObject: UObject): boolean;
	static LoadStreamLevel(WorldContextObject: UObject,LevelName: string,bMakeVisibleAfterLoad: boolean,bShouldBlockOnLoad: boolean,LatentInfo: LatentActionInfo): void;
	static OpenLevel(WorldContextObject: UObject,LevelName: string,bAbsolute: boolean,Options: string): void;
	static PlayDialogue2D(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number): void;
	static PlayDialogueAtLocation(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation): void;
	static PlaySound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency): void;
	static PlaySoundAtLocation(WorldContextObject: UObject,Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency): void;
	static PlayWorldCameraShake(WorldContextObject: UObject,Shake: UnrealEngineClass,Epicenter: Vector,InnerRadius: number,OuterRadius: number,Falloff: number,bOrientShakeTowardsEpicenter: boolean): void;
	static PopSoundMixModifier(WorldContextObject: UObject,InSoundMixModifier: SoundMix): void;
	static PushSoundMixModifier(WorldContextObject: UObject,InSoundMixModifier: SoundMix): void;
	static SetBaseSoundMix(WorldContextObject: UObject,InSoundMix: SoundMix): void;
	static SetGamePaused(WorldContextObject: UObject,bPaused: boolean): boolean;
	static SetGlobalListenerFocusParameters(WorldContextObject: UObject,FocusAzimuthScale: number,NonFocusAzimuthScale: number,FocusDistanceScale: number,NonFocusDistanceScale: number,FocusVolumeScale: number,NonFocusVolumeScale: number,FocusPriorityScale: number,NonFocusPriorityScale: number): void;
	static SetGlobalPitchModulation(WorldContextObject: UObject,PitchModulation: number,TimeSec: number): void;
	static SetGlobalTimeDilation(WorldContextObject: UObject,TimeDilation: number): void;
	static SetSoundMixClassOverride(WorldContextObject: UObject,InSoundMixModifier: SoundMix,InSoundClass: SoundClass,Volume: number,Pitch: number,FadeInTime: number,bApplyToChildren: boolean): void;
	static SetWorldOriginLocation(WorldContextObject: UObject,NewLocation: IntVector): void;
	static SpawnDecalAtLocation(WorldContextObject: UObject,DecalMaterial: MaterialInterface,DecalSize: Vector,Location: Vector,Rotation: Rotator,LifeSpan: number): DecalComponent;
	static SpawnDialogue2D(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number): AudioComponent;
	static SpawnDialogueAtLocation(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation): AudioComponent;
	static SpawnEmitterAtLocation(WorldContextObject: UObject,EmitterTemplate: ParticleSystem,Location: Vector,Rotation: Rotator,bAutoDestroy: boolean): ParticleSystemComponent;
	static SpawnSound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency): AudioComponent;
	static SpawnSoundAtLocation(WorldContextObject: UObject,Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency): AudioComponent;
	static UnloadStreamLevel(WorldContextObject: UObject,LevelName: string,LatentInfo: LatentActionInfo): void;
	static FindPathToActorSynchronously(WorldContext: UObject,PathStart: Vector,GoalActor: Actor,TetherDistance: number,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
	static FindPathToLocationSynchronously(WorldContext: UObject,PathStart: Vector,PathEnd: Vector,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
	static GetNavigationSystem(WorldContext: UObject): NavigationSystem;
	static GetPathCost(WorldContext: UObject,PathStart: Vector,PathEnd: Vector,PathCost?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathCost: number, $: ENavigationQueryResult};
	static GetPathLength(WorldContext: UObject,PathStart: Vector,PathEnd: Vector,PathLength?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathLength: number, $: ENavigationQueryResult};
	static GetRandomPoint(WorldContext: UObject,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
	static GetRandomPointInNavigableRadius(WorldContext: UObject,Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
	static GetRandomPointInRadius(WorldContext: UObject,Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
	static GetRandomReachablePointInRadius(WorldContext: UObject,Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
	static IsNavigationBeingBuilt(WorldContext: UObject): boolean;
	static NavigationRaycast(WorldContext: UObject,RayStart: Vector,RayEnd: Vector,HitLocation?: Vector,FilterClass?: UnrealEngineClass,Querier?: Controller): {HitLocation: Vector, $: boolean};
	static ProjectPointToNavigation(WorldContext: UObject,Point: Vector,NavData: NavigationData,FilterClass: UnrealEngineClass,QueryExtent: Vector): Vector;
	static FoliageOverlappingBoxCount(WorldContextObject: UObject,StaticMesh: StaticMesh,Box: Box): number;
	static FoliageOverlappingSphereCount(WorldContextObject: UObject,StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
	static GetViewportScale(WorldContextObject: UObject): number;
	static GetViewportSize(WorldContextObject: UObject): Vector2D;
	static RemoveAllWidgets(WorldContextObject: UObject): void;
	static CreateWidget(WorldContextObject: UObject,WidgetType: UnrealEngineClass,OwningPlayer: PlayerController): UserWidget;
	static GetAllWidgetsOfClass(WorldContextObject: UObject,FoundWidgets?: UserWidget[],WidgetClass?: UnrealEngineClass,TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
	static GetAllWidgetsWithInterface(WorldContextObject: UObject,Interface: UnrealEngineClass,FoundWidgets?: UserWidget[],TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
	static AbsoluteToViewport(WorldContextObject: UObject,AbsoluteDesktopCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
	static LocalToViewport(WorldContextObject: UObject,Geometry: Geometry,LocalCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
	static CreateMoveToProxyObject(WorldContextObject: UObject,Pawn: Pawn,Destination: Vector,TargetActor: Actor,AcceptanceRadius: number,bStopOnOverlap: boolean): AIAsyncTaskBlueprintProxy;
	static SpawnAIFromClass(WorldContextObject: UObject,PawnClass: UnrealEngineClass,BehaviorTree: BehaviorTree,Location: Vector,Rotation: Rotator,bNoCollisionFail: boolean): Pawn;
	static SpawnEffectAtLocation(WorldContextObject: UObject,EffectTemplate: NiagaraEffect,Location: Vector,Rotation: Rotator,bAutoDestroy: boolean): NiagaraComponent;
}

declare class NavigationData extends Actor { 
	RenderingComp: PrimitiveComponent;
	NavDataConfig: NavDataConfig;
	bEnableDrawing: boolean;
	bForceRebuildOnLoad: boolean;
	bCanBeMainNavData: boolean;
	bCanSpawnOnRebuild: boolean;
	bRebuildAtRuntime: boolean;
	RuntimeGeneration: ERuntimeGenerationType;
	ObservedPathsTickInterval: number;
	DataVersion: any;
	SupportedAreas: SupportedAreaData[];
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NavigationData;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationData;
	static C(Other: UObject): NavigationData;
}

declare class NavAgentProperties extends MovementProperties { 
	AgentRadius: number;
	AgentHeight: number;
	AgentStepHeight: number;
	NavWalkingSearchHeightScale: number;
	PreferredNavData: UnrealEngineClass;
	clone() : NavAgentProperties;
	static C(Other: UObject): NavAgentProperties;
}

declare class NavMovementComponent extends MovementComponent { 
	NavAgentProps: NavAgentProperties;
	FixedPathBrakingDistance: number;
	bUpdateNavAgentWithOwnersCollision: boolean;
	bUseAccelerationForPaths: boolean;
	bUseFixedBrakingDistanceForPaths: boolean;
	MovementState: MovementProperties;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NavMovementComponent;
	static Find(Outer: UObject, ResourceName: string): NavMovementComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NavMovementComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavMovementComponent;
	StopMovementKeepPathing(): void;
	StopActiveMovement(): void;
	IsSwimming(): boolean;
	IsMovingOnGround(): boolean;
	IsFlying(): boolean;
	IsFalling(): boolean;
	IsCrouching(): boolean;
	static C(Other: UObject): NavMovementComponent;
}

declare class PawnMovementComponent extends NavMovementComponent { 
	PawnOwner: Pawn;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PawnMovementComponent;
	static Find(Outer: UObject, ResourceName: string): PawnMovementComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PawnMovementComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnMovementComponent;
	GetInputVector(): Vector;
	IsMoveInputIgnored(): boolean;
	GetPendingInputVector(): Vector;
	GetPawnOwner(): Pawn;
	GetLastInputVector(): Vector;
	ConsumeInputVector(): Vector;
	AddInputVector(WorldVector: Vector,bForce: boolean): void;
	static C(Other: UObject): PawnMovementComponent;
}

declare type EMovementMode = string | symbol;
declare var EMovementMode = { MOVE_None:'MOVE_None',MOVE_Walking:'MOVE_Walking',MOVE_NavWalking:'MOVE_NavWalking',MOVE_Falling:'MOVE_Falling',MOVE_Swimming:'MOVE_Swimming',MOVE_Flying:'MOVE_Flying',MOVE_Custom:'MOVE_Custom', };
declare type ENetworkSmoothingMode = string | symbol;
declare var ENetworkSmoothingMode = { Disabled:'Disabled',Linear:'Linear',Exponential:'Exponential',Replay:'Replay', };
declare class FindFloorResult { 
	bBlockingHit: boolean;
	bWalkableFloor: boolean;
	bLineTrace: boolean;
	FloorDist: number;
	LineDist: number;
	HitResult: HitResult;
	clone() : FindFloorResult;
	static C(Other: UObject): FindFloorResult;
}

declare class NavAvoidanceMask { 
	bGroup0: boolean;
	bGroup1: boolean;
	bGroup2: boolean;
	bGroup3: boolean;
	bGroup4: boolean;
	bGroup5: boolean;
	bGroup6: boolean;
	bGroup7: boolean;
	bGroup8: boolean;
	bGroup9: boolean;
	bGroup10: boolean;
	bGroup11: boolean;
	bGroup12: boolean;
	bGroup13: boolean;
	bGroup14: boolean;
	bGroup15: boolean;
	bGroup16: boolean;
	bGroup17: boolean;
	bGroup18: boolean;
	bGroup19: boolean;
	bGroup20: boolean;
	bGroup21: boolean;
	bGroup22: boolean;
	bGroup23: boolean;
	bGroup24: boolean;
	bGroup25: boolean;
	bGroup26: boolean;
	bGroup27: boolean;
	bGroup28: boolean;
	bGroup29: boolean;
	bGroup30: boolean;
	bGroup31: boolean;
	clone() : NavAvoidanceMask;
	static C(Other: UObject): NavAvoidanceMask;
}

declare class CharacterMovementComponentPostPhysicsTickFunction extends TickFunction { 
	clone() : CharacterMovementComponentPostPhysicsTickFunction;
	static C(Other: UObject): CharacterMovementComponentPostPhysicsTickFunction;
}

declare class Vector_NetQuantize10 extends Vector { 
	clone() : Vector_NetQuantize10;
	static C(Other: UObject): Vector_NetQuantize10;
}

declare class RootMotionSourceSettings { 
	Flags: number;
	clone() : RootMotionSourceSettings;
	static C(Other: UObject): RootMotionSourceSettings;
}

declare class RootMotionSourceGroup { 
	bHasAdditiveSources: boolean;
	bHasOverrideSources: boolean;
	LastPreAdditiveVelocity: Vector_NetQuantize10;
	bIsAdditiveVelocityApplied: boolean;
	LastAccumulatedSettings: RootMotionSourceSettings;
	clone() : RootMotionSourceGroup;
	static C(Other: UObject): RootMotionSourceGroup;
}

declare class RootMotionMovementParams { 
	bHasRootMotion: boolean;
	BlendWeight: number;
	RootMotionTransform: Transform;
	clone() : RootMotionMovementParams;
	static C(Other: UObject): RootMotionMovementParams;
}

declare class CharacterMovementComponent extends PawnMovementComponent { 
	CharacterOwner: Character;
	GravityScale: number;
	MaxStepHeight: number;
	JumpZVelocity: number;
	JumpOffJumpZFactor: number;
	WalkableFloorAngle: number;
	WalkableFloorZ: number;
	MovementMode: EMovementMode;
	CustomMovementMode: number;
	GroundFriction: number;
	MaxWalkSpeed: number;
	MaxWalkSpeedCrouched: number;
	MaxSwimSpeed: number;
	MaxFlySpeed: number;
	MaxCustomMovementSpeed: number;
	MaxAcceleration: number;
	BrakingFrictionFactor: number;
	BrakingFriction: number;
	bUseSeparateBrakingFriction: boolean;
	BrakingDecelerationWalking: number;
	BrakingDecelerationFalling: number;
	BrakingDecelerationSwimming: number;
	BrakingDecelerationFlying: number;
	AirControl: number;
	AirControlBoostMultiplier: number;
	AirControlBoostVelocityThreshold: number;
	FallingLateralFriction: number;
	CrouchedHalfHeight: number;
	Buoyancy: number;
	PerchRadiusThreshold: number;
	PerchAdditionalHeight: number;
	RotationRate: Rotator;
	bUseControllerDesiredRotation: boolean;
	bOrientRotationToMovement: boolean;
	bMovementInProgress: boolean;
	bEnableScopedMovementUpdates: boolean;
	bForceMaxAccel: boolean;
	bRunPhysicsWithNoController: boolean;
	bForceNextFloorCheck: boolean;
	bShrinkProxyCapsule: boolean;
	bCanWalkOffLedges: boolean;
	bCanWalkOffLedgesWhenCrouching: boolean;
	bDeferUpdateMoveComponent: boolean;
	DeferredUpdatedMoveComponent: SceneComponent;
	MaxOutOfWaterStepHeight: number;
	OutofWaterZ: number;
	Mass: number;
	bEnablePhysicsInteraction: boolean;
	bTouchForceScaledToMass: boolean;
	bPushForceScaledToMass: boolean;
	bPushForceUsingZOffset: boolean;
	bScalePushForceToVelocity: boolean;
	StandingDownwardForceScale: number;
	InitialPushForceFactor: number;
	PushForceFactor: number;
	PushForcePointZOffsetFactor: number;
	TouchForceFactor: number;
	MinTouchForce: number;
	MaxTouchForce: number;
	RepulsionForce: number;
	bForceBraking: boolean;
	CrouchedSpeedMultiplier: number;
	UpperImpactNormalScale: number;
	Acceleration: Vector;
	LastUpdateLocation: Vector;
	LastUpdateRotation: Quat;
	LastUpdateVelocity: Vector;
	ServerLastTransformUpdateTimeStamp: number;
	PendingImpulseToApply: Vector;
	PendingForceToApply: Vector;
	AnalogInputModifier: number;
	MaxSimulationTimeStep: number;
	MaxSimulationIterations: number;
	NetworkSimulatedSmoothLocationTime: number;
	NetworkSimulatedSmoothRotationTime: number;
	ListenServerNetworkSimulatedSmoothLocationTime: number;
	ListenServerNetworkSimulatedSmoothRotationTime: number;
	NetworkMaxSmoothUpdateDistance: number;
	NetworkNoSmoothUpdateDistance: number;
	NetworkSmoothingMode: ENetworkSmoothingMode;
	LedgeCheckThreshold: number;
	JumpOutOfWaterPitch: number;
	CurrentFloor: FindFloorResult;
	DefaultLandMovementMode: EMovementMode;
	DefaultWaterMovementMode: EMovementMode;
	GroundMovementMode: EMovementMode;
	bMaintainHorizontalGroundVelocity: boolean;
	bImpartBaseVelocityX: boolean;
	bImpartBaseVelocityY: boolean;
	bImpartBaseVelocityZ: boolean;
	bImpartBaseAngularVelocity: boolean;
	bJustTeleported: boolean;
	bNetworkUpdateReceived: boolean;
	bNetworkMovementModeChanged: boolean;
	bIgnoreClientMovementErrorChecksAndCorrection: boolean;
	bNotifyApex: boolean;
	bCheatFlying: boolean;
	bWantsToCrouch: boolean;
	bCrouchMaintainsBaseLocation: boolean;
	bIgnoreBaseRotation: boolean;
	bFastAttachedMove: boolean;
	bAlwaysCheckFloor: boolean;
	bUseFlatBaseForFloorChecks: boolean;
	bPerformingJumpOff: boolean;
	bWantsToLeaveNavWalking: boolean;
	bUseRVOAvoidance: boolean;
	bRequestedMoveUseAcceleration: boolean;
	bHasRequestedVelocity: boolean;
	bRequestedMoveWithMaxSpeed: boolean;
	bWasAvoidanceUpdated: boolean;
	bProjectNavMeshWalking: boolean;
	bProjectNavMeshOnBothWorldChannels: boolean;
	AvoidanceConsiderationRadius: number;
	RequestedVelocity: Vector;
	AvoidanceUID: number;
	AvoidanceGroup: NavAvoidanceMask;
	GroupsToAvoid: NavAvoidanceMask;
	GroupsToIgnore: NavAvoidanceMask;
	AvoidanceWeight: number;
	PendingLaunchVelocity: Vector;
	NavMeshProjectionInterval: number;
	NavMeshProjectionTimer: number;
	NavMeshProjectionInterpSpeed: number;
	NavMeshProjectionHeightScaleUp: number;
	NavMeshProjectionHeightScaleDown: number;
	PostPhysicsTickFunction: CharacterMovementComponentPostPhysicsTickFunction;
	MinTimeBetweenTimeStampResets: number;
	CurrentRootMotion: RootMotionSourceGroup;
	RootMotionParams: RootMotionMovementParams;
	bWasSimulatingRootMotion: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CharacterMovementComponent;
	static Find(Outer: UObject, ResourceName: string): CharacterMovementComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CharacterMovementComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CharacterMovementComponent;
	SetWalkableFloorZ(InWalkableFloorZ: number): void;
	SetWalkableFloorAngle(InWalkableFloorAngle: number): void;
	SetMovementMode(NewMovementMode: EMovementMode,NewCustomMode: number): void;
	SetGroupsToIgnore(GroupFlags: number): void;
	SetGroupsToAvoid(GroupFlags: number): void;
	SetAvoidanceGroup(GroupFlags: number): void;
	SetAvoidanceEnabled(bEnable: boolean): void;
	ServerMoveOld(OldTimeStamp: number,OldAccel: Vector_NetQuantize10,OldMoveFlags: number): void;
	ServerMoveDualHybridRootMotion(TimeStamp0: number,InAccel0: Vector_NetQuantize10,PendingFlags: number,View0: any,TimeStamp: number,InAccel: Vector_NetQuantize10,ClientLoc: Vector_NetQuantize100,NewFlags: number,ClientRoll: number,View: any,ClientMovementBase: PrimitiveComponent,ClientBaseBoneName: string,ClientMovementMode: number): void;
	ServerMoveDual(TimeStamp0: number,InAccel0: Vector_NetQuantize10,PendingFlags: number,View0: any,TimeStamp: number,InAccel: Vector_NetQuantize10,ClientLoc: Vector_NetQuantize100,NewFlags: number,ClientRoll: number,View: any,ClientMovementBase: PrimitiveComponent,ClientBaseBoneName: string,ClientMovementMode: number): void;
	ServerMove(TimeStamp: number,InAccel: Vector_NetQuantize10,ClientLoc: Vector_NetQuantize100,CompressedMoveFlags: number,ClientRoll: number,View: any,ClientMovementBase: PrimitiveComponent,ClientBaseBoneName: string,ClientMovementMode: number): void;
	GetWalkableFloorZ(): number;
	GetWalkableFloorAngle(): number;
	GetModifiedMaxAcceleration(): number;
	IsWalking(): boolean;
	IsWalkable(Hit: HitResult): boolean;
	GetValidPerchRadius(): number;
	GetPerchRadiusThreshold(): number;
	GetMovementBase(): PrimitiveComponent;
	GetMaxJumpHeight(): number;
	GetMaxAcceleration(): number;
	GetImpartedMovementBaseVelocity(): Vector;
	GetCurrentAcceleration(): Vector;
	GetCharacterOwner(): Character;
	GetAnalogInputModifier(): number;
	DisableMovement(): void;
	ClientVeryShortAdjustPosition(TimeStamp: number,NewLoc: Vector,NewBase: PrimitiveComponent,NewBaseBoneName: string,bHasBase: boolean,bBaseRelativePosition: boolean,ServerMovementMode: number): void;
	ClientAdjustRootMotionSourcePosition(TimeStamp: number,ServerRootMotion: RootMotionSourceGroup,bHasAnimRootMotion: boolean,ServerMontageTrackPosition: number,ServerLoc: Vector,ServerRotation: Vector_NetQuantizeNormal,ServerVelZ: number,ServerBase: PrimitiveComponent,ServerBoneName: string,bHasBase: boolean,bBaseRelativePosition: boolean,ServerMovementMode: number): void;
	ClientAdjustRootMotionPosition(TimeStamp: number,ServerMontageTrackPosition: number,ServerLoc: Vector,ServerRotation: Vector_NetQuantizeNormal,ServerVelZ: number,ServerBase: PrimitiveComponent,ServerBoneName: string,bHasBase: boolean,bBaseRelativePosition: boolean,ServerMovementMode: number): void;
	ClientAdjustPosition(TimeStamp: number,NewLoc: Vector,NewVel: Vector,NewBase: PrimitiveComponent,NewBaseBoneName: string,bHasBase: boolean,bBaseRelativePosition: boolean,ServerMovementMode: number): void;
	ClientAckGoodMove(TimeStamp: number): void;
	CapsuleTouched(OverlappedComp: PrimitiveComponent,Other: Actor,OtherComp: PrimitiveComponent,OtherBodyIndex: number,bFromSweep: boolean,SweepResult: HitResult): void;
	CalcVelocity(DeltaTime: number,Friction: number,bFluid: boolean,BrakingDeceleration: number): void;
	AddImpulse(Impulse: Vector,bVelocityChange: boolean): void;
	AddForce(Force: Vector): void;
	static C(Other: UObject): CharacterMovementComponent;
}

declare class BasedMovementInfo { 
	MovementBase: PrimitiveComponent;
	BoneName: string;
	Location: Vector_NetQuantize100;
	Rotation: Rotator;
	bServerHasBaseComponent: boolean;
	bRelativeRotation: boolean;
	bServerHasVelocity: boolean;
	clone() : BasedMovementInfo;
	static C(Other: UObject): BasedMovementInfo;
}

declare class RepRootMotionMontage { 
	bIsActive: boolean;
	AnimMontage: AnimMontage;
	Position: number;
	Location: Vector_NetQuantize100;
	Rotation: Rotator;
	MovementBase: PrimitiveComponent;
	MovementBaseBoneName: string;
	bRelativePosition: boolean;
	bRelativeRotation: boolean;
	AuthoritativeRootMotion: RootMotionSourceGroup;
	Acceleration: Vector_NetQuantize10;
	LinearVelocity: Vector_NetQuantize10;
	clone() : RepRootMotionMontage;
	static C(Other: UObject): RepRootMotionMontage;
}

declare class SimulatedRootMotionReplicatedMove { 
	Time: number;
	RootMotion: RepRootMotionMontage;
	clone() : SimulatedRootMotionReplicatedMove;
	static C(Other: UObject): SimulatedRootMotionReplicatedMove;
}

declare class Character extends Pawn { 
	Mesh: SkeletalMeshComponent;
	ArrowComponent: ArrowComponent;
	CharacterMovement: CharacterMovementComponent;
	CapsuleComponent: CapsuleComponent;
	BasedMovement: BasedMovementInfo;
	ReplicatedBasedMovement: BasedMovementInfo;
	AnimRootMotionTranslationScale: number;
	BaseTranslationOffset: Vector;
	BaseRotationOffset: Quat;
	ReplicatedServerLastTransformUpdateTimeStamp: number;
	ReplicatedMovementMode: number;
	bInBaseReplication: boolean;
	CrouchedEyeHeight: number;
	bIsCrouched: boolean;
	bPressedJump: boolean;
	bClientUpdating: boolean;
	bClientWasFalling: boolean;
	bClientResimulateRootMotion: boolean;
	bClientResimulateRootMotionSources: boolean;
	bSimGravityDisabled: boolean;
	bClientCheckEncroachmentOnNetUpdate: boolean;
	bServerMoveIgnoreRootMotion: boolean;
	JumpKeyHoldTime: number;
	JumpMaxHoldTime: number;
	OnReachedJumpApex: UnrealEngineMulticastDelegate<() => void>;
	OnCharacterMovementUpdated: UnrealEngineMulticastDelegate<(DeltaSeconds: number, OldLocation: Vector, OldVelocity: Vector) => void>;
	SavedRootMotion: RootMotionSourceGroup;
	ClientRootMotionParams: RootMotionMovementParams;
	RootMotionRepMoves: SimulatedRootMotionReplicatedMove[];
	RepRootMotion: RepRootMotionMontage;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Character;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Character;
	UnCrouch(bClientSimulation: boolean): void;
	StopJumping(): void;
	StopAnimMontage(AnimMontage: AnimMontage): void;
	SetReplicateMovement(bInReplicateMovement: boolean): void;
	PlayAnimMontage(AnimMontage: AnimMontage,InPlayRate: number,StartSectionName: string): number;
	OnWalkingOffLedge(PreviousFloorImpactNormal: Vector,PreviousFloorContactNormal: Vector,PreviousLocation: Vector,TimeDelta: number): void;
	OnRep_RootMotion(): void;
	OnRep_ReplicatedBasedMovement(): void;
	OnRep_IsCrouched(): void;
	OnLaunched(LaunchVelocity: Vector,bXYOverride: boolean,bZOverride: boolean): void;
	OnLanded(Hit: HitResult): void;
	OnJumped(): void;
	LaunchCharacter(LaunchVelocity: Vector,bXYOverride: boolean,bZOverride: boolean): void;
	UpdateCustomMovement(DeltaTime: number): void;
	OnStartCrouch(HalfHeightAdjust: number,ScaledHalfHeightAdjust: number): void;
	OnMovementModeChanged(PrevMovementMode: EMovementMode,NewMovementMode: EMovementMode,PrevCustomMode: number,NewCustomMode: number): void;
	OnEndCrouch(HalfHeightAdjust: number,ScaledHalfHeightAdjust: number): void;
	Jump(): void;
	IsPlayingRootMotion(): boolean;
	IsPlayingNetworkedRootMotionMontage(): boolean;
	IsJumpProvidingForce(): boolean;
	GetCurrentMontage(): AnimMontage;
	GetAnimRootMotionTranslationScale(): number;
	Crouch(bClientSimulation: boolean): void;
	ClientCheatWalk(): void;
	ClientCheatGhost(): void;
	ClientCheatFly(): void;
	CanJump(): boolean;
	CanJump(): boolean;
	static C(Other: UObject): Character;
}

declare class Controller extends Actor { 
	Pawn: Pawn;
	Character: Character;
	PlayerState: PlayerState;
	TransformComponent: SceneComponent;
	ControlRotation: Rotator;
	bAttachToPawn: boolean;
	bIsPlayerController: boolean;
	StateName: string;
	OnInstigatedAnyDamage: UnrealEngineMulticastDelegate<(Damage: number, DamageType: DamageType, DamagedActor: Actor, DamageCauser: Actor) => void>;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Controller;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Controller;
	UnPossess(): void;
	StopMovement(): void;
	SetInitialLocationAndRotation(NewLocation: Vector,NewRotation: Rotator): void;
	SetIgnoreMoveInput(bNewMoveInput: boolean): void;
	SetIgnoreLookInput(bNewLookInput: boolean): void;
	SetControlRotation(NewRotation: Rotator): void;
	ResetIgnoreMoveInput(): void;
	ResetIgnoreLookInput(): void;
	ResetIgnoreInputFlags(): void;
	ReceiveInstigatedAnyDamage(Damage: number,DamageType: DamageType,DamagedActor: Actor,DamageCauser: Actor): void;
	Possess(InPawn: Pawn): void;
	OnRep_PlayerState(): void;
	OnRep_Pawn(): void;
	LineOfSightTo(Other: Actor,ViewPoint: Vector,bAlternateChecks: boolean): boolean;
	GetControlledPawn(): Pawn;
	IsMoveInputIgnored(): boolean;
	IsLookInputIgnored(): boolean;
	IsLocalPlayerController(): boolean;
	IsLocalController(): boolean;
	GetViewTarget(): Actor;
	GetDesiredRotation(): Rotator;
	GetControlRotation(): Rotator;
	ClientSetRotation(NewRotation: Rotator,bResetCamera: boolean): void;
	ClientSetLocation(NewLocation: Vector,NewRotation: Rotator): void;
	CastToPlayerController(): PlayerController;
	static C(Other: UObject): Controller;
	SimpleMoveToActor(Goal: Actor): void;
	SimpleMoveToLocation(Goal: Vector): void;
	static SimpleMoveToActor(Controller: Controller,Goal: Actor): void;
	static SimpleMoveToLocation(Controller: Controller,Goal: Vector): void;
}

declare class Pawn extends Actor { 
	bUseControllerRotationPitch: boolean;
	bUseControllerRotationYaw: boolean;
	bUseControllerRotationRoll: boolean;
	bCanAffectNavigationGeneration: boolean;
	BaseEyeHeight: number;
	AutoPossessPlayer: EAutoReceiveInput;
	AutoPossessAI: EAutoPossessAI;
	AIControllerClass: UnrealEngineClass;
	PlayerState: PlayerState;
	RemoteViewPitch: number;
	LastHitBy: Controller;
	Controller: Controller;
	ControlInputVector: Vector;
	LastControlInputVector: Vector;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Pawn;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Pawn;
	SpawnDefaultController(): void;
	SetCanAffectNavigationGeneration(bNewValue: boolean,bForceUpdate: boolean): void;
	Unpossessed(OldController: Controller): void;
	Possessed(NewController: Controller): void;
	PawnMakeNoise(Loudness: number,NoiseLocation: Vector,bUseNoiseMakerLocation: boolean,NoiseMaker: Actor): void;
	OnRep_PlayerState(): void;
	OnRep_Controller(): void;
	LaunchPawn(LaunchVelocity: Vector,bXYOverride: boolean,bZOverride: boolean): void;
	GetMovementInputVector(): Vector;
	IsPlayerControlled(): boolean;
	IsMoveInputIgnored(): boolean;
	IsLocallyControlled(): boolean;
	IsControlled(): boolean;
	GetPendingMovementInputVector(): Vector;
	GetNavAgentLocation(): Vector;
	GetMovementComponent(): PawnMovementComponent;
	static GetMovementBaseActor(Pawn: Pawn): Actor;
	GetLastMovementInputVector(): Vector;
	GetControlRotation(): Rotator;
	GetController(): Controller;
	GetBaseAimRotation(): Rotator;
	DetachFromControllerPendingDestroy(): void;
	ConsumeMovementInputVector(): Vector;
	AddMovementInput(WorldDirection: Vector,ScaleValue: number,bForce: boolean): void;
	AddControllerYawInput(Val: number): void;
	AddControllerRollInput(Val: number): void;
	AddControllerPitchInput(Val: number): void;
	static C(Other: UObject): Pawn;
	SendAIMessage(Message: string,MessageSource: UObject,bSuccess: boolean): void;
	static SendAIMessage(Target: Pawn,Message: string,MessageSource: UObject,bSuccess: boolean): void;
}

declare type ERadialImpulseFalloff = string | symbol;
declare var ERadialImpulseFalloff = { RIF_Constant:'RIF_Constant',RIF_Linear:'RIF_Linear', };
declare class PrimitiveComponent extends SceneComponent { 
	MinDrawDistance: number;
	LDMaxDrawDistance: number;
	CachedMaxDrawDistance: number;
	DepthPriorityGroup: ESceneDepthPriorityGroup;
	ViewOwnerDepthPriorityGroup: ESceneDepthPriorityGroup;
	bAlwaysCreatePhysicsState: boolean;
	bGenerateOverlapEvents: boolean;
	bMultiBodyOverlap: boolean;
	bCheckAsyncSceneOnMove: boolean;
	bTraceComplexOnMove: boolean;
	bReturnMaterialOnMove: boolean;
	bUseViewOwnerDepthPriorityGroup: boolean;
	bAllowCullDistanceVolume: boolean;
	bHasMotionBlurVelocityMeshes: boolean;
	bRenderInMainPass: boolean;
	bReceivesDecals: boolean;
	bOwnerNoSee: boolean;
	bOnlyOwnerSee: boolean;
	bTreatAsBackgroundForOcclusion: boolean;
	bUseAsOccluder: boolean;
	bSelectable: boolean;
	bForceMipStreaming: boolean;
	bHasPerInstanceHitProxies: boolean;
	CastShadow: boolean;
	bAffectDynamicIndirectLighting: boolean;
	bAffectDistanceFieldLighting: boolean;
	bCastDynamicShadow: boolean;
	bCastStaticShadow: boolean;
	bCastVolumetricTranslucentShadow: boolean;
	bSelfShadowOnly: boolean;
	bCastFarShadow: boolean;
	bCastInsetShadow: boolean;
	bCastCinematicShadow: boolean;
	bCastHiddenShadow: boolean;
	bCastShadowAsTwoSided: boolean;
	bLightAsIfStatic: boolean;
	bLightAttachmentsAsGroup: boolean;
	IndirectLightingCacheQuality: EIndirectLightingCacheQuality;
	bReceiveCombinedCSMAndStaticShadowsFromStationaryLights: boolean;
	bSingleSampleShadowFromStationaryLights: boolean;
	LightingChannels: LightingChannels;
	bHasCachedStaticLighting: boolean;
	bStaticLightingBuildEnqueued: boolean;
	bIgnoreRadialImpulse: boolean;
	bIgnoreRadialForce: boolean;
	AlwaysLoadOnClient: boolean;
	AlwaysLoadOnServer: boolean;
	bUseEditorCompositing: boolean;
	bRenderCustomDepth: boolean;
	CustomDepthStencilValue: number;
	TranslucencySortPriority: number;
	VisibilityId: number;
	LpvBiasMultiplier: number;
	BodyInstance: BodyInstance;
	bHasCustomNavigableGeometry: EHasCustomNavigableGeometry;
	BoundsScale: number;
	LastSubmitTime: number;
	LastRenderTime: number;
	CanBeCharacterBase: ECanBeCharacterBase;
	CanCharacterStepUpOn: ECanBeCharacterBase;
	MoveIgnoreActors: Actor[];
	OnComponentHit: UnrealEngineMulticastDelegate<(HitComponent: PrimitiveComponent, OtherActor: Actor, OtherComp: PrimitiveComponent, NormalImpulse: Vector, Hit: HitResult) => void>;
	OnComponentBeginOverlap: UnrealEngineMulticastDelegate<(OverlappedComponent: PrimitiveComponent, OtherActor: Actor, OtherComp: PrimitiveComponent, OtherBodyIndex: number, bFromSweep: boolean, SweepResult: HitResult) => void>;
	OnComponentEndOverlap: UnrealEngineMulticastDelegate<(OverlappedComponent: PrimitiveComponent, OtherActor: Actor, OtherComp: PrimitiveComponent, OtherBodyIndex: number) => void>;
	OnComponentWake: UnrealEngineMulticastDelegate<(WakingComponent: PrimitiveComponent, BoneName: string) => void>;
	OnComponentSleep: UnrealEngineMulticastDelegate<(SleepingComponent: PrimitiveComponent, BoneName: string) => void>;
	OnBeginCursorOver: UnrealEngineMulticastDelegate<(TouchedComponent: PrimitiveComponent) => void>;
	OnEndCursorOver: UnrealEngineMulticastDelegate<(TouchedComponent: PrimitiveComponent) => void>;
	OnClicked: UnrealEngineMulticastDelegate<(TouchedComponent: PrimitiveComponent, ButtonPressed: Key) => void>;
	OnReleased: UnrealEngineMulticastDelegate<(TouchedComponent: PrimitiveComponent, ButtonReleased: Key) => void>;
	OnInputTouchBegin: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedComponent: PrimitiveComponent) => void>;
	OnInputTouchEnd: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedComponent: PrimitiveComponent) => void>;
	OnInputTouchEnter: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedComponent: PrimitiveComponent) => void>;
	OnInputTouchLeave: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedComponent: PrimitiveComponent) => void>;
	LODParentPrimitive: PrimitiveComponent;
	PostPhysicsComponentTick: PrimitiveComponentPostPhysicsTickFunction;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PrimitiveComponent;
	static Find(Outer: UObject, ResourceName: string): PrimitiveComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PrimitiveComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PrimitiveComponent;
	WakeRigidBody(BoneName: string): void;
	WakeAllRigidBodies(): void;
	SetWalkableSlopeOverride(NewOverride: WalkableSlopeOverride): void;
	SetTranslucentSortPriority(NewTranslucentSortPriority: number): void;
	SetSimulatePhysics(bSimulate: boolean): void;
	SetRenderInMainPass(bValue: boolean): void;
	SetRenderCustomDepth(bValue: boolean): void;
	SetPhysicalMaterialOverride(NewPhysMaterial: PhysicalMaterial): void;
	SetPhysicsMaxAngularVelocity(NewMaxAngVel: number,bAddToCurrent: boolean,BoneName: string): void;
	SetPhysicsLinearVelocity(NewVel: Vector,bAddToCurrent: boolean,BoneName: string): void;
	SetPhysicsAngularVelocity(NewAngVel: Vector,bAddToCurrent: boolean,BoneName: string): void;
	SetOwnerNoSee(bNewOwnerNoSee: boolean): void;
	SetOnlyOwnerSee(bNewOnlyOwnerSee: boolean): void;
	SetNotifyRigidBodyCollision(bNewNotifyRigidBodyCollision: boolean): void;
	SetMaterial(ElementIndex: number,Material: MaterialInterface): void;
	SetMassScale(BoneName: string,InMassScale: number): void;
	SetMassOverrideInKg(BoneName: string,MassInKg: number,bOverrideMass: boolean): void;
	SetLockedAxis(LockedAxis: EDOFMode): void;
	SetLinearDamping(InDamping: number): void;
	SetEnableGravity(bGravityEnabled: boolean): void;
	SetCustomDepthStencilValue(Value: number): void;
	SetMaxDrawDistance(NewCullDistance: number): void;
	SetConstraintMode(ConstraintMode: EDOFMode): void;
	SetCollisionResponseToChannel(Channel: ECollisionChannel,NewResponse: ECollisionResponse): void;
	SetCollisionResponseToAllChannels(NewResponse: ECollisionResponse): void;
	SetCollisionProfileName(InCollisionProfileName: string): void;
	SetCollisionObjectType(Channel: ECollisionChannel): void;
	SetCollisionEnabled(NewType: ECollisionEnabled): void;
	SetCenterOfMass(CenterOfMassOffset: Vector,BoneName: string): void;
	SetCastShadow(NewCastShadow: boolean): void;
	SetBoundsScale(NewBoundsScale: number): void;
	SetAngularDamping(InDamping: number): void;
	SetAllPhysicsLinearVelocity(NewVel: Vector,bAddToCurrent: boolean): void;
	SetAllMassScale(InMassScale: number): void;
	ScaleByMomentOfInertia(InputVector: Vector,BoneName: string): Vector;
	PutRigidBodyToSleep(BoneName: string): void;
	LineTraceComponent(TraceStart: Vector,TraceEnd: Vector,bTraceComplex: boolean,bShowTrace: boolean,HitLocation?: Vector,HitNormal?: Vector,BoneName?: string): {HitLocation: Vector, HitNormal: Vector, BoneName: string, $: boolean};
	IsQueryCollisionEnabled(): boolean;
	IsPhysicsCollisionEnabled(): boolean;
	IsCollisionEnabled(): boolean;
	IsOverlappingComponent(OtherComp: PrimitiveComponent): boolean;
	IsOverlappingActor(Other: Actor): boolean;
	IsGravityEnabled(): boolean;
	IgnoreActorWhenMoving(Actor: Actor,bShouldIgnore: boolean): void;
	GetWalkableSlopeOverride(): WalkableSlopeOverride;
	GetPhysicsLinearVelocityAtPoint(Point: Vector,BoneName: string): Vector;
	GetPhysicsLinearVelocity(BoneName: string): Vector;
	GetPhysicsAngularVelocity(BoneName: string): Vector;
	GetOverlappingComponents(InOverlappingComponents?: PrimitiveComponent[]): {InOverlappingComponents: PrimitiveComponent[]};
	GetOverlappingActors(OverlappingActors?: Actor[],ClassFilter?: UnrealEngineClass): {OverlappingActors: Actor[]};
	GetOverlapInfos(): OverlapInfo[];
	GetNumMaterials(): number;
	GetMaterial(ElementIndex: number): MaterialInterface;
	GetMassScale(BoneName: string): number;
	GetMass(): number;
	GetLinearDamping(): number;
	GetInertiaTensor(BoneName: string): Vector;
	GetCollisionResponseToChannel(Channel: ECollisionChannel): ECollisionResponse;
	GetCollisionProfileName(): string;
	GetCollisionObjectType(): ECollisionChannel;
	GetCollisionEnabled(): ECollisionEnabled;
	GetClosestPointOnCollision(Point: Vector,OutPointOnBody?: Vector,BoneName?: string): {OutPointOnBody: Vector, $: number};
	GetCenterOfMass(BoneName: string): Vector;
	GetAngularDamping(): number;
	CreateDynamicMaterialInstance(ElementIndex: number,SourceMaterial: MaterialInterface): MaterialInstanceDynamic;
	CreateMIDForElementFromMaterial(ElementIndex: number,Parent: MaterialInterface): MaterialInstanceDynamic;
	CreateMIDForElement(ElementIndex: number): MaterialInstanceDynamic;
	GetMoveIgnoreActors(): Actor[];
	ClearMoveIgnoreActors(): void;
	CanCharacterStepUp(Pawn: Pawn): boolean;
	AddTorque(Torque: Vector,BoneName: string,bAccelChange: boolean): void;
	AddRadialImpulse(Origin: Vector,Radius: number,Strength: number,Falloff: ERadialImpulseFalloff,bVelChange: boolean): void;
	AddRadialForce(Origin: Vector,Radius: number,Strength: number,Falloff: ERadialImpulseFalloff,bAccelChange: boolean): void;
	AddImpulseAtLocation(Impulse: Vector,Location: Vector,BoneName: string): void;
	AddImpulse(Impulse: Vector,BoneName: string,bVelChange: boolean): void;
	AddForceAtLocation(Force: Vector,Location: Vector,BoneName: string): void;
	AddForce(Force: Vector,BoneName: string,bAccelChange: boolean): void;
	AddAngularImpulse(Impulse: Vector,BoneName: string,bVelChange: boolean): void;
	static C(Other: UObject): PrimitiveComponent;
	ComponentOverlapActors_DEPRECATED(ComponentTransform: Transform,Filter: EOverlapFilterOption,ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	ComponentOverlapActors(ComponentTransform: Transform,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	ComponentOverlapComponents_DEPRECATED(ComponentTransform: Transform,Filter: EOverlapFilterOption,ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	ComponentOverlapComponents(ComponentTransform: Transform,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	static ComponentOverlapActors_DEPRECATED(Component: PrimitiveComponent,ComponentTransform: Transform,Filter: EOverlapFilterOption,ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	static ComponentOverlapActors(Component: PrimitiveComponent,ComponentTransform: Transform,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
	static ComponentOverlapComponents_DEPRECATED(Component: PrimitiveComponent,ComponentTransform: Transform,Filter: EOverlapFilterOption,ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
	static ComponentOverlapComponents(Component: PrimitiveComponent,ComponentTransform: Transform,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
}

declare class BrushComponent extends PrimitiveComponent { 
	Brush: Model;
	BrushBodySetup: BodySetup;
	PrePivot: Vector;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BrushComponent;
	static Find(Outer: UObject, ResourceName: string): BrushComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BrushComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BrushComponent;
	static C(Other: UObject): BrushComponent;
}

declare class BuilderPoly { 
	VertexIndices: number[];
	Direction: number;
	ItemName: string;
	PolyFlags: number;
	clone() : BuilderPoly;
	static C(Other: UObject): BuilderPoly;
}

declare class BrushBuilder extends UObject { 
	BitmapFilename: string;
	ToolTip: string;
	NotifyBadParams: boolean;
	Vertices: Vector[];
	Polys: BuilderPoly[];
	Layer: string;
	MergeCoplanars: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BrushBuilder;
	static Find(Outer: UObject, ResourceName: string): BrushBuilder;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BrushBuilder;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BrushBuilder;
	static C(Other: UObject): BrushBuilder;
	Build(InWorld: World,InBrush: Brush): boolean;
	static Build(Builder: BrushBuilder,InWorld: World,InBrush: Brush): boolean;
}

declare class GeomSelection { 
	Type: number;
	Index: number;
	SelectionIndex: number;
	clone() : GeomSelection;
	static C(Other: UObject): GeomSelection;
}

declare class Brush extends Actor { 
	BrushType: EBrushType;
	BrushColor: Color;
	PolyFlags: number;
	bColored: boolean;
	bSolidWhenSelected: boolean;
	bPlaceableFromClassBrowser: boolean;
	bNotForClientOrServer: boolean;
	Brush: Model;
	BrushComponent: BrushComponent;
	BrushBuilder: BrushBuilder;
	bInManipulation: boolean;
	SavedSelections: GeomSelection[];
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Brush;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Brush;
	static C(Other: UObject): Brush;
	GetSurfaces(Surfaces?: number[]): {Surfaces: number[]};
	csgAdd(PolyFlags: number,BrushType: EBrushType): Brush;
	static GetSurfaces(Brush: Brush,Surfaces?: number[]): {Surfaces: number[]};
	static csgAdd(DefaultBrush: Brush,PolyFlags: number,BrushType: EBrushType): Brush;
}

declare class Volume extends Brush { 
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Volume;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Volume;
	static C(Other: UObject): Volume;
}

declare class PhysicsVolume extends Volume { 
	TerminalVelocity: number;
	Priority: number;
	FluidFriction: number;
	bWaterVolume: boolean;
	bPhysicsOnContact: boolean;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PhysicsVolume;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsVolume;
	static C(Other: UObject): PhysicsVolume;
}

declare type EDetachmentRule = string | symbol;
declare var EDetachmentRule = { KeepRelative:'KeepRelative',KeepWorld:'KeepWorld', };
declare type ERelativeTransformSpace = string | symbol;
declare var ERelativeTransformSpace = { RTS_World:'RTS_World',RTS_Actor:'RTS_Actor',RTS_Component:'RTS_Component', };
declare type EMoveComponentAction = string | symbol;
declare var EMoveComponentAction = { Move:'Move',Stop:'Stop',Return:'Return', };
declare class SceneComponent extends ActorComponent { 
	AttachParent: SceneComponent;
	AttachChildren: SceneComponent[];
	AttachSocketName: string;
	bWorldToComponentUpdated: boolean;
	bAbsoluteLocation: boolean;
	bAbsoluteRotation: boolean;
	bAbsoluteScale: boolean;
	bVisible: boolean;
	bHiddenInGame: boolean;
	bShouldUpdatePhysicsVolume: boolean;
	bBoundsChangeTriggersStreamingDataRebuild: boolean;
	bUseAttachParentBound: boolean;
	bAbsoluteTranslation: boolean;
	PhysicsVolume: any;
	RelativeLocation: Vector;
	RelativeRotation: Rotator;
	RelativeScale3D: Vector;
	RelativeTranslation: Vector;
	Mobility: EComponentMobility;
	DetailMode: EDetailMode;
	ComponentVelocity: Vector;
	PhysicsVolumeChangedDelegate: UnrealEngineMulticastDelegate<(NewVolume: PhysicsVolume) => void>;
	bVisualizeComponent: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SceneComponent;
	static Find(Outer: UObject, ResourceName: string): SceneComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SceneComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneComponent;
	ToggleVisibility(bPropagateToChildren: boolean): void;
	SnapTo(InParent: SceneComponent,InSocketName: string): boolean;
	SetWorldScale3D(NewScale: Vector): void;
	SetVisibility(bNewVisibility: boolean,bPropagateToChildren: boolean): void;
	SetRelativeScale3D(NewScale3D: Vector): void;
	SetHiddenInGame(NewHidden: boolean,bPropagateToChildren: boolean): void;
	SetAbsolute(bNewAbsoluteLocation: boolean,bNewAbsoluteRotation: boolean,bNewAbsoluteScale: boolean): void;
	ResetRelativeTransform(): void;
	OnRep_Visibility(OldValue: boolean): void;
	OnRep_Transform(): void;
	OnRep_AttachSocketName(): void;
	OnRep_AttachParent(): void;
	SetWorldTransform(NewTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	SetWorldRotation(NewRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	SetWorldLocationAndRotation(NewLocation: Vector,NewRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	SetWorldLocation(NewLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	SetRelativeTransform(NewTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	SetRelativeRotation(NewRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	SetRelativeLocationAndRotation(NewLocation: Vector,NewRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	SetRelativeLocation(NewLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	GetWorldTransform(): Transform;
	GetWorldScale(): Vector;
	GetWorldRotation(): Rotator;
	GetWorldLocation(): Vector;
	DetachFromComponent(LocationRule: EDetachmentRule,RotationRule: EDetachmentRule,ScaleRule: EDetachmentRule,bCallModify: boolean): void;
	AttachToComponent(Parent: SceneComponent,SocketName: string,LocationRule: EAttachmentRule,RotationRule: EAttachmentRule,ScaleRule: EAttachmentRule,bWeldSimulatedBodies: boolean): boolean;
	AttachTo(InParent: SceneComponent,InSocketName: string,AttachType: EAttachLocation,bWeldSimulatedBodies: boolean): boolean;
	AddWorldTransform(DeltaTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	AddWorldRotation(DeltaRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	AddWorldOffset(DeltaLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	AddRelativeRotation(DeltaRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	AddRelativeLocation(DeltaLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	AddLocalTransform(DeltaTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	AddLocalRotation(DeltaRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	AddLocalOffset(DeltaLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	IsVisible(): boolean;
	IsSimulatingPhysics(BoneName: string): boolean;
	IsAnySimulatingPhysics(): boolean;
	GetUpVector(): Vector;
	GetSocketTransform(InSocketName: string,TransformSpace: ERelativeTransformSpace): Transform;
	GetSocketRotation(InSocketName: string): Rotator;
	GetSocketQuaternion(InSocketName: string): Quat;
	GetSocketLocation(InSocketName: string): Vector;
	GetRightVector(): Vector;
	GetRelativeTransform(): Transform;
	GetPhysicsVolume(): PhysicsVolume;
	GetParentComponents(Parents?: SceneComponent[]): {Parents: SceneComponent[]};
	GetNumChildrenComponents(): number;
	GetForwardVector(): Vector;
	GetComponentVelocity(): Vector;
	GetChildrenComponents(bIncludeAllDescendants: boolean,Children?: SceneComponent[]): {Children: SceneComponent[]};
	GetChildComponent(ChildIndex: number): SceneComponent;
	GetAttachSocketName(): string;
	GetAttachParent(): SceneComponent;
	GetAllSocketNames(): string[];
	DoesSocketExist(InSocketName: string): boolean;
	DetachFromParent(bMaintainWorldPosition: boolean,bCallModify: boolean): void;
	static C(Other: UObject): SceneComponent;
	SetMobile(): void;
	SetMobility(Type: EComponentMobility): void;
	GetComponentBounds(Origin?: Vector,BoxExtent?: Vector,SphereRadius?: number): {Origin: Vector, BoxExtent: Vector, SphereRadius: number};
	MoveComponentTo(TargetRelativeLocation: Vector,TargetRelativeRotation: Rotator,bEaseOut: boolean,bEaseIn: boolean,OverTime: number,MoveAction: EMoveComponentAction,LatentInfo: LatentActionInfo): void;
	static SetMobile(SceneComponent: SceneComponent): void;
	static SetMobility(SceneComponent: SceneComponent,Type: EComponentMobility): void;
	static GetComponentBounds(Component: SceneComponent,Origin?: Vector,BoxExtent?: Vector,SphereRadius?: number): {Origin: Vector, BoxExtent: Vector, SphereRadius: number};
	static MoveComponentTo(Component: SceneComponent,TargetRelativeLocation: Vector,TargetRelativeRotation: Rotator,bEaseOut: boolean,bEaseIn: boolean,OverTime: number,MoveAction: EMoveComponentAction,LatentInfo: LatentActionInfo): void;
}

declare class RepAttachment { 
	AttachParent: Actor;
	LocationOffset: Vector_NetQuantize100;
	RelativeScale3D: Vector_NetQuantize100;
	RotationOffset: Rotator;
	AttachSocket: string;
	AttachComponent: SceneComponent;
	clone() : RepAttachment;
	static C(Other: UObject): RepAttachment;
}

declare type EInputConsumeOptions = string | symbol;
declare var EInputConsumeOptions = { ICO_ConsumeAll:'ICO_ConsumeAll',ICO_ConsumeBoundKeys:'ICO_ConsumeBoundKeys',ICO_ConsumeNone:'ICO_ConsumeNone', };
declare class InterpFilter extends UObject { 
	Caption: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InterpFilter;
	static Find(Outer: UObject, ResourceName: string): InterpFilter;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InterpFilter;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpFilter;
	static C(Other: UObject): InterpFilter;
}

declare class InterpGroupDirector extends InterpGroup { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InterpGroupDirector;
	static Find(Outer: UObject, ResourceName: string): InterpGroupDirector;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InterpGroupDirector;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpGroupDirector;
	static C(Other: UObject): InterpGroupDirector;
}

declare class InterpData extends UObject { 
	InterpLength: number;
	PathBuildTime: number;
	InterpGroups: InterpGroup[];
	CurveEdSetup: InterpCurveEdSetup;
	InterpFilters: InterpFilter[];
	SelectedFilter: InterpFilter;
	DefaultFilters: InterpFilter[];
	EdSectionStart: number;
	EdSectionEnd: number;
	bShouldBakeAndPrune: boolean;
	CachedDirectorGroup: InterpGroupDirector;
	AllEventNames: string[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InterpData;
	static Find(Outer: UObject, ResourceName: string): InterpData;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InterpData;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpData;
	static C(Other: UObject): InterpData;
}

declare class InterpGroupActorInfo { 
	ObjectName: string;
	Actors: Actor[];
	clone() : InterpGroupActorInfo;
	static C(Other: UObject): InterpGroupActorInfo;
}

declare class CameraCutInfo { 
	Location: Vector;
	TimeStamp: number;
	clone() : CameraCutInfo;
	static C(Other: UObject): CameraCutInfo;
}

declare class MatineeActor extends Actor { 
	MatineeData: InterpData;
	MatineeControllerName: string;
	PlayRate: number;
	bPlayOnLevelLoad: boolean;
	bForceStartPos: boolean;
	ForceStartPosition: number;
	bLooping: boolean;
	bRewindOnPlay: boolean;
	bNoResetOnRewind: boolean;
	bRewindIfAlreadyPlaying: boolean;
	bDisableRadioFilter: boolean;
	bClientSideOnly: boolean;
	bSkipUpdateIfNotVisible: boolean;
	bIsSkippable: boolean;
	PreferredSplitScreenNum: number;
	bDisableMovementInput: boolean;
	bDisableLookAtInput: boolean;
	bHidePlayer: boolean;
	bHideHud: boolean;
	GroupActorInfos: InterpGroupActorInfo[];
	bShouldShowGore: boolean;
	GroupInst: InterpGroupInst[];
	CameraCuts: CameraCutInfo[];
	SpriteComponent: BillboardComponent;
	bIsBeingEdited: boolean;
	bIsScrubbing: boolean;
	bIsPlaying: boolean;
	bReversePlayback: boolean;
	bPaused: boolean;
	bPendingStop: boolean;
	InterpPosition: number;
	ReplicationForceIsPlaying: number;
	OnPlay: UnrealEngineMulticastDelegate<() => void>;
	OnStop: UnrealEngineMulticastDelegate<() => void>;
	OnPause: UnrealEngineMulticastDelegate<() => void>;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MatineeActor;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MatineeActor;
	Stop(): void;
	SetPosition(NewPosition: number,bJump: boolean): void;
	SetLoopingState(bNewLooping: boolean): void;
	Reverse(): void;
	Play(): void;
	Pause(): void;
	EnableGroupByName(GroupName: string,bEnable: boolean): void;
	ChangePlaybackDirection(): void;
	static C(Other: UObject): MatineeActor;
}

declare class ChildActorComponent extends SceneComponent { 
	ChildActorClass: UnrealEngineClass;
	ChildActor: Actor;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ChildActorComponent;
	static Find(Outer: UObject, ResourceName: string): ChildActorComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ChildActorComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ChildActorComponent;
	SetChildActorClass(InClass: UnrealEngineClass): void;
	static C(Other: UObject): ChildActorComponent;
}

declare class Actor extends UObject { 
	PrimaryActorTick: ActorTickFunction;
	CustomTimeDilation: number;
	bHidden: boolean;
	bNetTemporary: boolean;
	bNetStartup: boolean;
	bOnlyRelevantToOwner: boolean;
	bAlwaysRelevant: boolean;
	bReplicateMovement: boolean;
	bTearOff: boolean;
	bExchangedRoles: boolean;
	bPendingNetUpdate: boolean;
	bNetLoadOnClient: boolean;
	bNetUseOwnerRelevancy: boolean;
	bBlockInput: boolean;
	bAllowTickBeforeBeginPlay: boolean;
	bActorEnableCollision: boolean;
	bReplicates: boolean;
	NetDriverName: string;
	RemoteRole: ENetRole;
	Owner: Actor;
	ReplicatedMovement: RepMovement;
	AttachmentReplication: RepAttachment;
	Role: ENetRole;
	AutoReceiveInput: EAutoReceiveInput;
	InputPriority: number;
	InputComponent: InputComponent;
	InputConsumeOption: EInputConsumeOptions;
	NetCullDistanceSquared: number;
	NetTag: number;
	NetUpdateTime: number;
	NetUpdateFrequency: number;
	MinNetUpdateFrequency: number;
	NetPriority: number;
	LastNetUpdateTime: number;
	bAutoDestroyWhenFinished: boolean;
	bCanBeDamaged: boolean;
	bActorIsBeingDestroyed: boolean;
	bCollideWhenPlacing: boolean;
	bFindCameraComponentWhenViewTarget: boolean;
	bRelevantForNetworkReplays: boolean;
	SpawnCollisionHandlingMethod: ESpawnActorCollisionHandlingMethod;
	Instigator: Pawn;
	Children: Actor[];
	RootComponent: SceneComponent;
	PivotOffset: Vector;
	ControllingMatineeActors: MatineeActor[];
	InitialLifeSpan: number;
	Layers: string[];
	ParentComponentActor: any;
	ParentComponent: any;
	GroupActor: Actor;
	SpriteScale: number;
	ActorLabel: string;
	FolderPath: string;
	bActorLabelEditable: boolean;
	bHiddenEd: boolean;
	bEditable: boolean;
	bListedInSceneOutliner: boolean;
	bHiddenEdLayer: boolean;
	bHiddenEdTemporary: boolean;
	bHiddenEdLevel: boolean;
	bLockLocation: boolean;
	bAllowReceiveTickEventOnDedicatedServer: boolean;
	bActorSeamlessTraveled: boolean;
	bIgnoresOriginShifting: boolean;
	bEnableAutoLODGeneration: boolean;
	Tags: string[];
	HiddenEditorViews: any;
	OnTakeAnyDamage: UnrealEngineMulticastDelegate<(DamagedActor: Actor, Damage: number, DamageType: DamageType, InstigatedBy: Controller, DamageCauser: Actor) => void>;
	OnTakePointDamage: UnrealEngineMulticastDelegate<(DamagedActor: Actor, Damage: number, InstigatedBy: Controller, HitLocation: Vector, FHitComponent: PrimitiveComponent, BoneName: string, ShotFromDirection: Vector, DamageType: DamageType, DamageCauser: Actor) => void>;
	OnActorBeginOverlap: UnrealEngineMulticastDelegate<(OverlappedActor: Actor, OtherActor: Actor) => void>;
	OnActorEndOverlap: UnrealEngineMulticastDelegate<(OverlappedActor: Actor, OtherActor: Actor) => void>;
	OnBeginCursorOver: UnrealEngineMulticastDelegate<(TouchedActor: Actor) => void>;
	OnEndCursorOver: UnrealEngineMulticastDelegate<(TouchedActor: Actor) => void>;
	OnClicked: UnrealEngineMulticastDelegate<(TouchedActor: Actor, ButtonPressed: Key) => void>;
	OnReleased: UnrealEngineMulticastDelegate<(TouchedActor: Actor, ButtonReleased: Key) => void>;
	OnInputTouchBegin: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedActor: Actor) => void>;
	OnInputTouchEnd: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedActor: Actor) => void>;
	OnInputTouchEnter: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedActor: Actor) => void>;
	OnInputTouchLeave: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedActor: Actor) => void>;
	OnActorHit: UnrealEngineMulticastDelegate<(SelfActor: Actor, OtherActor: Actor, NormalImpulse: Vector, Hit: HitResult) => void>;
	OnDestroyed: UnrealEngineMulticastDelegate<(DestroyedActor: Actor) => void>;
	OnEndPlay: UnrealEngineMulticastDelegate<(Actor: Actor, EndPlayReason: EEndPlayReason) => void>;
	BlueprintCreatedComponents: ActorComponent[];
	InstanceComponents: ActorComponent[];
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Actor;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Actor;
	WasRecentlyRendered(Tolerance: number): boolean;
	ConstructionScript(): void;
	TearOff(): void;
	SnapActorTo(InParentActor: Actor,InSocketName: string): void;
	SetTickGroup(NewTickGroup: ETickingGroup): void;
	SetTickableWhenPaused(bTickableWhenPaused: boolean): void;
	SetReplicates(bInReplicates: boolean): void;
	SetReplicateMovement(bInReplicateMovement: boolean): void;
	SetOwner(NewOwner: Actor): void;
	SetLifeSpan(InLifespan: number): void;
	SetActorTickEnabled(bEnabled: boolean): void;
	SetActorScale3D(NewScale3D: Vector): void;
	SetActorRelativeScale3D(NewRelativeScale: Vector): void;
	SetActorHiddenInGame(bNewHidden: boolean): void;
	SetActorEnableCollision(bNewActorEnableCollision: boolean): void;
	RemoveTickPrerequisiteComponent(PrerequisiteComponent: ActorComponent): void;
	RemoveTickPrerequisiteActor(PrerequisiteActor: Actor): void;
	Tick(DeltaSeconds: number): void;
	RadialDamage(DamageReceived: number,DamageType: DamageType,Origin: Vector,HitInfo: HitResult,InstigatedBy: Controller,DamageCauser: Actor): void;
	PointDamage(Damage: number,DamageType: DamageType,HitLocation: Vector,HitNormal: Vector,HitComponent: PrimitiveComponent,BoneName: string,ShotFromDirection: Vector,InstigatedBy: Controller,DamageCauser: Actor): void;
	Hit(MyComp: PrimitiveComponent,Other: Actor,OtherComp: PrimitiveComponent,bSelfMoved: boolean,HitLocation: Vector,HitNormal: Vector,NormalImpulse: Vector,Hit: HitResult): void;
	EndPlay(EndPlayReason: EEndPlayReason): void;
	Destroyed(): void;
	BeginPlay(): void;
	AnyDamage(Damage: number,DamageType: DamageType,InstigatedBy: Controller,DamageCauser: Actor): void;
	ActorOnReleased(ButtonReleased: Key): void;
	TouchLeave(FingerIndex: ETouchIndex): void;
	TouchEnter(FingerIndex: ETouchIndex): void;
	EndInputTouch(FingerIndex: ETouchIndex): void;
	BeginInputTouch(FingerIndex: ETouchIndex): void;
	ActorOnClicked(ButtonPressed: Key): void;
	ActorEndOverlap(OtherActor: Actor): void;
	ActorEndCursorOver(): void;
	ActorBeginOverlap(OtherActor: Actor): void;
	ActorBeginCursorOver(): void;
	OnRep_ReplicateMovement(): void;
	OnRep_ReplicatedMovement(): void;
	OnRep_Owner(): void;
	OnRep_Instigator(): void;
	OnRep_AttachmentReplication(): void;
	MakeNoise(Loudness: number,NoiseInstigator: Pawn,NoiseLocation: Vector,MaxRange: number,Tag: string): void;
	MakeMIDForMaterial(Parent: MaterialInterface): MaterialInstanceDynamic;
	Teleport(DestLocation: Vector,DestRotation: Rotator): boolean;
	SetActorTransform(NewTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult, $: boolean};
	SetActorRotation(NewRotation: Rotator,bTeleportPhysics: boolean): boolean;
	SetActorRelativeTransform(NewRelativeTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	SetActorRelativeRotation(NewRelativeRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	SetActorRelativeLocation(NewRelativeLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	SetActorLocationAndRotation(NewLocation: Vector,NewRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult, $: boolean};
	SetActorLocation(NewLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult, $: boolean};
	OnReset(): void;
	OnEndViewTarget(PC: PlayerController): void;
	OnBecomeViewTarget(PC: PlayerController): void;
	GetRootComponent(): SceneComponent;
	GetActorRotation(): Rotator;
	GetActorLocation(): Vector;
	DetachFromActor(LocationRule: EDetachmentRule,RotationRule: EDetachmentRule,ScaleRule: EDetachmentRule): void;
	DestroyComponent(Component: ActorComponent): void;
	DestroyActor(): void;
	AttachToComponent(Parent: SceneComponent,SocketName: string,LocationRule: EAttachmentRule,RotationRule: EAttachmentRule,ScaleRule: EAttachmentRule,bWeldSimulatedBodies: boolean): void;
	AttachToActor(ParentActor: Actor,SocketName: string,LocationRule: EAttachmentRule,RotationRule: EAttachmentRule,ScaleRule: EAttachmentRule,bWeldSimulatedBodies: boolean): void;
	AttachActorToActor(InParentActor: Actor,InSocketName: string,AttachLocationType: EAttachLocation,bWeldSimulatedBodies: boolean): void;
	AttachActorToComponent(InParent: SceneComponent,InSocketName: string,AttachLocationType: EAttachLocation,bWeldSimulatedBodies: boolean): void;
	AddActorWorldTransform(DeltaTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	AddActorWorldRotation(DeltaRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	AddActorWorldOffset(DeltaLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	AddActorLocalTransform(NewTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	AddActorLocalRotation(DeltaRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	AddActorLocalOffset(DeltaLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
	IsOverlappingActor(Other: Actor): boolean;
	IsChildActor(): boolean;
	IsActorTickEnabled(): boolean;
	IsActorBeingDestroyed(): boolean;
	HasAuthority(): boolean;
	GetVerticalDistanceTo(OtherActor: Actor): number;
	GetVelocity(): Vector;
	GetActorTransform(): Transform;
	GetTickableWhenPaused(): boolean;
	GetSquaredDistanceTo(OtherActor: Actor): number;
	GetRemoteRole(): ENetRole;
	GetParentComponent(): ChildActorComponent;
	GetOwner(): Actor;
	GetOverlappingComponents(OverlappingComponents?: PrimitiveComponent[]): {OverlappingComponents: PrimitiveComponent[]};
	GetOverlappingActors(OverlappingActors?: Actor[],ClassFilter?: UnrealEngineClass): {OverlappingActors: Actor[]};
	GetLifeSpan(): number;
	GetInstigatorController(): Controller;
	GetInstigator(): Pawn;
	GetInputVectorAxisValue(InputAxisKey: Key): Vector;
	GetInputAxisValue(InputAxisName: string): number;
	GetInputAxisKeyValue(InputAxisKey: Key): number;
	GetHorizontalDotProductTo(OtherActor: Actor): number;
	GetHorizontalDistanceTo(OtherActor: Actor): number;
	GetGameTimeSinceCreation(): number;
	GetDotProductTo(OtherActor: Actor): number;
	GetDistanceTo(OtherActor: Actor): number;
	GetComponentsByTag(ComponentClass: UnrealEngineClass,Tag: string): ActorComponent[];
	GetComponentsByClass(ComponentClass: UnrealEngineClass): ActorComponent[];
	GetComponentByClass(ComponentClass: UnrealEngineClass): ActorComponent;
	GetAttachedActors(OutActors?: Actor[]): {OutActors: Actor[]};
	GetAllChildActors(ChildActors?: Actor[],bIncludeDescendants?: boolean): {ChildActors: Actor[]};
	GetActorUpVector(): Vector;
	GetActorTimeDilation(): number;
	GetActorScale3D(): Vector;
	GetActorRightVector(): Vector;
	GetActorRelativeScale3D(): Vector;
	GetActorForwardVector(): Vector;
	GetActorEyesViewPoint(OutLocation?: Vector,OutRotation?: Rotator): {OutLocation: Vector, OutRotation: Rotator};
	GetActorEnableCollision(): boolean;
	GetActorBounds(bOnlyCollidingComponents: boolean,Origin?: Vector,BoxExtent?: Vector): {Origin: Vector, BoxExtent: Vector};
	ForceNetUpdate(): void;
	FlushNetDormancy(): void;
	EnableInput(PlayerController: PlayerController): void;
	DisableInput(PlayerController: PlayerController): void;
	DetachActorFromActor(bMaintainWorldPosition: boolean): void;
	AddTickPrerequisiteComponent(PrerequisiteComponent: ActorComponent): void;
	AddTickPrerequisiteActor(PrerequisiteActor: Actor): void;
	AddComponent(TemplateName: string,bManualAttachment: boolean,RelativeTransform: Transform,ComponentTemplateContext: UObject): ActorComponent;
	ActorHasTag(Tag: string): boolean;
	static C(Other: UObject): Actor;
	ClearActorLabel(): void;
	GetActorLabel(): string;
	GetFolderPath(): string;
	IsActorLabelEditable(): boolean;
	SetActorLabel(NewActorLabel: string,bMarkDirty: boolean): void;
	SetFolderPath(NewFolderPath: string): void;
	SetFolderPath_Recursively(NewFolderPath: string): void;
	SetIsTemporarilyHiddenInEditor(bIsHidden: boolean): void;
	Actor_GetWorld(): World;
	GetLastRenderTime(): number;
	GetLevel(): Level;
	ReregisterAllComponents(): void;
	SetRootComponent(Component: SceneComponent): void;
	GetActorBounds(Origin?: Vector,BoxExtent?: Vector): {Origin: Vector, BoxExtent: Vector};
	ApplyDamage(BaseDamage: number,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): void;
	ApplyPointDamage(BaseDamage: number,HitFromDirection: Vector,HitInfo: HitResult,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): void;
	FinishSpawningActor(SpawnTransform: Transform): Actor;
	GetAIController(): AIController;
	GetBlackboard(): BlackboardComponent;
	static ClearActorLabel(Actor: Actor): void;
	static GetActorLabel(Actor: Actor): string;
	static GetFolderPath(Actor: Actor): string;
	static IsActorLabelEditable(Actor: Actor): boolean;
	static SetActorLabel(Actor: Actor,NewActorLabel: string,bMarkDirty: boolean): void;
	static SetFolderPath(Actor: Actor,NewFolderPath: string): void;
	static SetFolderPath_Recursively(Actor: Actor,NewFolderPath: string): void;
	static SetIsTemporarilyHiddenInEditor(Actor: Actor,bIsHidden: boolean): void;
	static Actor_GetWorld(Actor: Actor): World;
	static GetLastRenderTime(Actor: Actor): number;
	static GetLevel(Actor: Actor): Level;
	static ReregisterAllComponents(Actor: Actor): void;
	static SetRootComponent(Actor: Actor,Component: SceneComponent): void;
	static GetActorBounds(Actor: Actor,Origin?: Vector,BoxExtent?: Vector): {Origin: Vector, BoxExtent: Vector};
	static ApplyDamage(DamagedActor: Actor,BaseDamage: number,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): void;
	static ApplyPointDamage(DamagedActor: Actor,BaseDamage: number,HitFromDirection: Vector,HitInfo: HitResult,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): void;
	static FinishSpawningActor(Actor: Actor,SpawnTransform: Transform): Actor;
	static GetAIController(ControlledActor: Actor): AIController;
	static GetBlackboard(Target: Actor): BlackboardComponent;
}

declare class Vector { 
	X: number;
	Y: number;
	Z: number;
	clone() : Vector;
	static C(Other: UObject): Vector;
	GenerateBoxMesh(Vertices?: Vector[],Triangles?: number[],Normals?: Vector[],UVs?: Vector2D[],Tangents?: ProcMeshTangent[]): {Vertices: Vector[], Triangles: number[], Normals: Vector[], UVs: Vector2D[], Tangents: ProcMeshTangent[]};
	GetRawSensorData(LinearAcceleration?: Vector,AngularVelocity?: Vector,LinearVelocity?: Vector,TimeInSeconds?: number): {AngularAcceleration: Vector, LinearAcceleration: Vector, AngularVelocity: Vector, LinearVelocity: Vector, TimeInSeconds: number};
	SetPositionScale3D(): void;
	SegmentIntersection2D(SegmentEndA: Vector,SegmentStartB: Vector,SegmentEndB: Vector,IntersectionPoint?: Vector): {IntersectionPoint: Vector, $: boolean};
	ToString(): string;
	Add_VectorFloat(B: number): Vector;
	Add_VectorInt(B: number): Vector;
	Add_VectorVector(B: Vector): Vector;
	BreakVector(X?: number,Y?: number,Z?: number): {X: number, Y: number, Z: number};
	ClampVectorSize(Min: number,Max: number): Vector;
	ToLinearColor(): LinearColor;
	RotationFromXVector(): Rotator;
	ToTransform(): Transform;
	ToVector2D(): Vector2D;
	CrossProduct(B: Vector): Vector;
	Divide_VectorFloat(B: number): Vector;
	Divide_VectorInt(B: number): Vector;
	Divide_VectorVector(B: Vector): Vector;
	DotProduct(B: Vector): number;
	Equal(B: Vector,ErrorTolerance: number): boolean;
	FindLookAtRotation(Target: Vector): Rotator;
	FindNearestPointsOnLineSegments(Segment1End: Vector,Segment2Start: Vector,Segment2End: Vector,Segment1Point?: Vector,Segment2Point?: Vector): {Segment1Point: Vector, Segment2Point: Vector};
	GetDirectionVector(To: Vector): Vector;
	GetMaxElement(): number;
	GetMinElement(): number;
	GetYawPitchFromVector(Yaw?: number,Pitch?: number): {Yaw: number, Pitch: number};
	RotateVector(B: Rotator): Vector;
	UnrotateVector(B: Rotator): Vector;
	LinePlaneIntersection(LineEnd: Vector,APlane: Plane,T?: number,Intersection?: Vector): {T: number, Intersection: Vector, $: boolean};
	LinePlaneIntersection(LineEnd: Vector,PlaneOrigin: Vector,PlaneNormal: Vector,T?: number,Intersection?: Vector): {T: number, Intersection: Vector, $: boolean};
	MakePlaneFromPointAndNormal(Normal: Vector): Plane;
	MakeRotationFromAxes(Right: Vector,Up: Vector): Rotator;
	MakeRotFromX(): Rotator;
	MakeRotFromXY(Y: Vector): Rotator;
	MakeRotFromXZ(Z: Vector): Rotator;
	MakeRotFromY(): Rotator;
	MakeRotFromYX(X: Vector): Rotator;
	MakeRotFromYZ(Z: Vector): Rotator;
	MakeRotFromZ(): Rotator;
	MakeRotFromZX(X: Vector): Rotator;
	MakeRotFromZY(Y: Vector): Rotator;
	MakeTransform(Rotation: Rotator,Scale: Vector): Transform;
	MirrorVectorByNormal(InNormal: Vector): Vector;
	Multiply_VectorFloat(B: number): Vector;
	Multiply_VectorInt(B: number): Vector;
	Multiply_VectorVector(B: Vector): Vector;
	NegateVector(): Vector;
	Normalize(): Vector;
	NotEqual(B: Vector,ErrorTolerance: number): boolean;
	ProjectPointOnToPlane(PlaneBase: Vector,PlaneNormal: Vector): Vector;
	ProjectVectorOnToPlane(PlaneNormal: Vector): Vector;
	ProjectVectorOnToVector(Target: Vector): Vector;
	RandomPointInBoundingBox(BoxExtent: Vector): Vector;
	RandomUnitVectorInCone(ConeHalfAngle: number): Vector;
	RandomUnitVectorInConeWithYawAndPitch(MaxYawInDegrees: number,MaxPitchInDegrees: number): Vector;
	RotateVectorAroundAxis(AngleDeg: number,Axis: Vector): Vector;
	RotatorFromAxisAndAngle(Angle: number): Rotator;
	SelectVector(B: Vector,bPickA: boolean): Vector;
	Subtract_VectorFloat(B: number): Vector;
	Subtract_VectorInt(B: number): Vector;
	Subtract_VectorVector(B: Vector): Vector;
	Ease(B: Vector,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Vector;
	VInterpTo(Target: Vector,DeltaTime: number,InterpSpeed: number): Vector;
	VInterpTo_Constant(Target: Vector,DeltaTime: number,InterpSpeed: number): Vector;
	Lerp(B: Vector,Alpha: number): Vector;
	VectorLength(): number;
	VectorLengthSquared(): number;
	GetPositionalTrackingCameraParameters(CameraRotation?: Rotator,HFOV?: number,VFOV?: number,CameraDistance?: number,NearPlane?: number,FarPlane?: number): {CameraOrigin: Vector, CameraRotation: Rotator, HFOV: number, VFOV: number, CameraDistance: number, NearPlane: number, FarPlane: number};
	IsValidAIDirection(): boolean;
	IsValidAILocation(): boolean;
	static GenerateBoxMesh(BoxRadius: Vector,Vertices?: Vector[],Triangles?: number[],Normals?: Vector[],UVs?: Vector2D[],Tangents?: ProcMeshTangent[]): {Vertices: Vector[], Triangles: number[], Normals: Vector[], UVs: Vector2D[], Tangents: ProcMeshTangent[]};
	static GetRawSensorData(AngularAcceleration?: Vector,LinearAcceleration?: Vector,AngularVelocity?: Vector,LinearVelocity?: Vector,TimeInSeconds?: number): {AngularAcceleration: Vector, LinearAcceleration: Vector, AngularVelocity: Vector, LinearVelocity: Vector, TimeInSeconds: number};
	static SetPositionScale3D(PosScale3D: Vector): void;
	static SegmentIntersection2D(SegmentStartA: Vector,SegmentEndA: Vector,SegmentStartB: Vector,SegmentEndB: Vector,IntersectionPoint?: Vector): {IntersectionPoint: Vector, $: boolean};
	static ToString(InVec: Vector): string;
	static Add_VectorFloat(A: Vector,B: number): Vector;
	static Add_VectorInt(A: Vector,B: number): Vector;
	static Add_VectorVector(A: Vector,B: Vector): Vector;
	static BreakVector(InVec: Vector,X?: number,Y?: number,Z?: number): {X: number, Y: number, Z: number};
	static ClampVectorSize(A: Vector,Min: number,Max: number): Vector;
	static ToLinearColor(InVec: Vector): LinearColor;
	static RotationFromXVector(InVec: Vector): Rotator;
	static ToTransform(InLocation: Vector): Transform;
	static ToVector2D(InVector: Vector): Vector2D;
	static CrossProduct(A: Vector,B: Vector): Vector;
	static Divide_VectorFloat(A: Vector,B: number): Vector;
	static Divide_VectorInt(A: Vector,B: number): Vector;
	static Divide_VectorVector(A: Vector,B: Vector): Vector;
	static DotProduct(A: Vector,B: Vector): number;
	static Equal(A: Vector,B: Vector,ErrorTolerance: number): boolean;
	static FindLookAtRotation(Start: Vector,Target: Vector): Rotator;
	static FindNearestPointsOnLineSegments(Segment1Start: Vector,Segment1End: Vector,Segment2Start: Vector,Segment2End: Vector,Segment1Point?: Vector,Segment2Point?: Vector): {Segment1Point: Vector, Segment2Point: Vector};
	static GetDirectionVector(From: Vector,To: Vector): Vector;
	static GetMaxElement(A: Vector): number;
	static GetMinElement(A: Vector): number;
	static GetYawPitchFromVector(InVec: Vector,Yaw?: number,Pitch?: number): {Yaw: number, Pitch: number};
	static RotateVector(A: Vector,B: Rotator): Vector;
	static UnrotateVector(A: Vector,B: Rotator): Vector;
	static LinePlaneIntersection(LineStart: Vector,LineEnd: Vector,APlane: Plane,T?: number,Intersection?: Vector): {T: number, Intersection: Vector, $: boolean};
	static LinePlaneIntersection(LineStart: Vector,LineEnd: Vector,PlaneOrigin: Vector,PlaneNormal: Vector,T?: number,Intersection?: Vector): {T: number, Intersection: Vector, $: boolean};
	static MakePlaneFromPointAndNormal(Point: Vector,Normal: Vector): Plane;
	static MakeRotationFromAxes(Forward: Vector,Right: Vector,Up: Vector): Rotator;
	static MakeRotFromX(X: Vector): Rotator;
	static MakeRotFromXY(X: Vector,Y: Vector): Rotator;
	static MakeRotFromXZ(X: Vector,Z: Vector): Rotator;
	static MakeRotFromY(Y: Vector): Rotator;
	static MakeRotFromYX(Y: Vector,X: Vector): Rotator;
	static MakeRotFromYZ(Y: Vector,Z: Vector): Rotator;
	static MakeRotFromZ(Z: Vector): Rotator;
	static MakeRotFromZX(Z: Vector,X: Vector): Rotator;
	static MakeRotFromZY(Z: Vector,Y: Vector): Rotator;
	static MakeTransform(Location: Vector,Rotation: Rotator,Scale: Vector): Transform;
	static MirrorVectorByNormal(InVect: Vector,InNormal: Vector): Vector;
	static Multiply_VectorFloat(A: Vector,B: number): Vector;
	static Multiply_VectorInt(A: Vector,B: number): Vector;
	static Multiply_VectorVector(A: Vector,B: Vector): Vector;
	static NegateVector(A: Vector): Vector;
	static Normalize(A: Vector): Vector;
	static NotEqual(A: Vector,B: Vector,ErrorTolerance: number): boolean;
	static ProjectPointOnToPlane(Point: Vector,PlaneBase: Vector,PlaneNormal: Vector): Vector;
	static ProjectVectorOnToPlane(V: Vector,PlaneNormal: Vector): Vector;
	static ProjectVectorOnToVector(V: Vector,Target: Vector): Vector;
	static RandomPointInBoundingBox(Origin: Vector,BoxExtent: Vector): Vector;
	static RandomUnitVectorInCone(ConeDir: Vector,ConeHalfAngle: number): Vector;
	static RandomUnitVectorInConeWithYawAndPitch(ConeDir: Vector,MaxYawInDegrees: number,MaxPitchInDegrees: number): Vector;
	static RotateVectorAroundAxis(InVect: Vector,AngleDeg: number,Axis: Vector): Vector;
	static RotatorFromAxisAndAngle(Axis: Vector,Angle: number): Rotator;
	static SelectVector(A: Vector,B: Vector,bPickA: boolean): Vector;
	static Subtract_VectorFloat(A: Vector,B: number): Vector;
	static Subtract_VectorInt(A: Vector,B: number): Vector;
	static Subtract_VectorVector(A: Vector,B: Vector): Vector;
	static Ease(A: Vector,B: Vector,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Vector;
	static VInterpTo(Current: Vector,Target: Vector,DeltaTime: number,InterpSpeed: number): Vector;
	static VInterpTo_Constant(Current: Vector,Target: Vector,DeltaTime: number,InterpSpeed: number): Vector;
	static Lerp(A: Vector,B: Vector,Alpha: number): Vector;
	static VectorLength(A: Vector): number;
	static VectorLengthSquared(A: Vector): number;
	static GetPositionalTrackingCameraParameters(CameraOrigin?: Vector,CameraRotation?: Rotator,HFOV?: number,VFOV?: number,CameraDistance?: number,NearPlane?: number,FarPlane?: number): {CameraOrigin: Vector, CameraRotation: Rotator, HFOV: number, VFOV: number, CameraDistance: number, NearPlane: number, FarPlane: number};
	static IsValidAIDirection(DirectionVector: Vector): boolean;
	static IsValidAILocation(Location: Vector): boolean;
	static ToVector(InFloat: number): Vector;
	static CreateVectorFromYawPitch(Yaw: number,Pitch: number,Length: number): Vector;
	static GetVectorArrayAverage(Vectors: Vector[]): Vector;
	static MakeVector(X: number,Y: number,Z: number): Vector;
	static RandomUnitVector(): Vector;
	static GetActorArrayAverageLocation(Actors: Actor[]): Vector;
}

declare class LinearColor { 
	R: number;
	G: number;
	B: number;
	A: number;
	clone() : LinearColor;
	static C(Other: UObject): LinearColor;
	ToString(): string;
	BreakColor(R?: number,G?: number,B?: number,A?: number): {R: number, G: number, B: number, A: number};
	CInterpTo(Target: LinearColor,DeltaTime: number,InterpSpeed: number): LinearColor;
	ToColor(): Color;
	ToVector(): Vector;
	HSVtoRGB(RGB?: LinearColor): {RGB: LinearColor};
	Lerp(B: LinearColor,Alpha: number): LinearColor;
	LerpUsingHSV(B: LinearColor,Alpha: number): LinearColor;
	Multiply_LinearColorFloat(B: number): LinearColor;
	Multiply_LinearColorLinearColor(B: LinearColor): LinearColor;
	RGBToHSV(H?: number,S?: number,V?: number,A?: number): {H: number, S: number, V: number, A: number};
	RGBtoHSV(HSV?: LinearColor): {HSV: LinearColor};
	SelectColor(B: LinearColor,bPickA: boolean): LinearColor;
	static ToString(InColor: LinearColor): string;
	static BreakColor(InColor: LinearColor,R?: number,G?: number,B?: number,A?: number): {R: number, G: number, B: number, A: number};
	static CInterpTo(Current: LinearColor,Target: LinearColor,DeltaTime: number,InterpSpeed: number): LinearColor;
	static ToColor(InLinearColor: LinearColor): Color;
	static ToVector(InLinearColor: LinearColor): Vector;
	static HSVtoRGB(HSV: LinearColor,RGB?: LinearColor): {RGB: LinearColor};
	static Lerp(A: LinearColor,B: LinearColor,Alpha: number): LinearColor;
	static LerpUsingHSV(A: LinearColor,B: LinearColor,Alpha: number): LinearColor;
	static Multiply_LinearColorFloat(A: LinearColor,B: number): LinearColor;
	static Multiply_LinearColorLinearColor(A: LinearColor,B: LinearColor): LinearColor;
	static RGBToHSV(InColor: LinearColor,H?: number,S?: number,V?: number,A?: number): {H: number, S: number, V: number, A: number};
	static RGBtoHSV(RGB: LinearColor,HSV?: LinearColor): {HSV: LinearColor};
	static SelectColor(A: LinearColor,B: LinearColor,bPickA: boolean): LinearColor;
	static ToLinearColor(InFloat: number): LinearColor;
	static HSVToRGB(H: number,S: number,V: number,A: number): LinearColor;
	static MakeColor(R: number,G: number,B: number,A: number): LinearColor;
}

declare class GenericStruct { 
	Data: number;
	clone() : GenericStruct;
	static C(Other: UObject): GenericStruct;
}

declare class UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): UObject;
	static Find(Outer: UObject, ResourceName: string): UObject;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): UObject;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UObject;
	ExecuteUbergraph(EntryPoint: number): void;
	static C(Other: UObject): UObject;
	MarkPackageDirty(): boolean;
	BroadcastAssetCreated(): void;
	ModifyObject(bAlwaysMarkDirty: boolean): void;
	CreateEnum(Name: string,DisplayNames: string[]): Enum;
	CreatePackage(PackageName: string): Package;
	Duplicate(Outer: UObject,Name: string): UObject;
	FindObjectWithOuter(ClassToLookFor: UnrealEngineClass,NameToLookFor: string): UObject;
	GetArchetypePathName(): string;
	GetDir(WhichDir: string): string;
	GetFileSize(Filename: string): number;
	GetName(): string;
	GetObjectsWithOuter(Results?: UObject[],bIncludeNestedObjects?: boolean,ExclusionFlags?: number,ExclusionInternalFlags?: number): {Results: UObject[]};
	GetOuter(): UObject;
	GetOutermost(): UObject;
	HasAnyFlags(Flags: number): boolean;
	ReadDirectory(Directory: string,OutItems?: DirectoryItem[]): {OutItems: DirectoryItem[], $: boolean};
	ReadFile(Filename: string): boolean;
	ReadStringFromFile(Filename: string): string;
	SetObjectFlags(Flags: number): void;
	WriteFile(Filename: string): boolean;
	WriteStringToFile(Filename: string,Data: string): boolean;
	Conv_AssetToObject(): UObject;
	CreateCopyForUndoBuffer(): void;
	DoesImplementInterface(Interface: UnrealEngineClass): boolean;
	GetDisplayName(): string;
	GetObjectName(): string;
	GetPathName(): string;
	IsValid(): boolean;
	ClearTimerbyFunctionName(FunctionName: string): void;
	GetTimerElapsedTimebyFunctionName(FunctionName: string): number;
	GetTimerRemainingTimebyFunctionName(FunctionName: string): number;
	IsTimerActivebyFunctionName(FunctionName: string): boolean;
	IsTimerPausedbyFunctionName(FunctionName: string): boolean;
	PauseTimerbyFunctionName(FunctionName: string): void;
	SetTimerbyFunctionName(FunctionName: string,Time: number,bLooping: boolean): TimerHandle;
	DoesTimerExistbyFunctionName(FunctionName: string): boolean;
	UnpauseTimerbyFunctionName(FunctionName: string): void;
	SetAssetClassPropertyByName(PropertyName: string,Value: any): void;
	SetAssetPropertyByName(PropertyName: string,Value: any): void;
	SetBoolPropertyByName(PropertyName: string,Value: boolean): void;
	SetBytePropertyByName(PropertyName: string,Value: number): void;
	SetClassPropertyByName(PropertyName: string,Value: UnrealEngineClass): void;
	SetCollisionProfileNameProperty(PropertyName: string,Value: CollisionProfileName): void;
	SetFloatPropertyByName(PropertyName: string,Value: number): void;
	SetInterfacePropertyByName(PropertyName: string,Value: any): void;
	SetIntPropertyByName(PropertyName: string,Value: number): void;
	SetLinearColorPropertyByName(PropertyName: string,Value: LinearColor): void;
	SetNamePropertyByName(PropertyName: string,Value: string): void;
	SetObjectPropertyByName(PropertyName: string,Value: UObject): void;
	SetRotatorPropertyByName(PropertyName: string,Value: Rotator): void;
	SetStringPropertyByName(PropertyName: string,Value: string): void;
	SetStructurePropertyByName(PropertyName: string,Value: GenericStruct): void;
	SetTextPropertyByName(PropertyName: string,Value: string): void;
	SetTransformPropertyByName(PropertyName: string,Value: Transform): void;
	SetVectorPropertyByName(PropertyName: string,Value: Vector): void;
	ToString(): string;
	Equal(B: UObject): boolean;
	NotEqual(B: UObject): boolean;
	SelectObject(B: UObject,bSelectA: boolean): UObject;
	SetArrayPropertyByName(PropertyName: string,Value: number[]): void;
	GetClass(): UnrealEngineClass;
	static MarkPackageDirty(InObject: UObject): boolean;
	static BroadcastAssetCreated(NewAsset: UObject): void;
	static ModifyObject(UObject: UObject,bAlwaysMarkDirty: boolean): void;
	static CreateEnum(Outer: UObject,Name: string,DisplayNames: string[]): Enum;
	static CreatePackage(Outer: UObject,PackageName: string): Package;
	static Duplicate(UObject: UObject,Outer: UObject,Name: string): UObject;
	static FindObjectWithOuter(Outer: UObject,ClassToLookFor: UnrealEngineClass,NameToLookFor: string): UObject;
	static GetArchetypePathName(UObject: UObject): string;
	static GetDir(UObject: UObject,WhichDir: string): string;
	static GetFileSize(UObject: UObject,Filename: string): number;
	static GetName(UObject: UObject): string;
	static GetObjectsWithOuter(Outer: UObject,Results?: UObject[],bIncludeNestedObjects?: boolean,ExclusionFlags?: number,ExclusionInternalFlags?: number): {Results: UObject[]};
	static GetOuter(UObject: UObject): UObject;
	static GetOutermost(UObject: UObject): UObject;
	static HasAnyFlags(UObject: UObject,Flags: number): boolean;
	static ReadDirectory(UObject: UObject,Directory: string,OutItems?: DirectoryItem[]): {OutItems: DirectoryItem[], $: boolean};
	static ReadFile(UObject: UObject,Filename: string): boolean;
	static ReadStringFromFile(UObject: UObject,Filename: string): string;
	static SetObjectFlags(Obj: UObject,Flags: number): void;
	static WriteFile(UObject: UObject,Filename: string): boolean;
	static WriteStringToFile(UObject: UObject,Filename: string,Data: string): boolean;
	static Conv_AssetToObject(Asset: any): UObject;
	static CreateCopyForUndoBuffer(ObjectToModify: UObject): void;
	static DoesImplementInterface(TestObject: UObject,Interface: UnrealEngineClass): boolean;
	static GetDisplayName(UObject: UObject): string;
	static GetObjectName(UObject: UObject): string;
	static GetPathName(UObject: UObject): string;
	static IsValid(UObject: UObject): boolean;
	static ClearTimerbyFunctionName(UObject: UObject,FunctionName: string): void;
	static GetTimerElapsedTimebyFunctionName(UObject: UObject,FunctionName: string): number;
	static GetTimerRemainingTimebyFunctionName(UObject: UObject,FunctionName: string): number;
	static IsTimerActivebyFunctionName(UObject: UObject,FunctionName: string): boolean;
	static IsTimerPausedbyFunctionName(UObject: UObject,FunctionName: string): boolean;
	static PauseTimerbyFunctionName(UObject: UObject,FunctionName: string): void;
	static SetTimerbyFunctionName(UObject: UObject,FunctionName: string,Time: number,bLooping: boolean): TimerHandle;
	static DoesTimerExistbyFunctionName(UObject: UObject,FunctionName: string): boolean;
	static UnpauseTimerbyFunctionName(UObject: UObject,FunctionName: string): void;
	static SetAssetClassPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
	static SetAssetPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
	static SetBoolPropertyByName(UObject: UObject,PropertyName: string,Value: boolean): void;
	static SetBytePropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
	static SetClassPropertyByName(UObject: UObject,PropertyName: string,Value: UnrealEngineClass): void;
	static SetCollisionProfileNameProperty(UObject: UObject,PropertyName: string,Value: CollisionProfileName): void;
	static SetFloatPropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
	static SetInterfacePropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
	static SetIntPropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
	static SetLinearColorPropertyByName(UObject: UObject,PropertyName: string,Value: LinearColor): void;
	static SetNamePropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
	static SetObjectPropertyByName(UObject: UObject,PropertyName: string,Value: UObject): void;
	static SetRotatorPropertyByName(UObject: UObject,PropertyName: string,Value: Rotator): void;
	static SetStringPropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
	static SetStructurePropertyByName(UObject: UObject,PropertyName: string,Value: GenericStruct): void;
	static SetTextPropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
	static SetTransformPropertyByName(UObject: UObject,PropertyName: string,Value: Transform): void;
	static SetVectorPropertyByName(UObject: UObject,PropertyName: string,Value: Vector): void;
	static ToString(InObj: UObject): string;
	static Equal(A: UObject,B: UObject): boolean;
	static NotEqual(A: UObject,B: UObject): boolean;
	static SelectObject(A: UObject,B: UObject,bSelectA: boolean): UObject;
	static SetArrayPropertyByName(UObject: UObject,PropertyName: string,Value: number[]): void;
	static GetClass(UObject: UObject): UnrealEngineClass;
}

declare class GCObjectReferencer extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GCObjectReferencer;
	static Find(Outer: UObject, ResourceName: string): GCObjectReferencer;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GCObjectReferencer;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GCObjectReferencer;
	static C(Other: UObject): GCObjectReferencer;
}

declare class TextBuffer extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TextBuffer;
	static Find(Outer: UObject, ResourceName: string): TextBuffer;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TextBuffer;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBuffer;
	static C(Other: UObject): TextBuffer;
}

declare class ScriptStruct extends Struct { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ScriptStruct;
	static Find(Outer: UObject, ResourceName: string): ScriptStruct;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ScriptStruct;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScriptStruct;
	static C(Other: UObject): ScriptStruct;
}

declare class DynamicBlueprintBinding extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DynamicBlueprintBinding;
	static Find(Outer: UObject, ResourceName: string): DynamicBlueprintBinding;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DynamicBlueprintBinding;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DynamicBlueprintBinding;
	static C(Other: UObject): DynamicBlueprintBinding;
}

declare class Class extends Struct { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Class;
	static Find(Outer: UObject, ResourceName: string): Class;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Class;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Class;
	static C(Other: UObject): Class;
	AddDynamicBinding(BindingObject: DynamicBlueprintBinding): void;
	GetClassPathName(): string;
	GetDerivedClasses(Results?: UnrealEngineClass[],bRecursive?: boolean): {Results: UnrealEngineClass[]};
	GetDynamicBinding(BindingObjectClass: UnrealEngineClass): DynamicBlueprintBinding;
	GetObjectsOfClass(Results?: UObject[],bIncludeDerivedClasses?: boolean,ExcludeFlags?: number,ExclusionInternalFlags?: number): {Results: UObject[]};
	Conv_AssetClassToClass(): UnrealEngineClass;
	GetDisplayName(): string;
	IsValidClass(): boolean;
	ClassIsChildOf(ParentClass: UnrealEngineClass): boolean;
	Equal(B: UnrealEngineClass): boolean;
	NotEqual(B: UnrealEngineClass): boolean;
	SelectClass(B: UnrealEngineClass,bSelectA: boolean): UnrealEngineClass;
	CreateSaveGameObject(): SaveGame;
	SpawnObject(Outer: UObject): UObject;
	CreateDragDropOperation(): DragDropOperation;
	static AddDynamicBinding(Outer: UnrealEngineClass,BindingObject: DynamicBlueprintBinding): void;
	static GetClassPathName(Class: UnrealEngineClass): string;
	static GetDerivedClasses(ClassToLookFor: UnrealEngineClass,Results?: UnrealEngineClass[],bRecursive?: boolean): {Results: UnrealEngineClass[]};
	static GetDynamicBinding(Outer: UnrealEngineClass,BindingObjectClass: UnrealEngineClass): DynamicBlueprintBinding;
	static GetObjectsOfClass(ClassToLookFor: UnrealEngineClass,Results?: UObject[],bIncludeDerivedClasses?: boolean,ExcludeFlags?: number,ExclusionInternalFlags?: number): {Results: UObject[]};
	static Conv_AssetClassToClass(AssetClass: any): UnrealEngineClass;
	static GetDisplayName(Class: UnrealEngineClass): string;
	static IsValidClass(Class: UnrealEngineClass): boolean;
	static ClassIsChildOf(TestClass: UnrealEngineClass,ParentClass: UnrealEngineClass): boolean;
	static Equal(A: UnrealEngineClass,B: UnrealEngineClass): boolean;
	static NotEqual(A: UnrealEngineClass,B: UnrealEngineClass): boolean;
	static SelectClass(A: UnrealEngineClass,B: UnrealEngineClass,bSelectA: boolean): UnrealEngineClass;
	static CreateSaveGameObject(SaveGameClass: UnrealEngineClass): SaveGame;
	static SpawnObject(ObjectClass: UnrealEngineClass,Outer: UObject): UObject;
	static CreateDragDropOperation(OperationClass: UnrealEngineClass): DragDropOperation;
}

declare class UFunction extends Struct { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): UFunction;
	static Find(Outer: UObject, ResourceName: string): UFunction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): UFunction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UFunction;
	static C(Other: UObject): UFunction;
}

declare class DelegateFunction extends UFunction { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DelegateFunction;
	static Find(Outer: UObject, ResourceName: string): DelegateFunction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DelegateFunction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DelegateFunction;
	static C(Other: UObject): DelegateFunction;
}

declare class DynamicClass extends Class { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DynamicClass;
	static Find(Outer: UObject, ResourceName: string): DynamicClass;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DynamicClass;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DynamicClass;
	static C(Other: UObject): DynamicClass;
}

declare class LinkerPlaceholderClass extends Class { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): LinkerPlaceholderClass;
	static Find(Outer: UObject, ResourceName: string): LinkerPlaceholderClass;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): LinkerPlaceholderClass;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LinkerPlaceholderClass;
	static C(Other: UObject): LinkerPlaceholderClass;
}

declare class LinkerPlaceholderExportObject extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): LinkerPlaceholderExportObject;
	static Find(Outer: UObject, ResourceName: string): LinkerPlaceholderExportObject;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): LinkerPlaceholderExportObject;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LinkerPlaceholderExportObject;
	static C(Other: UObject): LinkerPlaceholderExportObject;
}

declare class LinkerPlaceholderFunction extends UFunction { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): LinkerPlaceholderFunction;
	static Find(Outer: UObject, ResourceName: string): LinkerPlaceholderFunction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): LinkerPlaceholderFunction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LinkerPlaceholderFunction;
	static C(Other: UObject): LinkerPlaceholderFunction;
}

declare class MetaData extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MetaData;
	static Find(Outer: UObject, ResourceName: string): MetaData;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MetaData;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MetaData;
	static C(Other: UObject): MetaData;
}

declare class ObjectRedirector extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ObjectRedirector;
	static Find(Outer: UObject, ResourceName: string): ObjectRedirector;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ObjectRedirector;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectRedirector;
	static C(Other: UObject): ObjectRedirector;
}

declare class NumericProperty extends Property { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NumericProperty;
	static Find(Outer: UObject, ResourceName: string): NumericProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NumericProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NumericProperty;
	static C(Other: UObject): NumericProperty;
}

declare class ArrayProperty extends Property { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ArrayProperty;
	static Find(Outer: UObject, ResourceName: string): ArrayProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ArrayProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ArrayProperty;
	static C(Other: UObject): ArrayProperty;
}

declare class ObjectPropertyBase extends Property { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ObjectPropertyBase;
	static Find(Outer: UObject, ResourceName: string): ObjectPropertyBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ObjectPropertyBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectPropertyBase;
	static C(Other: UObject): ObjectPropertyBase;
}

declare class AssetObjectProperty extends ObjectPropertyBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AssetObjectProperty;
	static Find(Outer: UObject, ResourceName: string): AssetObjectProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AssetObjectProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetObjectProperty;
	static C(Other: UObject): AssetObjectProperty;
}

declare class AssetClassProperty extends AssetObjectProperty { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AssetClassProperty;
	static Find(Outer: UObject, ResourceName: string): AssetClassProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AssetClassProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetClassProperty;
	static C(Other: UObject): AssetClassProperty;
}

declare class BoolProperty extends Property { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BoolProperty;
	static Find(Outer: UObject, ResourceName: string): BoolProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BoolProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoolProperty;
	static C(Other: UObject): BoolProperty;
}

declare class ByteProperty extends NumericProperty { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ByteProperty;
	static Find(Outer: UObject, ResourceName: string): ByteProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ByteProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ByteProperty;
	static C(Other: UObject): ByteProperty;
}

declare class ObjectProperty extends ObjectPropertyBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ObjectProperty;
	static Find(Outer: UObject, ResourceName: string): ObjectProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ObjectProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectProperty;
	static C(Other: UObject): ObjectProperty;
}

declare class ClassProperty extends ObjectProperty { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ClassProperty;
	static Find(Outer: UObject, ResourceName: string): ClassProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ClassProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClassProperty;
	static C(Other: UObject): ClassProperty;
}

declare class DelegateProperty extends Property { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DelegateProperty;
	static Find(Outer: UObject, ResourceName: string): DelegateProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DelegateProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DelegateProperty;
	static C(Other: UObject): DelegateProperty;
}

declare class DoubleProperty extends NumericProperty { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DoubleProperty;
	static Find(Outer: UObject, ResourceName: string): DoubleProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DoubleProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DoubleProperty;
	static C(Other: UObject): DoubleProperty;
}

declare class FloatProperty extends NumericProperty { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): FloatProperty;
	static Find(Outer: UObject, ResourceName: string): FloatProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): FloatProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FloatProperty;
	static C(Other: UObject): FloatProperty;
}

declare class IntProperty extends NumericProperty { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): IntProperty;
	static Find(Outer: UObject, ResourceName: string): IntProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): IntProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): IntProperty;
	static C(Other: UObject): IntProperty;
}

declare class Int16Property extends NumericProperty { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Int16Property;
	static Find(Outer: UObject, ResourceName: string): Int16Property;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Int16Property;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Int16Property;
	static C(Other: UObject): Int16Property;
}

declare class Int64Property extends NumericProperty { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Int64Property;
	static Find(Outer: UObject, ResourceName: string): Int64Property;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Int64Property;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Int64Property;
	static C(Other: UObject): Int64Property;
}

declare class Int8Property extends NumericProperty { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Int8Property;
	static Find(Outer: UObject, ResourceName: string): Int8Property;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Int8Property;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Int8Property;
	static C(Other: UObject): Int8Property;
}

declare class InterfaceProperty extends Property { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InterfaceProperty;
	static Find(Outer: UObject, ResourceName: string): InterfaceProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InterfaceProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterfaceProperty;
	static C(Other: UObject): InterfaceProperty;
}

declare class LazyObjectProperty extends ObjectPropertyBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): LazyObjectProperty;
	static Find(Outer: UObject, ResourceName: string): LazyObjectProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): LazyObjectProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LazyObjectProperty;
	static C(Other: UObject): LazyObjectProperty;
}

declare class MapProperty extends Property { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MapProperty;
	static Find(Outer: UObject, ResourceName: string): MapProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MapProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MapProperty;
	static C(Other: UObject): MapProperty;
}

declare class MulticastDelegateProperty extends Property { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MulticastDelegateProperty;
	static Find(Outer: UObject, ResourceName: string): MulticastDelegateProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MulticastDelegateProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MulticastDelegateProperty;
	static C(Other: UObject): MulticastDelegateProperty;
}

declare class NameProperty extends Property { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NameProperty;
	static Find(Outer: UObject, ResourceName: string): NameProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NameProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NameProperty;
	static C(Other: UObject): NameProperty;
}

declare class StrProperty extends Property { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): StrProperty;
	static Find(Outer: UObject, ResourceName: string): StrProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): StrProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StrProperty;
	static C(Other: UObject): StrProperty;
}

declare class StructProperty extends Property { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): StructProperty;
	static Find(Outer: UObject, ResourceName: string): StructProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): StructProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StructProperty;
	static C(Other: UObject): StructProperty;
}

declare class UInt16Property extends NumericProperty { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): UInt16Property;
	static Find(Outer: UObject, ResourceName: string): UInt16Property;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): UInt16Property;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UInt16Property;
	static C(Other: UObject): UInt16Property;
}

declare class UInt32Property extends NumericProperty { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): UInt32Property;
	static Find(Outer: UObject, ResourceName: string): UInt32Property;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): UInt32Property;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UInt32Property;
	static C(Other: UObject): UInt32Property;
}

declare class UInt64Property extends NumericProperty { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): UInt64Property;
	static Find(Outer: UObject, ResourceName: string): UInt64Property;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): UInt64Property;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UInt64Property;
	static C(Other: UObject): UInt64Property;
}

declare class WeakObjectProperty extends ObjectPropertyBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WeakObjectProperty;
	static Find(Outer: UObject, ResourceName: string): WeakObjectProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WeakObjectProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WeakObjectProperty;
	static C(Other: UObject): WeakObjectProperty;
}

declare class TextProperty extends Property { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TextProperty;
	static Find(Outer: UObject, ResourceName: string): TextProperty;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TextProperty;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextProperty;
	static C(Other: UObject): TextProperty;
}

declare class InputCoreTypes extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InputCoreTypes;
	static Find(Outer: UObject, ResourceName: string): InputCoreTypes;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InputCoreTypes;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputCoreTypes;
	static C(Other: UObject): InputCoreTypes;
}

declare class FontProviderInterface extends Interface { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): FontProviderInterface;
	static Find(Outer: UObject, ResourceName: string): FontProviderInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): FontProviderInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontProviderInterface;
	static C(Other: UObject): FontProviderInterface;
}

declare class SlateTypes extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SlateTypes;
	static Find(Outer: UObject, ResourceName: string): SlateTypes;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SlateTypes;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateTypes;
	static C(Other: UObject): SlateTypes;
}

declare class SlateWidgetStyleContainerInterface extends Interface { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SlateWidgetStyleContainerInterface;
	static Find(Outer: UObject, ResourceName: string): SlateWidgetStyleContainerInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SlateWidgetStyleContainerInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateWidgetStyleContainerInterface;
	static C(Other: UObject): SlateWidgetStyleContainerInterface;
}

declare class SlateWidgetStyleContainerBase extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SlateWidgetStyleContainerBase;
	static Find(Outer: UObject, ResourceName: string): SlateWidgetStyleContainerBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SlateWidgetStyleContainerBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateWidgetStyleContainerBase;
	static C(Other: UObject): SlateWidgetStyleContainerBase;
}

declare class SlateWidgetStyleAsset extends UObject { 
	CustomStyle: SlateWidgetStyleContainerBase;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SlateWidgetStyleAsset;
	static Find(Outer: UObject, ResourceName: string): SlateWidgetStyleAsset;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SlateWidgetStyleAsset;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateWidgetStyleAsset;
	static C(Other: UObject): SlateWidgetStyleAsset;
}

declare class SlateWidgetStyle { 
	clone() : SlateWidgetStyle;
	static C(Other: UObject): SlateWidgetStyle;
}

declare class SlateSound { 
	ResourceObject: UObject;
	clone() : SlateSound;
	static C(Other: UObject): SlateSound;
}

declare class ButtonStyle extends SlateWidgetStyle { 
	Normal: SlateBrush;
	Hovered: SlateBrush;
	Pressed: SlateBrush;
	Disabled: SlateBrush;
	NormalPadding: Margin;
	PressedPadding: Margin;
	PressedSlateSound: SlateSound;
	HoveredSlateSound: SlateSound;
	PressedSound: string;
	HoveredSound: string;
	clone() : ButtonStyle;
	static C(Other: UObject): ButtonStyle;
}

declare class ButtonWidgetStyle extends SlateWidgetStyleContainerBase { 
	ButtonStyle: ButtonStyle;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ButtonWidgetStyle;
	static Find(Outer: UObject, ResourceName: string): ButtonWidgetStyle;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ButtonWidgetStyle;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ButtonWidgetStyle;
	static C(Other: UObject): ButtonWidgetStyle;
}

declare type ESlateCheckBoxType = string | symbol;
declare var ESlateCheckBoxType = { CheckBox:'CheckBox',ToggleButton:'ToggleButton', };
declare class CheckBoxStyle extends SlateWidgetStyle { 
	CheckBoxType: ESlateCheckBoxType;
	UncheckedImage: SlateBrush;
	UncheckedHoveredImage: SlateBrush;
	UncheckedPressedImage: SlateBrush;
	CheckedImage: SlateBrush;
	CheckedHoveredImage: SlateBrush;
	CheckedPressedImage: SlateBrush;
	UndeterminedImage: SlateBrush;
	UndeterminedHoveredImage: SlateBrush;
	UndeterminedPressedImage: SlateBrush;
	Padding: Margin;
	ForegroundColor: SlateColor;
	BorderBackgroundColor: SlateColor;
	CheckedSlateSound: SlateSound;
	UncheckedSlateSound: SlateSound;
	HoveredSlateSound: SlateSound;
	CheckedSound: string;
	UncheckedSound: string;
	HoveredSound: string;
	clone() : CheckBoxStyle;
	static C(Other: UObject): CheckBoxStyle;
}

declare class CheckBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
	CheckBoxStyle: CheckBoxStyle;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CheckBoxWidgetStyle;
	static Find(Outer: UObject, ResourceName: string): CheckBoxWidgetStyle;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CheckBoxWidgetStyle;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CheckBoxWidgetStyle;
	static C(Other: UObject): CheckBoxWidgetStyle;
}

declare class ComboButtonStyle extends SlateWidgetStyle { 
	ButtonStyle: ButtonStyle;
	DownArrowImage: SlateBrush;
	MenuBorderBrush: SlateBrush;
	MenuBorderPadding: Margin;
	clone() : ComboButtonStyle;
	static C(Other: UObject): ComboButtonStyle;
}

declare class ComboBoxStyle extends SlateWidgetStyle { 
	ComboButtonStyle: ComboButtonStyle;
	PressedSlateSound: SlateSound;
	SelectionChangeSlateSound: SlateSound;
	PressedSound: string;
	SelectionChangeSound: string;
	clone() : ComboBoxStyle;
	static C(Other: UObject): ComboBoxStyle;
}

declare class ComboBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
	ComboBoxStyle: ComboBoxStyle;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ComboBoxWidgetStyle;
	static Find(Outer: UObject, ResourceName: string): ComboBoxWidgetStyle;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ComboBoxWidgetStyle;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComboBoxWidgetStyle;
	static C(Other: UObject): ComboBoxWidgetStyle;
}

declare class ComboButtonWidgetStyle extends SlateWidgetStyleContainerBase { 
	ComboButtonStyle: ComboButtonStyle;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ComboButtonWidgetStyle;
	static Find(Outer: UObject, ResourceName: string): ComboButtonWidgetStyle;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ComboButtonWidgetStyle;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComboButtonWidgetStyle;
	static C(Other: UObject): ComboButtonWidgetStyle;
}

declare class SlateFontInfo { 
	FontObject: UObject;
	FontMaterial: UObject;
	TypefaceFontName: string;
	Size: number;
	FontName: string;
	Hinting: EFontHinting;
	clone() : SlateFontInfo;
	static C(Other: UObject): SlateFontInfo;
}

declare class ScrollBarStyle extends SlateWidgetStyle { 
	HorizontalBackgroundImage: SlateBrush;
	VerticalBackgroundImage: SlateBrush;
	VerticalTopSlotImage: SlateBrush;
	HorizontalTopSlotImage: SlateBrush;
	VerticalBottomSlotImage: SlateBrush;
	HorizontalBottomSlotImage: SlateBrush;
	NormalThumbImage: SlateBrush;
	HoveredThumbImage: SlateBrush;
	DraggedThumbImage: SlateBrush;
	clone() : ScrollBarStyle;
	static C(Other: UObject): ScrollBarStyle;
}

declare class EditableTextBoxStyle extends SlateWidgetStyle { 
	BackgroundImageNormal: SlateBrush;
	BackgroundImageHovered: SlateBrush;
	BackgroundImageFocused: SlateBrush;
	BackgroundImageReadOnly: SlateBrush;
	Padding: Margin;
	Font: SlateFontInfo;
	ForegroundColor: SlateColor;
	BackgroundColor: SlateColor;
	ReadOnlyForegroundColor: SlateColor;
	HScrollBarPadding: Margin;
	VScrollBarPadding: Margin;
	ScrollBarStyle: ScrollBarStyle;
	clone() : EditableTextBoxStyle;
	static C(Other: UObject): EditableTextBoxStyle;
}

declare class EditableTextBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
	EditableTextBoxStyle: EditableTextBoxStyle;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EditableTextBoxWidgetStyle;
	static Find(Outer: UObject, ResourceName: string): EditableTextBoxWidgetStyle;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EditableTextBoxWidgetStyle;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableTextBoxWidgetStyle;
	static C(Other: UObject): EditableTextBoxWidgetStyle;
}

declare class EditableTextStyle extends SlateWidgetStyle { 
	Font: SlateFontInfo;
	ColorAndOpacity: SlateColor;
	BackgroundImageSelected: SlateBrush;
	BackgroundImageComposing: SlateBrush;
	CaretImage: SlateBrush;
	clone() : EditableTextStyle;
	static C(Other: UObject): EditableTextStyle;
}

declare class EditableTextWidgetStyle extends SlateWidgetStyleContainerBase { 
	EditableTextStyle: EditableTextStyle;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EditableTextWidgetStyle;
	static Find(Outer: UObject, ResourceName: string): EditableTextWidgetStyle;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EditableTextWidgetStyle;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableTextWidgetStyle;
	static C(Other: UObject): EditableTextWidgetStyle;
}

declare class ProgressBarStyle extends SlateWidgetStyle { 
	BackgroundImage: SlateBrush;
	FillImage: SlateBrush;
	MarqueeImage: SlateBrush;
	clone() : ProgressBarStyle;
	static C(Other: UObject): ProgressBarStyle;
}

declare class ProgressWidgetStyle extends SlateWidgetStyleContainerBase { 
	ProgressBarStyle: ProgressBarStyle;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ProgressWidgetStyle;
	static Find(Outer: UObject, ResourceName: string): ProgressWidgetStyle;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ProgressWidgetStyle;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProgressWidgetStyle;
	static C(Other: UObject): ProgressWidgetStyle;
}

declare class ScrollBarWidgetStyle extends SlateWidgetStyleContainerBase { 
	ScrollBarStyle: ScrollBarStyle;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ScrollBarWidgetStyle;
	static Find(Outer: UObject, ResourceName: string): ScrollBarWidgetStyle;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ScrollBarWidgetStyle;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBarWidgetStyle;
	static C(Other: UObject): ScrollBarWidgetStyle;
}

declare class ScrollBoxStyle extends SlateWidgetStyle { 
	TopShadowBrush: SlateBrush;
	BottomShadowBrush: SlateBrush;
	LeftShadowBrush: SlateBrush;
	RightShadowBrush: SlateBrush;
	clone() : ScrollBoxStyle;
	static C(Other: UObject): ScrollBoxStyle;
}

declare class ScrollBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
	ScrollBoxStyle: ScrollBoxStyle;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ScrollBoxWidgetStyle;
	static Find(Outer: UObject, ResourceName: string): ScrollBoxWidgetStyle;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ScrollBoxWidgetStyle;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBoxWidgetStyle;
	static C(Other: UObject): ScrollBoxWidgetStyle;
}

declare class SpinBoxStyle extends SlateWidgetStyle { 
	BackgroundBrush: SlateBrush;
	HoveredBackgroundBrush: SlateBrush;
	ActiveFillBrush: SlateBrush;
	InactiveFillBrush: SlateBrush;
	ArrowsImage: SlateBrush;
	ForegroundColor: SlateColor;
	TextPadding: Margin;
	clone() : SpinBoxStyle;
	static C(Other: UObject): SpinBoxStyle;
}

declare class SpinBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
	SpinBoxStyle: SpinBoxStyle;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SpinBoxWidgetStyle;
	static Find(Outer: UObject, ResourceName: string): SpinBoxWidgetStyle;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SpinBoxWidgetStyle;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpinBoxWidgetStyle;
	static C(Other: UObject): SpinBoxWidgetStyle;
}

declare class TextBlockStyle extends SlateWidgetStyle { 
	Font: SlateFontInfo;
	ColorAndOpacity: SlateColor;
	ShadowOffset: Vector2D;
	ShadowColorAndOpacity: LinearColor;
	SelectedBackgroundColor: SlateColor;
	HighlightColor: LinearColor;
	HighlightShape: SlateBrush;
	clone() : TextBlockStyle;
	static C(Other: UObject): TextBlockStyle;
}

declare class TextBlockWidgetStyle extends SlateWidgetStyleContainerBase { 
	TextBlockStyle: TextBlockStyle;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TextBlockWidgetStyle;
	static Find(Outer: UObject, ResourceName: string): TextBlockWidgetStyle;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TextBlockWidgetStyle;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBlockWidgetStyle;
	static C(Other: UObject): TextBlockWidgetStyle;
}

declare type EColorVisionDeficiency = string | symbol;
declare var EColorVisionDeficiency = { CVD_NormalVision:'CVD_NormalVision',CVD_Deuteranomly:'CVD_Deuteranomly',CVD_Deuteranopia:'CVD_Deuteranopia',CVD_Protanomly:'CVD_Protanomly',CVD_Protanopia:'CVD_Protanopia',CVD_Tritanomaly:'CVD_Tritanomaly',CVD_Tritanopia:'CVD_Tritanopia',CVD_Achromatopsia:'CVD_Achromatopsia', };
declare type ELogTimes = string | symbol;
declare var ELogTimes = { None:'None',UTC:'UTC',SinceGStartTime:'SinceGStartTime', };
declare type EAssetEditorOpenLocation = string | symbol;
declare var EAssetEditorOpenLocation = { Default:'Default',NewWindow:'NewWindow',MainWindow:'MainWindow',ContentBrowser:'ContentBrowser',LastDockedWindowOrNewWindow:'LastDockedWindowOrNewWindow',LastDockedWindowOrMainWindow:'LastDockedWindowOrMainWindow',LastDockedWindowOrContentBrowser:'LastDockedWindowOrContentBrowser', };
declare class EditorStyleSettings extends UObject { 
	SelectionColor: LinearColor;
	PressedSelectionColor: LinearColor;
	InactiveSelectionColor: LinearColor;
	KeyboardFocusColor: LinearColor;
	ColorVisionDeficiencyPreviewType: EColorVisionDeficiency;
	bUseSmallToolBarIcons: boolean;
	bEnableWindowAnimations: boolean;
	bShowFriendlyNames: boolean;
	bExpandConfigurationMenus: boolean;
	bShowProjectMenus: boolean;
	bShowLaunchMenus: boolean;
	LogTimestampMode: ELogTimes;
	bPromoteOutputLogWarningsDuringPIE: boolean;
	AssetEditorOpenLocation: EAssetEditorOpenLocation;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EditorStyleSettings;
	static Find(Outer: UObject, ResourceName: string): EditorStyleSettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EditorStyleSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorStyleSettings;
	static C(Other: UObject): EditorStyleSettings;
}

declare class MaterialQualityOverrides { 
	bEnableOverride: boolean;
	bForceFullyRough: boolean;
	bForceNonMetal: boolean;
	bForceDisableLMDirectionality: boolean;
	bForceLQReflections: boolean;
	clone() : MaterialQualityOverrides;
	static C(Other: UObject): MaterialQualityOverrides;
}

declare class ShaderPlatformQualitySettings extends UObject { 
	QualityOverrides: MaterialQualityOverrides;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ShaderPlatformQualitySettings;
	static Find(Outer: UObject, ResourceName: string): ShaderPlatformQualitySettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ShaderPlatformQualitySettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ShaderPlatformQualitySettings;
	static C(Other: UObject): ShaderPlatformQualitySettings;
}

declare class MaterialShaderQualitySettings extends UObject { 
	ForwardSettingMap: any;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MaterialShaderQualitySettings;
	static Find(Outer: UObject, ResourceName: string): MaterialShaderQualitySettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MaterialShaderQualitySettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialShaderQualitySettings;
	static C(Other: UObject): MaterialShaderQualitySettings;
}

declare class AutoCompleteCommand { 
	Command: string;
	Desc: string;
	clone() : AutoCompleteCommand;
	static C(Other: UObject): AutoCompleteCommand;
}

declare class ConsoleSettings extends UObject { 
	MaxScrollbackSize: number;
	ManualAutoCompleteList: AutoCompleteCommand[];
	AutoCompleteMapPaths: string[];
	BackgroundOpacityPercentage: number;
	bOrderTopToBottom: boolean;
	InputColor: Color;
	HistoryColor: Color;
	AutoCompleteCommandColor: Color;
	AutoCompleteCVarColor: Color;
	AutoCompleteFadedColor: Color;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ConsoleSettings;
	static Find(Outer: UObject, ResourceName: string): ConsoleSettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ConsoleSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ConsoleSettings;
	static C(Other: UObject): ConsoleSettings;
}

declare type ETwoPlayerSplitScreenType = string | symbol;
declare var ETwoPlayerSplitScreenType = { Horizontal:'Horizontal',Vertical:'Vertical', };
declare type EThreePlayerSplitScreenType = string | symbol;
declare var EThreePlayerSplitScreenType = { FavorTop:'FavorTop',FavorBottom:'FavorBottom', };
declare class GameMapsSettings extends UObject { 
	EditorStartupMap: StringAssetReference;
	LocalMapOptions: string;
	TransitionMap: StringAssetReference;
	bUseSplitscreen: boolean;
	TwoPlayerSplitscreenLayout: ETwoPlayerSplitScreenType;
	ThreePlayerSplitscreenLayout: EThreePlayerSplitScreenType;
	GameInstanceClass: StringClassReference;
	GameDefaultMap: StringAssetReference;
	ServerDefaultMap: StringAssetReference;
	GlobalDefaultGameMode: StringClassReference;
	GlobalDefaultServerGameMode: StringClassReference;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameMapsSettings;
	static Find(Outer: UObject, ResourceName: string): GameMapsSettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameMapsSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameMapsSettings;
	static C(Other: UObject): GameMapsSettings;
}

declare class GameNetworkManagerSettings extends UObject { 
	MinDynamicBandwidth: number;
	MaxDynamicBandwidth: number;
	TotalNetBandwidth: number;
	BadPingThreshold: number;
	bIsStandbyCheckingEnabled: boolean;
	StandbyRxCheatTime: number;
	StandbyTxCheatTime: number;
	PercentMissingForRxStandby: number;
	PercentMissingForTxStandby: number;
	PercentForBadPing: number;
	JoinInProgressStandbyWaitTime: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameNetworkManagerSettings;
	static Find(Outer: UObject, ResourceName: string): GameNetworkManagerSettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameNetworkManagerSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameNetworkManagerSettings;
	static C(Other: UObject): GameNetworkManagerSettings;
}

declare class GameSessionSettings extends UObject { 
	MaxSpectators: number;
	MaxPlayers: number;
	bRequiresPushToTalk: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameSessionSettings;
	static Find(Outer: UObject, ResourceName: string): GameSessionSettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameSessionSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameSessionSettings;
	static C(Other: UObject): GameSessionSettings;
}

declare class GeneralEngineSettings extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GeneralEngineSettings;
	static Find(Outer: UObject, ResourceName: string): GeneralEngineSettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GeneralEngineSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeneralEngineSettings;
	static C(Other: UObject): GeneralEngineSettings;
}

declare class GeneralProjectSettings extends UObject { 
	CompanyName: string;
	CompanyDistinguishedName: string;
	CopyrightNotice: string;
	Description: string;
	Homepage: string;
	LicensingTerms: string;
	PrivacyPolicy: string;
	ProjectID: Guid;
	ProjectName: string;
	ProjectVersion: string;
	SupportContact: string;
	ProjectDisplayedTitle: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GeneralProjectSettings;
	static Find(Outer: UObject, ResourceName: string): GeneralProjectSettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GeneralProjectSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeneralProjectSettings;
	static C(Other: UObject): GeneralProjectSettings;
}

declare class HudSettings extends UObject { 
	bShowHUD: boolean;
	DebugDisplay: string[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): HudSettings;
	static Find(Outer: UObject, ResourceName: string): HudSettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): HudSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HudSettings;
	static C(Other: UObject): HudSettings;
}

declare class HandlerComponentFactory extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): HandlerComponentFactory;
	static Find(Outer: UObject, ResourceName: string): HandlerComponentFactory;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): HandlerComponentFactory;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HandlerComponentFactory;
	static C(Other: UObject): HandlerComponentFactory;
}

declare class NamedInterface { 
	InterfaceName: string;
	InterfaceObject: UObject;
	clone() : NamedInterface;
	static C(Other: UObject): NamedInterface;
}

declare class NamedInterfaceDef { 
	InterfaceName: string;
	InterfaceClassName: string;
	clone() : NamedInterfaceDef;
	static C(Other: UObject): NamedInterfaceDef;
}

declare class NamedInterfaces extends UObject { 
	NamedInterfaces: NamedInterface[];
	NamedInterfaceDefs: NamedInterfaceDef[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NamedInterfaces;
	static Find(Outer: UObject, ResourceName: string): NamedInterfaces;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NamedInterfaces;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NamedInterfaces;
	static C(Other: UObject): NamedInterfaces;
}

declare class TurnBasedMatchInterface extends Interface { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TurnBasedMatchInterface;
	static Find(Outer: UObject, ResourceName: string): TurnBasedMatchInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TurnBasedMatchInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TurnBasedMatchInterface;
	OnMatchReceivedTurn(Match: string,bDidBecomeActive: boolean): void;
	OnMatchEnded(Match: string): void;
	static C(Other: UObject): TurnBasedMatchInterface;
}

declare class NiagaraActor extends Actor { 
	NiagaraComponent: NiagaraComponent;
	SpriteComponent: BillboardComponent;
	ArrowComponent: ArrowComponent;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraActor;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraActor;
	static C(Other: UObject): NiagaraActor;
}

declare class NiagaraEventReceiverEmitterAction_SpawnParticles extends NiagaraEventReceiverEmitterAction { 
	NumParticles: any;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NiagaraEventReceiverEmitterAction_SpawnParticles;
	static Find(Outer: UObject, ResourceName: string): NiagaraEventReceiverEmitterAction_SpawnParticles;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraEventReceiverEmitterAction_SpawnParticles;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraEventReceiverEmitterAction_SpawnParticles;
	static C(Other: UObject): NiagaraEventReceiverEmitterAction_SpawnParticles;
}

declare class NiagaraFunctionLibrary extends BlueprintFunctionLibrary { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NiagaraFunctionLibrary;
	static Find(Outer: UObject, ResourceName: string): NiagaraFunctionLibrary;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraFunctionLibrary;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraFunctionLibrary;
	static SpawnEffectAttached(EffectTemplate: NiagaraEffect,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bAutoDestroy: boolean): NiagaraComponent;
	static SpawnEffectAtLocation(WorldContextObject: UObject,EffectTemplate: NiagaraEffect,Location: Vector,Rotation: Rotator,bAutoDestroy: boolean): NiagaraComponent;
	static SetUpdateScriptConstant(Component: NiagaraComponent,EmitterName: string,ConstantName: string,Value: Vector): void;
	static C(Other: UObject): NiagaraFunctionLibrary;
}

declare class NiagaraSequence extends MovieSceneSequence { 
	MovieScene: MovieScene;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NiagaraSequence;
	static Find(Outer: UObject, ResourceName: string): NiagaraSequence;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraSequence;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraSequence;
	static C(Other: UObject): NiagaraSequence;
}

declare class NiagaraCurveDataObject extends NiagaraDataObject { 
	CurveObj: CurveVector;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NiagaraCurveDataObject;
	static Find(Outer: UObject, ResourceName: string): NiagaraCurveDataObject;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraCurveDataObject;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraCurveDataObject;
	static C(Other: UObject): NiagaraCurveDataObject;
}

declare class NiagaraSparseVolumeDataObject extends NiagaraDataObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NiagaraSparseVolumeDataObject;
	static Find(Outer: UObject, ResourceName: string): NiagaraSparseVolumeDataObject;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NiagaraSparseVolumeDataObject;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NiagaraSparseVolumeDataObject;
	static C(Other: UObject): NiagaraSparseVolumeDataObject;
}

declare class CookerStats extends UObject { 
	Assets: any[];
	SizeBefore: number;
	SizeAfter: number;
	Path: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CookerStats;
	static Find(Outer: UObject, ResourceName: string): CookerStats;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CookerStats;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CookerStats;
	static C(Other: UObject): CookerStats;
}

declare class LightingBuildInfo extends UObject { 
	UObject: any;
	LightingTime: number;
	UnmappedTexelsPercentage: number;
	UnmappedTexelsMemory: number;
	TotalTexelMemory: number;
	LevelName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): LightingBuildInfo;
	static Find(Outer: UObject, ResourceName: string): LightingBuildInfo;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): LightingBuildInfo;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightingBuildInfo;
	static C(Other: UObject): LightingBuildInfo;
}

declare class PrimitiveStats extends UObject { 
	UObject: any;
	Actors: any[];
	Type: string;
	Count: number;
	Sections: number;
	InstSections: number;
	Triangles: number;
	InstTriangles: number;
	ResourceSize: number;
	VertexColorMem: number;
	InstVertexColorMem: number;
	LightsLM: number;
	LightsOther: number;
	LightsTotal: number;
	ObjLightCost: number;
	LightMapData: number;
	LMSMResolution: number;
	RadiusMin: number;
	RadiusMax: number;
	RadiusAvg: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PrimitiveStats;
	static Find(Outer: UObject, ResourceName: string): PrimitiveStats;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PrimitiveStats;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PrimitiveStats;
	static C(Other: UObject): PrimitiveStats;
}

declare class StaticMeshLightingInfo extends UObject { 
	StaticMeshActor: any;
	StaticMesh: any;
	LevelName: string;
	TextureMapping: string;
	bTextureMapping: boolean;
	bHasLightmapTexCoords: boolean;
	StaticLightingResolution: number;
	TextureLightMapMemoryUsage: number;
	VertexLightMapMemoryUsage: number;
	LightMapLightCount: number;
	TextureShadowMapMemoryUsage: number;
	VertexShadowMapMemoryUsage: number;
	ShadowMapLightCount: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): StaticMeshLightingInfo;
	static Find(Outer: UObject, ResourceName: string): StaticMeshLightingInfo;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): StaticMeshLightingInfo;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshLightingInfo;
	static C(Other: UObject): StaticMeshLightingInfo;
}

declare type EPixelFormat = string | symbol;
declare var EPixelFormat = { PF_Unknown:'PF_Unknown',PF_A32B32G32R32F:'PF_A32B32G32R32F',PF_B8G8R8A8:'PF_B8G8R8A8',PF_G8:'PF_G8',PF_G16:'PF_G16',PF_DXT1:'PF_DXT1',PF_DXT3:'PF_DXT3',PF_DXT5:'PF_DXT5',PF_UYVY:'PF_UYVY',PF_FloatRGB:'PF_FloatRGB',PF_FloatRGBA:'PF_FloatRGBA',PF_DepthStencil:'PF_DepthStencil',PF_ShadowDepth:'PF_ShadowDepth',PF_R32_FLOAT:'PF_R32_FLOAT',PF_G16R16:'PF_G16R16',PF_G16R16F:'PF_G16R16F',PF_G16R16F_FILTER:'PF_G16R16F_FILTER',PF_G32R32F:'PF_G32R32F',PF_A2B10G10R10:'PF_A2B10G10R10',PF_A16B16G16R16:'PF_A16B16G16R16',PF_D24:'PF_D24',PF_R16F:'PF_R16F',PF_R16F_FILTER:'PF_R16F_FILTER',PF_BC5:'PF_BC5',PF_V8U8:'PF_V8U8',PF_A1:'PF_A1',PF_FloatR11G11B10:'PF_FloatR11G11B10',PF_A8:'PF_A8',PF_R32_UINT:'PF_R32_UINT',PF_R32_SINT:'PF_R32_SINT',PF_PVRTC2:'PF_PVRTC2',PF_PVRTC4:'PF_PVRTC4',PF_R16_UINT:'PF_R16_UINT',PF_R16_SINT:'PF_R16_SINT',PF_R16G16B16A16_UINT:'PF_R16G16B16A16_UINT',PF_R16G16B16A16_SINT:'PF_R16G16B16A16_SINT',PF_R5G6B5_UNORM:'PF_R5G6B5_UNORM',PF_R8G8B8A8:'PF_R8G8B8A8',PF_A8R8G8B8:'PF_A8R8G8B8',PF_BC4:'PF_BC4',PF_R8G8:'PF_R8G8',PF_ATC_RGB:'PF_ATC_RGB',PF_ATC_RGBA_E:'PF_ATC_RGBA_E',PF_ATC_RGBA_I:'PF_ATC_RGBA_I',PF_X24_G8:'PF_X24_G8',PF_ETC1:'PF_ETC1',PF_ETC2_RGB:'PF_ETC2_RGB',PF_ETC2_RGBA:'PF_ETC2_RGBA',PF_R32G32B32A32_UINT:'PF_R32G32B32A32_UINT',PF_R16G16_UINT:'PF_R16G16_UINT',PF_ASTC_4x4:'PF_ASTC_4x4',PF_ASTC_6x6:'PF_ASTC_6x6',PF_ASTC_8x8:'PF_ASTC_8x8',PF_ASTC_10x10:'PF_ASTC_10x10',PF_ASTC_12x12:'PF_ASTC_12x12',PF_BC6H:'PF_BC6H',PF_BC7:'PF_BC7', };
declare class TextureStats extends UObject { 
	Texture: any;
	Actors: any[];
	Type: string;
	MaxDim: Vector2D;
	CurrentDim: Vector2D;
	Format: EPixelFormat;
	Group: TextureGroup;
	LODBias: number;
	CurrentKB: number;
	FullyLoadedKB: number;
	NumUses: number;
	LastTimeRendered: number;
	Path: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TextureStats;
	static Find(Outer: UObject, ResourceName: string): TextureStats;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TextureStats;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureStats;
	static C(Other: UObject): TextureStats;
}

declare class EditableGameplayTagQueryExpression extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EditableGameplayTagQueryExpression;
	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EditableGameplayTagQueryExpression;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression;
	static C(Other: UObject): EditableGameplayTagQueryExpression;
}

declare class GameplayTagQuery { 
	TokenStreamVersion: number;
	TagDictionary: GameplayTag[];
	QueryTokenStream: number[];
	UserDescription: string;
	AutoDescription: string;
	clone() : GameplayTagQuery;
	static C(Other: UObject): GameplayTagQuery;
	MakeGameplayTagQuery(): GameplayTagQuery;
	static MakeGameplayTagQuery(TagQuery: GameplayTagQuery): GameplayTagQuery;
}

declare class EditableGameplayTagQuery extends UObject { 
	UserDescription: string;
	RootExpression: EditableGameplayTagQueryExpression;
	TagQueryExportText_Helper: GameplayTagQuery;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EditableGameplayTagQuery;
	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQuery;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EditableGameplayTagQuery;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQuery;
	static C(Other: UObject): EditableGameplayTagQuery;
}

declare class GameplayTagContainer { 
	GameplayTags: GameplayTag[];
	Tags: string[];
	clone() : GameplayTagContainer;
	static C(Other: UObject): GameplayTagContainer;
	AppendGameplayTagContainers(InOutTagContainer?: GameplayTagContainer): {InOutTagContainer: GameplayTagContainer, $: boolean};
	DoesContainerHaveTag(ContainerTagsMatchType: EGameplayTagMatchType,Tag: GameplayTag,TagMatchType: EGameplayTagMatchType): boolean;
	DoesContainerMatchAllTagsInContainer(OtherContainer: GameplayTagContainer,bCountEmptyAsMatch: boolean): boolean;
	DoesContainerMatchAnyTagsInContainer(OtherContainer: GameplayTagContainer,bCountEmptyAsMatch: boolean): boolean;
	DoesContainerMatchTagQuery(TagQuery: GameplayTagQuery): boolean;
	GetDebugStringFromGameplayTagContainer(): string;
	GetNumGameplayTagsInContainer(): number;
	NotEqual_TagContainerTagContainer(B: string): boolean;
	static AppendGameplayTagContainers(InTagContainer: GameplayTagContainer,InOutTagContainer?: GameplayTagContainer): {InOutTagContainer: GameplayTagContainer, $: boolean};
	static DoesContainerHaveTag(TagContainer: GameplayTagContainer,ContainerTagsMatchType: EGameplayTagMatchType,Tag: GameplayTag,TagMatchType: EGameplayTagMatchType): boolean;
	static DoesContainerMatchAllTagsInContainer(TagContainer: GameplayTagContainer,OtherContainer: GameplayTagContainer,bCountEmptyAsMatch: boolean): boolean;
	static DoesContainerMatchAnyTagsInContainer(TagContainer: GameplayTagContainer,OtherContainer: GameplayTagContainer,bCountEmptyAsMatch: boolean): boolean;
	static DoesContainerMatchTagQuery(TagContainer: GameplayTagContainer,TagQuery: GameplayTagQuery): boolean;
	static GetDebugStringFromGameplayTagContainer(TagContainer: GameplayTagContainer): string;
	static GetNumGameplayTagsInContainer(TagContainer: GameplayTagContainer): number;
	static NotEqual_TagContainerTagContainer(A: GameplayTagContainer,B: string): boolean;
}

declare class EditableGameplayTagQueryExpression_AnyTagsMatch extends EditableGameplayTagQueryExpression { 
	Tags: GameplayTagContainer;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EditableGameplayTagQueryExpression_AnyTagsMatch;
	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_AnyTagsMatch;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EditableGameplayTagQueryExpression_AnyTagsMatch;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_AnyTagsMatch;
	static C(Other: UObject): EditableGameplayTagQueryExpression_AnyTagsMatch;
}

declare class EditableGameplayTagQueryExpression_AllTagsMatch extends EditableGameplayTagQueryExpression { 
	Tags: GameplayTagContainer;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EditableGameplayTagQueryExpression_AllTagsMatch;
	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_AllTagsMatch;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EditableGameplayTagQueryExpression_AllTagsMatch;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_AllTagsMatch;
	static C(Other: UObject): EditableGameplayTagQueryExpression_AllTagsMatch;
}

declare class EditableGameplayTagQueryExpression_NoTagsMatch extends EditableGameplayTagQueryExpression { 
	Tags: GameplayTagContainer;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EditableGameplayTagQueryExpression_NoTagsMatch;
	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_NoTagsMatch;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EditableGameplayTagQueryExpression_NoTagsMatch;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_NoTagsMatch;
	static C(Other: UObject): EditableGameplayTagQueryExpression_NoTagsMatch;
}

declare class EditableGameplayTagQueryExpression_AnyExprMatch extends EditableGameplayTagQueryExpression { 
	Expressions: EditableGameplayTagQueryExpression[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EditableGameplayTagQueryExpression_AnyExprMatch;
	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_AnyExprMatch;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EditableGameplayTagQueryExpression_AnyExprMatch;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_AnyExprMatch;
	static C(Other: UObject): EditableGameplayTagQueryExpression_AnyExprMatch;
}

declare class EditableGameplayTagQueryExpression_AllExprMatch extends EditableGameplayTagQueryExpression { 
	Expressions: EditableGameplayTagQueryExpression[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EditableGameplayTagQueryExpression_AllExprMatch;
	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_AllExprMatch;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EditableGameplayTagQueryExpression_AllExprMatch;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_AllExprMatch;
	static C(Other: UObject): EditableGameplayTagQueryExpression_AllExprMatch;
}

declare class EditableGameplayTagQueryExpression_NoExprMatch extends EditableGameplayTagQueryExpression { 
	Expressions: EditableGameplayTagQueryExpression[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EditableGameplayTagQueryExpression_NoExprMatch;
	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_NoExprMatch;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EditableGameplayTagQueryExpression_NoExprMatch;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_NoExprMatch;
	static C(Other: UObject): EditableGameplayTagQueryExpression_NoExprMatch;
}

declare class GameplayTagAssetInterface extends Interface { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayTagAssetInterface;
	static Find(Outer: UObject, ResourceName: string): GameplayTagAssetInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayTagAssetInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagAssetInterface;
	HasMatchingGameplayTag(TagToCheck: GameplayTag): boolean;
	HasAnyMatchingGameplayTags(TagContainer: GameplayTagContainer,bCountEmptyAsMatch: boolean): boolean;
	HasAllMatchingGameplayTags(TagContainer: GameplayTagContainer,bCountEmptyAsMatch: boolean): boolean;
	GetOwnedGameplayTags(TagContainer?: GameplayTagContainer): {TagContainer: GameplayTagContainer};
	static C(Other: UObject): GameplayTagAssetInterface;
}

declare class BlueprintGameplayTagLibrary extends BlueprintFunctionLibrary { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintGameplayTagLibrary;
	static Find(Outer: UObject, ResourceName: string): BlueprintGameplayTagLibrary;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintGameplayTagLibrary;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintGameplayTagLibrary;
	static NotEqual_TagTag(A: GameplayTag,B: string): boolean;
	static NotEqual_TagContainerTagContainer(A: GameplayTagContainer,B: string): boolean;
	static MakeLiteralGameplayTag(Value: GameplayTag): GameplayTag;
	static MakeGameplayTagQuery(TagQuery: GameplayTagQuery): GameplayTagQuery;
	static GetNumGameplayTagsInContainer(TagContainer: GameplayTagContainer): number;
	static GetDebugStringFromGameplayTagContainer(TagContainer: GameplayTagContainer): string;
	static DoGameplayTagsMatch(TagOne: GameplayTag,TagTwo: GameplayTag,TagOneMatchType: EGameplayTagMatchType,TagTwoMatchType: EGameplayTagMatchType): boolean;
	static DoesContainerMatchTagQuery(TagContainer: GameplayTagContainer,TagQuery: GameplayTagQuery): boolean;
	static DoesContainerMatchAnyTagsInContainer(TagContainer: GameplayTagContainer,OtherContainer: GameplayTagContainer,bCountEmptyAsMatch: boolean): boolean;
	static DoesContainerMatchAllTagsInContainer(TagContainer: GameplayTagContainer,OtherContainer: GameplayTagContainer,bCountEmptyAsMatch: boolean): boolean;
	static DoesContainerHaveTag(TagContainer: GameplayTagContainer,ContainerTagsMatchType: EGameplayTagMatchType,Tag: GameplayTag,TagMatchType: EGameplayTagMatchType): boolean;
	static AppendGameplayTagContainers(InTagContainer: GameplayTagContainer,InOutTagContainer?: GameplayTagContainer): {InOutTagContainer: GameplayTagContainer, $: boolean};
	static C(Other: UObject): BlueprintGameplayTagLibrary;
}

declare class TableRowBase { 
	clone() : TableRowBase;
	static C(Other: UObject): TableRowBase;
}

declare class DataTable extends UObject { 
	RowStruct: ScriptStruct;
	AssetImportData: AssetImportData;
	ImportPath: string;
	RowStructName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DataTable;
	static Find(Outer: UObject, ResourceName: string): DataTable;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DataTable;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DataTable;
	static C(Other: UObject): DataTable;
	GetDataTableRowFromName(RowName: string,OutRow?: TableRowBase): {OutRow: TableRowBase, $: boolean};
	GetDataTableRowNames(OutRowNames?: string[]): {OutRowNames: string[]};
	static GetDataTableRowFromName(Table: DataTable,RowName: string,OutRow?: TableRowBase): {OutRow: TableRowBase, $: boolean};
	static GetDataTableRowNames(Table: DataTable,OutRowNames?: string[]): {OutRowNames: string[]};
}

declare class GameplayTagsManager extends UObject { 
	GameplayTagTables: DataTable[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayTagsManager;
	static Find(Outer: UObject, ResourceName: string): GameplayTagsManager;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayTagsManager;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagsManager;
	RequestGameplayTag(TagName: string,ErrorIfNotFound: boolean): GameplayTag;
	static C(Other: UObject): GameplayTagsManager;
}

declare class GameplayTagsSettings extends UObject { 
	GameplayTags: string[];
	CommonlyReplicatedTags: string[];
	NetIndexFirstBitSegment: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayTagsSettings;
	static Find(Outer: UObject, ResourceName: string): GameplayTagsSettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayTagsSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagsSettings;
	static C(Other: UObject): GameplayTagsSettings;
}

declare class GameplayTaskOwnerInterface extends Interface { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayTaskOwnerInterface;
	static Find(Outer: UObject, ResourceName: string): GameplayTaskOwnerInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayTaskOwnerInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTaskOwnerInterface;
	static C(Other: UObject): GameplayTaskOwnerInterface;
}

declare class GameplayTask_SpawnActor extends GameplayTask { 
	Success: UnrealEngineMulticastDelegate<(SpawnedActor: Actor) => void>;
	DidNotSpawn: UnrealEngineMulticastDelegate<(SpawnedActor: Actor) => void>;
	ClassToSpawn: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayTask_SpawnActor;
	static Find(Outer: UObject, ResourceName: string): GameplayTask_SpawnActor;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayTask_SpawnActor;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTask_SpawnActor;
	FinishSpawningActor(WorldContextObject: UObject,SpawnedActor: Actor): void;
	BeginSpawningActor(WorldContextObject: UObject,SpawnedActor?: Actor): {SpawnedActor: Actor, $: boolean};
	static C(Other: UObject): GameplayTask_SpawnActor;
}

declare class GameplayTask_WaitDelay extends GameplayTask { 
	OnFinish: UnrealEngineMulticastDelegate<() => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayTask_WaitDelay;
	static Find(Outer: UObject, ResourceName: string): GameplayTask_WaitDelay;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayTask_WaitDelay;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTask_WaitDelay;
	static C(Other: UObject): GameplayTask_WaitDelay;
}

declare class GameplayTaskResource extends UObject { 
	ManualResourceID: number;
	AutoResourceID: any;
	bManuallySetID: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayTaskResource;
	static Find(Outer: UObject, ResourceName: string): GameplayTaskResource;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayTaskResource;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTaskResource;
	static C(Other: UObject): GameplayTaskResource;
}

declare class GameplayDebuggerNetPack { 
	clone() : GameplayDebuggerNetPack;
	static C(Other: UObject): GameplayDebuggerNetPack;
}

declare class GameplayDebuggerDebugActor { 
	Actor: Actor;
	ActorName: string;
	SyncCounter: number;
	clone() : GameplayDebuggerDebugActor;
	static C(Other: UObject): GameplayDebuggerDebugActor;
}

declare class GameplayDebuggerRenderingComponent extends PrimitiveComponent { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayDebuggerRenderingComponent;
	static Find(Outer: UObject, ResourceName: string): GameplayDebuggerRenderingComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayDebuggerRenderingComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerRenderingComponent;
	static C(Other: UObject): GameplayDebuggerRenderingComponent;
}

declare class GameplayDebuggerCategoryReplicator extends Actor { 
	OwnerPC: PlayerController;
	bIsEnabled: boolean;
	ReplicatedData: GameplayDebuggerNetPack;
	DebugActor: GameplayDebuggerDebugActor;
	RenderingComp: GameplayDebuggerRenderingComponent;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayDebuggerCategoryReplicator;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerCategoryReplicator;
	ServerSetEnabled(bEnable: boolean): void;
	ServerSetDebugActor(Actor: Actor): void;
	ServerSetCategoryEnabled(CategoryId: number,bEnable: boolean): void;
	static C(Other: UObject): GameplayDebuggerCategoryReplicator;
}

declare class GameplayDebuggerInputConfig { 
	bShift: boolean;
	bCtrl: boolean;
	bAlt: boolean;
	bCmd: boolean;
	clone() : GameplayDebuggerInputConfig;
	static C(Other: UObject): GameplayDebuggerInputConfig;
}

declare class GameplayDebuggerConfig extends UObject { 
	ActivationKey: Key;
	CategoryRowNextKey: Key;
	CategoryRowPrevKey: Key;
	CategorySlot0: Key;
	CategorySlot1: Key;
	CategorySlot2: Key;
	CategorySlot3: Key;
	CategorySlot4: Key;
	CategorySlot5: Key;
	CategorySlot6: Key;
	CategorySlot7: Key;
	CategorySlot8: Key;
	CategorySlot9: Key;
	GameHUDKey: Key;
	GameHUDModifiers: GameplayDebuggerInputConfig;
	DebugMessagesKey: Key;
	DebugMessagesModifiers: GameplayDebuggerInputConfig;
	SpectatorKey: Key;
	SpectatorModifiers: GameplayDebuggerInputConfig;
	bEnableExtension_GameHUD: boolean;
	bEnableExtension_Spectator: boolean;
	bUseGameHUDModifiers: boolean;
	bUseDebugMessagesModifiers: boolean;
	bUseSpectatorModifiers: boolean;
	DebugCanvasPaddingLeft: number;
	DebugCanvasPaddingRight: number;
	DebugCanvasPaddingTop: number;
	DebugCanvasPaddingBottom: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayDebuggerConfig;
	static Find(Outer: UObject, ResourceName: string): GameplayDebuggerConfig;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayDebuggerConfig;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerConfig;
	static C(Other: UObject): GameplayDebuggerConfig;
}

declare class GameplayDebuggerPlayerData { 
	Controller: GameplayDebuggerLocalController;
	InputComponent: InputComponent;
	Replicator: GameplayDebuggerCategoryReplicator;
	clone() : GameplayDebuggerPlayerData;
	static C(Other: UObject): GameplayDebuggerPlayerData;
}

declare class GameplayDebuggerPlayerManager extends Actor { 
	PlayerData: GameplayDebuggerPlayerData[];
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayDebuggerPlayerManager;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerPlayerManager;
	static C(Other: UObject): GameplayDebuggerPlayerManager;
}

declare class GameplayDebuggerLocalController extends UObject { 
	CachedReplicator: GameplayDebuggerCategoryReplicator;
	CachedPlayerManager: GameplayDebuggerPlayerManager;
	DebugActorCandidate: Actor;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayDebuggerLocalController;
	static Find(Outer: UObject, ResourceName: string): GameplayDebuggerLocalController;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayDebuggerLocalController;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerLocalController;
	static C(Other: UObject): GameplayDebuggerLocalController;
}

declare class GDTCustomViewNames { 
	GameView1: string;
	GameView2: string;
	GameView3: string;
	GameView4: string;
	GameView5: string;
	clone() : GDTCustomViewNames;
	static C(Other: UObject): GDTCustomViewNames;
}

declare class GameplayDebuggerSettings extends UObject { 
	CustomViewNames: GDTCustomViewNames;
	OverHead: boolean;
	Basic: boolean;
	BehaviorTree: boolean;
	EQS: boolean;
	EnableEQSOnHUD: boolean;
	ActiveEQSIndex: number;
	Perception: boolean;
	GameView1: boolean;
	GameView2: boolean;
	GameView3: boolean;
	GameView4: boolean;
	GameView5: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayDebuggerSettings;
	static Find(Outer: UObject, ResourceName: string): GameplayDebuggerSettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayDebuggerSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerSettings;
	static C(Other: UObject): GameplayDebuggerSettings;
}

declare type EGameplayDebuggerShapeElement = string | symbol;
declare var EGameplayDebuggerShapeElement = { Invalid:'Invalid',String:'String',SinglePoint:'SinglePoint',Segment:'Segment',Box:'Box',Cone:'Cone',Cylinder:'Cylinder',Capsule:'Capsule',Polygon:'Polygon', };
declare class GameplayDebuggerShapeElement { 
	Points: Vector[];
	ThicknesOrRadius: number;
	Description: string;
	Color: Color;
	Type: EGameplayDebuggerShapeElement;
	clone() : GameplayDebuggerShapeElement;
	static C(Other: UObject): GameplayDebuggerShapeElement;
}

declare class GameplayDebuggingComponent extends PrimitiveComponent { 
	DebugComponentClassName: string;
	ShowExtendedInformatiomCounter: number;
	ReplicateViewDataCounters: number[];
	ControllerName: string;
	PawnName: string;
	PawnClass: string;
	DebugIcon: string;
	MovementBaseInfo: string;
	MovementModeInfo: string;
	PathFollowingInfo: string;
	CurrentAITask: string;
	CurrentAIState: string;
	CurrentAIAssets: string;
	GameplayTasksState: string;
	NavDataInfo: string;
	AbilityInfo: string;
	MontageInfo: string;
	BrainComponentName: string;
	BrainComponentString: string;
	BlackboardRepData: number[];
	PathPoints: Vector[];
	PathCorridorData: number[];
	NavmeshRepData: number[];
	EQSRepData: number[];
	NextPathPointIndex: number;
	bIsUsingPathFollowing: boolean;
	bIsUsingCharacter: boolean;
	bIsUsingBehaviorTree: boolean;
	bIsUsingAbilities: boolean;
	PerceptionLegend: string;
	DistanceFromPlayer: number;
	DistanceFromSensor: number;
	SensingComponentLocation: Vector;
	PerceptionShapeElements: GameplayDebuggerShapeElement[];
	TargetActor: Actor;
	ActivationCounter: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayDebuggingComponent;
	static Find(Outer: UObject, ResourceName: string): GameplayDebuggingComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayDebuggingComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggingComponent;
	ServerReplicateData(InMessage: any,DataView: any): void;
	ServerDiscardNavmeshData(): void;
	ServerCollectNavmeshData(TargetLocation: Vector_NetQuantize10): void;
	OnRep_UpdateNavmesh(): void;
	OnRep_UpdateEQS(): void;
	OnRep_UpdateBlackboard(): void;
	OnRep_PathCorridorData(): void;
	OnRep_ActivationCounter(): void;
	OnCycleDetailsView(): void;
	ClientEnableTargetSelection(bEnable: boolean): void;
	static C(Other: UObject): GameplayDebuggingComponent;
}

declare class GameplayDebuggingHUDComponent extends Actor { 
	MenuStartX: number;
	MenuStartY: number;
	DebugInfoStartX: number;
	DebugInfoStartY: number;
	Canvas: Canvas;
	PlayerOwner: PlayerController;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayDebuggingHUDComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggingHUDComponent;
	static C(Other: UObject): GameplayDebuggingHUDComponent;
}

declare class InputChord { 
	Key: Key;
	bShift: boolean;
	bCtrl: boolean;
	bAlt: boolean;
	bCmd: boolean;
	clone() : InputChord;
	static C(Other: UObject): InputChord;
	Equal(B: InputChord): boolean;
	static Equal(A: InputChord,B: InputChord): boolean;
}

declare class GameplayDebuggingControllerComponent extends ActorComponent { 
	OnDebugAIHUD: GameplayDebuggingHUDComponent;
	DebugAITargetActor: Actor;
	AIDebugViewInputComponent: InputComponent;
	DebugCameraInputComponent: InputComponent;
	ActivationKey: InputChord;
	CategoryZeroBind: InputChord;
	CategoryOneBind: InputChord;
	CategoryTwoBind: InputChord;
	CategoryThreeBind: InputChord;
	CategoryFourBind: InputChord;
	CategoryFiveBind: InputChord;
	CategorySixBind: InputChord;
	CategorySevenBind: InputChord;
	CategoryEightBind: InputChord;
	CategoryNineBind: InputChord;
	CycleDetailsViewBind: InputChord;
	DebugCameraBind: InputChord;
	OnScreenDebugMessagesBind: InputChord;
	GameHUDBind: InputChord;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GameplayDebuggingControllerComponent;
	static Find(Outer: UObject, ResourceName: string): GameplayDebuggingControllerComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayDebuggingControllerComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggingControllerComponent;
	static C(Other: UObject): GameplayDebuggingControllerComponent;
}

declare class GaneplayDebuggerProxyHUD extends HUD { 
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GaneplayDebuggerProxyHUD;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GaneplayDebuggerProxyHUD;
	static C(Other: UObject): GaneplayDebuggerProxyHUD;
}

declare class GameplayDebuggingReplicator extends Actor { 
	DebugComponentClassName: string;
	DebugComponentHUDClassName: string;
	DebugComponentControllerClassName: string;
	MaxEQSQueries: number;
	DebugComponent: GameplayDebuggingComponent;
	LocalPlayerOwner: PlayerController;
	LastSelectedActorToDebug: Actor;
	bIsGlobalInWorld: boolean;
	bAutoActivate: boolean;
	OverHead: boolean;
	Basic: boolean;
	BehaviorTree: boolean;
	EQS: boolean;
	EnableEQSOnHUD: boolean;
	ActiveEQSIndex: number;
	Perception: boolean;
	GameView1: boolean;
	GameView2: boolean;
	GameView3: boolean;
	GameView4: boolean;
	GameView5: boolean;
	DefaultTexture_Red: Texture2D;
	DefaultTexture_Green: Texture2D;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GameplayDebuggingReplicator;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggingReplicator;
	ServerSetActorToDebug(InActor: Actor): void;
	ServerReplicateMessage(Actor: Actor,InMessage: any,DataView: any): void;
	OnRep_AutoActivate(): void;
	ClientReplicateMessage(Actor: Actor,InMessage: any,DataView: any): void;
	ClientEnableTargetSelection(bEnable: boolean,Context: PlayerController): void;
	ClientAutoActivate(): void;
	static C(Other: UObject): GameplayDebuggingReplicator;
}

declare class AIResourceInterface extends Interface { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AIResourceInterface;
	static Find(Outer: UObject, ResourceName: string): AIResourceInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AIResourceInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIResourceInterface;
	static C(Other: UObject): AIResourceInterface;
}

declare class AIBlueprintHelperLibrary extends BlueprintFunctionLibrary { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AIBlueprintHelperLibrary;
	static Find(Outer: UObject, ResourceName: string): AIBlueprintHelperLibrary;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AIBlueprintHelperLibrary;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIBlueprintHelperLibrary;
	static UnlockAIResourcesWithAnimation(AnimInstance: AnimInstance,bUnlockMovement: boolean,UnlockAILogic: boolean): void;
	static SpawnAIFromClass(WorldContextObject: UObject,PawnClass: UnrealEngineClass,BehaviorTree: BehaviorTree,Location: Vector,Rotation: Rotator,bNoCollisionFail: boolean): Pawn;
	static SendAIMessage(Target: Pawn,Message: string,MessageSource: UObject,bSuccess: boolean): void;
	static LockAIResourcesWithAnimation(AnimInstance: AnimInstance,bLockMovement: boolean,LockAILogic: boolean): void;
	static IsValidAIRotation(Rotation: Rotator): boolean;
	static IsValidAILocation(Location: Vector): boolean;
	static IsValidAIDirection(DirectionVector: Vector): boolean;
	static GetBlackboard(Target: Actor): BlackboardComponent;
	static GetAIController(ControlledActor: Actor): AIController;
	static CreateMoveToProxyObject(WorldContextObject: UObject,Pawn: Pawn,Destination: Vector,TargetActor: Actor,AcceptanceRadius: number,bStopOnOverlap: boolean): AIAsyncTaskBlueprintProxy;
	static C(Other: UObject): AIBlueprintHelperLibrary;
}

declare class AIPerceptionListenerInterface extends Interface { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AIPerceptionListenerInterface;
	static Find(Outer: UObject, ResourceName: string): AIPerceptionListenerInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AIPerceptionListenerInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIPerceptionListenerInterface;
	static C(Other: UObject): AIPerceptionListenerInterface;
}

declare class BehaviorTreeTypes extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BehaviorTreeTypes;
	static Find(Outer: UObject, ResourceName: string): BehaviorTreeTypes;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BehaviorTreeTypes;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BehaviorTreeTypes;
	static C(Other: UObject): BehaviorTreeTypes;
}

declare class GenericTeamAgentInterface extends Interface { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GenericTeamAgentInterface;
	static Find(Outer: UObject, ResourceName: string): GenericTeamAgentInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GenericTeamAgentInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenericTeamAgentInterface;
	static C(Other: UObject): GenericTeamAgentInterface;
}

declare class DetourCrowdAIController extends AIController { 
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DetourCrowdAIController;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DetourCrowdAIController;
	static C(Other: UObject): DetourCrowdAIController;
}

declare class AIDataProvider extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AIDataProvider;
	static Find(Outer: UObject, ResourceName: string): AIDataProvider;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AIDataProvider;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIDataProvider;
	static C(Other: UObject): AIDataProvider;
}

declare class AIDataProvider_QueryParams extends AIDataProvider { 
	ParamName: string;
	FloatValue: number;
	IntValue: number;
	BoolValue: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AIDataProvider_QueryParams;
	static Find(Outer: UObject, ResourceName: string): AIDataProvider_QueryParams;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AIDataProvider_QueryParams;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIDataProvider_QueryParams;
	static C(Other: UObject): AIDataProvider_QueryParams;
}

declare class AIHotSpotManager extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AIHotSpotManager;
	static Find(Outer: UObject, ResourceName: string): AIHotSpotManager;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AIHotSpotManager;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIHotSpotManager;
	static C(Other: UObject): AIHotSpotManager;
}

declare class BehaviorTreeTemplateInfo { 
	Asset: BehaviorTree;
	Template: BTCompositeNode;
	clone() : BehaviorTreeTemplateInfo;
	static C(Other: UObject): BehaviorTreeTemplateInfo;
}

declare class BehaviorTreeManager extends UObject { 
	MaxDebuggerSteps: number;
	LoadedTemplates: BehaviorTreeTemplateInfo[];
	ActiveComponents: BehaviorTreeComponent[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BehaviorTreeManager;
	static Find(Outer: UObject, ResourceName: string): BehaviorTreeManager;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BehaviorTreeManager;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BehaviorTreeManager;
	static C(Other: UObject): BehaviorTreeManager;
}

declare class EnvQueryNode extends UObject { 
	VerNum: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryNode;
	static Find(Outer: UObject, ResourceName: string): EnvQueryNode;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryNode;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryNode;
	static C(Other: UObject): EnvQueryNode;
}

declare class EnvQueryItemType extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryItemType;
	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryItemType;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType;
	static C(Other: UObject): EnvQueryItemType;
}

declare class EnvQueryGenerator extends EnvQueryNode { 
	OptionName: string;
	ItemType: UnrealEngineClass;
	bAutoSortTests: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryGenerator;
	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryGenerator;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator;
	static C(Other: UObject): EnvQueryGenerator;
}

declare type EEnvTestPurpose = string | symbol;
declare var EEnvTestPurpose = { Filter:'Filter',Score:'Score',FilterAndScore:'FilterAndScore', };
declare type EEnvTestFilterOperator = string | symbol;
declare var EEnvTestFilterOperator = { AllPass:'AllPass',AnyPass:'AnyPass', };
declare type EEnvTestScoreOperator = string | symbol;
declare var EEnvTestScoreOperator = { AverageScore:'AverageScore',MinScore:'MinScore',MaxScore:'MaxScore', };
declare type EEnvTestFilterType = string | symbol;
declare var EEnvTestFilterType = { Minimum:'Minimum',Maximum:'Maximum',Range:'Range',Match:'Match', };
declare class AIDataProviderValue { 
	CachedProperty: Property;
	DataBinding: AIDataProvider;
	DataField: string;
	clone() : AIDataProviderValue;
	static C(Other: UObject): AIDataProviderValue;
}

declare class AIDataProviderTypedValue extends AIDataProviderValue { 
	PropertyType: UnrealEngineClass;
	clone() : AIDataProviderTypedValue;
	static C(Other: UObject): AIDataProviderTypedValue;
}

declare class AIDataProviderBoolValue extends AIDataProviderTypedValue { 
	DefaultValue: boolean;
	clone() : AIDataProviderBoolValue;
	static C(Other: UObject): AIDataProviderBoolValue;
}

declare class AIDataProviderFloatValue extends AIDataProviderTypedValue { 
	DefaultValue: number;
	clone() : AIDataProviderFloatValue;
	static C(Other: UObject): AIDataProviderFloatValue;
}

declare type EEnvTestScoreEquation = string | symbol;
declare var EEnvTestScoreEquation = { Linear:'Linear',Square:'Square',InverseLinear:'InverseLinear',SquareRoot:'SquareRoot',Constant:'Constant', };
declare type EEnvQueryTestClamping = string | symbol;
declare var EEnvQueryTestClamping = { None:'None',SpecifiedValue:'SpecifiedValue',FilterThreshold:'FilterThreshold', };
declare class EnvQueryTest extends EnvQueryNode { 
	TestOrder: number;
	TestPurpose: EEnvTestPurpose;
	TestComment: string;
	MultipleContextFilterOp: EEnvTestFilterOperator;
	MultipleContextScoreOp: EEnvTestScoreOperator;
	FilterType: EEnvTestFilterType;
	BoolValue: AIDataProviderBoolValue;
	FloatValueMin: AIDataProviderFloatValue;
	FloatValueMax: AIDataProviderFloatValue;
	ScoringEquation: EEnvTestScoreEquation;
	ClampMinType: EEnvQueryTestClamping;
	ClampMaxType: EEnvQueryTestClamping;
	ScoreClampMin: AIDataProviderFloatValue;
	ScoreClampMax: AIDataProviderFloatValue;
	ScoringFactor: AIDataProviderFloatValue;
	ReferenceValue: AIDataProviderFloatValue;
	bDefineReferenceValue: boolean;
	bWorkOnFloatValues: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryTest;
	static Find(Outer: UObject, ResourceName: string): EnvQueryTest;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryTest;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest;
	static C(Other: UObject): EnvQueryTest;
}

declare class EnvQueryOption extends UObject { 
	Generator: EnvQueryGenerator;
	Tests: EnvQueryTest[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryOption;
	static Find(Outer: UObject, ResourceName: string): EnvQueryOption;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryOption;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryOption;
	static C(Other: UObject): EnvQueryOption;
}

declare class EnvQuery extends DataAsset { 
	EdGraph: EdGraph;
	QueryName: string;
	Options: EnvQueryOption[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQuery;
	static Find(Outer: UObject, ResourceName: string): EnvQuery;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQuery;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQuery;
	static C(Other: UObject): EnvQuery;
}

declare class EnvQueryInstanceCache { 
	Template: EnvQuery;
	clone() : EnvQueryInstanceCache;
	static C(Other: UObject): EnvQueryInstanceCache;
}

declare class EnvQueryContext extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryContext;
	static Find(Outer: UObject, ResourceName: string): EnvQueryContext;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryContext;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryContext;
	static C(Other: UObject): EnvQueryContext;
}

declare type EEnvQueryStatus = string | symbol;
declare var EEnvQueryStatus = { Processing:'Processing',Success:'Success',Failed:'Failed',Aborted:'Aborted',OwnerLost:'OwnerLost',MissingParam:'MissingParam', };
declare class EnvQueryInstanceBlueprintWrapper extends UObject { 
	QueryID: number;
	ItemType: UnrealEngineClass;
	OptionIndex: number;
	OnQueryFinishedEvent: UnrealEngineMulticastDelegate<(QueryInstance: EnvQueryInstanceBlueprintWrapper, QueryStatus: EEnvQueryStatus) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryInstanceBlueprintWrapper;
	static Find(Outer: UObject, ResourceName: string): EnvQueryInstanceBlueprintWrapper;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryInstanceBlueprintWrapper;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryInstanceBlueprintWrapper;
	SetNamedParam(ParamName: string,Value: number): void;
	GetResultsAsLocations(): Vector[];
	GetResultsAsActors(): Actor[];
	GetItemScore(ItemIndex: number): number;
	static C(Other: UObject): EnvQueryInstanceBlueprintWrapper;
}

declare type EEnvQueryRunMode = string | symbol;
declare var EEnvQueryRunMode = { SingleResult:'SingleResult',RandomBest5Pct:'RandomBest5Pct',RandomBest25Pct:'RandomBest25Pct',AllMatching:'AllMatching', };
declare class EnvQueryManager extends UObject { 
	InstanceCache: EnvQueryInstanceCache[];
	LocalContexts: EnvQueryContext[];
	GCShieldedWrappers: EnvQueryInstanceBlueprintWrapper[];
	MaxAllowedTestingTime: any;
	bTestQueriesUsingBreadth: boolean;
	QueryCountWarningThreshold: number;
	QueryCountWarningInterval: any;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryManager;
	static Find(Outer: UObject, ResourceName: string): EnvQueryManager;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryManager;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryManager;
	static RunEQSQuery(WorldContext: UObject,QueryTemplate: EnvQuery,Querier: UObject,RunMode: EEnvQueryRunMode,WrapperClass: UnrealEngineClass): EnvQueryInstanceBlueprintWrapper;
	static C(Other: UObject): EnvQueryManager;
}

declare class AISystem extends AISystemBase { 
	PerceptionSystemClassName: StringClassReference;
	HotSpotManagerClassName: StringClassReference;
	AcceptanceRadius: number;
	PathfollowingRegularPathPointAcceptanceRadius: number;
	PathfollowingNavLinkAcceptanceRadius: number;
	bFinishMoveOnGoalOverlap: boolean;
	bAcceptPartialPaths: boolean;
	bAllowStrafing: boolean;
	bEnableBTAITasks: boolean;
	bAllowControllersAsEQSQuerier: boolean;
	bEnableDebuggerPlugin: boolean;
	BehaviorTreeManager: BehaviorTreeManager;
	EnvironmentQueryManager: EnvQueryManager;
	PerceptionSystem: AIPerceptionSystem;
	AllProxyObjects: AIAsyncTaskBlueprintProxy[];
	HotSpotManager: AIHotSpotManager;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISystem;
	static Find(Outer: UObject, ResourceName: string): AISystem;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISystem;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISystem;
	AILoggingVerbose(): void;
	AIIgnorePlayers(): void;
	static C(Other: UObject): AISystem;
}

declare class AIPerceptionStimuliSourceComponent extends ActorComponent { 
	bAutoRegisterAsSource: boolean;
	RegisterAsSourceForSenses: UnrealEngineClass[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AIPerceptionStimuliSourceComponent;
	static Find(Outer: UObject, ResourceName: string): AIPerceptionStimuliSourceComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AIPerceptionStimuliSourceComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIPerceptionStimuliSourceComponent;
	UnregisterFromSense(SenseClass: UnrealEngineClass): void;
	UnregisterFromPerceptionSystem(): void;
	RegisterWithPerceptionSystem(): void;
	RegisterForSense(SenseClass: UnrealEngineClass): void;
	static C(Other: UObject): AIPerceptionStimuliSourceComponent;
}

declare class AIResource_Movement extends GameplayTaskResource { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AIResource_Movement;
	static Find(Outer: UObject, ResourceName: string): AIResource_Movement;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AIResource_Movement;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIResource_Movement;
	static C(Other: UObject): AIResource_Movement;
}

declare class AIResource_Logic extends GameplayTaskResource { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AIResource_Logic;
	static Find(Outer: UObject, ResourceName: string): AIResource_Logic;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AIResource_Logic;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIResource_Logic;
	static C(Other: UObject): AIResource_Logic;
}

declare type EUserDefinedStructureStatus = string | symbol;
declare var EUserDefinedStructureStatus = { UDSS_UpToDate:'UDSS_UpToDate',UDSS_Dirty:'UDSS_Dirty',UDSS_Error:'UDSS_Error',UDSS_Duplicate:'UDSS_Duplicate', };
declare class UserDefinedStruct extends ScriptStruct { 
	Status: EUserDefinedStructureStatus;
	PrimaryStruct: any;
	ErrorMessage: string;
	EditorData: UObject;
	Guid: Guid;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): UserDefinedStruct;
	static Find(Outer: UObject, ResourceName: string): UserDefinedStruct;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): UserDefinedStruct;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserDefinedStruct;
	static C(Other: UObject): UserDefinedStruct;
}

declare class AISense_Blueprint extends AISense { 
	ListenerDataType: UnrealEngineClass;
	ListenerContainer: AIPerceptionComponent[];
	UnprocessedEvents: AISenseEvent[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISense_Blueprint;
	static Find(Outer: UObject, ResourceName: string): AISense_Blueprint;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISense_Blueprint;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Blueprint;
	OnUpdate(EventsToProcess: AISenseEvent[]): number;
	OnListenerUpdated(ActorListener: Actor,PerceptionComponent: AIPerceptionComponent): void;
	OnListenerUnregistered(ActorListener: Actor,PerceptionComponent: AIPerceptionComponent): void;
	OnListenerRegistered(ActorListener: Actor,PerceptionComponent: AIPerceptionComponent): void;
	OnNewPawn(NewPawn: Pawn): void;
	GetAllListenerComponents(ListenerComponents?: AIPerceptionComponent[]): {ListenerComponents: AIPerceptionComponent[]};
	GetAllListenerActors(ListenerActors?: Actor[]): {ListenerActors: Actor[]};
	static C(Other: UObject): AISense_Blueprint;
}

declare class AIDamageEvent { 
	Amount: number;
	Location: Vector;
	HitLocation: Vector;
	DamagedActor: Actor;
	Instigator: Actor;
	clone() : AIDamageEvent;
	static C(Other: UObject): AIDamageEvent;
}

declare class AISense_Damage extends AISense { 
	RegisteredEvents: AIDamageEvent[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISense_Damage;
	static Find(Outer: UObject, ResourceName: string): AISense_Damage;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISense_Damage;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Damage;
	static ReportDamageEvent(WorldContext: UObject,DamagedActor: Actor,Instigator: Actor,DamageAmount: number,EventLocation: Vector,HitLocation: Vector): void;
	static C(Other: UObject): AISense_Damage;
}

declare class AINoiseEvent { 
	NoiseLocation: Vector;
	Loudness: number;
	MaxRange: number;
	Instigator: Actor;
	Tag: string;
	clone() : AINoiseEvent;
	static C(Other: UObject): AINoiseEvent;
}

declare class AISense_Hearing extends AISense { 
	NoiseEvents: AINoiseEvent[];
	SpeedOfSoundSq: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISense_Hearing;
	static Find(Outer: UObject, ResourceName: string): AISense_Hearing;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISense_Hearing;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Hearing;
	static ReportNoiseEvent(WorldContext: UObject,NoiseLocation: Vector,Loudness: number,Instigator: Actor,MaxRange: number,Tag: string): void;
	static C(Other: UObject): AISense_Hearing;
}

declare class AIPredictionEvent { 
	Requestor: Actor;
	PredictedActor: Actor;
	clone() : AIPredictionEvent;
	static C(Other: UObject): AIPredictionEvent;
}

declare class AISense_Prediction extends AISense { 
	RegisteredEvents: AIPredictionEvent[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISense_Prediction;
	static Find(Outer: UObject, ResourceName: string): AISense_Prediction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISense_Prediction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Prediction;
	static RequestPawnPredictionEvent(Requestor: Pawn,PredictedActor: Actor,PredictionTime: number): void;
	static RequestControllerPredictionEvent(Requestor: AIController,PredictedActor: Actor,PredictionTime: number): void;
	static C(Other: UObject): AISense_Prediction;
}

declare class AISense_Sight extends AISense { 
	MaxTracesPerTick: number;
	MinQueriesPerTimeSliceCheck: number;
	MaxTimeSlicePerTick: any;
	HighImportanceQueryDistanceThreshold: number;
	MaxQueryImportance: number;
	SightLimitQueryImportance: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISense_Sight;
	static Find(Outer: UObject, ResourceName: string): AISense_Sight;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISense_Sight;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Sight;
	static C(Other: UObject): AISense_Sight;
}

declare class AITeamStimulusEvent { 
	Broadcaster: Actor;
	Enemy: Actor;
	clone() : AITeamStimulusEvent;
	static C(Other: UObject): AITeamStimulusEvent;
}

declare class AISense_Team extends AISense { 
	RegisteredEvents: AITeamStimulusEvent[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISense_Team;
	static Find(Outer: UObject, ResourceName: string): AISense_Team;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISense_Team;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Team;
	static C(Other: UObject): AISense_Team;
}

declare class AITouchEvent { 
	TouchReceiver: Actor;
	OtherActor: Actor;
	clone() : AITouchEvent;
	static C(Other: UObject): AITouchEvent;
}

declare class AISense_Touch extends AISense { 
	RegisteredEvents: AITouchEvent[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISense_Touch;
	static Find(Outer: UObject, ResourceName: string): AISense_Touch;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISense_Touch;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Touch;
	static C(Other: UObject): AISense_Touch;
}

declare class AISenseBlueprintListener extends UserDefinedStruct { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISenseBlueprintListener;
	static Find(Outer: UObject, ResourceName: string): AISenseBlueprintListener;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISenseBlueprintListener;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseBlueprintListener;
	static C(Other: UObject): AISenseBlueprintListener;
}

declare class AISenseConfig_Blueprint extends AISenseConfig { 
	Implementation: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISenseConfig_Blueprint;
	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Blueprint;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISenseConfig_Blueprint;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Blueprint;
	static C(Other: UObject): AISenseConfig_Blueprint;
}

declare class AISenseConfig_Damage extends AISenseConfig { 
	Implementation: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISenseConfig_Damage;
	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Damage;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISenseConfig_Damage;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Damage;
	static C(Other: UObject): AISenseConfig_Damage;
}

declare class AISenseAffiliationFilter { 
	bDetectEnemies: boolean;
	bDetectNeutrals: boolean;
	bDetectFriendlies: boolean;
	clone() : AISenseAffiliationFilter;
	static C(Other: UObject): AISenseAffiliationFilter;
}

declare class AISenseConfig_Hearing extends AISenseConfig { 
	Implementation: UnrealEngineClass;
	HearingRange: number;
	LoSHearingRange: number;
	bUseLoSHearing: boolean;
	DetectionByAffiliation: AISenseAffiliationFilter;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISenseConfig_Hearing;
	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Hearing;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISenseConfig_Hearing;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Hearing;
	static C(Other: UObject): AISenseConfig_Hearing;
}

declare class AISenseConfig_Prediction extends AISenseConfig { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISenseConfig_Prediction;
	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Prediction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISenseConfig_Prediction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Prediction;
	static C(Other: UObject): AISenseConfig_Prediction;
}

declare class AISenseConfig_Sight extends AISenseConfig { 
	Implementation: UnrealEngineClass;
	SightRadius: number;
	LoseSightRadius: number;
	PeripheralVisionAngleDegrees: number;
	DetectionByAffiliation: AISenseAffiliationFilter;
	AutoSuccessRangeFromLastSeenLocation: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISenseConfig_Sight;
	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Sight;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISenseConfig_Sight;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Sight;
	static C(Other: UObject): AISenseConfig_Sight;
}

declare class AISenseConfig_Team extends AISenseConfig { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISenseConfig_Team;
	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Team;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISenseConfig_Team;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Team;
	static C(Other: UObject): AISenseConfig_Team;
}

declare class AISenseConfig_Touch extends AISenseConfig { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISenseConfig_Touch;
	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Touch;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISenseConfig_Touch;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Touch;
	static C(Other: UObject): AISenseConfig_Touch;
}

declare class AISenseEvent_Damage extends AISenseEvent { 
	Event: AIDamageEvent;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISenseEvent_Damage;
	static Find(Outer: UObject, ResourceName: string): AISenseEvent_Damage;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISenseEvent_Damage;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseEvent_Damage;
	static C(Other: UObject): AISenseEvent_Damage;
}

declare class AISenseEvent_Hearing extends AISenseEvent { 
	Event: AINoiseEvent;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISenseEvent_Hearing;
	static Find(Outer: UObject, ResourceName: string): AISenseEvent_Hearing;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISenseEvent_Hearing;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseEvent_Hearing;
	static C(Other: UObject): AISenseEvent_Hearing;
}

declare class AISightTargetInterface extends Interface { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AISightTargetInterface;
	static Find(Outer: UObject, ResourceName: string): AISightTargetInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AISightTargetInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISightTargetInterface;
	static C(Other: UObject): AISightTargetInterface;
}

declare class AITask extends GameplayTask { 
	OwnerController: AIController;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AITask;
	static Find(Outer: UObject, ResourceName: string): AITask;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AITask;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AITask;
	static C(Other: UObject): AITask;
}

declare class AITask_LockLogic extends AITask { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AITask_LockLogic;
	static Find(Outer: UObject, ResourceName: string): AITask_LockLogic;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AITask_LockLogic;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AITask_LockLogic;
	static C(Other: UObject): AITask_LockLogic;
}

declare class AIMoveRequest { 
	GoalActor: Actor;
	clone() : AIMoveRequest;
	static C(Other: UObject): AIMoveRequest;
}

declare type EAIOptionFlag = string | symbol;
declare var EAIOptionFlag = { Default:'Default',Enable:'Enable',Disable:'Disable',MAX:'MAX', };
declare class AITask_MoveTo extends AITask { 
	OnRequestFailed: UnrealEngineMulticastDelegate<() => void>;
	OnMoveFinished: UnrealEngineMulticastDelegate<(Result: EPathFollowingResult) => void>;
	MoveRequest: AIMoveRequest;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AITask_MoveTo;
	static Find(Outer: UObject, ResourceName: string): AITask_MoveTo;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AITask_MoveTo;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AITask_MoveTo;
	static MoveToLocationorActor(Controller: AIController,GoalLocation: Vector,GoalActor: Actor,AcceptanceRadius: number,StopOnOverlap: EAIOptionFlag,AcceptPartialPath: EAIOptionFlag,bUsePathfinding: boolean,bLockAILogic: boolean): AITask_MoveTo;
	static C(Other: UObject): AITask_MoveTo;
}

declare class BlackboardKeyType_Enum extends BlackboardKeyType { 
	EnumType: Enum;
	EnumName: string;
	bIsEnumNameValid: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardKeyType_Enum;
	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Enum;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardKeyType_Enum;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Enum;
	static C(Other: UObject): BlackboardKeyType_Enum;
}

declare class BlackboardKeyType_NativeEnum extends BlackboardKeyType { 
	EnumName: string;
	EnumType: Enum;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardKeyType_NativeEnum;
	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_NativeEnum;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardKeyType_NativeEnum;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_NativeEnum;
	static C(Other: UObject): BlackboardKeyType_NativeEnum;
}

declare class BlackboardKeyType_Bool extends BlackboardKeyType { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardKeyType_Bool;
	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Bool;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardKeyType_Bool;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Bool;
	static C(Other: UObject): BlackboardKeyType_Bool;
}

declare class BlackboardKeyType_Class extends BlackboardKeyType { 
	BaseClass: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardKeyType_Class;
	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Class;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardKeyType_Class;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Class;
	static C(Other: UObject): BlackboardKeyType_Class;
}

declare class BlackboardKeyType_Float extends BlackboardKeyType { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardKeyType_Float;
	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Float;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardKeyType_Float;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Float;
	static C(Other: UObject): BlackboardKeyType_Float;
}

declare class BlackboardKeyType_Int extends BlackboardKeyType { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardKeyType_Int;
	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Int;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardKeyType_Int;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Int;
	static C(Other: UObject): BlackboardKeyType_Int;
}

declare class BlackboardKeyType_Name extends BlackboardKeyType { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardKeyType_Name;
	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Name;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardKeyType_Name;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Name;
	static C(Other: UObject): BlackboardKeyType_Name;
}

declare class BlackboardKeyType_Object extends BlackboardKeyType { 
	BaseClass: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardKeyType_Object;
	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Object;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardKeyType_Object;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Object;
	static C(Other: UObject): BlackboardKeyType_Object;
}

declare class BlackboardKeyType_Rotator extends BlackboardKeyType { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardKeyType_Rotator;
	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Rotator;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardKeyType_Rotator;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Rotator;
	static C(Other: UObject): BlackboardKeyType_Rotator;
}

declare class BlackboardKeyType_String extends BlackboardKeyType { 
	StringValue: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardKeyType_String;
	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_String;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardKeyType_String;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_String;
	static C(Other: UObject): BlackboardKeyType_String;
}

declare class BlackboardKeyType_Vector extends BlackboardKeyType { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlackboardKeyType_Vector;
	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Vector;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlackboardKeyType_Vector;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Vector;
	static C(Other: UObject): BlackboardKeyType_Vector;
}

declare class BTFunctionLibrary extends BlueprintFunctionLibrary { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTFunctionLibrary;
	static Find(Outer: UObject, ResourceName: string): BTFunctionLibrary;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTFunctionLibrary;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTFunctionLibrary;
	static StopUsingExternalEvent(NodeOwner: BTNode): void;
	static StartUsingExternalEvent(NodeOwner: BTNode,OwningActor: Actor): void;
	static SetBlackboardValueAsVector(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: Vector): void;
	static SetBlackboardValueAsString(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: string): void;
	static SetBlackboardValueAsRotator(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: Rotator): void;
	static SetBlackboardValueAsObject(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: UObject): void;
	static SetBlackboardValueAsName(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: string): void;
	static SetBlackboardValueAsInt(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: number): void;
	static SetBlackboardValueAsFloat(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: number): void;
	static SetBlackboardValueAsEnum(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: number): void;
	static SetBlackboardValueAsClass(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: UnrealEngineClass): void;
	static SetBlackboardValueAsBool(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: boolean): void;
	static GetOwnersBlackboard(NodeOwner: BTNode): BlackboardComponent;
	static GetOwnerComponent(NodeOwner: BTNode): BehaviorTreeComponent;
	static GetBlackboardValueAsVector(NodeOwner: BTNode,Key: BlackboardKeySelector): Vector;
	static GetBlackboardValueAsString(NodeOwner: BTNode,Key: BlackboardKeySelector): string;
	static GetBlackboardValueAsRotator(NodeOwner: BTNode,Key: BlackboardKeySelector): Rotator;
	static GetBlackboardValueAsObject(NodeOwner: BTNode,Key: BlackboardKeySelector): UObject;
	static GetBlackboardValueAsName(NodeOwner: BTNode,Key: BlackboardKeySelector): string;
	static GetBlackboardValueAsInt(NodeOwner: BTNode,Key: BlackboardKeySelector): number;
	static GetBlackboardValueAsFloat(NodeOwner: BTNode,Key: BlackboardKeySelector): number;
	static GetBlackboardValueAsEnum(NodeOwner: BTNode,Key: BlackboardKeySelector): number;
	static GetBlackboardValueAsClass(NodeOwner: BTNode,Key: BlackboardKeySelector): UnrealEngineClass;
	static GetBlackboardValueAsBool(NodeOwner: BTNode,Key: BlackboardKeySelector): boolean;
	static GetBlackboardValueAsActor(NodeOwner: BTNode,Key: BlackboardKeySelector): Actor;
	static ClearBlackboardValueAsVector(NodeOwner: BTNode,Key: BlackboardKeySelector): void;
	static ClearBlackboardValue(NodeOwner: BTNode,Key: BlackboardKeySelector): void;
	static C(Other: UObject): BTFunctionLibrary;
}

declare class BTDecorator_BlackboardBase extends BTDecorator { 
	BlackboardKey: BlackboardKeySelector;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_BlackboardBase;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_BlackboardBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_BlackboardBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_BlackboardBase;
	static C(Other: UObject): BTDecorator_BlackboardBase;
}

declare type EBTBlackboardRestart = string | symbol;
declare var EBTBlackboardRestart = { ValueChange:'ValueChange',ResultChange:'ResultChange', };
declare type EBasicKeyOperation = string | symbol;
declare var EBasicKeyOperation = { Set:'Set',NotSet:'NotSet', };
declare type EArithmeticKeyOperation = string | symbol;
declare var EArithmeticKeyOperation = { Equal:'Equal',NotEqual:'NotEqual',Less:'Less',LessOrEqual:'LessOrEqual',Greater:'Greater',GreaterOrEqual:'GreaterOrEqual', };
declare type ETextKeyOperation = string | symbol;
declare var ETextKeyOperation = { Equal:'Equal',NotEqual:'NotEqual',Contain:'Contain',NotContain:'NotContain', };
declare class BTDecorator_Blackboard extends BTDecorator_BlackboardBase { 
	IntValue: number;
	FloatValue: number;
	StringValue: string;
	CachedDescription: string;
	OperationType: number;
	NotifyObserver: EBTBlackboardRestart;
	BasicOperation: EBasicKeyOperation;
	ArithmeticOperation: EArithmeticKeyOperation;
	TextOperation: ETextKeyOperation;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_Blackboard;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_Blackboard;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_Blackboard;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_Blackboard;
	static C(Other: UObject): BTDecorator_Blackboard;
}

declare class BTDecorator_ConditionalLoop extends BTDecorator_Blackboard { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_ConditionalLoop;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_ConditionalLoop;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_ConditionalLoop;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_ConditionalLoop;
	static C(Other: UObject): BTDecorator_ConditionalLoop;
}

declare class BTDecorator_IsAtLocation extends BTDecorator_BlackboardBase { 
	AcceptableRadius: number;
	bUseNavAgentGoalLocation: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_IsAtLocation;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_IsAtLocation;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_IsAtLocation;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_IsAtLocation;
	static C(Other: UObject): BTDecorator_IsAtLocation;
}

declare class BTDecorator_IsBBEntryOfClass extends BTDecorator_BlackboardBase { 
	TestClass: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_IsBBEntryOfClass;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_IsBBEntryOfClass;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_IsBBEntryOfClass;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_IsBBEntryOfClass;
	static C(Other: UObject): BTDecorator_IsBBEntryOfClass;
}

declare type EBTNodeResult = string | symbol;
declare var EBTNodeResult = { Succeeded:'Succeeded',Failed:'Failed',Aborted:'Aborted',InProgress:'InProgress', };
declare class BTDecorator_BlueprintBase extends BTDecorator { 
	AIOwner: AIController;
	ActorOwner: Actor;
	ObservedKeyNames: string[];
	bShowPropertyDetails: boolean;
	bCheckConditionOnlyBlackBoardChanges: boolean;
	bIsObservingBB: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_BlueprintBase;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_BlueprintBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_BlueprintBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_BlueprintBase;
	ReceiveTickAI(OwnerController: AIController,ControlledPawn: Pawn,DeltaSeconds: number): void;
	ReceiveTick(OwnerActor: Actor,DeltaSeconds: number): void;
	ReceiveObserverDeactivatedAI(OwnerController: AIController,ControlledPawn: Pawn): void;
	ReceiveObserverDeactivated(OwnerActor: Actor): void;
	ReceiveObserverActivatedAI(OwnerController: AIController,ControlledPawn: Pawn): void;
	ReceiveObserverActivated(OwnerActor: Actor): void;
	ReceiveExecutionStartAI(OwnerController: AIController,ControlledPawn: Pawn): void;
	ReceiveExecutionStart(OwnerActor: Actor): void;
	ReceiveExecutionFinishAI(OwnerController: AIController,ControlledPawn: Pawn,NodeResult: EBTNodeResult): void;
	ReceiveExecutionFinish(OwnerActor: Actor,NodeResult: EBTNodeResult): void;
	ReceiveConditionCheck(OwnerActor: Actor): void;
	PerformConditionCheckAI(OwnerController: AIController,ControlledPawn: Pawn): boolean;
	PerformConditionCheck(OwnerActor: Actor): boolean;
	IsDecoratorObserverActive(): boolean;
	IsDecoratorExecutionActive(): boolean;
	FinishConditionCheck(bAllowExecution: boolean): void;
	static C(Other: UObject): BTDecorator_BlueprintBase;
}

declare type EGameplayContainerMatchType = string | symbol;
declare var EGameplayContainerMatchType = { Any:'Any',All:'All', };
declare class BTDecorator_CheckGameplayTagsOnActor extends BTDecorator { 
	ActorToCheck: BlackboardKeySelector;
	TagsToMatch: EGameplayContainerMatchType;
	GameplayTags: GameplayTagContainer;
	CachedDescription: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_CheckGameplayTagsOnActor;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_CheckGameplayTagsOnActor;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_CheckGameplayTagsOnActor;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_CheckGameplayTagsOnActor;
	static C(Other: UObject): BTDecorator_CheckGameplayTagsOnActor;
}

declare type EBlackBoardEntryComparison = string | symbol;
declare var EBlackBoardEntryComparison = { Equal:'Equal',NotEqual:'NotEqual', };
declare class BTDecorator_CompareBBEntries extends BTDecorator { 
	Operator: EBlackBoardEntryComparison;
	BlackboardKeyA: BlackboardKeySelector;
	BlackboardKeyB: BlackboardKeySelector;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_CompareBBEntries;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_CompareBBEntries;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_CompareBBEntries;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_CompareBBEntries;
	static C(Other: UObject): BTDecorator_CompareBBEntries;
}

declare class BTDecorator_ConeCheck extends BTDecorator { 
	ConeHalfAngle: number;
	ConeOrigin: BlackboardKeySelector;
	ConeDirection: BlackboardKeySelector;
	Observed: BlackboardKeySelector;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_ConeCheck;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_ConeCheck;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_ConeCheck;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_ConeCheck;
	static C(Other: UObject): BTDecorator_ConeCheck;
}

declare class BTDecorator_Cooldown extends BTDecorator { 
	CoolDownTime: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_Cooldown;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_Cooldown;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_Cooldown;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_Cooldown;
	static C(Other: UObject): BTDecorator_Cooldown;
}

declare type EPathExistanceQueryType = string | symbol;
declare var EPathExistanceQueryType = { NavmeshRaycast2D:'NavmeshRaycast2D',HierarchicalQuery:'HierarchicalQuery',RegularPathFinding:'RegularPathFinding', };
declare class BTDecorator_DoesPathExist extends BTDecorator { 
	BlackboardKeyA: BlackboardKeySelector;
	BlackboardKeyB: BlackboardKeySelector;
	bUseSelf: boolean;
	PathQueryType: EPathExistanceQueryType;
	FilterClass: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_DoesPathExist;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_DoesPathExist;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_DoesPathExist;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_DoesPathExist;
	static C(Other: UObject): BTDecorator_DoesPathExist;
}

declare class BTDecorator_ForceSuccess extends BTDecorator { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_ForceSuccess;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_ForceSuccess;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_ForceSuccess;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_ForceSuccess;
	static C(Other: UObject): BTDecorator_ForceSuccess;
}

declare class BTDecorator_KeepInCone extends BTDecorator { 
	ConeHalfAngle: number;
	ConeOrigin: BlackboardKeySelector;
	Observed: BlackboardKeySelector;
	bUseSelfAsOrigin: boolean;
	bUseSelfAsObserved: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_KeepInCone;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_KeepInCone;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_KeepInCone;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_KeepInCone;
	static C(Other: UObject): BTDecorator_KeepInCone;
}

declare class BTDecorator_Loop extends BTDecorator { 
	NumLoops: number;
	bInfiniteLoop: boolean;
	InfiniteLoopTimeoutTime: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_Loop;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_Loop;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_Loop;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_Loop;
	static C(Other: UObject): BTDecorator_Loop;
}

declare class BTDecorator_ReachedMoveGoal extends BTDecorator { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_ReachedMoveGoal;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_ReachedMoveGoal;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_ReachedMoveGoal;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_ReachedMoveGoal;
	static C(Other: UObject): BTDecorator_ReachedMoveGoal;
}

declare class BTDecorator_SetTagCooldown extends BTDecorator { 
	CooldownTag: GameplayTag;
	CooldownDuration: number;
	bAddToExistingDuration: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_SetTagCooldown;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_SetTagCooldown;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_SetTagCooldown;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_SetTagCooldown;
	static C(Other: UObject): BTDecorator_SetTagCooldown;
}

declare class BTDecorator_TagCooldown extends BTDecorator { 
	CooldownTag: GameplayTag;
	CooldownDuration: number;
	bAddToExistingDuration: boolean;
	bActivatesCooldown: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_TagCooldown;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_TagCooldown;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_TagCooldown;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_TagCooldown;
	static C(Other: UObject): BTDecorator_TagCooldown;
}

declare class BTDecorator_TimeLimit extends BTDecorator { 
	TimeLimit: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTDecorator_TimeLimit;
	static Find(Outer: UObject, ResourceName: string): BTDecorator_TimeLimit;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTDecorator_TimeLimit;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_TimeLimit;
	static C(Other: UObject): BTDecorator_TimeLimit;
}

declare class BTService_BlackboardBase extends BTService { 
	BlackboardKey: BlackboardKeySelector;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTService_BlackboardBase;
	static Find(Outer: UObject, ResourceName: string): BTService_BlackboardBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTService_BlackboardBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTService_BlackboardBase;
	static C(Other: UObject): BTService_BlackboardBase;
}

declare class BTService_DefaultFocus extends BTService_BlackboardBase { 
	FocusPriority: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTService_DefaultFocus;
	static Find(Outer: UObject, ResourceName: string): BTService_DefaultFocus;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTService_DefaultFocus;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTService_DefaultFocus;
	static C(Other: UObject): BTService_DefaultFocus;
}

declare class EnvQueryTypes extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryTypes;
	static Find(Outer: UObject, ResourceName: string): EnvQueryTypes;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryTypes;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTypes;
	static C(Other: UObject): EnvQueryTypes;
}

declare type EAIParamType = string | symbol;
declare var EAIParamType = { Float:'Float',Int:'Int',Bool:'Bool', };
declare class AIDynamicParam { 
	ParamName: string;
	ParamType: EAIParamType;
	Value: number;
	BBKey: BlackboardKeySelector;
	clone() : AIDynamicParam;
	static C(Other: UObject): AIDynamicParam;
}

declare class EQSParametrizedQueryExecutionRequest { 
	QueryTemplate: EnvQuery;
	QueryConfig: AIDynamicParam[];
	EQSQueryBlackboardKey: BlackboardKeySelector;
	RunMode: EEnvQueryRunMode;
	bUseBBKeyForQueryTemplate: boolean;
	clone() : EQSParametrizedQueryExecutionRequest;
	static C(Other: UObject): EQSParametrizedQueryExecutionRequest;
}

declare class BTService_RunEQS extends BTService_BlackboardBase { 
	EQSRequest: EQSParametrizedQueryExecutionRequest;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTService_RunEQS;
	static Find(Outer: UObject, ResourceName: string): BTService_RunEQS;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTService_RunEQS;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTService_RunEQS;
	static C(Other: UObject): BTService_RunEQS;
}

declare class BTService_BlueprintBase extends BTService { 
	AIOwner: AIController;
	ActorOwner: Actor;
	bShowPropertyDetails: boolean;
	bShowEventDetails: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTService_BlueprintBase;
	static Find(Outer: UObject, ResourceName: string): BTService_BlueprintBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTService_BlueprintBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTService_BlueprintBase;
	ReceiveTickAI(OwnerController: AIController,ControlledPawn: Pawn,DeltaSeconds: number): void;
	ReceiveTick(OwnerActor: Actor,DeltaSeconds: number): void;
	ReceiveSearchStartAI(OwnerController: AIController,ControlledPawn: Pawn): void;
	ReceiveSearchStart(OwnerActor: Actor): void;
	ReceiveDeactivationAI(OwnerController: AIController,ControlledPawn: Pawn): void;
	ReceiveDeactivation(OwnerActor: Actor): void;
	ReceiveActivationAI(OwnerController: AIController,ControlledPawn: Pawn): void;
	ReceiveActivation(OwnerActor: Actor): void;
	IsServiceActive(): boolean;
	static C(Other: UObject): BTService_BlueprintBase;
}

declare class BTComposite_Selector extends BTCompositeNode { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTComposite_Selector;
	static Find(Outer: UObject, ResourceName: string): BTComposite_Selector;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTComposite_Selector;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTComposite_Selector;
	static C(Other: UObject): BTComposite_Selector;
}

declare class BTComposite_Sequence extends BTCompositeNode { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTComposite_Sequence;
	static Find(Outer: UObject, ResourceName: string): BTComposite_Sequence;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTComposite_Sequence;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTComposite_Sequence;
	static C(Other: UObject): BTComposite_Sequence;
}

declare type EBTParallelMode = string | symbol;
declare var EBTParallelMode = { AbortBackground:'AbortBackground',WaitForBackground:'WaitForBackground', };
declare class BTComposite_SimpleParallel extends BTCompositeNode { 
	FinishMode: EBTParallelMode;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTComposite_SimpleParallel;
	static Find(Outer: UObject, ResourceName: string): BTComposite_SimpleParallel;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTComposite_SimpleParallel;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTComposite_SimpleParallel;
	static C(Other: UObject): BTComposite_SimpleParallel;
}

declare class BTTask_BlackboardBase extends BTTaskNode { 
	BlackboardKey: BlackboardKeySelector;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_BlackboardBase;
	static Find(Outer: UObject, ResourceName: string): BTTask_BlackboardBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_BlackboardBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_BlackboardBase;
	static C(Other: UObject): BTTask_BlackboardBase;
}

declare class BTTask_MoveTo extends BTTask_BlackboardBase { 
	AcceptableRadius: number;
	FilterClass: UnrealEngineClass;
	ObservedBlackboardValueTolerance: number;
	bObserveBlackboardValue: boolean;
	bAllowStrafe: boolean;
	bAllowPartialPath: boolean;
	bTrackMovingGoal: boolean;
	bProjectGoalLocation: boolean;
	bStopOnOverlap: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_MoveTo;
	static Find(Outer: UObject, ResourceName: string): BTTask_MoveTo;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_MoveTo;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_MoveTo;
	static C(Other: UObject): BTTask_MoveTo;
}

declare class BTTask_MoveDirectlyToward extends BTTask_MoveTo { 
	bDisablePathUpdateOnGoalLocationChange: boolean;
	bProjectVectorGoalToNavigation: boolean;
	bUpdatedDeprecatedProperties: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_MoveDirectlyToward;
	static Find(Outer: UObject, ResourceName: string): BTTask_MoveDirectlyToward;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_MoveDirectlyToward;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_MoveDirectlyToward;
	static C(Other: UObject): BTTask_MoveDirectlyToward;
}

declare class BTTask_RotateToFaceBBEntry extends BTTask_BlackboardBase { 
	Precision: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_RotateToFaceBBEntry;
	static Find(Outer: UObject, ResourceName: string): BTTask_RotateToFaceBBEntry;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_RotateToFaceBBEntry;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_RotateToFaceBBEntry;
	static C(Other: UObject): BTTask_RotateToFaceBBEntry;
}

declare class EnvNamedValue { 
	ParamName: string;
	ParamType: EAIParamType;
	Value: number;
	clone() : EnvNamedValue;
	static C(Other: UObject): EnvNamedValue;
}

declare class BTTask_RunEQSQuery extends BTTask_BlackboardBase { 
	QueryTemplate: EnvQuery;
	QueryParams: EnvNamedValue[];
	QueryConfig: AIDynamicParam[];
	RunMode: EEnvQueryRunMode;
	EQSQueryBlackboardKey: BlackboardKeySelector;
	bUseBBKey: boolean;
	EQSRequest: EQSParametrizedQueryExecutionRequest;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_RunEQSQuery;
	static Find(Outer: UObject, ResourceName: string): BTTask_RunEQSQuery;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_RunEQSQuery;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_RunEQSQuery;
	static C(Other: UObject): BTTask_RunEQSQuery;
}

declare class BTTask_BlueprintBase extends BTTaskNode { 
	AIOwner: AIController;
	ActorOwner: Actor;
	bShowPropertyDetails: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_BlueprintBase;
	static Find(Outer: UObject, ResourceName: string): BTTask_BlueprintBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_BlueprintBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_BlueprintBase;
	SetFinishOnMessageWithId(MessageName: string,RequestID: number): void;
	SetFinishOnMessage(MessageName: string): void;
	ReceiveTickAI(OwnerController: AIController,ControlledPawn: Pawn,DeltaSeconds: number): void;
	ReceiveTick(OwnerActor: Actor,DeltaSeconds: number): void;
	ReceiveExecuteAI(OwnerController: AIController,ControlledPawn: Pawn): void;
	ReceiveExecute(OwnerActor: Actor): void;
	ReceiveAbortAI(OwnerController: AIController,ControlledPawn: Pawn): void;
	ReceiveAbort(OwnerActor: Actor): void;
	IsTaskExecuting(): boolean;
	IsTaskAborting(): boolean;
	FinishExecute(bSuccess: boolean): void;
	FinishAbort(): void;
	static C(Other: UObject): BTTask_BlueprintBase;
}

declare class BTTask_MakeNoise extends BTTaskNode { 
	Loudnes: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_MakeNoise;
	static Find(Outer: UObject, ResourceName: string): BTTask_MakeNoise;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_MakeNoise;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_MakeNoise;
	static C(Other: UObject): BTTask_MakeNoise;
}

declare class BTTask_PawnActionBase extends BTTaskNode { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_PawnActionBase;
	static Find(Outer: UObject, ResourceName: string): BTTask_PawnActionBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_PawnActionBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_PawnActionBase;
	static C(Other: UObject): BTTask_PawnActionBase;
}

declare class BTTask_PushPawnAction extends BTTask_PawnActionBase { 
	Action: PawnAction;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_PushPawnAction;
	static Find(Outer: UObject, ResourceName: string): BTTask_PushPawnAction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_PushPawnAction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_PushPawnAction;
	static C(Other: UObject): BTTask_PushPawnAction;
}

declare class BTTask_PlayAnimation extends BTTaskNode { 
	AnimationToPlay: AnimationAsset;
	bLooping: boolean;
	bNonBlocking: boolean;
	MyOwnerComp: BehaviorTreeComponent;
	CachedSkelMesh: SkeletalMeshComponent;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_PlayAnimation;
	static Find(Outer: UObject, ResourceName: string): BTTask_PlayAnimation;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_PlayAnimation;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_PlayAnimation;
	static C(Other: UObject): BTTask_PlayAnimation;
}

declare class SoundNode extends UObject { 
	ChildNodes: SoundNode[];
	GraphNode: EdGraphNode;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SoundNode;
	static Find(Outer: UObject, ResourceName: string): SoundNode;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SoundNode;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNode;
	static C(Other: UObject): SoundNode;
}

declare class SoundCue extends SoundBase { 
	bOverrideAttenuation: boolean;
	FirstNode: SoundNode;
	VolumeMultiplier: number;
	PitchMultiplier: number;
	AttenuationOverrides: AttenuationSettings;
	AllNodes: SoundNode[];
	SoundCueGraph: EdGraph;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SoundCue;
	static Find(Outer: UObject, ResourceName: string): SoundCue;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SoundCue;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCue;
	static C(Other: UObject): SoundCue;
}

declare class BTTask_PlaySound extends BTTaskNode { 
	SoundToPlay: SoundCue;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_PlaySound;
	static Find(Outer: UObject, ResourceName: string): BTTask_PlaySound;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_PlaySound;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_PlaySound;
	static C(Other: UObject): BTTask_PlaySound;
}

declare class BTTask_RunBehavior extends BTTaskNode { 
	BehaviorAsset: BehaviorTree;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_RunBehavior;
	static Find(Outer: UObject, ResourceName: string): BTTask_RunBehavior;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_RunBehavior;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_RunBehavior;
	static C(Other: UObject): BTTask_RunBehavior;
}

declare class BTTask_RunBehaviorDynamic extends BTTaskNode { 
	InjectionTag: GameplayTag;
	DefaultBehaviorAsset: BehaviorTree;
	BehaviorAsset: BehaviorTree;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_RunBehaviorDynamic;
	static Find(Outer: UObject, ResourceName: string): BTTask_RunBehaviorDynamic;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_RunBehaviorDynamic;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_RunBehaviorDynamic;
	static C(Other: UObject): BTTask_RunBehaviorDynamic;
}

declare class BTTask_SetTagCooldown extends BTTaskNode { 
	CooldownTag: GameplayTag;
	bAddToExistingDuration: boolean;
	CooldownDuration: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_SetTagCooldown;
	static Find(Outer: UObject, ResourceName: string): BTTask_SetTagCooldown;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_SetTagCooldown;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_SetTagCooldown;
	static C(Other: UObject): BTTask_SetTagCooldown;
}

declare class BTTask_Wait extends BTTaskNode { 
	WaitTime: number;
	RandomDeviation: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_Wait;
	static Find(Outer: UObject, ResourceName: string): BTTask_Wait;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_Wait;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_Wait;
	static C(Other: UObject): BTTask_Wait;
}

declare class BTTask_WaitBlackboardTime extends BTTask_Wait { 
	BlackboardKey: BlackboardKeySelector;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BTTask_WaitBlackboardTime;
	static Find(Outer: UObject, ResourceName: string): BTTask_WaitBlackboardTime;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BTTask_WaitBlackboardTime;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_WaitBlackboardTime;
	static C(Other: UObject): BTTask_WaitBlackboardTime;
}

declare class CrowdAgentInterface extends Interface { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CrowdAgentInterface;
	static Find(Outer: UObject, ResourceName: string): CrowdAgentInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CrowdAgentInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrowdAgentInterface;
	static C(Other: UObject): CrowdAgentInterface;
}

declare class CrowdAvoidanceConfig { 
	VelocityBias: number;
	DesiredVelocityWeight: number;
	CurrentVelocityWeight: number;
	SideBiasWeight: number;
	ImpactTimeWeight: number;
	ImpactTimeRange: number;
	CustomPatternIdx: number;
	AdaptiveDivisions: number;
	AdaptiveRings: number;
	AdaptiveDepth: number;
	clone() : CrowdAvoidanceConfig;
	static C(Other: UObject): CrowdAvoidanceConfig;
}

declare class CrowdAvoidanceSamplingPattern { 
	Angles: number[];
	Radii: number[];
	clone() : CrowdAvoidanceSamplingPattern;
	static C(Other: UObject): CrowdAvoidanceSamplingPattern;
}

declare class CrowdManager extends UObject { 
	MyNavData: NavigationData;
	AvoidanceConfig: CrowdAvoidanceConfig[];
	SamplingPatterns: CrowdAvoidanceSamplingPattern[];
	MaxAgents: number;
	MaxAgentRadius: number;
	MaxAvoidedAgents: number;
	MaxAvoidedWalls: number;
	NavmeshCheckInterval: number;
	PathOptimizationInterval: number;
	bResolveCollisions: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CrowdManager;
	static Find(Outer: UObject, ResourceName: string): CrowdManager;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CrowdManager;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrowdManager;
	static C(Other: UObject): CrowdManager;
}

declare class EnvQueryContext_BlueprintBase extends EnvQueryContext { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryContext_BlueprintBase;
	static Find(Outer: UObject, ResourceName: string): EnvQueryContext_BlueprintBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryContext_BlueprintBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryContext_BlueprintBase;
	ProvideSingleLocation(QuerierObject: UObject,QuerierActor: Actor,ResultingLocation?: Vector): {ResultingLocation: Vector};
	ProvideSingleActor(QuerierObject: UObject,QuerierActor: Actor,ResultingActor?: Actor): {ResultingActor: Actor};
	ProvideLocationsSet(QuerierObject: UObject,QuerierActor: Actor,ResultingLocationSet?: Vector[]): {ResultingLocationSet: Vector[]};
	ProvideActorsSet(QuerierObject: UObject,QuerierActor: Actor,ResultingActorsSet?: Actor[]): {ResultingActorsSet: Actor[]};
	static C(Other: UObject): EnvQueryContext_BlueprintBase;
}

declare class EnvQueryContext_Item extends EnvQueryContext { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryContext_Item;
	static Find(Outer: UObject, ResourceName: string): EnvQueryContext_Item;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryContext_Item;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryContext_Item;
	static C(Other: UObject): EnvQueryContext_Item;
}

declare class EnvQueryContext_Querier extends EnvQueryContext { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryContext_Querier;
	static Find(Outer: UObject, ResourceName: string): EnvQueryContext_Querier;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryContext_Querier;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryContext_Querier;
	static C(Other: UObject): EnvQueryContext_Querier;
}

declare class VisualLoggerExtension extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): VisualLoggerExtension;
	static Find(Outer: UObject, ResourceName: string): VisualLoggerExtension;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): VisualLoggerExtension;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisualLoggerExtension;
	static C(Other: UObject): VisualLoggerExtension;
}

declare class EnvQueryDebugHelpers extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryDebugHelpers;
	static Find(Outer: UObject, ResourceName: string): EnvQueryDebugHelpers;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryDebugHelpers;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryDebugHelpers;
	static C(Other: UObject): EnvQueryDebugHelpers;
}

declare class EQSQueryResultSourceInterface extends Interface { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EQSQueryResultSourceInterface;
	static Find(Outer: UObject, ResourceName: string): EQSQueryResultSourceInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EQSQueryResultSourceInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EQSQueryResultSourceInterface;
	static C(Other: UObject): EQSQueryResultSourceInterface;
}

declare class EnvQueryItemType_VectorBase extends EnvQueryItemType { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryItemType_VectorBase;
	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_VectorBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryItemType_VectorBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_VectorBase;
	static C(Other: UObject): EnvQueryItemType_VectorBase;
}

declare class EnvQueryItemType_ActorBase extends EnvQueryItemType_VectorBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryItemType_ActorBase;
	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_ActorBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryItemType_ActorBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_ActorBase;
	static C(Other: UObject): EnvQueryItemType_ActorBase;
}

declare class EnvQueryItemType_Actor extends EnvQueryItemType_ActorBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryItemType_Actor;
	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_Actor;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryItemType_Actor;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_Actor;
	static C(Other: UObject): EnvQueryItemType_Actor;
}

declare class EnvQueryItemType_Direction extends EnvQueryItemType_VectorBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryItemType_Direction;
	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_Direction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryItemType_Direction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_Direction;
	static C(Other: UObject): EnvQueryItemType_Direction;
}

declare class EnvQueryItemType_Point extends EnvQueryItemType_VectorBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryItemType_Point;
	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_Point;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryItemType_Point;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_Point;
	static C(Other: UObject): EnvQueryItemType_Point;
}

declare class EnvQueryGenerator_ActorsOfClass extends EnvQueryGenerator { 
	SearchRadius: AIDataProviderFloatValue;
	SearchedActorClass: UnrealEngineClass;
	SearchCenter: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryGenerator_ActorsOfClass;
	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_ActorsOfClass;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryGenerator_ActorsOfClass;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_ActorsOfClass;
	static C(Other: UObject): EnvQueryGenerator_ActorsOfClass;
}

declare class EnvQueryGenerator_BlueprintBase extends EnvQueryGenerator { 
	GeneratorsActionDescription: string;
	Context: UnrealEngineClass;
	GeneratedItemType: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryGenerator_BlueprintBase;
	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_BlueprintBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryGenerator_BlueprintBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_BlueprintBase;
	GetQuerier(): UObject;
	DoItemGeneration(ContextLocations: Vector[]): void;
	AddGeneratedVector(GeneratedVector: Vector): void;
	AddGeneratedActor(GeneratedActor: Actor): void;
	static C(Other: UObject): EnvQueryGenerator_BlueprintBase;
}

declare class EnvQueryGenerator_Composite extends EnvQueryGenerator { 
	Generators: EnvQueryGenerator[];
	bHasMatchingItemType: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryGenerator_Composite;
	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_Composite;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryGenerator_Composite;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_Composite;
	static C(Other: UObject): EnvQueryGenerator_Composite;
}

declare class EnvQueryGenerator_CurrentLocation extends EnvQueryGenerator { 
	QueryContext: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryGenerator_CurrentLocation;
	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_CurrentLocation;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryGenerator_CurrentLocation;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_CurrentLocation;
	static C(Other: UObject): EnvQueryGenerator_CurrentLocation;
}

declare type EEnvTraceShape = string | symbol;
declare var EEnvTraceShape = { Line:'Line',Box:'Box',Sphere:'Sphere',Capsule:'Capsule', };
declare type EEnvQueryTrace = string | symbol;
declare var EEnvQueryTrace = { None:'None',Navigation:'Navigation',Geometry:'Geometry', };
declare class EnvTraceData { 
	VersionNum: number;
	NavigationFilter: UnrealEngineClass;
	ProjectDown: number;
	ProjectUp: number;
	ExtentX: number;
	ExtentY: number;
	ExtentZ: number;
	PostProjectionVerticalOffset: number;
	TraceChannel: ETraceTypeQuery;
	SerializedChannel: ECollisionChannel;
	TraceShape: EEnvTraceShape;
	TraceMode: EEnvQueryTrace;
	bTraceComplex: boolean;
	bOnlyBlockingHits: boolean;
	bCanTraceOnNavMesh: boolean;
	bCanTraceOnGeometry: boolean;
	bCanDisableTrace: boolean;
	bCanProjectDown: boolean;
	clone() : EnvTraceData;
	static C(Other: UObject): EnvTraceData;
}

declare class EnvQueryGenerator_ProjectedPoints extends EnvQueryGenerator { 
	ProjectionData: EnvTraceData;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryGenerator_ProjectedPoints;
	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_ProjectedPoints;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryGenerator_ProjectedPoints;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_ProjectedPoints;
	static C(Other: UObject): EnvQueryGenerator_ProjectedPoints;
}

declare class AIDataProviderIntValue extends AIDataProviderTypedValue { 
	DefaultValue: number;
	clone() : AIDataProviderIntValue;
	static C(Other: UObject): AIDataProviderIntValue;
}

declare type EEnvDirection = string | symbol;
declare var EEnvDirection = { TwoPoints:'TwoPoints',Rotation:'Rotation', };
declare class EnvDirection { 
	LineFrom: UnrealEngineClass;
	LineTo: UnrealEngineClass;
	Rotation: UnrealEngineClass;
	DirMode: EEnvDirection;
	clone() : EnvDirection;
	static C(Other: UObject): EnvDirection;
}

declare class EnvQueryGenerator_Donut extends EnvQueryGenerator_ProjectedPoints { 
	InnerRadius: AIDataProviderFloatValue;
	OuterRadius: AIDataProviderFloatValue;
	NumberOfRings: AIDataProviderIntValue;
	PointsPerRing: AIDataProviderIntValue;
	ArcDirection: EnvDirection;
	ArcAngle: AIDataProviderFloatValue;
	bUseSpiralPattern: boolean;
	Center: UnrealEngineClass;
	bDefineArc: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryGenerator_Donut;
	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_Donut;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryGenerator_Donut;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_Donut;
	static C(Other: UObject): EnvQueryGenerator_Donut;
}

declare type EPointOnCircleSpacingMethod = string | symbol;
declare var EPointOnCircleSpacingMethod = { BySpaceBetween:'BySpaceBetween',ByNumberOfPoints:'ByNumberOfPoints', };
declare class EnvQueryGenerator_OnCircle extends EnvQueryGenerator_ProjectedPoints { 
	CircleRadius: AIDataProviderFloatValue;
	SpaceBetween: AIDataProviderFloatValue;
	NumberOfPoints: AIDataProviderIntValue;
	PointOnCircleSpacingMethod: EPointOnCircleSpacingMethod;
	ArcDirection: EnvDirection;
	ArcAngle: AIDataProviderFloatValue;
	AngleRadians: number;
	CircleCenter: UnrealEngineClass;
	bIgnoreAnyContextActorsWhenGeneratingCircle: boolean;
	CircleCenterZOffset: AIDataProviderFloatValue;
	TraceData: EnvTraceData;
	bDefineArc: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryGenerator_OnCircle;
	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_OnCircle;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryGenerator_OnCircle;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_OnCircle;
	static C(Other: UObject): EnvQueryGenerator_OnCircle;
}

declare class EnvQueryGenerator_SimpleGrid extends EnvQueryGenerator_ProjectedPoints { 
	GridSize: AIDataProviderFloatValue;
	SpaceBetween: AIDataProviderFloatValue;
	GenerateAround: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryGenerator_SimpleGrid;
	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_SimpleGrid;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryGenerator_SimpleGrid;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_SimpleGrid;
	static C(Other: UObject): EnvQueryGenerator_SimpleGrid;
}

declare class EnvQueryGenerator_PathingGrid extends EnvQueryGenerator_SimpleGrid { 
	PathToItem: AIDataProviderBoolValue;
	NavigationFilter: UnrealEngineClass;
	ScanRangeMultiplier: AIDataProviderFloatValue;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryGenerator_PathingGrid;
	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_PathingGrid;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryGenerator_PathingGrid;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_PathingGrid;
	static C(Other: UObject): EnvQueryGenerator_PathingGrid;
}

declare type EEnvTestDistance = string | symbol;
declare var EEnvTestDistance = { Distance3D:'Distance3D',Distance2D:'Distance2D',DistanceZ:'DistanceZ',DistanceAbsoluteZ:'DistanceAbsoluteZ', };
declare class EnvQueryTest_Distance extends EnvQueryTest { 
	TestMode: EEnvTestDistance;
	DistanceTo: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryTest_Distance;
	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Distance;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryTest_Distance;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Distance;
	static C(Other: UObject): EnvQueryTest_Distance;
}

declare type EEnvTestDot = string | symbol;
declare var EEnvTestDot = { Dot3D:'Dot3D',Dot2D:'Dot2D', };
declare class EnvQueryTest_Dot extends EnvQueryTest { 
	LineA: EnvDirection;
	LineB: EnvDirection;
	TestMode: EEnvTestDot;
	bAbsoluteValue: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryTest_Dot;
	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Dot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryTest_Dot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Dot;
	static C(Other: UObject): EnvQueryTest_Dot;
}

declare class EnvQueryTest_GameplayTags extends EnvQueryTest { 
	TagsToMatch: EGameplayContainerMatchType;
	GameplayTags: GameplayTagContainer;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryTest_GameplayTags;
	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_GameplayTags;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryTest_GameplayTags;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_GameplayTags;
	static C(Other: UObject): EnvQueryTest_GameplayTags;
}

declare type EEnvOverlapShape = string | symbol;
declare var EEnvOverlapShape = { Box:'Box',Sphere:'Sphere',Capsule:'Capsule', };
declare class EnvOverlapData { 
	ExtentX: number;
	ExtentY: number;
	ExtentZ: number;
	ShapeOffset: Vector;
	OverlapChannel: ECollisionChannel;
	OverlapShape: EEnvOverlapShape;
	bOnlyBlockingHits: boolean;
	bOverlapComplex: boolean;
	clone() : EnvOverlapData;
	static C(Other: UObject): EnvOverlapData;
}

declare class EnvQueryTest_Overlap extends EnvQueryTest { 
	OverlapData: EnvOverlapData;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryTest_Overlap;
	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Overlap;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryTest_Overlap;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Overlap;
	static C(Other: UObject): EnvQueryTest_Overlap;
}

declare type EEnvTestPathfinding = string | symbol;
declare var EEnvTestPathfinding = { PathExist:'PathExist',PathCost:'PathCost',PathLength:'PathLength', };
declare class EnvQueryTest_Pathfinding extends EnvQueryTest { 
	TestMode: EEnvTestPathfinding;
	Context: UnrealEngineClass;
	PathFromContext: AIDataProviderBoolValue;
	SkipUnreachable: AIDataProviderBoolValue;
	FilterClass: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryTest_Pathfinding;
	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Pathfinding;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryTest_Pathfinding;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Pathfinding;
	static C(Other: UObject): EnvQueryTest_Pathfinding;
}

declare class EnvQueryTest_PathfindingBatch extends EnvQueryTest_Pathfinding { 
	ScanRangeMultiplier: AIDataProviderFloatValue;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryTest_PathfindingBatch;
	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_PathfindingBatch;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryTest_PathfindingBatch;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_PathfindingBatch;
	static C(Other: UObject): EnvQueryTest_PathfindingBatch;
}

declare class EnvQueryTest_Project extends EnvQueryTest { 
	ProjectionData: EnvTraceData;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryTest_Project;
	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Project;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryTest_Project;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Project;
	static C(Other: UObject): EnvQueryTest_Project;
}

declare class EnvQueryTest_Random extends EnvQueryTest { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryTest_Random;
	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Random;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryTest_Random;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Random;
	static C(Other: UObject): EnvQueryTest_Random;
}

declare class EnvQueryTest_Trace extends EnvQueryTest { 
	TraceData: EnvTraceData;
	TraceFromContext: AIDataProviderBoolValue;
	ItemHeightOffset: AIDataProviderFloatValue;
	ContextHeightOffset: AIDataProviderFloatValue;
	Context: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EnvQueryTest_Trace;
	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Trace;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EnvQueryTest_Trace;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Trace;
	static C(Other: UObject): EnvQueryTest_Trace;
}

declare class EQSRenderingComponent extends PrimitiveComponent { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EQSRenderingComponent;
	static Find(Outer: UObject, ResourceName: string): EQSRenderingComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EQSRenderingComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EQSRenderingComponent;
	static C(Other: UObject): EQSRenderingComponent;
}

declare type EEnvQueryHightlightMode = string | symbol;
declare var EEnvQueryHightlightMode = { All:'All',Best5Pct:'Best5Pct',Best25Pct:'Best25Pct', };
declare class EQSTestingPawn extends Character { 
	QueryTemplate: EnvQuery;
	QueryParams: EnvNamedValue[];
	QueryConfig: AIDynamicParam[];
	TimeLimitPerStep: number;
	StepToDebugDraw: number;
	HighlightMode: EEnvQueryHightlightMode;
	bDrawLabels: boolean;
	bDrawFailedItems: boolean;
	bReRunQueryOnlyOnFinishedMove: boolean;
	bShouldBeVisibleInGame: boolean;
	bTickDuringGame: boolean;
	QueryingMode: EEnvQueryRunMode;
	EdRenderComp: EQSRenderingComponent;
	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EQSTestingPawn;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EQSTestingPawn;
	static C(Other: UObject): EQSTestingPawn;
}

declare class CrowdFollowingComponent extends PathFollowingComponent { 
	CrowdAgentMoveDirection: Vector;
	CharacterMovement: CharacterMovementComponent;
	AvoidanceGroup: NavAvoidanceMask;
	GroupsToAvoid: NavAvoidanceMask;
	GroupsToIgnore: NavAvoidanceMask;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CrowdFollowingComponent;
	static Find(Outer: UObject, ResourceName: string): CrowdFollowingComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CrowdFollowingComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrowdFollowingComponent;
	SuspendCrowdSteering(bSuspend: boolean): void;
	static C(Other: UObject): CrowdFollowingComponent;
}

declare class PawnAction_BlueprintBase extends PawnAction { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PawnAction_BlueprintBase;
	static Find(Outer: UObject, ResourceName: string): PawnAction_BlueprintBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PawnAction_BlueprintBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_BlueprintBase;
	ActionTick(ControlledPawn: Pawn,DeltaSeconds: number): void;
	ActionStart(ControlledPawn: Pawn): void;
	ActionResume(ControlledPawn: Pawn): void;
	ActionPause(ControlledPawn: Pawn): void;
	ActionFinished(ControlledPawn: Pawn,WithResult: EPawnActionResult): void;
	static C(Other: UObject): PawnAction_BlueprintBase;
}

declare class PawnAction_Move extends PawnAction { 
	GoalActor: Actor;
	GoalLocation: Vector;
	AcceptableRadius: number;
	FilterClass: UnrealEngineClass;
	bAllowStrafe: boolean;
	bFinishOnOverlap: boolean;
	bUsePathfinding: boolean;
	bAllowPartialPath: boolean;
	bProjectGoalToNavigation: boolean;
	bUpdatePathToGoal: boolean;
	bAbortChildActionOnPathChange: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PawnAction_Move;
	static Find(Outer: UObject, ResourceName: string): PawnAction_Move;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PawnAction_Move;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_Move;
	static C(Other: UObject): PawnAction_Move;
}

declare type EPawnActionFailHandling = string | symbol;
declare var EPawnActionFailHandling = { RequireSuccess:'RequireSuccess',IgnoreFailure:'IgnoreFailure', };
declare class PawnAction_Repeat extends PawnAction { 
	ActionToRepeat: PawnAction;
	RecentActionCopy: PawnAction;
	ChildFailureHandlingMode: EPawnActionFailHandling;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PawnAction_Repeat;
	static Find(Outer: UObject, ResourceName: string): PawnAction_Repeat;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PawnAction_Repeat;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_Repeat;
	static C(Other: UObject): PawnAction_Repeat;
}

declare class PawnAction_Sequence extends PawnAction { 
	ActionSequence: PawnAction[];
	ChildFailureHandlingMode: EPawnActionFailHandling;
	RecentActionCopy: PawnAction;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PawnAction_Sequence;
	static Find(Outer: UObject, ResourceName: string): PawnAction_Sequence;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PawnAction_Sequence;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_Sequence;
	static C(Other: UObject): PawnAction_Sequence;
}

declare class PawnAction_Wait extends PawnAction { 
	TimeToWait: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PawnAction_Wait;
	static Find(Outer: UObject, ResourceName: string): PawnAction_Wait;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PawnAction_Wait;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_Wait;
	static C(Other: UObject): PawnAction_Wait;
}

declare class PawnSensingComponent extends ActorComponent { 
	HearingThreshold: number;
	LOSHearingThreshold: number;
	SightRadius: number;
	SensingInterval: number;
	HearingMaxSoundAge: number;
	bEnableSensingUpdates: boolean;
	bOnlySensePlayers: boolean;
	bSeePawns: boolean;
	bHearNoises: boolean;
	OnSeePawn: UnrealEngineMulticastDelegate<(Pawn: Pawn) => void>;
	OnHearNoise: UnrealEngineMulticastDelegate<(Instigator: Pawn, Location: Vector, Volume: number) => void>;
	PeripheralVisionAngle: number;
	PeripheralVisionCosine: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): PawnSensingComponent;
	static Find(Outer: UObject, ResourceName: string): PawnSensingComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): PawnSensingComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnSensingComponent;
	SetSensingUpdatesEnabled(bEnabled: boolean): void;
	SetSensingInterval(NewSensingInterval: number): void;
	SetPeripheralVisionAngle(NewPeripheralVisionAngle: number): void;
	GetPeripheralVisionCosine(): number;
	GetPeripheralVisionAngle(): number;
	static C(Other: UObject): PawnSensingComponent;
}

declare type EHardwareClass = string | symbol;
declare var EHardwareClass = { Unspecified:'Unspecified',Desktop:'Desktop',Mobile:'Mobile', };
declare type EGraphicsPreset = string | symbol;
declare var EGraphicsPreset = { Unspecified:'Unspecified',Maximum:'Maximum',Scalable:'Scalable', };
declare class HardwareTargetingSettings extends UObject { 
	TargetedHardwareClass: EHardwareClass;
	AppliedTargetedHardwareClass: EHardwareClass;
	DefaultGraphicsPerformance: EGraphicsPreset;
	AppliedDefaultGraphicsPerformance: EGraphicsPreset;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): HardwareTargetingSettings;
	static Find(Outer: UObject, ResourceName: string): HardwareTargetingSettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): HardwareTargetingSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HardwareTargetingSettings;
	static C(Other: UObject): HardwareTargetingSettings;
}

declare class LocalizedTemplateString { 
	Language: string;
	Text: string;
	clone() : LocalizedTemplateString;
	static C(Other: UObject): LocalizedTemplateString;
}

declare class TemplateFolderRename { 
	From: string;
	To: string;
	clone() : TemplateFolderRename;
	static C(Other: UObject): TemplateFolderRename;
}

declare class TemplateReplacement { 
	Extensions: string[];
	From: string;
	To: string;
	bCaseSensitive: boolean;
	clone() : TemplateReplacement;
	static C(Other: UObject): TemplateReplacement;
}

declare type EFeaturePackDetailLevel = string | symbol;
declare var EFeaturePackDetailLevel = { Standard:'Standard',High:'High', };
declare class FeaturePackLevelSet { 
	DetailLevels: EFeaturePackDetailLevel[];
	MountName: string;
	clone() : FeaturePackLevelSet;
	static C(Other: UObject): FeaturePackLevelSet;
}

declare class TemplateProjectDefs extends UObject { 
	LocalizedDisplayNames: LocalizedTemplateString[];
	LocalizedDescriptions: LocalizedTemplateString[];
	FoldersToIgnore: string[];
	FilesToIgnore: string[];
	FolderRenames: TemplateFolderRename[];
	FilenameReplacements: TemplateReplacement[];
	ReplacementsInFiles: TemplateReplacement[];
	SortKey: string;
	Category: string;
	ClassTypes: string;
	AssetTypes: string;
	bAllowProjectCreation: boolean;
	PacksToInclude: string[];
	EditDetailLevelPreference: EFeaturePackDetailLevel;
	SharedContentPacks: FeaturePackLevelSet[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TemplateProjectDefs;
	static Find(Outer: UObject, ResourceName: string): TemplateProjectDefs;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TemplateProjectDefs;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TemplateProjectDefs;
	static C(Other: UObject): TemplateProjectDefs;
}

declare class DefaultTemplateProjectDefs extends TemplateProjectDefs { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): DefaultTemplateProjectDefs;
	static Find(Outer: UObject, ResourceName: string): DefaultTemplateProjectDefs;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): DefaultTemplateProjectDefs;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DefaultTemplateProjectDefs;
	static C(Other: UObject): DefaultTemplateProjectDefs;
}

declare class BlueprintAsyncActionBase extends UObject { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintAsyncActionBase;
	static Find(Outer: UObject, ResourceName: string): BlueprintAsyncActionBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintAsyncActionBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintAsyncActionBase;
	Activate(): void;
	static C(Other: UObject): BlueprintAsyncActionBase;
}

declare class AsyncTaskDownloadImage extends BlueprintAsyncActionBase { 
	OnSuccess: UnrealEngineMulticastDelegate<(Texture: Texture2D) => void>;
	OnFail: UnrealEngineMulticastDelegate<(Texture: Texture2D) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AsyncTaskDownloadImage;
	static Find(Outer: UObject, ResourceName: string): AsyncTaskDownloadImage;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AsyncTaskDownloadImage;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncTaskDownloadImage;
	static DownloadImage(URL: string): AsyncTaskDownloadImage;
	static C(Other: UObject): AsyncTaskDownloadImage;
}

declare class MovieSceneSection extends UObject { 
	StartTime: number;
	EndTime: number;
	RowIndex: number;
	OverlapPriority: number;
	bIsActive: boolean;
	bIsLocked: boolean;
	bIsInfinite: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovieSceneSection;
	static Find(Outer: UObject, ResourceName: string): MovieSceneSection;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovieSceneSection;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSection;
	static C(Other: UObject): MovieSceneSection;
}

declare class MovieScene2DTransformSection extends MovieSceneSection { 
	Translation: RichCurve;
	Rotation: RichCurve;
	Scale: RichCurve;
	Shear: RichCurve;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovieScene2DTransformSection;
	static Find(Outer: UObject, ResourceName: string): MovieScene2DTransformSection;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovieScene2DTransformSection;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene2DTransformSection;
	static C(Other: UObject): MovieScene2DTransformSection;
}

declare class MovieSceneNameableTrack extends MovieSceneTrack { 
	DisplayName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovieSceneNameableTrack;
	static Find(Outer: UObject, ResourceName: string): MovieSceneNameableTrack;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovieSceneNameableTrack;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneNameableTrack;
	static C(Other: UObject): MovieSceneNameableTrack;
}

declare class MovieScenePropertyTrack extends MovieSceneNameableTrack { 
	PropertyName: string;
	PropertyPath: string;
	Sections: MovieSceneSection[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovieScenePropertyTrack;
	static Find(Outer: UObject, ResourceName: string): MovieScenePropertyTrack;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovieScenePropertyTrack;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScenePropertyTrack;
	static C(Other: UObject): MovieScenePropertyTrack;
}

declare class MovieScene2DTransformTrack extends MovieScenePropertyTrack { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovieScene2DTransformTrack;
	static Find(Outer: UObject, ResourceName: string): MovieScene2DTransformTrack;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovieScene2DTransformTrack;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene2DTransformTrack;
	static C(Other: UObject): MovieScene2DTransformTrack;
}

declare class MovieSceneMarginSection extends MovieSceneSection { 
	TopCurve: RichCurve;
	LeftCurve: RichCurve;
	RightCurve: RichCurve;
	BottomCurve: RichCurve;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovieSceneMarginSection;
	static Find(Outer: UObject, ResourceName: string): MovieSceneMarginSection;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovieSceneMarginSection;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneMarginSection;
	static C(Other: UObject): MovieSceneMarginSection;
}

declare class MovieSceneMarginTrack extends MovieScenePropertyTrack { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovieSceneMarginTrack;
	static Find(Outer: UObject, ResourceName: string): MovieSceneMarginTrack;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovieSceneMarginTrack;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneMarginTrack;
	static C(Other: UObject): MovieSceneMarginTrack;
}

declare class MovieSceneMaterialTrack extends MovieSceneNameableTrack { 
	Sections: MovieSceneSection[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovieSceneMaterialTrack;
	static Find(Outer: UObject, ResourceName: string): MovieSceneMaterialTrack;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovieSceneMaterialTrack;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneMaterialTrack;
	static C(Other: UObject): MovieSceneMaterialTrack;
}

declare class MovieSceneWidgetMaterialTrack extends MovieSceneMaterialTrack { 
	BrushPropertyNamePath: string[];
	TrackName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MovieSceneWidgetMaterialTrack;
	static Find(Outer: UObject, ResourceName: string): MovieSceneWidgetMaterialTrack;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MovieSceneWidgetMaterialTrack;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneWidgetMaterialTrack;
	static C(Other: UObject): MovieSceneWidgetMaterialTrack;
}

declare class NamedSlotInterface extends Interface { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NamedSlotInterface;
	static Find(Outer: UObject, ResourceName: string): NamedSlotInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NamedSlotInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NamedSlotInterface;
	static C(Other: UObject): NamedSlotInterface;
}

declare class BoolBinding extends PropertyBinding { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BoolBinding;
	static Find(Outer: UObject, ResourceName: string): BoolBinding;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BoolBinding;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoolBinding;
	GetValue(): boolean;
	static C(Other: UObject): BoolBinding;
}

declare class BrushBinding extends PropertyBinding { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BrushBinding;
	static Find(Outer: UObject, ResourceName: string): BrushBinding;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BrushBinding;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BrushBinding;
	GetValue(): SlateBrush;
	static C(Other: UObject): BrushBinding;
}

declare type ECheckBoxState = string | symbol;
declare var ECheckBoxState = { Unchecked:'Unchecked',Checked:'Checked',Undetermined:'Undetermined', };
declare class CheckedStateBinding extends PropertyBinding { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CheckedStateBinding;
	static Find(Outer: UObject, ResourceName: string): CheckedStateBinding;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CheckedStateBinding;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CheckedStateBinding;
	GetValue(): ECheckBoxState;
	static C(Other: UObject): CheckedStateBinding;
}

declare class ColorBinding extends PropertyBinding { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ColorBinding;
	static Find(Outer: UObject, ResourceName: string): ColorBinding;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ColorBinding;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ColorBinding;
	GetSlateValue(): SlateColor;
	GetLinearValue(): LinearColor;
	static C(Other: UObject): ColorBinding;
}

declare class FloatBinding extends PropertyBinding { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): FloatBinding;
	static Find(Outer: UObject, ResourceName: string): FloatBinding;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): FloatBinding;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FloatBinding;
	GetValue(): number;
	static C(Other: UObject): FloatBinding;
}

declare class Int32Binding extends PropertyBinding { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Int32Binding;
	static Find(Outer: UObject, ResourceName: string): Int32Binding;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Int32Binding;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Int32Binding;
	GetValue(): number;
	static C(Other: UObject): Int32Binding;
}

declare class MouseCursorBinding extends PropertyBinding { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MouseCursorBinding;
	static Find(Outer: UObject, ResourceName: string): MouseCursorBinding;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MouseCursorBinding;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MouseCursorBinding;
	GetValue(): EMouseCursor;
	static C(Other: UObject): MouseCursorBinding;
}

declare class TextBinding extends PropertyBinding { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TextBinding;
	static Find(Outer: UObject, ResourceName: string): TextBinding;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TextBinding;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBinding;
	GetTextValue(): string;
	GetStringValue(): string;
	static C(Other: UObject): TextBinding;
}

declare class VisibilityBinding extends PropertyBinding { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): VisibilityBinding;
	static Find(Outer: UObject, ResourceName: string): VisibilityBinding;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): VisibilityBinding;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisibilityBinding;
	GetValue(): ESlateVisibility;
	static C(Other: UObject): VisibilityBinding;
}

declare class WidgetBinding extends PropertyBinding { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WidgetBinding;
	static Find(Outer: UObject, ResourceName: string): WidgetBinding;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WidgetBinding;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetBinding;
	GetValue(): Widget;
	static C(Other: UObject): WidgetBinding;
}

declare class RichTextBlockDecorator extends UObject { 
	bReveal: boolean;
	RevealedIndex: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): RichTextBlockDecorator;
	static Find(Outer: UObject, ResourceName: string): RichTextBlockDecorator;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): RichTextBlockDecorator;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RichTextBlockDecorator;
	static C(Other: UObject): RichTextBlockDecorator;
}

declare class SlateBlueprintLibrary extends BlueprintFunctionLibrary { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SlateBlueprintLibrary;
	static Find(Outer: UObject, ResourceName: string): SlateBlueprintLibrary;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SlateBlueprintLibrary;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateBlueprintLibrary;
	static LocalToViewport(WorldContextObject: UObject,Geometry: Geometry,LocalCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
	static LocalToAbsolute(Geometry: Geometry,LocalCoordinate: Vector2D): Vector2D;
	static IsUnderLocation(Geometry: Geometry,AbsoluteCoordinate: Vector2D): boolean;
	static GetLocalSize(Geometry: Geometry): Vector2D;
	static AbsoluteToViewport(WorldContextObject: UObject,AbsoluteDesktopCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
	static AbsoluteToLocal(Geometry: Geometry,AbsoluteCoordinate: Vector2D): Vector2D;
	static C(Other: UObject): SlateBlueprintLibrary;
}

declare class SlateDataSheet extends UObject { 
	DataTexture: Texture2D;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SlateDataSheet;
	static Find(Outer: UObject, ResourceName: string): SlateDataSheet;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SlateDataSheet;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateDataSheet;
	static C(Other: UObject): SlateDataSheet;
}

declare class SlateMeshVertex { 
	Position: Vector2D;
	Color: Color;
	UV0: Vector2D;
	UV1: Vector2D;
	UV2: Vector2D;
	UV3: Vector2D;
	UV4: Vector2D;
	UV5: Vector2D;
	clone() : SlateMeshVertex;
	static C(Other: UObject): SlateMeshVertex;
}

declare class SlateVectorArtData extends UObject { 
	MeshAsset: StaticMesh;
	SourceMaterial: MaterialInterface;
	VertexData: SlateMeshVertex[];
	IndexData: any[];
	Material: MaterialInterface;
	ExtentMin: Vector2D;
	ExtentMax: Vector2D;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SlateVectorArtData;
	static Find(Outer: UObject, ResourceName: string): SlateVectorArtData;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SlateVectorArtData;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateVectorArtData;
	static C(Other: UObject): SlateVectorArtData;
}

declare class ButtonSlot extends PanelSlot { 
	Padding: Margin;
	HorizontalAlignment: EHorizontalAlignment;
	VerticalAlignment: EVerticalAlignment;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ButtonSlot;
	static Find(Outer: UObject, ResourceName: string): ButtonSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ButtonSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ButtonSlot;
	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
	SetPadding(InPadding: Margin): void;
	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
	static C(Other: UObject): ButtonSlot;
}

declare class SafeZoneSlot extends PanelSlot { 
	bIsTitleSafe: boolean;
	HAlign: EHorizontalAlignment;
	VAlign: EVerticalAlignment;
	Padding: Margin;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SafeZoneSlot;
	static Find(Outer: UObject, ResourceName: string): SafeZoneSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SafeZoneSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SafeZoneSlot;
	static C(Other: UObject): SafeZoneSlot;
}

declare class ScaleBoxSlot extends PanelSlot { 
	Padding: Margin;
	HorizontalAlignment: EHorizontalAlignment;
	VerticalAlignment: EVerticalAlignment;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ScaleBoxSlot;
	static Find(Outer: UObject, ResourceName: string): ScaleBoxSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ScaleBoxSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScaleBoxSlot;
	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
	SetPadding(InPadding: Margin): void;
	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
	static C(Other: UObject): ScaleBoxSlot;
}

declare class ScrollBoxSlot extends PanelSlot { 
	Padding: Margin;
	HorizontalAlignment: EHorizontalAlignment;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ScrollBoxSlot;
	static Find(Outer: UObject, ResourceName: string): ScrollBoxSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ScrollBoxSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBoxSlot;
	SetPadding(InPadding: Margin): void;
	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
	static C(Other: UObject): ScrollBoxSlot;
}

declare class SizeBoxSlot extends PanelSlot { 
	Padding: Margin;
	HorizontalAlignment: EHorizontalAlignment;
	VerticalAlignment: EVerticalAlignment;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SizeBoxSlot;
	static Find(Outer: UObject, ResourceName: string): SizeBoxSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SizeBoxSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SizeBoxSlot;
	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
	SetPadding(InPadding: Margin): void;
	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
	static C(Other: UObject): SizeBoxSlot;
}

declare class WidgetSwitcherSlot extends PanelSlot { 
	Padding: Margin;
	HorizontalAlignment: EHorizontalAlignment;
	VerticalAlignment: EVerticalAlignment;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WidgetSwitcherSlot;
	static Find(Outer: UObject, ResourceName: string): WidgetSwitcherSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WidgetSwitcherSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetSwitcherSlot;
	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
	SetPadding(InPadding: Margin): void;
	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
	static C(Other: UObject): WidgetSwitcherSlot;
}

declare class WrapBoxSlot extends PanelSlot { 
	Padding: Margin;
	bFillEmptySpace: boolean;
	FillSpanWhenLessThan: number;
	HorizontalAlignment: EHorizontalAlignment;
	VerticalAlignment: EVerticalAlignment;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WrapBoxSlot;
	static Find(Outer: UObject, ResourceName: string): WrapBoxSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WrapBoxSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WrapBoxSlot;
	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
	SetPadding(InPadding: Margin): void;
	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
	SetFillSpanWhenLessThan(InFillSpanWhenLessThan: number): void;
	SetFillEmptySpace(InbFillEmptySpace: boolean): void;
	static C(Other: UObject): WrapBoxSlot;
}

declare class CircularThrobber extends Widget { 
	NumberOfPieces: number;
	Period: number;
	Radius: number;
	PieceImage: SlateBrushAsset;
	UImage: SlateBrush;
	bEnableRadius: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CircularThrobber;
	static Find(Outer: UObject, ResourceName: string): CircularThrobber;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CircularThrobber;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CircularThrobber;
	SetRadius(InRadius: number): void;
	SetPeriod(InPeriod: number): void;
	SetNumberOfPieces(InNumberOfPieces: number): void;
	static C(Other: UObject): CircularThrobber;
}

declare class ComboBox extends Widget { 
	Items: UObject[];
	OnGenerateWidgetEvent: UnrealEngineDelegate<(Item: UObject) => Widget>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ComboBox;
	static Find(Outer: UObject, ResourceName: string): ComboBox;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ComboBox;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComboBox;
	static C(Other: UObject): ComboBox;
}

declare type ESelectInfo = string | symbol;
declare var ESelectInfo = { OnKeyPress:'OnKeyPress',OnNavigation:'OnNavigation',OnMouseClick:'OnMouseClick',Direct:'Direct', };
declare class ComboBoxString extends Widget { 
	DefaultOptions: string[];
	SelectedOption: string;
	WidgetStyle: ComboBoxStyle;
	ContentPadding: Margin;
	MaxListHeight: number;
	HasDownArrow: boolean;
	OnGenerateWidgetEvent: UnrealEngineDelegate<(Item: string) => Widget>;
	OnSelectionChanged: UnrealEngineMulticastDelegate<(SelectedItem: string, SelectionType: ESelectInfo) => void>;
	OnOpening: UnrealEngineMulticastDelegate<() => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ComboBoxString;
	static Find(Outer: UObject, ResourceName: string): ComboBoxString;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ComboBoxString;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComboBoxString;
	SetSelectedOption(Option: string): void;
	RemoveOption(Option: string): boolean;
	RefreshOptions(): void;
	GetSelectedOption(): string;
	GetOptionCount(): number;
	GetOptionAtIndex(Index: number): string;
	FindOptionIndex(Option: string): number;
	ClearSelection(): void;
	ClearOptions(): void;
	AddOption(Option: string): void;
	static C(Other: UObject): ComboBoxString;
}

declare type ETextShapingMethod = string | symbol;
declare var ETextShapingMethod = { Auto:'Auto',KerningOnly:'KerningOnly',FullShaping:'FullShaping', };
declare type ETextFlowDirection = string | symbol;
declare var ETextFlowDirection = { Auto:'Auto',LeftToRight:'LeftToRight',RightToLeft:'RightToLeft', };
declare class ShapedTextOptions { 
	bOverride_TextShapingMethod: boolean;
	bOverride_TextFlowDirection: boolean;
	TextShapingMethod: ETextShapingMethod;
	TextFlowDirection: ETextFlowDirection;
	clone() : ShapedTextOptions;
	static C(Other: UObject): ShapedTextOptions;
}

declare type ETextJustify = string | symbol;
declare var ETextJustify = { Left:'Left',Center:'Center',Right:'Right', };
declare type ETextWrappingPolicy = string | symbol;
declare var ETextWrappingPolicy = { DefaultWrapping:'DefaultWrapping',AllowPerCharacterWrapping:'AllowPerCharacterWrapping', };
declare class TextLayoutWidget extends Widget { 
	ShapedTextOptions: ShapedTextOptions;
	Justification: ETextJustify;
	AutoWrapText: boolean;
	WrapTextAt: number;
	WrappingPolicy: ETextWrappingPolicy;
	Margin: Margin;
	LineHeightPercentage: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TextLayoutWidget;
	static Find(Outer: UObject, ResourceName: string): TextLayoutWidget;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TextLayoutWidget;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextLayoutWidget;
	static C(Other: UObject): TextLayoutWidget;
}

declare type EVirtualKeyboardType = string | symbol;
declare var EVirtualKeyboardType = { Default:'Default',Number:'Number',Web:'Web',Email:'Email',Password:'Password',AlphaNumeric:'AlphaNumeric', };
declare type ETextCommit = string | symbol;
declare var ETextCommit = { Default:'Default',OnEnter:'OnEnter',OnUserMovedFocus:'OnUserMovedFocus',OnCleared:'OnCleared', };
declare class EditableText extends Widget { 
	Text: string;
	TextDelegate: UnrealEngineDelegate<() => string>;
	HintText: string;
	HintTextDelegate: UnrealEngineDelegate<() => string>;
	WidgetStyle: EditableTextStyle;
	Style: SlateWidgetStyleAsset;
	BackgroundImageSelected: SlateBrushAsset;
	BackgroundImageComposing: SlateBrushAsset;
	CaretImage: SlateBrushAsset;
	Font: SlateFontInfo;
	ColorAndOpacity: SlateColor;
	IsReadOnly: boolean;
	IsPassword: boolean;
	MinimumDesiredWidth: number;
	IsCaretMovedWhenGainFocus: boolean;
	SelectAllTextWhenFocused: boolean;
	RevertTextOnEscape: boolean;
	ClearKeyboardFocusOnCommit: boolean;
	SelectAllTextOnCommit: boolean;
	AllowContextMenu: boolean;
	KeyboardType: EVirtualKeyboardType;
	ShapedTextOptions: ShapedTextOptions;
	OnTextChanged: UnrealEngineMulticastDelegate<(Text: string) => void>;
	OnTextCommitted: UnrealEngineMulticastDelegate<(Text: string, CommitMethod: ETextCommit) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EditableText;
	static Find(Outer: UObject, ResourceName: string): EditableText;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EditableText;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableText;
	SetText(InText: string): void;
	SetIsReadOnly(InbIsReadyOnly: boolean): void;
	SetIsPassword(InbIsPassword: boolean): void;
	SetHintText(InHintText: string): void;
	GetText(): string;
	static C(Other: UObject): EditableText;
}

declare class EditableTextBox extends Widget { 
	Text: string;
	TextDelegate: UnrealEngineDelegate<() => string>;
	WidgetStyle: EditableTextBoxStyle;
	Style: SlateWidgetStyleAsset;
	HintText: string;
	HintTextDelegate: UnrealEngineDelegate<() => string>;
	Font: SlateFontInfo;
	ForegroundColor: LinearColor;
	BackgroundColor: LinearColor;
	ReadOnlyForegroundColor: LinearColor;
	IsReadOnly: boolean;
	IsPassword: boolean;
	MinimumDesiredWidth: number;
	Padding: Margin;
	IsCaretMovedWhenGainFocus: boolean;
	SelectAllTextWhenFocused: boolean;
	RevertTextOnEscape: boolean;
	ClearKeyboardFocusOnCommit: boolean;
	SelectAllTextOnCommit: boolean;
	AllowContextMenu: boolean;
	KeyboardType: EVirtualKeyboardType;
	ShapedTextOptions: ShapedTextOptions;
	OnTextChanged: UnrealEngineMulticastDelegate<(Text: string) => void>;
	OnTextCommitted: UnrealEngineMulticastDelegate<(Text: string, CommitMethod: ETextCommit) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EditableTextBox;
	static Find(Outer: UObject, ResourceName: string): EditableTextBox;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EditableTextBox;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableTextBox;
	SetText(InText: string): void;
	SetError(InError: string): void;
	GetText(): string;
	ClearError(): void;
	static C(Other: UObject): EditableTextBox;
}

declare class ExpandableAreaStyle extends SlateWidgetStyle { 
	CollapsedImage: SlateBrush;
	ExpandedImage: SlateBrush;
	clone() : ExpandableAreaStyle;
	static C(Other: UObject): ExpandableAreaStyle;
}

declare class ExpandableArea extends Widget { 
	Style: ExpandableAreaStyle;
	BorderBrush: SlateBrush;
	BorderColor: SlateColor;
	bIsExpanded: boolean;
	MaxHeight: number;
	HeaderPadding: Margin;
	AreaPadding: Margin;
	OnExpansionChanged: UnrealEngineMulticastDelegate<(Area: ExpandableArea, bIsExpanded: boolean) => void>;
	HeaderContent: Widget;
	BodyContent: Widget;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ExpandableArea;
	static Find(Outer: UObject, ResourceName: string): ExpandableArea;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ExpandableArea;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ExpandableArea;
	SetIsExpanded(IsExpanded: boolean): void;
	GetIsExpanded(): boolean;
	static C(Other: UObject): ExpandableArea;
}

declare class UImage extends Widget { 
	UImage: SlateBrushAsset;
	Brush: SlateBrush;
	BrushDelegate: UnrealEngineDelegate<() => SlateBrush>;
	ColorAndOpacity: LinearColor;
	ColorAndOpacityDelegate: UnrealEngineDelegate<() => LinearColor>;
	OnMouseButtonDownEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): UImage;
	static Find(Outer: UObject, ResourceName: string): UImage;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): UImage;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UImage;
	SetOpacity(InOpacity: number): void;
	SetColorAndOpacity(InColorAndOpacity: LinearColor): void;
	SetBrushFromTexture(Texture: Texture2D,bMatchSize: boolean): void;
	SetBrushFromMaterial(Material: MaterialInterface): void;
	SetBrushFromAsset(Asset: SlateBrushAsset): void;
	SetBrush(InBrush: SlateBrush): void;
	GetDynamicMaterial(): MaterialInstanceDynamic;
	static C(Other: UObject): UImage;
}

declare class InputKeySelector extends Widget { 
	SelectedKey: InputChord;
	Font: SlateFontInfo;
	Margin: Margin;
	ColorAndOpacity: LinearColor;
	KeySelectionText: string;
	bAllowModifierKeys: boolean;
	OnKeySelected: UnrealEngineMulticastDelegate<(SelectedKey: InputChord) => void>;
	OnIsSelectingKeyChanged: UnrealEngineMulticastDelegate<() => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InputKeySelector;
	static Find(Outer: UObject, ResourceName: string): InputKeySelector;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InputKeySelector;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputKeySelector;
	SetSelectedKey(InSelectedKey: InputChord): void;
	SetKeySelectionText(InKeySelectionText: string): void;
	SetAllowModifierKeys(bInAllowModifierKeys: boolean): void;
	GetIsSelectingKey(): boolean;
	static C(Other: UObject): InputKeySelector;
}

declare class NativeWidgetHost extends Widget { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NativeWidgetHost;
	static Find(Outer: UObject, ResourceName: string): NativeWidgetHost;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NativeWidgetHost;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NativeWidgetHost;
	static C(Other: UObject): NativeWidgetHost;
}

declare class CanvasPanel extends PanelWidget { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CanvasPanel;
	static Find(Outer: UObject, ResourceName: string): CanvasPanel;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CanvasPanel;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CanvasPanel;
	AddChildToCanvas(Content: Widget): CanvasPanelSlot;
	static C(Other: UObject): CanvasPanel;
}

declare class ContentWidget extends PanelWidget { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ContentWidget;
	static Find(Outer: UObject, ResourceName: string): ContentWidget;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ContentWidget;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ContentWidget;
	GetContentSlot(): PanelSlot;
	static C(Other: UObject): ContentWidget;
}

declare class Border extends ContentWidget { 
	ContentColorAndOpacity: LinearColor;
	ContentColorAndOpacityDelegate: UnrealEngineDelegate<() => LinearColor>;
	Padding: Margin;
	HorizontalAlignment: EHorizontalAlignment;
	VerticalAlignment: EVerticalAlignment;
	Background: SlateBrush;
	BackgroundDelegate: UnrealEngineDelegate<() => SlateBrush>;
	BrushColor: LinearColor;
	BrushColorDelegate: UnrealEngineDelegate<() => LinearColor>;
	bShowEffectWhenDisabled: boolean;
	OnMouseButtonDownEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
	OnMouseButtonUpEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
	OnMouseMoveEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
	OnMouseDoubleClickEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
	Brush: SlateBrushAsset;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Border;
	static Find(Outer: UObject, ResourceName: string): Border;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Border;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Border;
	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
	SetPadding(InPadding: Margin): void;
	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
	SetContentColorAndOpacity(InContentColorAndOpacity: LinearColor): void;
	SetBrushFromTexture(Texture: Texture2D): void;
	SetBrushFromMaterial(Material: MaterialInterface): void;
	SetBrushFromAsset(Asset: SlateBrushAsset): void;
	SetBrushColor(InBrushColor: LinearColor): void;
	SetBrush(InBrush: SlateBrush): void;
	GetDynamicMaterial(): MaterialInstanceDynamic;
	static C(Other: UObject): Border;
}

declare type EButtonClickMethod = string | symbol;
declare var EButtonClickMethod = { DownAndUp:'DownAndUp',MouseDown:'MouseDown',MouseUp:'MouseUp',PreciseClick:'PreciseClick', };
declare type EButtonTouchMethod = string | symbol;
declare var EButtonTouchMethod = { DownAndUp:'DownAndUp',PreciseTap:'PreciseTap', };
declare class Button extends ContentWidget { 
	Style: SlateWidgetStyleAsset;
	WidgetStyle: ButtonStyle;
	ColorAndOpacity: LinearColor;
	BackgroundColor: LinearColor;
	ClickMethod: EButtonClickMethod;
	TouchMethod: EButtonTouchMethod;
	IsFocusable: boolean;
	OnClicked: UnrealEngineMulticastDelegate<() => void>;
	OnPressed: UnrealEngineMulticastDelegate<() => void>;
	OnReleased: UnrealEngineMulticastDelegate<() => void>;
	OnHovered: UnrealEngineMulticastDelegate<() => void>;
	OnUnhovered: UnrealEngineMulticastDelegate<() => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Button;
	static Find(Outer: UObject, ResourceName: string): Button;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Button;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Button;
	SetStyle(InStyle: ButtonStyle): void;
	SetColorAndOpacity(InColorAndOpacity: LinearColor): void;
	SetBackgroundColor(InBackgroundColor: LinearColor): void;
	IsPressed(): boolean;
	static C(Other: UObject): Button;
}

declare class CheckBox extends ContentWidget { 
	CheckedState: ECheckBoxState;
	CheckedStateDelegate: UnrealEngineDelegate<() => ECheckBoxState>;
	WidgetStyle: CheckBoxStyle;
	Style: SlateWidgetStyleAsset;
	UncheckedImage: SlateBrushAsset;
	UncheckedHoveredImage: SlateBrushAsset;
	UncheckedPressedImage: SlateBrushAsset;
	CheckedImage: SlateBrushAsset;
	CheckedHoveredImage: SlateBrushAsset;
	CheckedPressedImage: SlateBrushAsset;
	UndeterminedImage: SlateBrushAsset;
	UndeterminedHoveredImage: SlateBrushAsset;
	UndeterminedPressedImage: SlateBrushAsset;
	HorizontalAlignment: EHorizontalAlignment;
	Padding: Margin;
	BorderBackgroundColor: SlateColor;
	IsFocusable: boolean;
	OnCheckStateChanged: UnrealEngineMulticastDelegate<(bIsChecked: boolean) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): CheckBox;
	static Find(Outer: UObject, ResourceName: string): CheckBox;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): CheckBox;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CheckBox;
	SetIsChecked(InIsChecked: boolean): void;
	SetCheckedState(InCheckedState: ECheckBoxState): void;
	IsPressed(): boolean;
	IsChecked(): boolean;
	GetCheckedState(): ECheckBoxState;
	static C(Other: UObject): CheckBox;
}

declare class InvalidationBox extends ContentWidget { 
	bCanCache: boolean;
	CacheRelativeTransforms: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): InvalidationBox;
	static Find(Outer: UObject, ResourceName: string): InvalidationBox;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): InvalidationBox;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InvalidationBox;
	SetCanCache(CanCache: boolean): void;
	InvalidateCache(): void;
	GetCanCache(): boolean;
	static C(Other: UObject): InvalidationBox;
}

declare type EMenuPlacement = string | symbol;
declare var EMenuPlacement = { MenuPlacement_BelowAnchor:'MenuPlacement_BelowAnchor',MenuPlacement_CenteredBelowAnchor:'MenuPlacement_CenteredBelowAnchor',MenuPlacement_BelowRightAnchor:'MenuPlacement_BelowRightAnchor',MenuPlacement_ComboBox:'MenuPlacement_ComboBox',MenuPlacement_ComboBoxRight:'MenuPlacement_ComboBoxRight',MenuPlacement_MenuRight:'MenuPlacement_MenuRight',MenuPlacement_AboveAnchor:'MenuPlacement_AboveAnchor',MenuPlacement_CenteredAboveAnchor:'MenuPlacement_CenteredAboveAnchor',MenuPlacement_AboveRightAnchor:'MenuPlacement_AboveRightAnchor',MenuPlacement_MenuLeft:'MenuPlacement_MenuLeft',MenuPlacement_Center:'MenuPlacement_Center', };
declare class MenuAnchor extends ContentWidget { 
	MenuClass: UnrealEngineClass;
	OnGetMenuContentEvent: UnrealEngineDelegate<() => Widget>;
	Placement: EMenuPlacement;
	ShouldDeferPaintingAfterWindowContent: boolean;
	UseApplicationMenuStack: boolean;
	OnMenuOpenChanged: UnrealEngineMulticastDelegate<(bIsOpen: boolean) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MenuAnchor;
	static Find(Outer: UObject, ResourceName: string): MenuAnchor;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MenuAnchor;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MenuAnchor;
	ToggleOpen(bFocusOnOpen: boolean): void;
	ShouldOpenDueToClick(): boolean;
	Open(bFocusMenu: boolean): void;
	IsOpen(): boolean;
	HasOpenSubMenus(): boolean;
	GetMenuPosition(): Vector2D;
	Close(): void;
	static C(Other: UObject): MenuAnchor;
}

declare class NamedSlot extends ContentWidget { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NamedSlot;
	static Find(Outer: UObject, ResourceName: string): NamedSlot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NamedSlot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NamedSlot;
	static C(Other: UObject): NamedSlot;
}

declare class RetainerBox extends ContentWidget { 
	Phase: number;
	PhaseCount: number;
	EffectMaterial: MaterialInterface;
	TextureParameter: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): RetainerBox;
	static Find(Outer: UObject, ResourceName: string): RetainerBox;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): RetainerBox;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RetainerBox;
	SetTextureParameter(TextureParameter: string): void;
	SetEffectMaterial(EffectMaterial: MaterialInterface): void;
	GetEffectMaterial(): MaterialInstanceDynamic;
	static C(Other: UObject): RetainerBox;
}

declare class SafeZone extends ContentWidget { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SafeZone;
	static Find(Outer: UObject, ResourceName: string): SafeZone;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SafeZone;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SafeZone;
	static C(Other: UObject): SafeZone;
}

declare type EStretchDirection = string | symbol;
declare var EStretchDirection = { Both:'Both',DownOnly:'DownOnly',UpOnly:'UpOnly', };
declare type EStretch = string | symbol;
declare var EStretch = { None:'None',Fill:'Fill',ScaleToFit:'ScaleToFit',ScaleToFitX:'ScaleToFitX',ScaleToFitY:'ScaleToFitY',ScaleToFill:'ScaleToFill',UserSpecified:'UserSpecified', };
declare class ScaleBox extends ContentWidget { 
	StretchDirection: EStretchDirection;
	Stretch: EStretch;
	UserSpecifiedScale: number;
	IgnoreInheritedScale: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ScaleBox;
	static Find(Outer: UObject, ResourceName: string): ScaleBox;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ScaleBox;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScaleBox;
	static C(Other: UObject): ScaleBox;
}

declare class SizeBox extends ContentWidget { 
	bOverride_WidthOverride: boolean;
	bOverride_HeightOverride: boolean;
	bOverride_MinDesiredWidth: boolean;
	bOverride_MinDesiredHeight: boolean;
	bOverride_MaxDesiredWidth: boolean;
	bOverride_MaxDesiredHeight: boolean;
	WidthOverride: number;
	HeightOverride: number;
	MinDesiredWidth: number;
	MinDesiredHeight: number;
	MaxDesiredWidth: number;
	MaxDesiredHeight: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SizeBox;
	static Find(Outer: UObject, ResourceName: string): SizeBox;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SizeBox;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SizeBox;
	SetWidthOverride(InWidthOverride: number): void;
	SetMinDesiredWidth(InMinDesiredWidth: number): void;
	SetMinDesiredHeight(InMinDesiredHeight: number): void;
	SetMaxDesiredWidth(InMaxDesiredWidth: number): void;
	SetMaxDesiredHeight(InMaxDesiredHeight: number): void;
	SetHeightOverride(InHeightOverride: number): void;
	ClearWidthOverride(): void;
	ClearMinDesiredWidth(): void;
	ClearMinDesiredHeight(): void;
	ClearMaxDesiredWidth(): void;
	ClearMaxDesiredHeight(): void;
	ClearHeightOverride(): void;
	static C(Other: UObject): SizeBox;
}

declare class Viewport extends ContentWidget { 
	BackgroundColor: LinearColor;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Viewport;
	static Find(Outer: UObject, ResourceName: string): Viewport;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Viewport;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Viewport;
	Spawn(ActorClass: UnrealEngineClass): Actor;
	SetViewRotation(Rotation: Rotator): void;
	SetViewLocation(Location: Vector): void;
	GetViewRotation(): Rotator;
	GetViewportWorld(): World;
	GetViewLocation(): Vector;
	static C(Other: UObject): Viewport;
}

declare class GridPanel extends PanelWidget { 
	ColumnFill: number[];
	RowFill: number[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GridPanel;
	static Find(Outer: UObject, ResourceName: string): GridPanel;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GridPanel;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GridPanel;
	AddChildToGrid(Content: Widget): GridSlot;
	static C(Other: UObject): GridPanel;
}

declare class HorizontalBox extends PanelWidget { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): HorizontalBox;
	static Find(Outer: UObject, ResourceName: string): HorizontalBox;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): HorizontalBox;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HorizontalBox;
	AddChildToHorizontalBox(Content: Widget): HorizontalBoxSlot;
	static C(Other: UObject): HorizontalBox;
}

declare class Overlay extends PanelWidget { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Overlay;
	static Find(Outer: UObject, ResourceName: string): Overlay;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Overlay;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Overlay;
	AddChildToOverlay(Content: Widget): OverlaySlot;
	static C(Other: UObject): Overlay;
}

declare type EOrientation = string | symbol;
declare var EOrientation = { Orient_Horizontal:'Orient_Horizontal',Orient_Vertical:'Orient_Vertical', };
declare type EConsumeMouseWheel = string | symbol;
declare var EConsumeMouseWheel = { WhenScrollingPossible:'WhenScrollingPossible',Always:'Always',Never:'Never', };
declare class ScrollBox extends PanelWidget { 
	WidgetStyle: ScrollBoxStyle;
	WidgetBarStyle: ScrollBarStyle;
	Style: SlateWidgetStyleAsset;
	BarStyle: SlateWidgetStyleAsset;
	Orientation: EOrientation;
	ScrollBarVisibility: ESlateVisibility;
	ConsumeMouseWheel: EConsumeMouseWheel;
	ScrollbarThickness: Vector2D;
	AlwaysShowScrollbar: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ScrollBox;
	static Find(Outer: UObject, ResourceName: string): ScrollBox;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ScrollBox;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBox;
	SetScrollOffset(NewScrollOffset: number): void;
	ScrollWidgetIntoView(WidgetToFind: Widget,AnimateScroll: boolean): void;
	ScrollToStart(): void;
	ScrollToEnd(): void;
	GetScrollOffset(): number;
	static C(Other: UObject): ScrollBox;
}

declare class UniformGridPanel extends PanelWidget { 
	SlotPadding: Margin;
	MinDesiredSlotWidth: number;
	MinDesiredSlotHeight: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): UniformGridPanel;
	static Find(Outer: UObject, ResourceName: string): UniformGridPanel;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): UniformGridPanel;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UniformGridPanel;
	SetSlotPadding(InSlotPadding: Margin): void;
	SetMinDesiredSlotWidth(InMinDesiredSlotWidth: number): void;
	SetMinDesiredSlotHeight(InMinDesiredSlotHeight: number): void;
	AddChildToUniformGrid(Content: Widget): UniformGridSlot;
	static C(Other: UObject): UniformGridPanel;
}

declare class VerticalBox extends PanelWidget { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): VerticalBox;
	static Find(Outer: UObject, ResourceName: string): VerticalBox;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): VerticalBox;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VerticalBox;
	AddChildToVerticalBox(Content: Widget): VerticalBoxSlot;
	static C(Other: UObject): VerticalBox;
}

declare class WidgetSwitcher extends PanelWidget { 
	ActiveWidgetIndex: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WidgetSwitcher;
	static Find(Outer: UObject, ResourceName: string): WidgetSwitcher;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WidgetSwitcher;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetSwitcher;
	SetActiveWidgetIndex(Index: number): void;
	SetActiveWidget(Widget: Widget): void;
	GetWidgetAtIndex(Index: number): Widget;
	GetNumWidgets(): number;
	GetActiveWidgetIndex(): number;
	static C(Other: UObject): WidgetSwitcher;
}

declare class WrapBox extends PanelWidget { 
	InnerSlotPadding: Vector2D;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WrapBox;
	static Find(Outer: UObject, ResourceName: string): WrapBox;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WrapBox;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WrapBox;
	SetInnerSlotPadding(InPadding: Vector2D): void;
	AddChildWrapBox(Content: Widget): WrapBoxSlot;
	static C(Other: UObject): WrapBox;
}

declare type EProgressBarFillType = string | symbol;
declare var EProgressBarFillType = { LeftToRight:'LeftToRight',RightToLeft:'RightToLeft',FillFromCenter:'FillFromCenter',TopToBottom:'TopToBottom',BottomToTop:'BottomToTop', };
declare class ProgressBar extends Widget { 
	WidgetStyle: ProgressBarStyle;
	Style: SlateWidgetStyleAsset;
	BackgroundImage: SlateBrushAsset;
	FillImage: SlateBrushAsset;
	MarqueeImage: SlateBrushAsset;
	Percent: number;
	BarFillType: EProgressBarFillType;
	bIsMarquee: boolean;
	PercentDelegate: UnrealEngineDelegate<() => number>;
	FillColorAndOpacity: LinearColor;
	FillColorAndOpacityDelegate: UnrealEngineDelegate<() => LinearColor>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ProgressBar;
	static Find(Outer: UObject, ResourceName: string): ProgressBar;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ProgressBar;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProgressBar;
	SetPercent(InPercent: number): void;
	SetIsMarquee(InbIsMarquee: boolean): void;
	SetFillColorAndOpacity(InColor: LinearColor): void;
	static C(Other: UObject): ProgressBar;
}

declare class ScrollBar extends Widget { 
	WidgetStyle: ScrollBarStyle;
	Style: SlateWidgetStyleAsset;
	bAlwaysShowScrollbar: boolean;
	Orientation: EOrientation;
	Thickness: Vector2D;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ScrollBar;
	static Find(Outer: UObject, ResourceName: string): ScrollBar;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ScrollBar;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBar;
	SetState(InOffsetFraction: number,InThumbSizeFraction: number): void;
	static C(Other: UObject): ScrollBar;
}

declare class SliderStyle extends SlateWidgetStyle { 
	NormalBarImage: SlateBrush;
	DisabledBarImage: SlateBrush;
	NormalThumbImage: SlateBrush;
	DisabledThumbImage: SlateBrush;
	BarThickness: number;
	clone() : SliderStyle;
	static C(Other: UObject): SliderStyle;
}

declare class Slider extends Widget { 
	Value: number;
	ValueDelegate: UnrealEngineDelegate<() => number>;
	WidgetStyle: SliderStyle;
	Orientation: EOrientation;
	SliderBarColor: LinearColor;
	SliderHandleColor: LinearColor;
	IndentHandle: boolean;
	Locked: boolean;
	StepSize: number;
	OnMouseCaptureBegin: UnrealEngineMulticastDelegate<() => void>;
	OnMouseCaptureEnd: UnrealEngineMulticastDelegate<() => void>;
	OnControllerCaptureBegin: UnrealEngineMulticastDelegate<() => void>;
	OnControllerCaptureEnd: UnrealEngineMulticastDelegate<() => void>;
	OnValueChanged: UnrealEngineMulticastDelegate<(Value: number) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Slider;
	static Find(Outer: UObject, ResourceName: string): Slider;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Slider;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Slider;
	SetValue(InValue: number): void;
	SetStepSize(InValue: number): void;
	SetSliderHandleColor(InValue: LinearColor): void;
	SetSliderBarColor(InValue: LinearColor): void;
	SetLocked(InValue: boolean): void;
	SetIndentHandle(InValue: boolean): void;
	GetValue(): number;
	static C(Other: UObject): Slider;
}

declare class Spacer extends Widget { 
	Size: Vector2D;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Spacer;
	static Find(Outer: UObject, ResourceName: string): Spacer;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Spacer;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Spacer;
	SetSize(InSize: Vector2D): void;
	static C(Other: UObject): Spacer;
}

declare class SpinBox extends Widget { 
	Value: number;
	ValueDelegate: UnrealEngineDelegate<() => number>;
	WidgetStyle: SpinBoxStyle;
	Style: SlateWidgetStyleAsset;
	Delta: number;
	SliderExponent: number;
	Font: SlateFontInfo;
	MinDesiredWidth: number;
	ClearKeyboardFocusOnCommit: boolean;
	SelectAllTextOnCommit: boolean;
	ForegroundColor: SlateColor;
	OnValueChanged: UnrealEngineMulticastDelegate<(InValue: number) => void>;
	OnValueCommitted: UnrealEngineMulticastDelegate<(InValue: number, CommitMethod: ETextCommit) => void>;
	OnBeginSliderMovement: UnrealEngineMulticastDelegate<() => void>;
	OnEndSliderMovement: UnrealEngineMulticastDelegate<(InValue: number) => void>;
	bOverride_MinValue: boolean;
	bOverride_MaxValue: boolean;
	bOverride_MinSliderValue: boolean;
	bOverride_MaxSliderValue: boolean;
	MinValue: number;
	MaxValue: number;
	MinSliderValue: number;
	MaxSliderValue: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): SpinBox;
	static Find(Outer: UObject, ResourceName: string): SpinBox;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): SpinBox;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpinBox;
	SetValue(NewValue: number): void;
	SetMinValue(NewValue: number): void;
	SetMinSliderValue(NewValue: number): void;
	SetMaxValue(NewValue: number): void;
	SetMaxSliderValue(NewValue: number): void;
	SetForegroundColor(InForegroundColor: SlateColor): void;
	GetValue(): number;
	GetMinValue(): number;
	GetMinSliderValue(): number;
	GetMaxValue(): number;
	GetMaxSliderValue(): number;
	ClearMinValue(): void;
	ClearMinSliderValue(): void;
	ClearMaxValue(): void;
	ClearMaxSliderValue(): void;
	static C(Other: UObject): SpinBox;
}

declare class TableViewBase extends Widget { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TableViewBase;
	static Find(Outer: UObject, ResourceName: string): TableViewBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TableViewBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TableViewBase;
	static C(Other: UObject): TableViewBase;
}

declare type ESelectionMode = string | symbol;
declare var ESelectionMode = { None:'None',Single:'Single',SingleToggle:'SingleToggle',Multi:'Multi', };
declare class ListView extends TableViewBase { 
	ItemHeight: number;
	Items: UObject[];
	SelectionMode: ESelectionMode;
	OnGenerateRowEvent: UnrealEngineDelegate<(Item: UObject) => Widget>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): ListView;
	static Find(Outer: UObject, ResourceName: string): ListView;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): ListView;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ListView;
	static C(Other: UObject): ListView;
}

declare class TileView extends TableViewBase { 
	ItemWidth: number;
	ItemHeight: number;
	Items: UObject[];
	SelectionMode: ESelectionMode;
	OnGenerateTileEvent: UnrealEngineDelegate<(Item: UObject) => Widget>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TileView;
	static Find(Outer: UObject, ResourceName: string): TileView;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TileView;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TileView;
	SetItemWidth(Width: number): void;
	SetItemHeight(Height: number): void;
	RequestListRefresh(): void;
	static C(Other: UObject): TileView;
}

declare class MultiLineEditableText extends TextLayoutWidget { 
	Text: string;
	HintText: string;
	HintTextDelegate: UnrealEngineDelegate<() => string>;
	WidgetStyle: TextBlockStyle;
	Font: SlateFontInfo;
	AllowContextMenu: boolean;
	OnTextChanged: UnrealEngineMulticastDelegate<(Text: string) => void>;
	OnTextCommitted: UnrealEngineMulticastDelegate<(Text: string, CommitMethod: ETextCommit) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MultiLineEditableText;
	static Find(Outer: UObject, ResourceName: string): MultiLineEditableText;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MultiLineEditableText;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MultiLineEditableText;
	SetText(InText: string): void;
	GetText(): string;
	static C(Other: UObject): MultiLineEditableText;
}

declare class MultiLineEditableTextBox extends TextLayoutWidget { 
	Text: string;
	HintText: string;
	HintTextDelegate: UnrealEngineDelegate<() => string>;
	WidgetStyle: EditableTextBoxStyle;
	TextStyle: TextBlockStyle;
	AllowContextMenu: boolean;
	Style: SlateWidgetStyleAsset;
	Font: SlateFontInfo;
	ForegroundColor: LinearColor;
	BackgroundColor: LinearColor;
	ReadOnlyForegroundColor: LinearColor;
	OnTextChanged: UnrealEngineMulticastDelegate<(Text: string) => void>;
	OnTextCommitted: UnrealEngineMulticastDelegate<(Text: string, CommitMethod: ETextCommit) => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): MultiLineEditableTextBox;
	static Find(Outer: UObject, ResourceName: string): MultiLineEditableTextBox;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): MultiLineEditableTextBox;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MultiLineEditableTextBox;
	SetText(InText: string): void;
	SetError(InError: string): void;
	GetText(): string;
	static C(Other: UObject): MultiLineEditableTextBox;
}

declare class RichTextBlock extends TextLayoutWidget { 
	Text: string;
	TextDelegate: UnrealEngineDelegate<() => string>;
	Font: SlateFontInfo;
	Color: LinearColor;
	Decorators: RichTextBlockDecorator[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): RichTextBlock;
	static Find(Outer: UObject, ResourceName: string): RichTextBlock;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): RichTextBlock;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RichTextBlock;
	static C(Other: UObject): RichTextBlock;
}

declare class TextBlock extends TextLayoutWidget { 
	Text: string;
	TextDelegate: UnrealEngineDelegate<() => string>;
	ColorAndOpacity: SlateColor;
	ColorAndOpacityDelegate: UnrealEngineDelegate<() => SlateColor>;
	Font: SlateFontInfo;
	ShadowOffset: Vector2D;
	ShadowColorAndOpacity: LinearColor;
	ShadowColorAndOpacityDelegate: UnrealEngineDelegate<() => LinearColor>;
	MinDesiredWidth: number;
	bWrapWithInvalidationPanel: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TextBlock;
	static Find(Outer: UObject, ResourceName: string): TextBlock;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TextBlock;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBlock;
	SetText(InText: string): void;
	SetShadowOffset(InShadowOffset: Vector2D): void;
	SetShadowColorAndOpacity(InShadowColorAndOpacity: LinearColor): void;
	SetOpacity(InOpacity: number): void;
	SetJustification(InJustification: ETextJustify): void;
	SetFont(InFontInfo: SlateFontInfo): void;
	SetColorAndOpacity(InColorAndOpacity: SlateColor): void;
	GetText(): string;
	static C(Other: UObject): TextBlock;
}

declare class Throbber extends Widget { 
	NumberOfPieces: number;
	bAnimateHorizontally: boolean;
	bAnimateVertically: boolean;
	bAnimateOpacity: boolean;
	PieceImage: SlateBrushAsset;
	UImage: SlateBrush;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): Throbber;
	static Find(Outer: UObject, ResourceName: string): Throbber;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): Throbber;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Throbber;
	SetNumberOfPieces(InNumberOfPieces: number): void;
	SetAnimateVertically(bInAnimateVertically: boolean): void;
	SetAnimateOpacity(bInAnimateOpacity: boolean): void;
	SetAnimateHorizontally(bInAnimateHorizontally: boolean): void;
	static C(Other: UObject): Throbber;
}

declare class EventGraphFastCallPair { 
	FunctionToPatch: UFunction;
	EventGraphCallOffset: number;
	clone() : EventGraphFastCallPair;
	static C(Other: UObject): EventGraphFastCallPair;
}

declare class BlueprintGeneratedClass extends Class { 
	NumReplicatedProperties: number;
	DynamicBindingObjects: DynamicBlueprintBinding[];
	ComponentTemplates: ActorComponent[];
	Timelines: TimelineTemplate[];
	SimpleConstructionScript: SimpleConstructionScript;
	InheritableComponentHandler: InheritableComponentHandler;
	UberGraphFramePointerProperty: StructProperty;
	UberGraphFunction: UFunction;
	FastCallPairs: EventGraphFastCallPair[];
	bHasInstrumentation: boolean;
	OverridenArchetypeForCDO: UObject;
	PropertyGuids: any;
	CookedComponentInstancingData: any;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintGeneratedClass;
	static Find(Outer: UObject, ResourceName: string): BlueprintGeneratedClass;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintGeneratedClass;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintGeneratedClass;
	static C(Other: UObject): BlueprintGeneratedClass;
}

declare type EBindingKind = string | symbol;
declare var EBindingKind = { Function:'Function',Property:'Property', };
declare class DelegateRuntimeBinding { 
	ObjectName: string;
	PropertyName: string;
	FunctionName: string;
	SourcePath: DynamicPropertyPath;
	Kind: EBindingKind;
	clone() : DelegateRuntimeBinding;
	static C(Other: UObject): DelegateRuntimeBinding;
}

declare class WidgetBlueprintGeneratedClass extends BlueprintGeneratedClass { 
	WidgetTree: WidgetTree;
	DesignerWidgetTree: WidgetTree;
	Bindings: DelegateRuntimeBinding[];
	Animations: WidgetAnimation[];
	NamedSlots: string[];
	bCanEverTick: boolean;
	bCanEverPaint: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WidgetBlueprintGeneratedClass;
	static Find(Outer: UObject, ResourceName: string): WidgetBlueprintGeneratedClass;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WidgetBlueprintGeneratedClass;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetBlueprintGeneratedClass;
	static C(Other: UObject): WidgetBlueprintGeneratedClass;
}

declare class NavigationEvent extends InputEvent { 
	clone() : NavigationEvent;
	static C(Other: UObject): NavigationEvent;
	GetInputEventFromNavigationEvent(): InputEvent;
	static GetInputEventFromNavigationEvent(Event: NavigationEvent): InputEvent;
}

declare class WidgetBlueprintLibrary extends BlueprintFunctionLibrary { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WidgetBlueprintLibrary;
	static Find(Outer: UObject, ResourceName: string): WidgetBlueprintLibrary;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WidgetBlueprintLibrary;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetBlueprintLibrary;
	static UnlockMouse(Reply?: EventReply): {Reply: EventReply, $: EventReply};
	static Unhandled(): EventReply;
	static SetUserFocus(Reply?: EventReply,FocusWidget?: Widget,bInAllUsers?: boolean): {Reply: EventReply, $: EventReply};
	static SetMousePosition(Reply?: EventReply,NewMousePosition?: Vector2D): {Reply: EventReply, $: EventReply};
	static SetInputMode_UIOnly(Target: PlayerController,InWidgetToFocus: Widget,bLockMouseToViewport: boolean): void;
	static SetInputMode_GameOnly(Target: PlayerController): void;
	static SetInputMode_GameAndUI(Target: PlayerController,InWidgetToFocus: Widget,bLockMouseToViewport: boolean,bHideCursorDuringCapture: boolean): void;
	static SetFocusToGameViewport(): void;
	static SetBrushResourceToTexture(Brush?: SlateBrush,Texture?: Texture2D): {Brush: SlateBrush};
	static SetBrushResourceToMaterial(Brush?: SlateBrush,Material?: MaterialInterface): {Brush: SlateBrush};
	static ReleaseMouseCapture(Reply?: EventReply): {Reply: EventReply, $: EventReply};
	static ReleaseJoystickCapture(Reply?: EventReply,bInAllJoysticks?: boolean): {Reply: EventReply, $: EventReply};
	static NoResourceBrush(): SlateBrush;
	static MakeBrushFromTexture(Texture: Texture2D,Width: number,Height: number): SlateBrush;
	static MakeBrushFromMaterial(Material: MaterialInterface,Width: number,Height: number): SlateBrush;
	static MakeBrushFromAsset(BrushAsset: SlateBrushAsset): SlateBrush;
	static LockMouse(Reply?: EventReply,CapturingWidget?: Widget): {Reply: EventReply, $: EventReply};
	static IsDragDropping(): boolean;
	static Handled(): EventReply;
	static GetKeyEventFromAnalogInputEvent(Event: AnalogInputEvent): KeyEvent;
	static GetInputEventFromPointerEvent(Event: UPointerEvent): InputEvent;
	static GetInputEventFromNavigationEvent(Event: NavigationEvent): InputEvent;
	static GetInputEventFromKeyEvent(Event: KeyEvent): InputEvent;
	static GetInputEventFromControllerEvent(Event: ControllerEvent): InputEvent;
	static GetInputEventFromCharacterEvent(Event: CharacterEvent): InputEvent;
	static GetDynamicMaterial(Brush?: SlateBrush): {Brush: SlateBrush, $: MaterialInstanceDynamic};
	static GetDragDroppingContent(): DragDropOperation;
	static GetBrushResourceAsTexture2D(Brush?: SlateBrush): {Brush: SlateBrush, $: Texture2D};
	static GetBrushResourceAsMaterial(Brush?: SlateBrush): {Brush: SlateBrush, $: MaterialInterface};
	static GetBrushResource(Brush?: SlateBrush): {Brush: SlateBrush, $: UObject};
	static GetAllWidgetsWithInterface(WorldContextObject: UObject,Interface: UnrealEngineClass,FoundWidgets?: UserWidget[],TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
	static GetAllWidgetsOfClass(WorldContextObject: UObject,FoundWidgets?: UserWidget[],WidgetClass?: UnrealEngineClass,TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
	static EndDragDrop(Reply?: EventReply): {Reply: EventReply, $: EventReply};
	static DrawText(Context?: PaintContext,Text?: string,Position?: Vector2D,Font?: Font,FontSize?: number,FontTypeFace?: string,Tint?: LinearColor): {Context: PaintContext};
	static DrawString(Context?: PaintContext,InString?: string,Position?: Vector2D,Tint?: LinearColor): {Context: PaintContext};
	static DrawLines(Context?: PaintContext,Points?: Vector2D[],Tint?: LinearColor,bAntiAlias?: boolean): {Context: PaintContext};
	static DrawLine(Context?: PaintContext,PositionA?: Vector2D,PositionB?: Vector2D,Tint?: LinearColor,bAntiAlias?: boolean): {Context: PaintContext};
	static DrawBox(Context?: PaintContext,Position?: Vector2D,Size?: Vector2D,Brush?: SlateBrushAsset,Tint?: LinearColor): {Context: PaintContext};
	static DismissAllMenus(): void;
	static DetectDragIfPressed(UPointerEvent: UPointerEvent,WidgetDetectingDrag: Widget,DragKey: Key): EventReply;
	static DetectDrag(Reply?: EventReply,WidgetDetectingDrag?: Widget,DragKey?: Key): {Reply: EventReply, $: EventReply};
	static CreateDragDropOperation(OperationClass: UnrealEngineClass): DragDropOperation;
	static CreateWidget(WorldContextObject: UObject,WidgetType: UnrealEngineClass,OwningPlayer: PlayerController): UserWidget;
	static ClearUserFocus(Reply?: EventReply,bInAllUsers?: boolean): {Reply: EventReply, $: EventReply};
	static CaptureMouse(Reply?: EventReply,CapturingWidget?: Widget): {Reply: EventReply, $: EventReply};
	static CaptureJoystick(Reply?: EventReply,CapturingWidget?: Widget,bInAllJoysticks?: boolean): {Reply: EventReply, $: EventReply};
	static CancelDragDrop(): void;
	static C(Other: UObject): WidgetBlueprintLibrary;
}

declare type EWidgetSpace = string | symbol;
declare var EWidgetSpace = { World:'World',Screen:'Screen', };
declare type EWidgetBlendMode = string | symbol;
declare var EWidgetBlendMode = { Opaque:'Opaque',Masked:'Masked',Transparent:'Transparent', };
declare class TextureRenderTarget extends Texture { 
	TargetGamma: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TextureRenderTarget;
	static Find(Outer: UObject, ResourceName: string): TextureRenderTarget;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TextureRenderTarget;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureRenderTarget;
	static C(Other: UObject): TextureRenderTarget;
}

declare class TextureRenderTarget2D extends TextureRenderTarget { 
	SizeX: number;
	SizeY: number;
	ClearColor: LinearColor;
	AddressX: TextureAddress;
	AddressY: TextureAddress;
	bForceLinearGamma: boolean;
	bHDR: boolean;
	bAutoGenerateMips: boolean;
	OverrideFormat: EPixelFormat;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): TextureRenderTarget2D;
	static Find(Outer: UObject, ResourceName: string): TextureRenderTarget2D;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): TextureRenderTarget2D;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureRenderTarget2D;
	static C(Other: UObject): TextureRenderTarget2D;
}

declare class WidgetComponent extends PrimitiveComponent { 
	Space: EWidgetSpace;
	WidgetClass: UnrealEngineClass;
	DrawSize: IntPoint;
	Pivot: Vector2D;
	MaxInteractionDistance: number;
	OwnerPlayer: LocalPlayer;
	BackgroundColor: LinearColor;
	TintColorAndOpacity: LinearColor;
	OpacityFromTexture: number;
	BlendMode: EWidgetBlendMode;
	bIsOpaque: boolean;
	bIsTwoSided: boolean;
	ParabolaDistortion: number;
	TickWhenOffscreen: boolean;
	Widget: UserWidget;
	BodySetup: BodySetup;
	TranslucentMaterial: MaterialInterface;
	TranslucentMaterial_OneSided: MaterialInterface;
	OpaqueMaterial: MaterialInterface;
	OpaqueMaterial_OneSided: MaterialInterface;
	MaskedMaterial: MaterialInterface;
	MaskedMaterial_OneSided: MaterialInterface;
	RenderTarget: TextureRenderTarget2D;
	MaterialInstance: MaterialInstanceDynamic;
	bUseLegacyRotation: boolean;
	bAddedToScreen: boolean;
	bEditTimeUsable: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WidgetComponent;
	static Find(Outer: UObject, ResourceName: string): WidgetComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WidgetComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetComponent;
	SetWidget(Widget: UserWidget): void;
	SetOwnerPlayer(LocalPlayer: LocalPlayer): void;
	SetMaxInteractionDistance(Distance: number): void;
	SetDrawSize(Size: Vector2D): void;
	SetBackgroundColor(NewBackgroundColor: LinearColor): void;
	GetUserWidgetObject(): UserWidget;
	GetOwnerPlayer(): LocalPlayer;
	GetMaxInteractionDistance(): number;
	GetDrawSize(): Vector2D;
	static C(Other: UObject): WidgetComponent;
}

declare class WidgetLayoutLibrary extends BlueprintFunctionLibrary { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WidgetLayoutLibrary;
	static Find(Outer: UObject, ResourceName: string): WidgetLayoutLibrary;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WidgetLayoutLibrary;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetLayoutLibrary;
	static SlotAsVerticalBoxSlot(Widget: Widget): VerticalBoxSlot;
	static SlotAsUniformGridSlot(Widget: Widget): UniformGridSlot;
	static SlotAsOverlaySlot(Widget: Widget): OverlaySlot;
	static SlotAsHorizontalBoxSlot(Widget: Widget): HorizontalBoxSlot;
	static SlotAsGridSlot(Widget: Widget): GridSlot;
	static SlotAsCanvasSlot(Widget: Widget): CanvasPanelSlot;
	static SlotAsBorderSlot(Widget: Widget): BorderSlot;
	static RemoveAllWidgets(WorldContextObject: UObject): void;
	static ProjectWorldLocationToWidgetPosition(PlayerController: PlayerController,WorldLocation: Vector,ScreenPosition?: Vector2D): {ScreenPosition: Vector2D, $: boolean};
	static GetViewportSize(WorldContextObject: UObject): Vector2D;
	static GetViewportScale(WorldContextObject: UObject): number;
	static GetMousePositionScaledByDPI(Player: PlayerController,LocationX?: number,LocationY?: number): {LocationX: number, LocationY: number, $: boolean};
	static C(Other: UObject): WidgetLayoutLibrary;
}

declare class FavoritedBlueprintPaletteItem { 
	clone() : FavoritedBlueprintPaletteItem;
	static C(Other: UObject): FavoritedBlueprintPaletteItem;
}

declare class BlueprintPaletteFavorites extends UObject { 
	CustomFavorites: string[];
	CurrentFavorites: FavoritedBlueprintPaletteItem[];
	CurrentProfile: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintPaletteFavorites;
	static Find(Outer: UObject, ResourceName: string): BlueprintPaletteFavorites;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintPaletteFavorites;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintPaletteFavorites;
	static C(Other: UObject): BlueprintPaletteFavorites;
}

declare class K2Node extends EdGraphNode { 
	ByRefMatchupPins: any;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node;
	static Find(Outer: UObject, ResourceName: string): K2Node;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node;
	static C(Other: UObject): K2Node;
}

declare class K2Node_BaseAsyncTask extends K2Node { 
	ProxyFactoryFunctionName: string;
	ProxyFactoryClass: UnrealEngineClass;
	ProxyClass: UnrealEngineClass;
	ProxyActivateFunctionName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_BaseAsyncTask;
	static Find(Outer: UObject, ResourceName: string): K2Node_BaseAsyncTask;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_BaseAsyncTask;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_BaseAsyncTask;
	static C(Other: UObject): K2Node_BaseAsyncTask;
}

declare class K2Node_AsyncAction extends K2Node_BaseAsyncTask { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_AsyncAction;
	static Find(Outer: UObject, ResourceName: string): K2Node_AsyncAction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_AsyncAction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AsyncAction;
	static C(Other: UObject): K2Node_AsyncAction;
}

declare type ESaveOnCompile = string | symbol;
declare var ESaveOnCompile = { SoC_Never:'SoC_Never',SoC_SuccessOnly:'SoC_SuccessOnly',SoC_Always:'SoC_Always', };
declare class BlueprintEditorSettings extends UObject { 
	bDrawMidpointArrowsInBlueprints: boolean;
	bShowGraphInstructionText: boolean;
	bSplitContextTargetSettings: boolean;
	bExposeAllMemberComponentFunctions: boolean;
	bShowContextualFavorites: boolean;
	bCompactCallOnMemberNodes: boolean;
	bFlattenFavoritesMenus: boolean;
	bFavorPureCastNodes: boolean;
	bAutoCastObjectConnections: boolean;
	bShowViewportOnSimulate: boolean;
	bShowInheritedVariables: boolean;
	bShowEmptySections: boolean;
	bSpawnDefaultBlueprintNodes: boolean;
	bHideConstructionScriptComponentsInDetailsView: boolean;
	SaveOnCompile: ESaveOnCompile;
	bJumpToNodeErrors: boolean;
	bAllowExplicitImpureNodeDisabling: boolean;
	bShowActionMenuItemSignatures: boolean;
	bShowDetailedCompileResults: boolean;
	CompileEventDisplayThresholdMs: number;
	NodeTemplateCacheCapMB: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintEditorSettings;
	static Find(Outer: UObject, ResourceName: string): BlueprintEditorSettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintEditorSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintEditorSettings;
	static C(Other: UObject): BlueprintEditorSettings;
}

declare class BlueprintNodeSpawner extends UObject { 
	NodeClass: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintNodeSpawner;
	static Find(Outer: UObject, ResourceName: string): BlueprintNodeSpawner;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintNodeSpawner;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintNodeSpawner;
	static C(Other: UObject): BlueprintNodeSpawner;
}

declare class BlueprintBoundNodeSpawner extends BlueprintNodeSpawner { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintBoundNodeSpawner;
	static Find(Outer: UObject, ResourceName: string): BlueprintBoundNodeSpawner;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintBoundNodeSpawner;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintBoundNodeSpawner;
	static C(Other: UObject): BlueprintBoundNodeSpawner;
}

declare class BlueprintComponentNodeSpawner extends BlueprintNodeSpawner { 
	ComponentClass: UnrealEngineClass;
	ComponentName: string;
	ComponentAssetName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintComponentNodeSpawner;
	static Find(Outer: UObject, ResourceName: string): BlueprintComponentNodeSpawner;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintComponentNodeSpawner;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintComponentNodeSpawner;
	static C(Other: UObject): BlueprintComponentNodeSpawner;
}

declare class BlueprintEventNodeSpawner extends BlueprintNodeSpawner { 
	EventFunc: UFunction;
	CustomEventName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintEventNodeSpawner;
	static Find(Outer: UObject, ResourceName: string): BlueprintEventNodeSpawner;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintEventNodeSpawner;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintEventNodeSpawner;
	static C(Other: UObject): BlueprintEventNodeSpawner;
}

declare class BlueprintBoundEventNodeSpawner extends BlueprintEventNodeSpawner { 
	EventDelegate: MulticastDelegateProperty;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintBoundEventNodeSpawner;
	static Find(Outer: UObject, ResourceName: string): BlueprintBoundEventNodeSpawner;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintBoundEventNodeSpawner;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintBoundEventNodeSpawner;
	static C(Other: UObject): BlueprintBoundEventNodeSpawner;
}

declare class BlueprintFieldNodeSpawner extends BlueprintNodeSpawner { 
	Field: Field;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintFieldNodeSpawner;
	static Find(Outer: UObject, ResourceName: string): BlueprintFieldNodeSpawner;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintFieldNodeSpawner;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintFieldNodeSpawner;
	static C(Other: UObject): BlueprintFieldNodeSpawner;
}

declare class BlueprintDelegateNodeSpawner extends BlueprintFieldNodeSpawner { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintDelegateNodeSpawner;
	static Find(Outer: UObject, ResourceName: string): BlueprintDelegateNodeSpawner;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintDelegateNodeSpawner;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintDelegateNodeSpawner;
	static C(Other: UObject): BlueprintDelegateNodeSpawner;
}

declare class BlueprintFunctionNodeSpawner extends BlueprintFieldNodeSpawner { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintFunctionNodeSpawner;
	static Find(Outer: UObject, ResourceName: string): BlueprintFunctionNodeSpawner;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintFunctionNodeSpawner;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintFunctionNodeSpawner;
	static C(Other: UObject): BlueprintFunctionNodeSpawner;
}

declare class BlueprintVariableNodeSpawner extends BlueprintFieldNodeSpawner { 
	LocalVarOuter: EdGraph;
	LocalVarDesc: BPVariableDescription;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlueprintVariableNodeSpawner;
	static Find(Outer: UObject, ResourceName: string): BlueprintVariableNodeSpawner;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlueprintVariableNodeSpawner;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintVariableNodeSpawner;
	static C(Other: UObject): BlueprintVariableNodeSpawner;
}

declare class BlueprintCallableFunctionRedirect { 
	ClassName: string;
	OldFunctionName: string;
	NewFunctionName: string;
	BlueprintParamName: string;
	ClassParamName: string;
	clone() : BlueprintCallableFunctionRedirect;
	static C(Other: UObject): BlueprintCallableFunctionRedirect;
}

declare class EdGraphSchema_K2 extends EdGraphSchema { 
	EditoronlyBPFunctionRedirects: BlueprintCallableFunctionRedirect[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): EdGraphSchema_K2;
	static Find(Outer: UObject, ResourceName: string): EdGraphSchema_K2;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): EdGraphSchema_K2;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EdGraphSchema_K2;
	static C(Other: UObject): EdGraphSchema_K2;
}

declare class K2Node_AssignmentStatement extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_AssignmentStatement;
	static Find(Outer: UObject, ResourceName: string): K2Node_AssignmentStatement;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_AssignmentStatement;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AssignmentStatement;
	static C(Other: UObject): K2Node_AssignmentStatement;
}

declare class K2Node_AIMoveTo extends K2Node_BaseAsyncTask { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_AIMoveTo;
	static Find(Outer: UObject, ResourceName: string): K2Node_AIMoveTo;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_AIMoveTo;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AIMoveTo;
	static C(Other: UObject): K2Node_AIMoveTo;
}

declare class MemberReference { 
	MemberParent: UObject;
	MemberScope: string;
	MemberName: string;
	MemberGuid: Guid;
	bSelfContext: boolean;
	bWasDeprecated: boolean;
	clone() : MemberReference;
	static C(Other: UObject): MemberReference;
}

declare class K2Node_BaseMCDelegate extends K2Node { 
	DelegateReference: MemberReference;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_BaseMCDelegate;
	static Find(Outer: UObject, ResourceName: string): K2Node_BaseMCDelegate;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_BaseMCDelegate;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_BaseMCDelegate;
	static C(Other: UObject): K2Node_BaseMCDelegate;
}

declare class K2Node_AddDelegate extends K2Node_BaseMCDelegate { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_AddDelegate;
	static Find(Outer: UObject, ResourceName: string): K2Node_AddDelegate;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_AddDelegate;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AddDelegate;
	static C(Other: UObject): K2Node_AddDelegate;
}

declare class K2Node_AssignDelegate extends K2Node_AddDelegate { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_AssignDelegate;
	static Find(Outer: UObject, ResourceName: string): K2Node_AssignDelegate;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_AssignDelegate;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AssignDelegate;
	static C(Other: UObject): K2Node_AssignDelegate;
}

declare class K2Node_CallDelegate extends K2Node_BaseMCDelegate { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_CallDelegate;
	static Find(Outer: UObject, ResourceName: string): K2Node_CallDelegate;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_CallDelegate;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallDelegate;
	static C(Other: UObject): K2Node_CallDelegate;
}

declare class K2Node_ClearDelegate extends K2Node_BaseMCDelegate { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_ClearDelegate;
	static Find(Outer: UObject, ResourceName: string): K2Node_ClearDelegate;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_ClearDelegate;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ClearDelegate;
	static C(Other: UObject): K2Node_ClearDelegate;
}

declare class K2Node_RemoveDelegate extends K2Node_BaseMCDelegate { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_RemoveDelegate;
	static Find(Outer: UObject, ResourceName: string): K2Node_RemoveDelegate;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_RemoveDelegate;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_RemoveDelegate;
	static C(Other: UObject): K2Node_RemoveDelegate;
}

declare class NodeDependingOnEnumInterface extends Interface { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): NodeDependingOnEnumInterface;
	static Find(Outer: UObject, ResourceName: string): NodeDependingOnEnumInterface;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): NodeDependingOnEnumInterface;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NodeDependingOnEnumInterface;
	static C(Other: UObject): NodeDependingOnEnumInterface;
}

declare class K2Node_BitmaskLiteral extends K2Node { 
	BitflagsEnum: Enum;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_BitmaskLiteral;
	static Find(Outer: UObject, ResourceName: string): K2Node_BitmaskLiteral;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_BitmaskLiteral;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_BitmaskLiteral;
	static C(Other: UObject): K2Node_BitmaskLiteral;
}

declare class K2Node_CallFunction extends K2Node { 
	bIsPureFunc: boolean;
	bIsConstFunc: boolean;
	bWantsEnumToExecExpansion: boolean;
	bIsInterfaceCall: boolean;
	bIsFinalFunction: boolean;
	bIsBeadFunction: boolean;
	FunctionReference: MemberReference;
	CallFunctionName: string;
	CallFunctionClass: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_CallFunction;
	static Find(Outer: UObject, ResourceName: string): K2Node_CallFunction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_CallFunction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallFunction;
	static C(Other: UObject): K2Node_CallFunction;
}

declare class K2Node_AddComponent extends K2Node_CallFunction { 
	bHasExposedVariable: boolean;
	TemplateBlueprint: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_AddComponent;
	static Find(Outer: UObject, ResourceName: string): K2Node_AddComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_AddComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AddComponent;
	static C(Other: UObject): K2Node_AddComponent;
}

declare class K2Node_CallArrayFunction extends K2Node_CallFunction { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_CallArrayFunction;
	static Find(Outer: UObject, ResourceName: string): K2Node_CallArrayFunction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_CallArrayFunction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallArrayFunction;
	static C(Other: UObject): K2Node_CallArrayFunction;
}

declare class K2Node_CallDataTableFunction extends K2Node_CallFunction { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_CallDataTableFunction;
	static Find(Outer: UObject, ResourceName: string): K2Node_CallDataTableFunction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_CallDataTableFunction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallDataTableFunction;
	static C(Other: UObject): K2Node_CallDataTableFunction;
}

declare class K2Node_CallFunctionOnMember extends K2Node_CallFunction { 
	MemberVariableToCallOn: MemberReference;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_CallFunctionOnMember;
	static Find(Outer: UObject, ResourceName: string): K2Node_CallFunctionOnMember;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_CallFunctionOnMember;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallFunctionOnMember;
	static C(Other: UObject): K2Node_CallFunctionOnMember;
}

declare class K2Node_CallMaterialParameterCollectionFunction extends K2Node_CallFunction { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_CallMaterialParameterCollectionFunction;
	static Find(Outer: UObject, ResourceName: string): K2Node_CallMaterialParameterCollectionFunction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_CallMaterialParameterCollectionFunction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallMaterialParameterCollectionFunction;
	static C(Other: UObject): K2Node_CallMaterialParameterCollectionFunction;
}

declare class K2Node_CallParentFunction extends K2Node_CallFunction { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_CallParentFunction;
	static Find(Outer: UObject, ResourceName: string): K2Node_CallParentFunction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_CallParentFunction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallParentFunction;
	static C(Other: UObject): K2Node_CallParentFunction;
}

declare class K2Node_CommutativeAssociativeBinaryOperator extends K2Node_CallFunction { 
	NumAdditionalInputs: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_CommutativeAssociativeBinaryOperator;
	static Find(Outer: UObject, ResourceName: string): K2Node_CommutativeAssociativeBinaryOperator;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_CommutativeAssociativeBinaryOperator;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CommutativeAssociativeBinaryOperator;
	static C(Other: UObject): K2Node_CommutativeAssociativeBinaryOperator;
}

declare class K2Node_GetInputAxisKeyValue extends K2Node_CallFunction { 
	InputAxisKey: Key;
	bConsumeInput: boolean;
	bExecuteWhenPaused: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_GetInputAxisKeyValue;
	static Find(Outer: UObject, ResourceName: string): K2Node_GetInputAxisKeyValue;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_GetInputAxisKeyValue;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetInputAxisKeyValue;
	static C(Other: UObject): K2Node_GetInputAxisKeyValue;
}

declare class K2Node_GetInputVectorAxisValue extends K2Node_GetInputAxisKeyValue { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_GetInputVectorAxisValue;
	static Find(Outer: UObject, ResourceName: string): K2Node_GetInputVectorAxisValue;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_GetInputVectorAxisValue;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetInputVectorAxisValue;
	static C(Other: UObject): K2Node_GetInputVectorAxisValue;
}

declare class K2Node_GetInputAxisValue extends K2Node_CallFunction { 
	InputAxisName: string;
	bConsumeInput: boolean;
	bExecuteWhenPaused: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_GetInputAxisValue;
	static Find(Outer: UObject, ResourceName: string): K2Node_GetInputAxisValue;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_GetInputAxisValue;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetInputAxisValue;
	static C(Other: UObject): K2Node_GetInputAxisValue;
}

declare class K2Node_Message extends K2Node_CallFunction { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_Message;
	static Find(Outer: UObject, ResourceName: string): K2Node_Message;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_Message;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Message;
	static C(Other: UObject): K2Node_Message;
}

declare class K2Node_CastByteToEnum extends K2Node { 
	Enum: Enum;
	bSafe: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_CastByteToEnum;
	static Find(Outer: UObject, ResourceName: string): K2Node_CastByteToEnum;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_CastByteToEnum;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CastByteToEnum;
	static C(Other: UObject): K2Node_CastByteToEnum;
}

declare class K2Node_ConstructObjectFromClass extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_ConstructObjectFromClass;
	static Find(Outer: UObject, ResourceName: string): K2Node_ConstructObjectFromClass;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_ConstructObjectFromClass;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ConstructObjectFromClass;
	static C(Other: UObject): K2Node_ConstructObjectFromClass;
}

declare class K2Node_GenericCreateObject extends K2Node_ConstructObjectFromClass { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_GenericCreateObject;
	static Find(Outer: UObject, ResourceName: string): K2Node_GenericCreateObject;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_GenericCreateObject;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GenericCreateObject;
	static C(Other: UObject): K2Node_GenericCreateObject;
}

declare class K2Node_ConvertAsset extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_ConvertAsset;
	static Find(Outer: UObject, ResourceName: string): K2Node_ConvertAsset;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_ConvertAsset;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ConvertAsset;
	static C(Other: UObject): K2Node_ConvertAsset;
}

declare class K2Node_Copy extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_Copy;
	static Find(Outer: UObject, ResourceName: string): K2Node_Copy;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_Copy;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Copy;
	static C(Other: UObject): K2Node_Copy;
}

declare class K2Node_CreateDelegate extends K2Node { 
	SelectedFunctionName: string;
	SelectedFunctionGuid: Guid;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_CreateDelegate;
	static Find(Outer: UObject, ResourceName: string): K2Node_CreateDelegate;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_CreateDelegate;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CreateDelegate;
	static C(Other: UObject): K2Node_CreateDelegate;
}

declare class K2Node_DeadClass extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_DeadClass;
	static Find(Outer: UObject, ResourceName: string): K2Node_DeadClass;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_DeadClass;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_DeadClass;
	static C(Other: UObject): K2Node_DeadClass;
}

declare class K2Node_DelegateSet extends K2Node { 
	DelegatePropertyName: string;
	DelegatePropertyClass: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_DelegateSet;
	static Find(Outer: UObject, ResourceName: string): K2Node_DelegateSet;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_DelegateSet;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_DelegateSet;
	static C(Other: UObject): K2Node_DelegateSet;
}

declare class K2Node_TemporaryVariable extends K2Node { 
	VariableType: EdGraphPinType;
	bIsPersistent: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_TemporaryVariable;
	static Find(Outer: UObject, ResourceName: string): K2Node_TemporaryVariable;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_TemporaryVariable;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_TemporaryVariable;
	static C(Other: UObject): K2Node_TemporaryVariable;
}

declare class K2Node_DoOnceMultiInput extends K2Node { 
	NumAdditionalInputs: number;
	DataNode: K2Node_TemporaryVariable;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_DoOnceMultiInput;
	static Find(Outer: UObject, ResourceName: string): K2Node_DoOnceMultiInput;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_DoOnceMultiInput;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_DoOnceMultiInput;
	static C(Other: UObject): K2Node_DoOnceMultiInput;
}

declare class K2Node_DynamicCast extends K2Node { 
	TargetType: UnrealEngineClass;
	bIsPureCast: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_DynamicCast;
	static Find(Outer: UObject, ResourceName: string): K2Node_DynamicCast;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_DynamicCast;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_DynamicCast;
	static C(Other: UObject): K2Node_DynamicCast;
}

declare class K2Node_ClassDynamicCast extends K2Node_DynamicCast { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_ClassDynamicCast;
	static Find(Outer: UObject, ResourceName: string): K2Node_ClassDynamicCast;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_ClassDynamicCast;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ClassDynamicCast;
	static C(Other: UObject): K2Node_ClassDynamicCast;
}

declare class K2Node_EaseFunction extends K2Node { 
	EaseFunctionName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_EaseFunction;
	static Find(Outer: UObject, ResourceName: string): K2Node_EaseFunction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_EaseFunction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EaseFunction;
	static C(Other: UObject): K2Node_EaseFunction;
}

declare class K2Node_EditablePinBase extends K2Node { 
	bIsEditable: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_EditablePinBase;
	static Find(Outer: UObject, ResourceName: string): K2Node_EditablePinBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_EditablePinBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EditablePinBase;
	static C(Other: UObject): K2Node_EditablePinBase;
}

declare class K2Node_Event extends K2Node_EditablePinBase { 
	EventSignatureName: string;
	EventSignatureClass: UnrealEngineClass;
	EventReference: MemberReference;
	bOverrideFunction: boolean;
	bInternalEvent: boolean;
	CustomFunctionName: string;
	FunctionFlags: any;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_Event;
	static Find(Outer: UObject, ResourceName: string): K2Node_Event;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_Event;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Event;
	static C(Other: UObject): K2Node_Event;
}

declare class K2Node_ActorBoundEvent extends K2Node_Event { 
	DelegatePropertyName: string;
	DelegateOwnerClass: UnrealEngineClass;
	EventOwner: Actor;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_ActorBoundEvent;
	static Find(Outer: UObject, ResourceName: string): K2Node_ActorBoundEvent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_ActorBoundEvent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ActorBoundEvent;
	static C(Other: UObject): K2Node_ActorBoundEvent;
}

declare class K2Node_ComponentBoundEvent extends K2Node_Event { 
	DelegatePropertyName: string;
	DelegateOwnerClass: UnrealEngineClass;
	ComponentPropertyName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_ComponentBoundEvent;
	static Find(Outer: UObject, ResourceName: string): K2Node_ComponentBoundEvent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_ComponentBoundEvent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ComponentBoundEvent;
	static C(Other: UObject): K2Node_ComponentBoundEvent;
}

declare class K2Node_CustomEvent extends K2Node_Event { 
	bCallInEditor: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_CustomEvent;
	static Find(Outer: UObject, ResourceName: string): K2Node_CustomEvent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_CustomEvent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CustomEvent;
	static C(Other: UObject): K2Node_CustomEvent;
}

declare class K2Node_InputActionEvent extends K2Node_Event { 
	InputActionName: string;
	InputKeyEvent: EInputEvent;
	bConsumeInput: boolean;
	bExecuteWhenPaused: boolean;
	bOverrideParentBinding: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_InputActionEvent;
	static Find(Outer: UObject, ResourceName: string): K2Node_InputActionEvent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_InputActionEvent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputActionEvent;
	static C(Other: UObject): K2Node_InputActionEvent;
}

declare class K2Node_InputAxisEvent extends K2Node_Event { 
	InputAxisName: string;
	bConsumeInput: boolean;
	bExecuteWhenPaused: boolean;
	bOverrideParentBinding: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_InputAxisEvent;
	static Find(Outer: UObject, ResourceName: string): K2Node_InputAxisEvent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_InputAxisEvent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputAxisEvent;
	static C(Other: UObject): K2Node_InputAxisEvent;
}

declare class K2Node_InputAxisKeyEvent extends K2Node_Event { 
	AxisKey: Key;
	bConsumeInput: boolean;
	bExecuteWhenPaused: boolean;
	bOverrideParentBinding: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_InputAxisKeyEvent;
	static Find(Outer: UObject, ResourceName: string): K2Node_InputAxisKeyEvent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_InputAxisKeyEvent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputAxisKeyEvent;
	static C(Other: UObject): K2Node_InputAxisKeyEvent;
}

declare class K2Node_InputVectorAxisEvent extends K2Node_InputAxisKeyEvent { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_InputVectorAxisEvent;
	static Find(Outer: UObject, ResourceName: string): K2Node_InputVectorAxisEvent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_InputVectorAxisEvent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputVectorAxisEvent;
	static C(Other: UObject): K2Node_InputVectorAxisEvent;
}

declare class K2Node_InputKeyEvent extends K2Node_Event { 
	InputChord: InputChord;
	InputKeyEvent: EInputEvent;
	bConsumeInput: boolean;
	bExecuteWhenPaused: boolean;
	bOverrideParentBinding: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_InputKeyEvent;
	static Find(Outer: UObject, ResourceName: string): K2Node_InputKeyEvent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_InputKeyEvent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputKeyEvent;
	static C(Other: UObject): K2Node_InputKeyEvent;
}

declare class K2Node_InputTouchEvent extends K2Node_Event { 
	InputKeyEvent: EInputEvent;
	bConsumeInput: boolean;
	bExecuteWhenPaused: boolean;
	bOverrideParentBinding: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_InputTouchEvent;
	static Find(Outer: UObject, ResourceName: string): K2Node_InputTouchEvent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_InputTouchEvent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputTouchEvent;
	static C(Other: UObject): K2Node_InputTouchEvent;
}

declare class K2Node_FunctionTerminator extends K2Node_EditablePinBase { 
	SignatureClass: UnrealEngineClass;
	SignatureName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_FunctionTerminator;
	static Find(Outer: UObject, ResourceName: string): K2Node_FunctionTerminator;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_FunctionTerminator;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_FunctionTerminator;
	static C(Other: UObject): K2Node_FunctionTerminator;
}

declare class KismetUserDeclaredFunctionMetadata { 
	ToolTip: string;
	Category: string;
	Keywords: string;
	CompactNodeTitle: string;
	InstanceTitleColor: LinearColor;
	bCallInEditor: boolean;
	HasLatentFunctions: any;
	clone() : KismetUserDeclaredFunctionMetadata;
	static C(Other: UObject): KismetUserDeclaredFunctionMetadata;
}

declare class K2Node_FunctionEntry extends K2Node_FunctionTerminator { 
	CustomGeneratedFunctionName: string;
	MetaData: KismetUserDeclaredFunctionMetadata;
	LocalVariables: BPVariableDescription[];
	bEnforceConstCorrectness: boolean;
	ExtraFlags: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_FunctionEntry;
	static Find(Outer: UObject, ResourceName: string): K2Node_FunctionEntry;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_FunctionEntry;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_FunctionEntry;
	static C(Other: UObject): K2Node_FunctionEntry;
}

declare class K2Node_FunctionResult extends K2Node_FunctionTerminator { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_FunctionResult;
	static Find(Outer: UObject, ResourceName: string): K2Node_FunctionResult;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_FunctionResult;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_FunctionResult;
	static C(Other: UObject): K2Node_FunctionResult;
}

declare class K2Node_Tunnel extends K2Node_EditablePinBase { 
	OutputSourceNode: K2Node_Tunnel;
	InputSinkNode: K2Node_Tunnel;
	bCanHaveInputs: boolean;
	bCanHaveOutputs: boolean;
	MetaData: KismetUserDeclaredFunctionMetadata;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_Tunnel;
	static Find(Outer: UObject, ResourceName: string): K2Node_Tunnel;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_Tunnel;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Tunnel;
	static C(Other: UObject): K2Node_Tunnel;
}

declare class K2Node_Composite extends K2Node_Tunnel { 
	BoundGraph: EdGraph;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_Composite;
	static Find(Outer: UObject, ResourceName: string): K2Node_Composite;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_Composite;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Composite;
	static C(Other: UObject): K2Node_Composite;
}

declare class K2Node_MathExpression extends K2Node_Composite { 
	Expression: string;
	bMadeAfterRotChange: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_MathExpression;
	static Find(Outer: UObject, ResourceName: string): K2Node_MathExpression;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_MathExpression;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MathExpression;
	static C(Other: UObject): K2Node_MathExpression;
}

declare class GraphReference { 
	MacroGraph: EdGraph;
	GraphBlueprint: Blueprint;
	GraphGuid: Guid;
	clone() : GraphReference;
	static C(Other: UObject): GraphReference;
}

declare class K2Node_MacroInstance extends K2Node_Tunnel { 
	MacroGraph: EdGraph;
	MacroGraphReference: GraphReference;
	ResolvedWildcardType: EdGraphPinType;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_MacroInstance;
	static Find(Outer: UObject, ResourceName: string): K2Node_MacroInstance;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_MacroInstance;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MacroInstance;
	static C(Other: UObject): K2Node_MacroInstance;
}

declare class K2Node_EnumEquality extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_EnumEquality;
	static Find(Outer: UObject, ResourceName: string): K2Node_EnumEquality;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_EnumEquality;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EnumEquality;
	static C(Other: UObject): K2Node_EnumEquality;
}

declare class K2Node_EnumInequality extends K2Node_EnumEquality { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_EnumInequality;
	static Find(Outer: UObject, ResourceName: string): K2Node_EnumInequality;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_EnumInequality;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EnumInequality;
	static C(Other: UObject): K2Node_EnumInequality;
}

declare class K2Node_EnumLiteral extends K2Node { 
	Enum: Enum;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_EnumLiteral;
	static Find(Outer: UObject, ResourceName: string): K2Node_EnumLiteral;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_EnumLiteral;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EnumLiteral;
	static C(Other: UObject): K2Node_EnumLiteral;
}

declare class K2Node_ExecutionSequence extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_ExecutionSequence;
	static Find(Outer: UObject, ResourceName: string): K2Node_ExecutionSequence;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_ExecutionSequence;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ExecutionSequence;
	static C(Other: UObject): K2Node_ExecutionSequence;
}

declare class K2Node_MultiGate extends K2Node_ExecutionSequence { 
	DataNode: K2Node_TemporaryVariable;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_MultiGate;
	static Find(Outer: UObject, ResourceName: string): K2Node_MultiGate;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_MultiGate;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MultiGate;
	static C(Other: UObject): K2Node_MultiGate;
}

declare class K2Node_ForEachElementInEnum extends K2Node { 
	Enum: Enum;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_ForEachElementInEnum;
	static Find(Outer: UObject, ResourceName: string): K2Node_ForEachElementInEnum;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_ForEachElementInEnum;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ForEachElementInEnum;
	static C(Other: UObject): K2Node_ForEachElementInEnum;
}

declare class K2Node_FormatText extends K2Node { 
	PinNames: string[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_FormatText;
	static Find(Outer: UObject, ResourceName: string): K2Node_FormatText;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_FormatText;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_FormatText;
	static C(Other: UObject): K2Node_FormatText;
}

declare class K2Node_GetArrayItem extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_GetArrayItem;
	static Find(Outer: UObject, ResourceName: string): K2Node_GetArrayItem;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_GetArrayItem;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetArrayItem;
	static C(Other: UObject): K2Node_GetArrayItem;
}

declare class OptionalPinFromProperty { 
	PropertyName: string;
	PropertyFriendlyName: string;
	PropertyTooltip: string;
	bShowPin: boolean;
	bCanToggleVisibility: boolean;
	bPropertyIsCustomized: boolean;
	CategoryName: string;
	bHasOverridePin: boolean;
	bIsOverrideEnabled: boolean;
	bIsSetValuePinVisible: boolean;
	bIsOverridePinVisible: boolean;
	clone() : OptionalPinFromProperty;
	static C(Other: UObject): OptionalPinFromProperty;
}

declare class K2Node_GetClassDefaults extends K2Node { 
	BlueprintSubscribedTo: Blueprint;
	ShowPinForProperties: OptionalPinFromProperty[];
	bExcludeObjectArrays: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_GetClassDefaults;
	static Find(Outer: UObject, ResourceName: string): K2Node_GetClassDefaults;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_GetClassDefaults;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetClassDefaults;
	static C(Other: UObject): K2Node_GetClassDefaults;
}

declare class K2Node_GetDataTableRow extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_GetDataTableRow;
	static Find(Outer: UObject, ResourceName: string): K2Node_GetDataTableRow;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_GetDataTableRow;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetDataTableRow;
	static C(Other: UObject): K2Node_GetDataTableRow;
}

declare class K2Node_GetEnumeratorName extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_GetEnumeratorName;
	static Find(Outer: UObject, ResourceName: string): K2Node_GetEnumeratorName;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_GetEnumeratorName;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetEnumeratorName;
	static C(Other: UObject): K2Node_GetEnumeratorName;
}

declare class K2Node_GetEnumeratorNameAsString extends K2Node_GetEnumeratorName { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_GetEnumeratorNameAsString;
	static Find(Outer: UObject, ResourceName: string): K2Node_GetEnumeratorNameAsString;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_GetEnumeratorNameAsString;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetEnumeratorNameAsString;
	static C(Other: UObject): K2Node_GetEnumeratorNameAsString;
}

declare class K2Node_GetNumEnumEntries extends K2Node { 
	Enum: Enum;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_GetNumEnumEntries;
	static Find(Outer: UObject, ResourceName: string): K2Node_GetNumEnumEntries;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_GetNumEnumEntries;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetNumEnumEntries;
	static C(Other: UObject): K2Node_GetNumEnumEntries;
}

declare class K2Node_IfThenElse extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_IfThenElse;
	static Find(Outer: UObject, ResourceName: string): K2Node_IfThenElse;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_IfThenElse;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_IfThenElse;
	static C(Other: UObject): K2Node_IfThenElse;
}

declare class K2Node_InputAction extends K2Node { 
	InputActionName: string;
	bConsumeInput: boolean;
	bExecuteWhenPaused: boolean;
	bOverrideParentBinding: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_InputAction;
	static Find(Outer: UObject, ResourceName: string): K2Node_InputAction;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_InputAction;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputAction;
	static C(Other: UObject): K2Node_InputAction;
}

declare class K2Node_InputKey extends K2Node { 
	InputKey: Key;
	bConsumeInput: boolean;
	bExecuteWhenPaused: boolean;
	bOverrideParentBinding: boolean;
	bControl: boolean;
	bAlt: boolean;
	bShift: boolean;
	bCommand: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_InputKey;
	static Find(Outer: UObject, ResourceName: string): K2Node_InputKey;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_InputKey;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputKey;
	static C(Other: UObject): K2Node_InputKey;
}

declare class K2Node_InputTouch extends K2Node { 
	bConsumeInput: boolean;
	bExecuteWhenPaused: boolean;
	bOverrideParentBinding: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_InputTouch;
	static Find(Outer: UObject, ResourceName: string): K2Node_InputTouch;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_InputTouch;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputTouch;
	static C(Other: UObject): K2Node_InputTouch;
}

declare class K2Node_Knot extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_Knot;
	static Find(Outer: UObject, ResourceName: string): K2Node_Knot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_Knot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Knot;
	static C(Other: UObject): K2Node_Knot;
}

declare class K2Node_Literal extends K2Node { 
	ObjectRef: UObject;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_Literal;
	static Find(Outer: UObject, ResourceName: string): K2Node_Literal;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_Literal;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Literal;
	static C(Other: UObject): K2Node_Literal;
}

declare class K2Node_LoadAsset extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_LoadAsset;
	static Find(Outer: UObject, ResourceName: string): K2Node_LoadAsset;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_LoadAsset;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_LoadAsset;
	static C(Other: UObject): K2Node_LoadAsset;
}

declare class K2Node_LoadAssetClass extends K2Node_LoadAsset { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_LoadAssetClass;
	static Find(Outer: UObject, ResourceName: string): K2Node_LoadAssetClass;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_LoadAssetClass;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_LoadAssetClass;
	static C(Other: UObject): K2Node_LoadAssetClass;
}

declare class K2Node_MakeArray extends K2Node { 
	NumInputs: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_MakeArray;
	static Find(Outer: UObject, ResourceName: string): K2Node_MakeArray;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_MakeArray;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeArray;
	static C(Other: UObject): K2Node_MakeArray;
}

declare class K2Node_MatineeController extends K2Node { 
	MatineeActor: MatineeActor;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_MatineeController;
	static Find(Outer: UObject, ResourceName: string): K2Node_MatineeController;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_MatineeController;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MatineeController;
	static C(Other: UObject): K2Node_MatineeController;
}

declare class K2Node_PureAssignmentStatement extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_PureAssignmentStatement;
	static Find(Outer: UObject, ResourceName: string): K2Node_PureAssignmentStatement;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_PureAssignmentStatement;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_PureAssignmentStatement;
	static C(Other: UObject): K2Node_PureAssignmentStatement;
}

declare class K2Node_Select extends K2Node { 
	NumOptionPins: number;
	IndexPinType: EdGraphPinType;
	Enum: Enum;
	EnumEntries: string[];
	EnumEntryFriendlyNames: string[];
	bReconstructNode: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_Select;
	static Find(Outer: UObject, ResourceName: string): K2Node_Select;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_Select;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Select;
	static C(Other: UObject): K2Node_Select;
}

declare class K2Node_Self extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_Self;
	static Find(Outer: UObject, ResourceName: string): K2Node_Self;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_Self;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Self;
	static C(Other: UObject): K2Node_Self;
}

declare class K2Node_SetVariableOnPersistentFrame extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_SetVariableOnPersistentFrame;
	static Find(Outer: UObject, ResourceName: string): K2Node_SetVariableOnPersistentFrame;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_SetVariableOnPersistentFrame;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SetVariableOnPersistentFrame;
	static C(Other: UObject): K2Node_SetVariableOnPersistentFrame;
}

declare class K2Node_SpawnActor extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_SpawnActor;
	static Find(Outer: UObject, ResourceName: string): K2Node_SpawnActor;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_SpawnActor;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SpawnActor;
	static C(Other: UObject): K2Node_SpawnActor;
}

declare class K2Node_SpawnActorFromClass extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_SpawnActorFromClass;
	static Find(Outer: UObject, ResourceName: string): K2Node_SpawnActorFromClass;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_SpawnActorFromClass;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SpawnActorFromClass;
	static C(Other: UObject): K2Node_SpawnActorFromClass;
}

declare class K2Node_Switch extends K2Node { 
	bHasDefaultPin: boolean;
	FunctionName: string;
	FunctionClass: UnrealEngineClass;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_Switch;
	static Find(Outer: UObject, ResourceName: string): K2Node_Switch;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_Switch;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Switch;
	static C(Other: UObject): K2Node_Switch;
}

declare class K2Node_SwitchEnum extends K2Node_Switch { 
	Enum: Enum;
	EnumEntries: string[];
	EnumFriendlyNames: string[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_SwitchEnum;
	static Find(Outer: UObject, ResourceName: string): K2Node_SwitchEnum;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_SwitchEnum;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SwitchEnum;
	static C(Other: UObject): K2Node_SwitchEnum;
}

declare class K2Node_SwitchInteger extends K2Node_Switch { 
	StartIndex: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_SwitchInteger;
	static Find(Outer: UObject, ResourceName: string): K2Node_SwitchInteger;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_SwitchInteger;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SwitchInteger;
	static C(Other: UObject): K2Node_SwitchInteger;
}

declare class K2Node_SwitchName extends K2Node_Switch { 
	PinNames: string[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_SwitchName;
	static Find(Outer: UObject, ResourceName: string): K2Node_SwitchName;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_SwitchName;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SwitchName;
	static C(Other: UObject): K2Node_SwitchName;
}

declare class K2Node_SwitchString extends K2Node_Switch { 
	PinNames: string[];
	bIsCaseSensitive: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_SwitchString;
	static Find(Outer: UObject, ResourceName: string): K2Node_SwitchString;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_SwitchString;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SwitchString;
	static C(Other: UObject): K2Node_SwitchString;
}

declare class K2Node_LocalVariable extends K2Node_TemporaryVariable { 
	CustomVariableName: string;
	VariableTooltip: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_LocalVariable;
	static Find(Outer: UObject, ResourceName: string): K2Node_LocalVariable;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_LocalVariable;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_LocalVariable;
	static C(Other: UObject): K2Node_LocalVariable;
}

declare class K2Node_Timeline extends K2Node { 
	TimelineName: string;
	bAutoPlay: boolean;
	TimelineGuid: Guid;
	bLoop: boolean;
	bReplicated: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_Timeline;
	static Find(Outer: UObject, ResourceName: string): K2Node_Timeline;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_Timeline;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Timeline;
	static C(Other: UObject): K2Node_Timeline;
}

declare type ESelfContextInfo = string | symbol;
declare var ESelfContextInfo = { Unspecified:'Unspecified',NotSelfContext:'NotSelfContext', };
declare class K2Node_Variable extends K2Node { 
	VariableReference: MemberReference;
	SelfContextInfo: ESelfContextInfo;
	VariableSourceClass: UnrealEngineClass;
	VariableName: string;
	bSelfContext: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_Variable;
	static Find(Outer: UObject, ResourceName: string): K2Node_Variable;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_Variable;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Variable;
	static C(Other: UObject): K2Node_Variable;
}

declare class K2Node_StructOperation extends K2Node_Variable { 
	StructType: ScriptStruct;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_StructOperation;
	static Find(Outer: UObject, ResourceName: string): K2Node_StructOperation;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_StructOperation;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_StructOperation;
	static C(Other: UObject): K2Node_StructOperation;
}

declare class K2Node_StructMemberGet extends K2Node_StructOperation { 
	ShowPinForProperties: OptionalPinFromProperty[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_StructMemberGet;
	static Find(Outer: UObject, ResourceName: string): K2Node_StructMemberGet;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_StructMemberGet;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_StructMemberGet;
	static C(Other: UObject): K2Node_StructMemberGet;
}

declare class K2Node_BreakStruct extends K2Node_StructMemberGet { 
	bMadeAfterOverridePinRemoval: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_BreakStruct;
	static Find(Outer: UObject, ResourceName: string): K2Node_BreakStruct;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_BreakStruct;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_BreakStruct;
	static C(Other: UObject): K2Node_BreakStruct;
}

declare class K2Node_StructMemberSet extends K2Node_StructOperation { 
	ShowPinForProperties: OptionalPinFromProperty[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_StructMemberSet;
	static Find(Outer: UObject, ResourceName: string): K2Node_StructMemberSet;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_StructMemberSet;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_StructMemberSet;
	static C(Other: UObject): K2Node_StructMemberSet;
}

declare class K2Node_MakeStruct extends K2Node_StructMemberSet { 
	bMadeAfterOverridePinRemoval: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_MakeStruct;
	static Find(Outer: UObject, ResourceName: string): K2Node_MakeStruct;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_MakeStruct;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeStruct;
	static C(Other: UObject): K2Node_MakeStruct;
}

declare class K2Node_SetFieldsInStruct extends K2Node_MakeStruct { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_SetFieldsInStruct;
	static Find(Outer: UObject, ResourceName: string): K2Node_SetFieldsInStruct;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_SetFieldsInStruct;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SetFieldsInStruct;
	static C(Other: UObject): K2Node_SetFieldsInStruct;
}

declare class K2Node_VariableGet extends K2Node_Variable { 
	bIsPureGet: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_VariableGet;
	static Find(Outer: UObject, ResourceName: string): K2Node_VariableGet;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_VariableGet;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_VariableGet;
	static C(Other: UObject): K2Node_VariableGet;
}

declare class K2Node_VariableSet extends K2Node_Variable { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_VariableSet;
	static Find(Outer: UObject, ResourceName: string): K2Node_VariableSet;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_VariableSet;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_VariableSet;
	static C(Other: UObject): K2Node_VariableSet;
}

declare class K2Node_VariableSetRef extends K2Node { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_VariableSetRef;
	static Find(Outer: UObject, ResourceName: string): K2Node_VariableSetRef;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_VariableSetRef;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_VariableSetRef;
	static C(Other: UObject): K2Node_VariableSetRef;
}

declare type EBlueprintPinStyleType = string | symbol;
declare var EBlueprintPinStyleType = { BPST_Original:'BPST_Original',BPST_VariantA:'BPST_VariantA', };
declare class GraphEditorSettings extends UObject { 
	DataPinStyle: EBlueprintPinStyleType;
	PaddingAbovePin: number;
	PaddingBelowPin: number;
	PaddingRightOfInput: number;
	PaddingLeftOfOutput: number;
	PaddingTowardsNodeEdge: number;
	bTreatSplinesLikePins: boolean;
	SplineHoverTolerance: number;
	ForwardSplineHorizontalDeltaRange: number;
	ForwardSplineVerticalDeltaRange: number;
	ForwardSplineTangentFromHorizontalDelta: Vector2D;
	ForwardSplineTangentFromVerticalDelta: Vector2D;
	BackwardSplineHorizontalDeltaRange: number;
	BackwardSplineVerticalDeltaRange: number;
	BackwardSplineTangentFromHorizontalDelta: Vector2D;
	BackwardSplineTangentFromVerticalDelta: Vector2D;
	DefaultPinTypeColor: LinearColor;
	ExecutionPinTypeColor: LinearColor;
	BooleanPinTypeColor: LinearColor;
	BytePinTypeColor: LinearColor;
	ClassPinTypeColor: LinearColor;
	IntPinTypeColor: LinearColor;
	FloatPinTypeColor: LinearColor;
	NamePinTypeColor: LinearColor;
	AssetPinTypeColor: LinearColor;
	AssetClassPinTypeColor: LinearColor;
	DelegatePinTypeColor: LinearColor;
	ObjectPinTypeColor: LinearColor;
	InterfacePinTypeColor: LinearColor;
	StringPinTypeColor: LinearColor;
	TextPinTypeColor: LinearColor;
	StructPinTypeColor: LinearColor;
	WildcardPinTypeColor: LinearColor;
	VectorPinTypeColor: LinearColor;
	RotatorPinTypeColor: LinearColor;
	TransformPinTypeColor: LinearColor;
	IndexPinTypeColor: LinearColor;
	EventNodeTitleColor: LinearColor;
	FunctionCallNodeTitleColor: LinearColor;
	PureFunctionCallNodeTitleColor: LinearColor;
	ParentFunctionCallNodeTitleColor: LinearColor;
	FunctionTerminatorNodeTitleColor: LinearColor;
	ExecBranchNodeTitleColor: LinearColor;
	ExecSequenceNodeTitleColor: LinearColor;
	ResultNodeTitleColor: LinearColor;
	DefaultCommentNodeTitleColor: LinearColor;
	TraceAttackColor: LinearColor;
	TraceAttackWireThickness: number;
	TraceAttackHoldPeriod: number;
	TraceDecayPeriod: number;
	TraceDecayExponent: number;
	TraceSustainColor: LinearColor;
	TraceSustainWireThickness: number;
	TraceSustainHoldPeriod: number;
	TraceReleaseColor: LinearColor;
	TraceReleaseWireThickness: number;
	TraceReleasePeriod: number;
	TraceReleaseExponent: number;
	TracePositionBonusPeriod: number;
	TracePositionExponent: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): GraphEditorSettings;
	static Find(Outer: UObject, ResourceName: string): GraphEditorSettings;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): GraphEditorSettings;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GraphEditorSettings;
	static C(Other: UObject): GraphEditorSettings;
}

declare class AnimationConduitGraphSchema extends EdGraphSchema_K2 { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimationConduitGraphSchema;
	static Find(Outer: UObject, ResourceName: string): AnimationConduitGraphSchema;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimationConduitGraphSchema;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationConduitGraphSchema;
	static C(Other: UObject): AnimationConduitGraphSchema;
}

declare class AnimationGraph extends EdGraph { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimationGraph;
	static Find(Outer: UObject, ResourceName: string): AnimationGraph;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimationGraph;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationGraph;
	static C(Other: UObject): AnimationGraph;
}

declare type EBlueprintUsage = string | symbol;
declare var EBlueprintUsage = { NoProperties:'NoProperties',DoesNotUseBlueprint:'DoesNotUseBlueprint',UsesBlueprint:'UsesBlueprint', };
declare class AnimGraphNode_Base extends K2Node { 
	ShowPinForProperties: OptionalPinFromProperty[];
	BlueprintUsage: EBlueprintUsage;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_Base;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Base;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_Base;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Base;
	static C(Other: UObject): AnimGraphNode_Base;
}

declare type EPostCopyOperation = string | symbol;
declare var EPostCopyOperation = { None:'None',LogicalNegateBool:'LogicalNegateBool', };
declare class ExposedValueCopyRecord { 
	SourceProperty: Property;
	SourcePropertyName: string;
	SourceSubPropertyName: string;
	SourceArrayIndex: number;
	DestProperty: Property;
	DestArrayIndex: number;
	Size: number;
	PostCopyOperation: EPostCopyOperation;
	CachedBoolSourceProperty: BoolProperty;
	CachedBoolDestProperty: BoolProperty;
	clone() : ExposedValueCopyRecord;
	static C(Other: UObject): ExposedValueCopyRecord;
}

declare class ExposedValueHandler { 
	BoundFunction: string;
	CopyRecords: ExposedValueCopyRecord[];
	clone() : ExposedValueHandler;
	static C(Other: UObject): ExposedValueHandler;
}

declare class AnimNode_Base { 
	EvaluateGraphExposedInputs: ExposedValueHandler;
	clone() : AnimNode_Base;
	static C(Other: UObject): AnimNode_Base;
}

declare class PoseLinkBase { 
	LinkID: number;
	SourceLinkID: number;
	clone() : PoseLinkBase;
	static C(Other: UObject): PoseLinkBase;
}

declare class PoseLink extends PoseLinkBase { 
	clone() : PoseLink;
	static C(Other: UObject): PoseLink;
}

declare class AnimNode_Root extends AnimNode_Base { 
	Result: PoseLink;
	clone() : AnimNode_Root;
	static C(Other: UObject): AnimNode_Root;
}

declare class AnimGraphNode_Root extends AnimGraphNode_Base { 
	UNode: AnimNode_Root;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_Root;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Root;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_Root;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Root;
	static C(Other: UObject): AnimGraphNode_Root;
}

declare class AnimGraphNode_CustomTransitionResult extends AnimGraphNode_Root { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_CustomTransitionResult;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CustomTransitionResult;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_CustomTransitionResult;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CustomTransitionResult;
	static C(Other: UObject): AnimGraphNode_CustomTransitionResult;
}

declare class AnimationCustomTransitionGraph extends AnimationGraph { 
	MyResultNode: AnimGraphNode_CustomTransitionResult;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimationCustomTransitionGraph;
	static Find(Outer: UObject, ResourceName: string): AnimationCustomTransitionGraph;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimationCustomTransitionGraph;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationCustomTransitionGraph;
	static C(Other: UObject): AnimationCustomTransitionGraph;
}

declare class AnimGraphNode_StateResult extends AnimGraphNode_Root { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_StateResult;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_StateResult;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_StateResult;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_StateResult;
	static C(Other: UObject): AnimGraphNode_StateResult;
}

declare class AnimationStateGraph extends AnimationGraph { 
	MyResultNode: AnimGraphNode_StateResult;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimationStateGraph;
	static Find(Outer: UObject, ResourceName: string): AnimationStateGraph;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimationStateGraph;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationStateGraph;
	static C(Other: UObject): AnimationStateGraph;
}

declare class AnimNode_TransitionResult extends AnimNode_Base { 
	bCanEnterTransition: boolean;
	clone() : AnimNode_TransitionResult;
	static C(Other: UObject): AnimNode_TransitionResult;
}

declare class AnimGraphNode_TransitionResult extends AnimGraphNode_Base { 
	UNode: AnimNode_TransitionResult;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_TransitionResult;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TransitionResult;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_TransitionResult;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TransitionResult;
	static C(Other: UObject): AnimGraphNode_TransitionResult;
}

declare class AnimationTransitionGraph extends AnimationGraph { 
	MyResultNode: AnimGraphNode_TransitionResult;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimationTransitionGraph;
	static Find(Outer: UObject, ResourceName: string): AnimationTransitionGraph;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimationTransitionGraph;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationTransitionGraph;
	static C(Other: UObject): AnimationTransitionGraph;
}

declare class AnimationGraphSchema extends EdGraphSchema_K2 { 
	PN_SequenceName: string;
	NAME_NeverAsPin: string;
	NAME_PinHiddenByDefault: string;
	NAME_PinShownByDefault: string;
	NAME_AlwaysAsPin: string;
	NAME_CustomizeProperty: string;
	NAME_OnEvaluate: string;
	DefaultEvaluationHandlerName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimationGraphSchema;
	static Find(Outer: UObject, ResourceName: string): AnimationGraphSchema;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimationGraphSchema;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationGraphSchema;
	static C(Other: UObject): AnimationGraphSchema;
}

declare class AnimationCustomTransitionSchema extends AnimationGraphSchema { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimationCustomTransitionSchema;
	static Find(Outer: UObject, ResourceName: string): AnimationCustomTransitionSchema;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimationCustomTransitionSchema;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationCustomTransitionSchema;
	static C(Other: UObject): AnimationCustomTransitionSchema;
}

declare class AnimationStateGraphSchema extends AnimationGraphSchema { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimationStateGraphSchema;
	static Find(Outer: UObject, ResourceName: string): AnimationStateGraphSchema;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimationStateGraphSchema;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationStateGraphSchema;
	static C(Other: UObject): AnimationStateGraphSchema;
}

declare class AnimStateEntryNode extends EdGraphNode { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimStateEntryNode;
	static Find(Outer: UObject, ResourceName: string): AnimStateEntryNode;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimStateEntryNode;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateEntryNode;
	static C(Other: UObject): AnimStateEntryNode;
}

declare class AnimGraphNode_StateMachineBase extends AnimGraphNode_Base { 
	EditorStateMachineGraph: AnimationStateMachineGraph;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_StateMachineBase;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_StateMachineBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_StateMachineBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_StateMachineBase;
	static C(Other: UObject): AnimGraphNode_StateMachineBase;
}

declare class AnimationStateMachineGraph extends EdGraph { 
	EntryNode: AnimStateEntryNode;
	OwnerAnimGraphNode: AnimGraphNode_StateMachineBase;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimationStateMachineGraph;
	static Find(Outer: UObject, ResourceName: string): AnimationStateMachineGraph;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimationStateMachineGraph;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationStateMachineGraph;
	static C(Other: UObject): AnimationStateMachineGraph;
}

declare class AnimationStateMachineSchema extends EdGraphSchema { 
	PC_Exec: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimationStateMachineSchema;
	static Find(Outer: UObject, ResourceName: string): AnimationStateMachineSchema;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimationStateMachineSchema;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationStateMachineSchema;
	static C(Other: UObject): AnimationStateMachineSchema;
}

declare class AnimationTransitionSchema extends EdGraphSchema_K2 { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimationTransitionSchema;
	static Find(Outer: UObject, ResourceName: string): AnimationTransitionSchema;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimationTransitionSchema;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationTransitionSchema;
	static C(Other: UObject): AnimationTransitionSchema;
}

declare class InputScaleBias { 
	Scale: number;
	Bias: number;
	clone() : InputScaleBias;
	static C(Other: UObject): InputScaleBias;
}

declare class AnimNode_ApplyAdditive extends AnimNode_Base { 
	Base: PoseLink;
	Additive: PoseLink;
	Alpha: number;
	AlphaScaleBias: InputScaleBias;
	LODThreshold: number;
	ActualAlpha: number;
	clone() : AnimNode_ApplyAdditive;
	static C(Other: UObject): AnimNode_ApplyAdditive;
}

declare class AnimGraphNode_ApplyAdditive extends AnimGraphNode_Base { 
	UNode: AnimNode_ApplyAdditive;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_ApplyAdditive;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ApplyAdditive;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_ApplyAdditive;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ApplyAdditive;
	static C(Other: UObject): AnimGraphNode_ApplyAdditive;
}

declare class AnimNode_ApplyMeshSpaceAdditive extends AnimNode_Base { 
	Base: PoseLink;
	Additive: PoseLink;
	Alpha: number;
	AlphaScaleBias: InputScaleBias;
	LODThreshold: number;
	ActualAlpha: number;
	clone() : AnimNode_ApplyMeshSpaceAdditive;
	static C(Other: UObject): AnimNode_ApplyMeshSpaceAdditive;
}

declare class AnimGraphNode_ApplyMeshSpaceAdditive extends AnimGraphNode_Base { 
	UNode: AnimNode_ApplyMeshSpaceAdditive;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_ApplyMeshSpaceAdditive;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ApplyMeshSpaceAdditive;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_ApplyMeshSpaceAdditive;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ApplyMeshSpaceAdditive;
	static C(Other: UObject): AnimGraphNode_ApplyMeshSpaceAdditive;
}

declare type EAnimGroupRole = string | symbol;
declare var EAnimGroupRole = { CanBeLeader:'CanBeLeader',AlwaysFollower:'AlwaysFollower',AlwaysLeader:'AlwaysLeader',TransitionLeader:'TransitionLeader', };
declare class AnimationGroupReference { 
	GroupName: string;
	GroupRole: EAnimGroupRole;
	clone() : AnimationGroupReference;
	static C(Other: UObject): AnimationGroupReference;
}

declare class AnimGraphNode_AssetPlayerBase extends AnimGraphNode_Base { 
	SyncGroup: AnimationGroupReference;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_AssetPlayerBase;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_AssetPlayerBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_AssetPlayerBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_AssetPlayerBase;
	static C(Other: UObject): AnimGraphNode_AssetPlayerBase;
}

declare class AnimGraphNode_BlendSpaceBase extends AnimGraphNode_AssetPlayerBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_BlendSpaceBase;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendSpaceBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_BlendSpaceBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendSpaceBase;
	static C(Other: UObject): AnimGraphNode_BlendSpaceBase;
}

declare class AnimNode_AssetPlayerBase extends AnimNode_Base { 
	bIgnoreForRelevancyTest: boolean;
	GroupIndex: number;
	GroupRole: EAnimGroupRole;
	BlendWeight: number;
	InternalTimeAccumulator: number;
	clone() : AnimNode_AssetPlayerBase;
	static C(Other: UObject): AnimNode_AssetPlayerBase;
}

declare class BlendParameter { 
	DisplayName: string;
	Min: number;
	Max: number;
	GridNum: number;
	clone() : BlendParameter;
	static C(Other: UObject): BlendParameter;
}

declare type EFilterInterpolationType = string | symbol;
declare var EFilterInterpolationType = { BSIT_Average:'BSIT_Average',BSIT_Linear:'BSIT_Linear',BSIT_Cubic:'BSIT_Cubic', };
declare class InterpolationParameter { 
	InterpolationTime: number;
	InterpolationType: EFilterInterpolationType;
	clone() : InterpolationParameter;
	static C(Other: UObject): InterpolationParameter;
}

declare type ENotifyTriggerMode = string | symbol;
declare var ENotifyTriggerMode = { AllAnimations:'AllAnimations',HighestWeightedAnimation:'HighestWeightedAnimation',None:'None', };
declare class PerBoneInterpolation { 
	BoneReference: BoneReference;
	InterpolationSpeedPerSec: number;
	clone() : PerBoneInterpolation;
	static C(Other: UObject): PerBoneInterpolation;
}

declare class BlendSample { 
	Animation: AnimSequence;
	SampleValue: Vector;
	clone() : BlendSample;
	static C(Other: UObject): BlendSample;
}

declare class EditorElement { 
	Indices: number;
	Weights: number;
	clone() : EditorElement;
	static C(Other: UObject): EditorElement;
}

declare class BlendSpaceBase extends AnimationAsset { 
	BlendParameters: BlendParameter;
	InterpolationParam: InterpolationParameter;
	TargetWeightInterpolationSpeedPerSec: number;
	NotifyTriggerMode: ENotifyTriggerMode;
	bRotationBlendInMeshSpace: boolean;
	NumOfDimension: number;
	PreviewBasePose: AnimSequence;
	AnimLength: number;
	PerBoneBlend: PerBoneInterpolation[];
	SampleData: BlendSample[];
	GridSamples: EditorElement[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): BlendSpaceBase;
	static Find(Outer: UObject, ResourceName: string): BlendSpaceBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): BlendSpaceBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendSpaceBase;
	static C(Other: UObject): BlendSpaceBase;
}

declare class BlendFilter { 
	clone() : BlendFilter;
	static C(Other: UObject): BlendFilter;
}

declare class BlendSampleData { 
	SampleDataIndex: number;
	Animation: AnimSequence;
	TotalWeight: number;
	Time: number;
	PreviousTime: number;
	clone() : BlendSampleData;
	static C(Other: UObject): BlendSampleData;
}

declare class AnimNode_BlendSpacePlayer extends AnimNode_AssetPlayerBase { 
	X: number;
	Y: number;
	Z: number;
	PlayRate: number;
	bLoop: boolean;
	StartPosition: number;
	BlendSpace: BlendSpaceBase;
	BlendFilter: BlendFilter;
	BlendSampleDataCache: BlendSampleData[];
	PreviousBlendSpace: BlendSpaceBase;
	clone() : AnimNode_BlendSpacePlayer;
	static C(Other: UObject): AnimNode_BlendSpacePlayer;
}

declare class AnimNode_BlendSpaceEvaluator extends AnimNode_BlendSpacePlayer { 
	NormalizedTime: number;
	clone() : AnimNode_BlendSpaceEvaluator;
	static C(Other: UObject): AnimNode_BlendSpaceEvaluator;
}

declare class AnimGraphNode_BlendSpaceEvaluator extends AnimGraphNode_BlendSpaceBase { 
	UNode: AnimNode_BlendSpaceEvaluator;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_BlendSpaceEvaluator;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendSpaceEvaluator;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_BlendSpaceEvaluator;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendSpaceEvaluator;
	static C(Other: UObject): AnimGraphNode_BlendSpaceEvaluator;
}

declare class AnimGraphNode_BlendSpacePlayer extends AnimGraphNode_BlendSpaceBase { 
	UNode: AnimNode_BlendSpacePlayer;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_BlendSpacePlayer;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendSpacePlayer;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_BlendSpacePlayer;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendSpacePlayer;
	static C(Other: UObject): AnimGraphNode_BlendSpacePlayer;
}

declare class AnimNode_RotationOffsetBlendSpace extends AnimNode_BlendSpacePlayer { 
	BasePose: PoseLink;
	LODThreshold: number;
	bIsLODEnabled: boolean;
	clone() : AnimNode_RotationOffsetBlendSpace;
	static C(Other: UObject): AnimNode_RotationOffsetBlendSpace;
}

declare class AnimGraphNode_RotationOffsetBlendSpace extends AnimGraphNode_BlendSpaceBase { 
	UNode: AnimNode_RotationOffsetBlendSpace;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_RotationOffsetBlendSpace;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RotationOffsetBlendSpace;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_RotationOffsetBlendSpace;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RotationOffsetBlendSpace;
	static C(Other: UObject): AnimGraphNode_RotationOffsetBlendSpace;
}

declare type ESequenceEvalReinit = string | symbol;
declare var ESequenceEvalReinit = { NoReset:'NoReset',StartPosition:'StartPosition',ExplicitTime:'ExplicitTime', };
declare class AnimNode_SequenceEvaluator extends AnimNode_AssetPlayerBase { 
	Sequence: AnimSequenceBase;
	ExplicitTime: number;
	bShouldLoopWhenInSyncGroup: boolean;
	bTeleportToExplicitTime: boolean;
	StartPosition: number;
	ReinitializationBehavior: ESequenceEvalReinit;
	bReinitialized: boolean;
	clone() : AnimNode_SequenceEvaluator;
	static C(Other: UObject): AnimNode_SequenceEvaluator;
}

declare class AnimGraphNode_SequenceEvaluator extends AnimGraphNode_AssetPlayerBase { 
	UNode: AnimNode_SequenceEvaluator;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_SequenceEvaluator;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SequenceEvaluator;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_SequenceEvaluator;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SequenceEvaluator;
	static C(Other: UObject): AnimGraphNode_SequenceEvaluator;
}

declare class AnimNode_SequencePlayer extends AnimNode_AssetPlayerBase { 
	Sequence: AnimSequenceBase;
	bLoopAnimation: boolean;
	PlayRate: number;
	StartPosition: number;
	clone() : AnimNode_SequencePlayer;
	static C(Other: UObject): AnimNode_SequencePlayer;
}

declare class AnimGraphNode_SequencePlayer extends AnimGraphNode_AssetPlayerBase { 
	UNode: AnimNode_SequencePlayer;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_SequencePlayer;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SequencePlayer;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_SequencePlayer;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SequencePlayer;
	static C(Other: UObject): AnimGraphNode_SequencePlayer;
}

declare class AnimGraphNode_BlendListBase extends AnimGraphNode_Base { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_BlendListBase;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendListBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_BlendListBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendListBase;
	static C(Other: UObject): AnimGraphNode_BlendListBase;
}

declare class AnimNode_BlendListBase extends AnimNode_Base { 
	BlendPose: PoseLink[];
	BlendTime: number[];
	BlendType: EAlphaBlendOption;
	CustomBlendCurve: CurveFloat;
	BlendProfile: BlendProfile;
	Blends: AlphaBlend[];
	BlendWeights: number[];
	RemainingBlendTimes: number[];
	LastActiveChildIndex: number;
	PerBoneSampleData: BlendSampleData[];
	bResetChildOnActivation: boolean;
	clone() : AnimNode_BlendListBase;
	static C(Other: UObject): AnimNode_BlendListBase;
}

declare class AnimNode_BlendListByBool extends AnimNode_BlendListBase { 
	bActiveValue: boolean;
	clone() : AnimNode_BlendListByBool;
	static C(Other: UObject): AnimNode_BlendListByBool;
}

declare class AnimGraphNode_BlendListByBool extends AnimGraphNode_BlendListBase { 
	UNode: AnimNode_BlendListByBool;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_BlendListByBool;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendListByBool;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_BlendListByBool;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendListByBool;
	static C(Other: UObject): AnimGraphNode_BlendListByBool;
}

declare class AnimNode_BlendListByEnum extends AnimNode_BlendListBase { 
	EnumToPoseIndex: number[];
	ActiveEnumValue: number;
	clone() : AnimNode_BlendListByEnum;
	static C(Other: UObject): AnimNode_BlendListByEnum;
}

declare class AnimGraphNode_BlendListByEnum extends AnimGraphNode_BlendListBase { 
	UNode: AnimNode_BlendListByEnum;
	BoundEnum: Enum;
	VisibleEnumEntries: string[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_BlendListByEnum;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendListByEnum;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_BlendListByEnum;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendListByEnum;
	static C(Other: UObject): AnimGraphNode_BlendListByEnum;
}

declare class AnimNode_BlendListByInt extends AnimNode_BlendListBase { 
	ActiveChildIndex: number;
	clone() : AnimNode_BlendListByInt;
	static C(Other: UObject): AnimNode_BlendListByInt;
}

declare class AnimGraphNode_BlendListByInt extends AnimGraphNode_BlendListBase { 
	UNode: AnimNode_BlendListByInt;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_BlendListByInt;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendListByInt;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_BlendListByInt;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendListByInt;
	static C(Other: UObject): AnimGraphNode_BlendListByInt;
}

declare class BranchFilter { 
	BoneName: string;
	BlendDepth: number;
	clone() : BranchFilter;
	static C(Other: UObject): BranchFilter;
}

declare class InputBlendPose { 
	BranchFilters: BranchFilter[];
	clone() : InputBlendPose;
	static C(Other: UObject): InputBlendPose;
}

declare type ECurveBlendOption = string | symbol;
declare var ECurveBlendOption = { MaxWeight:'MaxWeight',NormalizeByWeight:'NormalizeByWeight',BlendByWeight:'BlendByWeight', };
declare class AnimNode_LayeredBoneBlend extends AnimNode_Base { 
	BasePose: PoseLink;
	BlendPoses: PoseLink[];
	LayerSetup: InputBlendPose[];
	BlendWeights: number[];
	bMeshSpaceRotationBlend: boolean;
	CurveBlendOption: ECurveBlendOption;
	bHasRelevantPoses: boolean;
	clone() : AnimNode_LayeredBoneBlend;
	static C(Other: UObject): AnimNode_LayeredBoneBlend;
}

declare class AnimGraphNode_LayeredBoneBlend extends AnimGraphNode_BlendListBase { 
	UNode: AnimNode_LayeredBoneBlend;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_LayeredBoneBlend;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LayeredBoneBlend;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_LayeredBoneBlend;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LayeredBoneBlend;
	static C(Other: UObject): AnimGraphNode_LayeredBoneBlend;
}

declare class ComponentSpacePoseLink extends PoseLinkBase { 
	clone() : ComponentSpacePoseLink;
	static C(Other: UObject): ComponentSpacePoseLink;
}

declare class AnimNode_ConvertComponentToLocalSpace extends AnimNode_Base { 
	ComponentPose: ComponentSpacePoseLink;
	clone() : AnimNode_ConvertComponentToLocalSpace;
	static C(Other: UObject): AnimNode_ConvertComponentToLocalSpace;
}

declare class AnimGraphNode_ComponentToLocalSpace extends AnimGraphNode_Base { 
	UNode: AnimNode_ConvertComponentToLocalSpace;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_ComponentToLocalSpace;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ComponentToLocalSpace;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_ComponentToLocalSpace;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ComponentToLocalSpace;
	static C(Other: UObject): AnimGraphNode_ComponentToLocalSpace;
}

declare class AnimGraphNode_SkeletalControlBase extends AnimGraphNode_Base { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_SkeletalControlBase;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SkeletalControlBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_SkeletalControlBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SkeletalControlBase;
	static C(Other: UObject): AnimGraphNode_SkeletalControlBase;
}

declare class AnimNode_CopyPoseFromMesh extends AnimNode_Base { 
	SourceMeshComponent: SkeletalMeshComponent;
	clone() : AnimNode_CopyPoseFromMesh;
	static C(Other: UObject): AnimNode_CopyPoseFromMesh;
}

declare class AnimGraphNode_CopyPoseFromMesh extends AnimGraphNode_Base { 
	UNode: AnimNode_CopyPoseFromMesh;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_CopyPoseFromMesh;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CopyPoseFromMesh;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_CopyPoseFromMesh;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CopyPoseFromMesh;
	static C(Other: UObject): AnimGraphNode_CopyPoseFromMesh;
}

declare class AnimNode_ConvertLocalToComponentSpace extends AnimNode_Base { 
	LocalPose: PoseLink;
	clone() : AnimNode_ConvertLocalToComponentSpace;
	static C(Other: UObject): AnimNode_ConvertLocalToComponentSpace;
}

declare class AnimGraphNode_LocalToComponentSpace extends AnimGraphNode_Base { 
	UNode: AnimNode_ConvertLocalToComponentSpace;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_LocalToComponentSpace;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LocalToComponentSpace;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_LocalToComponentSpace;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LocalToComponentSpace;
	static C(Other: UObject): AnimGraphNode_LocalToComponentSpace;
}

declare class AnimNode_MeshSpaceRefPose extends AnimNode_Base { 
	clone() : AnimNode_MeshSpaceRefPose;
	static C(Other: UObject): AnimNode_MeshSpaceRefPose;
}

declare class AnimGraphNode_MeshRefPose extends AnimGraphNode_Base { 
	UNode: AnimNode_MeshSpaceRefPose;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_MeshRefPose;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_MeshRefPose;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_MeshRefPose;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_MeshRefPose;
	static C(Other: UObject): AnimGraphNode_MeshRefPose;
}

declare class RandomPlayerSequenceEntry { 
	Sequence: AnimSequence;
	ChanceToPlay: number;
	MinLoopCount: number;
	MaxLoopCount: number;
	MinPlayRate: number;
	MaxPlayRate: number;
	BlendIn: AlphaBlend;
	clone() : RandomPlayerSequenceEntry;
	static C(Other: UObject): RandomPlayerSequenceEntry;
}

declare class AnimNode_RandomPlayer extends AnimNode_Base { 
	bShuffleMode: boolean;
	Entries: RandomPlayerSequenceEntry[];
	clone() : AnimNode_RandomPlayer;
	static C(Other: UObject): AnimNode_RandomPlayer;
}

declare class AnimGraphNode_RandomPlayer extends AnimGraphNode_Base { 
	UNode: AnimNode_RandomPlayer;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_RandomPlayer;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RandomPlayer;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_RandomPlayer;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RandomPlayer;
	static C(Other: UObject): AnimGraphNode_RandomPlayer;
}

declare type ERefPoseType = string | symbol;
declare var ERefPoseType = { EIT_LocalSpace:'EIT_LocalSpace',EIT_Additive:'EIT_Additive', };
declare class AnimNode_RefPose extends AnimNode_Base { 
	RefPoseType: ERefPoseType;
	clone() : AnimNode_RefPose;
	static C(Other: UObject): AnimNode_RefPose;
}

declare class AnimGraphNode_RefPoseBase extends AnimGraphNode_Base { 
	UNode: AnimNode_RefPose;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_RefPoseBase;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RefPoseBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_RefPoseBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RefPoseBase;
	static C(Other: UObject): AnimGraphNode_RefPoseBase;
}

declare class AnimGraphNode_IdentityPose extends AnimGraphNode_RefPoseBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_IdentityPose;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_IdentityPose;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_IdentityPose;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_IdentityPose;
	static C(Other: UObject): AnimGraphNode_IdentityPose;
}

declare class AnimGraphNode_LocalRefPose extends AnimGraphNode_RefPoseBase { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_LocalRefPose;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LocalRefPose;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_LocalRefPose;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LocalRefPose;
	static C(Other: UObject): AnimGraphNode_LocalRefPose;
}

declare class AnimNode_RotateRootBone extends AnimNode_Base { 
	BasePose: PoseLink;
	Pitch: number;
	Yaw: number;
	MeshToComponent: Rotator;
	clone() : AnimNode_RotateRootBone;
	static C(Other: UObject): AnimNode_RotateRootBone;
}

declare class AnimGraphNode_RotateRootBone extends AnimGraphNode_Base { 
	UNode: AnimNode_RotateRootBone;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_RotateRootBone;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RotateRootBone;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_RotateRootBone;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RotateRootBone;
	static C(Other: UObject): AnimGraphNode_RotateRootBone;
}

declare class AnimNode_SaveCachedPose extends AnimNode_Base { 
	Pose: PoseLink;
	clone() : AnimNode_SaveCachedPose;
	static C(Other: UObject): AnimNode_SaveCachedPose;
}

declare class AnimGraphNode_SaveCachedPose extends AnimGraphNode_Base { 
	UNode: AnimNode_SaveCachedPose;
	CacheName: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_SaveCachedPose;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SaveCachedPose;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_SaveCachedPose;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SaveCachedPose;
	static C(Other: UObject): AnimGraphNode_SaveCachedPose;
}

declare class AnimNode_SkeletalControlBase extends AnimNode_Base { 
	ComponentPose: ComponentSpacePoseLink;
	Alpha: number;
	AlphaScaleBias: InputScaleBias;
	LODThreshold: number;
	ActualAlpha: number;
	clone() : AnimNode_SkeletalControlBase;
	static C(Other: UObject): AnimNode_SkeletalControlBase;
}

declare type AnimPhysSimSpaceType = string | symbol;
declare var AnimPhysSimSpaceType = { Component:'Component',Actor:'Actor',World:'World',RootRelative:'RootRelative',BoneRelative:'BoneRelative', };
declare type AnimPhysLinearConstraintType = string | symbol;
declare var AnimPhysLinearConstraintType = { Free:'Free',Limited:'Limited', };
declare type AnimPhysAngularConstraintType = string | symbol;
declare var AnimPhysAngularConstraintType = { Angular:'Angular',Cone:'Cone', };
declare type AnimPhysTwistAxis = string | symbol;
declare var AnimPhysTwistAxis = { AxisX:'AxisX',AxisY:'AxisY',AxisZ:'AxisZ', };
declare class AnimPhysConstraintSetup { 
	LinearXLimitType: AnimPhysLinearConstraintType;
	LinearYLimitType: AnimPhysLinearConstraintType;
	LinearZLimitType: AnimPhysLinearConstraintType;
	LinearAxesMin: Vector;
	LinearAxesMax: Vector;
	AngularConstraintType: AnimPhysAngularConstraintType;
	TwistAxis: AnimPhysTwistAxis;
	ConeAngle: number;
	AngularXAngle: number;
	AngularYAngle: number;
	AngularZAngle: number;
	AngularLimitsMin: Vector;
	AngularLimitsMax: Vector;
	AngularTargetAxis: AnimPhysTwistAxis;
	AngularTarget: Vector;
	bLinearFullyLocked: boolean;
	clone() : AnimPhysConstraintSetup;
	static C(Other: UObject): AnimPhysConstraintSetup;
}

declare class AnimPhysPlanarLimit { 
	DrivingBone: BoneReference;
	PlaneTransform: Transform;
	clone() : AnimPhysPlanarLimit;
	static C(Other: UObject): AnimPhysPlanarLimit;
}

declare type AnimPhysCollisionType = string | symbol;
declare var AnimPhysCollisionType = { CoM:'CoM',CustomSphere:'CustomSphere',InnerSphere:'InnerSphere',OuterSphere:'OuterSphere', };
declare class AnimNode_AnimDynamics extends AnimNode_SkeletalControlBase { 
	SimulationSpace: AnimPhysSimSpaceType;
	RelativeSpaceBone: BoneReference;
	bChain: boolean;
	BoundBone: BoneReference;
	ChainEnd: BoneReference;
	BoxExtents: Vector;
	LocalJointOffset: Vector;
	GravityScale: number;
	bLinearSpring: boolean;
	bAngularSpring: boolean;
	LinearSpringConstant: number;
	AngularSpringConstant: number;
	bEnableWind: boolean;
	WindScale: number;
	bOverrideLinearDamping: boolean;
	LinearDampingOverride: number;
	bOverrideAngularDamping: boolean;
	AngularDampingOverride: number;
	bDoUpdate: boolean;
	bDoEval: boolean;
	NumSolverIterationsPreUpdate: number;
	NumSolverIterationsPostUpdate: number;
	ConstraintSetup: AnimPhysConstraintSetup;
	bUsePlanarLimit: boolean;
	PlanarLimits: AnimPhysPlanarLimit[];
	CollisionType: AnimPhysCollisionType;
	SphereCollisionRadius: number;
	ExternalForce: Vector;
	clone() : AnimNode_AnimDynamics;
	static C(Other: UObject): AnimNode_AnimDynamics;
}

declare class AnimGraphNode_AnimDynamics extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_AnimDynamics;
	bPreviewLive: boolean;
	bShowLinearLimits: boolean;
	bShowAngularLimits: boolean;
	bShowPlanarLimit: boolean;
	bShowCollisionSpheres: boolean;
	LastPreviewComponent: SkeletalMeshComponent;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_AnimDynamics;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_AnimDynamics;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_AnimDynamics;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_AnimDynamics;
	static C(Other: UObject): AnimGraphNode_AnimDynamics;
}

declare type EComponentType = string | symbol;
declare var EComponentType = { None:'None',TranslationX:'TranslationX',TranslationY:'TranslationY',TranslationZ:'TranslationZ',RotationX:'RotationX',RotationY:'RotationY',RotationZ:'RotationZ',Scale:'Scale',ScaleX:'ScaleX',ScaleY:'ScaleY',ScaleZ:'ScaleZ', };
declare type EDrivenDestinationMode = string | symbol;
declare var EDrivenDestinationMode = { Bone:'Bone',MorphTarget:'MorphTarget',MaterialParameter:'MaterialParameter', };
declare type EDrivenBoneModificationMode = string | symbol;
declare var EDrivenBoneModificationMode = { AddToInput:'AddToInput',ReplaceComponent:'ReplaceComponent',AddToRefPose:'AddToRefPose', };
declare class AnimNode_BoneDrivenController extends AnimNode_SkeletalControlBase { 
	SourceBone: BoneReference;
	SourceComponent: EComponentType;
	DrivingCurve: CurveFloat;
	Multiplier: number;
	bUseRange: boolean;
	RangeMin: number;
	RangeMax: number;
	RemappedMin: number;
	RemappedMax: number;
	DestinationMode: EDrivenDestinationMode;
	ParameterName: string;
	TargetBone: BoneReference;
	TargetComponent: EComponentType;
	bAffectTargetTranslationX: boolean;
	bAffectTargetTranslationY: boolean;
	bAffectTargetTranslationZ: boolean;
	bAffectTargetRotationX: boolean;
	bAffectTargetRotationY: boolean;
	bAffectTargetRotationZ: boolean;
	bAffectTargetScaleX: boolean;
	bAffectTargetScaleY: boolean;
	bAffectTargetScaleZ: boolean;
	ModificationMode: EDrivenBoneModificationMode;
	clone() : AnimNode_BoneDrivenController;
	static C(Other: UObject): AnimNode_BoneDrivenController;
}

declare class AnimGraphNode_BoneDrivenController extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_BoneDrivenController;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_BoneDrivenController;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BoneDrivenController;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_BoneDrivenController;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BoneDrivenController;
	static C(Other: UObject): AnimGraphNode_BoneDrivenController;
}

declare type EBoneControlSpace = string | symbol;
declare var EBoneControlSpace = { BCS_WorldSpace:'BCS_WorldSpace',BCS_ComponentSpace:'BCS_ComponentSpace',BCS_ParentBoneSpace:'BCS_ParentBoneSpace',BCS_BoneSpace:'BCS_BoneSpace', };
declare class AnimNode_CopyBone extends AnimNode_SkeletalControlBase { 
	SourceBone: BoneReference;
	TargetBone: BoneReference;
	bCopyTranslation: boolean;
	bCopyRotation: boolean;
	bCopyScale: boolean;
	ControlSpace: EBoneControlSpace;
	clone() : AnimNode_CopyBone;
	static C(Other: UObject): AnimNode_CopyBone;
}

declare class AnimGraphNode_CopyBone extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_CopyBone;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_CopyBone;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CopyBone;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_CopyBone;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CopyBone;
	static C(Other: UObject): AnimGraphNode_CopyBone;
}

declare type CopyBoneDeltaMode = string | symbol;
declare var CopyBoneDeltaMode = { Accumulate:'Accumulate',Copy:'Copy', };
declare class AnimNode_CopyBoneDelta extends AnimNode_SkeletalControlBase { 
	SourceBone: BoneReference;
	TargetBone: BoneReference;
	bCopyTranslation: boolean;
	bCopyRotation: boolean;
	bCopyScale: boolean;
	CopyMode: CopyBoneDeltaMode;
	TranslationMultiplier: number;
	RotationMultiplier: number;
	ScaleMultiplier: number;
	clone() : AnimNode_CopyBoneDelta;
	static C(Other: UObject): AnimNode_CopyBoneDelta;
}

declare class AnimGraphNode_CopyBoneDelta extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_CopyBoneDelta;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_CopyBoneDelta;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CopyBoneDelta;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_CopyBoneDelta;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CopyBoneDelta;
	static C(Other: UObject): AnimGraphNode_CopyBoneDelta;
}

declare type EBoneRotationSource = string | symbol;
declare var EBoneRotationSource = { BRS_KeepComponentSpaceRotation:'BRS_KeepComponentSpaceRotation',BRS_KeepLocalSpaceRotation:'BRS_KeepLocalSpaceRotation',BRS_CopyFromTarget:'BRS_CopyFromTarget', };
declare class AnimNode_Fabrik extends AnimNode_SkeletalControlBase { 
	EffectorTransform: Transform;
	EffectorTransformSpace: EBoneControlSpace;
	EffectorTransformBone: BoneReference;
	EffectorRotationSource: EBoneRotationSource;
	TipBone: BoneReference;
	RootBone: BoneReference;
	Precision: number;
	MaxIterations: number;
	bEnableDebugDraw: boolean;
	clone() : AnimNode_Fabrik;
	static C(Other: UObject): AnimNode_Fabrik;
}

declare class AnimGraphNode_Fabrik extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_Fabrik;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_Fabrik;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Fabrik;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_Fabrik;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Fabrik;
	static C(Other: UObject): AnimGraphNode_Fabrik;
}

declare class AnimNode_HandIKRetargeting extends AnimNode_SkeletalControlBase { 
	RightHandFK: BoneReference;
	LeftHandFK: BoneReference;
	RightHandIK: BoneReference;
	LeftHandIK: BoneReference;
	IKBonesToMove: BoneReference[];
	HandFKWeight: number;
	clone() : AnimNode_HandIKRetargeting;
	static C(Other: UObject): AnimNode_HandIKRetargeting;
}

declare class AnimGraphNode_HandIKRetargeting extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_HandIKRetargeting;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_HandIKRetargeting;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_HandIKRetargeting;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_HandIKRetargeting;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_HandIKRetargeting;
	static C(Other: UObject): AnimGraphNode_HandIKRetargeting;
}

declare type EAxisOption = string | symbol;
declare var EAxisOption = { X:'X',Y:'Y',Z:'Z',X_Neg:'X_Neg',Y_Neg:'Y_Neg',Z_Neg:'Z_Neg', };
declare type EInterpolationBlend = string | symbol;
declare var EInterpolationBlend = { Linear:'Linear',Cubic:'Cubic',Sinusoidal:'Sinusoidal',EaseInOutExponent2:'EaseInOutExponent2',EaseInOutExponent3:'EaseInOutExponent3',EaseInOutExponent4:'EaseInOutExponent4',EaseInOutExponent5:'EaseInOutExponent5',MAX:'MAX', };
declare class AnimNode_LookAt extends AnimNode_SkeletalControlBase { 
	BoneToModify: BoneReference;
	LookAtBone: BoneReference;
	LookAtSocket: string;
	LookAtLocation: Vector;
	LookAtAxis: EAxisOption;
	bUseLookUpAxis: boolean;
	LookUpAxis: EAxisOption;
	LookAtClamp: number;
	InterpolationType: EInterpolationBlend;
	InterpolationTime: number;
	InterpolationTriggerThreashold: number;
	bEnableDebug: boolean;
	clone() : AnimNode_LookAt;
	static C(Other: UObject): AnimNode_LookAt;
}

declare class AnimGraphNode_LookAt extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_LookAt;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_LookAt;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LookAt;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_LookAt;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LookAt;
	static C(Other: UObject): AnimGraphNode_LookAt;
}

declare type EBoneModificationMode = string | symbol;
declare var EBoneModificationMode = { BMM_Ignore:'BMM_Ignore',BMM_Replace:'BMM_Replace',BMM_Additive:'BMM_Additive', };
declare class AnimNode_ModifyBone extends AnimNode_SkeletalControlBase { 
	BoneToModify: BoneReference;
	Translation: Vector;
	Rotation: Rotator;
	Scale: Vector;
	TranslationMode: EBoneModificationMode;
	RotationMode: EBoneModificationMode;
	ScaleMode: EBoneModificationMode;
	TranslationSpace: EBoneControlSpace;
	RotationSpace: EBoneControlSpace;
	ScaleSpace: EBoneControlSpace;
	clone() : AnimNode_ModifyBone;
	static C(Other: UObject): AnimNode_ModifyBone;
}

declare class AnimGraphNode_ModifyBone extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_ModifyBone;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_ModifyBone;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ModifyBone;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_ModifyBone;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ModifyBone;
	static C(Other: UObject): AnimGraphNode_ModifyBone;
}

declare class AnimNode_ObserveBone extends AnimNode_SkeletalControlBase { 
	BoneToObserve: BoneReference;
	DisplaySpace: EBoneControlSpace;
	bRelativeToRefPose: boolean;
	Translation: Vector;
	Rotation: Rotator;
	Scale: Vector;
	clone() : AnimNode_ObserveBone;
	static C(Other: UObject): AnimNode_ObserveBone;
}

declare class AnimGraphNode_ObserveBone extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_ObserveBone;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_ObserveBone;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ObserveBone;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_ObserveBone;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ObserveBone;
	static C(Other: UObject): AnimGraphNode_ObserveBone;
}

declare type EBoneAxis = string | symbol;
declare var EBoneAxis = { BA_X:'BA_X',BA_Y:'BA_Y',BA_Z:'BA_Z', };
declare class AnimNode_RotationMultiplier extends AnimNode_SkeletalControlBase { 
	TargetBone: BoneReference;
	SourceBone: BoneReference;
	Multiplier: number;
	RotationAxisToRefer: EBoneAxis;
	bIsAdditive: boolean;
	clone() : AnimNode_RotationMultiplier;
	static C(Other: UObject): AnimNode_RotationMultiplier;
}

declare class AnimGraphNode_RotationMultiplier extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_RotationMultiplier;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_RotationMultiplier;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RotationMultiplier;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_RotationMultiplier;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RotationMultiplier;
	static C(Other: UObject): AnimGraphNode_RotationMultiplier;
}

declare class AnimNode_SpringBone extends AnimNode_SkeletalControlBase { 
	SpringBone: BoneReference;
	bLimitDisplacement: boolean;
	MaxDisplacement: number;
	SpringStiffness: number;
	SpringDamping: number;
	ErrorResetThresh: number;
	bNoZSpring: boolean;
	bTranslateX: boolean;
	bTranslateY: boolean;
	bTranslateZ: boolean;
	bRotateX: boolean;
	bRotateY: boolean;
	bRotateZ: boolean;
	clone() : AnimNode_SpringBone;
	static C(Other: UObject): AnimNode_SpringBone;
}

declare class AnimGraphNode_SpringBone extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_SpringBone;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_SpringBone;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SpringBone;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_SpringBone;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SpringBone;
	static C(Other: UObject): AnimGraphNode_SpringBone;
}

declare class AnimNode_Trail extends AnimNode_SkeletalControlBase { 
	TrailBone: BoneReference;
	ChainLength: number;
	ChainBoneAxis: EAxis;
	bInvertChainBoneAxis: boolean;
	TrailRelaxation: number;
	TrailRelaxationSpeed: RuntimeFloatCurve;
	bLimitStretch: boolean;
	StretchLimit: number;
	FakeVelocity: Vector;
	bActorSpaceFakeVel: boolean;
	BaseJoint: BoneReference;
	clone() : AnimNode_Trail;
	static C(Other: UObject): AnimNode_Trail;
}

declare class AnimGraphNode_Trail extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_Trail;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_Trail;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Trail;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_Trail;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Trail;
	static C(Other: UObject): AnimGraphNode_Trail;
}

declare class Axis { 
	Axis: Vector;
	bInLocalSpace: boolean;
	clone() : Axis;
	static C(Other: UObject): Axis;
}

declare class ReferenceBoneFrame { 
	Bone: BoneReference;
	Axis: Axis;
	clone() : ReferenceBoneFrame;
	static C(Other: UObject): ReferenceBoneFrame;
}

declare class AnimCurveType { 
	bMorphtarget: boolean;
	bEvent: boolean;
	bMaterial: boolean;
	clone() : AnimCurveType;
	static C(Other: UObject): AnimCurveType;
}

declare class AnimCurveParam { 
	Name: string;
	Type: AnimCurveType;
	clone() : AnimCurveParam;
	static C(Other: UObject): AnimCurveParam;
}

declare class AnimNode_TwistCorrectiveNode extends AnimNode_SkeletalControlBase { 
	BaseFrame: ReferenceBoneFrame;
	TwistFrame: ReferenceBoneFrame;
	TwistPlaneNormalAxis: Axis;
	RangeMax: number;
	RemappedMin: number;
	RemappedMax: number;
	Curve: AnimCurveParam;
	clone() : AnimNode_TwistCorrectiveNode;
	static C(Other: UObject): AnimNode_TwistCorrectiveNode;
}

declare class AnimGraphNode_TwistCorrectiveNode extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_TwistCorrectiveNode;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_TwistCorrectiveNode;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TwistCorrectiveNode;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_TwistCorrectiveNode;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TwistCorrectiveNode;
	static C(Other: UObject): AnimGraphNode_TwistCorrectiveNode;
}

declare class AnimNode_TwoBoneIK extends AnimNode_SkeletalControlBase { 
	IKBone: BoneReference;
	EffectorLocation: Vector;
	JointTargetLocation: Vector;
	StretchLimits: Vector2D;
	EffectorSpaceBoneName: string;
	bTakeRotationFromEffectorSpace: boolean;
	bMaintainEffectorRelRot: boolean;
	bAllowStretching: boolean;
	EffectorLocationSpace: EBoneControlSpace;
	JointTargetLocationSpace: EBoneControlSpace;
	JointTargetSpaceBoneName: string;
	clone() : AnimNode_TwoBoneIK;
	static C(Other: UObject): AnimNode_TwoBoneIK;
}

declare class AnimGraphNode_TwoBoneIK extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_TwoBoneIK;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_TwoBoneIK;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TwoBoneIK;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_TwoBoneIK;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TwoBoneIK;
	static C(Other: UObject): AnimGraphNode_TwoBoneIK;
}

declare class VehicleWheel extends UObject { 
	CollisionMesh: StaticMesh;
	bDontCreateShape: boolean;
	bAutoAdjustCollisionSize: boolean;
	Offset: Vector;
	ShapeRadius: number;
	ShapeWidth: number;
	Mass: number;
	DampingRate: number;
	SteerAngle: number;
	bAffectedByHandbrake: boolean;
	TireType: TireType;
	LatStiffMaxLoad: number;
	LatStiffValue: number;
	LongStiffValue: number;
	SuspensionForceOffset: number;
	SuspensionMaxRaise: number;
	SuspensionMaxDrop: number;
	SuspensionNaturalFrequency: number;
	SuspensionDampingRatio: number;
	MaxBrakeTorque: number;
	MaxHandBrakeTorque: number;
	VehicleSim: WheeledVehicleMovementComponent;
	WheelIndex: number;
	DebugLongSlip: number;
	DebugLatSlip: number;
	DebugNormalizedTireLoad: number;
	DebugWheelTorque: number;
	DebugLongForce: number;
	DebugLatForce: number;
	Location: Vector;
	OldLocation: Vector;
	Velocity: Vector;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): VehicleWheel;
	static Find(Outer: UObject, ResourceName: string): VehicleWheel;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): VehicleWheel;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VehicleWheel;
	GetSuspensionOffset(): number;
	GetSteerAngle(): number;
	GetRotationAngle(): number;
	static C(Other: UObject): VehicleWheel;
}

declare class WheelSetup { 
	WheelClass: UnrealEngineClass;
	BoneName: string;
	AdditionalOffset: Vector;
	clone() : WheelSetup;
	static C(Other: UObject): WheelSetup;
}

declare class ReplicatedVehicleState { 
	SteeringInput: number;
	ThrottleInput: number;
	BrakeInput: number;
	HandbrakeInput: number;
	CurrentGear: number;
	clone() : ReplicatedVehicleState;
	static C(Other: UObject): ReplicatedVehicleState;
}

declare class VehicleInputRate { 
	RiseRate: number;
	FallRate: number;
	clone() : VehicleInputRate;
	static C(Other: UObject): VehicleInputRate;
}

declare class WheeledVehicleMovementComponent extends PawnMovementComponent { 
	WheelSetups: WheelSetup[];
	Mass: number;
	DragCoefficient: number;
	ChassisWidth: number;
	ChassisHeight: number;
	DragArea: number;
	EstimatedMaxEngineSpeed: number;
	MaxEngineRPM: number;
	DebugDragMagnitude: number;
	InertiaTensorScale: Vector;
	MinNormalizedTireLoad: number;
	MinNormalizedTireLoadFiltered: number;
	MaxNormalizedTireLoad: number;
	MaxNormalizedTireLoadFiltered: number;
	ThresholdLongitudinalSpeed: number;
	LowForwardSpeedSubStepCount: number;
	HighForwardSpeedSubStepCount: number;
	Wheels: VehicleWheel[];
	bUseRVOAvoidance: boolean;
	RVOAvoidanceRadius: number;
	RVOAvoidanceHeight: number;
	AvoidanceConsiderationRadius: number;
	RVOSteeringStep: number;
	RVOThrottleStep: number;
	AvoidanceUID: number;
	AvoidanceGroup: NavAvoidanceMask;
	GroupsToAvoid: NavAvoidanceMask;
	GroupsToIgnore: NavAvoidanceMask;
	AvoidanceWeight: number;
	PendingLaunchVelocity: Vector;
	ReplicatedState: ReplicatedVehicleState;
	RawSteeringInput: number;
	RawThrottleInput: number;
	bRawHandbrakeInput: boolean;
	bRawGearUpInput: boolean;
	bRawGearDownInput: boolean;
	SteeringInput: number;
	ThrottleInput: number;
	BrakeInput: number;
	HandbrakeInput: number;
	IdleBrakeInput: number;
	StopThreshold: number;
	WrongDirectionThreshold: number;
	ThrottleInputRate: VehicleInputRate;
	BrakeInputRate: VehicleInputRate;
	HandbrakeInputRate: VehicleInputRate;
	SteeringInputRate: VehicleInputRate;
	bWasAvoidanceUpdated: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): WheeledVehicleMovementComponent;
	static Find(Outer: UObject, ResourceName: string): WheeledVehicleMovementComponent;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): WheeledVehicleMovementComponent;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WheeledVehicleMovementComponent;
	SetUseAutoGears(bUseAuto: boolean): void;
	SetThrottleInput(Throttle: number): void;
	SetTargetGear(GearNum: number,bImmediate: boolean): void;
	SetSteeringInput(Steering: number): void;
	SetHandbrakeInput(bNewHandbrake: boolean): void;
	SetGroupsToIgnore(GroupFlags: number): void;
	SetGroupsToAvoid(GroupFlags: number): void;
	SetGearUp(bNewGearUp: boolean): void;
	SetGearDown(bNewGearDown: boolean): void;
	SetAvoidanceGroup(GroupFlags: number): void;
	SetAvoidanceEnabled(bEnable: boolean): void;
	ServerUpdateState(InSteeringInput: number,InThrottleInput: number,InBrakeInput: number,InHandbrakeInput: number,CurrentGear: number): void;
	GetUseAutoGears(): boolean;
	GetTargetGear(): number;
	GetForwardSpeed(): number;
	GetEngineRotationSpeed(): number;
	GetEngineMaxRotationSpeed(): number;
	GetCurrentGear(): number;
	static C(Other: UObject): WheeledVehicleMovementComponent;
}

declare class AnimNode_WheelHandler extends AnimNode_SkeletalControlBase { 
	VehicleSimComponent: WheeledVehicleMovementComponent;
	clone() : AnimNode_WheelHandler;
	static C(Other: UObject): AnimNode_WheelHandler;
}

declare class AnimGraphNode_WheelHandler extends AnimGraphNode_SkeletalControlBase { 
	UNode: AnimNode_WheelHandler;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_WheelHandler;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_WheelHandler;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_WheelHandler;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_WheelHandler;
	static C(Other: UObject): AnimGraphNode_WheelHandler;
}

declare class AnimNode_Slot extends AnimNode_Base { 
	Source: PoseLink;
	SlotName: string;
	clone() : AnimNode_Slot;
	static C(Other: UObject): AnimNode_Slot;
}

declare class AnimGraphNode_Slot extends AnimGraphNode_Base { 
	UNode: AnimNode_Slot;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_Slot;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Slot;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_Slot;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Slot;
	static C(Other: UObject): AnimGraphNode_Slot;
}

declare class AnimNode_StateMachine extends AnimNode_Base { 
	StateMachineIndexInClass: number;
	MaxTransitionsPerFrame: number;
	bSkipFirstUpdateTransition: boolean;
	CurrentState: number;
	ElapsedTime: number;
	clone() : AnimNode_StateMachine;
	static C(Other: UObject): AnimNode_StateMachine;
}

declare class AnimGraphNode_StateMachine extends AnimGraphNode_StateMachineBase { 
	UNode: AnimNode_StateMachine;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_StateMachine;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_StateMachine;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_StateMachine;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_StateMachine;
	static C(Other: UObject): AnimGraphNode_StateMachine;
}

declare type EEvaluatorDataSource = string | symbol;
declare var EEvaluatorDataSource = { EDS_SourcePose:'EDS_SourcePose',EDS_DestinationPose:'EDS_DestinationPose', };
declare type EEvaluatorMode = string | symbol;
declare var EEvaluatorMode = { EM_Standard:'EM_Standard',EM_Freeze:'EM_Freeze',EM_DelayedFreeze:'EM_DelayedFreeze', };
declare class AnimNode_TransitionPoseEvaluator extends AnimNode_Base { 
	DataSource: EEvaluatorDataSource;
	EvaluatorMode: EEvaluatorMode;
	FramesToCachePose: number;
	CacheFramesRemaining: number;
	clone() : AnimNode_TransitionPoseEvaluator;
	static C(Other: UObject): AnimNode_TransitionPoseEvaluator;
}

declare class AnimGraphNode_TransitionPoseEvaluator extends AnimGraphNode_Base { 
	UNode: AnimNode_TransitionPoseEvaluator;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_TransitionPoseEvaluator;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TransitionPoseEvaluator;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_TransitionPoseEvaluator;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TransitionPoseEvaluator;
	static C(Other: UObject): AnimGraphNode_TransitionPoseEvaluator;
}

declare class AnimationNode_TwoWayBlend extends AnimNode_Base { 
	A: PoseLink;
	B: PoseLink;
	Alpha: number;
	AlphaScaleBias: InputScaleBias;
	clone() : AnimationNode_TwoWayBlend;
	static C(Other: UObject): AnimationNode_TwoWayBlend;
}

declare class AnimGraphNode_TwoWayBlend extends AnimGraphNode_Base { 
	BlendNode: AnimationNode_TwoWayBlend;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_TwoWayBlend;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TwoWayBlend;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_TwoWayBlend;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TwoWayBlend;
	static C(Other: UObject): AnimGraphNode_TwoWayBlend;
}

declare class AnimNode_UseCachedPose extends AnimNode_Base { 
	LinkToCachingNode: PoseLink;
	clone() : AnimNode_UseCachedPose;
	static C(Other: UObject): AnimNode_UseCachedPose;
}

declare class AnimGraphNode_UseCachedPose extends AnimGraphNode_Base { 
	UNode: AnimNode_UseCachedPose;
	SaveCachedPoseNode: any;
	NameOfCache: string;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimGraphNode_UseCachedPose;
	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_UseCachedPose;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimGraphNode_UseCachedPose;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_UseCachedPose;
	static C(Other: UObject): AnimGraphNode_UseCachedPose;
}

declare class AnimSingleNodeInstance extends AnimInstance { 
	CurrentAsset: AnimationAsset;
	CurrentVertexAnim: VertexAnimation;
	PostEvaluateAnimEvent: UnrealEngineDelegate<() => void>;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimSingleNodeInstance;
	static Find(Outer: UObject, ResourceName: string): AnimSingleNodeInstance;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimSingleNodeInstance;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSingleNodeInstance;
	StopAnim(): void;
	SetVertexAnimation(NewVertexAnim: VertexAnimation,bIsLooping: boolean,InPlayRate: number): void;
	SetReverse(bInReverse: boolean): void;
	SetPositionWithPreviousTime(InPosition: number,InPreviousTime: number,bFireNotifies: boolean): void;
	SetPosition(InPosition: number,bFireNotifies: boolean): void;
	SetPlayRate(InPlayRate: number): void;
	SetPlaying(bIsPlaying: boolean): void;
	SetLooping(bIsLooping: boolean): void;
	SetBlendSpaceInput(InBlendInput: Vector): void;
	SetAnimationAsset(NewAsset: AnimationAsset,bIsLooping: boolean,InPlayRate: number): void;
	PlayAnim(bIsLooping: boolean,InPlayRate: number,InStartPosition: number): void;
	GetLength(): number;
	static C(Other: UObject): AnimSingleNodeInstance;
}

declare type EMontagePreviewType = string | symbol;
declare var EMontagePreviewType = { EMPT_Normal:'EMPT_Normal',EMPT_AllSections:'EMPT_AllSections', };
declare class AnimPreviewInstance extends AnimSingleNodeInstance { 
	MontagePreviewType: EMontagePreviewType;
	MontagePreviewStartSectionIdx: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimPreviewInstance;
	static Find(Outer: UObject, ResourceName: string): AnimPreviewInstance;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimPreviewInstance;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimPreviewInstance;
	static C(Other: UObject): AnimPreviewInstance;
}

declare class AnimStateNodeBase extends EdGraphNode { 
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimStateNodeBase;
	static Find(Outer: UObject, ResourceName: string): AnimStateNodeBase;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimStateNodeBase;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateNodeBase;
	static C(Other: UObject): AnimStateNodeBase;
}

declare class AnimStateConduitNode extends AnimStateNodeBase { 
	BoundGraph: EdGraph;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimStateConduitNode;
	static Find(Outer: UObject, ResourceName: string): AnimStateConduitNode;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimStateConduitNode;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateConduitNode;
	static C(Other: UObject): AnimStateConduitNode;
}

declare type EAnimStateType = string | symbol;
declare var EAnimStateType = { AST_SingleAnimation:'AST_SingleAnimation',AST_BlendGraph:'AST_BlendGraph', };
declare class AnimStateNode extends AnimStateNodeBase { 
	BoundGraph: EdGraph;
	StateType: EAnimStateType;
	StateEntered: AnimNotifyEvent;
	StateLeft: AnimNotifyEvent;
	StateFullyBlended: AnimNotifyEvent;
	bAlwaysResetOnEntry: boolean;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimStateNode;
	static Find(Outer: UObject, ResourceName: string): AnimStateNode;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimStateNode;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateNode;
	static C(Other: UObject): AnimStateNode;
}

declare type ETransitionBlendMode = string | symbol;
declare var ETransitionBlendMode = { TBM_Linear:'TBM_Linear',TBM_Cubic:'TBM_Cubic', };
declare type ETransitionLogicType = string | symbol;
declare var ETransitionLogicType = { TLT_StandardBlend:'TLT_StandardBlend',TLT_Custom:'TLT_Custom', };
declare class AnimStateTransitionNode extends AnimStateNodeBase { 
	BoundGraph: EdGraph;
	CustomTransitionGraph: EdGraph;
	PriorityOrder: number;
	CrossfadeDuration: number;
	CrossfadeMode: ETransitionBlendMode;
	BlendMode: EAlphaBlendOption;
	CustomBlendCurve: CurveFloat;
	BlendProfile: BlendProfile;
	bAutomaticRuleBasedOnSequencePlayerInState: boolean;
	LogicType: ETransitionLogicType;
	TransitionStart: AnimNotifyEvent;
	TransitionEnd: AnimNotifyEvent;
	TransitionInterrupt: AnimNotifyEvent;
	Bidirectional: boolean;
	bSharedRules: boolean;
	bSharedCrossfade: boolean;
	SharedRulesName: string;
	SharedRulesGuid: Guid;
	SharedColor: LinearColor;
	SharedCrossfadeName: string;
	SharedCrossfadeGuid: Guid;
	SharedCrossfadeIdx: number;
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): AnimStateTransitionNode;
	static Find(Outer: UObject, ResourceName: string): AnimStateTransitionNode;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): AnimStateTransitionNode;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateTransitionNode;
	static C(Other: UObject): AnimStateTransitionNode;
}

declare class K2Node_AnimGetter extends K2Node_CallFunction { 
	SourceNode: AnimGraphNode_Base;
	SourceStateNode: AnimStateNodeBase;
	GetterClass: UnrealEngineClass;
	SourceAnimBlueprint: AnimBlueprint;
	CachedTitle: string;
	Contexts: string[];
	constructor();
	constructor(Outer: UObject);
	static Load(ResourceName: string): K2Node_AnimGetter;
	static Find(Outer: UObject, ResourceName: string): K2Node_AnimGetter;
	static StaticClass: any;
	static GetClassObject(): UClass;
	static GetDefaultObject(): K2Node_AnimGetter;
	static GetDefaultSubobjectByName(Name: string): UObject;
	static SetDefaultSubobjectClass(Name: string): void;
	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AnimGetter;
	static C(Other: UObject): K2Node_AnimGetter;
}

